#!/bin/sh
# $BSDnet: config/freebsd/enterprise/root/bin/mkbwbk.sh,v 1.2 2019-10-01 17:04:27 trond Exp $

SVN_CANDIDATES="/usr/local/bin/svn /usr/bin/svn /usr/bin/svnlite"

#TYPESCRIPT_DIR=/root/tmp
TYPESCRIPT_DIR=/usr/src

for cand in ${SVN_CANDIDATES}; do
  if [ -x "${cand}" ]; then
    SVN=${cand}
    break
  fi
done

if [ -z "${SVN}" ]; then
  echo "${0}: neither of ${SVN_CANDIDATES} are useable" >/dev/stderr
  exit 69
fi

/usr/bin/script -at 0 ${TYPESCRIPT_DIR}/make-buildworld-buildkernel-`/bin/date +%Y%m%d`-r`${SVN} info --show-item revision /usr/src`.txt /usr/bin/make -C /usr/src -D NO_CLEAN -j `/sbin/sysctl -n hw.ncpu` buildworld buildkernel

# EOF
