--- src/portscan-buildcycle-ports.adb	2019-01-30 15:42:12.000000000 +0100
+++ src/portscan-buildcycle-ports.adb	2020-02-22 21:13:19.981173000 +0100
@@ -141,28 +141,29 @@
    function max_time_without_output (phase : phases) return execution_limit
    is
       base : Integer;
+      multiplier : constant Integer := 3;
    begin
       case phase is
-         when check_sanity     => base := 1;
-         when pkg_depends      => base := 3;
-         when fetch_depends    => base := 3;
+         when check_sanity     => base := multiplier * 1;
+         when pkg_depends      => base := multiplier * 3;
+         when fetch_depends    => base := multiplier * 3;
          when fetch | checksum => return 480;  --  8 hours
-         when extract_depends  => base := 3;
-         when extract          => base := 20;
-         when patch_depends    => base := 3;
-         when patch            => base := 3;
-         when build_depends    => base := 11;   -- for texlive
-         when lib_depends      => base := 5;
-         when configure        => base := 15;
-         when build            => base := 25;   --  for gcc linking, tex
-         when run_depends      => base := 15;   --  octave-forge is driver
-         when stage            => base := 20;   --  desire 15 but too many rogue builders-in-stage
-         when test             => base := 25;
-         when check_plist      => base := 10;   --  For packages with thousands of files
-         when pkg_package      => base := 80;
-         when install_mtree    => base := 3;
-         when install          => base := 10;
-         when deinstall        => base := 10;
+         when extract_depends  => base := multiplier * 3;
+         when extract          => base := multiplier * 20;
+         when patch_depends    => base := multiplier * 3;
+         when patch            => base := multiplier * 3;
+         when build_depends    => base := multiplier * 11;   -- for texlive
+         when lib_depends      => base := multiplier * 5;
+         when configure        => base := multiplier * 15;
+         when build            => base := multiplier * 25;   --  for gcc linking, tex
+         when run_depends      => base := multiplier * 15;   --  octave-forge is driver
+         when stage            => base := multiplier * 20;   --  desire 15 but too many rogue builders-in-stage
+         when test             => base := multiplier * 25;
+         when check_plist      => base := multiplier * 10;   --  For packages with thousands of files
+         when pkg_package      => base := multiplier * 80;
+         when install_mtree    => base := multiplier * 3;
+         when install          => base := multiplier * 10;
+         when deinstall        => base := multiplier * 10;
       end case;
       declare
          multiplier_x10 : constant Positive := timeout_multiplier_x10;
