#!/bin/sh

# To be run while in singleuser mode,
# preferably (re)booted directly to singleuser mode.

PATH="/bin:/sbin:/usr/bin:/usr/sbin:/rescue"
export PATH

killall devd
killall local-unbound
killall moused
killall wpa_supplicant

umount /usr/compat/linux/dev/fd
umount /usr/compat/linux/dev
umount /usr/compat/linux/proc
umount /usr/compat/linux/sys

zfs unmount -a

mount -uw /

for fs in `zfs list -Hro canmount,name enterprise_zroot | egrep -v '(^off)|(enterprise_zroot$)|(enterprise_zroot/ROOT)|(enterprise_zroot/do-not-destroy)' | awk '{print $2}'`; do
  zfs mount ${fs}
done

for fs in `zfs list -Hro canmount,name enterprise_zdata | egrep -v '(^off)|(enterprise_zdata$)|(enterprise_zdata/do-not-destroy)' | awk '{print $2}'`; do
  zfs mount ${fs}
done

mount -al

echo "You may now attempt to exit to multiuser mode ..."

# EOF
