#!/bin/sh

# Copyright  2014, Trond Endrestl <Trond.Endrestol@ximalas.info>
# All rights reserved.

# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions are met:

# 1. Redistributions of source code must retain the above copyright notice, this
#    list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright notice,
#    this list of conditions and the following disclaimer in the documentation
#    and/or other materials provided with the distribution.

# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND
# ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
# WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
# DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS BE LIABLE FOR
# ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES
# (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;
# LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
# ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
# SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

#set -x

if [ -f /etc/make.conf ]; then
  eval `grep '^PORTSDIR' /etc/make.conf | head -1 | awk '{print $1}'`;
  if [ -z "${PORTSDIR}" ]; then
    PORTSDIR="/usr/ports"; # Antar FreeBSD.
  fi;
  echo "${0}: portshierarkiet finnes innenfor ${PORTSDIR}";

  eval `grep '^WRKDIRPREFIX' /etc/make.conf | head -1 | awk '{print $1}'`;
  if [ -z "${WRKDIRPREFIX}" ]; then
    echo "${0}: jeg fungerer ikke s bra nr WRKDIRPREFIX ikke er satt i /etc/make.conf" >/dev/stderr;
    exit 69;
  fi;
  echo "${0}: arbeidskatalogene plasseres innenfor ${WRKDIRPREFIX}${PORTSDIR}";
fi

cd ${WRKDIRPREFIX}${PORTSDIR} || exit 69

for k in *; do
  echo "${0}: jeg bytter til ${WRKDIRPREFIX}${PORTSDIR}/${k}";
  cd ${WRKDIRPREFIX}${PORTSDIR}/${k};

  for p in *; do
    echo "${0}: jeg bytter til ${WRKDIRPREFIX}${PORTSDIR}/${k}/${p}";
    cd ${WRKDIRPREFIX}${PORTSDIR}/${k}/${p};

    if [ -d ${WRKDIRPREFIX}${PORTSDIR}/${k}/${p}/work ]; then
      echo "${0}: jeg bytter til ${WRKDIRPREFIX}${PORTSDIR}/${k}/${p}/work";
      cd ${WRKDIRPREFIX}${PORTSDIR}/${k}/${p}/work;

      if [ -f .install_done.* ]; then
        if [ ! -f .package_done.* ]; then
          echo "${0}: ${k}/${p} er ferdig installert, og dermed mekker jeg pakke av den ...";
          cd ${PORTSDIR}/${k}/${p};
          make package || exit 69;
        fi;

        cd ${WRKDIRPREFIX}${PORTSDIR}/${k}/${p}/work;
        if [ -f .package_done.* ]; then
          echo "${0}: ${k}/${p} finnes som pakke, og dermed sletter jeg arbeidskatalogen ...";
          cd ${WRKDIRPREFIX}${PORTSDIR}/${k}/${p};
          rm -R ${WRKDIRPREFIX}${PORTSDIR}/${k}/${p}/work;
        fi;
      else
        echo "${0}: ${k}/${p} er ikke ferdig enn ...";
      fi;
    else
      echo "${0}: jeg fant ingen arbeidskatalog for ${k}/${p} ...";
    fi;
  done;
done
