--
-- PostgreSQL database dump
--

-- Dumped from database version 12.3
-- Dumped by pg_dump version 12.3

SET statement_timeout = 0;
SET lock_timeout = 0;
SET idle_in_transaction_session_timeout = 0;
SET client_encoding = 'UTF8';
SET standard_conforming_strings = on;
SELECT pg_catalog.set_config('search_path', '', false);
SET check_function_bodies = false;
SET xmloption = content;
SET client_min_messages = warning;
SET row_security = off;

--
-- Name: insert_pkg(text, text, timestamp with time zone, timestamp with time zone); Type: FUNCTION; Schema: public; Owner: trond
--

CREATE FUNCTION public.insert_pkg(text, text, timestamp with time zone, timestamp with time zone) RETURNS void
    LANGUAGE plpgsql
    AS $_$
BEGIN
  -- start might be one day in the future due to a bug in ports-mgmt/synth.
  -- The bug is only present when start is before midnight zulu and finished is after midnight zulu.
  IF $3 > $4 THEN
    INSERT INTO portsbuildstats (origin, pkgname, start, finished) VALUES ($1, $2, ($3 - '1d'::INTERVAL), $4);
  ELSE
    INSERT INTO portsbuildstats (origin, pkgname, start, finished) VALUES ($1, $2, $3, $4);
  END IF;
END;
$_$;


ALTER FUNCTION public.insert_pkg(text, text, timestamp with time zone, timestamp with time zone) OWNER TO trond;

SET default_tablespace = '';

SET default_table_access_method = heap;

--
-- Name: portsbuildstats; Type: TABLE; Schema: public; Owner: trond
--

CREATE TABLE public.portsbuildstats (
    start timestamp(0) with time zone NOT NULL,
    finished timestamp(0) with time zone NOT NULL,
    origin text NOT NULL,
    pkgname text NOT NULL,
    CONSTRAINT start_before_finished_ck CHECK ((finished > start))
);


ALTER TABLE public.portsbuildstats OWNER TO trond;

--
-- Name: portsbuildstats_with_duration; Type: VIEW; Schema: public; Owner: trond
--

CREATE VIEW public.portsbuildstats_with_duration AS
 SELECT p.origin,
    p.pkgname,
    p.start,
    p.finished,
    (p.finished - p.start) AS duration
   FROM public.portsbuildstats p;


ALTER TABLE public.portsbuildstats_with_duration OWNER TO trond;

--
-- Data for Name: portsbuildstats; Type: TABLE DATA; Schema: public; Owner: trond
--

COPY public.portsbuildstats (start, finished, origin, pkgname) FROM stdin;
2020-05-25 07:51:33+02	2020-05-25 07:53:38+02	devel/kf5-kio	kf5-kio-5.70.1_1
2020-05-25 22:48:02+02	2020-05-25 22:48:40+02	devel/qt5-linguisttools	qt5-linguisttools-5.14.2
2020-05-25 22:53:29+02	2020-05-25 22:54:25+02	devel/kf5-kservice	kf5-kservice-5.70.0
2020-05-25 23:04:00+02	2020-05-25 23:04:38+02	security/pinentry-qt5	pinentry-qt5-1.1.0_1
2020-05-24 16:52:44+02	2020-05-24 17:07:15+02	local/E590T-localbase	E590T-localbase-2020052200
2020-05-25 23:40:18+02	2020-05-25 23:43:15+02	multimedia/obs-studio	obs-studio-25.0.8
2020-05-26 19:37:36+02	2020-05-26 19:39:50+02	devel/bzr@py27	bzr-2.7.0.6622
2020-05-20 06:42:17+02	2020-05-20 06:43:42+02	graphics/libwpg03	libwpg03-0.3.3_1
2020-04-25 10:02:25+02	2020-04-25 10:07:13+02	graphics/libzmf	libzmf-0.0.2_21
2020-05-16 15:54:42+02	2020-05-16 16:02:39+02	graphics/mesa-dri	mesa-dri-19.0.8
2020-05-16 15:19:33+02	2020-05-16 15:21:49+02	graphics/mesa-libs	mesa-libs-19.0.8
2020-05-16 17:44:23+02	2020-05-16 17:46:36+02	graphics/movit	movit-1.6.2_2
2020-03-02 08:44:04+01	2020-03-02 08:44:31+01	graphics/mypaint-brushes	mypaint-brushes-1.3.1
2020-05-10 00:29:19+02	2020-05-10 00:31:36+02	graphics/netpbm	netpbm-10.90.02
2020-05-20 08:51:07+02	2020-05-20 09:18:46+02	graphics/opencollada	opencollada-1.6.68_2
2020-04-04 01:05:33+02	2020-04-04 01:24:24+02	graphics/opencv-core	opencv-core-3.4.1_31
2020-05-23 08:59:36+02	2020-05-23 09:03:22+02	graphics/opencv	opencv-3.4.1_31
2020-05-14 08:58:40+02	2020-05-14 09:02:50+02	graphics/openexr	openexr-2.5.1
2020-02-28 23:26:26+01	2020-02-28 23:27:17+01	graphics/openjpeg	openjpeg-2.3.1
2020-02-28 23:51:10+01	2020-02-28 23:51:38+01	graphics/openjpeg15	openjpeg15-1.5.2_1
2020-05-21 01:43:41+02	2020-05-21 01:44:30+02	graphics/pecl-imagick-im7@php73	php73-pecl-imagick-im7-3.4.4
2020-04-26 17:02:11+02	2020-04-26 17:05:43+02	graphics/pecl-imagick@php73	php73-pecl-imagick-3.4.4
2020-05-16 10:57:28+02	2020-05-16 10:57:53+02	graphics/php73-gd	php73-gd-7.3.18
2020-02-28 22:17:50+01	2020-02-28 22:18:17+01	graphics/png	png-1.6.37
2020-05-09 13:23:33+02	2020-05-09 13:27:35+02	graphics/podofo	podofo-0.9.6_1
2020-02-28 22:52:44+01	2020-02-28 22:53:03+01	graphics/poppler-data	poppler-data-0.4.9_2
2020-05-21 16:21:44+02	2020-05-21 16:22:23+02	graphics/poppler-glib	poppler-glib-0.88.0
2020-05-21 17:08:35+02	2020-05-21 17:09:38+02	graphics/poppler-qt5	poppler-qt5-0.88.0
2020-05-21 16:22:24+02	2020-05-21 16:22:51+02	graphics/poppler-utils	poppler-utils-0.88.0
2020-05-21 16:21:00+02	2020-05-21 16:21:35+02	graphics/poppler	poppler-0.88.0
2020-05-20 04:12:23+02	2020-05-20 04:12:52+02	graphics/py-cairo@py27	py27-cairo-1.18.1_1
2020-05-21 01:36:42+02	2020-05-21 01:36:59+02	graphics/py-cairo@py37	py37-cairo-1.18.1_1
2020-05-24 16:31:31+02	2020-05-24 16:32:32+02	graphics/py-gimp	py27-gimp-2.10.18_6
2020-03-02 08:44:10+01	2020-03-02 08:44:20+01	graphics/py-imagesize@py27	py27-imagesize-1.1.0
2020-04-26 15:42:24+02	2020-04-26 15:42:41+02	graphics/py-imagesize@py37	py37-imagesize-1.1.0
2020-02-24 15:36:58+01	2020-02-24 15:37:52+01	graphics/py-pillow@py27	py27-pillow-6.2.2
2020-05-09 12:49:20+02	2020-05-09 12:50:25+02	graphics/py-pillow@py37	py37-pillow-7.0.0
2020-03-16 08:11:48+01	2020-03-16 08:12:18+01	graphics/py-pillow6@py27	py27-pillow6-6.2.2
2020-05-20 08:52:40+02	2020-05-20 08:53:50+02	graphics/py-pygraphviz@py37	py37-pygraphviz-1.5
2020-03-20 09:30:37+01	2020-03-20 09:31:43+01	graphics/py-qt5-svg@py27	py27-qt5-svg-5.13.1
2020-05-20 08:53:51+02	2020-05-20 08:55:53+02	graphics/py-qt5-svg@py37	py37-qt5-svg-5.13.1_1
2020-05-21 17:53:37+02	2020-05-21 17:53:55+02	graphics/py-svgwrite@py37	py37-svgwrite-1.3.1
2020-05-20 08:55:55+02	2020-05-20 09:28:57+02	graphics/qt5-3d	qt5-3d-5.14.2
2020-05-20 09:18:47+02	2020-05-20 09:20:42+02	graphics/qt5-graphicaleffects	qt5-graphicaleffects-5.14.2
2020-05-20 02:23:38+02	2020-05-20 02:25:08+02	graphics/qt5-imageformats	qt5-imageformats-5.14.2
2020-05-21 01:38:08+02	2020-05-21 01:40:07+02	graphics/qt5-opengl	qt5-opengl-5.14.2
2020-05-21 01:44:30+02	2020-05-21 01:45:37+02	graphics/qt5-svg	qt5-svg-5.14.2
2020-02-29 17:13:32+01	2020-02-29 17:18:41+01	graphics/sane-backends	sane-backends-1.0.29
2020-05-16 19:28:53+02	2020-05-16 19:29:23+02	graphics/sdl_gfx	sdl_gfx-2.0.26
2020-05-16 16:24:14+02	2020-05-16 16:24:39+02	graphics/sdl_image	sdl_image-1.2.12_12
2020-05-16 17:47:05+02	2020-05-16 17:47:25+02	graphics/sdl_ttf	sdl_ttf-2.0.11_7
2020-05-16 17:46:36+02	2020-05-16 17:47:05+02	graphics/sdl2_image	sdl2_image-2.0.5
2020-05-15 08:31:08+02	2020-05-15 08:31:50+02	graphics/shaderc	shaderc-2020.0
2020-03-16 22:37:22+01	2020-03-16 22:58:17+01	graphics/tesseract-data	tesseract-data-4.0.0
2020-05-20 05:23:27+02	2020-05-20 05:38:55+02	graphics/tesseract	tesseract-4.1.1_2
2020-02-28 22:30:15+01	2020-02-28 22:30:59+01	graphics/tiff	tiff-4.1.0
2020-05-14 09:55:25+02	2020-05-14 09:56:02+02	graphics/vigra	vigra-1.11.1_9
2020-05-15 08:08:50+02	2020-05-15 08:09:39+02	graphics/vulkan-loader	vulkan-loader-1.2.135.0
2020-03-05 23:53:37+01	2020-03-05 23:53:45+01	graphics/wayland-protocols	wayland-protocols-1.20
2020-03-02 07:18:29+01	2020-03-02 07:18:53+01	graphics/wayland	wayland-1.18.0_3
2020-02-28 22:45:00+01	2020-02-28 22:46:31+01	graphics/webp	webp-1.1.0
2020-05-21 13:04:09+02	2020-05-21 13:05:26+02	graphics/xfig	xfig-3.2.7a
2020-05-21 04:57:06+02	2020-05-21 05:01:04+02	graphics/xpdf	xpdf-4.02,1
2020-03-01 00:01:43+01	2020-03-01 00:02:09+01	graphics/aalib	aalib-1.4.r5_13
2020-05-21 05:01:06+02	2020-05-21 05:06:44+02	irc/irssi	irssi-1.2.2,1
2020-05-21 17:11:35+02	2020-05-21 17:20:40+02	japanese/tex-ptex	ja-tex-ptex-3.6_1
2020-02-29 06:51:59+01	2020-02-29 06:54:49+01	java/bootstrap-openjdk11	bootstrap-openjdk11-11.0.5.10.1
2020-02-29 02:02:46+01	2020-02-29 02:04:31+01	java/bootstrap-openjdk8	bootstrap-openjdk8-r450802
2020-05-10 11:43:19+02	2020-05-10 11:43:26+02	java/java-zoneinfo	java-zoneinfo-2020.a
2020-03-22 12:36:27+01	2020-03-22 12:36:34+01	java/javavmwrapper	javavmwrapper-2.7.5
2020-05-09 13:32:12+02	2020-05-09 13:54:45+02	java/openjdk11	openjdk11-11.0.7+10.2
2020-05-09 15:19:20+02	2020-05-09 15:42:05+02	java/openjdk12	openjdk12-12.0.2+10.4
2020-04-18 17:09:31+02	2020-04-18 17:30:46+02	java/openjdk13	openjdk13-13.0.3+3.1
2020-05-10 11:43:43+02	2020-05-10 12:05:19+02	java/openjdk8	openjdk8-8.252.09.1
2020-05-21 05:06:45+02	2020-05-21 05:09:23+02	lang/csharp-mode.el@full	csharp-mode.el-emacs26-0.9.2_1
2020-04-27 23:32:03+02	2020-04-27 23:36:25+02	lang/cython@py27	py27-cython-0.29.15
2020-04-26 15:39:57+02	2020-04-26 15:44:59+02	lang/cython@py37	py37-cython-0.29.15
2020-02-29 17:55:37+01	2020-02-29 17:55:54+01	lang/erlang-man	erlang-man-21.3_2
2020-05-21 17:53:54+02	2020-05-21 18:33:50+02	lang/erlang-runtime22	erlang-runtime22-22.3.4.1
2020-05-21 17:53:56+02	2020-05-21 18:39:52+02	lang/erlang-runtime23	erlang-runtime23-23.0.1
2020-05-23 19:20:47+02	2020-05-23 19:41:02+02	lang/erlang	erlang-21.3.8.16,4
2020-03-07 11:37:27+01	2020-03-07 11:37:47+01	lang/fpc-rtl-console	fpc-rtl-console-3.0.4_4
2020-03-07 03:18:20+01	2020-03-07 03:18:34+01	lang/fpc-rtl-extra	fpc-rtl-extra-3.0.4_4
2020-03-07 03:17:30+01	2020-03-07 03:17:48+01	lang/fpc-rtl-objpas	fpc-rtl-objpas-3.0.4_5
2020-03-07 11:37:48+01	2020-03-07 11:41:20+01	lang/fpc-source	fpc-source-3.0.4_2
2020-05-09 22:44:13+02	2020-05-10 00:02:34+02	math/suitesparse	suitesparse-5.7.2_1
2020-05-20 23:57:09+02	2020-05-21 00:07:40+02	devel/qt5-core	qt5-core-5.14.2_3
2020-03-07 11:41:20+01	2020-03-07 11:42:54+01	lang/fpc-utils	fpc-utils-3.0.4_6
2020-03-07 03:15:56+01	2020-03-07 03:17:29+01	lang/fpc	fpc-3.0.4_4
2020-04-26 05:14:54+02	2020-04-26 05:15:08+02	lang/gcc	gcc-9_4
2020-05-21 17:55:56+02	2020-05-21 20:03:55+02	lang/gcc10-devel	gcc10-devel-10.1.1.s20200516
2020-03-08 20:14:18+01	2020-03-08 20:57:48+01	lang/gcc48	gcc48-4.8.5_11
2020-03-08 15:26:22+01	2020-03-08 16:07:54+01	lang/gcc6-aux	gcc6-aux-20180516_1,1
2020-04-27 00:34:14+02	2020-04-27 01:59:23+02	lang/gcc9	gcc9-9.3.0_1
2020-05-22 01:08:33+02	2020-05-22 02:16:43+02	lang/ghc	ghc-8.8.3
2020-05-16 10:50:19+02	2020-05-16 10:57:27+02	lang/go	go-1.14.3,1
2020-02-29 09:11:13+01	2020-02-29 09:13:31+01	lang/go14	go14-1.4.3_6
2020-05-24 11:27:18+02	2020-05-24 11:27:39+02	lang/julia	julia-1.0.3_3
2020-05-24 11:14:07+02	2020-05-24 11:27:17+02	lang/julia11	julia11-1.1.1_5
2020-04-12 01:53:26+02	2020-04-12 01:53:49+02	lang/lua51	lua51-5.1.5_9
2020-04-09 11:02:30+02	2020-04-09 11:02:49+02	lang/lua52	lua52-5.2.4
2020-04-09 12:28:48+02	2020-04-09 12:29:21+02	lang/lua53	lua53-5.3.5_3
2020-03-01 02:17:48+01	2020-03-01 02:18:48+01	lang/luajit	luajit-2.0.5_4
2020-03-01 10:25:46+01	2020-03-01 10:26:12+01	lang/mmix	mmix-20160804
2020-05-09 15:33:01+02	2020-05-09 16:03:12+02	lang/mono	mono-5.10.1.57_3
2020-03-20 04:41:28+01	2020-03-20 04:41:49+01	lang/p5-Error	p5-Error-0.17029
2020-03-20 07:52:26+01	2020-03-20 07:52:50+01	lang/p5-Try-Tiny	p5-Try-Tiny-0.30
2020-03-19 20:11:57+01	2020-03-19 20:15:48+01	lang/perl5.30	perl5-5.30.2
2020-05-16 10:50:19+02	2020-05-16 10:56:11+02	lang/php73	php73-7.3.18
2020-03-20 05:30:45+01	2020-03-20 05:33:13+01	lang/py-qt5-qml@py27	py27-qt5-qml-5.13.1
2020-05-20 07:14:06+02	2020-05-20 07:17:10+02	lang/py-qt5-qml@py37	py37-qt5-qml-5.13.1_1
2020-03-01 10:58:22+01	2020-03-01 10:58:30+01	lang/python-mode.el	python-mode.el-1.0_2,1
2020-04-27 13:38:55+02	2020-04-27 13:39:22+02	lang/python	python-3.7_3,2
2020-04-27 23:26:02+02	2020-04-27 23:30:22+02	lang/python27	python27-2.7.18
2020-04-27 08:25:20+02	2020-04-27 08:25:47+02	lang/python3	python3-3_3
2020-04-26 15:30:09+02	2020-04-26 15:38:57+02	lang/python37	python37-3.7.7
2020-05-16 18:34:45+02	2020-05-16 18:38:08+02	lang/python38	python38-3.8.3
2020-05-16 15:38:41+02	2020-05-16 15:51:17+02	lang/ruby27	ruby-2.7.1,1
2020-05-01 09:22:20+02	2020-05-01 13:06:50+02	lang/rust-nightly	rust-nightly-1.45.0.20200427
2020-05-20 02:39:51+02	2020-05-20 05:43:57+02	lang/rust	rust-1.43.1
2020-04-25 01:37:48+02	2020-04-25 02:04:48+02	lang/spidermonkey60	spidermonkey60-60.9.0_3
2020-02-28 22:57:49+01	2020-02-28 23:00:13+01	lang/tcl86	tcl86-8.6.10
2020-05-21 00:19:16+02	2020-05-21 00:23:18+02	lang/vala	vala-0.40.15,1
2020-03-01 21:57:58+01	2020-03-01 21:58:19+01	local/rustapps	rustapps-2020030100
2020-04-26 15:23:52+02	2020-04-26 15:28:58+02	mail/alpine	alpine-2.22
2020-04-17 14:21:39+02	2020-04-17 14:21:55+02	mail/bbmail	bbmail-0.9.3
2020-05-16 17:00:29+02	2020-05-16 17:04:40+02	mail/mailutils	mailutils-3.9
2020-02-29 18:09:47+01	2020-02-29 18:23:41+01	math/coinmp	CoinMP-1.8.4_3
2020-04-25 11:09:57+02	2020-04-25 11:16:32+02	math/cryptominisat	cryptominisat-5.6.8_6
2020-03-01 00:05:03+01	2020-03-01 00:05:26+01	math/eigen3	eigen-3.3.7
2020-04-19 17:55:47+02	2020-04-19 17:59:48+02	math/fftw3-float	fftw3-float-3.3.8_6
2020-04-19 17:55:47+02	2020-04-19 17:59:53+02	math/fftw3	fftw3-3.3.8_6
2020-03-07 11:42:55+01	2020-03-07 11:43:13+01	math/fpc-numlib	fpc-numlib-3.0.4_4
2020-02-29 09:13:32+01	2020-02-29 09:14:00+01	math/glm	glm-0.9.8.5_4,1
2020-03-08 12:06:15+01	2020-03-08 12:07:48+01	math/gmp	gmp-6.2.0
2020-05-20 04:12:24+02	2020-05-20 04:15:05+02	math/gnuplot	gnuplot-5.2.8_1
2020-03-01 02:37:10+01	2020-03-01 02:43:06+01	math/gsl	gsl-2.6
2020-02-29 18:24:00+01	2020-02-29 18:26:45+01	math/lp_solve	lp_solve-5.5.2.5
2020-05-20 21:44:18+02	2020-05-20 21:46:26+02	math/mate-calc	mate-calc-1.22.2
2020-02-29 06:52:00+01	2020-02-29 06:52:42+01	math/metis	metis-5.1.0_8
2020-03-28 19:45:02+01	2020-03-28 19:45:23+01	math/minisat	minisat-2.2.1_2
2020-03-08 12:45:09+01	2020-03-08 12:45:33+01	math/mpc	mpc-1.1.0_2
2020-03-08 12:07:49+01	2020-03-08 12:08:33+01	math/mpfr	mpfr-4.0.2
2020-05-08 22:05:56+02	2020-05-08 22:32:42+02	math/openblas	openblas-0.3.9_2,1
2020-02-29 18:26:46+01	2020-02-29 18:27:13+01	math/openlibm	openlibm-0.6.0_1
2020-05-16 10:59:23+02	2020-05-16 10:59:41+02	math/pecl-bitset@php73	php73-pecl-bitset-3.0.1
2020-05-16 10:59:34+02	2020-05-16 10:59:57+02	math/php73-bcmath	php73-bcmath-7.3.18
2020-04-26 22:41:26+02	2020-04-26 22:44:14+02	math/py-kiwisolver@py37	py37-kiwisolver-1.1.0
2020-05-18 08:20:04+02	2020-05-18 08:22:10+02	math/py-matplotlib@py37	py37-matplotlib-2.2.4_2
2020-05-20 21:46:27+02	2020-05-20 21:47:42+02	math/py-networkx@py37	py37-networkx-2.1,1
2020-05-16 18:36:16+02	2020-05-16 18:38:05+02	math/py-numpy@py27	py27-numpy-1.16.6,1
2020-05-16 16:40:56+02	2020-05-16 16:43:17+02	math/py-numpy@py37	py37-numpy-1.16.6,1
2020-05-21 18:33:51+02	2020-05-21 18:52:04+02	math/R	R-4.0.0_1
2020-04-19 17:40:59+02	2020-04-19 17:41:06+02	math/sc	sc-7.16_3
2020-04-27 08:30:17+02	2020-04-27 08:31:57+02	math/stp	stp-2.3.3_5,1
2020-05-25 07:53:39+02	2020-05-25 08:06:18+02	editors/libreoffice	libreoffice-6.3.6
2020-05-14 10:42:54+02	2020-05-14 11:03:34+02	math/z3	z3-4.8.8
2020-03-01 02:45:25+01	2020-03-01 02:45:38+01	misc/chmlib	chmlib-0.40_1
2020-03-03 20:24:04+01	2020-03-03 20:24:10+01	misc/compat12x	compat12x-amd64-12.1.1201000.20200220
2020-03-24 07:46:57+01	2020-03-24 07:49:29+01	misc/e2fsprogs-libuuid	e2fsprogs-libuuid-1.45.6
2020-03-07 03:28:52+01	2020-03-07 03:29:14+01	misc/fpc-chm	fpc-chm-3.0.4_4
2020-05-23 09:25:00+02	2020-05-23 09:25:08+02	misc/freebsd-release-manifests	freebsd-release-manifests-20200522
2020-02-29 01:13:24+01	2020-02-29 01:13:32+01	misc/getopt	getopt-1.1.6
2020-04-27 08:31:58+02	2020-04-27 08:43:30+02	misc/gimp-help-en	en-gimp-help-html-2.10.0
2020-04-26 15:36:06+02	2020-04-26 15:37:06+02	misc/gnu-watch	gnu-watch-3.3.16
2020-04-30 07:56:57+02	2020-04-30 07:57:12+02	misc/help2man	help2man-1.47.15
2020-02-28 22:40:58+01	2020-02-28 22:41:06+01	misc/hicolor-icon-theme	hicolor-icon-theme-0.17
2020-03-01 02:52:35+01	2020-03-01 02:52:57+01	misc/ini_file_manager	ini_file_manager-03_3
2020-02-28 23:28:37+01	2020-02-28 23:29:11+01	misc/iso-codes	iso-codes-4.2
2020-05-20 09:20:43+02	2020-05-20 09:30:37+02	misc/mate-user-guide	mate-user-guide-1.22.3
2020-05-21 08:12:44+02	2020-05-21 08:24:57+02	misc/mc	mc-nox11-4.8.24
2020-05-05 19:39:19+02	2020-05-05 19:39:26+02	misc/pciids	pciids-20200421
2020-03-03 17:35:23+01	2020-03-03 17:36:08+01	misc/pinfo	pinfo-0.6.10_5
2020-02-25 17:18:46+01	2020-02-25 17:19:01+01	misc/py-pexpect@py37	py37-pexpect-4.8.0
2020-02-25 17:14:50+01	2020-02-25 17:14:58+01	misc/py-tqdm@py37	py37-tqdm-4.41.1
2020-03-16 01:06:24+01	2020-03-16 01:06:31+01	misc/qtchooser	qtchooser-66_2
2020-05-19 23:55:24+02	2020-05-19 23:56:12+02	misc/shared-mime-info	shared-mime-info-1.10_2
2020-05-05 23:46:25+02	2020-05-05 23:46:40+02	misc/usbids	usbids-20200329
2020-04-17 11:36:49+02	2020-04-17 11:37:17+02	misc/xosd	xosd-2.2.14_3
2020-05-21 01:13:11+02	2020-05-21 01:21:32+02	multimedia/aom	aom-2.0.0
2020-03-17 05:19:38+01	2020-03-17 05:38:54+01	multimedia/assimp	assimp-5.0.1
2020-05-23 09:47:05+02	2020-05-23 09:48:11+02	multimedia/celluloid	celluloid-0.19
2020-05-07 20:18:18+02	2020-05-07 20:19:26+02	multimedia/cmrt	cmrt-1.0.6_2
2020-05-21 16:14:56+02	2020-05-21 16:16:28+02	multimedia/dav1d	dav1d-0.7.0
2020-05-23 08:47:49+02	2020-05-23 08:59:11+02	multimedia/ffmpeg	ffmpeg-4.2.3,1
2020-03-17 05:38:55+01	2020-03-17 05:40:37+01	multimedia/gavl	gavl-1.4.0_4
2020-03-29 19:12:26+02	2020-03-29 19:13:39+02	multimedia/gmmlib	gmmlib-20.1.1
2020-02-29 06:53:14+01	2020-02-29 06:53:20+01	multimedia/gmp-api	gmp-api-58
2020-05-21 23:50:15+02	2020-05-22 00:00:33+02	astro/stellarium	stellarium-0.20.1
2020-05-21 01:50:05+02	2020-05-21 01:52:15+02	multimedia/gstreamer-plugins	gstreamer-plugins-0.10.36_12,3
2020-05-21 01:44:43+02	2020-05-21 01:46:41+02	multimedia/gstreamer	gstreamer-0.10.36_6
2020-05-23 08:59:12+02	2020-05-23 08:59:42+02	multimedia/gstreamer1-libav	gstreamer1-libav-1.16.2
2020-05-21 01:27:50+02	2020-05-21 01:31:22+02	multimedia/gstreamer1-plugins-bad	gstreamer1-plugins-bad-1.16.2
2020-05-23 08:59:42+02	2020-05-23 09:00:12+02	multimedia/gstreamer1-plugins-core	gstreamer1-plugins-core-1.16
2020-05-20 04:13:46+02	2020-05-20 04:15:08+02	multimedia/gstreamer1-plugins-dts	gstreamer1-plugins-dts-1.16.2
2020-05-20 04:15:05+02	2020-05-20 04:15:34+02	multimedia/gstreamer1-plugins-dvdread	gstreamer1-plugins-dvdread-1.16.2_1
2020-05-20 02:53:18+02	2020-05-20 03:00:53+02	multimedia/gstreamer1-plugins-good	gstreamer1-plugins-good-1.16.2
2020-05-20 04:15:08+02	2020-05-20 04:16:12+02	multimedia/gstreamer1-plugins-resindvd	gstreamer1-plugins-resindvd-1.16.2_1
2020-05-20 04:15:34+02	2020-05-20 04:16:19+02	multimedia/gstreamer1-plugins-theora	gstreamer1-plugins-theora-1.16.2
2020-05-20 03:00:54+02	2020-05-20 03:04:31+02	multimedia/gstreamer1-plugins-ugly	gstreamer1-plugins-ugly-1.16.2
2020-05-21 01:01:31+02	2020-05-21 01:05:02+02	multimedia/gstreamer1-plugins	gstreamer1-plugins-1.16.2
2020-05-21 00:58:41+02	2020-05-21 01:01:29+02	multimedia/gstreamer1	gstreamer1-1.16.2
2020-05-20 09:28:58+02	2020-05-20 09:30:03+02	multimedia/libass	libass-0.14.0
2020-03-01 00:05:44+01	2020-03-01 00:06:17+01	multimedia/libbdplus	libbdplus-0.1.2
2020-05-09 11:23:40+02	2020-05-09 11:23:58+02	multimedia/libbluray	libbluray-1.1.1_2,1
2020-02-29 02:22:46+01	2020-02-29 02:23:04+01	multimedia/libdca	libdca-0.0.6_1
2020-03-01 02:53:16+01	2020-03-01 02:53:48+01	multimedia/libdvbpsi	libdvbpsi-1.3.3
2020-02-29 01:49:59+01	2020-02-29 01:50:12+01	multimedia/libdvdcss	libdvdcss-1.4.2
2020-03-28 15:45:54+01	2020-03-28 15:46:10+01	multimedia/libdvdnav	libdvdnav-6.1.0
2020-03-28 15:45:25+01	2020-03-28 15:45:53+01	multimedia/libdvdread	libdvdread-6.1.0
2020-03-01 02:53:48+01	2020-03-01 02:54:28+01	multimedia/libmatroska	libmatroska-1.5.2_1
2020-03-01 02:54:28+01	2020-03-01 02:55:18+01	multimedia/libmpeg2	libmpeg2-0.5.1_6
2020-03-01 02:55:19+01	2020-03-01 02:55:51+01	multimedia/libmtp	libmtp-1.1.17
2020-05-23 09:25:08+02	2020-05-23 09:26:27+02	multimedia/libopenshot@py37	py37-libopenshot-0.2.5.4
2020-05-10 16:10:54+02	2020-05-10 16:11:04+02	multimedia/librtmp	librtmp-2.4.20190330
2020-03-01 00:06:18+01	2020-03-01 00:06:39+01	multimedia/libtheora	libtheora-1.1.1_7
2020-04-19 09:26:09+02	2020-04-19 09:30:24+02	multimedia/libv4l	libv4l-1.18.0
2020-05-16 21:15:00+02	2020-05-16 21:15:14+02	multimedia/libva-glx	libva-glx-2.7.1
2020-05-09 01:38:04+02	2020-05-09 01:39:01+02	multimedia/libva-intel-driver	libva-intel-driver-2.4.0
2020-05-07 21:35:52+02	2020-05-07 21:36:50+02	multimedia/libva-intel-hybrid-driver	libva-intel-hybrid-driver-1.0.2_2
2020-05-08 01:38:22+02	2020-05-08 02:02:19+02	multimedia/libva-intel-media-driver	libva-intel-media-driver-20.1.1
2020-05-09 01:39:02+02	2020-05-09 01:40:19+02	multimedia/libva-utils	libva-utils-2.7.1
2020-05-23 09:48:10+02	2020-05-23 09:48:28+02	multimedia/libva-vdpau-driver	libva-vdpau-driver-0.7.4_9
2020-05-05 19:43:27+02	2020-05-05 19:43:59+02	multimedia/libva	libva-2.7.1
2020-05-23 08:47:36+02	2020-05-23 08:47:48+02	multimedia/libvdpau	libvdpau-1.4
2020-03-01 00:20:09+01	2020-03-01 00:23:58+01	multimedia/libvpx	libvpx-1.8.2_1
2020-05-05 19:39:42+02	2020-05-05 19:43:27+02	multimedia/libx264	libx264-0.159.2999
2020-04-26 15:30:08+02	2020-04-26 15:30:35+02	multimedia/libaacs	libaacs-0.9.0
2020-05-23 09:13:33+02	2020-05-23 09:15:35+02	multimedia/mlt	mlt-6.20.0
2020-05-23 09:25:20+02	2020-05-23 09:27:00+02	multimedia/mpv	mpv-0.32.0_2,1
2020-05-23 09:48:12+02	2020-05-23 09:50:19+02	multimedia/obs-studio	obs-studio-25.0.8
2020-05-23 08:48:11+02	2020-05-23 08:48:51+02	multimedia/openh264	openh264-2.1.1,2
2020-05-23 09:48:28+02	2020-05-23 09:50:51+02	multimedia/openshot@py37	openshot-2.5.1.7
2020-05-20 04:39:43+02	2020-05-20 04:42:26+02	multimedia/phonon	phonon-qt5-4.11.1
2020-05-20 04:40:49+02	2020-05-20 04:48:47+02	multimedia/qt5-multimedia	qt5-multimedia-5.14.2
2020-05-10 16:12:11+02	2020-05-10 16:12:31+02	multimedia/rtmpdump	rtmpdump-2.4.20190330
2020-05-23 09:50:20+02	2020-05-23 09:52:39+02	multimedia/shotcut	shotcut-20.04.12_1
2020-05-16 16:12:19+02	2020-05-16 16:12:39+02	multimedia/smpeg	smpeg-0.4.4_15
2020-04-18 09:03:18+02	2020-04-18 09:03:42+02	multimedia/v4l_compat	v4l_compat-1.18.0
2020-03-17 05:40:38+01	2020-03-17 05:41:00+01	multimedia/vid.stab	vid.stab-0.98.2
2020-05-23 09:26:28+02	2020-05-23 09:30:43+02	multimedia/vlc	vlc-3.0.10_4,4
2020-05-21 23:54:21+02	2020-05-21 23:55:56+02	multimedia/webcamd	webcamd-5.7.1.1_1
2020-05-23 09:27:01+02	2020-05-23 09:27:53+02	multimedia/webvfx-qt5	webvfx-qt5-0.4.4.20160823_12
2020-03-02 07:51:06+01	2020-03-02 08:05:34+01	multimedia/x265	x265-3.2.1_2
2020-03-01 00:23:59+01	2020-03-01 00:24:47+01	multimedia/xvid	xvid-1.3.7,1
2020-05-21 00:01:57+02	2020-05-21 00:07:33+02	net/avahi-app	avahi-app-0.7_3
2020-05-20 02:25:09+02	2020-05-20 02:28:34+02	net/avahi-gtk3	avahi-gtk3-0.7_1
2020-02-29 01:13:32+01	2020-02-29 01:13:39+01	net/avahi-header	avahi-header-0.7
2020-04-23 18:31:30+02	2020-04-23 18:32:36+02	net/cppzmq	cppzmq-4.6.0
2020-02-29 18:36:33+01	2020-02-29 18:37:02+01	net/fping	fping-4.2
2020-05-23 09:15:36+02	2020-05-23 09:18:18+02	net/freerdp	freerdp-2.0.0.r4_9
2020-05-21 01:50:13+02	2020-05-21 01:51:27+02	net/geoclue	geoclue-2.5.5
2020-05-08 02:02:20+02	2020-05-08 02:03:10+02	net/geoipupdate	geoipupdate-4.3.0_1
2020-05-21 01:02:38+02	2020-05-21 01:03:25+02	net/glib-networking	glib-networking-2.56.1_2
2020-05-20 05:38:56+02	2020-05-20 05:41:54+02	net/gnome-online-accounts	gnome-online-accounts-3.28.0_2
2020-05-20 07:18:43+02	2020-05-20 07:19:36+02	net/gssdp	gssdp-1.2.2
2020-05-20 09:32:18+02	2020-05-20 09:32:54+02	net/gupnp	gupnp-1.1.1_1
2020-05-16 18:42:31+02	2020-05-16 18:50:31+02	net/libcmis	libcmis-0.5.2_1
2020-05-20 04:16:12+02	2020-05-20 04:25:45+02	net/libmateweather	libmateweather-1.22.1
2020-02-29 18:56:37+01	2020-02-29 18:56:54+01	net/libmaxminddb	libmaxminddb-1.4.2
2020-05-16 17:05:40+02	2020-05-16 17:05:59+02	net/liboauth	liboauth-1.0.3_4
2020-03-01 02:56:04+01	2020-03-01 02:56:30+01	net/libpcap	libpcap-1.9.1_1
2020-02-28 23:42:06+01	2020-02-28 23:42:41+01	net/libproxy	libproxy-0.4.15
2020-02-29 10:14:37+01	2020-02-29 10:15:21+01	net/libvncserver	libvncserver-0.9.12_2
2020-04-24 00:39:34+02	2020-04-24 00:45:51+02	net/libzmq4	libzmq4-4.3.1_1
2020-05-17 04:47:54+02	2020-05-17 04:49:08+02	net/liveMedia	liveMedia-2020.05.15,2
2020-03-20 14:46:31+01	2020-03-20 14:47:48+01	net/mosh	mosh-1.3.2_12
2020-05-23 09:27:54+02	2020-05-23 09:28:20+02	net/ndpi	ndpi-3.2.d20200403_1,1
2020-04-24 00:38:46+02	2020-04-24 00:39:33+02	net/norm	norm-1.5r6_1
2020-05-23 09:50:51+02	2020-05-23 09:52:34+02	net/ntopng	ntopng-4.0.d20200414_1,1
2020-04-29 23:19:57+02	2020-04-29 23:21:05+02	net/openldap24-client	openldap-client-2.4.50
2020-04-29 23:18:14+02	2020-04-29 23:19:57+02	net/openldap24-sasl-client	openldap-sasl-client-2.4.50
2020-02-29 06:16:27+01	2020-02-29 06:17:16+01	net/openpgm	openpgm-5.2.122_6
2020-03-20 02:13:42+01	2020-03-20 02:14:05+01	net/p5-IO-Socket-INET6	p5-IO-Socket-INET6-2.72_1
2020-04-23 11:44:08+02	2020-04-23 11:45:21+02	net/p5-Net-HTTP	p5-Net-HTTP-6.19
2020-03-20 01:57:20+01	2020-03-20 01:57:46+01	net/p5-Socket6	p5-Socket6-0.29
2020-03-21 00:32:17+01	2020-03-21 00:32:31+01	net/p5-URI	p5-URI-1.76
2020-05-16 10:59:41+02	2020-05-16 11:01:44+02	net/php73-ldap	php73-ldap-7.3.18
2020-05-16 10:59:57+02	2020-05-16 11:00:25+02	net/php73-soap	php73-soap-7.3.18
2020-05-16 11:00:09+02	2020-05-16 11:00:32+02	net/php73-sockets	php73-sockets-7.3.18
2020-04-27 23:34:14+02	2020-04-27 23:34:38+02	net/py-ipaddress@py27	py27-ipaddress-1.0.23
2020-05-20 23:57:25+02	2020-05-21 00:01:56+02	print/harfbuzz	harfbuzz-2.6.6
2020-04-30 07:39:22+02	2020-04-30 07:41:57+02	ports-mgmt/pkg	pkg-1.14.4
2020-05-24 19:15:21+02	2020-05-24 19:16:59+02	graphics/drm-current-kmod	drm-current-kmod-4.16.g20200320
2020-04-27 08:47:09+02	2020-04-27 08:47:51+02	net/py-netaddr@py37	py37-netaddr-0.7.19_1
2020-03-03 06:49:43+01	2020-03-03 06:50:09+01	net/py-netifaces@py27	py27-netifaces-0.10.9
2020-04-27 08:47:52+02	2020-04-27 08:48:24+02	net/py-netifaces@py37	py37-netifaces-0.10.9
2020-03-02 08:32:51+01	2020-03-02 08:33:02+01	net/py-pysocks@py27	py27-pysocks-1.7.1
2020-04-26 15:41:26+02	2020-04-26 15:41:52+02	net/py-pysocks@py37	py37-pysocks-1.7.1
2020-05-10 16:15:04+02	2020-05-10 16:16:23+02	net/py-pyzmq@py37	py37-pyzmq-19.0.1
2020-03-20 03:57:05+01	2020-03-20 04:00:09+01	net/py-qt5-network@py27	py27-qt5-network-5.13.1
2020-05-20 04:02:06+02	2020-05-20 04:05:08+02	net/py-qt5-network@py37	py37-qt5-network-5.13.1_1
2020-05-21 16:54:21+02	2020-05-21 16:54:33+02	net/py-uritemplate@py37	py37-uritemplate-3.0.0
2020-03-04 21:50:44+01	2020-03-04 21:50:53+01	net/py-urllib3@py27	py27-urllib3-1.25.7,1
2020-05-18 22:05:41+02	2020-05-18 22:05:54+02	net/py-urllib3@py37	py37-urllib3-1.25.7,1
2020-05-21 00:23:47+02	2020-05-21 00:28:47+02	net/qt5-network	qt5-network-5.14.2
2020-04-17 14:44:27+02	2020-04-17 14:45:12+02	net/rdesktop	rdesktop-1.8.6
2020-05-20 09:32:42+02	2020-05-20 09:33:38+02	net/remmina-plugin-exec	remmina-plugin-exec-1.3.9
2020-05-20 21:55:44+02	2020-05-20 21:57:17+02	net/remmina-plugin-nx	remmina-plugin-nx-1.3.9
2020-05-23 09:28:15+02	2020-05-23 09:29:01+02	net/remmina-plugin-rdp	remmina-plugin-rdp-1.3.9
2020-05-20 21:59:21+02	2020-05-20 22:00:55+02	net/remmina-plugin-secret	remmina-plugin-secret-1.3.9
2020-05-20 22:00:56+02	2020-05-20 22:03:09+02	net/remmina-plugin-spice	remmina-plugin-spice-1.3.9
2020-05-20 22:03:10+02	2020-05-20 22:04:45+02	net/remmina-plugin-st	remmina-plugin-st-1.3.9
2020-05-20 22:04:46+02	2020-05-20 22:05:48+02	net/remmina-plugin-vnc	remmina-plugin-vnc-1.3.9
2020-05-20 22:05:49+02	2020-05-20 22:08:02+02	net/remmina-plugin-www	remmina-plugin-www-1.3.9
2020-05-20 22:08:02+02	2020-05-20 22:12:03+02	net/remmina-plugin-xdmcp	remmina-plugin-xdmcp-1.3.9
2020-05-23 09:52:34+02	2020-05-23 09:53:44+02	net/remmina-plugins	remmina-plugins-1.3.9
2020-05-20 02:31:31+02	2020-05-20 02:32:54+02	net/remmina	remmina-1.3.9
2020-05-23 08:49:07+02	2020-05-23 08:59:36+02	net/samba410	samba410-4.10.15
2020-05-16 17:06:31+02	2020-05-16 17:06:48+02	net/sdl_net	sdl_net-1.2.8_3
2020-03-01 11:34:05+01	2020-03-01 11:34:13+01	net/svnup	svnup-1.08
2020-03-01 11:34:14+01	2020-03-01 11:34:32+01	net/torsocks	torsocks-2.3.0_1
2020-05-20 05:43:58+02	2020-05-20 05:45:09+02	net/uhttpmock	uhttpmock-0.5.1_1
2020-05-21 22:41:21+02	2020-05-21 22:41:36+02	net/vde2	vde2-2.3.2_4
2020-03-23 06:59:16+01	2020-03-23 06:59:35+01	net/wireguard-go	wireguard-go-0.0.20200320
2020-05-16 11:42:41+02	2020-05-16 11:42:54+02	net/wireguard	wireguard-1.0.20200513
2020-05-23 09:52:40+02	2020-05-23 10:11:19+02	net/wireshark	wireshark-3.2.4
2020-05-21 09:48:27+02	2020-05-21 09:49:38+02	net-mgmt/etherape	etherape-0.9.18
2020-05-23 09:53:45+02	2020-05-23 09:55:09+02	net-mgmt/icinga2	icinga2-2.11.3
2020-05-21 09:52:05+02	2020-05-21 09:53:08+02	net-mgmt/icingaweb2-module-businessprocess@php73	icingaweb2-module-businessprocess-php73-2.2.0_2
2020-05-21 09:53:08+02	2020-05-21 09:54:09+02	net-mgmt/icingaweb2-module-cube@php73	icingaweb2-module-cube-php73-1.1.0_1
2020-05-20 22:12:04+02	2020-05-20 22:15:07+02	net-mgmt/icingaweb2-module-director@php73	icingaweb2-module-director-php73-1.6.2_2
2020-05-21 09:54:10+02	2020-05-21 09:55:24+02	net-mgmt/icingaweb2-module-elasticsearch@php73	icingaweb2-module-elasticsearch-php73-0.9.0_3
2020-05-21 09:55:26+02	2020-05-21 09:56:32+02	net-mgmt/icingaweb2-module-fileshipper@php73	icingaweb2-module-fileshipper-php73-1.1.0_3
2020-05-21 09:56:33+02	2020-05-21 09:57:32+02	net-mgmt/icingaweb2-module-generictts@php73	icingaweb2-module-generictts-php73-2.0.0_3
2020-05-21 09:57:34+02	2020-05-21 09:58:36+02	net-mgmt/icingaweb2-module-grafana@php73	icingaweb2-module-grafana-php73-1.3.6_1
2020-05-21 09:58:36+02	2020-05-21 09:59:47+02	net-mgmt/icingaweb2-module-graphite@php73	icingaweb2-module-graphite-php73-1.1.0_3
2020-05-23 09:54:37+02	2020-05-23 09:56:13+02	net-mgmt/icingaweb2-module-idoreports@php73	icingaweb2-module-idoreports-php73-0.9.0_2
2020-05-20 07:19:37+02	2020-05-20 07:21:17+02	net-mgmt/icingaweb2-module-ipl@php73	icingaweb2-module-ipl-php73-0.4.0_1
2020-05-21 09:59:48+02	2020-05-21 10:01:04+02	net-mgmt/icingaweb2-module-map@php73	icingaweb2-module-map-php73-1.1.0_3
2020-05-23 09:27:09+02	2020-05-23 09:28:15+02	net-mgmt/icingaweb2-module-pdfexport@php73	icingaweb2-module-pdfexport-php73-0.9.0_2
2020-05-20 09:32:55+02	2020-05-20 09:33:51+02	net-mgmt/icingaweb2-module-reactbundle@php73	icingaweb2-module-reactbundle-php73-0.7.0_1
2020-05-23 09:28:20+02	2020-05-23 09:29:40+02	net-mgmt/icingaweb2-module-reporting@php73	icingaweb2-module-reporting-php73-0.9.2_1
2020-05-21 10:01:05+02	2020-05-21 10:02:05+02	net-mgmt/icingaweb2-module-vsphere@php73	icingaweb2-module-vsphere-php73-1.1.0_4
2020-05-21 01:51:28+02	2020-05-21 01:52:35+02	net-mgmt/icingaweb2@php73	icingaweb2-php73-2.7.3_3
2020-03-01 12:08:15+01	2020-03-01 12:08:26+01	net-mgmt/iftop	iftop-1.0.p4
2020-03-20 15:19:55+01	2020-03-20 15:20:10+01	net-mgmt/ipcalc	ipcalc-0.41_3
2020-03-20 15:20:11+01	2020-03-20 15:20:50+01	net-mgmt/ipv6calc	ipv6calc-2.2.0
2020-03-01 03:09:18+01	2020-03-01 03:10:06+01	net-mgmt/libsmi	libsmi-0.4.8_1
2020-05-23 09:29:02+02	2020-05-23 09:29:59+02	net-mgmt/monitoring-plugins	monitoring-plugins-2.2_7
2020-05-21 19:56:54+02	2020-05-21 19:57:49+02	net-mgmt/netbox	netbox-2.7.12
2020-04-17 15:04:19+02	2020-04-17 15:04:27+02	net-mgmt/nstat	nstat-1.0_3
2020-04-27 23:40:20+02	2020-04-27 23:40:40+02	net-mgmt/py-ipcalc@py27	py27-ipcalc-1.99.0
2020-05-21 17:20:43+02	2020-05-21 17:20:58+02	net-mgmt/py-prometheus-client@py37	py37-prometheus-client-0.7.1
2020-04-12 06:26:51+02	2020-04-12 06:27:03+02	net-mgmt/whatmask	whatmask-1.2_1
2020-03-01 03:11:30+01	2020-03-01 03:11:37+01	ports-mgmt/dialog4ports	dialog4ports-0.1.6
2020-03-20 15:20:18+01	2020-03-20 15:20:36+01	ports-mgmt/pkg_tree	pkg_tree-1.1_4
2020-05-21 10:02:06+02	2020-05-21 10:03:12+02	ports-mgmt/porttree	porttree-1.1.r114_1
2020-05-23 09:55:09+02	2020-05-23 09:55:34+02	ports-mgmt/poudriere	poudriere-3.3.4
2020-03-04 21:20:57+01	2020-03-04 21:21:40+01	ports-mgmt/synth	synth-2.08
2020-05-09 12:25:25+02	2020-05-09 12:25:42+02	print/adobe-cmaps	adobe-cmaps-20051217_4
2020-05-21 18:51:09+02	2020-05-21 18:53:59+02	print/auctex@full	auctex-emacs26-12.2
2020-05-21 16:32:58+02	2020-05-21 16:33:33+02	print/cups-filters	cups-filters-1.27.4_1
2020-05-21 00:07:34+02	2020-05-21 00:09:12+02	print/cups	cups-2.2.13
2020-03-20 04:00:10+01	2020-03-20 04:00:49+01	print/enscript-a4	enscript-a4-1.6.6_3
2020-05-21 10:08:00+02	2020-05-21 10:09:08+02	print/fig2dev	fig2dev-3.2.7_1
2020-05-21 10:09:09+02	2020-05-21 10:24:23+02	print/fontforge	fontforge-20190801_2
2020-02-29 19:01:51+01	2020-02-29 19:02:17+01	print/freetype	freetype-1.3.1_5
2020-02-28 22:11:44+01	2020-02-28 22:12:38+01	print/freetype2	freetype2-2.10.1
2020-05-21 00:09:12+02	2020-05-21 00:13:27+02	print/ghostscript9-agpl-base	ghostscript9-agpl-base-9.52_4
2020-05-21 01:35:34+02	2020-05-21 01:35:58+02	print/ghostscript9-agpl-x11	ghostscript9-agpl-x11-9.52
2020-05-24 16:31:31+02	2020-05-24 16:32:20+02	print/gimp-gutenprint	gimp-gutenprint-5.3.3
2020-02-28 23:00:25+01	2020-02-28 23:00:35+01	print/gsfonts	gsfonts-8.11_8
2020-05-21 16:54:33+02	2020-05-21 16:57:28+02	print/gutenprint	gutenprint-5.3.3
2020-05-21 10:09:41+02	2020-05-21 10:10:32+02	print/gv	gv-3.7.4_5
2020-05-21 00:51:00+02	2020-05-21 00:57:44+02	print/harfbuzz-icu	harfbuzz-icu-2.6.6_2
2020-05-25 22:47:57+02	2020-05-25 22:48:49+02	graphics/qt5-opengl	qt5-opengl-5.14.2
2020-05-24 19:16:59+02	2020-05-24 19:17:07+02	graphics/drm-kmod	drm-kmod-g20190710
2020-02-28 21:56:29+01	2020-02-28 21:56:34+01	print/indexinfo	indexinfo-0.3.1
2020-04-25 14:46:54+02	2020-04-25 14:48:00+02	print/libmspub01	libmspub01-0.1.4_16
2020-04-17 05:18:21+02	2020-04-17 05:19:11+02	print/libotf	libotf-0.9.16
2020-02-29 10:17:25+01	2020-02-29 10:18:02+01	print/libpagemaker	libpagemaker-0.0.4_10
2020-02-28 22:40:07+01	2020-02-28 22:40:17+01	print/libpaper	libpaper-1.1.24.4
2020-05-21 01:36:54+02	2020-05-21 01:37:08+02	print/libraqm	libraqm-0.6.0
2020-05-20 09:33:51+02	2020-05-20 09:34:32+02	print/libspectre	libspectre-0.2.8
2020-05-21 10:10:34+02	2020-05-21 10:32:14+02	print/lyx	lyx-2.3.4.2_1
2020-02-28 22:56:58+01	2020-02-28 22:57:17+01	print/psutils	psutils-1.17_5
2020-03-20 08:19:16+01	2020-03-20 08:20:56+01	print/py-qt5-printsupport@py27	py27-qt5-printsupport-5.13.1
2020-05-20 05:45:10+02	2020-05-20 05:46:22+02	print/py-qt5-printsupport@py37	py37-qt5-printsupport-5.13.1_1
2020-04-14 18:54:11+02	2020-04-14 19:05:04+02	print/qpdf	qpdf-10.0.1
2020-05-21 01:25:12+02	2020-05-21 01:27:19+02	print/qt5-printsupport	qt5-printsupport-5.14.2
2020-05-24 16:42:58+02	2020-05-24 16:44:00+02	print/scribus-devel	scribus-devel-1.5.5_13
2020-05-21 17:21:45+02	2020-05-21 17:26:54+02	print/tex-aleph	tex-aleph-1.15.2.1.r.4_4
2020-05-21 01:09:27+02	2020-05-21 01:11:49+02	print/tex-basic-engines	tex-basic-engines-20150521
2020-05-21 16:55:09+02	2020-05-21 17:00:25+02	print/tex-dvipdfmx	tex-dvipdfmx-20150315_1
2020-05-21 16:42:44+02	2020-05-21 16:50:34+02	print/tex-dvipsk	tex-dvipsk-5.995_2
2020-05-21 16:42:28+02	2020-05-21 16:46:09+02	print/tex-formats	tex-formats-20150521_2
2020-05-21 17:21:58+02	2020-05-21 17:26:51+02	print/tex-jadetex	tex-jadetex-3.13_3
2020-05-21 16:46:10+02	2020-05-21 16:54:19+02	print/tex-luatex	tex-luatex-0.80.0_17
2020-02-28 23:52:25+01	2020-02-28 23:52:47+01	print/tex-ptexenc	tex-ptexenc-1.3.3_2
2020-05-21 17:23:18+02	2020-05-21 17:24:53+02	print/tex-xdvik	tex-xdvik-22.87_4
2020-05-21 17:24:54+02	2020-05-21 17:30:21+02	print/tex-xetex	tex-xetex-0.99992_33
2020-05-21 16:57:28+02	2020-05-21 17:02:36+02	print/tex-xmltex	tex-xmltex-1.9_2
2020-05-18 22:05:20+02	2020-05-18 22:06:09+02	print/texinfo	texinfo-6.7_3,1
2020-05-21 16:21:35+02	2020-05-21 16:24:34+02	print/texlive-base	texlive-base-20150521_51
2020-05-21 17:26:51+02	2020-05-21 17:53:37+02	print/texlive-docs	texlive-docs-20150523
2020-05-21 18:52:05+02	2020-05-21 18:56:49+02	print/texlive-full	texlive-full-20150521
2020-05-21 16:24:34+02	2020-05-21 16:42:27+02	print/texlive-texmf	texlive-texmf-20150523_4
2020-03-21 00:12:57+01	2020-03-21 00:13:30+01	print/texlive-tlmgr	texlive-tlmgr-20150523_2
2020-05-20 23:26:11+02	2020-05-20 23:26:54+02	print/transfig	transfig-3.2.5e_4
2020-04-17 03:24:31+02	2020-04-17 03:25:12+02	print/xpdfopen	xpdfopen-0.86
2020-03-31 19:11:40+02	2020-03-31 19:30:50+02	science/hdf5	hdf5-1.10.6,1
2020-05-16 18:50:32+02	2020-05-16 18:51:05+02	science/py-scikit-sparse@py37	py37-scikit-sparse-0.4.4_3
2020-05-16 17:51:12+02	2020-05-16 17:57:28+02	science/py-scipy@py37	py37-scipy-1.2.2_1
2020-02-29 09:27:25+01	2020-02-29 09:27:49+01	science/szip	hdf-szip-2.1.1
2020-05-21 10:32:16+02	2020-05-21 10:33:04+02	security/aide	aide-0.16.1
2020-04-30 10:01:02+02	2020-04-30 10:01:08+02	security/base-audit	base-audit-0.4
2020-05-02 12:56:30+02	2020-05-02 12:56:46+02	security/ca_root_nss	ca_root_nss-3.52
2020-05-23 09:55:35+02	2020-05-23 09:56:41+02	security/clamav	clamav-0.102.3_1,1
2020-03-02 07:12:05+01	2020-03-02 07:12:58+01	security/cyrus-sasl2	cyrus-sasl-2.1.27_1
2020-04-24 16:37:07+02	2020-04-24 16:37:22+02	security/doas	doas-6.2p4_1
2020-03-07 03:24:05+01	2020-03-07 03:24:23+01	security/fpc-openssl	fpc-openssl-3.0.4_4
2020-05-20 02:31:47+02	2020-05-20 02:35:11+02	security/gcr	gcr-3.28.0
2020-05-20 05:46:23+02	2020-05-20 05:55:24+02	security/gnome-keyring	gnome-keyring-3.28.2_2
2020-05-21 16:17:31+02	2020-05-21 16:19:20+02	security/gnupg	gnupg-2.2.20
2020-05-16 15:21:21+02	2020-05-16 15:25:44+02	security/gnutls	gnutls-3.6.13_1
2020-05-21 16:20:10+02	2020-05-21 16:20:58+02	security/gpgme-cpp	gpgme-cpp-1.13.1
2020-05-21 16:24:11+02	2020-05-21 16:24:39+02	security/gpgme-qt5	gpgme-qt5-1.13.1
2020-05-21 16:19:21+02	2020-05-21 16:19:56+02	security/gpgme	gpgme-1.13.1
2020-03-01 12:44:08+01	2020-03-01 12:44:46+01	security/ipv6toolkit	ipv6toolkit-2.0
2020-05-21 10:32:19+02	2020-05-21 10:32:41+02	security/kc24	kc24-2.4.2_1
2020-05-16 21:26:30+02	2020-05-16 21:27:31+02	security/klee	klee-2.1
2020-02-28 23:37:11+01	2020-02-28 23:37:26+01	security/libargon2	libargon2-20190702
2020-03-01 00:36:28+01	2020-03-01 00:36:41+01	security/libassuan	libassuan-2.5.3
2020-02-28 22:01:34+01	2020-02-28 22:02:35+01	security/libgcrypt	libgcrypt-1.8.5
2020-05-20 04:42:28+02	2020-05-20 04:43:57+02	security/libgnome-keyring	libgnome-keyring-3.12.0_2
2020-02-28 21:59:16+01	2020-02-28 21:59:34+01	security/libgpg-error	libgpg-error-1.37
2020-05-21 16:17:03+02	2020-05-21 16:17:31+02	security/libksba	libksba-1.4.0
2020-03-01 00:36:41+01	2020-03-01 00:37:09+01	security/libmcrypt	libmcrypt-2.5.8_3
2020-04-24 12:34:18+02	2020-04-24 12:35:09+02	security/libntlm	libntlm-1.6
2020-03-01 03:29:47+01	2020-03-01 03:29:55+01	security/libscrypt	libscrypt-1.21
2020-05-21 01:34:37+02	2020-05-21 01:35:34+02	security/libsecret	libsecret-0.18.6_1
2020-03-01 00:31:04+01	2020-03-01 00:33:23+01	security/libsodium	libsodium-1.0.18
2020-04-19 17:55:47+02	2020-04-19 17:56:41+02	security/libssh	libssh-0.9.4
2020-02-29 01:13:40+01	2020-02-29 01:14:14+01	security/libssh2	libssh2-1.8.2,3
2020-04-17 03:00:23+02	2020-04-17 03:01:22+02	security/libtasn1	libtasn1-4.16.0
2020-04-30 09:37:20+02	2020-04-30 09:37:32+02	security/lynis	lynis-2.7.5
2020-04-17 06:02:24+02	2020-04-17 06:03:19+02	security/mbedtls	mbedtls-2.16.6
2020-03-01 03:29:55+01	2020-03-01 03:30:21+01	security/mhash	mhash-0.9.9.9_5
2020-05-16 15:20:17+02	2020-05-16 15:21:21+02	security/nettle	nettle-3.6
2020-05-20 23:26:55+02	2020-05-20 23:30:08+02	security/nmap	nmap-7.80
2020-05-21 16:15:21+02	2020-05-21 16:21:00+02	security/nss	nss-3.52.1
2020-04-27 17:21:09+02	2020-04-27 17:22:11+02	security/nyx	nyx-2.1.0_1
2020-05-21 10:32:41+02	2020-05-21 10:34:02+02	security/openconnect-gui	openconnect-gui-1.4.1_3
2020-04-20 07:47:25+02	2020-04-20 07:48:27+02	security/openconnect	openconnect-8.08
2020-05-02 12:59:12+02	2020-05-02 13:00:15+02	security/p11-kit	p11-kit-0.23.20
2020-03-20 08:31:10+01	2020-03-20 08:31:26+01	security/p5-Authen-NTLM	p5-Authen-NTLM-1.09_1
2020-03-20 04:51:11+01	2020-03-20 04:51:34+01	security/p5-Authen-SASL	p5-Authen-SASL-2.16_1
2020-03-20 02:14:05+01	2020-03-20 02:14:31+01	security/p5-Digest-HMAC	p5-Digest-HMAC-1.03_1
2020-03-20 11:40:15+01	2020-03-20 11:40:32+01	security/p5-Digest-SHA1	p5-Digest-SHA1-2.13_1
2020-03-20 04:00:49+01	2020-03-20 04:01:17+01	security/p5-GSSAPI	p5-GSSAPI-0.28_1
2020-04-24 00:37:51+02	2020-04-24 00:38:23+02	security/p5-IO-Socket-SSL	p5-IO-Socket-SSL-2.068
2020-03-20 02:14:31+01	2020-03-20 02:15:25+01	security/p5-Net-SSLeay	p5-Net-SSLeay-1.88
2020-02-29 19:13:09+01	2020-02-29 19:13:17+01	security/pam_helper	pam_helper-1.1
2020-05-16 11:00:25+02	2020-05-16 11:00:40+02	security/pecl-mcrypt@php73	php73-pecl-mcrypt-1.0.3
2020-05-16 10:57:43+02	2020-05-16 10:58:14+02	security/php73-hash	php73-hash-7.3.18
2020-05-16 10:57:53+02	2020-05-16 10:58:18+02	security/php73-openssl	php73-openssl-7.3.18
2020-05-20 04:43:58+02	2020-05-20 04:46:27+02	security/pinentry-gnome3	pinentry-gnome3-1.1.0
2020-05-20 05:59:46+02	2020-05-20 06:01:41+02	security/pinentry-qt5	pinentry-qt5-1.1.0_1
2020-02-29 02:08:48+01	2020-02-29 02:09:00+01	security/pinentry-tty	pinentry-tty-1.1.0
2020-02-29 02:23:47+01	2020-02-29 02:23:54+01	security/pinentry	pinentry-1.1.0_6
2020-03-01 03:33:49+01	2020-03-01 03:33:56+01	security/pkesh	pkesh-1.0
2020-04-27 23:35:09+02	2020-04-27 23:35:34+02	security/py-bcrypt@py27	py27-bcrypt-3.1.7
2020-05-25 08:11:00+02	2020-05-25 08:12:44+02	graphics/drm-current-kmod	drm-current-kmod-4.16.g20200320
2020-04-27 05:21:46+02	2020-04-27 05:22:42+02	security/py-bcrypt@py37	py37-bcrypt-3.1.7
2020-03-02 08:33:47+01	2020-03-02 08:33:59+01	security/py-certifi@py27	py27-certifi-2019.11.28
2020-04-26 15:41:26+02	2020-04-26 15:41:52+02	security/py-certifi@py37	py37-certifi-2020.4.5.1
2020-05-18 22:04:50+02	2020-05-18 22:05:29+02	security/py-cryptography@py27	py27-cryptography-2.6.1
2020-05-18 22:04:52+02	2020-05-18 22:05:30+02	security/py-cryptography@py37	py37-cryptography-2.6.1
2020-03-04 21:50:35+01	2020-03-04 21:50:44+01	security/py-openssl@py27	py27-openssl-19.0.0
2020-05-18 22:05:31+02	2020-05-18 22:05:41+02	security/py-openssl@py37	py37-openssl-19.0.0
2020-05-18 22:09:15+02	2020-05-18 22:09:29+02	security/py-paramiko@py27	py27-paramiko-2.7.1
2020-05-18 22:08:59+02	2020-05-18 22:09:15+02	security/py-paramiko@py37	py37-paramiko-2.7.1
2020-04-27 05:25:18+02	2020-04-27 05:27:54+02	security/py-pycrypto@py37	py37-pycrypto-2.6.1_3
2020-05-21 18:54:00+02	2020-05-21 18:55:37+02	security/py-pycryptodome@py37	py37-pycryptodome-3.9.0
2020-05-18 22:07:24+02	2020-05-18 22:07:44+02	security/py-pynacl@py27	py27-pynacl-1.3.0
2020-05-18 22:07:03+02	2020-05-18 22:07:23+02	security/py-pynacl@py37	py37-pynacl-1.3.0
2020-05-21 16:33:33+02	2020-05-21 16:33:44+02	security/py-service_identity@py37	py37-service_identity-18.1.0
2020-04-27 09:16:13+02	2020-04-27 09:16:43+02	security/py-stem@py37	py37-stem-1.8.0
2020-04-14 18:51:58+02	2020-04-14 18:52:29+02	security/rhash	rhash-1.3.9
2020-05-21 10:33:05+02	2020-05-21 10:33:26+02	security/rkhunter	rkhunter-1.4.6
2020-03-20 15:43:45+01	2020-03-20 15:43:59+01	security/ssl-admin	ssl-admin-1.2.1
2020-03-20 15:43:59+01	2020-03-20 15:44:54+01	security/sudo	sudo-1.8.31p1
2020-05-19 07:41:31+02	2020-05-19 07:42:25+02	security/tor	tor-0.4.3.5
2020-03-08 12:09:27+01	2020-03-08 12:10:30+01	security/trousers	trousers-0.3.14_2
2020-05-21 16:57:36+02	2020-05-21 16:58:20+02	security/xmlsec1	xmlsec1-1.2.29
2020-04-26 01:31:21+02	2020-04-26 01:34:03+02	shells/bash	bash-5.0.17
2020-03-01 12:56:59+01	2020-03-01 13:01:03+01	shells/zsh	zsh-5.8
2020-04-26 15:05:58+02	2020-04-26 15:06:05+02	sysutils/915resolution	915resolution-0.5.3_1,1
2020-05-20 07:22:50+02	2020-05-20 07:23:46+02	sysutils/accountsservice	accountsservice-0.6.42
2020-05-19 04:22:10+02	2020-05-19 04:24:48+02	sysutils/ansible@py37	py37-ansible-2.9.7
2020-03-03 19:01:06+01	2020-03-03 19:01:51+01	sysutils/apachetop	apachetop-0.18.4_1
2020-03-01 13:05:08+01	2020-03-01 13:05:21+01	sysutils/atop	atop-2.0.2.b3_3
2020-03-01 13:05:21+01	2020-03-01 13:05:29+01	sysutils/beadm	beadm-1.3.0
2020-03-01 13:05:29+01	2020-03-01 13:05:37+01	sysutils/bsdcrashtar	bsdcrashtar-0.1.3_1
2020-03-01 13:05:37+01	2020-03-01 13:05:48+01	sysutils/bsdhwmon	bsdhwmon-20151206
2020-03-26 09:45:34+01	2020-03-26 09:45:42+01	sysutils/bsdinfo	bsdinfo-0.22_2
2020-05-01 17:23:37+02	2020-05-01 17:23:49+02	sysutils/bsdstats	bsdstats-7.0
2020-03-01 13:06:10+01	2020-03-01 13:10:34+01	sysutils/cdrtools	cdrtools-3.01_1
2020-03-01 13:10:29+01	2020-03-01 13:10:37+01	sysutils/cmdwatch	cmdwatch-0.2.0_2
2020-02-29 07:17:34+01	2020-02-29 07:17:53+01	sysutils/cmocka	cmocka-1.1.5
2020-05-21 01:35:59+02	2020-05-21 01:36:27+02	sysutils/consolekit2	consolekit2-1.2.1_1
2020-03-01 13:10:34+01	2020-03-01 13:13:53+01	sysutils/coreutils	coreutils-8.31
2020-05-21 10:33:26+02	2020-05-21 10:34:52+02	sysutils/cpu-x	cpu-x-4.0.0
2020-03-01 13:11:40+01	2020-03-01 13:11:49+01	sysutils/cpupdate	cpupdate-g20180513_1
2020-05-21 18:55:37+02	2020-05-21 18:55:55+02	sysutils/ddrescue	ddrescue-1.25
2020-05-21 18:55:55+02	2020-05-21 18:56:05+02	sysutils/devcpu-data	devcpu-data-1.30
2020-03-01 13:12:26+01	2020-03-01 13:12:46+01	sysutils/dfc	dfc-3.1.1
2020-02-29 01:53:05+01	2020-02-29 01:53:15+01	sysutils/dmidecode	dmidecode-3.2
2020-05-16 21:27:46+02	2020-05-16 21:28:05+02	sysutils/dtrace-toolkit	dtrace-toolkit-1.0_5
2020-04-27 17:25:32+02	2020-04-27 17:27:21+02	sysutils/DTraceToolkit	dtrace-toolkit-1.0_5
2020-05-21 10:34:03+02	2020-05-21 10:37:39+02	sysutils/exa	exa-0.9.0_10
2020-02-29 09:34:35+01	2020-02-29 09:35:21+01	sysutils/flock	flock-2.30.1
2020-02-29 09:35:22+01	2020-02-29 09:35:54+01	sysutils/fusefs-libs	fusefs-libs-2.9.9_1
2020-03-24 13:13:32+01	2020-03-24 13:14:02+01	sysutils/fusefs-ntfs	fusefs-ntfs-2017.3.23
2020-05-21 10:34:53+02	2020-05-21 10:36:43+02	sysutils/gkrellm2	gkrellm2-2.3.11
2020-02-28 21:56:26+01	2020-02-28 21:56:32+01	sysutils/gnome_subr	gnome_subr-1.0
2020-05-20 07:23:46+02	2020-05-20 07:24:52+02	sysutils/gnome-mount	gnome-mount-0.8_13
2020-05-20 09:42:17+02	2020-05-20 09:42:37+02	sysutils/hal-info	hal-info-20091130
2020-05-20 02:32:54+02	2020-05-20 02:34:42+02	sysutils/hal	hal-0.5.14_34
2020-04-25 21:00:13+02	2020-04-25 21:05:32+02	sysutils/hexyl	hexyl-0.6.0_6
2020-05-21 18:56:05+02	2020-05-21 18:56:18+02	sysutils/hourglass	hourglass-1.0.1
2020-04-30 09:37:55+02	2020-04-30 09:38:35+02	sysutils/htop	htop-2.2.0_1
2020-04-17 12:19:00+02	2020-04-17 12:19:49+02	sysutils/intel-pcm	intel-pcm-201902_1
2020-03-01 13:14:31+01	2020-03-01 13:14:40+01	sysutils/ioping	ioping-1.2
2020-05-21 16:33:44+02	2020-05-21 16:34:50+02	sysutils/kf5-kwallet	kf5-kwallet-5.70.0
2020-02-29 10:27:03+01	2020-02-29 10:27:26+01	sysutils/libcdio-paranoia	libcdio-paranoia-10.2+2.0.1
2020-02-29 09:35:55+01	2020-02-29 09:36:50+01	sysutils/libcdio	libcdio-2.1.0
2020-03-01 03:34:34+01	2020-03-01 03:35:04+01	sysutils/libcpuid	libcpuid-0.4.1
2020-02-29 07:17:59+01	2020-02-29 07:18:06+01	sysutils/libsunacl	libsunacl-1.0.1
2020-04-30 09:31:37+02	2020-04-30 09:31:52+02	sysutils/lsof	lsof-4.93.2_11,8
2020-03-01 13:14:40+01	2020-03-01 13:14:50+01	sysutils/lsop	lsop-0.1
2020-05-21 16:58:21+02	2020-05-21 17:00:03+02	sysutils/mate-control-center	mate-control-center-1.22.2
2020-05-20 09:45:52+02	2020-05-20 09:46:56+02	sysutils/mate-polkit	mate-polkit-1.22.0
2020-05-20 23:30:09+02	2020-05-20 23:32:20+02	sysutils/mate-power-manager	mate-power-manager-1.22.2
2020-05-21 16:34:13+02	2020-05-21 16:35:19+02	sysutils/mate-settings-daemon	mate-settings-daemon-1.22.1
2020-05-20 23:32:20+02	2020-05-20 23:35:02+02	sysutils/mate-system-monitor	mate-system-monitor-1.22.2
2020-03-01 13:26:36+01	2020-03-01 13:26:49+01	sysutils/memtest86+	memtest86+-5.01_3
2020-05-21 10:36:44+02	2020-05-21 10:37:12+02	sysutils/most	most-5.1.0
2020-03-01 13:14:50+01	2020-03-01 13:14:59+01	sysutils/ncdu	ncdu-1.14.2
2020-05-21 18:56:18+02	2020-05-21 18:56:26+02	sysutils/neofetch	neofetch-7.0.0
2020-03-01 13:14:59+01	2020-03-01 13:15:05+01	sysutils/obliterate	obliterate-0.5
2020-05-23 21:42:47+02	2020-05-23 21:43:04+02	sysutils/p5-File-Listing	p5-File-Listing-6.04_1
2020-05-19 04:24:50+02	2020-05-19 04:25:04+02	sysutils/panicmail	panicmail-1.1
2020-03-20 15:52:38+01	2020-03-20 15:53:14+01	sysutils/parallel	parallel-20200122
2020-02-29 19:16:14+01	2020-02-29 19:16:59+01	sysutils/patchelf	patchelf-0.10_1
2020-05-16 11:00:32+02	2020-05-16 11:00:50+02	sysutils/php73-posix	php73-posix-7.3.18
2020-05-20 06:01:41+02	2020-05-20 06:02:49+02	sysutils/policykit-gnome	policykit-gnome-0.9.2_9
2020-05-20 02:09:37+02	2020-05-20 02:11:51+02	sysutils/policykit	policykit-0.9_10
2020-05-20 02:34:43+02	2020-05-20 02:36:00+02	sysutils/polkit-qt	polkit-qt-1-0.113.0_8
2020-05-21 00:15:22+02	2020-05-21 00:16:59+02	sysutils/polkit	polkit-0.116
2020-03-01 13:15:17+01	2020-03-01 13:15:28+01	sysutils/psmisc	psmisc-22.16_1
2020-03-01 13:15:24+01	2020-03-01 13:15:32+01	sysutils/pv	pv-1.6.6
2020-03-01 13:15:29+01	2020-03-01 13:15:36+01	sysutils/pwgen	pwgen-2.08,2
2020-04-27 17:34:38+02	2020-04-27 17:35:24+02	sysutils/py-cpuinfo@py37	py37-py-cpuinfo-5.0.0
2020-02-25 17:16:14+01	2020-02-25 17:16:24+01	sysutils/py-execnet@py37	py37-execnet-1.6.0
2020-02-25 17:16:14+01	2020-02-25 17:16:24+01	sysutils/py-filelock@py37	py37-filelock-3.0.12
2020-04-27 17:34:54+02	2020-04-27 17:35:55+02	sysutils/py-glances@py37	py37-glances-3.1.3
2020-05-25 08:11:00+02	2020-05-25 08:12:47+02	editors/libreoffice-nb	nb-libreoffice-6.3.6
2020-02-25 17:14:59+01	2020-02-25 17:15:10+01	sysutils/py-pkginfo@py37	py37-pkginfo-1.5.0.1
2020-04-27 09:23:00+02	2020-04-27 09:23:33+02	sysutils/py-psutil@py37	py37-psutil-5.7.0
2020-02-25 17:16:24+01	2020-02-25 17:16:33+01	sysutils/py-ptyprocess@py37	py37-ptyprocess-0.6.0
2020-05-19 04:25:05+02	2020-05-19 04:25:14+02	sysutils/py-py-cpuinfo@py37	py37-py-cpuinfo-5.0.0
2020-03-01 13:15:41+01	2020-03-01 13:15:47+01	sysutils/reptyr	reptyr-0.6.3a_2
2020-04-25 21:05:32+02	2020-04-25 21:19:40+02	sysutils/rsfetch	rsfetch-2.0.0_2
2020-03-01 13:15:48+01	2020-03-01 13:16:19+01	sysutils/screen	screen-4.8.0
2020-05-08 02:50:12+02	2020-05-08 02:50:45+02	sysutils/smartmontools	smartmontools-7.1_1
2020-03-01 13:15:53+01	2020-03-01 13:16:01+01	sysutils/spinner	spinner-1.2.4
2020-02-29 19:16:59+01	2020-02-29 19:17:07+01	sysutils/sysctlbyname-improved-kmod	sysctlbyname-improved-kmod-20191124
2020-02-29 19:17:07+01	2020-02-29 19:17:16+01	sysutils/sysctlinfo-kmod	sysctlinfo-kmod-20191005
2020-05-24 11:17:29+02	2020-05-24 11:18:12+02	sysutils/tmux	tmux-3.1b
2020-03-01 13:16:20+01	2020-03-01 13:16:32+01	sysutils/tree	tree-1.8.0
2020-05-20 04:31:19+02	2020-05-20 04:32:10+02	sysutils/upower	upower-0.99.11
2020-02-29 19:17:16+01	2020-02-29 19:17:23+01	sysutils/vpnc-scripts	vpnc-scripts-20190611
2020-05-08 02:50:45+02	2020-05-08 02:51:03+02	sysutils/x86info	x86info-1.31.s03
2020-03-20 15:53:45+01	2020-03-20 15:54:07+01	sysutils/zfs-stats	zfs-stats-1.3.0
2020-03-01 13:16:36+01	2020-03-01 13:17:19+01	sysutils/zrepl	zrepl-0.2.1
2020-04-26 15:44:36+02	2020-04-26 15:45:52+02	textproc/asciidoc	asciidoc-9.0.0rc2
2020-03-20 01:57:46+01	2020-03-20 02:00:29+01	textproc/aspell	aspell-0.60.8,1
2020-05-21 10:37:14+02	2020-05-21 10:52:32+02	textproc/bat	bat-0.15.0
2020-02-29 19:17:23+01	2020-02-29 19:20:08+01	textproc/clucene	clucene-2.3.3.4_19
2020-04-19 19:30:10+02	2020-04-19 19:30:38+02	textproc/colordiff	colordiff-1.0.19
2020-03-01 03:39:31+01	2020-03-01 03:40:11+01	textproc/diffutils	diffutils-3.7
2020-02-28 22:16:22+01	2020-02-28 22:16:30+01	textproc/docbook-sgml	docbook-sgml-4.5_1
2020-02-28 22:16:31+01	2020-02-28 22:16:39+01	textproc/docbook-xml	docbook-xml-5.0_3
2020-02-28 22:17:02+01	2020-02-28 22:17:37+01	textproc/docbook-xsl	docbook-xsl-1.79.1_1,1
2020-02-28 22:16:53+01	2020-02-28 22:17:00+01	textproc/docbook	docbook-1.5
2020-05-20 09:46:13+02	2020-05-20 09:46:52+02	textproc/enchant	enchant-1.6.0_9
2020-05-21 01:40:08+02	2020-05-21 01:41:20+02	textproc/enchant2	enchant2-2.2.3_4
2020-02-29 06:06:23+01	2020-02-29 06:08:53+01	textproc/exempi	exempi-2.2.2_1
2020-02-28 21:58:51+01	2020-02-28 21:59:08+01	textproc/expat2	expat-2.2.8
2020-03-23 06:59:16+01	2020-03-23 06:59:43+01	textproc/flex	flex-2.6.4_2
2020-05-10 12:07:11+02	2020-05-10 12:08:43+02	textproc/fop	fop-2.3
2020-04-26 01:23:56+02	2020-04-26 01:31:20+02	textproc/groff	groff-1.22.4_3
2020-02-29 10:28:58+01	2020-02-29 10:29:39+01	textproc/gsed	gsed-4.8
2020-04-26 15:45:23+02	2020-04-26 15:46:34+02	textproc/gtk-doc	gtk-doc-1.29_1
2020-05-14 11:14:05+02	2020-05-14 11:14:43+02	textproc/gtkspell	gtkspell-2.0.16_6
2020-05-20 23:35:03+02	2020-05-20 23:36:19+02	textproc/gtkspell3	gtkspell3-3.0.10
2020-04-09 11:06:07+02	2020-04-09 11:09:53+02	textproc/highlight	highlight-3.43_8,3
2020-05-22 02:21:15+02	2020-05-22 03:00:45+02	textproc/hs-pandoc	hs-pandoc-2.9.2_1
2020-02-28 22:25:25+01	2020-02-28 22:25:51+01	textproc/html2text	html2text-1.3.2a
2020-03-21 00:07:29+01	2020-03-21 00:09:23+01	textproc/hunspell	hunspell-1.7.0_2
2020-03-21 00:25:57+01	2020-03-21 00:26:27+01	textproc/hyphen	hyphen-2.8.8
2020-03-19 23:07:44+01	2020-03-19 23:07:58+01	textproc/intltool	intltool-0.51.0_1
2020-02-28 22:16:08+01	2020-02-28 22:16:15+01	textproc/iso8879	iso8879-1986_3
2020-04-26 15:44:52+02	2020-04-26 15:45:19+02	textproc/itstool	itstool-2.0.6
2020-05-20 02:35:11+02	2020-05-20 02:36:23+02	textproc/kf5-kcodecs	kf5-kcodecs-5.70.0
2020-05-20 04:31:20+02	2020-05-20 04:33:05+02	textproc/kf5-sonnet	kf5-sonnet-5.70.0
2020-02-29 19:17:25+01	2020-02-29 19:18:56+01	textproc/libabw	libabw-0.1.3
2020-05-19 23:56:12+02	2020-05-19 23:57:08+02	textproc/libcroco	libcroco-0.6.13
2020-04-12 10:27:57+02	2020-04-12 10:28:04+02	textproc/libdiff	libdiff-0.1.0
2020-04-25 14:49:25+02	2020-04-25 14:56:36+02	textproc/libe-book	libe-book-0.1.3_18
2020-02-29 19:20:09+01	2020-02-29 19:20:36+01	textproc/libebml	libebml-1.3.10
2020-02-29 19:20:37+01	2020-02-29 19:21:57+01	textproc/libepubgen	libepubgen-0.1.0_9
2020-02-29 19:21:58+01	2020-02-29 19:22:08+01	textproc/libexttextcat	libexttextcat-3.4.5
2020-02-29 19:22:09+01	2020-02-29 19:31:23+01	textproc/libmwaw03	libmwaw03-0.3.15
2020-02-29 19:23:46+01	2020-02-29 19:24:36+01	textproc/libnumbertext	libnumbertext-1.0.5_1
2020-02-29 19:24:39+01	2020-02-29 19:26:16+01	textproc/libodfgen01	libodfgen01-0.1.7_3
2020-04-25 14:50:39+02	2020-04-25 14:52:52+02	textproc/libqxp	libqxp-0.0.0_16
2020-03-01 00:24:48+01	2020-03-01 00:26:09+01	textproc/librevenge	librevenge-0.0.4_13
2020-02-29 19:27:42+01	2020-02-29 19:31:05+01	textproc/libstaroffice	libstaroffice-0.0.6_8
2020-03-01 03:42:27+01	2020-03-01 03:43:07+01	textproc/libuninameslist	libuninameslist-20190701
2020-04-25 08:15:40+02	2020-04-25 08:19:29+02	textproc/libvisio01	libvisio01-0.1.7_2
2020-05-20 06:02:50+02	2020-05-20 06:06:24+02	textproc/libwpd010	libwpd010-0.10.3_4
2020-02-29 19:31:06+01	2020-02-29 19:33:39+01	textproc/libwps	libwps-0.4.10_2
2020-05-20 03:04:33+02	2020-05-20 03:08:47+02	textproc/libxml++26	libxml++-2.40.1,1
2020-02-28 21:57:46+01	2020-02-28 21:58:51+01	textproc/libxml2	libxml2-2.9.10
2020-02-28 22:02:36+01	2020-02-28 22:02:58+01	textproc/libxslt	libxslt-1.1.34_1
2020-04-24 00:37:51+02	2020-04-24 00:38:22+02	textproc/libyaml	libyaml-0.2.4
2020-04-12 10:28:05+02	2020-04-12 10:28:23+02	textproc/lowdown	lowdown-0.6.4
2020-02-28 22:25:51+01	2020-02-28 22:26:01+01	textproc/minixmlto	minixmlto-0.0.2_1
2020-03-20 05:42:26+01	2020-03-20 05:42:51+01	textproc/mythes	mythes-1.2.4_7
2020-03-20 08:37:13+01	2020-03-20 08:37:49+01	textproc/p5-PDF-API2	p5-PDF-API2-2.037
2020-03-20 08:37:24+01	2020-03-20 08:37:41+01	textproc/p5-Pod-Escapes	p5-Pod-Escapes-1.07
2020-03-20 11:47:00+01	2020-03-20 11:47:19+01	textproc/p5-pod2pdf	p5-pod2pdf-0.42_1
2020-03-19 20:16:42+01	2020-03-19 20:16:53+01	textproc/p5-Unicode-EastAsianWidth	p5-Unicode-EastAsianWidth-12.0
2020-03-21 00:51:40+01	2020-03-21 00:51:58+01	textproc/p5-XML-NamespaceSupport	p5-XML-NamespaceSupport-1.12
2020-03-19 23:07:29+01	2020-03-19 23:07:44+01	textproc/p5-XML-Parser	p5-XML-Parser-2.44
2020-03-21 00:51:58+01	2020-03-21 00:52:15+01	textproc/p5-XML-SAX-Base	p5-XML-SAX-Base-1.09
2020-03-20 01:25:02+01	2020-03-20 01:25:18+01	textproc/p5-XML-SAX-Expat	p5-XML-SAX-Expat-0.51_1
2020-03-20 01:02:59+01	2020-03-20 01:03:21+01	textproc/p5-XML-SAX	p5-XML-SAX-1.02
2020-03-20 01:48:56+01	2020-03-20 01:49:18+01	textproc/p5-XML-Simple	p5-XML-Simple-2.25
2020-05-16 11:00:41+02	2020-05-16 11:00:58+02	textproc/php73-ctype	php73-ctype-7.3.18
2020-05-16 11:00:50+02	2020-05-16 11:01:13+02	textproc/php73-dom	php73-dom-7.3.18
2020-05-16 11:00:58+02	2020-05-16 11:01:19+02	textproc/php73-simplexml	php73-simplexml-7.3.18
2020-05-16 10:58:00+02	2020-05-16 10:58:20+02	textproc/php73-xml	php73-xml-7.3.18
2020-03-01 03:43:03+01	2020-03-01 03:43:29+01	textproc/pugixml	pugixml-1.10
2020-03-02 09:17:39+01	2020-03-02 09:17:50+01	textproc/py-alabaster@py27	py27-alabaster-0.7.6
2020-04-26 15:42:40+02	2020-04-26 15:43:05+02	textproc/py-alabaster@py37	py37-alabaster-0.7.6
2020-03-02 08:42:52+01	2020-03-02 08:43:03+01	textproc/py-chardet@py27	py27-chardet-3.0.4_3
2020-04-26 15:41:53+02	2020-04-26 15:42:23+02	textproc/py-chardet@py37	py37-chardet-3.0.4_3
2020-04-26 15:44:08+02	2020-04-26 15:44:35+02	textproc/py-CommonMark@py37	py37-CommonMark-0.9.1
2020-03-02 09:17:50+01	2020-03-02 09:18:08+01	textproc/py-docutils@py27	py27-docutils-0.15.2
2020-04-26 15:42:42+02	2020-04-26 15:46:43+02	textproc/py-docutils@py37	py37-docutils-0.15.2
2020-02-29 23:59:14+01	2020-03-01 00:00:14+01	textproc/teckit	teckit-2.5.7
2020-05-21 16:34:50+02	2020-05-21 16:35:01+02	textproc/py-et_xmlfile@py37	py37-et_xmlfile-1.0.1
2020-05-21 18:56:26+02	2020-05-21 18:56:52+02	textproc/py-gfm@py37	py37-gfm-0.1.4
2020-04-26 15:43:36+02	2020-04-26 15:44:51+02	textproc/py-libxml2@py37	py37-libxml2-2.9.10
2020-05-21 16:24:41+02	2020-05-21 16:24:55+02	textproc/py-m2r@py37	py37-m2r-0.2.1_1
2020-05-14 07:52:46+02	2020-05-14 07:52:59+02	textproc/py-mako@py27	py27-mako-1.0.14
2020-03-03 08:28:04+01	2020-03-03 08:28:19+01	textproc/py-markdown@py27	py27-markdown-2.6.11_1
2020-04-27 09:23:42+02	2020-04-27 09:24:02+02	textproc/py-markdown@py37	py37-markdown-2.6.11_1
2020-04-27 23:31:26+02	2020-04-27 23:31:40+02	textproc/py-MarkupSafe@py27	py27-MarkupSafe-1.1.1
2020-04-26 15:41:53+02	2020-04-26 15:42:19+02	textproc/py-MarkupSafe@py37	py37-MarkupSafe-1.1.1
2020-05-21 16:20:58+02	2020-05-21 16:21:12+02	textproc/py-mistune@py37	py37-mistune-0.8.4
2020-05-21 17:00:03+02	2020-05-21 17:00:15+02	textproc/py-openpyxl@py37	py37-openpyxl-2.6.4
2020-03-02 09:18:09+01	2020-03-02 09:18:30+01	textproc/py-pygments@py27	py27-pygments-2.5.2
2020-04-26 15:42:48+02	2020-04-26 15:43:35+02	textproc/py-pygments@py37	py37-pygments-2.5.2
2020-05-21 16:35:01+02	2020-05-21 16:35:17+02	textproc/py-pyhamcrest@py37	py37-PyHamcrest-2.0.2
2020-02-25 17:16:25+01	2020-02-25 17:16:35+01	textproc/py-pypa-docs-theme@py37	py37-pypa-docs-theme-g20180622
2020-03-02 08:43:04+01	2020-03-02 08:43:32+01	textproc/py-pystemmer@py27	py27-pystemmer-1.3.0_2
2020-04-26 15:45:01+02	2020-04-26 15:45:51+02	textproc/py-pystemmer@py37	py37-pystemmer-2.0.0.1
2020-02-25 17:14:59+01	2020-02-25 17:15:07+01	textproc/py-python-docs-theme@py37	py37-python-docs-theme-2018.2
2020-03-20 11:47:20+01	2020-03-20 11:48:27+01	textproc/py-qt5-xmlpatterns@py27	py27-qt5-xmlpatterns-5.13.1
2020-05-20 23:36:19+02	2020-05-20 23:37:25+02	textproc/py-qt5-xmlpatterns@py37	py37-qt5-xmlpatterns-5.13.1_1
2020-05-23 08:47:55+02	2020-05-23 08:48:11+02	textproc/py-recommonmark@py37	py37-recommonmark-0.5.0_2
2020-03-03 08:29:52+01	2020-03-03 08:30:31+01	textproc/py-regex@py27	py27-regex-2018.02.21
2020-05-14 11:14:54+02	2020-05-14 11:15:22+02	textproc/py-regex@py37	py37-regex-2020.4.4
2020-04-27 23:40:52+02	2020-04-27 23:41:16+02	textproc/py-scour@py27	py27-scour-0.37
2020-05-15 21:33:20+02	2020-05-15 21:33:34+02	textproc/py-scour@py37	py37-scour-0.37
2020-03-02 09:18:31+01	2020-03-02 09:18:48+01	textproc/py-snowballstemmer@py27	py27-snowballstemmer-1.2.1
2020-04-26 15:45:51+02	2020-04-26 15:46:15+02	textproc/py-snowballstemmer@py37	py37-snowballstemmer-1.2.1
2020-03-02 09:18:49+01	2020-03-02 09:19:04+01	textproc/py-sphinx_rtd_theme@py27	py27-sphinx_rtd_theme-0.4.3
2020-04-26 15:42:58+02	2020-04-26 15:43:34+02	textproc/py-sphinx_rtd_theme@py37	py37-sphinx_rtd_theme-0.4.3
2020-03-08 02:32:16+01	2020-03-08 02:32:41+01	textproc/py-sphinx@py27	py27-sphinx-1.6.5_2,1
2020-05-23 08:47:36+02	2020-05-23 08:47:55+02	textproc/py-sphinx@py37	py37-sphinx-3.0.3,1
2020-05-18 22:06:09+02	2020-05-18 22:06:39+02	textproc/py-sphinx18@py37	py37-sphinx18-1.8.5_1,1
2020-05-14 07:50:05+02	2020-05-14 07:50:15+02	textproc/py-sphinxcontrib-applehelp@py37	py37-sphinxcontrib-applehelp-1.0.2
2020-05-14 07:50:15+02	2020-05-14 07:50:25+02	textproc/py-sphinxcontrib-devhelp@py37	py37-sphinxcontrib-devhelp-1.0.2
2020-05-14 07:50:26+02	2020-05-14 07:50:37+02	textproc/py-sphinxcontrib-htmlhelp@py37	py37-sphinxcontrib-htmlhelp-1.0.3
2020-05-14 07:50:37+02	2020-05-14 07:50:47+02	textproc/py-sphinxcontrib-jsmath@py37	py37-sphinxcontrib-jsmath-1.0.1
2020-05-14 07:50:48+02	2020-05-14 07:50:57+02	textproc/py-sphinxcontrib-qthelp@py37	py37-sphinxcontrib-qthelp-1.0.3
2020-05-14 07:50:49+02	2020-05-14 07:50:58+02	textproc/py-sphinxcontrib-serializinghtml@py37	py37-sphinxcontrib-serializinghtml-1.1.4
2020-03-02 09:19:05+01	2020-03-02 09:19:17+01	textproc/py-sphinxcontrib-websupport@py27	py27-sphinxcontrib-websupport-1.1.2
2020-04-26 15:43:05+02	2020-04-26 15:43:34+02	textproc/py-sphinxcontrib-websupport@py37	py37-sphinxcontrib-websupport-1.1.2
2020-05-14 07:50:53+02	2020-05-14 07:51:02+02	textproc/py-sphinxcontrib-websupport11@py37	py37-sphinxcontrib-websupport11-1.1.2
2020-05-21 17:26:55+02	2020-05-21 17:27:06+02	textproc/py-tablib@py37	py37-tablib-0.13.0_1
2020-03-02 08:34:17+01	2020-03-02 08:34:28+01	textproc/py-toml@py27	py27-toml-0.10.0
2020-04-26 19:14:38+02	2020-04-26 19:15:27+02	textproc/py-toml@py37	py37-toml-0.10.0
2020-02-25 17:15:07+01	2020-02-25 17:15:18+01	textproc/py-towncrier@py37	py37-towncrier-19.2.0
2020-05-21 17:00:15+02	2020-05-21 17:00:26+02	textproc/py-xlrd@py37	py37-xlrd-1.2.0_1
2020-05-21 17:00:26+02	2020-05-21 17:00:37+02	textproc/py-xlwt@py37	py37-xlwt-1.3.0
2020-05-21 01:00:24+02	2020-05-21 01:01:45+02	textproc/qt5-xml	qt5-xml-5.14.2
2020-05-21 00:50:05+02	2020-05-21 00:58:59+02	textproc/qt5-xmlpatterns	qt5-xmlpatterns-5.14.2
2020-05-16 17:17:53+02	2020-05-16 17:20:36+02	textproc/raptor2	raptor2-2.0.15_14
2020-05-20 07:26:46+02	2020-05-20 07:27:28+02	textproc/rasqal	rasqal-0.9.33_1
2020-05-20 09:46:52+02	2020-05-20 09:49:30+02	textproc/redland	redland-1.0.17_4
2020-05-14 11:15:18+02	2020-05-14 11:19:36+02	textproc/ripgrep	ripgrep-12.1.0
2020-05-16 16:49:06+02	2020-05-16 16:49:19+02	textproc/rubygem-asciidoctor	rubygem-asciidoctor-2.0.10
2020-02-28 22:16:47+01	2020-02-28 22:16:53+01	textproc/sdocbook-xml	sdocbook-xml-1.1_2,2
2020-04-25 03:22:57+02	2020-04-25 03:31:37+02	textproc/source-highlight	source-highlight-3.1.9_1
2020-05-25 08:12:44+02	2020-05-25 08:12:52+02	graphics/drm-kmod	drm-kmod-g20190710
2020-03-19 23:57:23+01	2020-03-19 23:57:59+01	textproc/texi2html	texi2html-5.0_2,1
2020-03-13 04:37:27+01	2020-03-13 04:38:38+01	textproc/UCD	UCD-13.0.0
2020-04-26 01:23:34+02	2020-04-26 01:23:56+02	textproc/uchardet	uchardet-0.0.7
2020-05-24 11:13:59+02	2020-05-24 11:14:07+02	textproc/utf8proc	utf8proc-2.5.0
2020-02-28 22:15:29+01	2020-02-28 22:15:39+01	textproc/xmlcatmgr	xmlcatmgr-2.2_2
2020-02-28 22:16:15+01	2020-02-28 22:16:22+01	textproc/xmlcharent	xmlcharent-0.3_2
2020-04-25 03:46:20+02	2020-04-25 03:47:07+02	textproc/xmlto	xmlto-0.0.28
2020-04-26 21:05:01+02	2020-04-26 21:06:52+02	textproc/yelp-tools	yelp-tools-3.28.0
2020-04-26 15:46:15+02	2020-04-26 15:47:00+02	textproc/yelp-xsl	yelp-xsl-3.28.0
2020-05-20 07:27:28+02	2020-05-20 07:30:08+02	www/apache24	apache24-2.4.43
2020-05-23 09:00:15+02	2020-05-23 09:27:06+02	www/chromium	chromium-81.0.4044.138_1
2020-05-16 11:56:02+02	2020-05-16 11:56:28+02	www/dokuwiki	dokuwiki-20180422c
2020-05-23 09:56:14+02	2020-05-23 10:34:17+02	www/firefox	firefox-76.0.1_3,1
2020-03-07 03:26:26+01	2020-03-07 03:26:42+01	www/fpc-fastcgi	fpc-fastcgi-3.0.4_4
2020-03-07 03:26:42+01	2020-03-07 03:27:01+01	www/fpc-httpd22	fpc-httpd22-3.0.4_4
2020-03-07 03:27:01+01	2020-03-07 03:27:18+01	www/fpc-httpd24	fpc-httpd24-3.0.4_4
2020-02-28 22:03:16+01	2020-02-28 22:03:54+01	www/libnghttp2	libnghttp2-1.40.0
2020-05-16 15:57:28+02	2020-05-16 15:57:48+02	www/libwpe	libwpe-1.4.0.1
2020-05-19 07:42:25+02	2020-05-19 07:42:53+02	www/links	links-2.16_2,1
2020-03-01 13:17:08+01	2020-03-01 13:18:35+01	www/lynx	lynx-2.8.9.1_1,1
2020-05-14 20:30:41+02	2020-05-14 20:31:55+02	www/mattermost-server	mattermost-server-5.19.1
2020-05-14 20:29:31+02	2020-05-14 20:30:21+02	www/mattermost-webapp	mattermost-webapp-5.19.1
2020-05-21 10:52:33+02	2020-05-21 10:53:34+02	www/mod_evasive	ap24-mod_evasive-1.10.1_1
2020-05-21 10:53:36+02	2020-05-21 11:07:31+02	www/mod_php73	mod_php73-7.3.18
2020-05-21 11:07:34+02	2020-05-21 11:10:50+02	www/mod_security	ap24-mod_security-2.9.3
2020-05-20 09:46:57+02	2020-05-20 10:55:09+02	www/node10	node10-10.20.1_1
2020-05-20 07:30:09+02	2020-05-20 08:36:35+02	www/node12	node12-12.16.2_1
2020-05-21 18:56:53+02	2020-05-21 18:57:24+02	www/npm-node10	npm-node10-6.12.1_1
2020-05-20 23:33:25+02	2020-05-21 00:40:21+02	www/node	node-13.13.0_1
2020-05-25 08:31:54+02	2020-05-25 08:46:15+02	local/E590T-localbase	E590T-localbase-2020052200
2020-05-21 17:27:06+02	2020-05-21 17:27:28+02	www/npm-node12	npm-node12-6.12.1_1
2020-05-02 12:56:30+02	2020-05-02 12:56:44+02	www/p5-CGI	p5-CGI-4.47
2020-03-20 02:58:56+01	2020-03-20 02:59:23+01	www/p5-HTML-Parser	p5-HTML-Parser-3.72
2020-03-20 02:16:36+01	2020-03-20 02:16:57+01	www/p5-HTML-Tagset	p5-HTML-Tagset-3.20_1
2020-05-23 21:43:04+02	2020-05-23 21:43:24+02	www/p5-HTTP-Cookies	p5-HTTP-Cookies-6.08
2020-05-23 21:43:25+02	2020-05-23 21:43:44+02	www/p5-HTTP-Daemon	p5-HTTP-Daemon-6.06
2020-05-23 21:42:08+02	2020-05-23 21:42:26+02	www/p5-HTTP-Date	p5-HTTP-Date-6.05
2020-05-23 21:42:27+02	2020-05-23 21:42:46+02	www/p5-HTTP-Message	p5-HTTP-Message-6.24
2020-05-23 21:43:44+02	2020-05-23 21:44:07+02	www/p5-HTTP-Negotiate	p5-HTTP-Negotiate-6.01_1
2020-05-23 21:44:08+02	2020-05-23 21:44:51+02	www/p5-libwww	p5-libwww-6.44
2020-03-20 03:23:43+01	2020-03-20 03:24:11+01	www/p5-LWP-MediaTypes	p5-LWP-MediaTypes-6.04
2020-03-20 02:16:58+01	2020-03-20 02:17:21+01	www/p5-Mozilla-CA	p5-Mozilla-CA-20180117
2020-03-20 08:38:06+01	2020-03-20 08:38:22+01	www/p5-WWW-RobotRules	p5-WWW-RobotRules-6.02_1
2020-05-16 11:01:13+02	2020-05-16 11:01:45+02	www/php73-opcache	php73-opcache-7.3.18
2020-05-16 10:56:11+02	2020-05-16 10:56:36+02	www/php73-session	php73-session-7.3.18
2020-04-27 23:31:50+02	2020-04-27 23:32:08+02	www/py-beaker@py27	py27-beaker-1.11.0
2020-03-03 08:31:15+01	2020-03-03 08:31:54+01	www/py-beautifulsoup@py27	py27-beautifulsoup-4.8.2
2020-04-27 09:25:16+02	2020-04-27 09:25:53+02	www/py-beautifulsoup@py37	py37-beautifulsoup-4.9.0
2020-02-25 17:14:40+01	2020-02-25 17:14:50+01	www/py-bleach@py37	py37-bleach-3.1.0
2020-04-27 18:04:31+02	2020-04-27 18:05:28+02	www/py-bottle@py37	py37-bottle-0.12.15_1
2020-03-03 08:31:54+01	2020-03-03 08:32:07+01	www/py-css-parser@py27	py27-css-parser-1.0.4
2020-04-27 09:25:49+02	2020-04-27 09:26:06+02	www/py-css-parser@py37	py37-css-parser-1.0.4
2020-03-03 08:32:08+01	2020-03-03 08:32:30+01	www/py-cssselect@py27	py27-cssselect-1.0.3
2020-05-14 11:15:38+02	2020-05-14 11:15:51+02	www/py-cssselect@py37	py37-cssselect-1.0.3_1
2020-05-21 18:57:25+02	2020-05-21 18:57:41+02	www/py-dj22-django-cacheops@py37	py37-dj22-django-cacheops-4.2
2020-05-21 18:57:41+02	2020-05-21 18:57:57+02	www/py-dj22-django-cors-headers@py37	py37-dj22-django-cors-headers-3.2.1
2020-05-21 18:57:58+02	2020-05-21 18:58:14+02	www/py-dj22-django-debug-toolbar@py37	py37-dj22-django-debug-toolbar-2.1
2020-05-21 18:58:14+02	2020-05-21 18:58:30+02	www/py-dj22-django-filter@py37	py37-dj22-django-filter-2.2.0
2020-05-21 17:27:28+02	2020-05-21 17:27:40+02	www/py-dj22-django-js-asset@py37	py37-dj22-django-js-asset-1.2.2
2020-05-21 18:58:31+02	2020-05-21 18:58:50+02	www/py-dj22-django-mptt@py37	py37-dj22-django-mptt-0.9.1
2020-05-21 18:58:50+02	2020-05-21 18:59:08+02	www/py-dj22-django-prometheus@py37	py37-dj22-django-prometheus-1.1.0_1
2020-05-21 18:59:09+02	2020-05-21 18:59:26+02	www/py-dj22-django-tables2@py37	py37-dj22-django-tables2-2.2.1
2020-05-21 18:59:26+02	2020-05-21 18:59:41+02	www/py-dj22-django-taggit-serializer@py37	py37-dj22-django-taggit-serializer-0.1.7
2020-05-21 17:27:40+02	2020-05-21 17:27:53+02	www/py-dj22-django-taggit@py37	py37-dj22-django-taggit-1.2.0
2020-05-21 18:59:42+02	2020-05-21 18:59:57+02	www/py-dj22-django-timezone-field@py37	py37-dj22-django-timezone-field-4.0
2020-05-21 17:27:53+02	2020-05-21 17:28:08+02	www/py-dj22-djangorestframework@py37	py37-dj22-djangorestframework-3.11.0
2020-05-21 18:59:57+02	2020-05-21 19:00:22+02	www/py-dj22-drf-yasg@py37	py37-dj22-drf-yasg-1.17.0
2020-05-21 19:00:23+02	2020-05-21 19:00:36+02	www/py-django-pglocks@py37	py37-django-pglocks-1.0.4
2020-02-25 17:18:49+01	2020-02-25 17:19:27+01	www/py-django111@py37	py37-django111-1.11.28
2020-05-21 16:16:06+02	2020-05-21 16:16:52+02	www/py-django22@py37	py37-django22-2.2.12
2020-05-21 19:00:36+02	2020-05-21 19:00:55+02	www/py-gunicorn@py37	py37-gunicorn-19.9.0_1
2020-05-21 16:35:19+02	2020-05-21 16:35:34+02	www/py-h2@py37	py37-h2-3.2.0
2020-05-21 16:24:56+02	2020-05-21 16:25:07+02	www/py-hpack@py37	py37-hpack-3.0.0
2020-03-02 09:58:01+01	2020-03-02 09:58:31+01	www/py-html5-parser@py27	py27-html5-parser-0.4.9
2020-04-27 05:35:43+02	2020-04-27 05:37:12+02	www/py-html5-parser@py37	py37-html5-parser-0.4.9
2020-04-27 23:33:40+02	2020-04-27 23:33:55+02	www/py-html5lib@py27	py27-html5lib-1.0.1
2020-04-26 23:36:48+02	2020-04-26 23:37:34+02	www/py-html5lib@py37	py37-html5lib-1.0.1
2020-05-21 16:25:08+02	2020-05-21 16:25:17+02	www/py-hyperframe@py37	py37-hyperframe-5.2.0
2020-05-21 16:35:34+02	2020-05-21 16:35:46+02	www/py-hyperlink@py37	py37-hyperlink-19.0.0
2020-03-03 08:32:30+01	2020-03-03 08:32:45+01	www/py-mechanize@py27	py27-mechanize-0.4.5
2020-04-27 09:26:06+02	2020-04-27 09:26:27+02	www/py-mechanize@py37	py37-mechanize-0.4.5
2020-05-21 16:35:46+02	2020-05-21 16:35:55+02	www/py-priority@py37	py37-priority-1.3.0
2020-03-20 08:38:13+01	2020-03-20 08:39:05+01	www/py-qt5-webchannel@py27	py27-qt5-webchannel-5.13.1
2020-05-20 09:51:06+02	2020-05-20 09:52:43+02	www/py-qt5-webchannel@py37	py37-qt5-webchannel-5.13.1_1
2020-03-20 11:56:34+01	2020-03-20 11:57:44+01	www/py-qt5-webengine@py27	py27-qt5-webengine-5.12.1
2020-05-23 09:29:59+02	2020-05-23 09:30:52+02	www/py-qt5-webengine@py37	py37-qt5-webengine-5.12.1_1
2020-05-23 09:18:19+02	2020-05-23 09:19:31+02	www/py-qt5-webkit@py37	py37-qt5-webkit-5.13.1_1
2020-05-23 09:30:39+02	2020-05-23 09:31:34+02	www/py-qt5-webkitwidgets@py37	py37-qt5-webkitwidgets-5.13.1_1
2020-02-25 17:15:11+01	2020-02-25 17:15:30+01	www/py-requests-toolbelt@py37	py37-requests-toolbelt-0.8.0_1
2020-03-04 21:50:53+01	2020-03-04 21:51:01+01	www/py-requests@py27	py27-requests-2.22.0
2020-05-18 22:05:54+02	2020-05-18 22:06:05+02	www/py-requests@py37	py37-requests-2.22.0
2020-03-02 09:58:31+01	2020-03-02 09:58:43+01	www/py-soupsieve@py27	py27-soupsieve-1.9_1
2020-04-27 05:37:15+02	2020-04-27 05:37:58+02	www/py-soupsieve@py37	py37-soupsieve-1.9_1
2020-04-26 23:37:35+02	2020-04-26 23:38:37+02	www/py-tornado@py37	py37-tornado-5.1.1
2020-05-20 02:36:00+02	2020-05-20 02:37:30+02	www/qt5-webchannel	qt5-webchannel-5.14.2
2020-05-23 09:03:22+02	2020-05-23 09:20:41+02	www/qt5-webengine	qt5-webengine-5.14.2
2020-05-23 09:00:13+02	2020-05-23 09:05:38+02	www/qt5-webkit	qt5-webkit-5.212.0.a4_2
2020-05-20 23:40:19+02	2020-05-20 23:41:18+02	www/qt5-websockets	qt5-websockets-5.14.2
2020-04-03 11:14:23+02	2020-04-03 11:14:57+02	www/serf	serf-1.3.9_4
2020-03-22 12:37:45+01	2020-03-22 12:38:32+01	www/w3m	w3m-0.5.3.20200316
2020-05-20 01:54:32+02	2020-05-20 04:05:29+02	www/webkit2-gtk3	webkit2-gtk3-2.28.1_1
2020-05-21 01:52:15+02	2020-05-21 01:52:32+02	www/wpebackend-fdo	wpebackend-fdo-1.4.1
2020-05-21 11:15:43+02	2020-05-21 11:16:11+02	www/yarn-node10	yarn-node10-1.22.4_1
2020-05-20 23:41:19+02	2020-05-20 23:41:36+02	www/yarn-node12	yarn-node12-1.22.4_1
2020-05-23 09:19:32+02	2020-05-23 09:20:11+02	www/youtube_dl	youtube_dl-2020.05.08
2020-05-09 16:11:19+02	2020-05-09 16:30:54+02	x11/alacritty	alacritty-0.4.2_1
2020-04-17 09:00:36+02	2020-04-17 09:00:52+02	x11/appres	appres-1.0.5
2020-05-20 04:48:47+02	2020-05-20 04:49:34+02	x11/babl	babl-0.1.74
2020-04-17 09:00:52+02	2020-04-17 09:01:12+02	x11/bitmap	bitmap-1.0.9
2020-05-21 11:16:14+02	2020-05-21 11:19:28+02	x11/cool-retro-term	cool-retro-term-1.1.1_1
2020-04-17 05:21:31+02	2020-04-17 05:21:57+02	x11/fpc-x11	fpc-x11-3.0.4_6
2020-02-29 19:34:58+01	2020-02-29 19:35:09+01	x11/iceauth	iceauth-1.0.8_2
2020-05-20 07:40:31+02	2020-05-20 07:42:38+02	x11/kf5-kded	kf5-kded-5.70.0_1
2020-05-20 04:49:36+02	2020-05-20 04:52:09+02	x11/kf5-kglobalaccel	kf5-kglobalaccel-5.70.0
2020-05-20 02:11:40+02	2020-05-20 02:13:17+02	x11/kf5-kwindowsystem	kf5-kwindowsystem-5.70.0
2020-04-17 05:03:49+02	2020-04-17 05:04:13+02	x11/libdmx	libdmx-1.1.4_2
2020-02-28 22:19:24+01	2020-02-28 22:19:43+01	x11/libICE	libICE-1.0.10,1
2020-05-25 22:33:59+02	2020-05-25 22:35:04+02	devel/bison	bison-3.6.2,1
2020-05-21 00:23:15+02	2020-05-21 00:23:47+02	x11/libinput	libinput-1.15.5
2020-05-20 04:52:10+02	2020-05-20 04:55:19+02	x11/libmatekbd	libmatekbd-1.22.0
2020-02-28 22:23:12+01	2020-02-28 22:23:27+01	x11/libSM	libSM-1.2.3,1
2020-05-21 00:22:54+02	2020-05-21 00:23:14+02	x11/libwacom	libwacom-1.3
2020-04-17 03:05:51+02	2020-04-17 03:11:22+02	x11/libX11	libX11-1.6.9_1,1
2020-02-28 21:59:54+01	2020-02-28 22:00:04+01	x11/libXau	libXau-1.0.9
2020-04-17 03:01:14+02	2020-04-17 03:05:50+02	x11/libxcb	libxcb-1.13.1
2020-04-17 03:14:33+02	2020-04-17 03:15:03+02	x11/libXcomposite	libXcomposite-0.4.5,1
2020-04-17 03:14:21+02	2020-04-17 03:14:47+02	x11/libXcursor	libXcursor-1.2.0
2020-04-17 03:12:06+02	2020-04-17 03:12:29+02	x11/libXdamage	libXdamage-1.1.5
2020-04-17 03:00:41+02	2020-04-17 03:01:13+02	x11/libXdmcp	libXdmcp-1.1.3
2020-04-17 03:11:23+02	2020-04-17 03:11:53+02	x11/libXext	libXext-1.3.4,1
2020-04-17 03:11:41+02	2020-04-17 03:12:06+02	x11/libXfixes	libXfixes-5.0.3_2
2020-04-17 03:12:27+02	2020-04-17 03:13:06+02	x11/libXi	libXi-1.7.10,1
2020-04-17 03:13:58+02	2020-04-17 03:14:32+02	x11/libXinerama	libXinerama-1.1.4_2,1
2020-04-17 03:06:31+02	2020-04-17 03:07:28+02	x11/libxkbcommon	libxkbcommon-0.10.0_2
2020-04-17 03:12:39+02	2020-04-17 03:13:24+02	x11/libxkbfile	libxkbfile-1.1.0
2020-05-20 04:32:11+02	2020-05-20 04:33:01+02	x11/libxklavier	libxklavier-5.3_1,1
2020-04-17 03:13:27+02	2020-04-17 03:14:19+02	x11/libXpm	libXpm-3.5.13
2020-04-17 03:13:07+02	2020-04-17 03:13:35+02	x11/libXrandr	libXrandr-1.5.2
2020-04-17 03:11:53+02	2020-04-17 03:12:24+02	x11/libXrender	libXrender-0.9.10_2
2020-04-17 03:44:56+02	2020-04-17 03:45:32+02	x11/libXres	libXres-1.2.0_2
2020-04-17 03:15:45+02	2020-04-17 03:16:13+02	x11/libXScrnSaver	libXScrnSaver-1.2.3_2
2020-02-28 22:17:50+01	2020-02-28 22:18:00+01	x11/libxshmfence	libxshmfence-1.3
2020-04-17 03:13:36+02	2020-04-17 03:14:20+02	x11/libXtst	libXtst-1.2.3_2
2020-04-17 03:20:32+02	2020-04-17 03:21:15+02	x11/libXv	libXv-1.0.11_2,1
2020-04-17 03:46:48+02	2020-04-17 03:47:19+02	x11/libXvMC	libXvMC-1.0.12
2020-04-17 03:47:19+02	2020-04-17 03:47:51+02	x11/libXxf86dga	libXxf86dga-1.1.5
2020-04-17 03:12:00+02	2020-04-17 03:12:26+02	x11/libXxf86vm	libXxf86vm-1.1.4_3
2020-04-17 06:21:24+02	2020-04-17 06:22:56+02	x11/luit	luit-20190106_1
2020-05-20 23:41:33+02	2020-05-20 23:48:23+02	x11/mate-applets	mate-applets-1.22.2
2020-05-21 17:29:52+02	2020-05-21 17:30:51+02	x11/mate-base	mate-base-1.22.2
2020-05-21 01:45:39+02	2020-05-21 01:46:56+02	x11/mate-desktop	mate-desktop-1.22.2
2020-05-20 02:36:23+02	2020-05-20 02:37:11+02	x11/mate-menus	mate-menus-1.22.1
2020-05-20 04:33:02+02	2020-05-20 04:36:55+02	x11/mate-panel	mate-panel-1.22.2
2020-05-20 23:43:16+02	2020-05-20 23:46:12+02	x11/mate-screensaver	mate-screensaver-1.22.2
2020-05-20 07:42:39+02	2020-05-20 07:46:34+02	x11/mate-session-manager	mate-session-manager-1.22.3
2020-05-20 23:46:13+02	2020-05-20 23:48:18+02	x11/mate-terminal	mate-terminal-1.22.1
2020-05-23 09:56:41+02	2020-05-23 09:58:31+02	x11/mate	mate-1.22.2
2020-04-17 17:12:31+02	2020-04-17 17:12:46+02	x11/numlockx	numlockx-1.2
2020-05-08 22:05:56+02	2020-05-08 22:07:10+02	x11/pixman	pixman-0.40.0
2020-05-21 01:36:16+02	2020-05-21 01:36:54+02	x11/qt5-x11extras	qt5-x11extras-5.14.2
2020-04-17 09:01:13+02	2020-04-17 09:01:28+02	x11/sessreg	sessreg-1.1.2
2020-04-17 09:01:29+02	2020-04-17 09:01:44+02	x11/setxkbmap	setxkbmap-1.3.2
2020-04-17 09:01:45+02	2020-04-17 09:02:01+02	x11/smproxy	smproxy-1.0.6
2020-04-17 03:40:45+02	2020-04-17 03:41:22+02	x11/startup-notification	startup-notification-0.12_4
2020-05-09 16:14:36+02	2020-05-09 16:14:59+02	x11/sterm	sterm-0.8.2
2020-05-09 13:00:58+02	2020-05-09 13:01:11+02	x11/x11perf	x11perf-1.6.1
2020-04-17 09:02:19+02	2020-04-17 09:02:38+02	x11/xauth	xauth-1.1
2020-04-17 09:02:39+02	2020-04-17 09:02:54+02	x11/xbacklight	xbacklight-1.2.3
2020-02-29 02:13:13+01	2020-02-29 02:13:57+01	x11/xbitmaps	xbitmaps-1.1.2
2020-05-09 13:01:12+02	2020-05-09 13:01:30+02	x11/xcalc	xcalc-1.1.0
2020-04-26 15:39:08+02	2020-04-26 15:39:27+02	x11/xcb-proto	xcb-proto-1.13_1
2020-04-17 03:08:43+02	2020-04-17 03:09:36+02	x11/xcb-util-image	xcb-util-image-0.4.0_1
2020-04-17 03:09:20+02	2020-04-17 03:10:11+02	x11/xcb-util-keysyms	xcb-util-keysyms-0.4.0_1
2020-04-17 03:09:34+02	2020-04-17 03:10:29+02	x11/xcb-util-renderutil	xcb-util-renderutil-0.3.9_1
2020-04-17 03:07:59+02	2020-04-17 03:08:43+02	x11/xcb-util-wm	xcb-util-wm-0.4.1_3
2020-04-17 03:07:29+02	2020-04-17 03:07:57+02	x11/xcb-util	xcb-util-0.4.0_2,1
2020-04-17 17:12:59+02	2020-04-17 17:13:24+02	x11/xclip	xclip-0.13
2020-04-17 17:13:24+02	2020-04-17 17:13:39+02	x11/xclipboard	xclipboard-1.1.3,1
2020-04-17 09:03:22+02	2020-04-17 09:03:37+02	x11/xcmsdb	xcmsdb-1.0.5
2020-04-17 09:03:41+02	2020-04-17 09:03:56+02	x11/xconsole	xconsole-1.0.7_1
2020-04-17 06:29:11+02	2020-04-17 06:30:16+02	x11/xcursorgen	xcursorgen-1.0.7
2020-05-09 16:15:00+02	2020-05-09 16:16:22+02	x11/xdm	xdm-1.1.12_3
2020-04-17 05:12:24+02	2020-04-17 05:12:39+02	x11/xdpyinfo	xdpyinfo-1.3.2_3
2020-05-16 18:54:18+02	2020-05-16 18:54:29+02	x11/xdriinfo	xdriinfo-1.0.6_3
2020-04-17 09:04:15+02	2020-04-17 09:04:28+02	x11/xev	xev-1.2.3
2020-04-17 09:04:29+02	2020-04-17 09:04:48+02	x11/xf86dga	xf86dga-1.0.3_1
2020-04-17 09:04:48+02	2020-04-17 09:05:06+02	x11/xgamma	xgamma-1.0.6
2020-04-17 09:05:06+02	2020-04-17 09:05:28+02	x11/xgc	xgc-1.0.5
2020-04-17 09:05:30+02	2020-04-17 09:05:44+02	x11/xhost	xhost-1.0.8
2020-04-17 09:05:45+02	2020-04-17 09:06:01+02	x11/xinit	xinit-1.4.1,1
2020-04-17 09:06:02+02	2020-04-17 09:06:18+02	x11/xinput	xinput-1.6.3
2020-04-17 03:13:27+02	2020-04-17 03:13:58+02	x11/xkbcomp	xkbcomp-1.4.3
2020-04-17 09:06:19+02	2020-04-17 09:06:33+02	x11/xkbevd	xkbevd-1.1.4
2020-04-17 09:06:33+02	2020-04-17 09:06:51+02	x11/xkbutils	xkbutils-1.0.4_2
2020-04-02 23:51:51+02	2020-04-02 23:54:04+02	x11/xkeyboard-config	xkeyboard-config-2.29
2020-04-17 09:06:51+02	2020-04-17 09:07:08+02	x11/xkill	xkill-1.0.5
2020-05-16 21:30:29+02	2020-05-16 21:30:46+02	x11/xlockmore	xlockmore-5.63
2020-04-17 09:07:09+02	2020-04-17 09:07:23+02	x11/xlsatoms	xlsatoms-1.1.3
2020-04-17 09:07:23+02	2020-04-17 09:07:38+02	x11/xlsclients	xlsclients-1.1.4
2020-04-17 17:14:39+02	2020-04-17 17:14:56+02	x11/xman	xman-1.1.5
2020-04-17 09:07:38+02	2020-04-17 09:07:52+02	x11/xmessage	xmessage-1.0.5
2020-04-17 09:07:53+02	2020-04-17 09:08:09+02	x11/xmodmap	xmodmap-1.0.10
2020-05-16 20:05:07+02	2020-05-16 20:05:30+02	x11/xorg-apps	xorg-apps-7.7_4
2020-02-29 02:24:28+01	2020-02-29 02:24:37+01	x11/xorg-cf-files	xorg-cf-files-1.0.6
2020-03-01 03:51:49+01	2020-03-01 03:52:00+01	x11/xorg-docs	xorg-docs-1.7.1,1
2020-05-09 14:15:07+02	2020-05-09 14:15:16+02	x11/xorg-libraries	xorg-libraries-7.7_4
2020-05-23 00:09:21+02	2020-05-23 00:12:31+02	x11/xorg	xorg-7.7_3
2020-04-17 03:00:23+02	2020-04-17 03:00:41+02	x11/xorgproto	xorgproto-2020.1
2020-04-17 09:08:10+02	2020-04-17 09:08:27+02	x11/xpr	xpr-1.0.5
2020-04-17 03:15:55+02	2020-04-17 03:16:20+02	x11/xprop	xprop-1.2.4
2020-04-17 09:08:27+02	2020-04-17 09:08:46+02	x11/xrandr	xrandr-1.5.1
2020-04-17 05:12:35+02	2020-04-17 05:12:47+02	x11/xrdb	xrdb-1.2.0
2020-04-17 09:08:46+02	2020-04-17 09:09:04+02	x11/xrefresh	xrefresh-1.0.6
2020-05-23 21:44:52+02	2020-05-23 21:50:19+02	x11/xscreensaver	xscreensaver-5.44
2020-04-17 03:16:13+02	2020-04-17 03:16:38+02	x11/xset	xset-1.2.4_3
2020-04-17 09:09:04+02	2020-04-17 09:09:20+02	x11/xsetroot	xsetroot-1.1.2
2020-05-09 12:28:53+02	2020-05-09 12:29:12+02	x11/xterm	xterm-356
2020-02-28 22:00:54+01	2020-02-28 22:01:02+01	x11/xtrans	xtrans-1.4.0
2020-04-17 09:10:07+02	2020-04-17 09:10:23+02	x11/xvinfo	xvinfo-1.1.4
2020-04-17 09:10:23+02	2020-04-17 09:10:40+02	x11/xwd	xwd-1.0.7
2020-04-17 09:10:43+02	2020-04-17 09:10:57+02	x11/xwininfo	xwininfo-1.1.5
2020-04-17 09:10:57+02	2020-04-17 09:11:14+02	x11/xwud	xwud-1.0.5
2020-05-20 07:46:35+02	2020-05-20 07:51:55+02	x11/yelp	yelp-3.28.1_2
2020-05-25 22:35:18+02	2020-05-25 22:35:35+02	www/serf	serf-1.3.9_5
2020-05-20 06:06:24+02	2020-05-20 06:07:46+02	x11/zenity	zenity-3.28.1
2020-05-09 13:01:31+02	2020-05-09 13:01:42+02	x11-clocks/xclock	xclock-1.0.9
2020-05-21 23:57:13+02	2020-05-21 23:58:23+02	x11-drivers/xf86-input-evdev	xf86-input-evdev-2.10.6_5
2020-05-16 18:54:35+02	2020-05-16 18:55:24+02	x11-drivers/xf86-input-keyboard	xf86-input-keyboard-1.9.0_4
2020-05-21 17:01:05+02	2020-05-21 17:01:52+02	x11-drivers/xf86-input-libinput	xf86-input-libinput-0.30.0
2020-05-16 18:55:25+02	2020-05-16 18:56:29+02	x11-drivers/xf86-input-mouse	xf86-input-mouse-1.9.3_3
2020-03-13 05:53:07+01	2020-03-13 05:54:25+01	x11-drivers/xf86-input-synaptics	xf86-input-synaptics-1.9.1_5
2020-03-13 05:54:26+01	2020-03-13 05:55:48+01	x11-drivers/xf86-input-wacom	xf86-input-wacom-0.39.0_1
2020-05-16 18:56:29+02	2020-05-16 18:57:37+02	x11-drivers/xf86-video-amdgpu	xf86-video-amdgpu-19.1.0_1
2020-05-16 18:56:30+02	2020-05-16 18:58:10+02	x11-drivers/xf86-video-intel	xf86-video-intel-2.99.917.20181203_1
2020-05-16 18:57:37+02	2020-05-16 18:58:42+02	x11-drivers/xf86-video-scfb	xf86-video-scfb-0.0.5_2
2020-05-16 18:58:11+02	2020-05-16 18:59:15+02	x11-drivers/xf86-video-vesa	xf86-video-vesa-2.4.0_3
2020-05-23 00:01:08+02	2020-05-23 00:01:52+02	x11-drivers/xorg-drivers	xorg-drivers-7.7_6
2020-05-20 04:55:19+02	2020-05-20 05:01:59+02	x11-fm/caja	caja-1.22.3
2020-05-23 09:58:32+02	2020-05-23 10:05:15+02	x11-fm/doublecmd@gtk2	doublecmd-gtk2-0.9.8_2
2020-05-21 11:54:11+02	2020-05-21 11:56:28+02	x11-fm/fsv2	fsv2-1.1.0_1
2020-04-17 17:28:31+02	2020-04-17 17:28:55+02	x11-fm/xcruise	xcruiser-0.30_3
2020-05-16 21:34:32+02	2020-05-16 21:34:44+02	x11-fm/xdiskusage	xdiskusage-1.51_1
2020-02-28 22:27:58+01	2020-02-28 22:28:09+01	x11-fonts/bdftopcf	bdftopcf-1.1_2
2020-05-09 14:15:16+02	2020-05-09 14:15:23+02	x11-fonts/bitstream-vera	bitstream-vera-1.10_8
2020-05-09 13:01:42+02	2020-05-09 13:01:49+02	x11-fonts/crosextrafonts-caladea-ttf	crosextrafonts-caladea-20130214_4
2020-05-09 13:01:50+02	2020-05-09 13:01:58+02	x11-fonts/crosextrafonts-carlito-ttf	crosextrafonts-carlito-20130920_4
2020-05-09 11:12:31+02	2020-05-09 11:12:49+02	x11-fonts/dejavu	dejavu-2.37_1
2020-02-28 22:29:16+01	2020-02-28 22:29:25+01	x11-fonts/encodings	encodings-1.0.5,1
2020-05-09 12:10:02+02	2020-05-09 12:10:39+02	x11-fonts/font-adobe-100dpi	font-adobe-100dpi-1.0.3_4
2020-05-09 12:18:08+02	2020-05-09 12:18:32+02	x11-fonts/font-adobe-75dpi	font-adobe-75dpi-1.0.3_4
2020-05-09 12:30:09+02	2020-05-09 12:30:22+02	x11-fonts/font-adobe-utopia-100dpi	font-adobe-utopia-100dpi-1.0.4_4
2020-05-09 12:30:23+02	2020-05-09 12:30:41+02	x11-fonts/font-adobe-utopia-75dpi	font-adobe-utopia-75dpi-1.0.4_4
2020-05-09 12:30:42+02	2020-05-09 12:30:51+02	x11-fonts/font-adobe-utopia-type1	font-adobe-utopia-type1-1.0.4_4
2020-02-29 07:30:22+01	2020-02-29 07:30:33+01	x11-fonts/font-alias	font-alias-1.0.3_3
2020-05-09 12:30:51+02	2020-05-09 12:31:03+02	x11-fonts/font-arabic-misc	font-arabic-misc-1.0.3_4
2020-05-09 12:31:03+02	2020-05-09 12:31:32+02	x11-fonts/font-bh-100dpi	font-bh-100dpi-1.0.3_4
2020-05-09 12:31:32+02	2020-05-09 12:31:59+02	x11-fonts/font-bh-75dpi	font-bh-75dpi-1.0.3_4
2020-05-09 12:31:59+02	2020-05-09 12:32:20+02	x11-fonts/font-bh-lucidatypewriter-100dpi	font-bh-lucidatypewriter-100dpi-1.0.3_4
2020-05-09 12:32:20+02	2020-05-09 12:32:36+02	x11-fonts/font-bh-lucidatypewriter-75dpi	font-bh-lucidatypewriter-75dpi-1.0.3_4
2020-05-09 11:12:50+02	2020-05-09 11:13:01+02	x11-fonts/font-bh-ttf	font-bh-ttf-1.0.3_4
2020-05-09 12:32:37+02	2020-05-09 12:32:48+02	x11-fonts/font-bh-type1	font-bh-type1-1.0.3_4
2020-05-09 12:32:38+02	2020-05-09 12:32:49+02	x11-fonts/font-bitstream-100dpi	font-bitstream-100dpi-1.0.3_4
2020-05-09 12:32:49+02	2020-05-09 12:32:59+02	x11-fonts/font-bitstream-75dpi	font-bitstream-75dpi-1.0.3_4
2020-05-09 12:32:49+02	2020-05-09 12:33:00+02	x11-fonts/font-bitstream-type1	font-bitstream-type1-1.0.3_4
2020-05-09 12:33:00+02	2020-05-09 12:33:11+02	x11-fonts/font-cronyx-cyrillic	font-cronyx-cyrillic-1.0.3_4
2020-05-09 12:33:01+02	2020-05-09 12:33:12+02	x11-fonts/font-cursor-misc	font-cursor-misc-1.0.3_4
2020-05-09 12:33:11+02	2020-05-09 12:33:26+02	x11-fonts/font-daewoo-misc	font-daewoo-misc-1.0.3_4
2020-05-09 12:33:12+02	2020-05-09 12:33:25+02	x11-fonts/font-dec-misc	font-dec-misc-1.0.3_4
2020-05-09 12:33:26+02	2020-05-09 12:33:37+02	x11-fonts/font-ibm-type1	font-ibm-type1-1.0.3_4
2020-05-09 12:33:26+02	2020-05-09 12:33:39+02	x11-fonts/font-isas-misc	font-isas-misc-1.0.3_4
2020-05-09 12:33:39+02	2020-05-09 12:33:51+02	x11-fonts/font-jis-misc	font-jis-misc-1.0.3_4
2020-05-09 12:33:40+02	2020-05-09 12:33:51+02	x11-fonts/font-micro-misc	font-micro-misc-1.0.3_4
2020-05-09 12:33:51+02	2020-05-09 12:34:02+02	x11-fonts/font-misc-cyrillic	font-misc-cyrillic-1.0.3_4
2020-05-09 11:12:57+02	2020-05-09 11:13:10+02	x11-fonts/font-misc-ethiopic	font-misc-ethiopic-1.0.3_4
2020-05-09 11:13:01+02	2020-05-09 11:13:18+02	x11-fonts/font-misc-meltho	font-misc-meltho-1.0.3_4
2020-05-09 12:06:09+02	2020-05-09 12:06:32+02	x11-fonts/font-misc-misc	font-misc-misc-1.1.2_4
2020-05-09 12:33:52+02	2020-05-09 12:34:03+02	x11-fonts/font-mutt-misc	font-mutt-misc-1.0.3_4
2020-05-09 12:34:02+02	2020-05-09 12:34:15+02	x11-fonts/font-schumacher-misc	font-schumacher-misc-1.1.2_4
2020-05-09 12:34:04+02	2020-05-09 12:34:14+02	x11-fonts/font-screen-cyrillic	font-screen-cyrillic-1.0.4_4
2020-05-09 12:34:15+02	2020-05-09 12:34:25+02	x11-fonts/font-sony-misc	font-sony-misc-1.0.3_4
2020-05-09 12:34:15+02	2020-05-09 12:34:26+02	x11-fonts/font-sun-misc	font-sun-misc-1.0.3_4
2020-02-28 22:28:09+01	2020-02-28 22:28:19+01	x11-fonts/font-util	font-util-1.3.2
2020-05-09 12:34:26+02	2020-05-09 12:34:36+02	x11-fonts/font-winitzki-cyrillic	font-winitzki-cyrillic-1.0.3_4
2020-05-09 12:34:27+02	2020-05-09 12:34:37+02	x11-fonts/font-xfree86-type1	font-xfree86-type1-1.0.4_4
2020-05-09 11:10:58+02	2020-05-09 11:11:58+02	x11-fonts/fontconfig	fontconfig-2.13.92_2,1
2020-05-09 13:01:58+02	2020-05-09 13:02:05+02	x11-fonts/gentium-basic	GentiumBasic-1102_1
2020-05-09 14:15:22+02	2020-05-09 14:15:29+02	x11-fonts/gnu-unifont	gnu-unifont-13.0.02,1
2020-05-09 13:01:59+02	2020-05-09 13:02:08+02	x11-fonts/liberation-fonts-ttf	liberation-fonts-ttf-2.1.0,2
2020-02-28 22:24:09+01	2020-02-28 22:24:23+01	x11-fonts/libfontenc	libfontenc-1.1.4
2020-02-29 19:43:01+01	2020-02-29 19:43:17+01	x11-fonts/libFS	libFS-1.0.8
2020-02-29 02:24:38+01	2020-02-29 02:25:08+01	x11-fonts/libXfont	libXfont-1.5.4_2,2
2020-03-01 00:57:39+01	2020-03-01 00:58:08+01	x11-fonts/libXfont2	libXfont2-2.0.4
2020-05-09 11:13:11+02	2020-05-09 11:13:31+02	x11-fonts/libXft	libXft-2.3.3
2020-05-09 13:02:06+02	2020-05-09 13:02:20+02	x11-fonts/linuxlibertine-g	linuxlibertine-g-20120116_2
2020-02-28 22:24:23+01	2020-02-28 22:24:36+01	x11-fonts/mkfontscale	mkfontscale-1.2.1
2020-05-09 12:18:14+02	2020-05-09 12:19:05+02	x11-fonts/noto-basic	noto-basic-2.0
2020-03-20 06:15:35+01	2020-03-20 06:15:57+01	x11-fonts/p5-Font-TTF	p5-Font-TTF-1.06
2020-05-09 13:02:08+02	2020-05-09 13:02:20+02	x11-fonts/twemoji-color-font-ttf	twemoji-color-font-ttf-12.0.1
2020-05-09 13:02:20+02	2020-05-09 13:02:51+02	x11-fonts/xorg-fonts-100dpi	xorg-fonts-100dpi-7.7
2020-05-09 13:02:20+02	2020-05-09 13:02:50+02	x11-fonts/xorg-fonts-75dpi	xorg-fonts-75dpi-7.7
2020-05-09 13:02:51+02	2020-05-09 13:03:07+02	x11-fonts/xorg-fonts-cyrillic	xorg-fonts-cyrillic-7.7
2020-05-09 13:02:51+02	2020-05-09 13:03:35+02	x11-fonts/xorg-fonts-miscbitmaps	xorg-fonts-miscbitmaps-7.7
2020-05-09 11:13:19+02	2020-05-09 11:13:39+02	x11-fonts/xorg-fonts-truetype	xorg-fonts-truetype-7.7_1
2020-05-09 13:03:07+02	2020-05-09 13:03:27+02	x11-fonts/xorg-fonts-type1	xorg-fonts-type1-7.7
2020-05-09 14:15:23+02	2020-05-09 14:17:14+02	x11-fonts/xorg-fonts	xorg-fonts-7.7_1
2020-05-16 18:58:43+02	2020-05-16 19:00:38+02	x11-servers/xephyr	xephyr-1.20.8_1,1
2020-05-16 16:15:19+02	2020-05-16 16:16:43+02	x11-servers/xorg-server	xorg-server-1.20.8_1,1
2020-05-25 22:48:17+02	2020-05-25 22:48:54+02	graphics/qt5-svg	qt5-svg-5.14.2
2020-05-25 22:35:35+02	2020-05-25 22:35:49+02	textproc/lowdown	lowdown-0.6.5
2020-05-16 20:05:31+02	2020-05-16 20:06:48+02	x11-servers/xorg-vfbserver	xorg-vfbserver-1.20.8_1,1
2020-05-21 00:25:22+02	2020-05-21 00:29:21+02	x11-themes/adwaita-icon-theme	adwaita-icon-theme-3.28.0
2020-05-20 07:51:56+02	2020-05-20 07:55:59+02	x11-themes/gtk-engines2	gtk-engines2-2.20.2_3
2020-05-20 07:56:00+02	2020-05-20 07:58:40+02	x11-themes/gtk-murrine-engine	gtk-murrine-engine-0.98.2_5
2020-03-20 02:02:39+01	2020-03-20 02:03:01+01	x11-themes/icon-naming-utils	icon-naming-utils-0.8.90_1
2020-05-20 04:05:09+02	2020-05-20 04:07:44+02	x11-themes/kf5-breeze-icons	kf5-breeze-icons-5.70.0
2020-05-20 04:16:19+02	2020-05-20 04:17:59+02	x11-themes/kf5-kiconthemes	kf5-kiconthemes-5.70.0
2020-05-20 11:03:14+02	2020-05-20 11:04:58+02	x11-themes/mate-backgrounds	mate-backgrounds-1.22.0
2020-05-20 04:05:30+02	2020-05-20 04:08:11+02	x11-themes/mate-icon-theme	mate-icon-theme-1.22.2
2020-05-20 11:04:59+02	2020-05-20 11:11:24+02	x11-themes/mate-themes	mate-themes-3.22.14
2020-03-01 03:54:20+01	2020-03-01 03:54:33+01	x11-themes/xcursor-themes	xcursor-themes-1.0.6
2020-05-16 20:06:12+02	2020-05-16 20:06:34+02	x11-toolkits/fltk	fltk-1.3.5
2020-05-20 11:11:25+02	2020-05-20 11:13:13+02	x11-toolkits/fpc-gtk2	fpc-gtk2-3.0.4_4
2020-05-20 23:48:24+02	2020-05-20 23:49:43+02	x11-toolkits/gdl	gdl-3.28.0
2020-05-20 04:17:59+02	2020-05-20 04:18:55+02	x11-toolkits/gstreamer1-plugins-pango	gstreamer1-plugins-pango-1.16.2
2020-05-21 00:40:44+02	2020-05-21 00:49:59+02	x11-toolkits/gtk20	gtk2-2.24.32
2020-05-21 00:29:21+02	2020-05-21 00:48:18+02	x11-toolkits/gtk30	gtk3-3.24.10_1
2020-05-20 23:49:29+02	2020-05-20 23:50:14+02	x11-toolkits/gtkglarea2	gtkglarea-2.0.1_10
2020-05-20 23:49:44+02	2020-05-20 23:58:33+02	x11-toolkits/gtkmm24	gtkmm24-2.24.5_1
2020-05-20 06:06:28+02	2020-05-20 06:17:04+02	x11-toolkits/gtkmm30	gtkmm30-3.22.2
2020-05-20 07:58:40+02	2020-05-20 08:05:06+02	x11-toolkits/gtksourceview3	gtksourceview3-3.24.8_3
2020-05-20 05:02:01+02	2020-05-20 05:05:35+02	x11-toolkits/kf5-attica	kf5-attica-5.70.0
2020-05-20 04:33:05+02	2020-05-20 04:34:15+02	x11-toolkits/kf5-kcompletion	kf5-kcompletion-5.70.0
2020-05-20 04:07:45+02	2020-05-20 04:09:39+02	x11-toolkits/kf5-kconfigwidgets	kf5-kconfigwidgets-5.70.0
2020-05-20 03:08:49+02	2020-05-20 03:11:52+02	x11-toolkits/kf5-kguiaddons	kf5-kguiaddons-5.70.0
2020-05-20 04:08:11+02	2020-05-20 04:09:47+02	x11-toolkits/kf5-kitemviews	kf5-kitemviews-5.70.0
2020-05-20 08:05:07+02	2020-05-20 08:07:37+02	x11-toolkits/kf5-kjobwidgets	kf5-kjobwidgets-5.70.0
2020-05-20 05:05:36+02	2020-05-20 05:09:01+02	x11-toolkits/kf5-ktextwidgets	kf5-ktextwidgets-5.70.0
2020-05-20 02:28:34+02	2020-05-20 02:31:30+02	x11-toolkits/kf5-kwidgetsaddons	kf5-kwidgetsaddons-5.70.0
2020-05-20 06:07:46+02	2020-05-20 06:11:37+02	x11-toolkits/kf5-kxmlgui	kf5-kxmlgui-5.70.0
2020-05-21 11:56:29+02	2020-05-21 11:57:25+02	x11-toolkits/libgdiplus	libgdiplus-5.6_2
2020-05-20 05:09:02+02	2020-05-20 05:11:52+02	x11-toolkits/libunique3	libunique-3.0.2_3
2020-05-20 03:11:53+02	2020-05-20 03:17:32+02	x11-toolkits/libwnck3	libwnck3-3.24.1
2020-04-17 03:14:22+02	2020-04-17 03:15:44+02	x11-toolkits/libXaw	libXaw-1.0.13_3,2
2020-04-17 03:13:27+02	2020-04-17 03:14:22+02	x11-toolkits/libXmu	libXmu-1.1.3,1
2020-04-17 03:12:24+02	2020-04-17 03:13:24+02	x11-toolkits/libXt	libXt-1.2.0,1
2020-05-09 12:37:32+02	2020-05-09 12:47:32+02	x11-toolkits/open-motif	open-motif-2.3.8_1
2020-05-21 00:07:41+02	2020-05-21 00:11:37+02	x11-toolkits/pango	pango-1.42.4_3
2020-05-20 04:18:55+02	2020-05-20 04:20:40+02	x11-toolkits/pangomm	pangomm-2.40.1_4
2020-05-21 01:52:33+02	2020-05-21 01:52:59+02	x11-toolkits/pangox-compat	pangox-compat-0.0.2_2
2020-05-20 11:13:14+02	2020-05-20 11:18:25+02	x11-toolkits/py-gtk2@py27	py27-gtk2-2.24.0_5
2020-03-20 03:30:23+01	2020-03-20 03:57:05+01	x11-toolkits/py-qt5-gui@py27	py27-qt5-gui-5.13.1
2020-05-20 03:17:33+02	2020-05-20 03:50:11+02	x11-toolkits/py-qt5-gui@py37	py37-qt5-gui-5.13.1_1
2020-03-20 04:14:04+01	2020-03-20 04:23:43+01	x11-toolkits/py-qt5-widgets@py27	py27-qt5-widgets-5.13.1
2020-05-20 04:20:41+02	2020-05-20 04:30:35+02	x11-toolkits/py-qt5-widgets@py37	py37-qt5-widgets-5.13.1_1
2020-03-16 06:18:20+01	2020-03-16 06:18:30+01	x11-toolkits/py-tkinter@py27	py27-tkinter-2.7.17_6
2020-05-09 12:06:48+02	2020-05-09 12:07:02+02	x11-toolkits/py-tkinter@py37	py37-tkinter-3.7.7_6
2020-05-16 21:35:13+02	2020-05-16 21:35:36+02	x11-toolkits/py-tkinter@py38	py38-tkinter-3.8.3_6
2020-05-21 00:59:00+02	2020-05-21 01:22:21+02	x11-toolkits/qt5-declarative	qt5-declarative-5.14.2
2020-05-21 00:30:56+02	2020-05-21 00:48:02+02	x11-toolkits/qt5-gui	qt5-gui-5.14.2
2020-05-20 11:18:26+02	2020-05-20 11:24:26+02	x11-toolkits/qt5-quickcontrols	qt5-quickcontrols-5.14.2
2020-05-21 01:37:14+02	2020-05-21 01:37:43+02	x11-toolkits/qt5-uiplugin	qt5-uiplugin-5.14.2
2020-05-21 00:48:02+02	2020-05-21 00:57:56+02	x11-toolkits/qt5-widgets	qt5-widgets-5.14.2
2020-05-09 11:57:10+02	2020-05-09 11:58:20+02	x11-toolkits/tk86	tk86-8.6.10_1
2020-05-21 01:56:44+02	2020-05-21 01:58:40+02	x11-toolkits/vte3	vte3-0.52.2_3
2020-05-20 01:58:41+02	2020-05-20 02:00:08+02	x11-toolkits/wxgtk28-common	wx28-gtk2-common-2.8.12_8
2020-05-20 06:11:38+02	2020-05-20 06:15:52+02	x11-toolkits/wxgtk28-contrib-common	wx28-gtk2-contrib-common-2.8.12_8
2020-05-20 08:07:38+02	2020-05-20 08:16:11+02	x11-toolkits/wxgtk28-contrib	wx28-gtk2-contrib-2.8.12_8
2020-05-20 02:11:51+02	2020-05-20 02:23:05+02	x11-toolkits/wxgtk28	wx28-gtk2-2.8.12_8
2020-05-20 11:24:26+02	2020-05-20 12:08:18+02	x11-toolkits/wxgtk30	wx30-gtk3-3.0.5.1
2020-04-26 15:30:44+02	2020-04-26 15:31:55+02	x11-toolkits/Xaw3d	Xaw3d-1.5E_8
2020-04-17 17:29:45+02	2020-04-17 17:30:27+02	x11-wm/bbkeys	bbkeys-0.9.1_1
2020-04-17 17:30:27+02	2020-04-17 17:30:52+02	x11-wm/bbpager	bbpager-0.4.7_3
2020-05-09 12:39:38+02	2020-05-09 12:40:38+02	x11-wm/blackbox	blackbox-0.70.1_6
2020-05-20 08:16:12+02	2020-05-20 08:23:33+02	x11-wm/marco	marco-1.22.4
2020-05-07 20:42:34+02	2020-05-07 20:43:18+02	x11-wm/twm	twm-1.0.10_1
2020-05-23 22:58:10+02	2020-05-23 23:14:43+02	local/E590T-localbase	E590T-localbase-2020052200
2020-05-25 22:48:49+02	2020-05-25 22:49:13+02	devel/qt5-script	qt5-script-5.14.2
2020-05-24 09:09:44+02	2020-05-24 09:15:58+02	graphics/drm-current-kmod	drm-current-kmod-4.16.g20200320
2020-05-24 09:15:59+02	2020-05-24 09:16:06+02	graphics/drm-kmod	drm-kmod-g20190710
2020-05-24 09:34:05+02	2020-05-24 09:48:40+02	local/E590T-localbase	E590T-localbase-2020052200
2020-05-25 22:53:48+02	2020-05-25 22:54:27+02	x11-toolkits/kf5-kguiaddons	kf5-kguiaddons-5.70.0
2020-05-24 11:13:59+02	2020-05-24 11:17:29+02	graphics/drm-current-kmod	drm-current-kmod-4.16.g20200320
2020-05-25 23:04:23+02	2020-05-25 23:05:10+02	devel/kf5-solid	kf5-solid-5.70.0
2020-05-24 11:18:13+02	2020-05-24 11:18:23+02	graphics/drm-kmod	drm-kmod-g20190710
2020-05-25 23:46:21+02	2020-05-25 23:49:38+02	multimedia/shotcut	shotcut-20.04.12_1
2020-05-26 19:47:15+02	2020-05-26 19:51:58+02	sysutils/ansible@py37	py37-ansible-2.9.7
2020-05-24 11:48:10+02	2020-05-24 12:02:45+02	local/E590T-localbase	E590T-localbase-2020052200
2020-05-24 12:56:21+02	2020-05-24 12:58:14+02	graphics/drm-current-kmod	drm-current-kmod-4.16.g20200320
2020-05-24 12:58:15+02	2020-05-24 12:58:22+02	graphics/drm-kmod	drm-kmod-g20190710
2020-05-24 13:17:27+02	2020-05-24 13:32:00+02	local/E590T-localbase	E590T-localbase-2020052200
2020-05-25 22:36:02+02	2020-05-25 22:37:00+02	devel/subversion	subversion-1.13.0_1
2020-05-25 22:48:40+02	2020-05-25 22:49:32+02	devel/kf5-extra-cmake-modules	kf5-extra-cmake-modules-5.70.0_1
2020-05-25 22:54:25+02	2020-05-25 22:55:12+02	accessibility/qt5-speech	qt5-speech-5.14.2
2020-05-25 23:04:15+02	2020-05-25 23:05:15+02	x11-toolkits/kf5-kxmlgui	kf5-kxmlgui-5.70.0
2020-05-25 23:26:06+02	2020-05-25 23:52:21+02	devel/RStudio	RStudio-1.3.959
2020-05-21 00:24:44+02	2020-05-21 00:25:22+02	accessibility/at-spi2-atk	at-spi2-atk-2.26.2
2020-05-21 00:11:38+02	2020-05-21 00:12:42+02	accessibility/at-spi2-core	at-spi2-core-2.28.0
2020-05-21 00:13:51+02	2020-05-21 00:14:21+02	accessibility/atk	atk-2.28.1
2020-05-20 04:09:40+02	2020-05-20 04:10:39+02	accessibility/atkmm	atkmm-2.24.2_4
2020-05-20 03:50:12+02	2020-05-20 03:52:28+02	accessibility/qt5-speech	qt5-speech-5.14.2
2020-05-20 02:00:09+02	2020-05-20 02:00:56+02	accessibility/speech-dispatcher	speech-dispatcher-0.8.8
2020-05-10 10:07:21+02	2020-05-10 10:07:34+02	archivers/arc	arc-5.21p
2020-05-10 10:07:21+02	2020-05-10 10:08:07+02	archivers/arj	arj-3.10.22_8
2020-03-01 00:07:39+01	2020-03-01 00:08:37+01	archivers/brotli	brotli-1.0.7_2,1
2020-05-20 12:08:21+02	2020-05-20 12:14:50+02	archivers/engrampa	engrampa-1.22.2
2020-02-29 09:45:35+01	2020-02-29 09:46:36+01	archivers/gtar	gtar-1.32
2020-05-20 02:00:56+02	2020-05-20 02:01:53+02	archivers/kf5-karchive	kf5-karchive-5.70.0
2020-05-23 08:47:36+02	2020-05-23 08:48:50+02	archivers/libarchive	libarchive-3.4.3,1
2020-02-28 22:01:03+01	2020-02-28 22:01:33+01	archivers/liblz4	liblz4-1.9.2_1,1
2020-02-29 01:23:07+01	2020-02-29 01:23:30+01	archivers/libmspack	libmspack-0.10.1
2020-02-29 19:54:02+01	2020-02-29 19:54:30+01	archivers/libunrar5	libunrar5-5.6.8_1
2020-02-28 22:07:51+01	2020-02-28 22:08:34+01	archivers/lzo2	lzo2-2.10_1
2020-03-16 22:40:07+01	2020-03-16 22:40:37+01	archivers/minizip	minizip-1.2.11
2020-03-28 19:28:44+01	2020-03-28 19:29:06+01	archivers/p5-Archive-Zip	p5-Archive-Zip-1.68
2020-03-01 03:58:12+01	2020-03-01 03:58:23+01	archivers/pbzip2	pbzip2-1.1.13
2020-05-16 10:56:36+02	2020-05-16 10:57:04+02	archivers/php73-zlib	php73-zlib-7.3.18
2020-02-29 02:07:14+01	2020-02-29 02:07:32+01	archivers/snappy	snappy-1.1.8
2020-04-05 01:27:21+02	2020-04-05 01:27:49+02	archivers/unrar	unrar-5.90,6
2020-02-29 08:38:41+01	2020-02-29 08:38:59+01	archivers/unzip	unzip-6.0_8
2020-05-10 10:07:21+02	2020-05-10 10:07:29+02	archivers/unzoo	unzoo-4.4_2
2020-02-28 23:37:26+01	2020-02-28 23:37:40+01	archivers/zip	zip-3.0_1
2020-02-29 19:54:30+01	2020-02-29 19:56:35+01	archivers/zstd	zstd-1.4.4_1
2020-05-25 22:33:59+02	2020-05-25 22:37:20+02	archivers/zstd	zstd-1.4.5
2020-05-09 14:17:15+02	2020-05-09 14:19:27+02	astro/xephem	xephem-3.7.7_5
2020-02-28 23:56:35+01	2020-02-28 23:57:24+01	audio/alsa-lib	alsa-lib-1.1.2_2
2020-02-29 01:09:28+01	2020-02-29 01:09:42+01	audio/alsa-plugins	alsa-plugins-1.1.1_6
2020-02-29 15:11:25+01	2020-02-29 15:11:51+01	audio/celt	celt-0.11.3_3
2020-03-01 00:58:08+01	2020-03-01 00:58:30+01	audio/espeak	espeak-1.48.04_7
2020-05-23 09:20:11+02	2020-05-23 09:20:52+02	audio/faudio	FAudio-20.05
2020-02-29 19:56:35+01	2020-02-29 19:59:08+01	audio/fdk-aac	fdk-aac-2.0.1
2020-02-28 23:42:07+01	2020-02-28 23:43:09+01	audio/flac	flac-1.3.3
2020-02-29 19:56:42+01	2020-02-29 19:57:05+01	audio/freealut	freealut-1.1.0_4
2020-02-29 19:54:49+01	2020-02-29 19:55:59+01	audio/faad	faad2-2.8.8,1
2020-03-16 22:40:37+01	2020-03-16 22:40:50+01	audio/gsm	gsm-1.0.13_2
2020-05-20 04:09:47+02	2020-05-20 04:10:36+02	audio/gstreamer1-plugins-a52dec	gstreamer1-plugins-a52dec-1.16.2
2020-05-20 04:10:37+02	2020-05-20 04:11:16+02	audio/gstreamer1-plugins-mpg123	gstreamer1-plugins-mpg123-1.16.2
2020-05-20 03:52:29+02	2020-05-20 03:59:01+02	audio/gstreamer1-plugins-ogg	gstreamer1-plugins-ogg-1.16.2
2020-05-20 04:10:40+02	2020-05-20 04:11:27+02	audio/gstreamer1-plugins-vorbis	gstreamer1-plugins-vorbis-1.16.2
2020-03-02 10:00:19+01	2020-03-02 10:01:38+01	audio/jack	jackit-0.125.0_9
2020-03-17 05:42:00+01	2020-03-17 05:42:11+01	audio/ladspa	ladspa-1.15
2020-03-16 22:40:50+01	2020-03-16 22:41:35+01	audio/lame	lame-3.100_2
2020-02-29 02:14:33+01	2020-02-29 02:14:47+01	audio/liba52	liba52-0.7.4_3
2020-03-16 22:41:35+01	2020-03-16 22:41:51+01	audio/libao	libao-1.2.0_4
2020-05-21 01:52:35+02	2020-05-21 01:53:18+02	audio/libcanberra-gtk3	libcanberra-gtk3-0.30_5
2020-05-21 01:46:42+02	2020-05-21 01:47:19+02	audio/libcanberra	libcanberra-0.30_5
2020-02-29 06:09:45+01	2020-02-29 06:10:03+01	audio/libcddb	libcddb-1.3.2_4
2020-03-16 22:41:52+01	2020-03-16 22:42:07+01	audio/libid3tag	libid3tag-0.15.1b_2
2020-02-29 19:58:19+01	2020-02-29 19:58:46+01	audio/libmad	libmad-0.15.1b_7
2020-05-20 04:34:16+02	2020-05-20 04:35:28+02	audio/libmatemixer	libmatemixer-1.22.0
2020-02-29 01:53:59+01	2020-02-29 01:54:38+01	audio/libmikmod	libmikmod-3.3.11.1_1
2020-02-29 09:45:52+01	2020-02-29 09:46:16+01	audio/libmodplug	libmodplug-0.8.9.0
2020-02-29 09:04:51+01	2020-02-29 09:05:04+01	audio/libmysofa	libmysofa-0.9
2020-02-28 23:27:18+01	2020-02-28 23:27:32+01	audio/libogg	libogg-1.3.4,4
2020-03-08 18:13:49+01	2020-03-08 18:15:17+01	audio/libopenshot-audio	libopenshot-audio-0.2.0.2
2020-02-29 09:46:17+01	2020-02-29 09:46:45+01	audio/libsamplerate	libsamplerate-0.1.9
2020-02-28 23:48:57+01	2020-02-28 23:49:55+01	audio/libsndfile	libsndfile-1.0.28_2
2020-02-29 01:09:42+01	2020-02-29 01:10:03+01	audio/libsoxr	libsoxr-0.1.3_2
2020-02-28 23:28:46+01	2020-02-28 23:29:11+01	audio/libvorbis	libvorbis-1.3.6,3
2020-05-20 12:16:33+02	2020-05-20 12:20:12+02	audio/mate-media	mate-media-1.22.2
2020-02-29 06:10:03+01	2020-02-29 06:10:45+01	audio/mpg123	mpg123-1.25.13
2020-02-29 09:46:37+01	2020-02-29 09:47:53+01	audio/openal-soft	openal-soft-1.20.1
2020-03-01 00:00:55+01	2020-03-01 00:01:43+01	audio/opus	opus-1.3.1
2020-03-16 22:42:09+01	2020-03-16 22:42:52+01	audio/opusfile	opusfile-0.10
2020-03-01 00:52:24+01	2020-03-01 00:53:42+01	audio/portaudio	portaudio-19.6.0_3,1
2020-05-20 02:13:17+02	2020-05-20 02:23:12+02	audio/pulseaudio	pulseaudio-13.0
2020-05-16 16:39:24+02	2020-05-16 16:39:51+02	audio/sdl_mixer	sdl_mixer-1.2.12_12
2020-05-16 18:17:50+02	2020-05-16 18:18:23+02	audio/sdl_sound	sdl_sound-1.0.3_14
2020-03-01 21:12:35+01	2020-03-01 21:12:45+01	audio/sndio	sndio-1.6.0
2020-03-17 02:55:55+01	2020-03-17 02:58:33+01	audio/sox	sox-14.4.2_3
2020-02-29 02:14:47+01	2020-02-29 02:15:06+01	audio/speex	speex-1.2.0,1
2020-03-01 00:08:38+01	2020-03-01 00:08:54+01	audio/speexdsp	speexdsp-1.2.0
2020-04-19 18:37:28+02	2020-04-19 18:38:30+02	audio/swhplugins	swhplugins-0.4.15_7
2020-05-03 12:10:29+02	2020-05-03 12:13:28+02	audio/taglib	taglib-1.12.b.1
2020-02-29 01:54:38+01	2020-02-29 01:54:54+01	audio/timidity	timidity-0.2i_1
2020-02-29 20:00:24+01	2020-02-29 20:00:45+01	audio/twolame	twolame-0.4.0
2020-02-29 01:10:03+01	2020-02-29 01:13:06+01	audio/webrtc-audio-processing	webrtc-audio-processing-0.3.1_2
2020-04-17 12:41:21+02	2020-04-17 12:41:34+02	audio/xmix	xmix-2.1_3
2020-05-24 12:56:21+02	2020-05-24 12:57:26+02	benchmarks/fio	fio-3.20
2020-03-01 04:08:33+01	2020-03-01 04:08:57+01	benchmarks/iperf3	iperf3-3.7
2020-03-01 04:08:58+01	2020-03-01 04:09:50+01	comms/kermit	kermit-9.0.304
2020-05-21 16:25:18+02	2020-05-21 16:25:29+02	comms/py-serial@py37	py37-serial-3.4_1
2020-05-20 04:25:46+02	2020-05-20 04:30:24+02	comms/qt5-sensors	qt5-sensors-5.14.2
2020-05-20 02:23:05+02	2020-05-20 02:23:38+02	comms/qt5-serialport	qt5-serialport-5.14.2
2020-03-01 04:09:50+01	2020-03-01 04:10:00+01	converters/dosunix	dosunix-1.0.14
2020-03-07 03:18:34+01	2020-03-07 03:18:47+01	converters/fpc-iconvenc	fpc-iconvenc-3.0.4_4
2020-02-28 22:46:59+01	2020-02-28 22:47:14+01	converters/fribidi	fribidi-0.19.7
2020-05-18 22:04:26+02	2020-05-18 22:04:59+02	converters/libiconv	libiconv-1.16
2020-03-20 03:10:06+01	2020-03-20 03:10:35+01	converters/p5-Encode-Locale	p5-Encode-Locale-1.05
2020-03-19 20:16:02+01	2020-03-19 20:16:13+01	converters/p5-Text-Unidecode	p5-Text-Unidecode-1.30
2020-05-18 22:06:35+02	2020-05-18 22:07:03+02	converters/php73-iconv	php73-iconv-7.3.18
2020-05-16 10:57:27+02	2020-05-16 10:57:59+02	converters/php73-mbstring	php73-mbstring-7.3.18
2020-04-27 23:32:27+02	2020-04-27 23:32:46+02	converters/py-webencodings@py27	py27-webencodings-0.5.1
2020-04-26 20:07:02+02	2020-04-26 20:07:56+02	converters/py-webencodings@py37	py37-webencodings-0.5.1
2020-04-26 15:31:19+02	2020-04-26 15:33:06+02	converters/recode	recode-3.6_14
2020-03-01 04:10:51+01	2020-03-01 04:10:59+01	converters/unix2dos	unix2dos-1.3
2020-02-28 23:37:40+01	2020-02-28 23:41:17+01	databases/db6	db6-6.2.32_1
2020-04-25 06:06:12+02	2020-04-25 06:38:26+02	databases/firebird25-client	firebird25-client-2.5.8_6
2020-03-07 03:19:05+01	2020-03-07 03:19:18+01	databases/fpc-dblib	fpc-dblib-3.0.4_4
2020-04-25 06:38:28+02	2020-04-25 06:38:59+02	databases/fpc-ibase	fpc-ibase-3.0.4_5
2020-05-19 07:19:34+02	2020-05-19 07:20:00+02	databases/fpc-mysql	fpc-mysql-3.0.4_4
2020-03-07 03:20:08+01	2020-03-07 03:20:18+01	databases/fpc-odbc	fpc-odbc-3.0.4_4
2020-03-07 03:20:19+01	2020-03-07 03:20:31+01	databases/fpc-oracle	fpc-oracle-3.0.4_4
2020-05-18 08:26:36+02	2020-05-18 08:26:47+02	databases/fpc-postgres	fpc-postgres-3.0.4_6
2020-03-07 03:20:57+01	2020-03-07 03:21:25+01	databases/fpc-pxlib	fpc-pxlib-3.0.4_4
2020-04-25 06:26:54+02	2020-04-25 06:27:42+02	databases/fpc-sqlite	fpc-sqlite-3.0.4_4
2020-03-02 07:09:52+01	2020-03-02 07:10:26+01	databases/gdbm	gdbm-1.18.1_1
2020-05-19 07:12:07+02	2020-05-19 07:25:15+02	databases/libmemcached	libmemcached-1.0.18_7
2020-02-29 20:00:45+01	2020-02-29 20:01:02+01	databases/lmdb	lmdb-0.9.24_1,1
2020-05-19 07:18:35+02	2020-05-19 07:19:33+02	databases/mysql57-client	mysql57-client-5.7.30_1
2020-05-16 10:58:18+02	2020-05-16 10:58:36+02	databases/pecl-memcache@php73	php73-pecl-memcache-4.0.5.2
2020-05-19 07:25:16+02	2020-05-19 07:25:45+02	databases/pecl-memcached@php73	php73-pecl-memcached-3.1.5
2020-05-18 08:24:14+02	2020-05-18 08:24:37+02	databases/php73-pdo_pgsql	php73-pdo_pgsql-7.3.18
2020-05-16 10:58:37+02	2020-05-16 10:59:00+02	databases/php73-pdo_sqlite	php73-pdo_sqlite-7.3.18
2020-05-16 10:57:04+02	2020-05-16 10:57:27+02	databases/php73-pdo	php73-pdo-7.3.18
2020-05-18 08:24:26+02	2020-05-18 08:24:49+02	databases/php73-pgsql	php73-pgsql-7.3.18
2020-05-16 10:58:59+02	2020-05-16 10:59:22+02	databases/php73-sqlite3	php73-sqlite3-7.3.18
2020-05-18 08:19:53+02	2020-05-18 08:22:23+02	databases/postgresql12-client	postgresql12-client-12.3
2020-05-18 09:35:13+02	2020-05-18 09:40:18+02	databases/postgresql12-contrib	postgresql12-contrib-12.3
2020-05-18 09:40:19+02	2020-05-18 09:54:28+02	databases/postgresql12-server	postgresql12-server-12.3
2020-03-15 05:17:49+01	2020-03-15 05:18:21+01	databases/py-apsw@py27	py27-apsw-3.30.1
2020-04-27 06:14:44+02	2020-04-27 06:15:40+02	databases/py-apsw@py37	py37-apsw-3.31.1
2020-05-21 17:30:52+02	2020-05-21 17:31:13+02	databases/py-psycopg2@py37	py37-psycopg2-2.8.5
2020-05-21 16:25:29+02	2020-05-21 16:25:40+02	databases/py-redis@py37	py37-redis-3.3.11
2020-03-15 05:18:51+01	2020-03-15 05:19:21+01	databases/py-sqlite3@py27	py27-sqlite3-2.7.17_7
2020-04-26 21:28:56+02	2020-04-26 21:30:07+02	databases/py-sqlite3@py37	py37-sqlite3-3.7.7_7
2020-05-21 16:15:52+02	2020-05-21 16:16:06+02	databases/py-sqlparse@py37	py37-sqlparse-0.3.1
2020-05-21 00:48:19+02	2020-05-21 00:49:29+02	databases/qt5-sql	qt5-sql-5.14.2
2020-05-21 01:03:25+02	2020-05-21 01:04:50+02	databases/qt5-sqldrivers-sqlite3	qt5-sqldrivers-sqlite3-5.14.2
2020-04-18 20:25:25+02	2020-04-18 20:26:03+02	databases/redis	redis-5.0.9
2020-05-20 12:20:13+02	2020-05-20 12:25:35+02	databases/rrdtool	rrdtool-1.7.2_2
2020-04-26 01:23:34+02	2020-04-26 01:35:56+02	databases/sqlite3	sqlite3-3.31.1_1,1
2020-04-26 19:20:54+02	2020-04-26 19:32:25+02	databases/tdb	tdb-1.4.2,1
2020-02-29 15:12:34+01	2020-02-29 15:14:38+01	databases/unixODBC	unixODBC-2.3.7
2020-05-20 12:25:35+02	2020-05-20 12:31:31+02	deskutils/caja-extensions	caja-extensions-1.22.1
2020-05-24 09:09:44+02	2020-05-24 09:14:29+02	deskutils/calibre	calibre-4.17.0
2020-05-20 08:23:34+02	2020-05-20 08:29:39+02	deskutils/gucharmap	gucharmap-11.0.1_1
2020-05-20 08:29:39+02	2020-05-20 08:33:36+02	deskutils/mate-notification-daemon	mate-notification-daemon-1.22.1
2020-05-20 12:31:32+02	2020-05-20 12:44:18+02	deskutils/mate-utils	mate-utils-1.22.2
2020-05-20 12:44:19+02	2020-05-20 12:47:16+02	deskutils/mozo	mozo-1.22.2
2020-05-20 08:33:36+02	2020-05-20 08:38:54+02	deskutils/spice-gtk	spice-gtk-0.37
2020-05-22 00:00:33+02	2020-05-22 00:01:51+02	deskutils/sysctlview	sysctlview-2.0
2020-04-17 12:42:11+02	2020-04-17 12:42:23+02	deskutils/tpb	tpb-0.6.4_13
2020-04-17 12:42:18+02	2020-04-17 12:42:32+02	deskutils/xpostitPlus	XPostitPlus-2.3_3
2020-02-29 20:06:45+01	2020-02-29 20:07:36+01	devel/adacurses	adacurses-20180127
2020-05-10 12:05:19+02	2020-05-10 12:05:55+02	devel/apache-ant	apache-ant-1.10.7
2020-04-03 06:26:40+02	2020-04-03 06:29:20+02	devel/apr1	apr-1.7.0.1.6.1_1
2020-04-18 09:03:18+02	2020-04-18 09:03:57+02	devel/argp-standalone	argp-standalone-1.3_4
2020-04-24 00:38:24+02	2020-04-24 00:39:01+02	devel/autoconf-archive	autoconf-archive-0.2019.01.06
2020-02-28 21:56:20+01	2020-02-28 21:56:26+01	devel/autoconf-wrapper	autoconf-wrapper-20131203
2020-03-19 20:20:31+01	2020-03-19 20:20:56+01	devel/autoconf	autoconf-2.69_3
2020-03-19 23:09:08+01	2020-03-19 23:09:24+01	devel/autoconf213	autoconf213-2.13.000227_7
2020-04-26 15:34:55+02	2020-04-26 15:36:05+02	devel/automake	automake-1.16.2
2020-02-29 15:26:22+01	2020-02-29 15:28:33+01	devel/binutils@mips64	mips64-binutils-2.33.1_2,1
2020-02-28 22:08:53+01	2020-02-28 22:12:45+01	devel/binutils@native	binutils-2.33.1_2,1
2020-02-29 15:28:34+01	2020-02-29 15:30:28+01	devel/binutils@powerpc64	powerpc64-binutils-2.33.1_2,1
2020-02-29 15:30:28+01	2020-02-29 15:32:15+01	devel/binutils@riscv64	riscv64-binutils-2.33.1_2,1
2020-02-29 15:32:16+01	2020-02-29 15:33:52+01	devel/binutils@sparc64	sparc64-binutils-2.33.1_2,1
2020-02-29 15:23:35+01	2020-02-29 15:26:22+01	devel/binutils@aarch64	aarch64-binutils-2.33.1_2,1
2020-04-09 11:02:19+02	2020-04-09 11:04:25+02	devel/bison	bison-3.5.4,1
2020-02-29 06:37:40+01	2020-02-29 06:38:11+01	devel/boehm-gc-threaded	boehm-gc-threaded-8.0.4_1
2020-03-01 00:26:09+01	2020-03-01 00:26:43+01	devel/boehm-gc	boehm-gc-8.0.4_1
2020-02-28 22:33:50+01	2020-02-28 22:34:53+01	devel/boost-jam	boost-jam-1.72.0
2020-04-25 01:36:40+02	2020-04-25 02:20:18+02	devel/boost-libs	boost-libs-1.72.0_2
2020-05-19 02:45:41+02	2020-05-19 02:46:54+02	devel/bzr@py27	bzr-2.7.0.6622
2020-04-14 18:51:48+02	2020-04-14 18:51:57+02	devel/ccache	ccache-3.7.1_1
2020-05-16 11:36:35+02	2020-05-16 11:37:34+02	devel/cdecl	cdecl-7.0
2020-02-28 22:02:59+01	2020-02-28 22:03:29+01	devel/check	check-0.14.0
2020-05-23 08:48:50+02	2020-05-23 08:50:28+02	devel/cmake	cmake-3.17.2
2020-02-29 06:38:11+01	2020-02-29 06:39:35+01	devel/cppunit	cppunit-1.14.0_8
2020-02-29 20:07:37+01	2020-02-29 20:07:57+01	devel/cscope	cscope-15.8b_1
2020-03-01 00:58:30+01	2020-03-01 00:58:47+01	devel/ctags	ctags-5.8
2020-03-01 04:23:22+01	2020-03-01 04:23:53+01	devel/cvs+ipv6	cvs+ipv6-1.20120905_3
2020-02-29 15:33:53+01	2020-02-29 15:34:03+01	devel/cvsps	cvsps-2.1_2
2020-02-29 20:07:57+01	2020-02-29 20:08:11+01	devel/cweb	cweb-3.64a.a
2020-05-19 23:54:17+02	2020-05-19 23:55:22+02	devel/dbus-glib	dbus-glib-0.110
2020-04-17 03:12:26+02	2020-04-17 03:14:32+02	devel/dbus	dbus-1.12.16
2020-05-21 00:57:44+02	2020-05-21 00:58:40+02	devel/dconf	dconf-0.28.0
2020-05-21 00:40:22+02	2020-05-21 00:40:43+02	devel/desktop-file-utils	desktop-file-utils-0.24
2020-05-22 00:01:53+02	2020-05-22 00:03:30+02	devel/distel@full	distel-emacs26-4.1.1_4
2020-02-29 15:34:03+01	2020-02-29 15:34:36+01	devel/dmake	dmake-4.12.3,1
2020-03-01 00:58:48+01	2020-03-01 00:59:01+01	devel/dotconf	dotconf-1.3_1
2020-05-15 21:32:32+02	2020-05-15 21:32:45+02	devel/double-conversion	double-conversion-3.1.5.19
2020-05-21 16:50:35+02	2020-05-21 16:54:05+02	devel/doxygen	doxygen-1.8.15_3,2
2020-03-16 17:37:40+01	2020-03-16 17:47:14+01	devel/electron6	electron6-6.1.9
2020-05-23 09:31:35+02	2020-05-23 09:54:34+02	devel/electron7	electron7-7.3.0_1
2020-02-28 21:56:26+01	2020-02-28 21:56:32+01	devel/evdev-proto	evdev-proto-5.3
2020-05-16 19:07:10+02	2020-05-16 19:07:30+02	devel/flatzebra	flatzebra-0.1.7
2020-03-07 03:22:20+01	2020-03-07 03:23:04+01	devel/fpc-fcl-async	fpc-fcl-async-3.0.4_4
2020-03-07 03:18:02+01	2020-03-07 03:18:20+01	devel/fpc-fcl-base	fpc-fcl-base-3.0.4_4
2020-03-07 03:24:24+01	2020-03-07 03:25:29+01	devel/fpc-fcl-db	fpc-fcl-db-3.0.4_6
2020-03-07 03:25:30+01	2020-03-07 03:25:48+01	devel/fpc-fcl-fpcunit	fpc-fcl-fpcunit-3.0.4_4
2020-03-07 03:27:43+01	2020-03-07 03:28:03+01	devel/fpc-fcl-image	fpc-fcl-image-3.0.4_4
2020-03-07 03:23:05+01	2020-03-07 03:23:46+01	devel/fpc-fcl-json	fpc-fcl-json-3.0.4_5
2020-03-07 03:25:49+01	2020-03-07 03:26:07+01	devel/fpc-fcl-net	fpc-fcl-net-3.0.4_4
2020-03-07 03:23:46+01	2020-03-07 03:24:05+01	devel/fpc-fcl-passrc	fpc-fcl-passrc-3.0.4_5
2020-03-07 11:36:38+01	2020-03-07 11:36:58+01	devel/fpc-fcl-registry	fpc-fcl-registry-3.0.4_4
2020-03-07 03:17:48+01	2020-03-07 03:18:02+01	devel/fpc-fcl-res	fpc-fcl-res-3.0.4_4
2020-03-07 03:28:04+01	2020-03-07 03:28:52+01	devel/fpc-fcl-web	fpc-fcl-web-3.0.4_7
2020-03-07 03:18:47+01	2020-03-07 03:19:05+01	devel/fpc-fcl-xml	fpc-fcl-xml-3.0.4_4
2020-03-07 03:29:15+01	2020-03-07 03:30:00+01	devel/fpc-fppkg	fpc-fppkg-3.0.4_6
2020-03-07 12:59:30+01	2020-03-07 12:59:54+01	devel/fpc-fv	fpc-fv-3.0.4_4
2020-03-07 12:59:54+01	2020-03-07 13:00:14+01	devel/fpc-gdbint	fpc-gdbint-3.0.4_4
2020-03-07 03:30:00+01	2020-03-07 03:30:17+01	devel/fpc-regexpr	fpc-regexpr-3.0.4_4
2020-05-19 07:21:41+02	2020-05-19 07:22:22+02	devel/fstrm	fstrm-0.6.0
2020-05-20 04:35:29+02	2020-05-20 04:36:28+02	devel/gamin	gamin-0.1.10_10
2020-02-29 02:16:42+01	2020-02-29 02:16:51+01	devel/gccmakedep	gccmakedep-1.0.3
2020-05-21 01:33:07+02	2020-05-21 01:34:37+02	devel/gconf2	gconf2-3.2.6_5
2020-05-18 22:06:55+02	2020-05-18 22:20:37+02	devel/gdb@py37	gdb-9.1
2020-04-26 15:22:36+02	2020-04-26 15:23:52+02	devel/gettext-runtime	gettext-runtime-0.20.2
2020-04-26 15:25:23+02	2020-04-26 15:30:08+02	devel/gettext-tools	gettext-tools-0.20.2
2020-03-16 22:36:46+01	2020-03-16 22:37:21+01	devel/gflags	gflags-2.2.2_2
2020-05-09 14:22:32+02	2020-05-09 15:17:44+02	devel/ghidra	ghidra-9.1
2020-05-20 06:15:53+02	2020-05-20 06:20:38+02	devel/git	git-2.26.2
2020-05-19 23:37:56+02	2020-05-19 23:51:35+02	devel/glib20	glib-2.56.3_7,1
2020-05-20 02:23:12+02	2020-05-20 02:28:40+02	devel/glibmm	glibmm-2.56.0_2,1
2020-03-16 22:42:52+01	2020-03-16 22:44:03+01	devel/glog	glog-0.4.0_1
2020-05-15 08:05:50+02	2020-05-15 08:08:50+02	devel/glslang	glslang-8.13.3743
2020-05-21 16:14:56+02	2020-05-21 16:15:20+02	devel/gmake	gmake-4.3_1
2020-04-24 00:39:02+02	2020-04-24 00:39:19+02	devel/gnome-common	gnome-common-3.18.0
2020-05-19 23:55:51+02	2020-05-19 23:57:24+02	devel/gobject-introspection	gobject-introspection-1.56.1,1
2020-05-16 19:07:14+02	2020-05-16 19:09:20+02	devel/google-perftools	google-perftools-2.7_1
2020-02-28 22:12:46+01	2020-02-28 22:13:03+01	devel/gperf	gperf-3.1
2020-05-10 12:05:56+02	2020-05-10 12:07:10+02	devel/gradle5	gradle5-5.0
2020-05-21 01:01:45+02	2020-05-21 01:02:37+02	devel/gsettings-desktop-schemas	gsettings-desktop-schemas-3.28.1
2020-04-25 15:06:07+02	2020-04-25 15:28:48+02	devel/gsoap	gsoap-2.8.101
2020-05-23 09:05:39+02	2020-05-23 09:09:46+02	devel/gvfs	gvfs-1.30.4_3
2020-05-22 02:16:43+02	2020-05-22 02:21:14+02	devel/hs-cabal-install	hs-cabal-install-3.0.2.0
2020-04-26 01:23:34+02	2020-04-26 01:36:40+02	devel/icu	icu-67.1,1
2020-03-20 02:31:55+01	2020-03-20 02:32:22+01	devel/imake	imake-1.0.8,1
2020-02-28 23:24:44+01	2020-02-28 23:25:03+01	devel/jam	jam-2.6
2020-02-29 06:12:28+01	2020-02-29 06:12:41+01	devel/jansson	jansson-2.12
2020-05-21 23:54:21+02	2020-05-21 23:54:45+02	devel/json-c	json-c-0.14
2020-05-21 01:08:22+02	2020-05-21 01:09:10+02	devel/json-glib	json-glib-1.4.4
2020-02-28 22:07:52+01	2020-02-28 22:08:21+01	devel/jsoncpp	jsoncpp-1.9.2
2020-04-26 01:59:24+02	2020-04-26 02:06:16+02	devel/kBuild	kBuild-0.1.9998_13
2020-05-21 01:24:10+02	2020-05-21 01:25:12+02	devel/kf5-extra-cmake-modules	kf5-extra-cmake-modules-5.70.0_1
2020-05-20 02:37:12+02	2020-05-20 02:38:48+02	devel/kf5-kauth	kf5-kauth-5.70.0
2020-05-20 06:17:05+02	2020-05-20 06:19:56+02	devel/kf5-kbookmarks	kf5-kbookmarks-5.70.0
2020-05-21 01:52:59+02	2020-05-21 01:54:31+02	devel/kf5-kconfig	kf5-kconfig-5.70.0
2020-05-21 01:42:38+02	2020-05-21 01:43:41+02	devel/kf5-kcoreaddons	kf5-kcoreaddons-5.70.0
2020-05-20 02:28:41+02	2020-05-20 02:29:53+02	devel/kf5-kcrash	kf5-kcrash-5.70.0
2020-05-20 02:29:55+02	2020-05-20 02:31:47+02	devel/kf5-kdbusaddons	kf5-kdbusaddons-5.70.0
2020-05-20 02:03:36+02	2020-05-20 02:06:21+02	devel/kf5-kdoctools	kf5-kdoctools-5.70.0
2020-05-20 02:01:54+02	2020-05-20 02:03:35+02	devel/kf5-ki18n	kf5-ki18n-5.70.0
2020-05-21 16:35:56+02	2020-05-21 16:38:33+02	devel/kf5-kio	kf5-kio-5.70.1
2020-05-20 05:11:54+02	2020-05-20 05:14:28+02	devel/kf5-knotifications	kf5-knotifications-5.70.0
2020-05-20 02:37:30+02	2020-05-20 02:39:51+02	devel/kf5-kservice	kf5-kservice-5.70.0
2020-05-20 06:19:56+02	2020-05-20 06:22:45+02	devel/kf5-solid	kf5-solid-5.70.0
2020-03-01 00:10:07+01	2020-03-01 00:10:34+01	devel/libatomic_ops	libatomic_ops-7.6.10
2020-02-28 22:40:17+01	2020-02-28 22:40:32+01	devel/libdaemon	libdaemon-0.14_1
2020-05-20 04:36:29+02	2020-05-20 04:37:42+02	devel/libdbusmenu-qt	libdbusmenu-qt5-0.9.3.160420160218_10
2020-04-09 11:01:50+02	2020-04-09 11:02:19+02	devel/libedit	libedit-3.1.20191231,1
2020-02-28 22:26:31+01	2020-02-28 22:26:49+01	devel/libepoll-shim	libepoll-shim-0.0.20200223
2020-02-28 23:21:27+01	2020-02-28 23:21:46+01	devel/libevdev	libevdev-1.5.9_1
2020-05-19 07:10:49+02	2020-05-19 07:12:07+02	devel/libevent	libevent-2.1.11_1
2020-02-28 21:57:31+01	2020-02-28 21:57:46+01	devel/libffi	libffi-3.2.1_3
2020-05-20 06:20:38+02	2020-05-20 06:24:56+02	devel/libgdata	libgdata-0.17.9
2020-05-20 02:06:22+02	2020-05-20 02:08:04+02	devel/libgit2	libgit2-1.0.0
2020-05-20 05:14:29+02	2020-05-20 05:15:16+02	devel/libglade2	libglade2-2.6.4_10
2020-05-21 00:16:59+02	2020-05-21 00:18:27+02	devel/libgsf	libgsf-1.14.46
2020-05-20 04:11:17+02	2020-05-20 04:12:22+02	devel/libgtop	libgtop-2.38.0_2
2020-05-21 00:18:28+02	2020-05-21 00:18:54+02	devel/libgudev	libgudev-230_1
2020-05-21 01:27:20+02	2020-05-21 01:27:49+02	devel/libIDL	libIDL-0.8.14_4
2020-04-25 02:16:31+02	2020-04-25 02:17:06+02	devel/libinotify	libinotify-20180201_2
2020-02-29 09:06:11+01	2020-02-29 09:06:33+01	devel/liblangtag	liblangtag-0.6.2
2020-02-28 22:54:07+01	2020-02-28 22:54:21+01	devel/libltdl	libltdl-2.4.6
2020-02-28 23:21:46+01	2020-02-28 23:21:56+01	devel/libmtdev	libmtdev-1.1.5_2
2020-05-21 01:09:10+02	2020-05-21 01:09:38+02	devel/libnotify	libnotify-0.7.8
2020-04-25 09:35:07+02	2020-04-25 09:52:26+02	devel/liborcus	liborcus-0.14.1_4
2020-05-05 21:09:48+02	2020-05-05 21:10:08+02	devel/libpci	libpci-3.6.4
2020-05-05 19:39:26+02	2020-05-05 19:39:40+02	devel/libpciaccess	libpciaccess-0.16
2020-05-20 06:22:46+02	2020-05-20 06:24:55+02	devel/libpeas	libpeas-1.22.0
2020-02-28 21:59:46+01	2020-02-28 21:59:53+01	devel/libpthread-stubs	libpthread-stubs-0.4
2020-05-20 04:36:56+02	2020-05-20 04:37:51+02	devel/librest	rest-0.7.93
2020-02-29 01:08:00+01	2020-02-29 01:08:33+01	devel/libsigc++20	libsigc++-2.10.2
2020-02-29 16:02:02+01	2020-02-29 16:02:18+01	devel/libsigsegv	libsigsegv-2.12
2020-05-20 08:40:14+02	2020-05-20 08:44:33+02	devel/libslang2	libslang2-2.3.2_2
2020-05-20 04:30:24+02	2020-05-20 04:31:20+02	devel/libsoup-gnome	libsoup-gnome-2.62.3
2020-05-21 01:05:02+02	2020-05-21 01:07:00+02	devel/libsoup	libsoup-2.62.3
2020-03-20 08:58:38+01	2020-03-20 08:59:42+01	devel/libstatgrab	libstatgrab-0.92
2020-02-29 20:16:35+01	2020-02-29 20:16:43+01	devel/libsysctlmibinfo2	libsysctlmibinfo2-2.0.0_1
2020-02-29 16:05:38+01	2020-02-29 16:05:49+01	devel/libsysinfo	libsysinfo-0.0.3_2
2020-04-26 15:22:36+02	2020-04-26 15:25:22+02	devel/libtextstyle	libtextstyle-0.20.2
2020-02-28 22:02:14+01	2020-02-28 22:02:36+01	devel/libtool	libtool-2.4.6_1
2020-02-29 20:16:45+01	2020-02-29 20:16:52+01	devel/libublio	libublio-20070103_2
2020-04-19 09:25:05+02	2020-04-19 09:25:17+02	devel/libudev-devd	libudev-devd-0.4.2
2020-02-28 22:30:31+01	2020-02-28 22:33:23+01	devel/libunistring	libunistring-0.9.10_1
2020-05-16 15:19:02+02	2020-05-16 15:19:32+02	devel/libunwind	libunwind-20200331
2020-05-19 23:32:27+02	2020-05-19 23:33:18+02	devel/libuv	libuv-1.38.0
2020-02-29 01:48:36+01	2020-02-29 01:48:48+01	devel/libvolume_id	libvolume_id-0.81.1
2020-04-27 09:46:23+02	2020-04-27 21:01:42+02	devel/llvm-devel	llvm-devel-11.0.d20200327
2020-04-27 09:47:16+02	2020-04-27 20:59:07+02	devel/llvm10	llvm10-10.0.0_1
2020-03-05 06:49:01+01	2020-03-05 09:30:47+01	devel/llvm70	llvm70-7.0.1_4
2020-04-26 22:07:02+02	2020-04-27 02:15:40+02	devel/llvm80	llvm80-8.0.1_3
2020-04-26 22:09:57+02	2020-04-27 08:48:28+02	devel/llvm90	llvm90-9.0.1_1
2020-02-29 06:41:48+01	2020-02-29 06:42:21+01	devel/m17n-db	m17n-db-1.8.0
2020-05-09 12:13:48+02	2020-05-09 12:14:31+02	devel/m17n-lib	m17n-lib-1.8.0_2
2020-02-28 22:01:31+01	2020-02-28 22:02:13+01	devel/m4	m4-1.4.18_1,1
2020-02-29 02:16:52+01	2020-02-29 02:17:01+01	devel/makedepend	makedepend-1.0.6,1
2020-02-29 09:06:33+01	2020-02-29 09:06:40+01	devel/mdds	mdds-1.4.1
2020-05-07 22:52:37+02	2020-05-07 22:54:36+02	devel/mercurial@py27	mercurial-5.1.2
2020-05-19 23:32:28+02	2020-05-19 23:32:43+02	devel/meson	meson-0.54.2
2020-03-08 18:19:46+01	2020-03-08 18:46:22+01	devel/mips64-gcc	mips64-gcc-6.4.0_8
2020-03-08 21:14:39+01	2020-03-08 21:14:47+01	devel/mips64-xtoolchain-gcc	mips64-xtoolchain-gcc-0.4_1
2020-02-28 22:23:27+01	2020-02-28 22:24:09+01	devel/nasm	nasm-2.14.02,1
2020-02-29 16:05:49+01	2020-02-29 16:07:42+01	devel/ncurses	ncurses-6.1.20190525
2020-03-20 03:13:30+01	2020-03-20 03:14:00+01	devel/netsurf-buildsystem	netsurf-buildsystem-1.8
2020-04-26 15:38:59+02	2020-04-26 15:40:57+02	devel/ninja	ninja-1.10.0,2
2020-02-29 02:17:02+01	2020-02-29 02:17:11+01	devel/npth	npth-1.6
2020-02-28 22:54:21+01	2020-02-28 22:54:57+01	devel/nspr	nspr-4.25
2020-05-16 19:07:30+02	2020-05-16 19:09:14+02	devel/ode	ode-0.13_4,1
2020-03-01 00:28:05+01	2020-03-01 00:28:49+01	devel/oniguruma	oniguruma-6.9.4
2020-03-01 00:04:34+01	2020-03-01 00:04:43+01	devel/opencl	opencl-2.2_1
2020-02-29 16:07:42+01	2020-02-29 16:08:57+01	devel/openmp	openmp-9.0.0
2020-05-21 01:31:23+02	2020-05-21 01:33:06+02	devel/ORBit2	ORBit2-2.14.19_2
2020-02-28 23:29:11+01	2020-02-28 23:30:04+01	devel/orc	orc-0.4.31
2020-05-14 09:12:19+02	2020-05-14 09:12:40+02	devel/p5-Clone	p5-Clone-0.45
2020-03-20 06:54:43+01	2020-03-20 06:55:02+01	devel/p5-Getopt-ArgvFile	p5-Getopt-ArgvFile-1.11_1
2020-03-20 03:14:00+01	2020-03-20 03:14:27+01	devel/p5-IO-HTML	p5-IO-HTML-1.001_1
2020-03-20 04:26:15+01	2020-03-20 04:26:33+01	devel/p5-IO-String	p5-IO-String-1.08_1
2020-04-26 15:30:08+02	2020-04-26 15:30:35+02	devel/p5-Locale-gettext	p5-Locale-gettext-1.07
2020-05-18 22:04:59+02	2020-05-18 22:05:20+02	devel/p5-Locale-libintl	p5-Locale-libintl-1.31
2020-03-20 03:40:00+01	2020-03-20 03:40:16+01	devel/p5-Parse-Yapp	p5-Parse-Yapp-1.05_2
2020-05-23 21:41:52+02	2020-05-23 21:42:08+02	devel/p5-TimeDate	p5-TimeDate-2.33,1
2020-05-19 23:32:28+02	2020-05-19 23:35:21+02	devel/pcre	pcre-8.44
2020-05-14 07:51:23+02	2020-05-14 07:54:17+02	devel/pcre2	pcre2-10.35
2020-05-16 10:59:00+02	2020-05-16 10:59:22+02	devel/php73-gettext	php73-gettext-7.3.18
2020-05-16 10:57:24+02	2020-05-16 10:57:43+02	devel/php73-json	php73-json-7.3.18
2020-03-02 09:19:31+01	2020-03-02 09:20:02+01	devel/physfs	physfs-3.0.2
2020-02-28 21:56:32+01	2020-02-28 21:56:40+01	devel/pkgconf	pkgconf-1.6.3,1
2020-02-29 04:43:16+01	2020-02-29 04:43:28+01	devel/popt	popt-1.16_2
2020-03-08 18:34:33+01	2020-03-08 19:03:40+01	devel/powerpc64-gcc	powerpc64-gcc-6.4.0_8
2020-03-08 21:14:47+01	2020-03-08 21:14:55+01	devel/powerpc64-xtoolchain-gcc	powerpc64-xtoolchain-gcc-0.4_1
2020-02-29 21:07:03+01	2020-02-29 21:11:09+01	devel/protobuf-c	protobuf-c-1.3.2_4
2020-02-28 23:46:33+01	2020-02-28 23:56:35+01	devel/protobuf	protobuf-3.11.4,1
2020-02-25 17:14:42+01	2020-02-25 17:14:50+01	devel/py-apipkg@py37	py37-apipkg-1.5
2020-05-21 16:25:52+02	2020-05-21 16:26:06+02	devel/py-appdirs@py37	py37-appdirs-1.4.3
2020-04-27 23:33:42+02	2020-04-27 23:33:57+02	devel/py-asn1crypto@py27	py27-asn1crypto-1.3.0
2020-04-26 15:39:38+02	2020-04-26 15:39:55+02	devel/py-asn1crypto@py37	py37-asn1crypto-1.3.0
2020-02-25 17:14:08+01	2020-02-25 17:14:16+01	devel/py-atomicwrites@py37	py37-atomicwrites-1.3.0
2020-05-21 16:16:52+02	2020-05-21 16:17:03+02	devel/py-attrs@py37	py37-attrs-19.3.0
2020-05-21 16:25:41+02	2020-05-21 16:25:52+02	devel/py-Automat@py37	py37-Automat-0.8.0
2020-05-14 07:51:58+02	2020-05-14 07:52:46+02	devel/py-babel@py27	py27-Babel-2.8.0
2020-05-14 07:50:06+02	2020-05-14 07:50:34+02	devel/py-babel@py37	py37-Babel-2.8.0
2020-05-21 16:38:33+02	2020-05-21 16:38:45+02	devel/py-backports.csv@py37	py37-backports.csv-1.0.7
2020-03-02 09:20:02+01	2020-03-02 09:20:13+01	devel/py-backports.functools_lru_cache@py27	py27-backports.functools_lru_cache-1.5
2020-03-02 08:43:39+01	2020-03-02 08:43:48+01	devel/py-backports@py27	py27-backports-1
2020-05-21 16:26:06+02	2020-05-21 16:26:14+02	devel/py-backports@py37	py37-backports-1
2020-05-18 22:04:35+02	2020-05-18 22:04:49+02	devel/py-cffi@py27	py27-cffi-1.14.0
2020-05-18 22:04:36+02	2020-05-18 22:04:52+02	devel/py-cffi@py37	py37-cffi-1.14.0
2020-05-21 16:21:13+02	2020-05-21 16:21:28+02	devel/py-click@py37	py37-click-7.0
2020-05-09 13:13:12+02	2020-05-09 13:13:24+02	devel/py-configargparse@py37	py37-configargparse-1.2.3
2020-05-21 16:26:15+02	2020-05-21 16:26:25+02	devel/py-constantly@py37	py37-constantly-15.1.0
2020-05-21 17:02:25+02	2020-05-21 17:02:43+02	devel/py-coreapi@py37	py37-coreapi-2.3.3
2020-05-21 16:38:45+02	2020-05-21 16:38:59+02	devel/py-coreschema@py37	py37-coreschema-0.0.4
2020-02-25 17:15:19+01	2020-02-25 17:15:31+01	devel/py-coverage@py37	py37-coverage-4.5.4
2020-04-26 22:10:05+02	2020-04-26 22:10:30+02	devel/py-cycler@py37	py37-cycler-0.10.0
2020-03-03 02:25:58+01	2020-03-03 02:26:13+01	devel/py-dateutil@py27	py27-dateutil-2.8.0
2020-05-18 08:19:53+02	2020-05-18 08:20:04+02	devel/py-dateutil@py37	py37-dateutil-2.8.1
2020-03-20 08:59:43+01	2020-03-20 09:00:23+01	devel/py-dbus@py27	py27-dbus-1.2.16
2020-05-20 12:47:17+02	2020-05-20 12:49:50+02	devel/py-dbus@py37	py37-dbus-1.2.16
2020-04-27 04:19:14+02	2020-04-27 04:19:57+02	devel/py-decorator@py37	py37-decorator-4.4.2
2020-05-21 16:26:25+02	2020-05-21 16:26:35+02	devel/py-defusedxml@py37	py37-defusedxml-0.5.0
2020-05-21 17:33:02+02	2020-05-21 17:33:15+02	devel/py-dj22-django-rq@py37	py37-dj22-django-rq-2.3.2
2020-04-27 23:33:55+02	2020-04-27 23:34:14+02	devel/py-enum34@py27	py27-enum34-1.1.6
2020-04-26 15:43:57+02	2020-04-26 15:44:29+02	devel/py-evdev@py37	py37-evdev-0.8.1_1
2020-02-25 17:16:34+01	2020-02-25 17:16:44+01	devel/py-freezegun@py37	py37-freezegun-0.3.12
2020-04-27 23:31:32+02	2020-04-27 23:31:50+02	devel/py-funcsigs@py27	py27-funcsigs-1.0.2
2020-05-21 17:02:37+02	2020-05-21 17:02:52+02	devel/py-funcy@py37	py37-funcy-1.12
2020-04-26 15:43:35+02	2020-04-26 15:44:07+02	devel/py-future@py37	py37-future-0.18.2
2020-05-16 19:09:15+02	2020-05-16 19:09:51+02	devel/py-game@py27	py27-game-1.9.6_1
2020-05-20 06:24:55+02	2020-05-20 06:25:39+02	devel/py-gobject@py27	py27-gobject-2.28.6_8
2020-05-20 08:44:34+02	2020-05-20 08:47:16+02	devel/py-gobject3@py27	py27-gobject3-3.28.3
2020-05-21 01:37:43+02	2020-05-21 01:38:07+02	devel/py-gobject3@py37	py37-gobject3-3.28.3
2020-02-25 17:16:35+01	2020-02-25 17:16:46+01	devel/py-hypothesis@py37	py37-hypothesis-4.57.1
2020-05-21 16:26:36+02	2020-05-21 16:26:49+02	devel/py-importlib-metadata@py37	py37-importlib-metadata-0.23
2020-05-21 16:26:49+02	2020-05-21 16:27:02+02	devel/py-incremental@py37	py37-incremental-17.5.0
2020-05-21 17:02:43+02	2020-05-21 17:02:56+02	devel/py-inflection@py37	py37-inflection-0.3.1
2020-02-25 17:16:45+01	2020-02-25 17:16:57+01	devel/py-invoke@py37	py37-invoke-1.4.1
2020-04-26 19:33:23+02	2020-04-26 19:34:21+02	devel/py-iso8601@py37	py37-iso8601-0.1.12
2020-05-21 16:39:00+02	2020-05-21 16:39:10+02	devel/py-itypes@py37	py37-itypes-1.1.0
2020-05-21 16:27:03+02	2020-05-21 16:27:16+02	devel/py-jdcal@py37	py37-jdcal-1.4.1
2020-05-14 09:25:54+02	2020-05-14 09:26:04+02	devel/py-Jinja2@py27	py27-Jinja2-2.10.1
2020-05-14 07:50:35+02	2020-05-14 07:50:48+02	devel/py-Jinja2@py37	py37-Jinja2-2.10.1
2020-05-14 10:17:05+02	2020-05-14 10:17:17+02	devel/py-jmespath@py37	py37-jmespath-0.10.0
2020-05-21 16:39:11+02	2020-05-21 16:39:25+02	devel/py-jsonschema@py37	py37-jsonschema-3.2.0
2020-04-27 23:38:12+02	2020-04-27 23:45:23+02	devel/py-lxml@py27	py27-lxml-4.5.0
2020-04-26 15:46:34+02	2020-04-26 15:54:42+02	devel/py-lxml@py37	py37-lxml-4.5.0
2020-02-25 17:16:47+01	2020-02-25 17:16:57+01	devel/py-mock@py37	py37-mock-3.0.5
2020-05-21 16:19:57+02	2020-05-21 16:20:10+02	devel/py-more-itertools@py37	py37-more-itertools-8.3.0
2020-03-03 02:29:25+01	2020-03-03 02:29:43+01	devel/py-msgpack@py27	py27-msgpack-0.6.2
2020-04-27 06:34:29+02	2020-04-27 06:35:31+02	devel/py-msgpack@py37	py37-msgpack-0.6.2
2020-02-25 17:16:57+01	2020-02-25 17:17:17+01	devel/py-nose@py37	py37-nose-1.3.7_1
2020-05-21 16:39:26+02	2020-05-21 16:39:41+02	devel/py-odfpy@py37	py37-odfpy-1.4.1
2020-03-02 09:42:11+01	2020-03-02 09:42:24+01	devel/py-olefile@py27	py27-olefile-0.46
2020-04-26 22:11:56+02	2020-04-26 22:12:23+02	devel/py-olefile@py37	py37-olefile-0.46
2020-05-21 16:14:56+02	2020-05-21 16:15:06+02	devel/py-packaging@py37	py37-packaging-20.4
2020-02-25 17:16:57+01	2020-02-25 17:17:28+01	devel/py-pip@py37	py37-pip-19.1.1
2020-02-25 17:14:15+01	2020-02-25 17:14:22+01	devel/py-pluggy@py37	py37-pluggy-0.12.0
2020-04-27 23:33:26+02	2020-04-27 23:33:42+02	devel/py-ply@py27	py27-ply-3.11
2020-04-26 20:10:04+02	2020-04-26 20:11:07+02	devel/py-ply@py37	py37-ply-3.11
2020-02-25 17:17:17+01	2020-02-25 17:17:29+01	devel/py-pretend@py37	py37-pretend-1.0.9
2020-02-25 17:13:51+01	2020-02-25 17:13:59+01	devel/py-py@py37	py37-py-1.8.1
2020-05-21 16:21:29+02	2020-05-21 16:21:44+02	devel/py-pyasn1-modules@py37	py37-pyasn1-modules-0.2.7
2020-04-27 23:34:43+02	2020-04-27 23:35:08+02	devel/py-pyasn1@py27	py27-pyasn1-0.4.7
2020-04-27 04:23:26+02	2020-04-27 04:24:14+02	devel/py-pyasn1@py37	py37-pyasn1-0.4.7
2020-05-18 22:04:26+02	2020-05-18 22:04:35+02	devel/py-pycparser@py27	py27-pycparser-2.20
2020-05-18 22:04:26+02	2020-05-18 22:04:36+02	devel/py-pycparser@py37	py37-pycparser-2.20
2020-02-25 17:17:28+01	2020-02-25 17:17:45+01	devel/py-pympler@py37	py37-Pympler-0.4.2
2020-04-26 19:07:11+02	2020-04-26 19:07:59+02	devel/py-pyparsing@py37	py37-pyparsing-2.4.7
2020-05-21 16:27:17+02	2020-05-21 16:27:31+02	devel/py-pyrsistent@py37	py37-pyrsistent-0.14.11_1
2020-02-25 17:17:29+01	2020-02-25 17:17:45+01	devel/py-pytest-capturelog@py37	py37-pytest-capturelog-0.7
2020-02-25 17:15:31+01	2020-02-25 17:15:41+01	devel/py-pytest-forked@py37	py37-pytest-forked-1.0.2
2020-02-25 17:17:46+01	2020-02-25 17:18:03+01	devel/py-pytest-mock@py37	py37-pytest-mock-1.10.4
2020-02-25 17:17:46+01	2020-02-25 17:18:03+01	devel/py-pytest-rerunfailures@py37	py37-pytest-rerunfailures-7.0
2020-05-21 17:02:53+02	2020-05-21 17:03:09+02	devel/py-pytest-runner@py37	py37-pytest-runner-2.11.1
2020-02-25 17:18:03+01	2020-02-25 17:18:15+01	devel/py-pytest-timeout@py37	py37-pytest-timeout-1.3.4
2020-02-25 17:18:03+01	2020-02-25 17:18:16+01	devel/py-pytest-xdist@py37	py37-pytest-xdist-1.29.0
2020-02-25 17:14:24+01	2020-02-25 17:14:33+01	devel/py-pytest@py37	py37-pytest-4.5.0
2020-05-14 07:51:45+02	2020-05-14 07:51:58+02	devel/py-pytz@py27	py27-pytz-2020.1,1
2020-05-14 07:49:55+02	2020-05-14 07:50:06+02	devel/py-pytz@py37	py37-pytz-2020.1,1
2020-04-26 15:44:30+02	2020-04-26 15:44:57+02	devel/py-pyudev@py37	py37-pyudev-0.22.0
2020-03-20 01:31:51+01	2020-03-20 01:40:22+01	devel/py-qt5-core@py27	py27-qt5-core-5.13.1
2020-05-20 02:02:06+02	2020-05-20 02:08:52+02	devel/py-qt5-core@py37	py37-qt5-core-5.13.1_1
2020-02-25 17:14:50+01	2020-02-25 17:14:58+01	devel/py-readme_renderer@py37	py37-readme_renderer-24.0_1
2020-05-21 17:02:56+02	2020-05-21 17:03:14+02	devel/py-rq@py37	py37-rq-1.3.0
2020-05-21 17:03:10+02	2020-05-21 17:03:48+02	devel/py-ruamel.yaml@py37	py37-ruamel.yaml-0.15.87
2020-02-25 17:18:15+01	2020-02-25 17:18:28+01	devel/py-scripttest@py37	py37-scripttest-1.3.0
2020-02-25 17:15:41+01	2020-02-25 17:15:51+01	devel/py-semantic_version@py37	py37-semantic_version-2.8.4
2020-05-21 17:03:15+02	2020-05-21 17:03:29+02	devel/py-setproctitle@py37	py37-setproctitle-1.1.10_1
2020-03-02 08:41:10+01	2020-03-02 08:41:20+01	devel/py-setuptools_scm@py27	py27-setuptools_scm-3.4.3
2020-04-26 19:34:22+02	2020-04-26 19:35:10+02	devel/py-setuptools_scm@py37	py37-setuptools_scm-3.4.3
2020-04-27 23:30:23+02	2020-04-27 23:30:51+02	devel/py-setuptools@py27	py27-setuptools-44.0.0
2020-04-26 15:38:57+02	2020-04-26 15:39:15+02	devel/py-setuptools@py37	py37-setuptools-44.0.0
2020-05-16 19:09:20+02	2020-05-16 19:09:33+02	devel/py-setuptools@py38	py38-setuptools-44.0.0
2020-02-25 17:18:16+01	2020-02-25 17:18:32+01	devel/py-simplejson@py37	py37-simplejson-3.17.0
2020-03-02 08:14:26+01	2020-03-02 08:15:07+01	devel/py-sip@py27	py27-sip-4.19.19_1,1
2020-04-26 15:45:52+02	2020-04-26 15:46:51+02	devel/py-sip@py37	py37-sip-4.19.21,1
2020-04-27 23:31:41+02	2020-04-27 23:32:00+02	devel/py-six@py27	py27-six-1.14.0
2020-04-26 15:39:16+02	2020-04-26 15:39:37+02	devel/py-six@py37	py37-six-1.14.0
2020-02-25 17:15:42+01	2020-02-25 17:15:52+01	devel/py-sortedcontainers@py37	py37-sortedcontainers-2.1.0
2020-05-21 17:03:29+02	2020-05-21 17:03:50+02	devel/py-swagger-spec-validator@py37	py37-swagger-spec-validator-2.5.0
2020-04-27 06:36:27+02	2020-04-27 06:37:15+02	devel/py-tabulate@py37	py37-tabulate-0.8.6
2020-02-25 17:18:29+01	2020-02-25 17:18:45+01	devel/py-tox@py37	py37-tox-3.12.1
2020-02-25 17:15:51+01	2020-02-25 17:16:02+01	devel/py-twine@py37	py37-twine-2.0.0
2020-05-21 16:39:42+02	2020-05-21 16:40:49+02	devel/py-twisted@py37	py37-twisted-20.3.0
2020-03-02 08:44:00+01	2020-03-02 08:44:10+01	devel/py-typing@py27	py27-typing-3.7.4.1
2020-05-21 16:27:31+02	2020-05-21 16:27:43+02	devel/py-vcversioner@py37	py37-vcversioner-2.16.0.0_1
2020-02-25 17:15:52+01	2020-02-25 17:16:13+01	devel/py-virtualenv@py37	py37-virtualenv-16.7.5
2020-02-25 17:14:16+01	2020-02-25 17:14:24+01	devel/py-wcwidth@py37	py37-wcwidth-0.1.8
2020-02-25 17:16:03+01	2020-02-25 17:16:13+01	devel/py-wheel@py37	py37-wheel-0.30.0_1
2020-04-28 08:08:51+02	2020-04-28 08:09:40+02	devel/py-yaml@py37	py37-yaml-5.3.1
2020-05-21 16:22:52+02	2020-05-21 16:23:02+02	devel/py-zipp@py37	py37-zipp-0.6.0_3
2020-05-21 16:27:44+02	2020-05-21 16:27:59+02	devel/py-zope.interface@py37	py37-zope.interface-4.6.0
2020-04-27 04:24:15+02	2020-04-27 04:27:40+02	devel/pydbus-common	pydbus-common-1.2.16
2020-05-21 01:36:59+02	2020-05-21 01:37:14+02	devel/pygobject3-common	pygobject3-common-3.28.3
2020-05-21 01:53:18+02	2020-05-21 01:56:43+02	devel/qscintilla2-qt5	qscintilla2-qt5-2.11.4
2020-05-20 05:15:17+02	2020-05-20 05:17:43+02	devel/qt5-assistant	qt5-assistant-5.14.2
2020-04-14 18:59:20+02	2020-04-14 19:07:44+02	devel/qt5-buildtools	qt5-buildtools-5.14.2
2020-05-21 01:07:00+02	2020-05-21 01:08:21+02	devel/qt5-concurrent	qt5-concurrent-5.14.2
2020-05-25 22:37:01+02	2020-05-25 22:38:15+02	dns/bind916	bind916-9.16.3_2
2020-05-21 00:28:47+02	2020-05-21 00:30:55+02	devel/qt5-dbus	qt5-dbus-5.14.2
2020-05-20 06:24:57+02	2020-05-20 06:36:46+02	devel/qt5-designer	qt5-designer-5.14.2
2020-05-21 01:04:51+02	2020-05-21 01:06:49+02	devel/qt5-help	qt5-help-5.14.2
2020-05-21 01:22:27+02	2020-05-21 01:24:10+02	devel/qt5-linguisttools	qt5-linguisttools-5.14.2
2020-05-20 02:38:49+02	2020-05-20 02:53:17+02	devel/qt5-location	qt5-location-5.14.2
2020-04-14 18:51:58+02	2020-04-14 18:59:19+02	devel/qt5-qmake	qt5-qmake-5.14.2
2020-05-21 01:46:56+02	2020-05-21 01:50:12+02	devel/qt5-script	qt5-script-5.14.2
2020-05-21 00:49:30+02	2020-05-21 00:50:59+02	devel/qt5-testlib	qt5-testlib-5.14.2
2020-05-20 02:08:04+02	2020-05-20 02:09:36+02	devel/qt5-uitools	qt5-uitools-5.14.2
2020-05-23 01:08:33+02	2020-05-23 01:09:25+02	devel/R-cran-rstudioapi	R-cran-rstudioapi-0.11_1
2020-04-09 12:11:01+02	2020-04-09 12:12:56+02	devel/re2	re2-20200401
2020-03-02 07:07:49+01	2020-03-02 07:08:11+01	devel/readline	readline-8.0.4
2020-03-08 18:48:56+01	2020-03-08 19:19:41+01	devel/riscv64-gcc	riscv64-gcc-8.3.0
2020-03-08 21:14:56+01	2020-03-08 21:15:04+01	devel/riscv64-xtoolchain-gcc	riscv64-xtoolchain-gcc-0.4_1
2020-05-23 21:41:52+02	2020-05-23 22:41:48+02	devel/RStudio	RStudio-1.3.959
2020-05-16 16:13:29+02	2020-05-16 16:13:44+02	devel/ruby-gems	ruby27-gems-3.0.6
2020-05-16 19:09:27+02	2020-05-16 19:09:37+02	devel/rubygem-manpages	rubygem-manpages-0.6.1
2020-05-16 19:09:33+02	2020-05-16 19:09:42+02	devel/rubygem-optimist	rubygem-optimist-3.0.1
2020-05-16 19:09:38+02	2020-05-16 19:09:47+02	devel/rubygem-paint	rubygem-paint-2.2.0
2020-05-20 12:49:51+02	2020-05-20 12:58:52+02	devel/rust-cbindgen	rust-cbindgen-0.14.2
2020-04-27 23:32:47+02	2020-04-27 23:33:22+02	devel/scons@py27	scons-3.1.1
2020-05-16 15:51:55+02	2020-05-16 15:52:29+02	devel/sdl12	sdl-1.2.15_14,2
2020-05-16 16:10:24+02	2020-05-16 16:11:38+02	devel/sdl20	sdl2-2.0.10_1
2020-03-08 19:15:14+01	2020-03-08 19:41:47+01	devel/sparc64-gcc	sparc64-gcc-6.4.0_8
2020-03-08 21:15:04+01	2020-03-08 21:15:12+01	devel/sparc64-xtoolchain-gcc	sparc64-xtoolchain-gcc-0.4_1
2020-04-26 22:12:59+02	2020-04-26 22:13:40+02	devel/spice-protocol	spice-protocol-0.12.15
2020-05-15 08:05:50+02	2020-05-15 08:18:19+02	devel/spirv-tools	spirv-tools-2020.2
2020-05-24 11:15:38+02	2020-05-24 11:19:39+02	devel/subversion	subversion-1.13.0_1
2020-05-19 23:35:21+02	2020-05-19 23:37:56+02	devel/swig30	swig30-3.0.12_1
2020-04-17 03:21:54+02	2020-04-17 03:23:20+02	devel/t1lib	t1lib-5.1.2_5,1
2020-04-26 19:07:56+02	2020-04-26 19:15:46+02	devel/talloc	talloc-2.3.0
2020-04-03 07:50:31+02	2020-04-03 08:02:03+02	devel/tbb	tbb-2020.2
2020-04-26 19:37:08+02	2020-04-26 19:45:22+02	devel/tevent	tevent-0.10.1
2020-02-28 23:46:34+01	2020-02-28 23:46:59+01	devel/tex-kpathsea	tex-kpathsea-6.2.1_2
2020-02-29 09:07:22+01	2020-02-29 09:07:41+01	devel/tex-libtexlua	tex-libtexlua-5.2.4
2020-02-29 09:07:38+01	2020-02-29 09:08:36+01	devel/tex-libtexluajit	tex-libtexluajit-2.0.3
2020-02-29 21:59:15+01	2020-02-29 22:00:01+01	devel/tex-synctex	tex-synctex-1.17.0_1
2020-05-21 01:06:49+02	2020-05-21 01:09:27+02	devel/tex-web2c	tex-web2c-20150521_3
2020-05-22 00:04:03+02	2020-05-22 00:04:40+02	devel/tig	tig-2.5.1
2020-02-29 02:07:32+01	2020-02-29 02:07:41+01	devel/tradcpp	tradcpp-0.5.3
2020-02-29 16:15:58+01	2020-02-29 16:16:11+01	devel/ucpp	ucpp-1.3.2,1
2020-02-29 22:00:01+01	2020-02-29 22:01:01+01	devel/unittest-cpp	unittest-cpp-2.0.0
2020-05-15 08:05:50+02	2020-05-15 08:06:10+02	devel/vulkan-headers	vulkan-headers-1.2.135.0
2020-03-01 00:26:43+01	2020-03-01 00:27:13+01	devel/woff2	woff2-1.0.2_4
2020-04-17 03:16:39+02	2020-04-17 03:17:19+02	devel/xdg-utils	xdg-utils-1.1.3_1
2020-02-28 21:59:08+01	2020-02-28 21:59:15+01	devel/xorg-macros	xorg-macros-1.19.2
2020-02-29 06:13:17+01	2020-02-29 06:13:30+01	devel/yajl	yajl-2.1.0
2020-02-29 01:49:24+01	2020-02-29 01:49:58+01	devel/yasm	yasm-1.3.0
2020-04-24 00:37:51+02	2020-04-24 00:38:25+02	devel/zziplib	zziplib-0.13.71
2020-03-08 18:17:33+01	2020-03-08 18:34:32+01	devel/aarch64-gcc	aarch64-gcc-6.4.0_8
2020-03-08 21:14:30+01	2020-03-08 21:14:38+01	devel/aarch64-xtoolchain-gcc	aarch64-xtoolchain-gcc-0.4_1
2020-05-23 08:50:28+02	2020-05-23 08:51:43+02	dns/bind-tools	bind-tools-9.16.3_1
2020-05-23 09:33:09+02	2020-05-23 09:34:50+02	dns/bind916	bind916-9.16.3_1
2020-02-29 06:13:31+01	2020-02-29 06:15:15+01	dns/c-ares	c-ares-1.15.0_1
2020-02-29 16:16:11+01	2020-02-29 16:18:09+01	dns/ldns	ldns-1.7.1_1
2020-02-28 22:53:03+01	2020-02-28 22:54:06+01	dns/libidn	libidn-1.35
2020-02-28 22:33:23+01	2020-02-28 22:33:49+01	dns/libidn2	libidn2-2.3.0_1
2020-04-27 23:39:50+02	2020-04-27 23:40:10+02	dns/py-dnspython@py27	py27-dnspython-1.16.0
2020-04-27 06:43:26+02	2020-04-27 06:44:24+02	dns/py-dnspython@py37	py37-dnspython-1.16.0
2020-03-02 08:32:37+01	2020-03-02 08:32:51+01	dns/py-idna@py27	py27-idna-2.8
2020-04-26 15:40:58+02	2020-04-26 15:41:25+02	dns/py-idna@py37	py37-idna-2.8
2020-04-27 23:30:22+02	2020-04-27 23:31:51+02	dns/py-ldns@py27	py27-ldns-1.7.1_1
2020-04-27 23:45:24+02	2020-04-27 23:45:47+02	dns/sshfp	sshfp-1.2.2_5
2020-05-22 00:10:43+02	2020-05-22 00:37:55+02	editors/codelite	codelite-12.0_4
2020-05-20 06:35:14+02	2020-05-20 06:42:16+02	editors/emacs@full	emacs-26.3_4,3
2020-03-07 13:43:46+01	2020-03-07 13:44:28+01	editors/fpc-ide	fpc-ide-3.0.4_4
2020-05-20 12:58:53+02	2020-05-20 13:39:13+02	editors/lazarus	lazarus-gtk2-2.0.8
2020-05-21 17:33:15+02	2020-05-21 17:35:06+02	editors/libreoffice-nb	nb-libreoffice-6.3.6
2020-05-21 17:03:49+02	2020-05-21 17:23:17+02	editors/libreoffice	libreoffice-6.3.6
2020-05-23 09:20:44+02	2020-05-23 09:23:59+02	editors/pluma	pluma-1.22.2
2020-05-22 00:43:26+02	2020-05-22 00:50:45+02	editors/vim	vim-8.2.0491_1
2020-05-23 10:05:16+02	2020-05-23 10:41:09+02	editors/vscode	vscode-1.45.1_1
2020-05-16 19:17:37+02	2020-05-16 19:19:53+02	emulators/dosbox	dosbox-0.74.3_1
2020-05-21 22:41:37+02	2020-05-21 22:46:49+02	emulators/qemu	qemu-4.1.1_3
2020-03-08 12:08:34+01	2020-03-08 12:08:49+01	emulators/tpm-emulator	tpm-emulator-0.7.4_2
2020-03-02 00:49:28+01	2020-03-02 00:50:45+01	emulators/virtualbox-ose-kmod	virtualbox-ose-kmod-5.2.34
2020-05-21 00:50:47+02	2020-05-21 02:12:37+02	emulators/virtualbox-ose	virtualbox-ose-5.2.34_4
2020-03-01 06:32:24+01	2020-03-01 06:33:06+01	emulators/wine-gecko	wine-gecko-2.47.1
2020-03-01 06:33:07+01	2020-03-01 06:34:21+01	emulators/wine-mono	wine-mono-4.9.4_1
2020-05-23 09:34:50+02	2020-05-23 09:42:28+02	emulators/wine	wine-5.0_1,1
2020-05-09 14:52:56+02	2020-05-09 14:53:40+02	emulators/x48	x48-0.6.4_1
2020-05-16 15:19:02+02	2020-05-16 15:21:03+02	ftp/curl	curl-7.70.0_1
2020-05-21 02:41:19+02	2020-05-21 03:03:04+02	ftp/filezilla	filezilla-3.40.0_5
2020-05-16 17:38:35+02	2020-05-16 17:38:54+02	ftp/fpc-libcurl	fpc-libcurl-3.0.4_4
2020-05-18 22:08:35+02	2020-05-18 22:08:58+02	ftp/libfilezilla	libfilezilla-0.15.1_3
2020-05-16 15:54:21+02	2020-05-16 15:54:41+02	ftp/php73-curl	php73-curl-7.3.18
2020-03-01 06:50:18+01	2020-03-01 06:51:58+01	ftp/wget	wget-1.20.3
2020-04-17 13:33:16+02	2020-04-17 13:33:25+02	games/affenspiel	affenspiel-1.0_2
2020-05-16 20:46:34+02	2020-05-16 20:46:51+02	games/afternoonstalker	afternoonstalker-1.1.6
2020-03-01 00:51:33+01	2020-03-01 01:03:48+01	games/alienarena-data	alienarena-data-2013.766
2020-05-16 20:46:51+02	2020-05-16 20:48:56+02	games/alienarena	alienarena-2013.766_9
2020-05-16 20:47:43+02	2020-05-16 20:48:29+02	games/alienblaster	alienblaster-1.1.0_7
2020-05-16 20:48:30+02	2020-05-16 20:50:35+02	games/battletanks	btanks-0.9.8083_9
2020-04-25 15:14:57+02	2020-04-25 15:21:35+02	games/gnuchess	gnuchess-6.2.6
2020-05-16 20:46:22+02	2020-05-16 20:46:34+02	games/KnightCap	knightcap-3.6_8
2020-05-16 20:48:56+02	2020-05-16 20:49:54+02	games/maelstrom	maelstrom-3.0.6_14
2020-05-21 03:03:05+02	2020-05-21 03:04:46+02	games/nuclearchess	nuclearchess-1.0.0_10
2020-05-21 03:04:47+02	2020-05-21 03:06:51+02	games/numptyphysics	numptyphysics-0.3.r20090104_11
2020-05-16 20:50:36+02	2020-05-16 20:51:19+02	games/outerspace	outerspace-0.2.2_9
2020-05-16 20:51:14+02	2020-05-16 20:51:28+02	games/rubygem-lolcat	rubygem-lolcat-100.0.1
2020-03-30 01:09:35+02	2020-03-30 01:10:47+02	games/stockfish	stockfish-11
2020-05-16 20:51:20+02	2020-05-16 20:52:11+02	games/xblast	xblast-2.10.4_17
2020-05-21 03:06:53+02	2020-05-21 03:09:53+02	games/xboard	xboard-4.9.1_1
2020-05-25 22:37:21+02	2020-05-25 22:38:41+02	devel/qt5-core	qt5-core-5.14.2_3
2020-05-25 22:49:14+02	2020-05-25 22:49:32+02	comms/qt5-serialport	qt5-serialport-5.14.2
2020-05-25 22:55:16+02	2020-05-25 22:56:14+02	x11-toolkits/kf5-kconfigwidgets	kf5-kconfigwidgets-5.70.0
2020-05-25 23:05:16+02	2020-05-25 23:06:11+02	devel/kf5-kbookmarks	kf5-kbookmarks-5.70.0
2020-05-25 23:49:39+02	2020-05-25 23:54:30+02	net/wireshark	wireshark-3.2.4
2020-05-25 22:38:42+02	2020-05-25 22:39:48+02	net/qt5-network	qt5-network-5.14.2
2020-05-25 22:48:54+02	2020-05-25 22:49:42+02	devel/qscintilla2-qt5	qscintilla2-qt5-2.11.4
2020-05-25 22:55:13+02	2020-05-25 22:56:43+02	x11-themes/kf5-breeze-icons	kf5-breeze-icons-5.70.0
2020-05-25 23:05:11+02	2020-05-25 23:06:17+02	sysutils/kf5-kwallet	kf5-kwallet-5.70.0
2020-05-25 23:52:22+02	2020-05-25 23:54:52+02	print/lyx	lyx-2.3.4.2_1
2020-05-25 22:39:49+02	2020-05-25 22:41:23+02	devel/qt5-dbus	qt5-dbus-5.14.2
2020-05-25 22:49:32+02	2020-05-25 22:50:00+02	devel/kf5-kcoreaddons	kf5-kcoreaddons-5.70.0
2020-05-25 22:56:14+02	2020-05-25 22:56:54+02	x11-toolkits/kf5-kitemviews	kf5-kitemviews-5.70.0
2020-05-25 23:06:11+02	2020-05-25 23:06:58+02	x11/kf5-kded	kf5-kded-5.70.0_1
2020-05-25 23:54:31+02	2020-05-25 23:55:24+02	security/openconnect-gui	openconnect-gui-1.4.1_3
2020-05-25 22:38:16+02	2020-05-25 22:43:27+02	graphics/inkscape	inkscape-1.0_1
2020-05-25 22:49:42+02	2020-05-25 22:50:06+02	archivers/kf5-karchive	kf5-karchive-5.70.0
2020-05-25 22:56:28+02	2020-05-25 22:57:11+02	comms/qt5-sensors	qt5-sensors-5.14.2
2020-05-25 23:06:17+02	2020-05-25 23:07:02+02	x11-toolkits/kf5-kjobwidgets	kf5-kjobwidgets-5.70.0
2020-05-25 23:55:39+02	2020-05-25 23:57:07+02	x11/cool-retro-term	cool-retro-term-1.1.1_1
2020-05-25 22:41:24+02	2020-05-25 22:44:14+02	x11-toolkits/qt5-gui	qt5-gui-5.14.2
2020-05-25 22:49:33+02	2020-05-25 22:50:15+02	devel/kf5-kconfig	kf5-kconfig-5.70.0
2020-05-25 22:56:55+02	2020-05-25 22:57:54+02	x11-themes/kf5-kiconthemes	kf5-kiconthemes-5.70.0
2020-05-25 23:06:59+02	2020-05-25 23:08:05+02	x11-toolkits/qt5-quickcontrols	qt5-quickcontrols-5.14.2
2020-05-25 23:57:08+02	2020-05-25 23:57:23+02	graphics/drm-kmod	drm-kmod-g20190710
2020-05-25 22:43:29+02	2020-05-25 22:44:22+02	databases/qt5-sql	qt5-sql-5.14.2
2020-05-25 22:50:16+02	2020-05-25 22:50:53+02	devel/qt5-uitools	qt5-uitools-5.14.2
2020-05-25 22:57:11+02	2020-05-25 22:58:01+02	textproc/kf5-sonnet	kf5-sonnet-5.70.0
2020-05-25 23:07:03+02	2020-05-25 23:10:39+02	devel/kf5-kio	kf5-kio-5.70.1_1
2020-05-25 23:57:24+02	2020-05-25 23:58:46+02	net-mgmt/netbox	netbox-2.7.12
2020-05-25 22:44:22+02	2020-05-25 22:44:57+02	devel/qt5-testlib	qt5-testlib-5.14.2
2020-05-25 22:50:01+02	2020-05-25 22:50:54+02	devel/kf5-ki18n	kf5-ki18n-5.70.0
2020-05-25 22:57:55+02	2020-05-25 22:58:36+02	x11-toolkits/kf5-kcompletion	kf5-kcompletion-5.70.0
2020-05-25 23:10:41+02	2020-05-25 23:11:52+02	graphics/qt5-graphicaleffects	qt5-graphicaleffects-5.14.2
2020-05-25 23:54:53+02	2020-05-26 00:00:19+02	security/tor	tor-0.4.3.5
2020-05-25 22:37:24+02	2020-05-25 22:45:31+02	graphics/drm-current-kmod	drm-current-kmod-4.16.g20200320
2020-05-25 22:50:55+02	2020-05-25 22:51:34+02	graphics/qt5-imageformats	qt5-imageformats-5.14.2
2020-05-25 22:58:02+02	2020-05-25 22:58:39+02	devel/libdbusmenu-qt	libdbusmenu-qt5-0.9.3.160420160218_10
2020-05-25 23:09:15+02	2020-05-25 23:12:07+02	graphics/qt5-3d	qt5-3d-5.14.2
2020-05-25 23:36:54+02	2020-05-26 00:17:39+02	emulators/virtualbox-ose	virtualbox-ose-5.2.34_4
2020-05-25 22:44:57+02	2020-05-25 22:45:37+02	textproc/qt5-xmlpatterns	qt5-xmlpatterns-5.14.2
2020-05-25 22:50:53+02	2020-05-25 22:51:34+02	x11/kf5-kwindowsystem	kf5-kwindowsystem-5.70.0
2020-05-25 22:58:36+02	2020-05-25 22:59:30+02	devel/qt5-assistant	qt5-assistant-5.14.2
2020-05-25 23:13:23+02	2020-05-25 23:14:36+02	graphics/poppler-qt5	poppler-qt5-0.88.0
2020-05-26 00:36:31+02	2020-05-26 00:50:35+02	local/E590T-localbase	E590T-localbase-2020052200
2020-05-25 22:44:15+02	2020-05-25 22:45:49+02	x11-toolkits/qt5-widgets	qt5-widgets-5.14.2
2020-05-25 22:50:54+02	2020-05-25 22:51:49+02	devel/kf5-kdoctools	kf5-kdoctools-5.70.0
2020-05-25 22:58:40+02	2020-05-25 22:59:31+02	multimedia/phonon	phonon-qt5-4.11.1
2020-05-25 23:05:22+02	2020-05-25 23:16:59+02	www/qt5-webengine	qt5-webengine-5.14.2
2020-05-26 18:14:01+02	2020-05-26 18:14:09+02	devel/scons@py27	scons-py27-3.1.2
2020-05-25 22:45:31+02	2020-05-25 22:46:07+02	textproc/qt5-xml	qt5-xml-5.14.2
2020-05-25 22:51:34+02	2020-05-25 22:52:15+02	www/qt5-webchannel	qt5-webchannel-5.14.2
2020-05-25 22:59:31+02	2020-05-25 23:00:50+02	x11/kf5-kglobalaccel	kf5-kglobalaccel-5.70.0
2020-05-25 23:17:00+02	2020-05-25 23:18:14+02	multimedia/webvfx-qt5	webvfx-qt5-0.4.4.20160823_12
2020-05-26 18:20:33+02	2020-05-26 18:20:42+02	devel/scons@py27	scons-py27-3.1.2
2020-05-25 22:45:37+02	2020-05-25 22:46:14+02	databases/qt5-sqldrivers-sqlite3	qt5-sqldrivers-sqlite3-5.14.2
2020-05-25 22:51:35+02	2020-05-25 22:52:29+02	x11-toolkits/kf5-kwidgetsaddons	kf5-kwidgetsaddons-5.70.0
2020-05-25 22:59:30+02	2020-05-25 23:01:04+02	multimedia/qt5-multimedia	qt5-multimedia-5.14.2
2020-05-25 23:15:49+02	2020-05-25 23:22:02+02	multimedia/vlc	vlc-3.0.10_4,4
2020-05-26 18:29:21+02	2020-05-26 18:29:30+02	devel/scons@py27	scons-py27-3.1.2
2020-05-25 22:46:08+02	2020-05-25 22:46:43+02	devel/qt5-concurrent	qt5-concurrent-5.14.2
2020-05-25 22:51:50+02	2020-05-25 22:52:30+02	devel/kf5-kcrash	kf5-kcrash-5.70.0
2020-05-25 23:00:51+02	2020-05-25 23:01:48+02	x11-toolkits/kf5-attica	kf5-attica-5.70.0
2020-05-25 23:21:47+02	2020-05-25 23:22:20+02	www/qt5-websockets	qt5-websockets-5.14.2
2020-05-26 19:36:52+02	2020-05-26 19:37:02+02	devel/py-wheel@py27	py27-wheel-0.30.0_1
2020-05-25 22:46:14+02	2020-05-25 22:47:01+02	devel/qt5-help	qt5-help-5.14.2
2020-05-25 22:52:16+02	2020-05-25 22:52:57+02	devel/kf5-kdbusaddons	kf5-kdbusaddons-5.70.0
2020-05-25 23:01:05+02	2020-05-25 23:02:08+02	x11-toolkits/kf5-ktextwidgets	kf5-ktextwidgets-5.70.0
2020-05-25 23:22:21+02	2020-05-25 23:26:05+02	deskutils/calibre	calibre-4.17.0
2020-05-26 19:36:52+02	2020-05-26 19:37:03+02	devel/py-wheel@py37	py37-wheel-0.30.0_1
2020-05-25 22:47:02+02	2020-05-25 22:47:46+02	x11/qt5-x11extras	qt5-x11extras-5.14.2
2020-05-25 22:52:30+02	2020-05-25 22:53:11+02	sysutils/polkit-qt	polkit-qt-1-0.113.0_8
2020-05-25 23:01:49+02	2020-05-25 23:02:55+02	devel/kf5-knotifications	kf5-knotifications-5.70.0
2020-05-25 23:22:03+02	2020-05-25 23:36:53+02	astro/stellarium	stellarium-0.20.1
2020-05-26 19:37:03+02	2020-05-26 19:37:21+02	security/py-pynacl@py27	py27-pynacl-1.4.0
2020-05-25 22:46:43+02	2020-05-25 22:47:57+02	print/qt5-printsupport	qt5-printsupport-5.14.2
2020-05-25 22:52:57+02	2020-05-25 22:53:29+02	textproc/kf5-kcodecs	kf5-kcodecs-5.70.0
2020-05-25 23:02:09+02	2020-05-25 23:03:43+02	devel/qt5-designer	qt5-designer-5.14.2
2020-05-25 23:12:38+02	2020-05-25 23:36:57+02	editors/libreoffice	libreoffice-6.3.6
2020-05-26 19:37:03+02	2020-05-26 19:37:24+02	security/py-pynacl@py37	py37-pynacl-1.4.0
2020-05-25 22:45:49+02	2020-05-25 22:48:02+02	x11-toolkits/qt5-declarative	qt5-declarative-5.14.2
2020-05-25 22:52:30+02	2020-05-25 22:53:48+02	devel/qt5-location	qt5-location-5.14.2
2020-05-25 23:03:44+02	2020-05-25 23:04:14+02	security/gpgme-qt5	gpgme-qt5-1.13.1
2020-05-25 23:36:59+02	2020-05-25 23:39:12+02	editors/libreoffice-nb	nb-libreoffice-6.3.6
2020-05-26 19:37:22+02	2020-05-26 19:37:35+02	security/py-paramiko@py27	py27-paramiko-2.7.1
2020-05-25 22:47:47+02	2020-05-25 22:48:17+02	x11-toolkits/qt5-uiplugin	qt5-uiplugin-5.14.2
2020-05-25 22:53:12+02	2020-05-25 22:54:08+02	devel/kf5-kauth	kf5-kauth-5.70.0
2020-05-25 22:57:54+02	2020-05-25 23:04:22+02	www/qt5-webkit	qt5-webkit-5.212.0.a4_2
2020-05-25 23:39:12+02	2020-05-25 23:40:17+02	graphics/xpdf	xpdf-4.02,1
2020-05-26 19:37:24+02	2020-05-26 19:37:39+02	security/py-paramiko@py37	py37-paramiko-2.7.1
2020-05-21 03:09:55+02	2020-05-21 03:12:26+02	games/xcowsay	xcowsay-1.5
2020-04-17 13:41:28+02	2020-04-17 13:41:59+02	games/xevil	xevil-2.02.r2_2
2020-04-17 13:41:59+02	2020-04-17 13:42:13+02	games/xminesweep	xminesweep-3.0_2
2020-04-17 03:16:22+02	2020-04-17 03:22:23+02	graphics/argyllcms	argyllcms-1.9.2_5
2020-05-23 09:20:55+02	2020-05-23 09:23:41+02	graphics/atril	atril-1.22.3_5
2020-05-19 23:51:37+02	2020-05-19 23:55:51+02	graphics/cairo	cairo-1.16.0,2
2020-05-20 03:59:01+02	2020-05-20 04:02:05+02	graphics/cairomm	cairomm-1.12.2_4
2020-05-21 00:18:55+02	2020-05-21 00:22:54+02	graphics/colord	colord-1.3.5
2020-05-21 03:12:28+02	2020-05-21 03:24:56+02	graphics/dia	dia-0.97.3_1,1
2020-05-20 08:47:17+02	2020-05-20 08:50:33+02	graphics/djvulibre	djvulibre-3.5.27_2
2020-05-24 16:26:10+02	2020-05-24 16:28:02+02	graphics/drm-current-kmod	drm-current-kmod-4.16.g20200320
2020-05-24 16:28:02+02	2020-05-24 16:28:11+02	graphics/drm-kmod	drm-kmod-g20190710
2020-05-20 19:19:12+02	2020-05-20 19:27:27+02	graphics/eom	eom-1.22.2
2020-04-26 19:08:05+02	2020-04-26 19:14:16+02	graphics/exiv2	exiv2-0.27.2,1
2020-05-20 06:36:47+02	2020-05-20 06:37:12+02	graphics/fpc-cairo	fpc-cairo-3.0.4_4
2020-05-16 18:31:22+02	2020-05-16 18:31:37+02	graphics/fpc-opengl	fpc-opengl-3.0.4_4
2020-03-07 03:26:08+01	2020-03-07 03:26:25+01	graphics/fpc-pasjpeg	fpc-pasjpeg-3.0.4_4
2020-05-16 16:24:10+02	2020-05-16 16:24:44+02	graphics/freeglut	freeglut-3.0.0_2
2020-03-17 07:58:57+01	2020-03-17 07:59:21+01	graphics/frei0r-plugins-gavl	frei0r-plugins-gavl-1.6.1
2020-05-23 09:09:48+02	2020-05-23 09:12:32+02	graphics/frei0r-plugins-opencv	frei0r-plugins-opencv-1.6.1_1
2020-05-23 09:23:42+02	2020-05-23 09:24:59+02	graphics/frei0r-plugins	frei0r-plugins-1.6.1_1
2020-05-21 01:11:50+02	2020-05-21 01:13:11+02	graphics/frei0r	frei0r-1.6.1
2020-05-16 19:25:29+02	2020-05-16 19:25:47+02	graphics/ftgl	ftgl-2.1.3.r5_6,1
2020-05-09 11:14:32+02	2020-05-09 11:14:53+02	graphics/gd	libgd-2.3.0,1
2020-05-21 00:12:43+02	2020-05-21 00:13:51+02	graphics/gdk-pixbuf2	gdk-pixbuf2-2.40.0
2020-05-24 16:27:18+02	2020-05-24 16:28:17+02	graphics/gegl	gegl-0.4.22_5
2020-05-24 16:26:10+02	2020-05-24 16:27:18+02	graphics/gexiv2	gexiv2-0.12.1
2020-02-28 22:43:41+01	2020-02-28 22:43:51+01	graphics/giflib	giflib-5.2.1
2020-05-24 16:28:17+02	2020-05-24 16:31:30+02	graphics/gimp-app	gimp-app-2.10.18_6,1
2020-05-24 16:32:33+02	2020-05-24 16:33:18+02	graphics/gimp	gimp-2.10.18,2
2020-05-16 19:25:47+02	2020-05-16 19:26:05+02	graphics/gle	gle-3.1.0_7
2020-05-16 17:41:47+02	2020-05-16 17:44:23+02	graphics/glew	glew-2.1.0
2020-05-16 19:26:06+02	2020-05-16 19:26:20+02	graphics/gltt	gltt-2.5.2_14
2020-05-20 19:30:34+02	2020-05-20 19:34:38+02	graphics/goocanvas2	goocanvas2-2.0.4
2020-05-07 21:15:56+02	2020-05-07 21:18:45+02	graphics/gpu-firmware-kmod	gpu-firmware-kmod-g20200503
2020-05-21 01:43:30+02	2020-05-21 01:44:42+02	graphics/graphene	graphene-1.10.0
2020-05-15 21:32:32+02	2020-05-15 21:35:18+02	graphics/GraphicsMagick	GraphicsMagick-1.3.35,1
2020-04-01 07:55:16+02	2020-04-01 07:56:05+02	graphics/graphite2	graphite2-1.3.14
2020-05-21 00:13:28+02	2020-05-21 00:19:16+02	graphics/graphviz	graphviz-2.44.0_3
2020-05-21 01:47:19+02	2020-05-21 01:50:04+02	graphics/gstreamer1-plugins-gl	gstreamer1-plugins-gl-1.16.2
2020-05-20 04:11:27+02	2020-05-20 04:12:23+02	graphics/gstreamer1-plugins-png	gstreamer1-plugins-png-1.16.2
2020-05-21 00:14:22+02	2020-05-21 00:15:22+02	graphics/gtk-update-icon-cache	gtk-update-icon-cache-2.24.32
2020-05-14 07:53:00+02	2020-05-14 07:54:26+02	graphics/ilmbase	ilmbase-2.5.1
2020-04-26 16:49:56+02	2020-04-26 17:02:10+02	graphics/ImageMagick6	ImageMagick6-6.9.11.6,1
2020-05-21 01:37:08+02	2020-05-21 01:42:37+02	graphics/ImageMagick7	ImageMagick7-7.0.10.6
2020-05-23 00:01:52+02	2020-05-23 00:11:29+02	graphics/inkscape	inkscape-1.0_1
2020-03-01 00:00:33+01	2020-03-01 00:00:55+01	graphics/jasper	jasper-2.0.16_1
2020-03-28 15:43:19+01	2020-03-28 15:43:41+01	graphics/jbig2dec	jbig2dec-0.18
2020-02-28 22:30:06+01	2020-02-28 22:30:15+01	graphics/jbigkit	jbigkit-2.1_1
2020-05-21 17:08:26+02	2020-05-21 17:08:35+02	graphics/jgraph	jgraph-8.3_1
2020-02-28 22:27:18+01	2020-02-28 22:27:58+01	graphics/jpeg-turbo	jpeg-turbo-2.0.4
2020-03-01 00:10:35+01	2020-03-01 00:11:00+01	graphics/lcms	lcms-1.19_6,1
2020-02-28 22:55:33+01	2020-02-28 22:56:18+01	graphics/lcms2	lcms2-2.9
2020-03-16 22:36:46+01	2020-03-16 22:40:07+01	graphics/leptonica	leptonica-1.76.0_1
2020-03-01 01:06:58+01	2020-03-01 01:07:31+01	graphics/libart_lgpl	libart_lgpl-2.3.21_3,1
2020-04-25 07:56:01+02	2020-04-25 07:58:38+02	graphics/libcdr01	libcdr01-0.1.5_8
2020-05-05 19:39:41+02	2020-05-05 19:40:23+02	graphics/libdrm	libdrm-2.4.99,1
2020-05-16 15:27:17+02	2020-05-16 15:27:42+02	graphics/libepoxy	libepoxy-1.5.4
2020-04-25 09:52:28+02	2020-04-25 10:14:39+02	graphics/libetonyek01	libetonyek01-0.1.9_5,1
2020-03-01 00:53:42+01	2020-03-01 00:54:04+01	graphics/libexif	libexif-0.6.21_5
2020-04-25 09:57:12+02	2020-04-25 10:02:25+02	graphics/libfreehand	libfreehand-0.1.2_18
2020-05-16 18:31:41+02	2020-05-16 18:32:24+02	graphics/libgltf	libgltf-0.0.2_21
2020-05-16 15:31:25+02	2020-05-16 15:31:46+02	graphics/libGLU	libGLU-9.0.1
2020-05-09 12:22:07+02	2020-05-09 12:22:55+02	graphics/libgphoto2	libgphoto2-2.5.23_1
2020-05-23 09:12:33+02	2020-05-23 09:13:33+02	graphics/libgxps	libgxps-0.3.1
2020-05-21 01:36:28+02	2020-05-21 01:36:42+02	graphics/liblqr-1	liblqr-1-0.4.2
2020-03-01 00:27:13+01	2020-03-01 00:27:46+01	graphics/libmng	libmng-1.0.10_3
2020-05-23 08:48:52+02	2020-05-23 08:49:06+02	graphics/libmypaint	libmypaint-1.5.1_1
2020-02-29 06:48:56+01	2020-02-29 06:49:11+01	graphics/libnsgif	libnsgif-0.2.1
2020-05-16 18:32:45+02	2020-05-16 18:33:01+02	graphics/libplacebo	libplacebo-2.43.1
2020-02-28 23:57:46+01	2020-02-28 23:58:00+01	graphics/libpotrace	libpotrace-1.12
2020-02-28 23:58:00+01	2020-02-28 23:59:08+01	graphics/libraw	libraw-0.19.5
2020-05-21 00:23:18+02	2020-05-21 00:24:43+02	graphics/librsvg2	librsvg2-2.40.21
2020-02-29 06:15:16+01	2020-02-29 06:15:52+01	graphics/libspiro	libspiro-20190731,1
2020-04-17 03:38:55+02	2020-04-17 03:40:17+02	graphics/libwmf	libwmf-0.2.8.4_15
2020-05-26 19:39:51+02	2020-05-26 20:03:10+02	multimedia/libva-intel-media-driver	libva-intel-media-driver-20.2.p3
2020-05-26 20:03:11+02	2020-05-26 20:03:21+02	graphics/drm-kmod	drm-kmod-g20190710
2020-05-26 19:37:40+02	2020-05-26 22:15:50+02	lang/gcc10-devel	gcc10-devel-10.1.1.s20200523
2020-05-26 19:52:00+02	2020-05-26 22:19:33+02	www/firefox	firefox-77.0,1
2020-05-26 22:40:38+02	2020-05-26 22:55:43+02	local/E590T-localbase	E590T-localbase-2020052200
2020-05-27 07:44:57+02	2020-05-27 07:45:06+02	dns/py-idna@py27	py27-idna-2.8
2020-05-27 07:44:57+02	2020-05-27 07:45:06+02	net/py-pysocks@py27	py27-pysocks-1.7.1
2020-05-27 07:45:06+02	2020-05-27 07:45:15+02	security/py-certifi@py27	py27-certifi-2020.4.5.1
2020-05-27 07:45:06+02	2020-05-27 07:45:15+02	security/py-openssl@py27	py27-openssl-19.0.0
2020-05-27 07:45:15+02	2020-05-27 07:45:24+02	net/py-urllib3@py27	py27-urllib3-1.25.7,1
2020-05-27 07:45:15+02	2020-05-27 07:45:26+02	devel/py-future@py27	py27-future-0.18.2
2020-05-27 07:45:26+02	2020-05-27 07:45:35+02	textproc/py-chardet@py27	py27-chardet-3.0.4_3
2020-05-27 07:45:24+02	2020-05-27 07:45:35+02	sysutils/py-psutil@py27	py27-psutil-5.7.0
2020-05-27 07:45:36+02	2020-05-27 07:46:24+02	devel/cdecl	cdecl-7.1
2020-05-27 07:46:25+02	2020-05-27 07:46:38+02	net/py-netifaces@py27	py27-netifaces-0.10.9
2020-05-27 07:46:38+02	2020-05-27 07:46:56+02	sysutils/py-glances@py27	py27-glances-3.1.4
2020-05-27 07:46:56+02	2020-05-27 07:47:08+02	sysutils/py-py-cpuinfo@py27	py27-py-cpuinfo-5.0.0
2020-05-27 07:47:08+02	2020-05-27 07:47:19+02	www/py-bottle@py27	py27-bottle-0.12.15_1
2020-05-27 07:47:20+02	2020-05-27 07:47:31+02	www/py-requests@py27	py27-requests-2.22.0
2020-05-27 07:45:36+02	2020-05-27 07:48:23+02	graphics/drm-current-kmod	drm-current-kmod-4.16.g20200320
2020-05-27 07:48:23+02	2020-05-27 07:48:31+02	graphics/drm-kmod	drm-kmod-g20190710
2020-05-27 07:44:57+02	2020-05-27 08:52:33+02	lang/ghc	ghc-8.8.3_1
2020-05-27 09:06:45+02	2020-05-27 09:20:55+02	local/E590T-localbase	E590T-localbase-2020052600
2020-05-27 23:26:36+02	2020-05-27 23:28:41+02	devel/google-perftools	google-perftools-2.7.90
2020-05-27 23:28:41+02	2020-05-27 23:32:41+02	security/klee	klee-2.1
2020-05-27 23:26:36+02	2020-05-27 23:34:13+02	graphics/drm-current-kmod	drm-current-kmod-4.16.g20200320
2020-05-27 23:34:13+02	2020-05-27 23:34:20+02	graphics/drm-kmod	drm-kmod-g20190710
2020-05-27 23:26:36+02	2020-05-28 00:55:37+02	www/firefox	firefox-77.0_1,1
2020-05-28 01:15:18+02	2020-05-28 01:29:42+02	local/E590T-localbase	E590T-localbase-2020052600
\.


--
-- Name: portsbuildstats portsbuildstats_pk; Type: CONSTRAINT; Schema: public; Owner: trond
--

ALTER TABLE ONLY public.portsbuildstats
    ADD CONSTRAINT portsbuildstats_pk PRIMARY KEY (start, origin);


--
-- PostgreSQL database dump complete
--

