--
-- PostgreSQL database dump
--

-- Dumped from database version 12.3
-- Dumped by pg_dump version 12.3

SET statement_timeout = 0;
SET lock_timeout = 0;
SET idle_in_transaction_session_timeout = 0;
SET client_encoding = 'UTF8';
SET standard_conforming_strings = on;
SELECT pg_catalog.set_config('search_path', '', false);
SET check_function_bodies = false;
SET xmloption = content;
SET client_min_messages = warning;
SET row_security = off;

--
-- Name: insert_pkg(text, text, text, timestamp with time zone, timestamp with time zone); Type: FUNCTION; Schema: public; Owner: trond
--

CREATE FUNCTION public.insert_pkg(text, text, text, timestamp with time zone, timestamp with time zone) RETURNS void
    LANGUAGE plpgsql
    AS $_$
BEGIN
  INSERT INTO portsbuildstats (category, portname, pkgname, start, finished) VALUES ($1, $2, $3, $4, $5);
END;
$_$;


ALTER FUNCTION public.insert_pkg(text, text, text, timestamp with time zone, timestamp with time zone) OWNER TO trond;

--
-- Name: insert_pkg(text, text, text, text, timestamp with time zone, timestamp with time zone); Type: FUNCTION; Schema: public; Owner: trond
--

CREATE FUNCTION public.insert_pkg(text, text, text, text, timestamp with time zone, timestamp with time zone) RETURNS void
    LANGUAGE plpgsql
    AS $_$
BEGIN
  INSERT INTO portsbuildstats (category, portname, flavor, pkgname, start, finished) VALUES ($1, $2, $3, $4, $5, $6);
END;
$_$;


ALTER FUNCTION public.insert_pkg(text, text, text, text, timestamp with time zone, timestamp with time zone) OWNER TO trond;

SET default_tablespace = '';

SET default_table_access_method = heap;

--
-- Name: portsbuildstats; Type: TABLE; Schema: public; Owner: trond
--

CREATE TABLE public.portsbuildstats (
    start timestamp(0) with time zone NOT NULL,
    finished timestamp(0) with time zone NOT NULL,
    category text NOT NULL,
    portname text NOT NULL,
    flavor text,
    pkgname text NOT NULL,
    CONSTRAINT start_before_finished_ck CHECK ((finished > start))
);


ALTER TABLE public.portsbuildstats OWNER TO trond;

--
-- Name: portsbuildstats_with_duration; Type: VIEW; Schema: public; Owner: trond
--

CREATE VIEW public.portsbuildstats_with_duration AS
 SELECT p.category,
    p.portname,
    p.flavor,
    p.pkgname,
    p.start,
    p.finished,
    (p.finished - p.start) AS duration
   FROM public.portsbuildstats p;


ALTER TABLE public.portsbuildstats_with_duration OWNER TO trond;

--
-- Name: portsbuildstats_statistics; Type: VIEW; Schema: public; Owner: trond
--

CREATE VIEW public.portsbuildstats_statistics AS
 SELECT p.category,
    p.portname,
    p.flavor,
    count(p.portname) AS count,
    min(p.duration) AS min,
    max(p.duration) AS max,
    avg(p.duration) AS avg
   FROM public.portsbuildstats_with_duration p
  GROUP BY p.category, p.portname, p.flavor
  ORDER BY p.category, p.portname, p.flavor;


ALTER TABLE public.portsbuildstats_statistics OWNER TO trond;

--
-- Data for Name: portsbuildstats; Type: TABLE DATA; Schema: public; Owner: trond
--

COPY public.portsbuildstats (start, finished, category, portname, flavor, pkgname) FROM stdin;
2020-05-25 07:51:33+02	2020-05-25 07:53:38+02	devel	kf5-kio	\N	kf5-kio-5.70.1_1
2020-05-25 22:48:02+02	2020-05-25 22:48:40+02	devel	qt5-linguisttools	\N	qt5-linguisttools-5.14.2
2020-05-25 22:53:29+02	2020-05-25 22:54:25+02	devel	kf5-kservice	\N	kf5-kservice-5.70.0
2020-05-25 23:04:00+02	2020-05-25 23:04:38+02	security	pinentry-qt5	\N	pinentry-qt5-1.1.0_1
2020-05-24 16:52:44+02	2020-05-24 17:07:15+02	local	E590T-localbase	\N	E590T-localbase-2020052200
2020-05-25 23:40:18+02	2020-05-25 23:43:15+02	multimedia	obs-studio	\N	obs-studio-25.0.8
2020-05-26 19:37:36+02	2020-05-26 19:39:50+02	devel	bzr	py27	bzr-2.7.0.6622
2020-05-20 06:42:17+02	2020-05-20 06:43:42+02	graphics	libwpg03	\N	libwpg03-0.3.3_1
2020-04-25 10:02:25+02	2020-04-25 10:07:13+02	graphics	libzmf	\N	libzmf-0.0.2_21
2020-05-16 15:54:42+02	2020-05-16 16:02:39+02	graphics	mesa-dri	\N	mesa-dri-19.0.8
2020-05-16 15:19:33+02	2020-05-16 15:21:49+02	graphics	mesa-libs	\N	mesa-libs-19.0.8
2020-05-16 17:44:23+02	2020-05-16 17:46:36+02	graphics	movit	\N	movit-1.6.2_2
2020-03-02 08:44:04+01	2020-03-02 08:44:31+01	graphics	mypaint-brushes	\N	mypaint-brushes-1.3.1
2020-05-10 00:29:19+02	2020-05-10 00:31:36+02	graphics	netpbm	\N	netpbm-10.90.02
2020-05-20 08:51:07+02	2020-05-20 09:18:46+02	graphics	opencollada	\N	opencollada-1.6.68_2
2020-04-04 01:05:33+02	2020-04-04 01:24:24+02	graphics	opencv-core	\N	opencv-core-3.4.1_31
2020-05-23 08:59:36+02	2020-05-23 09:03:22+02	graphics	opencv	\N	opencv-3.4.1_31
2020-05-14 08:58:40+02	2020-05-14 09:02:50+02	graphics	openexr	\N	openexr-2.5.1
2020-02-28 23:26:26+01	2020-02-28 23:27:17+01	graphics	openjpeg	\N	openjpeg-2.3.1
2020-02-28 23:51:10+01	2020-02-28 23:51:38+01	graphics	openjpeg15	\N	openjpeg15-1.5.2_1
2020-05-21 01:43:41+02	2020-05-21 01:44:30+02	graphics	pecl-imagick-im7	php73	php73-pecl-imagick-im7-3.4.4
2020-04-26 17:02:11+02	2020-04-26 17:05:43+02	graphics	pecl-imagick	php73	php73-pecl-imagick-3.4.4
2020-05-16 10:57:28+02	2020-05-16 10:57:53+02	graphics	php73-gd	\N	php73-gd-7.3.18
2020-02-28 22:17:50+01	2020-02-28 22:18:17+01	graphics	png	\N	png-1.6.37
2020-05-09 13:23:33+02	2020-05-09 13:27:35+02	graphics	podofo	\N	podofo-0.9.6_1
2020-02-28 22:52:44+01	2020-02-28 22:53:03+01	graphics	poppler-data	\N	poppler-data-0.4.9_2
2020-05-21 16:21:44+02	2020-05-21 16:22:23+02	graphics	poppler-glib	\N	poppler-glib-0.88.0
2020-05-21 17:08:35+02	2020-05-21 17:09:38+02	graphics	poppler-qt5	\N	poppler-qt5-0.88.0
2020-05-21 16:22:24+02	2020-05-21 16:22:51+02	graphics	poppler-utils	\N	poppler-utils-0.88.0
2020-05-21 16:21:00+02	2020-05-21 16:21:35+02	graphics	poppler	\N	poppler-0.88.0
2020-05-20 04:12:23+02	2020-05-20 04:12:52+02	graphics	py-cairo	py27	py27-cairo-1.18.1_1
2020-05-21 01:36:42+02	2020-05-21 01:36:59+02	graphics	py-cairo	py37	py37-cairo-1.18.1_1
2020-05-24 16:31:31+02	2020-05-24 16:32:32+02	graphics	py-gimp	\N	py27-gimp-2.10.18_6
2020-03-02 08:44:10+01	2020-03-02 08:44:20+01	graphics	py-imagesize	py27	py27-imagesize-1.1.0
2020-04-26 15:42:24+02	2020-04-26 15:42:41+02	graphics	py-imagesize	py37	py37-imagesize-1.1.0
2020-02-24 15:36:58+01	2020-02-24 15:37:52+01	graphics	py-pillow	py27	py27-pillow-6.2.2
2020-05-09 12:49:20+02	2020-05-09 12:50:25+02	graphics	py-pillow	py37	py37-pillow-7.0.0
2020-03-16 08:11:48+01	2020-03-16 08:12:18+01	graphics	py-pillow6	py27	py27-pillow6-6.2.2
2020-05-20 08:52:40+02	2020-05-20 08:53:50+02	graphics	py-pygraphviz	py37	py37-pygraphviz-1.5
2020-03-20 09:30:37+01	2020-03-20 09:31:43+01	graphics	py-qt5-svg	py27	py27-qt5-svg-5.13.1
2020-05-20 08:53:51+02	2020-05-20 08:55:53+02	graphics	py-qt5-svg	py37	py37-qt5-svg-5.13.1_1
2020-05-21 17:53:37+02	2020-05-21 17:53:55+02	graphics	py-svgwrite	py37	py37-svgwrite-1.3.1
2020-05-20 08:55:55+02	2020-05-20 09:28:57+02	graphics	qt5-3d	\N	qt5-3d-5.14.2
2020-05-20 09:18:47+02	2020-05-20 09:20:42+02	graphics	qt5-graphicaleffects	\N	qt5-graphicaleffects-5.14.2
2020-05-20 02:23:38+02	2020-05-20 02:25:08+02	graphics	qt5-imageformats	\N	qt5-imageformats-5.14.2
2020-05-21 01:38:08+02	2020-05-21 01:40:07+02	graphics	qt5-opengl	\N	qt5-opengl-5.14.2
2020-05-21 01:44:30+02	2020-05-21 01:45:37+02	graphics	qt5-svg	\N	qt5-svg-5.14.2
2020-02-29 17:13:32+01	2020-02-29 17:18:41+01	graphics	sane-backends	\N	sane-backends-1.0.29
2020-05-16 19:28:53+02	2020-05-16 19:29:23+02	graphics	sdl_gfx	\N	sdl_gfx-2.0.26
2020-05-16 16:24:14+02	2020-05-16 16:24:39+02	graphics	sdl_image	\N	sdl_image-1.2.12_12
2020-05-16 17:47:05+02	2020-05-16 17:47:25+02	graphics	sdl_ttf	\N	sdl_ttf-2.0.11_7
2020-05-16 17:46:36+02	2020-05-16 17:47:05+02	graphics	sdl2_image	\N	sdl2_image-2.0.5
2020-05-15 08:31:08+02	2020-05-15 08:31:50+02	graphics	shaderc	\N	shaderc-2020.0
2020-03-16 22:37:22+01	2020-03-16 22:58:17+01	graphics	tesseract-data	\N	tesseract-data-4.0.0
2020-05-20 05:23:27+02	2020-05-20 05:38:55+02	graphics	tesseract	\N	tesseract-4.1.1_2
2020-02-28 22:30:15+01	2020-02-28 22:30:59+01	graphics	tiff	\N	tiff-4.1.0
2020-05-14 09:55:25+02	2020-05-14 09:56:02+02	graphics	vigra	\N	vigra-1.11.1_9
2020-05-15 08:08:50+02	2020-05-15 08:09:39+02	graphics	vulkan-loader	\N	vulkan-loader-1.2.135.0
2020-03-05 23:53:37+01	2020-03-05 23:53:45+01	graphics	wayland-protocols	\N	wayland-protocols-1.20
2020-03-02 07:18:29+01	2020-03-02 07:18:53+01	graphics	wayland	\N	wayland-1.18.0_3
2020-02-28 22:45:00+01	2020-02-28 22:46:31+01	graphics	webp	\N	webp-1.1.0
2020-05-21 13:04:09+02	2020-05-21 13:05:26+02	graphics	xfig	\N	xfig-3.2.7a
2020-05-21 04:57:06+02	2020-05-21 05:01:04+02	graphics	xpdf	\N	xpdf-4.02,1
2020-03-01 00:01:43+01	2020-03-01 00:02:09+01	graphics	aalib	\N	aalib-1.4.r5_13
2020-05-21 05:01:06+02	2020-05-21 05:06:44+02	irc	irssi	\N	irssi-1.2.2,1
2020-05-21 17:11:35+02	2020-05-21 17:20:40+02	japanese	tex-ptex	\N	ja-tex-ptex-3.6_1
2020-02-29 06:51:59+01	2020-02-29 06:54:49+01	java	bootstrap-openjdk11	\N	bootstrap-openjdk11-11.0.5.10.1
2020-02-29 02:02:46+01	2020-02-29 02:04:31+01	java	bootstrap-openjdk8	\N	bootstrap-openjdk8-r450802
2020-05-10 11:43:19+02	2020-05-10 11:43:26+02	java	java-zoneinfo	\N	java-zoneinfo-2020.a
2020-03-22 12:36:27+01	2020-03-22 12:36:34+01	java	javavmwrapper	\N	javavmwrapper-2.7.5
2020-05-09 13:32:12+02	2020-05-09 13:54:45+02	java	openjdk11	\N	openjdk11-11.0.7+10.2
2020-05-09 15:19:20+02	2020-05-09 15:42:05+02	java	openjdk12	\N	openjdk12-12.0.2+10.4
2020-04-18 17:09:31+02	2020-04-18 17:30:46+02	java	openjdk13	\N	openjdk13-13.0.3+3.1
2020-05-10 11:43:43+02	2020-05-10 12:05:19+02	java	openjdk8	\N	openjdk8-8.252.09.1
2020-05-21 05:06:45+02	2020-05-21 05:09:23+02	lang	csharp-mode.el	full	csharp-mode.el-emacs26-0.9.2_1
2020-04-27 23:32:03+02	2020-04-27 23:36:25+02	lang	cython	py27	py27-cython-0.29.15
2020-04-26 15:39:57+02	2020-04-26 15:44:59+02	lang	cython	py37	py37-cython-0.29.15
2020-02-29 17:55:37+01	2020-02-29 17:55:54+01	lang	erlang-man	\N	erlang-man-21.3_2
2020-05-21 17:53:54+02	2020-05-21 18:33:50+02	lang	erlang-runtime22	\N	erlang-runtime22-22.3.4.1
2020-05-21 17:53:56+02	2020-05-21 18:39:52+02	lang	erlang-runtime23	\N	erlang-runtime23-23.0.1
2020-05-23 19:20:47+02	2020-05-23 19:41:02+02	lang	erlang	\N	erlang-21.3.8.16,4
2020-03-07 11:37:27+01	2020-03-07 11:37:47+01	lang	fpc-rtl-console	\N	fpc-rtl-console-3.0.4_4
2020-03-07 03:18:20+01	2020-03-07 03:18:34+01	lang	fpc-rtl-extra	\N	fpc-rtl-extra-3.0.4_4
2020-03-07 03:17:30+01	2020-03-07 03:17:48+01	lang	fpc-rtl-objpas	\N	fpc-rtl-objpas-3.0.4_5
2020-03-07 11:37:48+01	2020-03-07 11:41:20+01	lang	fpc-source	\N	fpc-source-3.0.4_2
2020-05-09 22:44:13+02	2020-05-10 00:02:34+02	math	suitesparse	\N	suitesparse-5.7.2_1
2020-05-20 23:57:09+02	2020-05-21 00:07:40+02	devel	qt5-core	\N	qt5-core-5.14.2_3
2020-03-07 11:41:20+01	2020-03-07 11:42:54+01	lang	fpc-utils	\N	fpc-utils-3.0.4_6
2020-03-07 03:15:56+01	2020-03-07 03:17:29+01	lang	fpc	\N	fpc-3.0.4_4
2020-04-26 05:14:54+02	2020-04-26 05:15:08+02	lang	gcc	\N	gcc-9_4
2020-05-21 17:55:56+02	2020-05-21 20:03:55+02	lang	gcc10-devel	\N	gcc10-devel-10.1.1.s20200516
2020-03-08 20:14:18+01	2020-03-08 20:57:48+01	lang	gcc48	\N	gcc48-4.8.5_11
2020-03-08 15:26:22+01	2020-03-08 16:07:54+01	lang	gcc6-aux	\N	gcc6-aux-20180516_1,1
2020-04-27 00:34:14+02	2020-04-27 01:59:23+02	lang	gcc9	\N	gcc9-9.3.0_1
2020-05-22 01:08:33+02	2020-05-22 02:16:43+02	lang	ghc	\N	ghc-8.8.3
2020-05-16 10:50:19+02	2020-05-16 10:57:27+02	lang	go	\N	go-1.14.3,1
2020-02-29 09:11:13+01	2020-02-29 09:13:31+01	lang	go14	\N	go14-1.4.3_6
2020-05-24 11:27:18+02	2020-05-24 11:27:39+02	lang	julia	\N	julia-1.0.3_3
2020-05-24 11:14:07+02	2020-05-24 11:27:17+02	lang	julia11	\N	julia11-1.1.1_5
2020-04-12 01:53:26+02	2020-04-12 01:53:49+02	lang	lua51	\N	lua51-5.1.5_9
2020-04-09 11:02:30+02	2020-04-09 11:02:49+02	lang	lua52	\N	lua52-5.2.4
2020-04-09 12:28:48+02	2020-04-09 12:29:21+02	lang	lua53	\N	lua53-5.3.5_3
2020-03-01 02:17:48+01	2020-03-01 02:18:48+01	lang	luajit	\N	luajit-2.0.5_4
2020-03-01 10:25:46+01	2020-03-01 10:26:12+01	lang	mmix	\N	mmix-20160804
2020-05-09 15:33:01+02	2020-05-09 16:03:12+02	lang	mono	\N	mono-5.10.1.57_3
2020-03-20 04:41:28+01	2020-03-20 04:41:49+01	lang	p5-Error	\N	p5-Error-0.17029
2020-03-20 07:52:26+01	2020-03-20 07:52:50+01	lang	p5-Try-Tiny	\N	p5-Try-Tiny-0.30
2020-03-19 20:11:57+01	2020-03-19 20:15:48+01	lang	perl5.30	\N	perl5-5.30.2
2020-05-16 10:50:19+02	2020-05-16 10:56:11+02	lang	php73	\N	php73-7.3.18
2020-03-20 05:30:45+01	2020-03-20 05:33:13+01	lang	py-qt5-qml	py27	py27-qt5-qml-5.13.1
2020-05-20 07:14:06+02	2020-05-20 07:17:10+02	lang	py-qt5-qml	py37	py37-qt5-qml-5.13.1_1
2020-03-01 10:58:22+01	2020-03-01 10:58:30+01	lang	python-mode.el	\N	python-mode.el-1.0_2,1
2020-04-27 13:38:55+02	2020-04-27 13:39:22+02	lang	python	\N	python-3.7_3,2
2020-04-27 23:26:02+02	2020-04-27 23:30:22+02	lang	python27	\N	python27-2.7.18
2020-04-27 08:25:20+02	2020-04-27 08:25:47+02	lang	python3	\N	python3-3_3
2020-04-26 15:30:09+02	2020-04-26 15:38:57+02	lang	python37	\N	python37-3.7.7
2020-05-16 18:34:45+02	2020-05-16 18:38:08+02	lang	python38	\N	python38-3.8.3
2020-05-16 15:38:41+02	2020-05-16 15:51:17+02	lang	ruby27	\N	ruby-2.7.1,1
2020-05-01 09:22:20+02	2020-05-01 13:06:50+02	lang	rust-nightly	\N	rust-nightly-1.45.0.20200427
2020-05-20 02:39:51+02	2020-05-20 05:43:57+02	lang	rust	\N	rust-1.43.1
2020-04-25 01:37:48+02	2020-04-25 02:04:48+02	lang	spidermonkey60	\N	spidermonkey60-60.9.0_3
2020-02-28 22:57:49+01	2020-02-28 23:00:13+01	lang	tcl86	\N	tcl86-8.6.10
2020-05-21 00:19:16+02	2020-05-21 00:23:18+02	lang	vala	\N	vala-0.40.15,1
2020-03-01 21:57:58+01	2020-03-01 21:58:19+01	local	rustapps	\N	rustapps-2020030100
2020-04-26 15:23:52+02	2020-04-26 15:28:58+02	mail	alpine	\N	alpine-2.22
2020-04-17 14:21:39+02	2020-04-17 14:21:55+02	mail	bbmail	\N	bbmail-0.9.3
2020-05-16 17:00:29+02	2020-05-16 17:04:40+02	mail	mailutils	\N	mailutils-3.9
2020-02-29 18:09:47+01	2020-02-29 18:23:41+01	math	coinmp	\N	CoinMP-1.8.4_3
2020-04-25 11:09:57+02	2020-04-25 11:16:32+02	math	cryptominisat	\N	cryptominisat-5.6.8_6
2020-03-01 00:05:03+01	2020-03-01 00:05:26+01	math	eigen3	\N	eigen-3.3.7
2020-04-19 17:55:47+02	2020-04-19 17:59:48+02	math	fftw3-float	\N	fftw3-float-3.3.8_6
2020-04-19 17:55:47+02	2020-04-19 17:59:53+02	math	fftw3	\N	fftw3-3.3.8_6
2020-03-07 11:42:55+01	2020-03-07 11:43:13+01	math	fpc-numlib	\N	fpc-numlib-3.0.4_4
2020-02-29 09:13:32+01	2020-02-29 09:14:00+01	math	glm	\N	glm-0.9.8.5_4,1
2020-03-08 12:06:15+01	2020-03-08 12:07:48+01	math	gmp	\N	gmp-6.2.0
2020-05-20 04:12:24+02	2020-05-20 04:15:05+02	math	gnuplot	\N	gnuplot-5.2.8_1
2020-03-01 02:37:10+01	2020-03-01 02:43:06+01	math	gsl	\N	gsl-2.6
2020-02-29 18:24:00+01	2020-02-29 18:26:45+01	math	lp_solve	\N	lp_solve-5.5.2.5
2020-05-20 21:44:18+02	2020-05-20 21:46:26+02	math	mate-calc	\N	mate-calc-1.22.2
2020-02-29 06:52:00+01	2020-02-29 06:52:42+01	math	metis	\N	metis-5.1.0_8
2020-03-28 19:45:02+01	2020-03-28 19:45:23+01	math	minisat	\N	minisat-2.2.1_2
2020-03-08 12:45:09+01	2020-03-08 12:45:33+01	math	mpc	\N	mpc-1.1.0_2
2020-03-08 12:07:49+01	2020-03-08 12:08:33+01	math	mpfr	\N	mpfr-4.0.2
2020-05-08 22:05:56+02	2020-05-08 22:32:42+02	math	openblas	\N	openblas-0.3.9_2,1
2020-02-29 18:26:46+01	2020-02-29 18:27:13+01	math	openlibm	\N	openlibm-0.6.0_1
2020-05-16 10:59:23+02	2020-05-16 10:59:41+02	math	pecl-bitset	php73	php73-pecl-bitset-3.0.1
2020-05-16 10:59:34+02	2020-05-16 10:59:57+02	math	php73-bcmath	\N	php73-bcmath-7.3.18
2020-04-26 22:41:26+02	2020-04-26 22:44:14+02	math	py-kiwisolver	py37	py37-kiwisolver-1.1.0
2020-05-18 08:20:04+02	2020-05-18 08:22:10+02	math	py-matplotlib	py37	py37-matplotlib-2.2.4_2
2020-05-20 21:46:27+02	2020-05-20 21:47:42+02	math	py-networkx	py37	py37-networkx-2.1,1
2020-05-16 18:36:16+02	2020-05-16 18:38:05+02	math	py-numpy	py27	py27-numpy-1.16.6,1
2020-05-16 16:40:56+02	2020-05-16 16:43:17+02	math	py-numpy	py37	py37-numpy-1.16.6,1
2020-05-21 18:33:51+02	2020-05-21 18:52:04+02	math	R	\N	R-4.0.0_1
2020-04-19 17:40:59+02	2020-04-19 17:41:06+02	math	sc	\N	sc-7.16_3
2020-04-27 08:30:17+02	2020-04-27 08:31:57+02	math	stp	\N	stp-2.3.3_5,1
2020-05-25 07:53:39+02	2020-05-25 08:06:18+02	editors	libreoffice	\N	libreoffice-6.3.6
2020-05-14 10:42:54+02	2020-05-14 11:03:34+02	math	z3	\N	z3-4.8.8
2020-03-01 02:45:25+01	2020-03-01 02:45:38+01	misc	chmlib	\N	chmlib-0.40_1
2020-03-03 20:24:04+01	2020-03-03 20:24:10+01	misc	compat12x	\N	compat12x-amd64-12.1.1201000.20200220
2020-03-24 07:46:57+01	2020-03-24 07:49:29+01	misc	e2fsprogs-libuuid	\N	e2fsprogs-libuuid-1.45.6
2020-03-07 03:28:52+01	2020-03-07 03:29:14+01	misc	fpc-chm	\N	fpc-chm-3.0.4_4
2020-05-23 09:25:00+02	2020-05-23 09:25:08+02	misc	freebsd-release-manifests	\N	freebsd-release-manifests-20200522
2020-02-29 01:13:24+01	2020-02-29 01:13:32+01	misc	getopt	\N	getopt-1.1.6
2020-04-27 08:31:58+02	2020-04-27 08:43:30+02	misc	gimp-help-en	\N	en-gimp-help-html-2.10.0
2020-04-26 15:36:06+02	2020-04-26 15:37:06+02	misc	gnu-watch	\N	gnu-watch-3.3.16
2020-04-30 07:56:57+02	2020-04-30 07:57:12+02	misc	help2man	\N	help2man-1.47.15
2020-02-28 22:40:58+01	2020-02-28 22:41:06+01	misc	hicolor-icon-theme	\N	hicolor-icon-theme-0.17
2020-03-01 02:52:35+01	2020-03-01 02:52:57+01	misc	ini_file_manager	\N	ini_file_manager-03_3
2020-02-28 23:28:37+01	2020-02-28 23:29:11+01	misc	iso-codes	\N	iso-codes-4.2
2020-05-20 09:20:43+02	2020-05-20 09:30:37+02	misc	mate-user-guide	\N	mate-user-guide-1.22.3
2020-05-21 08:12:44+02	2020-05-21 08:24:57+02	misc	mc	\N	mc-nox11-4.8.24
2020-05-05 19:39:19+02	2020-05-05 19:39:26+02	misc	pciids	\N	pciids-20200421
2020-03-03 17:35:23+01	2020-03-03 17:36:08+01	misc	pinfo	\N	pinfo-0.6.10_5
2020-02-25 17:18:46+01	2020-02-25 17:19:01+01	misc	py-pexpect	py37	py37-pexpect-4.8.0
2020-02-25 17:14:50+01	2020-02-25 17:14:58+01	misc	py-tqdm	py37	py37-tqdm-4.41.1
2020-03-16 01:06:24+01	2020-03-16 01:06:31+01	misc	qtchooser	\N	qtchooser-66_2
2020-05-19 23:55:24+02	2020-05-19 23:56:12+02	misc	shared-mime-info	\N	shared-mime-info-1.10_2
2020-05-05 23:46:25+02	2020-05-05 23:46:40+02	misc	usbids	\N	usbids-20200329
2020-04-17 11:36:49+02	2020-04-17 11:37:17+02	misc	xosd	\N	xosd-2.2.14_3
2020-05-21 01:13:11+02	2020-05-21 01:21:32+02	multimedia	aom	\N	aom-2.0.0
2020-03-17 05:19:38+01	2020-03-17 05:38:54+01	multimedia	assimp	\N	assimp-5.0.1
2020-05-23 09:47:05+02	2020-05-23 09:48:11+02	multimedia	celluloid	\N	celluloid-0.19
2020-05-07 20:18:18+02	2020-05-07 20:19:26+02	multimedia	cmrt	\N	cmrt-1.0.6_2
2020-05-21 16:14:56+02	2020-05-21 16:16:28+02	multimedia	dav1d	\N	dav1d-0.7.0
2020-05-23 08:47:49+02	2020-05-23 08:59:11+02	multimedia	ffmpeg	\N	ffmpeg-4.2.3,1
2020-03-17 05:38:55+01	2020-03-17 05:40:37+01	multimedia	gavl	\N	gavl-1.4.0_4
2020-03-29 19:12:26+02	2020-03-29 19:13:39+02	multimedia	gmmlib	\N	gmmlib-20.1.1
2020-02-29 06:53:14+01	2020-02-29 06:53:20+01	multimedia	gmp-api	\N	gmp-api-58
2020-05-21 23:50:15+02	2020-05-22 00:00:33+02	astro	stellarium	\N	stellarium-0.20.1
2020-05-21 01:50:05+02	2020-05-21 01:52:15+02	multimedia	gstreamer-plugins	\N	gstreamer-plugins-0.10.36_12,3
2020-05-21 01:44:43+02	2020-05-21 01:46:41+02	multimedia	gstreamer	\N	gstreamer-0.10.36_6
2020-05-23 08:59:12+02	2020-05-23 08:59:42+02	multimedia	gstreamer1-libav	\N	gstreamer1-libav-1.16.2
2020-05-21 01:27:50+02	2020-05-21 01:31:22+02	multimedia	gstreamer1-plugins-bad	\N	gstreamer1-plugins-bad-1.16.2
2020-05-23 08:59:42+02	2020-05-23 09:00:12+02	multimedia	gstreamer1-plugins-core	\N	gstreamer1-plugins-core-1.16
2020-05-20 04:13:46+02	2020-05-20 04:15:08+02	multimedia	gstreamer1-plugins-dts	\N	gstreamer1-plugins-dts-1.16.2
2020-05-10 16:15:04+02	2020-05-10 16:16:23+02	net	py-pyzmq	py37	py37-pyzmq-19.0.1
2020-05-20 04:15:05+02	2020-05-20 04:15:34+02	multimedia	gstreamer1-plugins-dvdread	\N	gstreamer1-plugins-dvdread-1.16.2_1
2020-05-20 02:53:18+02	2020-05-20 03:00:53+02	multimedia	gstreamer1-plugins-good	\N	gstreamer1-plugins-good-1.16.2
2020-05-20 04:15:08+02	2020-05-20 04:16:12+02	multimedia	gstreamer1-plugins-resindvd	\N	gstreamer1-plugins-resindvd-1.16.2_1
2020-05-20 04:15:34+02	2020-05-20 04:16:19+02	multimedia	gstreamer1-plugins-theora	\N	gstreamer1-plugins-theora-1.16.2
2020-05-20 03:00:54+02	2020-05-20 03:04:31+02	multimedia	gstreamer1-plugins-ugly	\N	gstreamer1-plugins-ugly-1.16.2
2020-05-21 01:01:31+02	2020-05-21 01:05:02+02	multimedia	gstreamer1-plugins	\N	gstreamer1-plugins-1.16.2
2020-05-21 00:58:41+02	2020-05-21 01:01:29+02	multimedia	gstreamer1	\N	gstreamer1-1.16.2
2020-05-20 09:28:58+02	2020-05-20 09:30:03+02	multimedia	libass	\N	libass-0.14.0
2020-03-01 00:05:44+01	2020-03-01 00:06:17+01	multimedia	libbdplus	\N	libbdplus-0.1.2
2020-05-09 11:23:40+02	2020-05-09 11:23:58+02	multimedia	libbluray	\N	libbluray-1.1.1_2,1
2020-02-29 02:22:46+01	2020-02-29 02:23:04+01	multimedia	libdca	\N	libdca-0.0.6_1
2020-03-01 02:53:16+01	2020-03-01 02:53:48+01	multimedia	libdvbpsi	\N	libdvbpsi-1.3.3
2020-02-29 01:49:59+01	2020-02-29 01:50:12+01	multimedia	libdvdcss	\N	libdvdcss-1.4.2
2020-03-28 15:45:54+01	2020-03-28 15:46:10+01	multimedia	libdvdnav	\N	libdvdnav-6.1.0
2020-03-28 15:45:25+01	2020-03-28 15:45:53+01	multimedia	libdvdread	\N	libdvdread-6.1.0
2020-03-01 02:53:48+01	2020-03-01 02:54:28+01	multimedia	libmatroska	\N	libmatroska-1.5.2_1
2020-03-01 02:54:28+01	2020-03-01 02:55:18+01	multimedia	libmpeg2	\N	libmpeg2-0.5.1_6
2020-03-01 02:55:19+01	2020-03-01 02:55:51+01	multimedia	libmtp	\N	libmtp-1.1.17
2020-05-23 09:25:08+02	2020-05-23 09:26:27+02	multimedia	libopenshot	py37	py37-libopenshot-0.2.5.4
2020-05-10 16:10:54+02	2020-05-10 16:11:04+02	multimedia	librtmp	\N	librtmp-2.4.20190330
2020-03-01 00:06:18+01	2020-03-01 00:06:39+01	multimedia	libtheora	\N	libtheora-1.1.1_7
2020-04-19 09:26:09+02	2020-04-19 09:30:24+02	multimedia	libv4l	\N	libv4l-1.18.0
2020-05-16 21:15:00+02	2020-05-16 21:15:14+02	multimedia	libva-glx	\N	libva-glx-2.7.1
2020-05-09 01:38:04+02	2020-05-09 01:39:01+02	multimedia	libva-intel-driver	\N	libva-intel-driver-2.4.0
2020-05-07 21:35:52+02	2020-05-07 21:36:50+02	multimedia	libva-intel-hybrid-driver	\N	libva-intel-hybrid-driver-1.0.2_2
2020-05-08 01:38:22+02	2020-05-08 02:02:19+02	multimedia	libva-intel-media-driver	\N	libva-intel-media-driver-20.1.1
2020-05-09 01:39:02+02	2020-05-09 01:40:19+02	multimedia	libva-utils	\N	libva-utils-2.7.1
2020-05-23 09:48:10+02	2020-05-23 09:48:28+02	multimedia	libva-vdpau-driver	\N	libva-vdpau-driver-0.7.4_9
2020-05-05 19:43:27+02	2020-05-05 19:43:59+02	multimedia	libva	\N	libva-2.7.1
2020-05-23 08:47:36+02	2020-05-23 08:47:48+02	multimedia	libvdpau	\N	libvdpau-1.4
2020-03-01 00:20:09+01	2020-03-01 00:23:58+01	multimedia	libvpx	\N	libvpx-1.8.2_1
2020-05-05 19:39:42+02	2020-05-05 19:43:27+02	multimedia	libx264	\N	libx264-0.159.2999
2020-04-26 15:30:08+02	2020-04-26 15:30:35+02	multimedia	libaacs	\N	libaacs-0.9.0
2020-05-23 09:13:33+02	2020-05-23 09:15:35+02	multimedia	mlt	\N	mlt-6.20.0
2020-05-23 09:25:20+02	2020-05-23 09:27:00+02	multimedia	mpv	\N	mpv-0.32.0_2,1
2020-05-23 09:48:12+02	2020-05-23 09:50:19+02	multimedia	obs-studio	\N	obs-studio-25.0.8
2020-05-23 08:48:11+02	2020-05-23 08:48:51+02	multimedia	openh264	\N	openh264-2.1.1,2
2020-05-23 09:48:28+02	2020-05-23 09:50:51+02	multimedia	openshot	py37	openshot-2.5.1.7
2020-05-20 04:39:43+02	2020-05-20 04:42:26+02	multimedia	phonon	\N	phonon-qt5-4.11.1
2020-05-20 04:40:49+02	2020-05-20 04:48:47+02	multimedia	qt5-multimedia	\N	qt5-multimedia-5.14.2
2020-05-10 16:12:11+02	2020-05-10 16:12:31+02	multimedia	rtmpdump	\N	rtmpdump-2.4.20190330
2020-05-23 09:50:20+02	2020-05-23 09:52:39+02	multimedia	shotcut	\N	shotcut-20.04.12_1
2020-05-16 16:12:19+02	2020-05-16 16:12:39+02	multimedia	smpeg	\N	smpeg-0.4.4_15
2020-04-18 09:03:18+02	2020-04-18 09:03:42+02	multimedia	v4l_compat	\N	v4l_compat-1.18.0
2020-03-17 05:40:38+01	2020-03-17 05:41:00+01	multimedia	vid.stab	\N	vid.stab-0.98.2
2020-05-23 09:26:28+02	2020-05-23 09:30:43+02	multimedia	vlc	\N	vlc-3.0.10_4,4
2020-05-21 23:54:21+02	2020-05-21 23:55:56+02	multimedia	webcamd	\N	webcamd-5.7.1.1_1
2020-05-23 09:27:01+02	2020-05-23 09:27:53+02	multimedia	webvfx-qt5	\N	webvfx-qt5-0.4.4.20160823_12
2020-03-02 07:51:06+01	2020-03-02 08:05:34+01	multimedia	x265	\N	x265-3.2.1_2
2020-03-01 00:23:59+01	2020-03-01 00:24:47+01	multimedia	xvid	\N	xvid-1.3.7,1
2020-05-21 00:01:57+02	2020-05-21 00:07:33+02	net	avahi-app	\N	avahi-app-0.7_3
2020-05-20 02:25:09+02	2020-05-20 02:28:34+02	net	avahi-gtk3	\N	avahi-gtk3-0.7_1
2020-02-29 01:13:32+01	2020-02-29 01:13:39+01	net	avahi-header	\N	avahi-header-0.7
2020-04-23 18:31:30+02	2020-04-23 18:32:36+02	net	cppzmq	\N	cppzmq-4.6.0
2020-02-29 18:36:33+01	2020-02-29 18:37:02+01	net	fping	\N	fping-4.2
2020-05-23 09:15:36+02	2020-05-23 09:18:18+02	net	freerdp	\N	freerdp-2.0.0.r4_9
2020-05-21 01:50:13+02	2020-05-21 01:51:27+02	net	geoclue	\N	geoclue-2.5.5
2020-05-08 02:02:20+02	2020-05-08 02:03:10+02	net	geoipupdate	\N	geoipupdate-4.3.0_1
2020-05-21 01:02:38+02	2020-05-21 01:03:25+02	net	glib-networking	\N	glib-networking-2.56.1_2
2020-05-20 05:38:56+02	2020-05-20 05:41:54+02	net	gnome-online-accounts	\N	gnome-online-accounts-3.28.0_2
2020-05-20 07:18:43+02	2020-05-20 07:19:36+02	net	gssdp	\N	gssdp-1.2.2
2020-05-20 09:32:18+02	2020-05-20 09:32:54+02	net	gupnp	\N	gupnp-1.1.1_1
2020-05-16 18:42:31+02	2020-05-16 18:50:31+02	net	libcmis	\N	libcmis-0.5.2_1
2020-05-20 04:16:12+02	2020-05-20 04:25:45+02	net	libmateweather	\N	libmateweather-1.22.1
2020-02-29 18:56:37+01	2020-02-29 18:56:54+01	net	libmaxminddb	\N	libmaxminddb-1.4.2
2020-05-16 17:05:40+02	2020-05-16 17:05:59+02	net	liboauth	\N	liboauth-1.0.3_4
2020-03-01 02:56:04+01	2020-03-01 02:56:30+01	net	libpcap	\N	libpcap-1.9.1_1
2020-02-28 23:42:06+01	2020-02-28 23:42:41+01	net	libproxy	\N	libproxy-0.4.15
2020-02-29 10:14:37+01	2020-02-29 10:15:21+01	net	libvncserver	\N	libvncserver-0.9.12_2
2020-04-24 00:39:34+02	2020-04-24 00:45:51+02	net	libzmq4	\N	libzmq4-4.3.1_1
2020-05-17 04:47:54+02	2020-05-17 04:49:08+02	net	liveMedia	\N	liveMedia-2020.05.15,2
2020-03-20 14:46:31+01	2020-03-20 14:47:48+01	net	mosh	\N	mosh-1.3.2_12
2020-05-23 09:27:54+02	2020-05-23 09:28:20+02	net	ndpi	\N	ndpi-3.2.d20200403_1,1
2020-04-24 00:38:46+02	2020-04-24 00:39:33+02	net	norm	\N	norm-1.5r6_1
2020-05-23 09:50:51+02	2020-05-23 09:52:34+02	net	ntopng	\N	ntopng-4.0.d20200414_1,1
2020-04-29 23:19:57+02	2020-04-29 23:21:05+02	net	openldap24-client	\N	openldap-client-2.4.50
2020-04-29 23:18:14+02	2020-04-29 23:19:57+02	net	openldap24-sasl-client	\N	openldap-sasl-client-2.4.50
2020-02-29 06:16:27+01	2020-02-29 06:17:16+01	net	openpgm	\N	openpgm-5.2.122_6
2020-03-20 02:13:42+01	2020-03-20 02:14:05+01	net	p5-IO-Socket-INET6	\N	p5-IO-Socket-INET6-2.72_1
2020-04-23 11:44:08+02	2020-04-23 11:45:21+02	net	p5-Net-HTTP	\N	p5-Net-HTTP-6.19
2020-03-20 01:57:20+01	2020-03-20 01:57:46+01	net	p5-Socket6	\N	p5-Socket6-0.29
2020-03-21 00:32:17+01	2020-03-21 00:32:31+01	net	p5-URI	\N	p5-URI-1.76
2020-05-16 10:59:41+02	2020-05-16 11:01:44+02	net	php73-ldap	\N	php73-ldap-7.3.18
2020-05-16 10:59:57+02	2020-05-16 11:00:25+02	net	php73-soap	\N	php73-soap-7.3.18
2020-05-16 11:00:09+02	2020-05-16 11:00:32+02	net	php73-sockets	\N	php73-sockets-7.3.18
2020-04-27 23:34:14+02	2020-04-27 23:34:38+02	net	py-ipaddress	py27	py27-ipaddress-1.0.23
2020-05-20 23:57:25+02	2020-05-21 00:01:56+02	print	harfbuzz	\N	harfbuzz-2.6.6
2020-04-30 07:39:22+02	2020-04-30 07:41:57+02	ports-mgmt	pkg	\N	pkg-1.14.4
2020-05-24 19:15:21+02	2020-05-24 19:16:59+02	graphics	drm-current-kmod	\N	drm-current-kmod-4.16.g20200320
2020-04-27 08:47:09+02	2020-04-27 08:47:51+02	net	py-netaddr	py37	py37-netaddr-0.7.19_1
2020-03-03 06:49:43+01	2020-03-03 06:50:09+01	net	py-netifaces	py27	py27-netifaces-0.10.9
2020-04-27 08:47:52+02	2020-04-27 08:48:24+02	net	py-netifaces	py37	py37-netifaces-0.10.9
2020-03-02 08:32:51+01	2020-03-02 08:33:02+01	net	py-pysocks	py27	py27-pysocks-1.7.1
2020-04-26 15:41:26+02	2020-04-26 15:41:52+02	net	py-pysocks	py37	py37-pysocks-1.7.1
2020-03-20 03:57:05+01	2020-03-20 04:00:09+01	net	py-qt5-network	py27	py27-qt5-network-5.13.1
2020-05-20 04:02:06+02	2020-05-20 04:05:08+02	net	py-qt5-network	py37	py37-qt5-network-5.13.1_1
2020-05-21 16:54:21+02	2020-05-21 16:54:33+02	net	py-uritemplate	py37	py37-uritemplate-3.0.0
2020-03-04 21:50:44+01	2020-03-04 21:50:53+01	net	py-urllib3	py27	py27-urllib3-1.25.7,1
2020-05-18 22:05:41+02	2020-05-18 22:05:54+02	net	py-urllib3	py37	py37-urllib3-1.25.7,1
2020-05-21 00:23:47+02	2020-05-21 00:28:47+02	net	qt5-network	\N	qt5-network-5.14.2
2020-04-17 14:44:27+02	2020-04-17 14:45:12+02	net	rdesktop	\N	rdesktop-1.8.6
2020-05-20 09:32:42+02	2020-05-20 09:33:38+02	net	remmina-plugin-exec	\N	remmina-plugin-exec-1.3.9
2020-05-20 21:55:44+02	2020-05-20 21:57:17+02	net	remmina-plugin-nx	\N	remmina-plugin-nx-1.3.9
2020-05-23 09:28:15+02	2020-05-23 09:29:01+02	net	remmina-plugin-rdp	\N	remmina-plugin-rdp-1.3.9
2020-05-20 21:59:21+02	2020-05-20 22:00:55+02	net	remmina-plugin-secret	\N	remmina-plugin-secret-1.3.9
2020-05-20 22:00:56+02	2020-05-20 22:03:09+02	net	remmina-plugin-spice	\N	remmina-plugin-spice-1.3.9
2020-05-20 22:03:10+02	2020-05-20 22:04:45+02	net	remmina-plugin-st	\N	remmina-plugin-st-1.3.9
2020-05-20 22:04:46+02	2020-05-20 22:05:48+02	net	remmina-plugin-vnc	\N	remmina-plugin-vnc-1.3.9
2020-05-20 22:05:49+02	2020-05-20 22:08:02+02	net	remmina-plugin-www	\N	remmina-plugin-www-1.3.9
2020-05-20 22:08:02+02	2020-05-20 22:12:03+02	net	remmina-plugin-xdmcp	\N	remmina-plugin-xdmcp-1.3.9
2020-05-23 09:52:34+02	2020-05-23 09:53:44+02	net	remmina-plugins	\N	remmina-plugins-1.3.9
2020-05-20 02:31:31+02	2020-05-20 02:32:54+02	net	remmina	\N	remmina-1.3.9
2020-05-23 08:49:07+02	2020-05-23 08:59:36+02	net	samba410	\N	samba410-4.10.15
2020-05-16 17:06:31+02	2020-05-16 17:06:48+02	net	sdl_net	\N	sdl_net-1.2.8_3
2020-03-01 11:34:05+01	2020-03-01 11:34:13+01	net	svnup	\N	svnup-1.08
2020-03-01 11:34:14+01	2020-03-01 11:34:32+01	net	torsocks	\N	torsocks-2.3.0_1
2020-05-20 05:43:58+02	2020-05-20 05:45:09+02	net	uhttpmock	\N	uhttpmock-0.5.1_1
2020-05-21 22:41:21+02	2020-05-21 22:41:36+02	net	vde2	\N	vde2-2.3.2_4
2020-03-23 06:59:16+01	2020-03-23 06:59:35+01	net	wireguard-go	\N	wireguard-go-0.0.20200320
2020-05-16 11:42:41+02	2020-05-16 11:42:54+02	net	wireguard	\N	wireguard-1.0.20200513
2020-05-23 09:52:40+02	2020-05-23 10:11:19+02	net	wireshark	\N	wireshark-3.2.4
2020-05-21 09:48:27+02	2020-05-21 09:49:38+02	net-mgmt	etherape	\N	etherape-0.9.18
2020-05-23 09:53:45+02	2020-05-23 09:55:09+02	net-mgmt	icinga2	\N	icinga2-2.11.3
2020-05-21 09:52:05+02	2020-05-21 09:53:08+02	net-mgmt	icingaweb2-module-businessprocess	php73	icingaweb2-module-businessprocess-php73-2.2.0_2
2020-05-21 09:53:08+02	2020-05-21 09:54:09+02	net-mgmt	icingaweb2-module-cube	php73	icingaweb2-module-cube-php73-1.1.0_1
2020-05-20 22:12:04+02	2020-05-20 22:15:07+02	net-mgmt	icingaweb2-module-director	php73	icingaweb2-module-director-php73-1.6.2_2
2020-05-21 09:54:10+02	2020-05-21 09:55:24+02	net-mgmt	icingaweb2-module-elasticsearch	php73	icingaweb2-module-elasticsearch-php73-0.9.0_3
2020-05-21 09:55:26+02	2020-05-21 09:56:32+02	net-mgmt	icingaweb2-module-fileshipper	php73	icingaweb2-module-fileshipper-php73-1.1.0_3
2020-05-21 09:56:33+02	2020-05-21 09:57:32+02	net-mgmt	icingaweb2-module-generictts	php73	icingaweb2-module-generictts-php73-2.0.0_3
2020-05-21 09:57:34+02	2020-05-21 09:58:36+02	net-mgmt	icingaweb2-module-grafana	php73	icingaweb2-module-grafana-php73-1.3.6_1
2020-05-21 09:58:36+02	2020-05-21 09:59:47+02	net-mgmt	icingaweb2-module-graphite	php73	icingaweb2-module-graphite-php73-1.1.0_3
2020-05-23 09:54:37+02	2020-05-23 09:56:13+02	net-mgmt	icingaweb2-module-idoreports	php73	icingaweb2-module-idoreports-php73-0.9.0_2
2020-05-20 07:19:37+02	2020-05-20 07:21:17+02	net-mgmt	icingaweb2-module-ipl	php73	icingaweb2-module-ipl-php73-0.4.0_1
2020-05-21 09:59:48+02	2020-05-21 10:01:04+02	net-mgmt	icingaweb2-module-map	php73	icingaweb2-module-map-php73-1.1.0_3
2020-05-23 09:27:09+02	2020-05-23 09:28:15+02	net-mgmt	icingaweb2-module-pdfexport	php73	icingaweb2-module-pdfexport-php73-0.9.0_2
2020-05-20 09:32:55+02	2020-05-20 09:33:51+02	net-mgmt	icingaweb2-module-reactbundle	php73	icingaweb2-module-reactbundle-php73-0.7.0_1
2020-05-23 09:28:20+02	2020-05-23 09:29:40+02	net-mgmt	icingaweb2-module-reporting	php73	icingaweb2-module-reporting-php73-0.9.2_1
2020-05-21 10:01:05+02	2020-05-21 10:02:05+02	net-mgmt	icingaweb2-module-vsphere	php73	icingaweb2-module-vsphere-php73-1.1.0_4
2020-05-21 01:51:28+02	2020-05-21 01:52:35+02	net-mgmt	icingaweb2	php73	icingaweb2-php73-2.7.3_3
2020-03-01 12:08:15+01	2020-03-01 12:08:26+01	net-mgmt	iftop	\N	iftop-1.0.p4
2020-03-20 15:19:55+01	2020-03-20 15:20:10+01	net-mgmt	ipcalc	\N	ipcalc-0.41_3
2020-03-20 15:20:11+01	2020-03-20 15:20:50+01	net-mgmt	ipv6calc	\N	ipv6calc-2.2.0
2020-03-01 03:09:18+01	2020-03-01 03:10:06+01	net-mgmt	libsmi	\N	libsmi-0.4.8_1
2020-05-23 09:29:02+02	2020-05-23 09:29:59+02	net-mgmt	monitoring-plugins	\N	monitoring-plugins-2.2_7
2020-05-21 19:56:54+02	2020-05-21 19:57:49+02	net-mgmt	netbox	\N	netbox-2.7.12
2020-04-17 15:04:19+02	2020-04-17 15:04:27+02	net-mgmt	nstat	\N	nstat-1.0_3
2020-04-27 23:40:20+02	2020-04-27 23:40:40+02	net-mgmt	py-ipcalc	py27	py27-ipcalc-1.99.0
2020-05-21 17:20:43+02	2020-05-21 17:20:58+02	net-mgmt	py-prometheus-client	py37	py37-prometheus-client-0.7.1
2020-04-12 06:26:51+02	2020-04-12 06:27:03+02	net-mgmt	whatmask	\N	whatmask-1.2_1
2020-03-01 03:11:30+01	2020-03-01 03:11:37+01	ports-mgmt	dialog4ports	\N	dialog4ports-0.1.6
2020-03-20 15:20:18+01	2020-03-20 15:20:36+01	ports-mgmt	pkg_tree	\N	pkg_tree-1.1_4
2020-05-21 10:02:06+02	2020-05-21 10:03:12+02	ports-mgmt	porttree	\N	porttree-1.1.r114_1
2020-05-23 09:55:09+02	2020-05-23 09:55:34+02	ports-mgmt	poudriere	\N	poudriere-3.3.4
2020-03-04 21:20:57+01	2020-03-04 21:21:40+01	ports-mgmt	synth	\N	synth-2.08
2020-05-09 12:25:25+02	2020-05-09 12:25:42+02	print	adobe-cmaps	\N	adobe-cmaps-20051217_4
2020-05-21 18:51:09+02	2020-05-21 18:53:59+02	print	auctex	full	auctex-emacs26-12.2
2020-05-21 16:32:58+02	2020-05-21 16:33:33+02	print	cups-filters	\N	cups-filters-1.27.4_1
2020-05-21 00:07:34+02	2020-05-21 00:09:12+02	print	cups	\N	cups-2.2.13
2020-03-20 04:00:10+01	2020-03-20 04:00:49+01	print	enscript-a4	\N	enscript-a4-1.6.6_3
2020-05-21 10:08:00+02	2020-05-21 10:09:08+02	print	fig2dev	\N	fig2dev-3.2.7_1
2020-05-21 10:09:09+02	2020-05-21 10:24:23+02	print	fontforge	\N	fontforge-20190801_2
2020-02-29 19:01:51+01	2020-02-29 19:02:17+01	print	freetype	\N	freetype-1.3.1_5
2020-02-28 22:11:44+01	2020-02-28 22:12:38+01	print	freetype2	\N	freetype2-2.10.1
2020-05-21 00:09:12+02	2020-05-21 00:13:27+02	print	ghostscript9-agpl-base	\N	ghostscript9-agpl-base-9.52_4
2020-05-21 01:35:34+02	2020-05-21 01:35:58+02	print	ghostscript9-agpl-x11	\N	ghostscript9-agpl-x11-9.52
2020-05-24 16:31:31+02	2020-05-24 16:32:20+02	print	gimp-gutenprint	\N	gimp-gutenprint-5.3.3
2020-02-28 23:00:25+01	2020-02-28 23:00:35+01	print	gsfonts	\N	gsfonts-8.11_8
2020-05-21 16:54:33+02	2020-05-21 16:57:28+02	print	gutenprint	\N	gutenprint-5.3.3
2020-05-21 10:09:41+02	2020-05-21 10:10:32+02	print	gv	\N	gv-3.7.4_5
2020-05-21 00:51:00+02	2020-05-21 00:57:44+02	print	harfbuzz-icu	\N	harfbuzz-icu-2.6.6_2
2020-05-25 22:47:57+02	2020-05-25 22:48:49+02	graphics	qt5-opengl	\N	qt5-opengl-5.14.2
2020-05-24 19:16:59+02	2020-05-24 19:17:07+02	graphics	drm-kmod	\N	drm-kmod-g20190710
2020-02-28 21:56:29+01	2020-02-28 21:56:34+01	print	indexinfo	\N	indexinfo-0.3.1
2020-04-25 14:46:54+02	2020-04-25 14:48:00+02	print	libmspub01	\N	libmspub01-0.1.4_16
2020-04-17 05:18:21+02	2020-04-17 05:19:11+02	print	libotf	\N	libotf-0.9.16
2020-02-29 10:17:25+01	2020-02-29 10:18:02+01	print	libpagemaker	\N	libpagemaker-0.0.4_10
2020-02-28 22:40:07+01	2020-02-28 22:40:17+01	print	libpaper	\N	libpaper-1.1.24.4
2020-05-21 01:36:54+02	2020-05-21 01:37:08+02	print	libraqm	\N	libraqm-0.6.0
2020-05-20 09:33:51+02	2020-05-20 09:34:32+02	print	libspectre	\N	libspectre-0.2.8
2020-05-21 10:10:34+02	2020-05-21 10:32:14+02	print	lyx	\N	lyx-2.3.4.2_1
2020-02-28 22:56:58+01	2020-02-28 22:57:17+01	print	psutils	\N	psutils-1.17_5
2020-03-20 08:19:16+01	2020-03-20 08:20:56+01	print	py-qt5-printsupport	py27	py27-qt5-printsupport-5.13.1
2020-05-20 05:45:10+02	2020-05-20 05:46:22+02	print	py-qt5-printsupport	py37	py37-qt5-printsupport-5.13.1_1
2020-04-14 18:54:11+02	2020-04-14 19:05:04+02	print	qpdf	\N	qpdf-10.0.1
2020-05-21 01:25:12+02	2020-05-21 01:27:19+02	print	qt5-printsupport	\N	qt5-printsupport-5.14.2
2020-05-24 16:42:58+02	2020-05-24 16:44:00+02	print	scribus-devel	\N	scribus-devel-1.5.5_13
2020-05-21 17:21:45+02	2020-05-21 17:26:54+02	print	tex-aleph	\N	tex-aleph-1.15.2.1.r.4_4
2020-05-21 01:09:27+02	2020-05-21 01:11:49+02	print	tex-basic-engines	\N	tex-basic-engines-20150521
2020-05-21 16:55:09+02	2020-05-21 17:00:25+02	print	tex-dvipdfmx	\N	tex-dvipdfmx-20150315_1
2020-05-21 16:42:44+02	2020-05-21 16:50:34+02	print	tex-dvipsk	\N	tex-dvipsk-5.995_2
2020-05-21 16:42:28+02	2020-05-21 16:46:09+02	print	tex-formats	\N	tex-formats-20150521_2
2020-05-21 17:21:58+02	2020-05-21 17:26:51+02	print	tex-jadetex	\N	tex-jadetex-3.13_3
2020-05-21 16:46:10+02	2020-05-21 16:54:19+02	print	tex-luatex	\N	tex-luatex-0.80.0_17
2020-02-28 23:52:25+01	2020-02-28 23:52:47+01	print	tex-ptexenc	\N	tex-ptexenc-1.3.3_2
2020-05-21 17:23:18+02	2020-05-21 17:24:53+02	print	tex-xdvik	\N	tex-xdvik-22.87_4
2020-05-21 17:24:54+02	2020-05-21 17:30:21+02	print	tex-xetex	\N	tex-xetex-0.99992_33
2020-05-21 16:57:28+02	2020-05-21 17:02:36+02	print	tex-xmltex	\N	tex-xmltex-1.9_2
2020-05-18 22:05:20+02	2020-05-18 22:06:09+02	print	texinfo	\N	texinfo-6.7_3,1
2020-05-21 16:21:35+02	2020-05-21 16:24:34+02	print	texlive-base	\N	texlive-base-20150521_51
2020-05-21 17:26:51+02	2020-05-21 17:53:37+02	print	texlive-docs	\N	texlive-docs-20150523
2020-05-21 18:52:05+02	2020-05-21 18:56:49+02	print	texlive-full	\N	texlive-full-20150521
2020-05-21 16:24:34+02	2020-05-21 16:42:27+02	print	texlive-texmf	\N	texlive-texmf-20150523_4
2020-03-21 00:12:57+01	2020-03-21 00:13:30+01	print	texlive-tlmgr	\N	texlive-tlmgr-20150523_2
2020-05-20 23:26:11+02	2020-05-20 23:26:54+02	print	transfig	\N	transfig-3.2.5e_4
2020-04-17 03:24:31+02	2020-04-17 03:25:12+02	print	xpdfopen	\N	xpdfopen-0.86
2020-03-31 19:11:40+02	2020-03-31 19:30:50+02	science	hdf5	\N	hdf5-1.10.6,1
2020-05-16 18:50:32+02	2020-05-16 18:51:05+02	science	py-scikit-sparse	py37	py37-scikit-sparse-0.4.4_3
2020-05-16 17:51:12+02	2020-05-16 17:57:28+02	science	py-scipy	py37	py37-scipy-1.2.2_1
2020-02-29 09:27:25+01	2020-02-29 09:27:49+01	science	szip	\N	hdf-szip-2.1.1
2020-05-21 10:32:16+02	2020-05-21 10:33:04+02	security	aide	\N	aide-0.16.1
2020-04-30 10:01:02+02	2020-04-30 10:01:08+02	security	base-audit	\N	base-audit-0.4
2020-05-02 12:56:30+02	2020-05-02 12:56:46+02	security	ca_root_nss	\N	ca_root_nss-3.52
2020-05-23 09:55:35+02	2020-05-23 09:56:41+02	security	clamav	\N	clamav-0.102.3_1,1
2020-03-02 07:12:05+01	2020-03-02 07:12:58+01	security	cyrus-sasl2	\N	cyrus-sasl-2.1.27_1
2020-04-24 16:37:07+02	2020-04-24 16:37:22+02	security	doas	\N	doas-6.2p4_1
2020-03-07 03:24:05+01	2020-03-07 03:24:23+01	security	fpc-openssl	\N	fpc-openssl-3.0.4_4
2020-05-20 02:31:47+02	2020-05-20 02:35:11+02	security	gcr	\N	gcr-3.28.0
2020-05-20 05:46:23+02	2020-05-20 05:55:24+02	security	gnome-keyring	\N	gnome-keyring-3.28.2_2
2020-05-21 16:17:31+02	2020-05-21 16:19:20+02	security	gnupg	\N	gnupg-2.2.20
2020-05-16 15:21:21+02	2020-05-16 15:25:44+02	security	gnutls	\N	gnutls-3.6.13_1
2020-05-21 16:20:10+02	2020-05-21 16:20:58+02	security	gpgme-cpp	\N	gpgme-cpp-1.13.1
2020-05-21 16:24:11+02	2020-05-21 16:24:39+02	security	gpgme-qt5	\N	gpgme-qt5-1.13.1
2020-05-21 16:19:21+02	2020-05-21 16:19:56+02	security	gpgme	\N	gpgme-1.13.1
2020-03-01 12:44:08+01	2020-03-01 12:44:46+01	security	ipv6toolkit	\N	ipv6toolkit-2.0
2020-05-21 10:32:19+02	2020-05-21 10:32:41+02	security	kc24	\N	kc24-2.4.2_1
2020-05-16 21:26:30+02	2020-05-16 21:27:31+02	security	klee	\N	klee-2.1
2020-02-28 23:37:11+01	2020-02-28 23:37:26+01	security	libargon2	\N	libargon2-20190702
2020-03-01 00:36:28+01	2020-03-01 00:36:41+01	security	libassuan	\N	libassuan-2.5.3
2020-02-28 22:01:34+01	2020-02-28 22:02:35+01	security	libgcrypt	\N	libgcrypt-1.8.5
2020-05-20 04:42:28+02	2020-05-20 04:43:57+02	security	libgnome-keyring	\N	libgnome-keyring-3.12.0_2
2020-02-28 21:59:16+01	2020-02-28 21:59:34+01	security	libgpg-error	\N	libgpg-error-1.37
2020-05-21 16:17:03+02	2020-05-21 16:17:31+02	security	libksba	\N	libksba-1.4.0
2020-03-01 00:36:41+01	2020-03-01 00:37:09+01	security	libmcrypt	\N	libmcrypt-2.5.8_3
2020-04-24 12:34:18+02	2020-04-24 12:35:09+02	security	libntlm	\N	libntlm-1.6
2020-03-01 03:29:47+01	2020-03-01 03:29:55+01	security	libscrypt	\N	libscrypt-1.21
2020-05-21 01:34:37+02	2020-05-21 01:35:34+02	security	libsecret	\N	libsecret-0.18.6_1
2020-03-01 00:31:04+01	2020-03-01 00:33:23+01	security	libsodium	\N	libsodium-1.0.18
2020-04-19 17:55:47+02	2020-04-19 17:56:41+02	security	libssh	\N	libssh-0.9.4
2020-02-29 01:13:40+01	2020-02-29 01:14:14+01	security	libssh2	\N	libssh2-1.8.2,3
2020-04-17 03:00:23+02	2020-04-17 03:01:22+02	security	libtasn1	\N	libtasn1-4.16.0
2020-04-30 09:37:20+02	2020-04-30 09:37:32+02	security	lynis	\N	lynis-2.7.5
2020-04-17 06:02:24+02	2020-04-17 06:03:19+02	security	mbedtls	\N	mbedtls-2.16.6
2020-03-01 03:29:55+01	2020-03-01 03:30:21+01	security	mhash	\N	mhash-0.9.9.9_5
2020-05-16 15:20:17+02	2020-05-16 15:21:21+02	security	nettle	\N	nettle-3.6
2020-05-20 23:26:55+02	2020-05-20 23:30:08+02	security	nmap	\N	nmap-7.80
2020-05-21 16:15:21+02	2020-05-21 16:21:00+02	security	nss	\N	nss-3.52.1
2020-04-27 17:21:09+02	2020-04-27 17:22:11+02	security	nyx	\N	nyx-2.1.0_1
2020-05-21 10:32:41+02	2020-05-21 10:34:02+02	security	openconnect-gui	\N	openconnect-gui-1.4.1_3
2020-04-20 07:47:25+02	2020-04-20 07:48:27+02	security	openconnect	\N	openconnect-8.08
2020-05-02 12:59:12+02	2020-05-02 13:00:15+02	security	p11-kit	\N	p11-kit-0.23.20
2020-03-20 08:31:10+01	2020-03-20 08:31:26+01	security	p5-Authen-NTLM	\N	p5-Authen-NTLM-1.09_1
2020-03-20 04:51:11+01	2020-03-20 04:51:34+01	security	p5-Authen-SASL	\N	p5-Authen-SASL-2.16_1
2020-03-20 02:14:05+01	2020-03-20 02:14:31+01	security	p5-Digest-HMAC	\N	p5-Digest-HMAC-1.03_1
2020-03-20 11:40:15+01	2020-03-20 11:40:32+01	security	p5-Digest-SHA1	\N	p5-Digest-SHA1-2.13_1
2020-03-20 04:00:49+01	2020-03-20 04:01:17+01	security	p5-GSSAPI	\N	p5-GSSAPI-0.28_1
2020-04-24 00:37:51+02	2020-04-24 00:38:23+02	security	p5-IO-Socket-SSL	\N	p5-IO-Socket-SSL-2.068
2020-03-20 02:14:31+01	2020-03-20 02:15:25+01	security	p5-Net-SSLeay	\N	p5-Net-SSLeay-1.88
2020-02-29 19:13:09+01	2020-02-29 19:13:17+01	security	pam_helper	\N	pam_helper-1.1
2020-05-16 11:00:25+02	2020-05-16 11:00:40+02	security	pecl-mcrypt	php73	php73-pecl-mcrypt-1.0.3
2020-05-16 10:57:43+02	2020-05-16 10:58:14+02	security	php73-hash	\N	php73-hash-7.3.18
2020-05-16 10:57:53+02	2020-05-16 10:58:18+02	security	php73-openssl	\N	php73-openssl-7.3.18
2020-05-20 04:43:58+02	2020-05-20 04:46:27+02	security	pinentry-gnome3	\N	pinentry-gnome3-1.1.0
2020-05-20 05:59:46+02	2020-05-20 06:01:41+02	security	pinentry-qt5	\N	pinentry-qt5-1.1.0_1
2020-02-29 02:08:48+01	2020-02-29 02:09:00+01	security	pinentry-tty	\N	pinentry-tty-1.1.0
2020-02-29 02:23:47+01	2020-02-29 02:23:54+01	security	pinentry	\N	pinentry-1.1.0_6
2020-03-01 03:33:49+01	2020-03-01 03:33:56+01	security	pkesh	\N	pkesh-1.0
2020-04-27 23:35:09+02	2020-04-27 23:35:34+02	security	py-bcrypt	py27	py27-bcrypt-3.1.7
2020-05-25 08:11:00+02	2020-05-25 08:12:44+02	graphics	drm-current-kmod	\N	drm-current-kmod-4.16.g20200320
2020-04-27 05:21:46+02	2020-04-27 05:22:42+02	security	py-bcrypt	py37	py37-bcrypt-3.1.7
2020-03-02 08:33:47+01	2020-03-02 08:33:59+01	security	py-certifi	py27	py27-certifi-2019.11.28
2020-04-26 15:41:26+02	2020-04-26 15:41:52+02	security	py-certifi	py37	py37-certifi-2020.4.5.1
2020-05-18 22:04:50+02	2020-05-18 22:05:29+02	security	py-cryptography	py27	py27-cryptography-2.6.1
2020-05-18 22:04:52+02	2020-05-18 22:05:30+02	security	py-cryptography	py37	py37-cryptography-2.6.1
2020-03-04 21:50:35+01	2020-03-04 21:50:44+01	security	py-openssl	py27	py27-openssl-19.0.0
2020-05-18 22:05:31+02	2020-05-18 22:05:41+02	security	py-openssl	py37	py37-openssl-19.0.0
2020-05-18 22:09:15+02	2020-05-18 22:09:29+02	security	py-paramiko	py27	py27-paramiko-2.7.1
2020-05-18 22:08:59+02	2020-05-18 22:09:15+02	security	py-paramiko	py37	py37-paramiko-2.7.1
2020-04-27 05:25:18+02	2020-04-27 05:27:54+02	security	py-pycrypto	py37	py37-pycrypto-2.6.1_3
2020-05-21 18:54:00+02	2020-05-21 18:55:37+02	security	py-pycryptodome	py37	py37-pycryptodome-3.9.0
2020-05-18 22:07:24+02	2020-05-18 22:07:44+02	security	py-pynacl	py27	py27-pynacl-1.3.0
2020-05-18 22:07:03+02	2020-05-18 22:07:23+02	security	py-pynacl	py37	py37-pynacl-1.3.0
2020-05-21 16:33:33+02	2020-05-21 16:33:44+02	security	py-service_identity	py37	py37-service_identity-18.1.0
2020-04-27 09:16:13+02	2020-04-27 09:16:43+02	security	py-stem	py37	py37-stem-1.8.0
2020-04-14 18:51:58+02	2020-04-14 18:52:29+02	security	rhash	\N	rhash-1.3.9
2020-05-21 10:33:05+02	2020-05-21 10:33:26+02	security	rkhunter	\N	rkhunter-1.4.6
2020-03-20 15:43:45+01	2020-03-20 15:43:59+01	security	ssl-admin	\N	ssl-admin-1.2.1
2020-03-20 15:43:59+01	2020-03-20 15:44:54+01	security	sudo	\N	sudo-1.8.31p1
2020-05-19 07:41:31+02	2020-05-19 07:42:25+02	security	tor	\N	tor-0.4.3.5
2020-03-08 12:09:27+01	2020-03-08 12:10:30+01	security	trousers	\N	trousers-0.3.14_2
2020-05-21 16:57:36+02	2020-05-21 16:58:20+02	security	xmlsec1	\N	xmlsec1-1.2.29
2020-04-26 01:31:21+02	2020-04-26 01:34:03+02	shells	bash	\N	bash-5.0.17
2020-03-01 12:56:59+01	2020-03-01 13:01:03+01	shells	zsh	\N	zsh-5.8
2020-04-26 15:05:58+02	2020-04-26 15:06:05+02	sysutils	915resolution	\N	915resolution-0.5.3_1,1
2020-05-20 07:22:50+02	2020-05-20 07:23:46+02	sysutils	accountsservice	\N	accountsservice-0.6.42
2020-05-19 04:22:10+02	2020-05-19 04:24:48+02	sysutils	ansible	py37	py37-ansible-2.9.7
2020-03-03 19:01:06+01	2020-03-03 19:01:51+01	sysutils	apachetop	\N	apachetop-0.18.4_1
2020-03-01 13:05:08+01	2020-03-01 13:05:21+01	sysutils	atop	\N	atop-2.0.2.b3_3
2020-03-01 13:05:21+01	2020-03-01 13:05:29+01	sysutils	beadm	\N	beadm-1.3.0
2020-03-01 13:05:29+01	2020-03-01 13:05:37+01	sysutils	bsdcrashtar	\N	bsdcrashtar-0.1.3_1
2020-03-01 13:05:37+01	2020-03-01 13:05:48+01	sysutils	bsdhwmon	\N	bsdhwmon-20151206
2020-03-26 09:45:34+01	2020-03-26 09:45:42+01	sysutils	bsdinfo	\N	bsdinfo-0.22_2
2020-05-01 17:23:37+02	2020-05-01 17:23:49+02	sysutils	bsdstats	\N	bsdstats-7.0
2020-03-01 13:06:10+01	2020-03-01 13:10:34+01	sysutils	cdrtools	\N	cdrtools-3.01_1
2020-03-01 13:10:29+01	2020-03-01 13:10:37+01	sysutils	cmdwatch	\N	cmdwatch-0.2.0_2
2020-02-29 07:17:34+01	2020-02-29 07:17:53+01	sysutils	cmocka	\N	cmocka-1.1.5
2020-05-21 01:35:59+02	2020-05-21 01:36:27+02	sysutils	consolekit2	\N	consolekit2-1.2.1_1
2020-03-01 13:10:34+01	2020-03-01 13:13:53+01	sysutils	coreutils	\N	coreutils-8.31
2020-05-21 10:33:26+02	2020-05-21 10:34:52+02	sysutils	cpu-x	\N	cpu-x-4.0.0
2020-03-01 13:11:40+01	2020-03-01 13:11:49+01	sysutils	cpupdate	\N	cpupdate-g20180513_1
2020-05-21 18:55:37+02	2020-05-21 18:55:55+02	sysutils	ddrescue	\N	ddrescue-1.25
2020-05-21 18:55:55+02	2020-05-21 18:56:05+02	sysutils	devcpu-data	\N	devcpu-data-1.30
2020-03-01 13:12:26+01	2020-03-01 13:12:46+01	sysutils	dfc	\N	dfc-3.1.1
2020-02-29 01:53:05+01	2020-02-29 01:53:15+01	sysutils	dmidecode	\N	dmidecode-3.2
2020-05-16 21:27:46+02	2020-05-16 21:28:05+02	sysutils	dtrace-toolkit	\N	dtrace-toolkit-1.0_5
2020-04-27 17:25:32+02	2020-04-27 17:27:21+02	sysutils	DTraceToolkit	\N	dtrace-toolkit-1.0_5
2020-05-21 10:34:03+02	2020-05-21 10:37:39+02	sysutils	exa	\N	exa-0.9.0_10
2020-02-29 09:34:35+01	2020-02-29 09:35:21+01	sysutils	flock	\N	flock-2.30.1
2020-02-29 09:35:22+01	2020-02-29 09:35:54+01	sysutils	fusefs-libs	\N	fusefs-libs-2.9.9_1
2020-03-24 13:13:32+01	2020-03-24 13:14:02+01	sysutils	fusefs-ntfs	\N	fusefs-ntfs-2017.3.23
2020-05-21 10:34:53+02	2020-05-21 10:36:43+02	sysutils	gkrellm2	\N	gkrellm2-2.3.11
2020-02-28 21:56:26+01	2020-02-28 21:56:32+01	sysutils	gnome_subr	\N	gnome_subr-1.0
2020-05-20 07:23:46+02	2020-05-20 07:24:52+02	sysutils	gnome-mount	\N	gnome-mount-0.8_13
2020-05-20 09:42:17+02	2020-05-20 09:42:37+02	sysutils	hal-info	\N	hal-info-20091130
2020-05-20 02:32:54+02	2020-05-20 02:34:42+02	sysutils	hal	\N	hal-0.5.14_34
2020-04-25 21:00:13+02	2020-04-25 21:05:32+02	sysutils	hexyl	\N	hexyl-0.6.0_6
2020-05-21 18:56:05+02	2020-05-21 18:56:18+02	sysutils	hourglass	\N	hourglass-1.0.1
2020-04-30 09:37:55+02	2020-04-30 09:38:35+02	sysutils	htop	\N	htop-2.2.0_1
2020-04-17 12:19:00+02	2020-04-17 12:19:49+02	sysutils	intel-pcm	\N	intel-pcm-201902_1
2020-03-01 13:14:31+01	2020-03-01 13:14:40+01	sysutils	ioping	\N	ioping-1.2
2020-05-21 16:33:44+02	2020-05-21 16:34:50+02	sysutils	kf5-kwallet	\N	kf5-kwallet-5.70.0
2020-02-29 10:27:03+01	2020-02-29 10:27:26+01	sysutils	libcdio-paranoia	\N	libcdio-paranoia-10.2+2.0.1
2020-02-29 09:35:55+01	2020-02-29 09:36:50+01	sysutils	libcdio	\N	libcdio-2.1.0
2020-03-01 03:34:34+01	2020-03-01 03:35:04+01	sysutils	libcpuid	\N	libcpuid-0.4.1
2020-02-29 07:17:59+01	2020-02-29 07:18:06+01	sysutils	libsunacl	\N	libsunacl-1.0.1
2020-04-30 09:31:37+02	2020-04-30 09:31:52+02	sysutils	lsof	\N	lsof-4.93.2_11,8
2020-03-01 13:14:40+01	2020-03-01 13:14:50+01	sysutils	lsop	\N	lsop-0.1
2020-05-21 16:58:21+02	2020-05-21 17:00:03+02	sysutils	mate-control-center	\N	mate-control-center-1.22.2
2020-05-20 09:45:52+02	2020-05-20 09:46:56+02	sysutils	mate-polkit	\N	mate-polkit-1.22.0
2020-05-20 23:30:09+02	2020-05-20 23:32:20+02	sysutils	mate-power-manager	\N	mate-power-manager-1.22.2
2020-05-21 16:34:13+02	2020-05-21 16:35:19+02	sysutils	mate-settings-daemon	\N	mate-settings-daemon-1.22.1
2020-05-20 23:32:20+02	2020-05-20 23:35:02+02	sysutils	mate-system-monitor	\N	mate-system-monitor-1.22.2
2020-03-01 13:26:36+01	2020-03-01 13:26:49+01	sysutils	memtest86+	\N	memtest86+-5.01_3
2020-05-21 10:36:44+02	2020-05-21 10:37:12+02	sysutils	most	\N	most-5.1.0
2020-03-01 13:14:50+01	2020-03-01 13:14:59+01	sysutils	ncdu	\N	ncdu-1.14.2
2020-05-21 18:56:18+02	2020-05-21 18:56:26+02	sysutils	neofetch	\N	neofetch-7.0.0
2020-03-01 13:14:59+01	2020-03-01 13:15:05+01	sysutils	obliterate	\N	obliterate-0.5
2020-05-23 21:42:47+02	2020-05-23 21:43:04+02	sysutils	p5-File-Listing	\N	p5-File-Listing-6.04_1
2020-05-19 04:24:50+02	2020-05-19 04:25:04+02	sysutils	panicmail	\N	panicmail-1.1
2020-03-20 15:52:38+01	2020-03-20 15:53:14+01	sysutils	parallel	\N	parallel-20200122
2020-02-29 19:16:14+01	2020-02-29 19:16:59+01	sysutils	patchelf	\N	patchelf-0.10_1
2020-05-16 11:00:32+02	2020-05-16 11:00:50+02	sysutils	php73-posix	\N	php73-posix-7.3.18
2020-05-20 06:01:41+02	2020-05-20 06:02:49+02	sysutils	policykit-gnome	\N	policykit-gnome-0.9.2_9
2020-05-20 02:09:37+02	2020-05-20 02:11:51+02	sysutils	policykit	\N	policykit-0.9_10
2020-05-20 02:34:43+02	2020-05-20 02:36:00+02	sysutils	polkit-qt	\N	polkit-qt-1-0.113.0_8
2020-05-21 00:15:22+02	2020-05-21 00:16:59+02	sysutils	polkit	\N	polkit-0.116
2020-03-01 13:15:17+01	2020-03-01 13:15:28+01	sysutils	psmisc	\N	psmisc-22.16_1
2020-03-01 13:15:24+01	2020-03-01 13:15:32+01	sysutils	pv	\N	pv-1.6.6
2020-03-01 13:15:29+01	2020-03-01 13:15:36+01	sysutils	pwgen	\N	pwgen-2.08,2
2020-04-27 17:34:38+02	2020-04-27 17:35:24+02	sysutils	py-cpuinfo	py37	py37-py-cpuinfo-5.0.0
2020-02-25 17:16:14+01	2020-02-25 17:16:24+01	sysutils	py-execnet	py37	py37-execnet-1.6.0
2020-02-25 17:16:14+01	2020-02-25 17:16:24+01	sysutils	py-filelock	py37	py37-filelock-3.0.12
2020-04-27 17:34:54+02	2020-04-27 17:35:55+02	sysutils	py-glances	py37	py37-glances-3.1.3
2020-05-25 08:11:00+02	2020-05-25 08:12:47+02	editors	libreoffice-nb	\N	nb-libreoffice-6.3.6
2020-02-25 17:14:59+01	2020-02-25 17:15:10+01	sysutils	py-pkginfo	py37	py37-pkginfo-1.5.0.1
2020-04-27 09:23:00+02	2020-04-27 09:23:33+02	sysutils	py-psutil	py37	py37-psutil-5.7.0
2020-02-25 17:16:24+01	2020-02-25 17:16:33+01	sysutils	py-ptyprocess	py37	py37-ptyprocess-0.6.0
2020-05-19 04:25:05+02	2020-05-19 04:25:14+02	sysutils	py-py-cpuinfo	py37	py37-py-cpuinfo-5.0.0
2020-03-01 13:15:41+01	2020-03-01 13:15:47+01	sysutils	reptyr	\N	reptyr-0.6.3a_2
2020-04-25 21:05:32+02	2020-04-25 21:19:40+02	sysutils	rsfetch	\N	rsfetch-2.0.0_2
2020-03-01 13:15:48+01	2020-03-01 13:16:19+01	sysutils	screen	\N	screen-4.8.0
2020-05-08 02:50:12+02	2020-05-08 02:50:45+02	sysutils	smartmontools	\N	smartmontools-7.1_1
2020-03-01 13:15:53+01	2020-03-01 13:16:01+01	sysutils	spinner	\N	spinner-1.2.4
2020-02-29 19:16:59+01	2020-02-29 19:17:07+01	sysutils	sysctlbyname-improved-kmod	\N	sysctlbyname-improved-kmod-20191124
2020-02-29 19:17:07+01	2020-02-29 19:17:16+01	sysutils	sysctlinfo-kmod	\N	sysctlinfo-kmod-20191005
2020-05-24 11:17:29+02	2020-05-24 11:18:12+02	sysutils	tmux	\N	tmux-3.1b
2020-03-01 13:16:20+01	2020-03-01 13:16:32+01	sysutils	tree	\N	tree-1.8.0
2020-05-20 04:31:19+02	2020-05-20 04:32:10+02	sysutils	upower	\N	upower-0.99.11
2020-02-29 19:17:16+01	2020-02-29 19:17:23+01	sysutils	vpnc-scripts	\N	vpnc-scripts-20190611
2020-05-08 02:50:45+02	2020-05-08 02:51:03+02	sysutils	x86info	\N	x86info-1.31.s03
2020-03-20 15:53:45+01	2020-03-20 15:54:07+01	sysutils	zfs-stats	\N	zfs-stats-1.3.0
2020-03-01 13:16:36+01	2020-03-01 13:17:19+01	sysutils	zrepl	\N	zrepl-0.2.1
2020-04-26 15:44:36+02	2020-04-26 15:45:52+02	textproc	asciidoc	\N	asciidoc-9.0.0rc2
2020-03-20 01:57:46+01	2020-03-20 02:00:29+01	textproc	aspell	\N	aspell-0.60.8,1
2020-05-21 10:37:14+02	2020-05-21 10:52:32+02	textproc	bat	\N	bat-0.15.0
2020-02-29 19:17:23+01	2020-02-29 19:20:08+01	textproc	clucene	\N	clucene-2.3.3.4_19
2020-04-19 19:30:10+02	2020-04-19 19:30:38+02	textproc	colordiff	\N	colordiff-1.0.19
2020-03-01 03:39:31+01	2020-03-01 03:40:11+01	textproc	diffutils	\N	diffutils-3.7
2020-02-28 22:16:22+01	2020-02-28 22:16:30+01	textproc	docbook-sgml	\N	docbook-sgml-4.5_1
2020-02-28 22:16:31+01	2020-02-28 22:16:39+01	textproc	docbook-xml	\N	docbook-xml-5.0_3
2020-02-28 22:17:02+01	2020-02-28 22:17:37+01	textproc	docbook-xsl	\N	docbook-xsl-1.79.1_1,1
2020-02-28 22:16:53+01	2020-02-28 22:17:00+01	textproc	docbook	\N	docbook-1.5
2020-05-20 09:46:13+02	2020-05-20 09:46:52+02	textproc	enchant	\N	enchant-1.6.0_9
2020-05-21 01:40:08+02	2020-05-21 01:41:20+02	textproc	enchant2	\N	enchant2-2.2.3_4
2020-02-29 06:06:23+01	2020-02-29 06:08:53+01	textproc	exempi	\N	exempi-2.2.2_1
2020-02-28 21:58:51+01	2020-02-28 21:59:08+01	textproc	expat2	\N	expat-2.2.8
2020-03-23 06:59:16+01	2020-03-23 06:59:43+01	textproc	flex	\N	flex-2.6.4_2
2020-05-10 12:07:11+02	2020-05-10 12:08:43+02	textproc	fop	\N	fop-2.3
2020-04-26 01:23:56+02	2020-04-26 01:31:20+02	textproc	groff	\N	groff-1.22.4_3
2020-02-29 10:28:58+01	2020-02-29 10:29:39+01	textproc	gsed	\N	gsed-4.8
2020-04-26 15:45:23+02	2020-04-26 15:46:34+02	textproc	gtk-doc	\N	gtk-doc-1.29_1
2020-05-14 11:14:05+02	2020-05-14 11:14:43+02	textproc	gtkspell	\N	gtkspell-2.0.16_6
2020-05-20 23:35:03+02	2020-05-20 23:36:19+02	textproc	gtkspell3	\N	gtkspell3-3.0.10
2020-04-09 11:06:07+02	2020-04-09 11:09:53+02	textproc	highlight	\N	highlight-3.43_8,3
2020-05-22 02:21:15+02	2020-05-22 03:00:45+02	textproc	hs-pandoc	\N	hs-pandoc-2.9.2_1
2020-02-28 22:25:25+01	2020-02-28 22:25:51+01	textproc	html2text	\N	html2text-1.3.2a
2020-03-21 00:07:29+01	2020-03-21 00:09:23+01	textproc	hunspell	\N	hunspell-1.7.0_2
2020-03-21 00:25:57+01	2020-03-21 00:26:27+01	textproc	hyphen	\N	hyphen-2.8.8
2020-03-19 23:07:44+01	2020-03-19 23:07:58+01	textproc	intltool	\N	intltool-0.51.0_1
2020-02-28 22:16:08+01	2020-02-28 22:16:15+01	textproc	iso8879	\N	iso8879-1986_3
2020-04-26 15:44:52+02	2020-04-26 15:45:19+02	textproc	itstool	\N	itstool-2.0.6
2020-05-20 02:35:11+02	2020-05-20 02:36:23+02	textproc	kf5-kcodecs	\N	kf5-kcodecs-5.70.0
2020-05-20 04:31:20+02	2020-05-20 04:33:05+02	textproc	kf5-sonnet	\N	kf5-sonnet-5.70.0
2020-02-29 19:17:25+01	2020-02-29 19:18:56+01	textproc	libabw	\N	libabw-0.1.3
2020-05-19 23:56:12+02	2020-05-19 23:57:08+02	textproc	libcroco	\N	libcroco-0.6.13
2020-04-12 10:27:57+02	2020-04-12 10:28:04+02	textproc	libdiff	\N	libdiff-0.1.0
2020-04-25 14:49:25+02	2020-04-25 14:56:36+02	textproc	libe-book	\N	libe-book-0.1.3_18
2020-02-29 19:20:09+01	2020-02-29 19:20:36+01	textproc	libebml	\N	libebml-1.3.10
2020-02-29 19:20:37+01	2020-02-29 19:21:57+01	textproc	libepubgen	\N	libepubgen-0.1.0_9
2020-02-29 19:21:58+01	2020-02-29 19:22:08+01	textproc	libexttextcat	\N	libexttextcat-3.4.5
2020-02-29 19:22:09+01	2020-02-29 19:31:23+01	textproc	libmwaw03	\N	libmwaw03-0.3.15
2020-02-29 19:23:46+01	2020-02-29 19:24:36+01	textproc	libnumbertext	\N	libnumbertext-1.0.5_1
2020-02-29 19:24:39+01	2020-02-29 19:26:16+01	textproc	libodfgen01	\N	libodfgen01-0.1.7_3
2020-04-25 14:50:39+02	2020-04-25 14:52:52+02	textproc	libqxp	\N	libqxp-0.0.0_16
2020-03-01 00:24:48+01	2020-03-01 00:26:09+01	textproc	librevenge	\N	librevenge-0.0.4_13
2020-02-29 19:27:42+01	2020-02-29 19:31:05+01	textproc	libstaroffice	\N	libstaroffice-0.0.6_8
2020-03-01 03:42:27+01	2020-03-01 03:43:07+01	textproc	libuninameslist	\N	libuninameslist-20190701
2020-04-25 08:15:40+02	2020-04-25 08:19:29+02	textproc	libvisio01	\N	libvisio01-0.1.7_2
2020-05-20 06:02:50+02	2020-05-20 06:06:24+02	textproc	libwpd010	\N	libwpd010-0.10.3_4
2020-02-29 19:31:06+01	2020-02-29 19:33:39+01	textproc	libwps	\N	libwps-0.4.10_2
2020-05-20 03:04:33+02	2020-05-20 03:08:47+02	textproc	libxml++26	\N	libxml++-2.40.1,1
2020-02-28 21:57:46+01	2020-02-28 21:58:51+01	textproc	libxml2	\N	libxml2-2.9.10
2020-02-28 22:02:36+01	2020-02-28 22:02:58+01	textproc	libxslt	\N	libxslt-1.1.34_1
2020-04-24 00:37:51+02	2020-04-24 00:38:22+02	textproc	libyaml	\N	libyaml-0.2.4
2020-04-12 10:28:05+02	2020-04-12 10:28:23+02	textproc	lowdown	\N	lowdown-0.6.4
2020-02-28 22:25:51+01	2020-02-28 22:26:01+01	textproc	minixmlto	\N	minixmlto-0.0.2_1
2020-03-20 05:42:26+01	2020-03-20 05:42:51+01	textproc	mythes	\N	mythes-1.2.4_7
2020-03-20 08:37:13+01	2020-03-20 08:37:49+01	textproc	p5-PDF-API2	\N	p5-PDF-API2-2.037
2020-03-20 08:37:24+01	2020-03-20 08:37:41+01	textproc	p5-Pod-Escapes	\N	p5-Pod-Escapes-1.07
2020-03-20 11:47:00+01	2020-03-20 11:47:19+01	textproc	p5-pod2pdf	\N	p5-pod2pdf-0.42_1
2020-03-19 20:16:42+01	2020-03-19 20:16:53+01	textproc	p5-Unicode-EastAsianWidth	\N	p5-Unicode-EastAsianWidth-12.0
2020-03-21 00:51:40+01	2020-03-21 00:51:58+01	textproc	p5-XML-NamespaceSupport	\N	p5-XML-NamespaceSupport-1.12
2020-03-19 23:07:29+01	2020-03-19 23:07:44+01	textproc	p5-XML-Parser	\N	p5-XML-Parser-2.44
2020-03-21 00:51:58+01	2020-03-21 00:52:15+01	textproc	p5-XML-SAX-Base	\N	p5-XML-SAX-Base-1.09
2020-03-20 01:25:02+01	2020-03-20 01:25:18+01	textproc	p5-XML-SAX-Expat	\N	p5-XML-SAX-Expat-0.51_1
2020-03-20 01:02:59+01	2020-03-20 01:03:21+01	textproc	p5-XML-SAX	\N	p5-XML-SAX-1.02
2020-03-20 01:48:56+01	2020-03-20 01:49:18+01	textproc	p5-XML-Simple	\N	p5-XML-Simple-2.25
2020-05-16 11:00:41+02	2020-05-16 11:00:58+02	textproc	php73-ctype	\N	php73-ctype-7.3.18
2020-05-16 11:00:50+02	2020-05-16 11:01:13+02	textproc	php73-dom	\N	php73-dom-7.3.18
2020-05-16 11:00:58+02	2020-05-16 11:01:19+02	textproc	php73-simplexml	\N	php73-simplexml-7.3.18
2020-05-16 10:58:00+02	2020-05-16 10:58:20+02	textproc	php73-xml	\N	php73-xml-7.3.18
2020-03-01 03:43:03+01	2020-03-01 03:43:29+01	textproc	pugixml	\N	pugixml-1.10
2020-03-02 09:17:39+01	2020-03-02 09:17:50+01	textproc	py-alabaster	py27	py27-alabaster-0.7.6
2020-04-26 15:42:40+02	2020-04-26 15:43:05+02	textproc	py-alabaster	py37	py37-alabaster-0.7.6
2020-03-02 08:42:52+01	2020-03-02 08:43:03+01	textproc	py-chardet	py27	py27-chardet-3.0.4_3
2020-04-26 15:41:53+02	2020-04-26 15:42:23+02	textproc	py-chardet	py37	py37-chardet-3.0.4_3
2020-04-26 15:44:08+02	2020-04-26 15:44:35+02	textproc	py-CommonMark	py37	py37-CommonMark-0.9.1
2020-03-02 09:17:50+01	2020-03-02 09:18:08+01	textproc	py-docutils	py27	py27-docutils-0.15.2
2020-04-26 15:42:42+02	2020-04-26 15:46:43+02	textproc	py-docutils	py37	py37-docutils-0.15.2
2020-02-29 23:59:14+01	2020-03-01 00:00:14+01	textproc	teckit	\N	teckit-2.5.7
2020-05-21 16:34:50+02	2020-05-21 16:35:01+02	textproc	py-et_xmlfile	py37	py37-et_xmlfile-1.0.1
2020-05-21 18:56:26+02	2020-05-21 18:56:52+02	textproc	py-gfm	py37	py37-gfm-0.1.4
2020-04-26 15:43:36+02	2020-04-26 15:44:51+02	textproc	py-libxml2	py37	py37-libxml2-2.9.10
2020-05-21 16:24:41+02	2020-05-21 16:24:55+02	textproc	py-m2r	py37	py37-m2r-0.2.1_1
2020-05-14 07:52:46+02	2020-05-14 07:52:59+02	textproc	py-mako	py27	py27-mako-1.0.14
2020-03-03 08:28:04+01	2020-03-03 08:28:19+01	textproc	py-markdown	py27	py27-markdown-2.6.11_1
2020-04-27 09:23:42+02	2020-04-27 09:24:02+02	textproc	py-markdown	py37	py37-markdown-2.6.11_1
2020-04-27 23:31:26+02	2020-04-27 23:31:40+02	textproc	py-MarkupSafe	py27	py27-MarkupSafe-1.1.1
2020-04-26 15:41:53+02	2020-04-26 15:42:19+02	textproc	py-MarkupSafe	py37	py37-MarkupSafe-1.1.1
2020-05-21 16:20:58+02	2020-05-21 16:21:12+02	textproc	py-mistune	py37	py37-mistune-0.8.4
2020-05-21 17:00:03+02	2020-05-21 17:00:15+02	textproc	py-openpyxl	py37	py37-openpyxl-2.6.4
2020-03-02 09:18:09+01	2020-03-02 09:18:30+01	textproc	py-pygments	py27	py27-pygments-2.5.2
2020-04-26 15:42:48+02	2020-04-26 15:43:35+02	textproc	py-pygments	py37	py37-pygments-2.5.2
2020-05-21 16:35:01+02	2020-05-21 16:35:17+02	textproc	py-pyhamcrest	py37	py37-PyHamcrest-2.0.2
2020-02-25 17:16:25+01	2020-02-25 17:16:35+01	textproc	py-pypa-docs-theme	py37	py37-pypa-docs-theme-g20180622
2020-03-02 08:43:04+01	2020-03-02 08:43:32+01	textproc	py-pystemmer	py27	py27-pystemmer-1.3.0_2
2020-04-26 15:45:01+02	2020-04-26 15:45:51+02	textproc	py-pystemmer	py37	py37-pystemmer-2.0.0.1
2020-02-25 17:14:59+01	2020-02-25 17:15:07+01	textproc	py-python-docs-theme	py37	py37-python-docs-theme-2018.2
2020-03-20 11:47:20+01	2020-03-20 11:48:27+01	textproc	py-qt5-xmlpatterns	py27	py27-qt5-xmlpatterns-5.13.1
2020-05-20 23:36:19+02	2020-05-20 23:37:25+02	textproc	py-qt5-xmlpatterns	py37	py37-qt5-xmlpatterns-5.13.1_1
2020-05-23 08:47:55+02	2020-05-23 08:48:11+02	textproc	py-recommonmark	py37	py37-recommonmark-0.5.0_2
2020-03-03 08:29:52+01	2020-03-03 08:30:31+01	textproc	py-regex	py27	py27-regex-2018.02.21
2020-05-14 11:14:54+02	2020-05-14 11:15:22+02	textproc	py-regex	py37	py37-regex-2020.4.4
2020-04-27 23:40:52+02	2020-04-27 23:41:16+02	textproc	py-scour	py27	py27-scour-0.37
2020-05-15 21:33:20+02	2020-05-15 21:33:34+02	textproc	py-scour	py37	py37-scour-0.37
2020-03-02 09:18:31+01	2020-03-02 09:18:48+01	textproc	py-snowballstemmer	py27	py27-snowballstemmer-1.2.1
2020-04-26 15:45:51+02	2020-04-26 15:46:15+02	textproc	py-snowballstemmer	py37	py37-snowballstemmer-1.2.1
2020-03-02 09:18:49+01	2020-03-02 09:19:04+01	textproc	py-sphinx_rtd_theme	py27	py27-sphinx_rtd_theme-0.4.3
2020-04-26 15:42:58+02	2020-04-26 15:43:34+02	textproc	py-sphinx_rtd_theme	py37	py37-sphinx_rtd_theme-0.4.3
2020-03-08 02:32:16+01	2020-03-08 02:32:41+01	textproc	py-sphinx	py27	py27-sphinx-1.6.5_2,1
2020-05-23 08:47:36+02	2020-05-23 08:47:55+02	textproc	py-sphinx	py37	py37-sphinx-3.0.3,1
2020-05-18 22:06:09+02	2020-05-18 22:06:39+02	textproc	py-sphinx18	py37	py37-sphinx18-1.8.5_1,1
2020-05-14 07:50:05+02	2020-05-14 07:50:15+02	textproc	py-sphinxcontrib-applehelp	py37	py37-sphinxcontrib-applehelp-1.0.2
2020-05-14 07:50:15+02	2020-05-14 07:50:25+02	textproc	py-sphinxcontrib-devhelp	py37	py37-sphinxcontrib-devhelp-1.0.2
2020-05-14 07:50:26+02	2020-05-14 07:50:37+02	textproc	py-sphinxcontrib-htmlhelp	py37	py37-sphinxcontrib-htmlhelp-1.0.3
2020-05-14 07:50:37+02	2020-05-14 07:50:47+02	textproc	py-sphinxcontrib-jsmath	py37	py37-sphinxcontrib-jsmath-1.0.1
2020-05-14 07:50:48+02	2020-05-14 07:50:57+02	textproc	py-sphinxcontrib-qthelp	py37	py37-sphinxcontrib-qthelp-1.0.3
2020-05-14 07:50:49+02	2020-05-14 07:50:58+02	textproc	py-sphinxcontrib-serializinghtml	py37	py37-sphinxcontrib-serializinghtml-1.1.4
2020-03-02 09:19:05+01	2020-03-02 09:19:17+01	textproc	py-sphinxcontrib-websupport	py27	py27-sphinxcontrib-websupport-1.1.2
2020-04-26 15:43:05+02	2020-04-26 15:43:34+02	textproc	py-sphinxcontrib-websupport	py37	py37-sphinxcontrib-websupport-1.1.2
2020-05-14 07:50:53+02	2020-05-14 07:51:02+02	textproc	py-sphinxcontrib-websupport11	py37	py37-sphinxcontrib-websupport11-1.1.2
2020-05-21 17:26:55+02	2020-05-21 17:27:06+02	textproc	py-tablib	py37	py37-tablib-0.13.0_1
2020-03-02 08:34:17+01	2020-03-02 08:34:28+01	textproc	py-toml	py27	py27-toml-0.10.0
2020-04-26 19:14:38+02	2020-04-26 19:15:27+02	textproc	py-toml	py37	py37-toml-0.10.0
2020-02-25 17:15:07+01	2020-02-25 17:15:18+01	textproc	py-towncrier	py37	py37-towncrier-19.2.0
2020-05-21 17:00:15+02	2020-05-21 17:00:26+02	textproc	py-xlrd	py37	py37-xlrd-1.2.0_1
2020-05-21 17:00:26+02	2020-05-21 17:00:37+02	textproc	py-xlwt	py37	py37-xlwt-1.3.0
2020-05-21 01:00:24+02	2020-05-21 01:01:45+02	textproc	qt5-xml	\N	qt5-xml-5.14.2
2020-05-21 00:50:05+02	2020-05-21 00:58:59+02	textproc	qt5-xmlpatterns	\N	qt5-xmlpatterns-5.14.2
2020-05-16 17:17:53+02	2020-05-16 17:20:36+02	textproc	raptor2	\N	raptor2-2.0.15_14
2020-05-20 07:26:46+02	2020-05-20 07:27:28+02	textproc	rasqal	\N	rasqal-0.9.33_1
2020-05-20 09:46:52+02	2020-05-20 09:49:30+02	textproc	redland	\N	redland-1.0.17_4
2020-05-14 11:15:18+02	2020-05-14 11:19:36+02	textproc	ripgrep	\N	ripgrep-12.1.0
2020-05-16 16:49:06+02	2020-05-16 16:49:19+02	textproc	rubygem-asciidoctor	\N	rubygem-asciidoctor-2.0.10
2020-02-28 22:16:47+01	2020-02-28 22:16:53+01	textproc	sdocbook-xml	\N	sdocbook-xml-1.1_2,2
2020-04-25 03:22:57+02	2020-04-25 03:31:37+02	textproc	source-highlight	\N	source-highlight-3.1.9_1
2020-05-25 08:12:44+02	2020-05-25 08:12:52+02	graphics	drm-kmod	\N	drm-kmod-g20190710
2020-03-19 23:57:23+01	2020-03-19 23:57:59+01	textproc	texi2html	\N	texi2html-5.0_2,1
2020-03-13 04:37:27+01	2020-03-13 04:38:38+01	textproc	UCD	\N	UCD-13.0.0
2020-04-26 01:23:34+02	2020-04-26 01:23:56+02	textproc	uchardet	\N	uchardet-0.0.7
2020-05-24 11:13:59+02	2020-05-24 11:14:07+02	textproc	utf8proc	\N	utf8proc-2.5.0
2020-02-28 22:15:29+01	2020-02-28 22:15:39+01	textproc	xmlcatmgr	\N	xmlcatmgr-2.2_2
2020-02-28 22:16:15+01	2020-02-28 22:16:22+01	textproc	xmlcharent	\N	xmlcharent-0.3_2
2020-04-25 03:46:20+02	2020-04-25 03:47:07+02	textproc	xmlto	\N	xmlto-0.0.28
2020-04-26 21:05:01+02	2020-04-26 21:06:52+02	textproc	yelp-tools	\N	yelp-tools-3.28.0
2020-04-26 15:46:15+02	2020-04-26 15:47:00+02	textproc	yelp-xsl	\N	yelp-xsl-3.28.0
2020-05-20 07:27:28+02	2020-05-20 07:30:08+02	www	apache24	\N	apache24-2.4.43
2020-05-23 09:00:15+02	2020-05-23 09:27:06+02	www	chromium	\N	chromium-81.0.4044.138_1
2020-05-16 11:56:02+02	2020-05-16 11:56:28+02	www	dokuwiki	\N	dokuwiki-20180422c
2020-05-23 09:56:14+02	2020-05-23 10:34:17+02	www	firefox	\N	firefox-76.0.1_3,1
2020-03-07 03:26:26+01	2020-03-07 03:26:42+01	www	fpc-fastcgi	\N	fpc-fastcgi-3.0.4_4
2020-03-07 03:26:42+01	2020-03-07 03:27:01+01	www	fpc-httpd22	\N	fpc-httpd22-3.0.4_4
2020-03-07 03:27:01+01	2020-03-07 03:27:18+01	www	fpc-httpd24	\N	fpc-httpd24-3.0.4_4
2020-02-28 22:03:16+01	2020-02-28 22:03:54+01	www	libnghttp2	\N	libnghttp2-1.40.0
2020-05-16 15:57:28+02	2020-05-16 15:57:48+02	www	libwpe	\N	libwpe-1.4.0.1
2020-05-19 07:42:25+02	2020-05-19 07:42:53+02	www	links	\N	links-2.16_2,1
2020-03-01 13:17:08+01	2020-03-01 13:18:35+01	www	lynx	\N	lynx-2.8.9.1_1,1
2020-05-14 20:30:41+02	2020-05-14 20:31:55+02	www	mattermost-server	\N	mattermost-server-5.19.1
2020-05-14 20:29:31+02	2020-05-14 20:30:21+02	www	mattermost-webapp	\N	mattermost-webapp-5.19.1
2020-05-21 10:52:33+02	2020-05-21 10:53:34+02	www	mod_evasive	\N	ap24-mod_evasive-1.10.1_1
2020-05-21 10:53:36+02	2020-05-21 11:07:31+02	www	mod_php73	\N	mod_php73-7.3.18
2020-05-21 11:07:34+02	2020-05-21 11:10:50+02	www	mod_security	\N	ap24-mod_security-2.9.3
2020-05-20 09:46:57+02	2020-05-20 10:55:09+02	www	node10	\N	node10-10.20.1_1
2020-05-20 07:30:09+02	2020-05-20 08:36:35+02	www	node12	\N	node12-12.16.2_1
2020-05-21 18:56:53+02	2020-05-21 18:57:24+02	www	npm-node10	\N	npm-node10-6.12.1_1
2020-05-20 23:33:25+02	2020-05-21 00:40:21+02	www	node	\N	node-13.13.0_1
2020-05-25 08:31:54+02	2020-05-25 08:46:15+02	local	E590T-localbase	\N	E590T-localbase-2020052200
2020-05-21 17:27:06+02	2020-05-21 17:27:28+02	www	npm-node12	\N	npm-node12-6.12.1_1
2020-05-02 12:56:30+02	2020-05-02 12:56:44+02	www	p5-CGI	\N	p5-CGI-4.47
2020-03-20 02:58:56+01	2020-03-20 02:59:23+01	www	p5-HTML-Parser	\N	p5-HTML-Parser-3.72
2020-03-20 02:16:36+01	2020-03-20 02:16:57+01	www	p5-HTML-Tagset	\N	p5-HTML-Tagset-3.20_1
2020-05-23 21:43:04+02	2020-05-23 21:43:24+02	www	p5-HTTP-Cookies	\N	p5-HTTP-Cookies-6.08
2020-05-23 21:43:25+02	2020-05-23 21:43:44+02	www	p5-HTTP-Daemon	\N	p5-HTTP-Daemon-6.06
2020-05-23 21:42:08+02	2020-05-23 21:42:26+02	www	p5-HTTP-Date	\N	p5-HTTP-Date-6.05
2020-05-23 21:42:27+02	2020-05-23 21:42:46+02	www	p5-HTTP-Message	\N	p5-HTTP-Message-6.24
2020-05-23 21:43:44+02	2020-05-23 21:44:07+02	www	p5-HTTP-Negotiate	\N	p5-HTTP-Negotiate-6.01_1
2020-05-23 21:44:08+02	2020-05-23 21:44:51+02	www	p5-libwww	\N	p5-libwww-6.44
2020-03-20 03:23:43+01	2020-03-20 03:24:11+01	www	p5-LWP-MediaTypes	\N	p5-LWP-MediaTypes-6.04
2020-03-20 02:16:58+01	2020-03-20 02:17:21+01	www	p5-Mozilla-CA	\N	p5-Mozilla-CA-20180117
2020-03-20 08:38:06+01	2020-03-20 08:38:22+01	www	p5-WWW-RobotRules	\N	p5-WWW-RobotRules-6.02_1
2020-05-16 11:01:13+02	2020-05-16 11:01:45+02	www	php73-opcache	\N	php73-opcache-7.3.18
2020-05-16 10:56:11+02	2020-05-16 10:56:36+02	www	php73-session	\N	php73-session-7.3.18
2020-04-27 23:31:50+02	2020-04-27 23:32:08+02	www	py-beaker	py27	py27-beaker-1.11.0
2020-03-03 08:31:15+01	2020-03-03 08:31:54+01	www	py-beautifulsoup	py27	py27-beautifulsoup-4.8.2
2020-04-27 09:25:16+02	2020-04-27 09:25:53+02	www	py-beautifulsoup	py37	py37-beautifulsoup-4.9.0
2020-02-25 17:14:40+01	2020-02-25 17:14:50+01	www	py-bleach	py37	py37-bleach-3.1.0
2020-04-27 18:04:31+02	2020-04-27 18:05:28+02	www	py-bottle	py37	py37-bottle-0.12.15_1
2020-03-03 08:31:54+01	2020-03-03 08:32:07+01	www	py-css-parser	py27	py27-css-parser-1.0.4
2020-04-27 09:25:49+02	2020-04-27 09:26:06+02	www	py-css-parser	py37	py37-css-parser-1.0.4
2020-03-03 08:32:08+01	2020-03-03 08:32:30+01	www	py-cssselect	py27	py27-cssselect-1.0.3
2020-05-14 11:15:38+02	2020-05-14 11:15:51+02	www	py-cssselect	py37	py37-cssselect-1.0.3_1
2020-05-21 18:57:25+02	2020-05-21 18:57:41+02	www	py-dj22-django-cacheops	py37	py37-dj22-django-cacheops-4.2
2020-05-21 18:57:41+02	2020-05-21 18:57:57+02	www	py-dj22-django-cors-headers	py37	py37-dj22-django-cors-headers-3.2.1
2020-05-21 18:57:58+02	2020-05-21 18:58:14+02	www	py-dj22-django-debug-toolbar	py37	py37-dj22-django-debug-toolbar-2.1
2020-05-21 18:58:14+02	2020-05-21 18:58:30+02	www	py-dj22-django-filter	py37	py37-dj22-django-filter-2.2.0
2020-05-21 17:27:28+02	2020-05-21 17:27:40+02	www	py-dj22-django-js-asset	py37	py37-dj22-django-js-asset-1.2.2
2020-05-21 18:58:31+02	2020-05-21 18:58:50+02	www	py-dj22-django-mptt	py37	py37-dj22-django-mptt-0.9.1
2020-05-21 18:58:50+02	2020-05-21 18:59:08+02	www	py-dj22-django-prometheus	py37	py37-dj22-django-prometheus-1.1.0_1
2020-05-21 18:59:09+02	2020-05-21 18:59:26+02	www	py-dj22-django-tables2	py37	py37-dj22-django-tables2-2.2.1
2020-05-21 18:59:26+02	2020-05-21 18:59:41+02	www	py-dj22-django-taggit-serializer	py37	py37-dj22-django-taggit-serializer-0.1.7
2020-05-21 17:27:40+02	2020-05-21 17:27:53+02	www	py-dj22-django-taggit	py37	py37-dj22-django-taggit-1.2.0
2020-05-21 18:59:42+02	2020-05-21 18:59:57+02	www	py-dj22-django-timezone-field	py37	py37-dj22-django-timezone-field-4.0
2020-05-21 17:27:53+02	2020-05-21 17:28:08+02	www	py-dj22-djangorestframework	py37	py37-dj22-djangorestframework-3.11.0
2020-05-21 18:59:57+02	2020-05-21 19:00:22+02	www	py-dj22-drf-yasg	py37	py37-dj22-drf-yasg-1.17.0
2020-05-21 19:00:23+02	2020-05-21 19:00:36+02	www	py-django-pglocks	py37	py37-django-pglocks-1.0.4
2020-02-25 17:18:49+01	2020-02-25 17:19:27+01	www	py-django111	py37	py37-django111-1.11.28
2020-05-21 16:16:06+02	2020-05-21 16:16:52+02	www	py-django22	py37	py37-django22-2.2.12
2020-05-21 19:00:36+02	2020-05-21 19:00:55+02	www	py-gunicorn	py37	py37-gunicorn-19.9.0_1
2020-05-21 16:35:19+02	2020-05-21 16:35:34+02	www	py-h2	py37	py37-h2-3.2.0
2020-05-21 16:24:56+02	2020-05-21 16:25:07+02	www	py-hpack	py37	py37-hpack-3.0.0
2020-03-02 09:58:01+01	2020-03-02 09:58:31+01	www	py-html5-parser	py27	py27-html5-parser-0.4.9
2020-04-27 05:35:43+02	2020-04-27 05:37:12+02	www	py-html5-parser	py37	py37-html5-parser-0.4.9
2020-04-27 23:33:40+02	2020-04-27 23:33:55+02	www	py-html5lib	py27	py27-html5lib-1.0.1
2020-04-26 23:36:48+02	2020-04-26 23:37:34+02	www	py-html5lib	py37	py37-html5lib-1.0.1
2020-05-21 16:25:08+02	2020-05-21 16:25:17+02	www	py-hyperframe	py37	py37-hyperframe-5.2.0
2020-05-21 16:35:34+02	2020-05-21 16:35:46+02	www	py-hyperlink	py37	py37-hyperlink-19.0.0
2020-03-03 08:32:30+01	2020-03-03 08:32:45+01	www	py-mechanize	py27	py27-mechanize-0.4.5
2020-04-27 09:26:06+02	2020-04-27 09:26:27+02	www	py-mechanize	py37	py37-mechanize-0.4.5
2020-05-21 16:35:46+02	2020-05-21 16:35:55+02	www	py-priority	py37	py37-priority-1.3.0
2020-03-20 08:38:13+01	2020-03-20 08:39:05+01	www	py-qt5-webchannel	py27	py27-qt5-webchannel-5.13.1
2020-05-20 09:51:06+02	2020-05-20 09:52:43+02	www	py-qt5-webchannel	py37	py37-qt5-webchannel-5.13.1_1
2020-03-20 11:56:34+01	2020-03-20 11:57:44+01	www	py-qt5-webengine	py27	py27-qt5-webengine-5.12.1
2020-05-23 09:29:59+02	2020-05-23 09:30:52+02	www	py-qt5-webengine	py37	py37-qt5-webengine-5.12.1_1
2020-05-23 09:18:19+02	2020-05-23 09:19:31+02	www	py-qt5-webkit	py37	py37-qt5-webkit-5.13.1_1
2020-05-23 09:30:39+02	2020-05-23 09:31:34+02	www	py-qt5-webkitwidgets	py37	py37-qt5-webkitwidgets-5.13.1_1
2020-02-25 17:15:11+01	2020-02-25 17:15:30+01	www	py-requests-toolbelt	py37	py37-requests-toolbelt-0.8.0_1
2020-03-04 21:50:53+01	2020-03-04 21:51:01+01	www	py-requests	py27	py27-requests-2.22.0
2020-05-18 22:05:54+02	2020-05-18 22:06:05+02	www	py-requests	py37	py37-requests-2.22.0
2020-03-02 09:58:31+01	2020-03-02 09:58:43+01	www	py-soupsieve	py27	py27-soupsieve-1.9_1
2020-04-27 05:37:15+02	2020-04-27 05:37:58+02	www	py-soupsieve	py37	py37-soupsieve-1.9_1
2020-04-26 23:37:35+02	2020-04-26 23:38:37+02	www	py-tornado	py37	py37-tornado-5.1.1
2020-05-20 02:36:00+02	2020-05-20 02:37:30+02	www	qt5-webchannel	\N	qt5-webchannel-5.14.2
2020-05-23 09:03:22+02	2020-05-23 09:20:41+02	www	qt5-webengine	\N	qt5-webengine-5.14.2
2020-05-23 09:00:13+02	2020-05-23 09:05:38+02	www	qt5-webkit	\N	qt5-webkit-5.212.0.a4_2
2020-05-20 23:40:19+02	2020-05-20 23:41:18+02	www	qt5-websockets	\N	qt5-websockets-5.14.2
2020-04-03 11:14:23+02	2020-04-03 11:14:57+02	www	serf	\N	serf-1.3.9_4
2020-03-22 12:37:45+01	2020-03-22 12:38:32+01	www	w3m	\N	w3m-0.5.3.20200316
2020-05-20 01:54:32+02	2020-05-20 04:05:29+02	www	webkit2-gtk3	\N	webkit2-gtk3-2.28.1_1
2020-05-21 01:52:15+02	2020-05-21 01:52:32+02	www	wpebackend-fdo	\N	wpebackend-fdo-1.4.1
2020-05-21 11:15:43+02	2020-05-21 11:16:11+02	www	yarn-node10	\N	yarn-node10-1.22.4_1
2020-05-20 23:41:19+02	2020-05-20 23:41:36+02	www	yarn-node12	\N	yarn-node12-1.22.4_1
2020-05-23 09:19:32+02	2020-05-23 09:20:11+02	www	youtube_dl	\N	youtube_dl-2020.05.08
2020-05-09 16:11:19+02	2020-05-09 16:30:54+02	x11	alacritty	\N	alacritty-0.4.2_1
2020-04-17 09:00:36+02	2020-04-17 09:00:52+02	x11	appres	\N	appres-1.0.5
2020-05-20 04:48:47+02	2020-05-20 04:49:34+02	x11	babl	\N	babl-0.1.74
2020-04-17 09:00:52+02	2020-04-17 09:01:12+02	x11	bitmap	\N	bitmap-1.0.9
2020-05-21 11:16:14+02	2020-05-21 11:19:28+02	x11	cool-retro-term	\N	cool-retro-term-1.1.1_1
2020-04-17 05:21:31+02	2020-04-17 05:21:57+02	x11	fpc-x11	\N	fpc-x11-3.0.4_6
2020-02-29 19:34:58+01	2020-02-29 19:35:09+01	x11	iceauth	\N	iceauth-1.0.8_2
2020-05-20 07:40:31+02	2020-05-20 07:42:38+02	x11	kf5-kded	\N	kf5-kded-5.70.0_1
2020-05-20 04:49:36+02	2020-05-20 04:52:09+02	x11	kf5-kglobalaccel	\N	kf5-kglobalaccel-5.70.0
2020-05-20 02:11:40+02	2020-05-20 02:13:17+02	x11	kf5-kwindowsystem	\N	kf5-kwindowsystem-5.70.0
2020-04-17 05:03:49+02	2020-04-17 05:04:13+02	x11	libdmx	\N	libdmx-1.1.4_2
2020-02-28 22:19:24+01	2020-02-28 22:19:43+01	x11	libICE	\N	libICE-1.0.10,1
2020-05-25 22:33:59+02	2020-05-25 22:35:04+02	devel	bison	\N	bison-3.6.2,1
2020-05-21 00:23:15+02	2020-05-21 00:23:47+02	x11	libinput	\N	libinput-1.15.5
2020-05-20 04:52:10+02	2020-05-20 04:55:19+02	x11	libmatekbd	\N	libmatekbd-1.22.0
2020-02-28 22:23:12+01	2020-02-28 22:23:27+01	x11	libSM	\N	libSM-1.2.3,1
2020-05-21 00:22:54+02	2020-05-21 00:23:14+02	x11	libwacom	\N	libwacom-1.3
2020-04-17 03:05:51+02	2020-04-17 03:11:22+02	x11	libX11	\N	libX11-1.6.9_1,1
2020-02-28 21:59:54+01	2020-02-28 22:00:04+01	x11	libXau	\N	libXau-1.0.9
2020-04-17 03:01:14+02	2020-04-17 03:05:50+02	x11	libxcb	\N	libxcb-1.13.1
2020-04-17 03:14:33+02	2020-04-17 03:15:03+02	x11	libXcomposite	\N	libXcomposite-0.4.5,1
2020-04-17 03:14:21+02	2020-04-17 03:14:47+02	x11	libXcursor	\N	libXcursor-1.2.0
2020-04-17 03:12:06+02	2020-04-17 03:12:29+02	x11	libXdamage	\N	libXdamage-1.1.5
2020-04-17 03:00:41+02	2020-04-17 03:01:13+02	x11	libXdmcp	\N	libXdmcp-1.1.3
2020-04-17 03:11:23+02	2020-04-17 03:11:53+02	x11	libXext	\N	libXext-1.3.4,1
2020-04-17 03:11:41+02	2020-04-17 03:12:06+02	x11	libXfixes	\N	libXfixes-5.0.3_2
2020-04-17 03:12:27+02	2020-04-17 03:13:06+02	x11	libXi	\N	libXi-1.7.10,1
2020-04-17 03:13:58+02	2020-04-17 03:14:32+02	x11	libXinerama	\N	libXinerama-1.1.4_2,1
2020-04-17 03:06:31+02	2020-04-17 03:07:28+02	x11	libxkbcommon	\N	libxkbcommon-0.10.0_2
2020-04-17 03:12:39+02	2020-04-17 03:13:24+02	x11	libxkbfile	\N	libxkbfile-1.1.0
2020-05-20 04:32:11+02	2020-05-20 04:33:01+02	x11	libxklavier	\N	libxklavier-5.3_1,1
2020-04-17 03:13:27+02	2020-04-17 03:14:19+02	x11	libXpm	\N	libXpm-3.5.13
2020-04-17 03:13:07+02	2020-04-17 03:13:35+02	x11	libXrandr	\N	libXrandr-1.5.2
2020-04-17 03:11:53+02	2020-04-17 03:12:24+02	x11	libXrender	\N	libXrender-0.9.10_2
2020-04-17 03:44:56+02	2020-04-17 03:45:32+02	x11	libXres	\N	libXres-1.2.0_2
2020-04-17 03:15:45+02	2020-04-17 03:16:13+02	x11	libXScrnSaver	\N	libXScrnSaver-1.2.3_2
2020-02-28 22:17:50+01	2020-02-28 22:18:00+01	x11	libxshmfence	\N	libxshmfence-1.3
2020-04-17 03:13:36+02	2020-04-17 03:14:20+02	x11	libXtst	\N	libXtst-1.2.3_2
2020-04-17 03:20:32+02	2020-04-17 03:21:15+02	x11	libXv	\N	libXv-1.0.11_2,1
2020-04-17 03:46:48+02	2020-04-17 03:47:19+02	x11	libXvMC	\N	libXvMC-1.0.12
2020-04-17 03:47:19+02	2020-04-17 03:47:51+02	x11	libXxf86dga	\N	libXxf86dga-1.1.5
2020-04-17 03:12:00+02	2020-04-17 03:12:26+02	x11	libXxf86vm	\N	libXxf86vm-1.1.4_3
2020-04-17 06:21:24+02	2020-04-17 06:22:56+02	x11	luit	\N	luit-20190106_1
2020-05-20 23:41:33+02	2020-05-20 23:48:23+02	x11	mate-applets	\N	mate-applets-1.22.2
2020-05-21 17:29:52+02	2020-05-21 17:30:51+02	x11	mate-base	\N	mate-base-1.22.2
2020-05-21 01:45:39+02	2020-05-21 01:46:56+02	x11	mate-desktop	\N	mate-desktop-1.22.2
2020-05-20 02:36:23+02	2020-05-20 02:37:11+02	x11	mate-menus	\N	mate-menus-1.22.1
2020-05-20 04:33:02+02	2020-05-20 04:36:55+02	x11	mate-panel	\N	mate-panel-1.22.2
2020-05-20 23:43:16+02	2020-05-20 23:46:12+02	x11	mate-screensaver	\N	mate-screensaver-1.22.2
2020-05-20 07:42:39+02	2020-05-20 07:46:34+02	x11	mate-session-manager	\N	mate-session-manager-1.22.3
2020-05-20 23:46:13+02	2020-05-20 23:48:18+02	x11	mate-terminal	\N	mate-terminal-1.22.1
2020-05-23 09:56:41+02	2020-05-23 09:58:31+02	x11	mate	\N	mate-1.22.2
2020-04-17 17:12:31+02	2020-04-17 17:12:46+02	x11	numlockx	\N	numlockx-1.2
2020-05-08 22:05:56+02	2020-05-08 22:07:10+02	x11	pixman	\N	pixman-0.40.0
2020-05-21 01:36:16+02	2020-05-21 01:36:54+02	x11	qt5-x11extras	\N	qt5-x11extras-5.14.2
2020-04-17 09:01:13+02	2020-04-17 09:01:28+02	x11	sessreg	\N	sessreg-1.1.2
2020-04-17 09:01:29+02	2020-04-17 09:01:44+02	x11	setxkbmap	\N	setxkbmap-1.3.2
2020-04-17 09:01:45+02	2020-04-17 09:02:01+02	x11	smproxy	\N	smproxy-1.0.6
2020-04-17 03:40:45+02	2020-04-17 03:41:22+02	x11	startup-notification	\N	startup-notification-0.12_4
2020-05-09 16:14:36+02	2020-05-09 16:14:59+02	x11	sterm	\N	sterm-0.8.2
2020-05-09 13:00:58+02	2020-05-09 13:01:11+02	x11	x11perf	\N	x11perf-1.6.1
2020-04-17 09:02:19+02	2020-04-17 09:02:38+02	x11	xauth	\N	xauth-1.1
2020-04-17 09:02:39+02	2020-04-17 09:02:54+02	x11	xbacklight	\N	xbacklight-1.2.3
2020-02-29 02:13:13+01	2020-02-29 02:13:57+01	x11	xbitmaps	\N	xbitmaps-1.1.2
2020-05-09 13:01:12+02	2020-05-09 13:01:30+02	x11	xcalc	\N	xcalc-1.1.0
2020-04-26 15:39:08+02	2020-04-26 15:39:27+02	x11	xcb-proto	\N	xcb-proto-1.13_1
2020-04-17 03:08:43+02	2020-04-17 03:09:36+02	x11	xcb-util-image	\N	xcb-util-image-0.4.0_1
2020-04-17 03:09:20+02	2020-04-17 03:10:11+02	x11	xcb-util-keysyms	\N	xcb-util-keysyms-0.4.0_1
2020-04-17 03:09:34+02	2020-04-17 03:10:29+02	x11	xcb-util-renderutil	\N	xcb-util-renderutil-0.3.9_1
2020-04-17 03:07:59+02	2020-04-17 03:08:43+02	x11	xcb-util-wm	\N	xcb-util-wm-0.4.1_3
2020-04-17 03:07:29+02	2020-04-17 03:07:57+02	x11	xcb-util	\N	xcb-util-0.4.0_2,1
2020-04-17 17:12:59+02	2020-04-17 17:13:24+02	x11	xclip	\N	xclip-0.13
2020-04-17 17:13:24+02	2020-04-17 17:13:39+02	x11	xclipboard	\N	xclipboard-1.1.3,1
2020-04-17 09:03:22+02	2020-04-17 09:03:37+02	x11	xcmsdb	\N	xcmsdb-1.0.5
2020-04-17 09:03:41+02	2020-04-17 09:03:56+02	x11	xconsole	\N	xconsole-1.0.7_1
2020-04-17 06:29:11+02	2020-04-17 06:30:16+02	x11	xcursorgen	\N	xcursorgen-1.0.7
2020-05-09 16:15:00+02	2020-05-09 16:16:22+02	x11	xdm	\N	xdm-1.1.12_3
2020-04-17 05:12:24+02	2020-04-17 05:12:39+02	x11	xdpyinfo	\N	xdpyinfo-1.3.2_3
2020-05-16 18:54:18+02	2020-05-16 18:54:29+02	x11	xdriinfo	\N	xdriinfo-1.0.6_3
2020-04-17 09:04:15+02	2020-04-17 09:04:28+02	x11	xev	\N	xev-1.2.3
2020-04-17 09:04:29+02	2020-04-17 09:04:48+02	x11	xf86dga	\N	xf86dga-1.0.3_1
2020-04-17 09:04:48+02	2020-04-17 09:05:06+02	x11	xgamma	\N	xgamma-1.0.6
2020-04-17 09:05:06+02	2020-04-17 09:05:28+02	x11	xgc	\N	xgc-1.0.5
2020-04-17 09:05:30+02	2020-04-17 09:05:44+02	x11	xhost	\N	xhost-1.0.8
2020-04-17 09:05:45+02	2020-04-17 09:06:01+02	x11	xinit	\N	xinit-1.4.1,1
2020-04-17 09:06:02+02	2020-04-17 09:06:18+02	x11	xinput	\N	xinput-1.6.3
2020-04-17 03:13:27+02	2020-04-17 03:13:58+02	x11	xkbcomp	\N	xkbcomp-1.4.3
2020-04-17 09:06:19+02	2020-04-17 09:06:33+02	x11	xkbevd	\N	xkbevd-1.1.4
2020-04-17 09:06:33+02	2020-04-17 09:06:51+02	x11	xkbutils	\N	xkbutils-1.0.4_2
2020-04-02 23:51:51+02	2020-04-02 23:54:04+02	x11	xkeyboard-config	\N	xkeyboard-config-2.29
2020-04-17 09:06:51+02	2020-04-17 09:07:08+02	x11	xkill	\N	xkill-1.0.5
2020-05-16 21:30:29+02	2020-05-16 21:30:46+02	x11	xlockmore	\N	xlockmore-5.63
2020-04-17 09:07:09+02	2020-04-17 09:07:23+02	x11	xlsatoms	\N	xlsatoms-1.1.3
2020-04-17 09:07:23+02	2020-04-17 09:07:38+02	x11	xlsclients	\N	xlsclients-1.1.4
2020-04-17 17:14:39+02	2020-04-17 17:14:56+02	x11	xman	\N	xman-1.1.5
2020-04-17 09:07:38+02	2020-04-17 09:07:52+02	x11	xmessage	\N	xmessage-1.0.5
2020-04-17 09:07:53+02	2020-04-17 09:08:09+02	x11	xmodmap	\N	xmodmap-1.0.10
2020-05-16 20:05:07+02	2020-05-16 20:05:30+02	x11	xorg-apps	\N	xorg-apps-7.7_4
2020-02-29 02:24:28+01	2020-02-29 02:24:37+01	x11	xorg-cf-files	\N	xorg-cf-files-1.0.6
2020-03-01 03:51:49+01	2020-03-01 03:52:00+01	x11	xorg-docs	\N	xorg-docs-1.7.1,1
2020-05-09 14:15:07+02	2020-05-09 14:15:16+02	x11	xorg-libraries	\N	xorg-libraries-7.7_4
2020-05-23 00:09:21+02	2020-05-23 00:12:31+02	x11	xorg	\N	xorg-7.7_3
2020-04-17 03:00:23+02	2020-04-17 03:00:41+02	x11	xorgproto	\N	xorgproto-2020.1
2020-04-17 09:08:10+02	2020-04-17 09:08:27+02	x11	xpr	\N	xpr-1.0.5
2020-04-17 03:15:55+02	2020-04-17 03:16:20+02	x11	xprop	\N	xprop-1.2.4
2020-04-17 09:08:27+02	2020-04-17 09:08:46+02	x11	xrandr	\N	xrandr-1.5.1
2020-04-17 05:12:35+02	2020-04-17 05:12:47+02	x11	xrdb	\N	xrdb-1.2.0
2020-04-17 09:08:46+02	2020-04-17 09:09:04+02	x11	xrefresh	\N	xrefresh-1.0.6
2020-05-23 21:44:52+02	2020-05-23 21:50:19+02	x11	xscreensaver	\N	xscreensaver-5.44
2020-04-17 03:16:13+02	2020-04-17 03:16:38+02	x11	xset	\N	xset-1.2.4_3
2020-04-17 09:09:04+02	2020-04-17 09:09:20+02	x11	xsetroot	\N	xsetroot-1.1.2
2020-05-09 12:28:53+02	2020-05-09 12:29:12+02	x11	xterm	\N	xterm-356
2020-02-28 22:00:54+01	2020-02-28 22:01:02+01	x11	xtrans	\N	xtrans-1.4.0
2020-04-17 09:10:07+02	2020-04-17 09:10:23+02	x11	xvinfo	\N	xvinfo-1.1.4
2020-04-17 09:10:23+02	2020-04-17 09:10:40+02	x11	xwd	\N	xwd-1.0.7
2020-04-17 09:10:43+02	2020-04-17 09:10:57+02	x11	xwininfo	\N	xwininfo-1.1.5
2020-04-17 09:10:57+02	2020-04-17 09:11:14+02	x11	xwud	\N	xwud-1.0.5
2020-05-20 07:46:35+02	2020-05-20 07:51:55+02	x11	yelp	\N	yelp-3.28.1_2
2020-05-25 22:35:18+02	2020-05-25 22:35:35+02	www	serf	\N	serf-1.3.9_5
2020-05-20 06:06:24+02	2020-05-20 06:07:46+02	x11	zenity	\N	zenity-3.28.1
2020-05-09 13:01:31+02	2020-05-09 13:01:42+02	x11-clocks	xclock	\N	xclock-1.0.9
2020-05-21 23:57:13+02	2020-05-21 23:58:23+02	x11-drivers	xf86-input-evdev	\N	xf86-input-evdev-2.10.6_5
2020-05-16 18:54:35+02	2020-05-16 18:55:24+02	x11-drivers	xf86-input-keyboard	\N	xf86-input-keyboard-1.9.0_4
2020-05-21 17:01:05+02	2020-05-21 17:01:52+02	x11-drivers	xf86-input-libinput	\N	xf86-input-libinput-0.30.0
2020-05-16 18:55:25+02	2020-05-16 18:56:29+02	x11-drivers	xf86-input-mouse	\N	xf86-input-mouse-1.9.3_3
2020-03-13 05:53:07+01	2020-03-13 05:54:25+01	x11-drivers	xf86-input-synaptics	\N	xf86-input-synaptics-1.9.1_5
2020-03-13 05:54:26+01	2020-03-13 05:55:48+01	x11-drivers	xf86-input-wacom	\N	xf86-input-wacom-0.39.0_1
2020-05-16 18:56:29+02	2020-05-16 18:57:37+02	x11-drivers	xf86-video-amdgpu	\N	xf86-video-amdgpu-19.1.0_1
2020-05-16 18:56:30+02	2020-05-16 18:58:10+02	x11-drivers	xf86-video-intel	\N	xf86-video-intel-2.99.917.20181203_1
2020-05-16 18:57:37+02	2020-05-16 18:58:42+02	x11-drivers	xf86-video-scfb	\N	xf86-video-scfb-0.0.5_2
2020-05-16 18:58:11+02	2020-05-16 18:59:15+02	x11-drivers	xf86-video-vesa	\N	xf86-video-vesa-2.4.0_3
2020-05-23 00:01:08+02	2020-05-23 00:01:52+02	x11-drivers	xorg-drivers	\N	xorg-drivers-7.7_6
2020-05-20 04:55:19+02	2020-05-20 05:01:59+02	x11-fm	caja	\N	caja-1.22.3
2020-05-23 09:58:32+02	2020-05-23 10:05:15+02	x11-fm	doublecmd	gtk2	doublecmd-gtk2-0.9.8_2
2020-05-21 11:54:11+02	2020-05-21 11:56:28+02	x11-fm	fsv2	\N	fsv2-1.1.0_1
2020-04-17 17:28:31+02	2020-04-17 17:28:55+02	x11-fm	xcruise	\N	xcruiser-0.30_3
2020-05-16 21:34:32+02	2020-05-16 21:34:44+02	x11-fm	xdiskusage	\N	xdiskusage-1.51_1
2020-02-28 22:27:58+01	2020-02-28 22:28:09+01	x11-fonts	bdftopcf	\N	bdftopcf-1.1_2
2020-05-09 14:15:16+02	2020-05-09 14:15:23+02	x11-fonts	bitstream-vera	\N	bitstream-vera-1.10_8
2020-05-09 13:01:42+02	2020-05-09 13:01:49+02	x11-fonts	crosextrafonts-caladea-ttf	\N	crosextrafonts-caladea-20130214_4
2020-05-09 13:01:50+02	2020-05-09 13:01:58+02	x11-fonts	crosextrafonts-carlito-ttf	\N	crosextrafonts-carlito-20130920_4
2020-05-09 11:12:31+02	2020-05-09 11:12:49+02	x11-fonts	dejavu	\N	dejavu-2.37_1
2020-02-28 22:29:16+01	2020-02-28 22:29:25+01	x11-fonts	encodings	\N	encodings-1.0.5,1
2020-05-09 12:10:02+02	2020-05-09 12:10:39+02	x11-fonts	font-adobe-100dpi	\N	font-adobe-100dpi-1.0.3_4
2020-05-09 12:18:08+02	2020-05-09 12:18:32+02	x11-fonts	font-adobe-75dpi	\N	font-adobe-75dpi-1.0.3_4
2020-05-09 12:30:09+02	2020-05-09 12:30:22+02	x11-fonts	font-adobe-utopia-100dpi	\N	font-adobe-utopia-100dpi-1.0.4_4
2020-05-09 12:30:23+02	2020-05-09 12:30:41+02	x11-fonts	font-adobe-utopia-75dpi	\N	font-adobe-utopia-75dpi-1.0.4_4
2020-05-09 12:30:42+02	2020-05-09 12:30:51+02	x11-fonts	font-adobe-utopia-type1	\N	font-adobe-utopia-type1-1.0.4_4
2020-02-29 07:30:22+01	2020-02-29 07:30:33+01	x11-fonts	font-alias	\N	font-alias-1.0.3_3
2020-05-09 12:30:51+02	2020-05-09 12:31:03+02	x11-fonts	font-arabic-misc	\N	font-arabic-misc-1.0.3_4
2020-05-09 12:31:03+02	2020-05-09 12:31:32+02	x11-fonts	font-bh-100dpi	\N	font-bh-100dpi-1.0.3_4
2020-05-09 12:31:32+02	2020-05-09 12:31:59+02	x11-fonts	font-bh-75dpi	\N	font-bh-75dpi-1.0.3_4
2020-05-09 12:31:59+02	2020-05-09 12:32:20+02	x11-fonts	font-bh-lucidatypewriter-100dpi	\N	font-bh-lucidatypewriter-100dpi-1.0.3_4
2020-05-09 12:32:20+02	2020-05-09 12:32:36+02	x11-fonts	font-bh-lucidatypewriter-75dpi	\N	font-bh-lucidatypewriter-75dpi-1.0.3_4
2020-05-09 11:12:50+02	2020-05-09 11:13:01+02	x11-fonts	font-bh-ttf	\N	font-bh-ttf-1.0.3_4
2020-05-09 12:32:37+02	2020-05-09 12:32:48+02	x11-fonts	font-bh-type1	\N	font-bh-type1-1.0.3_4
2020-05-09 12:32:38+02	2020-05-09 12:32:49+02	x11-fonts	font-bitstream-100dpi	\N	font-bitstream-100dpi-1.0.3_4
2020-05-09 12:32:49+02	2020-05-09 12:32:59+02	x11-fonts	font-bitstream-75dpi	\N	font-bitstream-75dpi-1.0.3_4
2020-05-09 12:32:49+02	2020-05-09 12:33:00+02	x11-fonts	font-bitstream-type1	\N	font-bitstream-type1-1.0.3_4
2020-05-09 12:33:00+02	2020-05-09 12:33:11+02	x11-fonts	font-cronyx-cyrillic	\N	font-cronyx-cyrillic-1.0.3_4
2020-05-09 12:33:01+02	2020-05-09 12:33:12+02	x11-fonts	font-cursor-misc	\N	font-cursor-misc-1.0.3_4
2020-05-09 12:33:11+02	2020-05-09 12:33:26+02	x11-fonts	font-daewoo-misc	\N	font-daewoo-misc-1.0.3_4
2020-05-09 12:33:12+02	2020-05-09 12:33:25+02	x11-fonts	font-dec-misc	\N	font-dec-misc-1.0.3_4
2020-05-09 12:33:26+02	2020-05-09 12:33:37+02	x11-fonts	font-ibm-type1	\N	font-ibm-type1-1.0.3_4
2020-05-09 12:33:26+02	2020-05-09 12:33:39+02	x11-fonts	font-isas-misc	\N	font-isas-misc-1.0.3_4
2020-05-09 12:33:39+02	2020-05-09 12:33:51+02	x11-fonts	font-jis-misc	\N	font-jis-misc-1.0.3_4
2020-05-09 12:33:40+02	2020-05-09 12:33:51+02	x11-fonts	font-micro-misc	\N	font-micro-misc-1.0.3_4
2020-05-09 12:33:51+02	2020-05-09 12:34:02+02	x11-fonts	font-misc-cyrillic	\N	font-misc-cyrillic-1.0.3_4
2020-05-09 11:12:57+02	2020-05-09 11:13:10+02	x11-fonts	font-misc-ethiopic	\N	font-misc-ethiopic-1.0.3_4
2020-05-09 11:13:01+02	2020-05-09 11:13:18+02	x11-fonts	font-misc-meltho	\N	font-misc-meltho-1.0.3_4
2020-05-09 12:06:09+02	2020-05-09 12:06:32+02	x11-fonts	font-misc-misc	\N	font-misc-misc-1.1.2_4
2020-05-09 12:33:52+02	2020-05-09 12:34:03+02	x11-fonts	font-mutt-misc	\N	font-mutt-misc-1.0.3_4
2020-05-09 12:34:02+02	2020-05-09 12:34:15+02	x11-fonts	font-schumacher-misc	\N	font-schumacher-misc-1.1.2_4
2020-05-09 12:34:04+02	2020-05-09 12:34:14+02	x11-fonts	font-screen-cyrillic	\N	font-screen-cyrillic-1.0.4_4
2020-05-09 12:34:15+02	2020-05-09 12:34:25+02	x11-fonts	font-sony-misc	\N	font-sony-misc-1.0.3_4
2020-05-09 12:34:15+02	2020-05-09 12:34:26+02	x11-fonts	font-sun-misc	\N	font-sun-misc-1.0.3_4
2020-02-28 22:28:09+01	2020-02-28 22:28:19+01	x11-fonts	font-util	\N	font-util-1.3.2
2020-05-09 12:34:26+02	2020-05-09 12:34:36+02	x11-fonts	font-winitzki-cyrillic	\N	font-winitzki-cyrillic-1.0.3_4
2020-05-09 12:34:27+02	2020-05-09 12:34:37+02	x11-fonts	font-xfree86-type1	\N	font-xfree86-type1-1.0.4_4
2020-05-09 11:10:58+02	2020-05-09 11:11:58+02	x11-fonts	fontconfig	\N	fontconfig-2.13.92_2,1
2020-05-09 13:01:58+02	2020-05-09 13:02:05+02	x11-fonts	gentium-basic	\N	GentiumBasic-1102_1
2020-05-09 14:15:22+02	2020-05-09 14:15:29+02	x11-fonts	gnu-unifont	\N	gnu-unifont-13.0.02,1
2020-05-09 13:01:59+02	2020-05-09 13:02:08+02	x11-fonts	liberation-fonts-ttf	\N	liberation-fonts-ttf-2.1.0,2
2020-02-28 22:24:09+01	2020-02-28 22:24:23+01	x11-fonts	libfontenc	\N	libfontenc-1.1.4
2020-02-29 19:43:01+01	2020-02-29 19:43:17+01	x11-fonts	libFS	\N	libFS-1.0.8
2020-02-29 02:24:38+01	2020-02-29 02:25:08+01	x11-fonts	libXfont	\N	libXfont-1.5.4_2,2
2020-03-01 00:57:39+01	2020-03-01 00:58:08+01	x11-fonts	libXfont2	\N	libXfont2-2.0.4
2020-05-09 11:13:11+02	2020-05-09 11:13:31+02	x11-fonts	libXft	\N	libXft-2.3.3
2020-05-09 13:02:06+02	2020-05-09 13:02:20+02	x11-fonts	linuxlibertine-g	\N	linuxlibertine-g-20120116_2
2020-02-28 22:24:23+01	2020-02-28 22:24:36+01	x11-fonts	mkfontscale	\N	mkfontscale-1.2.1
2020-05-09 12:18:14+02	2020-05-09 12:19:05+02	x11-fonts	noto-basic	\N	noto-basic-2.0
2020-03-20 06:15:35+01	2020-03-20 06:15:57+01	x11-fonts	p5-Font-TTF	\N	p5-Font-TTF-1.06
2020-05-09 13:02:08+02	2020-05-09 13:02:20+02	x11-fonts	twemoji-color-font-ttf	\N	twemoji-color-font-ttf-12.0.1
2020-05-09 13:02:20+02	2020-05-09 13:02:51+02	x11-fonts	xorg-fonts-100dpi	\N	xorg-fonts-100dpi-7.7
2020-05-09 13:02:20+02	2020-05-09 13:02:50+02	x11-fonts	xorg-fonts-75dpi	\N	xorg-fonts-75dpi-7.7
2020-05-09 13:02:51+02	2020-05-09 13:03:07+02	x11-fonts	xorg-fonts-cyrillic	\N	xorg-fonts-cyrillic-7.7
2020-05-09 13:02:51+02	2020-05-09 13:03:35+02	x11-fonts	xorg-fonts-miscbitmaps	\N	xorg-fonts-miscbitmaps-7.7
2020-05-09 11:13:19+02	2020-05-09 11:13:39+02	x11-fonts	xorg-fonts-truetype	\N	xorg-fonts-truetype-7.7_1
2020-05-09 13:03:07+02	2020-05-09 13:03:27+02	x11-fonts	xorg-fonts-type1	\N	xorg-fonts-type1-7.7
2020-05-09 14:15:23+02	2020-05-09 14:17:14+02	x11-fonts	xorg-fonts	\N	xorg-fonts-7.7_1
2020-05-16 18:58:43+02	2020-05-16 19:00:38+02	x11-servers	xephyr	\N	xephyr-1.20.8_1,1
2020-05-16 16:15:19+02	2020-05-16 16:16:43+02	x11-servers	xorg-server	\N	xorg-server-1.20.8_1,1
2020-05-25 22:48:17+02	2020-05-25 22:48:54+02	graphics	qt5-svg	\N	qt5-svg-5.14.2
2020-05-25 22:35:35+02	2020-05-25 22:35:49+02	textproc	lowdown	\N	lowdown-0.6.5
2020-05-16 20:05:31+02	2020-05-16 20:06:48+02	x11-servers	xorg-vfbserver	\N	xorg-vfbserver-1.20.8_1,1
2020-05-21 00:25:22+02	2020-05-21 00:29:21+02	x11-themes	adwaita-icon-theme	\N	adwaita-icon-theme-3.28.0
2020-05-20 07:51:56+02	2020-05-20 07:55:59+02	x11-themes	gtk-engines2	\N	gtk-engines2-2.20.2_3
2020-05-20 07:56:00+02	2020-05-20 07:58:40+02	x11-themes	gtk-murrine-engine	\N	gtk-murrine-engine-0.98.2_5
2020-03-20 02:02:39+01	2020-03-20 02:03:01+01	x11-themes	icon-naming-utils	\N	icon-naming-utils-0.8.90_1
2020-05-20 04:05:09+02	2020-05-20 04:07:44+02	x11-themes	kf5-breeze-icons	\N	kf5-breeze-icons-5.70.0
2020-05-20 04:16:19+02	2020-05-20 04:17:59+02	x11-themes	kf5-kiconthemes	\N	kf5-kiconthemes-5.70.0
2020-05-20 11:03:14+02	2020-05-20 11:04:58+02	x11-themes	mate-backgrounds	\N	mate-backgrounds-1.22.0
2020-05-20 04:05:30+02	2020-05-20 04:08:11+02	x11-themes	mate-icon-theme	\N	mate-icon-theme-1.22.2
2020-05-20 11:04:59+02	2020-05-20 11:11:24+02	x11-themes	mate-themes	\N	mate-themes-3.22.14
2020-03-01 03:54:20+01	2020-03-01 03:54:33+01	x11-themes	xcursor-themes	\N	xcursor-themes-1.0.6
2020-05-16 20:06:12+02	2020-05-16 20:06:34+02	x11-toolkits	fltk	\N	fltk-1.3.5
2020-05-20 11:11:25+02	2020-05-20 11:13:13+02	x11-toolkits	fpc-gtk2	\N	fpc-gtk2-3.0.4_4
2020-05-20 23:48:24+02	2020-05-20 23:49:43+02	x11-toolkits	gdl	\N	gdl-3.28.0
2020-05-20 04:17:59+02	2020-05-20 04:18:55+02	x11-toolkits	gstreamer1-plugins-pango	\N	gstreamer1-plugins-pango-1.16.2
2020-05-21 00:40:44+02	2020-05-21 00:49:59+02	x11-toolkits	gtk20	\N	gtk2-2.24.32
2020-05-21 00:29:21+02	2020-05-21 00:48:18+02	x11-toolkits	gtk30	\N	gtk3-3.24.10_1
2020-05-20 23:49:29+02	2020-05-20 23:50:14+02	x11-toolkits	gtkglarea2	\N	gtkglarea-2.0.1_10
2020-05-20 23:49:44+02	2020-05-20 23:58:33+02	x11-toolkits	gtkmm24	\N	gtkmm24-2.24.5_1
2020-05-20 06:06:28+02	2020-05-20 06:17:04+02	x11-toolkits	gtkmm30	\N	gtkmm30-3.22.2
2020-05-20 07:58:40+02	2020-05-20 08:05:06+02	x11-toolkits	gtksourceview3	\N	gtksourceview3-3.24.8_3
2020-05-20 05:02:01+02	2020-05-20 05:05:35+02	x11-toolkits	kf5-attica	\N	kf5-attica-5.70.0
2020-05-20 04:33:05+02	2020-05-20 04:34:15+02	x11-toolkits	kf5-kcompletion	\N	kf5-kcompletion-5.70.0
2020-05-20 04:07:45+02	2020-05-20 04:09:39+02	x11-toolkits	kf5-kconfigwidgets	\N	kf5-kconfigwidgets-5.70.0
2020-05-20 03:08:49+02	2020-05-20 03:11:52+02	x11-toolkits	kf5-kguiaddons	\N	kf5-kguiaddons-5.70.0
2020-05-20 04:08:11+02	2020-05-20 04:09:47+02	x11-toolkits	kf5-kitemviews	\N	kf5-kitemviews-5.70.0
2020-05-20 08:05:07+02	2020-05-20 08:07:37+02	x11-toolkits	kf5-kjobwidgets	\N	kf5-kjobwidgets-5.70.0
2020-05-20 05:05:36+02	2020-05-20 05:09:01+02	x11-toolkits	kf5-ktextwidgets	\N	kf5-ktextwidgets-5.70.0
2020-05-20 02:28:34+02	2020-05-20 02:31:30+02	x11-toolkits	kf5-kwidgetsaddons	\N	kf5-kwidgetsaddons-5.70.0
2020-05-20 06:07:46+02	2020-05-20 06:11:37+02	x11-toolkits	kf5-kxmlgui	\N	kf5-kxmlgui-5.70.0
2020-05-21 11:56:29+02	2020-05-21 11:57:25+02	x11-toolkits	libgdiplus	\N	libgdiplus-5.6_2
2020-05-20 05:09:02+02	2020-05-20 05:11:52+02	x11-toolkits	libunique3	\N	libunique-3.0.2_3
2020-05-20 03:11:53+02	2020-05-20 03:17:32+02	x11-toolkits	libwnck3	\N	libwnck3-3.24.1
2020-04-17 03:14:22+02	2020-04-17 03:15:44+02	x11-toolkits	libXaw	\N	libXaw-1.0.13_3,2
2020-04-17 03:13:27+02	2020-04-17 03:14:22+02	x11-toolkits	libXmu	\N	libXmu-1.1.3,1
2020-04-17 03:12:24+02	2020-04-17 03:13:24+02	x11-toolkits	libXt	\N	libXt-1.2.0,1
2020-05-09 12:37:32+02	2020-05-09 12:47:32+02	x11-toolkits	open-motif	\N	open-motif-2.3.8_1
2020-05-21 00:07:41+02	2020-05-21 00:11:37+02	x11-toolkits	pango	\N	pango-1.42.4_3
2020-05-20 04:18:55+02	2020-05-20 04:20:40+02	x11-toolkits	pangomm	\N	pangomm-2.40.1_4
2020-05-21 01:52:33+02	2020-05-21 01:52:59+02	x11-toolkits	pangox-compat	\N	pangox-compat-0.0.2_2
2020-05-20 11:13:14+02	2020-05-20 11:18:25+02	x11-toolkits	py-gtk2	py27	py27-gtk2-2.24.0_5
2020-03-20 03:30:23+01	2020-03-20 03:57:05+01	x11-toolkits	py-qt5-gui	py27	py27-qt5-gui-5.13.1
2020-05-20 03:17:33+02	2020-05-20 03:50:11+02	x11-toolkits	py-qt5-gui	py37	py37-qt5-gui-5.13.1_1
2020-03-20 04:14:04+01	2020-03-20 04:23:43+01	x11-toolkits	py-qt5-widgets	py27	py27-qt5-widgets-5.13.1
2020-05-20 04:20:41+02	2020-05-20 04:30:35+02	x11-toolkits	py-qt5-widgets	py37	py37-qt5-widgets-5.13.1_1
2020-03-16 06:18:20+01	2020-03-16 06:18:30+01	x11-toolkits	py-tkinter	py27	py27-tkinter-2.7.17_6
2020-05-09 12:06:48+02	2020-05-09 12:07:02+02	x11-toolkits	py-tkinter	py37	py37-tkinter-3.7.7_6
2020-05-16 21:35:13+02	2020-05-16 21:35:36+02	x11-toolkits	py-tkinter	py38	py38-tkinter-3.8.3_6
2020-05-21 00:59:00+02	2020-05-21 01:22:21+02	x11-toolkits	qt5-declarative	\N	qt5-declarative-5.14.2
2020-05-21 00:30:56+02	2020-05-21 00:48:02+02	x11-toolkits	qt5-gui	\N	qt5-gui-5.14.2
2020-05-20 11:18:26+02	2020-05-20 11:24:26+02	x11-toolkits	qt5-quickcontrols	\N	qt5-quickcontrols-5.14.2
2020-05-21 01:37:14+02	2020-05-21 01:37:43+02	x11-toolkits	qt5-uiplugin	\N	qt5-uiplugin-5.14.2
2020-05-21 00:48:02+02	2020-05-21 00:57:56+02	x11-toolkits	qt5-widgets	\N	qt5-widgets-5.14.2
2020-05-09 11:57:10+02	2020-05-09 11:58:20+02	x11-toolkits	tk86	\N	tk86-8.6.10_1
2020-05-21 01:56:44+02	2020-05-21 01:58:40+02	x11-toolkits	vte3	\N	vte3-0.52.2_3
2020-05-20 01:58:41+02	2020-05-20 02:00:08+02	x11-toolkits	wxgtk28-common	\N	wx28-gtk2-common-2.8.12_8
2020-05-20 06:11:38+02	2020-05-20 06:15:52+02	x11-toolkits	wxgtk28-contrib-common	\N	wx28-gtk2-contrib-common-2.8.12_8
2020-05-20 08:07:38+02	2020-05-20 08:16:11+02	x11-toolkits	wxgtk28-contrib	\N	wx28-gtk2-contrib-2.8.12_8
2020-05-20 02:11:51+02	2020-05-20 02:23:05+02	x11-toolkits	wxgtk28	\N	wx28-gtk2-2.8.12_8
2020-05-20 11:24:26+02	2020-05-20 12:08:18+02	x11-toolkits	wxgtk30	\N	wx30-gtk3-3.0.5.1
2020-04-26 15:30:44+02	2020-04-26 15:31:55+02	x11-toolkits	Xaw3d	\N	Xaw3d-1.5E_8
2020-04-17 17:29:45+02	2020-04-17 17:30:27+02	x11-wm	bbkeys	\N	bbkeys-0.9.1_1
2020-04-17 17:30:27+02	2020-04-17 17:30:52+02	x11-wm	bbpager	\N	bbpager-0.4.7_3
2020-05-09 12:39:38+02	2020-05-09 12:40:38+02	x11-wm	blackbox	\N	blackbox-0.70.1_6
2020-05-20 08:16:12+02	2020-05-20 08:23:33+02	x11-wm	marco	\N	marco-1.22.4
2020-05-07 20:42:34+02	2020-05-07 20:43:18+02	x11-wm	twm	\N	twm-1.0.10_1
2020-05-23 22:58:10+02	2020-05-23 23:14:43+02	local	E590T-localbase	\N	E590T-localbase-2020052200
2020-05-25 22:48:49+02	2020-05-25 22:49:13+02	devel	qt5-script	\N	qt5-script-5.14.2
2020-05-24 09:09:44+02	2020-05-24 09:15:58+02	graphics	drm-current-kmod	\N	drm-current-kmod-4.16.g20200320
2020-05-24 09:15:59+02	2020-05-24 09:16:06+02	graphics	drm-kmod	\N	drm-kmod-g20190710
2020-05-24 09:34:05+02	2020-05-24 09:48:40+02	local	E590T-localbase	\N	E590T-localbase-2020052200
2020-05-25 22:53:48+02	2020-05-25 22:54:27+02	x11-toolkits	kf5-kguiaddons	\N	kf5-kguiaddons-5.70.0
2020-05-24 11:13:59+02	2020-05-24 11:17:29+02	graphics	drm-current-kmod	\N	drm-current-kmod-4.16.g20200320
2020-05-25 23:04:23+02	2020-05-25 23:05:10+02	devel	kf5-solid	\N	kf5-solid-5.70.0
2020-05-24 11:18:13+02	2020-05-24 11:18:23+02	graphics	drm-kmod	\N	drm-kmod-g20190710
2020-05-25 23:46:21+02	2020-05-25 23:49:38+02	multimedia	shotcut	\N	shotcut-20.04.12_1
2020-05-26 19:47:15+02	2020-05-26 19:51:58+02	sysutils	ansible	py37	py37-ansible-2.9.7
2020-05-24 11:48:10+02	2020-05-24 12:02:45+02	local	E590T-localbase	\N	E590T-localbase-2020052200
2020-05-24 12:56:21+02	2020-05-24 12:58:14+02	graphics	drm-current-kmod	\N	drm-current-kmod-4.16.g20200320
2020-05-24 12:58:15+02	2020-05-24 12:58:22+02	graphics	drm-kmod	\N	drm-kmod-g20190710
2020-05-24 13:17:27+02	2020-05-24 13:32:00+02	local	E590T-localbase	\N	E590T-localbase-2020052200
2020-05-25 22:36:02+02	2020-05-25 22:37:00+02	devel	subversion	\N	subversion-1.13.0_1
2020-05-25 22:48:40+02	2020-05-25 22:49:32+02	devel	kf5-extra-cmake-modules	\N	kf5-extra-cmake-modules-5.70.0_1
2020-05-25 22:54:25+02	2020-05-25 22:55:12+02	accessibility	qt5-speech	\N	qt5-speech-5.14.2
2020-05-25 23:04:15+02	2020-05-25 23:05:15+02	x11-toolkits	kf5-kxmlgui	\N	kf5-kxmlgui-5.70.0
2020-05-25 23:26:06+02	2020-05-25 23:52:21+02	devel	RStudio	\N	RStudio-1.3.959
2020-05-21 00:24:44+02	2020-05-21 00:25:22+02	accessibility	at-spi2-atk	\N	at-spi2-atk-2.26.2
2020-05-21 00:11:38+02	2020-05-21 00:12:42+02	accessibility	at-spi2-core	\N	at-spi2-core-2.28.0
2020-05-21 00:13:51+02	2020-05-21 00:14:21+02	accessibility	atk	\N	atk-2.28.1
2020-05-20 04:09:40+02	2020-05-20 04:10:39+02	accessibility	atkmm	\N	atkmm-2.24.2_4
2020-05-20 03:50:12+02	2020-05-20 03:52:28+02	accessibility	qt5-speech	\N	qt5-speech-5.14.2
2020-05-20 02:00:09+02	2020-05-20 02:00:56+02	accessibility	speech-dispatcher	\N	speech-dispatcher-0.8.8
2020-05-10 10:07:21+02	2020-05-10 10:07:34+02	archivers	arc	\N	arc-5.21p
2020-05-10 10:07:21+02	2020-05-10 10:08:07+02	archivers	arj	\N	arj-3.10.22_8
2020-03-01 00:07:39+01	2020-03-01 00:08:37+01	archivers	brotli	\N	brotli-1.0.7_2,1
2020-05-20 12:08:21+02	2020-05-20 12:14:50+02	archivers	engrampa	\N	engrampa-1.22.2
2020-02-29 09:45:35+01	2020-02-29 09:46:36+01	archivers	gtar	\N	gtar-1.32
2020-05-20 02:00:56+02	2020-05-20 02:01:53+02	archivers	kf5-karchive	\N	kf5-karchive-5.70.0
2020-02-29 09:06:33+01	2020-02-29 09:06:40+01	devel	mdds	\N	mdds-1.4.1
2020-05-23 08:47:36+02	2020-05-23 08:48:50+02	archivers	libarchive	\N	libarchive-3.4.3,1
2020-02-28 22:01:03+01	2020-02-28 22:01:33+01	archivers	liblz4	\N	liblz4-1.9.2_1,1
2020-02-29 01:23:07+01	2020-02-29 01:23:30+01	archivers	libmspack	\N	libmspack-0.10.1
2020-02-29 19:54:02+01	2020-02-29 19:54:30+01	archivers	libunrar5	\N	libunrar5-5.6.8_1
2020-02-28 22:07:51+01	2020-02-28 22:08:34+01	archivers	lzo2	\N	lzo2-2.10_1
2020-03-16 22:40:07+01	2020-03-16 22:40:37+01	archivers	minizip	\N	minizip-1.2.11
2020-03-28 19:28:44+01	2020-03-28 19:29:06+01	archivers	p5-Archive-Zip	\N	p5-Archive-Zip-1.68
2020-03-01 03:58:12+01	2020-03-01 03:58:23+01	archivers	pbzip2	\N	pbzip2-1.1.13
2020-05-16 10:56:36+02	2020-05-16 10:57:04+02	archivers	php73-zlib	\N	php73-zlib-7.3.18
2020-02-29 02:07:14+01	2020-02-29 02:07:32+01	archivers	snappy	\N	snappy-1.1.8
2020-04-05 01:27:21+02	2020-04-05 01:27:49+02	archivers	unrar	\N	unrar-5.90,6
2020-02-29 08:38:41+01	2020-02-29 08:38:59+01	archivers	unzip	\N	unzip-6.0_8
2020-05-10 10:07:21+02	2020-05-10 10:07:29+02	archivers	unzoo	\N	unzoo-4.4_2
2020-02-28 23:37:26+01	2020-02-28 23:37:40+01	archivers	zip	\N	zip-3.0_1
2020-02-29 19:54:30+01	2020-02-29 19:56:35+01	archivers	zstd	\N	zstd-1.4.4_1
2020-05-25 22:33:59+02	2020-05-25 22:37:20+02	archivers	zstd	\N	zstd-1.4.5
2020-05-09 14:17:15+02	2020-05-09 14:19:27+02	astro	xephem	\N	xephem-3.7.7_5
2020-02-28 23:56:35+01	2020-02-28 23:57:24+01	audio	alsa-lib	\N	alsa-lib-1.1.2_2
2020-02-29 01:09:28+01	2020-02-29 01:09:42+01	audio	alsa-plugins	\N	alsa-plugins-1.1.1_6
2020-02-29 15:11:25+01	2020-02-29 15:11:51+01	audio	celt	\N	celt-0.11.3_3
2020-03-01 00:58:08+01	2020-03-01 00:58:30+01	audio	espeak	\N	espeak-1.48.04_7
2020-05-23 09:20:11+02	2020-05-23 09:20:52+02	audio	faudio	\N	FAudio-20.05
2020-02-29 19:56:35+01	2020-02-29 19:59:08+01	audio	fdk-aac	\N	fdk-aac-2.0.1
2020-02-28 23:42:07+01	2020-02-28 23:43:09+01	audio	flac	\N	flac-1.3.3
2020-02-29 19:56:42+01	2020-02-29 19:57:05+01	audio	freealut	\N	freealut-1.1.0_4
2020-02-29 19:54:49+01	2020-02-29 19:55:59+01	audio	faad	\N	faad2-2.8.8,1
2020-03-16 22:40:37+01	2020-03-16 22:40:50+01	audio	gsm	\N	gsm-1.0.13_2
2020-05-20 04:09:47+02	2020-05-20 04:10:36+02	audio	gstreamer1-plugins-a52dec	\N	gstreamer1-plugins-a52dec-1.16.2
2020-05-20 04:10:37+02	2020-05-20 04:11:16+02	audio	gstreamer1-plugins-mpg123	\N	gstreamer1-plugins-mpg123-1.16.2
2020-05-20 03:52:29+02	2020-05-20 03:59:01+02	audio	gstreamer1-plugins-ogg	\N	gstreamer1-plugins-ogg-1.16.2
2020-05-20 04:10:40+02	2020-05-20 04:11:27+02	audio	gstreamer1-plugins-vorbis	\N	gstreamer1-plugins-vorbis-1.16.2
2020-03-02 10:00:19+01	2020-03-02 10:01:38+01	audio	jack	\N	jackit-0.125.0_9
2020-03-17 05:42:00+01	2020-03-17 05:42:11+01	audio	ladspa	\N	ladspa-1.15
2020-03-16 22:40:50+01	2020-03-16 22:41:35+01	audio	lame	\N	lame-3.100_2
2020-02-29 02:14:33+01	2020-02-29 02:14:47+01	audio	liba52	\N	liba52-0.7.4_3
2020-03-16 22:41:35+01	2020-03-16 22:41:51+01	audio	libao	\N	libao-1.2.0_4
2020-05-21 01:52:35+02	2020-05-21 01:53:18+02	audio	libcanberra-gtk3	\N	libcanberra-gtk3-0.30_5
2020-05-21 01:46:42+02	2020-05-21 01:47:19+02	audio	libcanberra	\N	libcanberra-0.30_5
2020-02-29 06:09:45+01	2020-02-29 06:10:03+01	audio	libcddb	\N	libcddb-1.3.2_4
2020-03-16 22:41:52+01	2020-03-16 22:42:07+01	audio	libid3tag	\N	libid3tag-0.15.1b_2
2020-02-29 19:58:19+01	2020-02-29 19:58:46+01	audio	libmad	\N	libmad-0.15.1b_7
2020-05-20 04:34:16+02	2020-05-20 04:35:28+02	audio	libmatemixer	\N	libmatemixer-1.22.0
2020-02-29 01:53:59+01	2020-02-29 01:54:38+01	audio	libmikmod	\N	libmikmod-3.3.11.1_1
2020-02-29 09:45:52+01	2020-02-29 09:46:16+01	audio	libmodplug	\N	libmodplug-0.8.9.0
2020-02-29 09:04:51+01	2020-02-29 09:05:04+01	audio	libmysofa	\N	libmysofa-0.9
2020-02-28 23:27:18+01	2020-02-28 23:27:32+01	audio	libogg	\N	libogg-1.3.4,4
2020-03-08 18:13:49+01	2020-03-08 18:15:17+01	audio	libopenshot-audio	\N	libopenshot-audio-0.2.0.2
2020-02-29 09:46:17+01	2020-02-29 09:46:45+01	audio	libsamplerate	\N	libsamplerate-0.1.9
2020-02-28 23:48:57+01	2020-02-28 23:49:55+01	audio	libsndfile	\N	libsndfile-1.0.28_2
2020-02-29 01:09:42+01	2020-02-29 01:10:03+01	audio	libsoxr	\N	libsoxr-0.1.3_2
2020-02-28 23:28:46+01	2020-02-28 23:29:11+01	audio	libvorbis	\N	libvorbis-1.3.6,3
2020-05-20 12:16:33+02	2020-05-20 12:20:12+02	audio	mate-media	\N	mate-media-1.22.2
2020-02-29 06:10:03+01	2020-02-29 06:10:45+01	audio	mpg123	\N	mpg123-1.25.13
2020-02-29 09:46:37+01	2020-02-29 09:47:53+01	audio	openal-soft	\N	openal-soft-1.20.1
2020-03-01 00:00:55+01	2020-03-01 00:01:43+01	audio	opus	\N	opus-1.3.1
2020-03-16 22:42:09+01	2020-03-16 22:42:52+01	audio	opusfile	\N	opusfile-0.10
2020-03-01 00:52:24+01	2020-03-01 00:53:42+01	audio	portaudio	\N	portaudio-19.6.0_3,1
2020-05-20 02:13:17+02	2020-05-20 02:23:12+02	audio	pulseaudio	\N	pulseaudio-13.0
2020-05-16 16:39:24+02	2020-05-16 16:39:51+02	audio	sdl_mixer	\N	sdl_mixer-1.2.12_12
2020-05-16 18:17:50+02	2020-05-16 18:18:23+02	audio	sdl_sound	\N	sdl_sound-1.0.3_14
2020-03-01 21:12:35+01	2020-03-01 21:12:45+01	audio	sndio	\N	sndio-1.6.0
2020-03-17 02:55:55+01	2020-03-17 02:58:33+01	audio	sox	\N	sox-14.4.2_3
2020-02-29 02:14:47+01	2020-02-29 02:15:06+01	audio	speex	\N	speex-1.2.0,1
2020-03-01 00:08:38+01	2020-03-01 00:08:54+01	audio	speexdsp	\N	speexdsp-1.2.0
2020-04-19 18:37:28+02	2020-04-19 18:38:30+02	audio	swhplugins	\N	swhplugins-0.4.15_7
2020-05-03 12:10:29+02	2020-05-03 12:13:28+02	audio	taglib	\N	taglib-1.12.b.1
2020-02-29 01:54:38+01	2020-02-29 01:54:54+01	audio	timidity	\N	timidity-0.2i_1
2020-02-29 20:00:24+01	2020-02-29 20:00:45+01	audio	twolame	\N	twolame-0.4.0
2020-02-29 01:10:03+01	2020-02-29 01:13:06+01	audio	webrtc-audio-processing	\N	webrtc-audio-processing-0.3.1_2
2020-04-17 12:41:21+02	2020-04-17 12:41:34+02	audio	xmix	\N	xmix-2.1_3
2020-05-24 12:56:21+02	2020-05-24 12:57:26+02	benchmarks	fio	\N	fio-3.20
2020-03-01 04:08:33+01	2020-03-01 04:08:57+01	benchmarks	iperf3	\N	iperf3-3.7
2020-03-01 04:08:58+01	2020-03-01 04:09:50+01	comms	kermit	\N	kermit-9.0.304
2020-05-21 16:25:18+02	2020-05-21 16:25:29+02	comms	py-serial	py37	py37-serial-3.4_1
2020-05-20 04:25:46+02	2020-05-20 04:30:24+02	comms	qt5-sensors	\N	qt5-sensors-5.14.2
2020-05-20 02:23:05+02	2020-05-20 02:23:38+02	comms	qt5-serialport	\N	qt5-serialport-5.14.2
2020-03-01 04:09:50+01	2020-03-01 04:10:00+01	converters	dosunix	\N	dosunix-1.0.14
2020-03-07 03:18:34+01	2020-03-07 03:18:47+01	converters	fpc-iconvenc	\N	fpc-iconvenc-3.0.4_4
2020-02-28 22:46:59+01	2020-02-28 22:47:14+01	converters	fribidi	\N	fribidi-0.19.7
2020-05-18 22:04:26+02	2020-05-18 22:04:59+02	converters	libiconv	\N	libiconv-1.16
2020-03-20 03:10:06+01	2020-03-20 03:10:35+01	converters	p5-Encode-Locale	\N	p5-Encode-Locale-1.05
2020-03-19 20:16:02+01	2020-03-19 20:16:13+01	converters	p5-Text-Unidecode	\N	p5-Text-Unidecode-1.30
2020-05-18 22:06:35+02	2020-05-18 22:07:03+02	converters	php73-iconv	\N	php73-iconv-7.3.18
2020-05-16 10:57:27+02	2020-05-16 10:57:59+02	converters	php73-mbstring	\N	php73-mbstring-7.3.18
2020-04-27 23:32:27+02	2020-04-27 23:32:46+02	converters	py-webencodings	py27	py27-webencodings-0.5.1
2020-04-26 20:07:02+02	2020-04-26 20:07:56+02	converters	py-webencodings	py37	py37-webencodings-0.5.1
2020-04-26 15:31:19+02	2020-04-26 15:33:06+02	converters	recode	\N	recode-3.6_14
2020-03-01 04:10:51+01	2020-03-01 04:10:59+01	converters	unix2dos	\N	unix2dos-1.3
2020-02-28 23:37:40+01	2020-02-28 23:41:17+01	databases	db6	\N	db6-6.2.32_1
2020-04-25 06:06:12+02	2020-04-25 06:38:26+02	databases	firebird25-client	\N	firebird25-client-2.5.8_6
2020-03-07 03:19:05+01	2020-03-07 03:19:18+01	databases	fpc-dblib	\N	fpc-dblib-3.0.4_4
2020-04-25 06:38:28+02	2020-04-25 06:38:59+02	databases	fpc-ibase	\N	fpc-ibase-3.0.4_5
2020-05-19 07:19:34+02	2020-05-19 07:20:00+02	databases	fpc-mysql	\N	fpc-mysql-3.0.4_4
2020-03-07 03:20:08+01	2020-03-07 03:20:18+01	databases	fpc-odbc	\N	fpc-odbc-3.0.4_4
2020-03-07 03:20:19+01	2020-03-07 03:20:31+01	databases	fpc-oracle	\N	fpc-oracle-3.0.4_4
2020-05-18 08:26:36+02	2020-05-18 08:26:47+02	databases	fpc-postgres	\N	fpc-postgres-3.0.4_6
2020-03-07 03:20:57+01	2020-03-07 03:21:25+01	databases	fpc-pxlib	\N	fpc-pxlib-3.0.4_4
2020-04-25 06:26:54+02	2020-04-25 06:27:42+02	databases	fpc-sqlite	\N	fpc-sqlite-3.0.4_4
2020-03-02 07:09:52+01	2020-03-02 07:10:26+01	databases	gdbm	\N	gdbm-1.18.1_1
2020-05-19 07:12:07+02	2020-05-19 07:25:15+02	databases	libmemcached	\N	libmemcached-1.0.18_7
2020-02-29 20:00:45+01	2020-02-29 20:01:02+01	databases	lmdb	\N	lmdb-0.9.24_1,1
2020-05-19 07:18:35+02	2020-05-19 07:19:33+02	databases	mysql57-client	\N	mysql57-client-5.7.30_1
2020-05-16 10:58:18+02	2020-05-16 10:58:36+02	databases	pecl-memcache	php73	php73-pecl-memcache-4.0.5.2
2020-05-19 07:25:16+02	2020-05-19 07:25:45+02	databases	pecl-memcached	php73	php73-pecl-memcached-3.1.5
2020-05-18 08:24:14+02	2020-05-18 08:24:37+02	databases	php73-pdo_pgsql	\N	php73-pdo_pgsql-7.3.18
2020-05-16 10:58:37+02	2020-05-16 10:59:00+02	databases	php73-pdo_sqlite	\N	php73-pdo_sqlite-7.3.18
2020-05-16 10:57:04+02	2020-05-16 10:57:27+02	databases	php73-pdo	\N	php73-pdo-7.3.18
2020-05-18 08:24:26+02	2020-05-18 08:24:49+02	databases	php73-pgsql	\N	php73-pgsql-7.3.18
2020-05-16 10:58:59+02	2020-05-16 10:59:22+02	databases	php73-sqlite3	\N	php73-sqlite3-7.3.18
2020-05-18 08:19:53+02	2020-05-18 08:22:23+02	databases	postgresql12-client	\N	postgresql12-client-12.3
2020-05-18 09:35:13+02	2020-05-18 09:40:18+02	databases	postgresql12-contrib	\N	postgresql12-contrib-12.3
2020-05-18 09:40:19+02	2020-05-18 09:54:28+02	databases	postgresql12-server	\N	postgresql12-server-12.3
2020-03-15 05:17:49+01	2020-03-15 05:18:21+01	databases	py-apsw	py27	py27-apsw-3.30.1
2020-04-27 06:14:44+02	2020-04-27 06:15:40+02	databases	py-apsw	py37	py37-apsw-3.31.1
2020-05-21 17:30:52+02	2020-05-21 17:31:13+02	databases	py-psycopg2	py37	py37-psycopg2-2.8.5
2020-05-21 16:25:29+02	2020-05-21 16:25:40+02	databases	py-redis	py37	py37-redis-3.3.11
2020-03-15 05:18:51+01	2020-03-15 05:19:21+01	databases	py-sqlite3	py27	py27-sqlite3-2.7.17_7
2020-04-26 21:28:56+02	2020-04-26 21:30:07+02	databases	py-sqlite3	py37	py37-sqlite3-3.7.7_7
2020-05-21 16:15:52+02	2020-05-21 16:16:06+02	databases	py-sqlparse	py37	py37-sqlparse-0.3.1
2020-05-21 00:48:19+02	2020-05-21 00:49:29+02	databases	qt5-sql	\N	qt5-sql-5.14.2
2020-05-21 01:03:25+02	2020-05-21 01:04:50+02	databases	qt5-sqldrivers-sqlite3	\N	qt5-sqldrivers-sqlite3-5.14.2
2020-04-18 20:25:25+02	2020-04-18 20:26:03+02	databases	redis	\N	redis-5.0.9
2020-05-20 12:20:13+02	2020-05-20 12:25:35+02	databases	rrdtool	\N	rrdtool-1.7.2_2
2020-04-26 01:23:34+02	2020-04-26 01:35:56+02	databases	sqlite3	\N	sqlite3-3.31.1_1,1
2020-04-26 19:20:54+02	2020-04-26 19:32:25+02	databases	tdb	\N	tdb-1.4.2,1
2020-02-29 15:12:34+01	2020-02-29 15:14:38+01	databases	unixODBC	\N	unixODBC-2.3.7
2020-05-20 12:25:35+02	2020-05-20 12:31:31+02	deskutils	caja-extensions	\N	caja-extensions-1.22.1
2020-05-24 09:09:44+02	2020-05-24 09:14:29+02	deskutils	calibre	\N	calibre-4.17.0
2020-05-20 08:23:34+02	2020-05-20 08:29:39+02	deskutils	gucharmap	\N	gucharmap-11.0.1_1
2020-05-20 08:29:39+02	2020-05-20 08:33:36+02	deskutils	mate-notification-daemon	\N	mate-notification-daemon-1.22.1
2020-05-20 12:31:32+02	2020-05-20 12:44:18+02	deskutils	mate-utils	\N	mate-utils-1.22.2
2020-05-20 12:44:19+02	2020-05-20 12:47:16+02	deskutils	mozo	\N	mozo-1.22.2
2020-05-20 08:33:36+02	2020-05-20 08:38:54+02	deskutils	spice-gtk	\N	spice-gtk-0.37
2020-05-22 00:00:33+02	2020-05-22 00:01:51+02	deskutils	sysctlview	\N	sysctlview-2.0
2020-04-17 12:42:11+02	2020-04-17 12:42:23+02	deskutils	tpb	\N	tpb-0.6.4_13
2020-04-17 12:42:18+02	2020-04-17 12:42:32+02	deskutils	xpostitPlus	\N	XPostitPlus-2.3_3
2020-02-29 20:06:45+01	2020-02-29 20:07:36+01	devel	adacurses	\N	adacurses-20180127
2020-05-10 12:05:19+02	2020-05-10 12:05:55+02	devel	apache-ant	\N	apache-ant-1.10.7
2020-04-03 06:26:40+02	2020-04-03 06:29:20+02	devel	apr1	\N	apr-1.7.0.1.6.1_1
2020-04-18 09:03:18+02	2020-04-18 09:03:57+02	devel	argp-standalone	\N	argp-standalone-1.3_4
2020-04-24 00:38:24+02	2020-04-24 00:39:01+02	devel	autoconf-archive	\N	autoconf-archive-0.2019.01.06
2020-02-28 21:56:20+01	2020-02-28 21:56:26+01	devel	autoconf-wrapper	\N	autoconf-wrapper-20131203
2020-03-19 20:20:31+01	2020-03-19 20:20:56+01	devel	autoconf	\N	autoconf-2.69_3
2020-03-19 23:09:08+01	2020-03-19 23:09:24+01	devel	autoconf213	\N	autoconf213-2.13.000227_7
2020-04-26 15:34:55+02	2020-04-26 15:36:05+02	devel	automake	\N	automake-1.16.2
2020-02-29 15:26:22+01	2020-02-29 15:28:33+01	devel	binutils	mips64	mips64-binutils-2.33.1_2,1
2020-02-28 22:08:53+01	2020-02-28 22:12:45+01	devel	binutils	native	binutils-2.33.1_2,1
2020-02-29 15:28:34+01	2020-02-29 15:30:28+01	devel	binutils	powerpc64	powerpc64-binutils-2.33.1_2,1
2020-02-29 15:30:28+01	2020-02-29 15:32:15+01	devel	binutils	riscv64	riscv64-binutils-2.33.1_2,1
2020-02-29 15:32:16+01	2020-02-29 15:33:52+01	devel	binutils	sparc64	sparc64-binutils-2.33.1_2,1
2020-02-29 15:23:35+01	2020-02-29 15:26:22+01	devel	binutils	aarch64	aarch64-binutils-2.33.1_2,1
2020-04-09 11:02:19+02	2020-04-09 11:04:25+02	devel	bison	\N	bison-3.5.4,1
2020-02-29 06:37:40+01	2020-02-29 06:38:11+01	devel	boehm-gc-threaded	\N	boehm-gc-threaded-8.0.4_1
2020-03-01 00:26:09+01	2020-03-01 00:26:43+01	devel	boehm-gc	\N	boehm-gc-8.0.4_1
2020-02-28 22:33:50+01	2020-02-28 22:34:53+01	devel	boost-jam	\N	boost-jam-1.72.0
2020-04-25 01:36:40+02	2020-04-25 02:20:18+02	devel	boost-libs	\N	boost-libs-1.72.0_2
2020-05-19 02:45:41+02	2020-05-19 02:46:54+02	devel	bzr	py27	bzr-2.7.0.6622
2020-04-14 18:51:48+02	2020-04-14 18:51:57+02	devel	ccache	\N	ccache-3.7.1_1
2020-05-16 11:36:35+02	2020-05-16 11:37:34+02	devel	cdecl	\N	cdecl-7.0
2020-02-28 22:02:59+01	2020-02-28 22:03:29+01	devel	check	\N	check-0.14.0
2020-05-23 08:48:50+02	2020-05-23 08:50:28+02	devel	cmake	\N	cmake-3.17.2
2020-02-29 06:38:11+01	2020-02-29 06:39:35+01	devel	cppunit	\N	cppunit-1.14.0_8
2020-02-29 20:07:37+01	2020-02-29 20:07:57+01	devel	cscope	\N	cscope-15.8b_1
2020-03-01 00:58:30+01	2020-03-01 00:58:47+01	devel	ctags	\N	ctags-5.8
2020-03-01 04:23:22+01	2020-03-01 04:23:53+01	devel	cvs+ipv6	\N	cvs+ipv6-1.20120905_3
2020-02-29 15:33:53+01	2020-02-29 15:34:03+01	devel	cvsps	\N	cvsps-2.1_2
2020-02-29 20:07:57+01	2020-02-29 20:08:11+01	devel	cweb	\N	cweb-3.64a.a
2020-05-19 23:54:17+02	2020-05-19 23:55:22+02	devel	dbus-glib	\N	dbus-glib-0.110
2020-04-17 03:12:26+02	2020-04-17 03:14:32+02	devel	dbus	\N	dbus-1.12.16
2020-05-21 00:57:44+02	2020-05-21 00:58:40+02	devel	dconf	\N	dconf-0.28.0
2020-05-21 00:40:22+02	2020-05-21 00:40:43+02	devel	desktop-file-utils	\N	desktop-file-utils-0.24
2020-05-22 00:01:53+02	2020-05-22 00:03:30+02	devel	distel	full	distel-emacs26-4.1.1_4
2020-02-29 15:34:03+01	2020-02-29 15:34:36+01	devel	dmake	\N	dmake-4.12.3,1
2020-03-01 00:58:48+01	2020-03-01 00:59:01+01	devel	dotconf	\N	dotconf-1.3_1
2020-05-15 21:32:32+02	2020-05-15 21:32:45+02	devel	double-conversion	\N	double-conversion-3.1.5.19
2020-05-21 16:50:35+02	2020-05-21 16:54:05+02	devel	doxygen	\N	doxygen-1.8.15_3,2
2020-03-16 17:37:40+01	2020-03-16 17:47:14+01	devel	electron6	\N	electron6-6.1.9
2020-05-23 09:31:35+02	2020-05-23 09:54:34+02	devel	electron7	\N	electron7-7.3.0_1
2020-02-28 21:56:26+01	2020-02-28 21:56:32+01	devel	evdev-proto	\N	evdev-proto-5.3
2020-05-16 19:07:10+02	2020-05-16 19:07:30+02	devel	flatzebra	\N	flatzebra-0.1.7
2020-03-07 03:22:20+01	2020-03-07 03:23:04+01	devel	fpc-fcl-async	\N	fpc-fcl-async-3.0.4_4
2020-03-07 03:18:02+01	2020-03-07 03:18:20+01	devel	fpc-fcl-base	\N	fpc-fcl-base-3.0.4_4
2020-03-07 03:24:24+01	2020-03-07 03:25:29+01	devel	fpc-fcl-db	\N	fpc-fcl-db-3.0.4_6
2020-03-07 03:25:30+01	2020-03-07 03:25:48+01	devel	fpc-fcl-fpcunit	\N	fpc-fcl-fpcunit-3.0.4_4
2020-03-07 03:27:43+01	2020-03-07 03:28:03+01	devel	fpc-fcl-image	\N	fpc-fcl-image-3.0.4_4
2020-03-07 03:23:05+01	2020-03-07 03:23:46+01	devel	fpc-fcl-json	\N	fpc-fcl-json-3.0.4_5
2020-03-07 03:25:49+01	2020-03-07 03:26:07+01	devel	fpc-fcl-net	\N	fpc-fcl-net-3.0.4_4
2020-03-07 03:23:46+01	2020-03-07 03:24:05+01	devel	fpc-fcl-passrc	\N	fpc-fcl-passrc-3.0.4_5
2020-03-07 11:36:38+01	2020-03-07 11:36:58+01	devel	fpc-fcl-registry	\N	fpc-fcl-registry-3.0.4_4
2020-03-07 03:17:48+01	2020-03-07 03:18:02+01	devel	fpc-fcl-res	\N	fpc-fcl-res-3.0.4_4
2020-03-07 03:28:04+01	2020-03-07 03:28:52+01	devel	fpc-fcl-web	\N	fpc-fcl-web-3.0.4_7
2020-03-07 03:18:47+01	2020-03-07 03:19:05+01	devel	fpc-fcl-xml	\N	fpc-fcl-xml-3.0.4_4
2020-03-07 03:29:15+01	2020-03-07 03:30:00+01	devel	fpc-fppkg	\N	fpc-fppkg-3.0.4_6
2020-03-07 12:59:30+01	2020-03-07 12:59:54+01	devel	fpc-fv	\N	fpc-fv-3.0.4_4
2020-03-07 12:59:54+01	2020-03-07 13:00:14+01	devel	fpc-gdbint	\N	fpc-gdbint-3.0.4_4
2020-03-07 03:30:00+01	2020-03-07 03:30:17+01	devel	fpc-regexpr	\N	fpc-regexpr-3.0.4_4
2020-05-19 07:21:41+02	2020-05-19 07:22:22+02	devel	fstrm	\N	fstrm-0.6.0
2020-05-20 04:35:29+02	2020-05-20 04:36:28+02	devel	gamin	\N	gamin-0.1.10_10
2020-02-29 02:16:42+01	2020-02-29 02:16:51+01	devel	gccmakedep	\N	gccmakedep-1.0.3
2020-05-21 01:33:07+02	2020-05-21 01:34:37+02	devel	gconf2	\N	gconf2-3.2.6_5
2020-05-18 22:06:55+02	2020-05-18 22:20:37+02	devel	gdb	py37	gdb-9.1
2020-04-26 15:22:36+02	2020-04-26 15:23:52+02	devel	gettext-runtime	\N	gettext-runtime-0.20.2
2020-04-26 15:25:23+02	2020-04-26 15:30:08+02	devel	gettext-tools	\N	gettext-tools-0.20.2
2020-03-16 22:36:46+01	2020-03-16 22:37:21+01	devel	gflags	\N	gflags-2.2.2_2
2020-05-09 14:22:32+02	2020-05-09 15:17:44+02	devel	ghidra	\N	ghidra-9.1
2020-05-20 06:15:53+02	2020-05-20 06:20:38+02	devel	git	\N	git-2.26.2
2020-05-19 23:37:56+02	2020-05-19 23:51:35+02	devel	glib20	\N	glib-2.56.3_7,1
2020-05-20 02:23:12+02	2020-05-20 02:28:40+02	devel	glibmm	\N	glibmm-2.56.0_2,1
2020-03-16 22:42:52+01	2020-03-16 22:44:03+01	devel	glog	\N	glog-0.4.0_1
2020-05-15 08:05:50+02	2020-05-15 08:08:50+02	devel	glslang	\N	glslang-8.13.3743
2020-05-21 16:14:56+02	2020-05-21 16:15:20+02	devel	gmake	\N	gmake-4.3_1
2020-04-24 00:39:02+02	2020-04-24 00:39:19+02	devel	gnome-common	\N	gnome-common-3.18.0
2020-05-19 23:55:51+02	2020-05-19 23:57:24+02	devel	gobject-introspection	\N	gobject-introspection-1.56.1,1
2020-05-16 19:07:14+02	2020-05-16 19:09:20+02	devel	google-perftools	\N	google-perftools-2.7_1
2020-02-28 22:12:46+01	2020-02-28 22:13:03+01	devel	gperf	\N	gperf-3.1
2020-05-10 12:05:56+02	2020-05-10 12:07:10+02	devel	gradle5	\N	gradle5-5.0
2020-05-21 01:01:45+02	2020-05-21 01:02:37+02	devel	gsettings-desktop-schemas	\N	gsettings-desktop-schemas-3.28.1
2020-04-25 15:06:07+02	2020-04-25 15:28:48+02	devel	gsoap	\N	gsoap-2.8.101
2020-05-23 09:05:39+02	2020-05-23 09:09:46+02	devel	gvfs	\N	gvfs-1.30.4_3
2020-05-22 02:16:43+02	2020-05-22 02:21:14+02	devel	hs-cabal-install	\N	hs-cabal-install-3.0.2.0
2020-04-26 01:23:34+02	2020-04-26 01:36:40+02	devel	icu	\N	icu-67.1,1
2020-03-20 02:31:55+01	2020-03-20 02:32:22+01	devel	imake	\N	imake-1.0.8,1
2020-02-28 23:24:44+01	2020-02-28 23:25:03+01	devel	jam	\N	jam-2.6
2020-02-29 06:12:28+01	2020-02-29 06:12:41+01	devel	jansson	\N	jansson-2.12
2020-05-21 23:54:21+02	2020-05-21 23:54:45+02	devel	json-c	\N	json-c-0.14
2020-05-21 01:08:22+02	2020-05-21 01:09:10+02	devel	json-glib	\N	json-glib-1.4.4
2020-02-28 22:07:52+01	2020-02-28 22:08:21+01	devel	jsoncpp	\N	jsoncpp-1.9.2
2020-04-26 01:59:24+02	2020-04-26 02:06:16+02	devel	kBuild	\N	kBuild-0.1.9998_13
2020-05-21 01:24:10+02	2020-05-21 01:25:12+02	devel	kf5-extra-cmake-modules	\N	kf5-extra-cmake-modules-5.70.0_1
2020-05-20 02:37:12+02	2020-05-20 02:38:48+02	devel	kf5-kauth	\N	kf5-kauth-5.70.0
2020-05-20 06:17:05+02	2020-05-20 06:19:56+02	devel	kf5-kbookmarks	\N	kf5-kbookmarks-5.70.0
2020-05-21 01:52:59+02	2020-05-21 01:54:31+02	devel	kf5-kconfig	\N	kf5-kconfig-5.70.0
2020-05-21 01:42:38+02	2020-05-21 01:43:41+02	devel	kf5-kcoreaddons	\N	kf5-kcoreaddons-5.70.0
2020-05-20 02:28:41+02	2020-05-20 02:29:53+02	devel	kf5-kcrash	\N	kf5-kcrash-5.70.0
2020-05-20 02:29:55+02	2020-05-20 02:31:47+02	devel	kf5-kdbusaddons	\N	kf5-kdbusaddons-5.70.0
2020-05-20 02:03:36+02	2020-05-20 02:06:21+02	devel	kf5-kdoctools	\N	kf5-kdoctools-5.70.0
2020-05-20 02:01:54+02	2020-05-20 02:03:35+02	devel	kf5-ki18n	\N	kf5-ki18n-5.70.0
2020-05-21 16:35:56+02	2020-05-21 16:38:33+02	devel	kf5-kio	\N	kf5-kio-5.70.1
2020-05-20 05:11:54+02	2020-05-20 05:14:28+02	devel	kf5-knotifications	\N	kf5-knotifications-5.70.0
2020-05-20 02:37:30+02	2020-05-20 02:39:51+02	devel	kf5-kservice	\N	kf5-kservice-5.70.0
2020-05-20 06:19:56+02	2020-05-20 06:22:45+02	devel	kf5-solid	\N	kf5-solid-5.70.0
2020-03-01 00:10:07+01	2020-03-01 00:10:34+01	devel	libatomic_ops	\N	libatomic_ops-7.6.10
2020-02-28 22:40:17+01	2020-02-28 22:40:32+01	devel	libdaemon	\N	libdaemon-0.14_1
2020-05-20 04:36:29+02	2020-05-20 04:37:42+02	devel	libdbusmenu-qt	\N	libdbusmenu-qt5-0.9.3.160420160218_10
2020-04-09 11:01:50+02	2020-04-09 11:02:19+02	devel	libedit	\N	libedit-3.1.20191231,1
2020-02-28 22:26:31+01	2020-02-28 22:26:49+01	devel	libepoll-shim	\N	libepoll-shim-0.0.20200223
2020-02-28 23:21:27+01	2020-02-28 23:21:46+01	devel	libevdev	\N	libevdev-1.5.9_1
2020-05-19 07:10:49+02	2020-05-19 07:12:07+02	devel	libevent	\N	libevent-2.1.11_1
2020-02-28 21:57:31+01	2020-02-28 21:57:46+01	devel	libffi	\N	libffi-3.2.1_3
2020-05-20 06:20:38+02	2020-05-20 06:24:56+02	devel	libgdata	\N	libgdata-0.17.9
2020-05-20 02:06:22+02	2020-05-20 02:08:04+02	devel	libgit2	\N	libgit2-1.0.0
2020-05-20 05:14:29+02	2020-05-20 05:15:16+02	devel	libglade2	\N	libglade2-2.6.4_10
2020-05-21 00:16:59+02	2020-05-21 00:18:27+02	devel	libgsf	\N	libgsf-1.14.46
2020-05-20 04:11:17+02	2020-05-20 04:12:22+02	devel	libgtop	\N	libgtop-2.38.0_2
2020-05-21 00:18:28+02	2020-05-21 00:18:54+02	devel	libgudev	\N	libgudev-230_1
2020-05-21 01:27:20+02	2020-05-21 01:27:49+02	devel	libIDL	\N	libIDL-0.8.14_4
2020-04-25 02:16:31+02	2020-04-25 02:17:06+02	devel	libinotify	\N	libinotify-20180201_2
2020-02-29 09:06:11+01	2020-02-29 09:06:33+01	devel	liblangtag	\N	liblangtag-0.6.2
2020-02-28 22:54:07+01	2020-02-28 22:54:21+01	devel	libltdl	\N	libltdl-2.4.6
2020-02-28 23:21:46+01	2020-02-28 23:21:56+01	devel	libmtdev	\N	libmtdev-1.1.5_2
2020-05-21 01:09:10+02	2020-05-21 01:09:38+02	devel	libnotify	\N	libnotify-0.7.8
2020-04-25 09:35:07+02	2020-04-25 09:52:26+02	devel	liborcus	\N	liborcus-0.14.1_4
2020-05-05 21:09:48+02	2020-05-05 21:10:08+02	devel	libpci	\N	libpci-3.6.4
2020-05-05 19:39:26+02	2020-05-05 19:39:40+02	devel	libpciaccess	\N	libpciaccess-0.16
2020-05-20 06:22:46+02	2020-05-20 06:24:55+02	devel	libpeas	\N	libpeas-1.22.0
2020-02-28 21:59:46+01	2020-02-28 21:59:53+01	devel	libpthread-stubs	\N	libpthread-stubs-0.4
2020-05-20 04:36:56+02	2020-05-20 04:37:51+02	devel	librest	\N	rest-0.7.93
2020-02-29 01:08:00+01	2020-02-29 01:08:33+01	devel	libsigc++20	\N	libsigc++-2.10.2
2020-02-29 16:02:02+01	2020-02-29 16:02:18+01	devel	libsigsegv	\N	libsigsegv-2.12
2020-05-20 08:40:14+02	2020-05-20 08:44:33+02	devel	libslang2	\N	libslang2-2.3.2_2
2020-05-20 04:30:24+02	2020-05-20 04:31:20+02	devel	libsoup-gnome	\N	libsoup-gnome-2.62.3
2020-05-21 01:05:02+02	2020-05-21 01:07:00+02	devel	libsoup	\N	libsoup-2.62.3
2020-03-20 08:58:38+01	2020-03-20 08:59:42+01	devel	libstatgrab	\N	libstatgrab-0.92
2020-02-29 20:16:35+01	2020-02-29 20:16:43+01	devel	libsysctlmibinfo2	\N	libsysctlmibinfo2-2.0.0_1
2020-02-29 16:05:38+01	2020-02-29 16:05:49+01	devel	libsysinfo	\N	libsysinfo-0.0.3_2
2020-04-26 15:22:36+02	2020-04-26 15:25:22+02	devel	libtextstyle	\N	libtextstyle-0.20.2
2020-02-28 22:02:14+01	2020-02-28 22:02:36+01	devel	libtool	\N	libtool-2.4.6_1
2020-02-29 20:16:45+01	2020-02-29 20:16:52+01	devel	libublio	\N	libublio-20070103_2
2020-04-19 09:25:05+02	2020-04-19 09:25:17+02	devel	libudev-devd	\N	libudev-devd-0.4.2
2020-02-28 22:30:31+01	2020-02-28 22:33:23+01	devel	libunistring	\N	libunistring-0.9.10_1
2020-05-16 15:19:02+02	2020-05-16 15:19:32+02	devel	libunwind	\N	libunwind-20200331
2020-05-19 23:32:27+02	2020-05-19 23:33:18+02	devel	libuv	\N	libuv-1.38.0
2020-02-29 01:48:36+01	2020-02-29 01:48:48+01	devel	libvolume_id	\N	libvolume_id-0.81.1
2020-04-27 09:46:23+02	2020-04-27 21:01:42+02	devel	llvm-devel	\N	llvm-devel-11.0.d20200327
2020-04-27 09:47:16+02	2020-04-27 20:59:07+02	devel	llvm10	\N	llvm10-10.0.0_1
2020-03-05 06:49:01+01	2020-03-05 09:30:47+01	devel	llvm70	\N	llvm70-7.0.1_4
2020-04-26 22:07:02+02	2020-04-27 02:15:40+02	devel	llvm80	\N	llvm80-8.0.1_3
2020-04-26 22:09:57+02	2020-04-27 08:48:28+02	devel	llvm90	\N	llvm90-9.0.1_1
2020-02-29 06:41:48+01	2020-02-29 06:42:21+01	devel	m17n-db	\N	m17n-db-1.8.0
2020-05-09 12:13:48+02	2020-05-09 12:14:31+02	devel	m17n-lib	\N	m17n-lib-1.8.0_2
2020-02-28 22:01:31+01	2020-02-28 22:02:13+01	devel	m4	\N	m4-1.4.18_1,1
2020-02-29 02:16:52+01	2020-02-29 02:17:01+01	devel	makedepend	\N	makedepend-1.0.6,1
2020-05-07 22:52:37+02	2020-05-07 22:54:36+02	devel	mercurial	py27	mercurial-5.1.2
2020-05-19 23:32:28+02	2020-05-19 23:32:43+02	devel	meson	\N	meson-0.54.2
2020-03-08 18:19:46+01	2020-03-08 18:46:22+01	devel	mips64-gcc	\N	mips64-gcc-6.4.0_8
2020-03-08 21:14:39+01	2020-03-08 21:14:47+01	devel	mips64-xtoolchain-gcc	\N	mips64-xtoolchain-gcc-0.4_1
2020-02-28 22:23:27+01	2020-02-28 22:24:09+01	devel	nasm	\N	nasm-2.14.02,1
2020-02-29 16:05:49+01	2020-02-29 16:07:42+01	devel	ncurses	\N	ncurses-6.1.20190525
2020-03-20 03:13:30+01	2020-03-20 03:14:00+01	devel	netsurf-buildsystem	\N	netsurf-buildsystem-1.8
2020-04-26 15:38:59+02	2020-04-26 15:40:57+02	devel	ninja	\N	ninja-1.10.0,2
2020-02-29 02:17:02+01	2020-02-29 02:17:11+01	devel	npth	\N	npth-1.6
2020-02-28 22:54:21+01	2020-02-28 22:54:57+01	devel	nspr	\N	nspr-4.25
2020-05-16 19:07:30+02	2020-05-16 19:09:14+02	devel	ode	\N	ode-0.13_4,1
2020-03-01 00:28:05+01	2020-03-01 00:28:49+01	devel	oniguruma	\N	oniguruma-6.9.4
2020-03-01 00:04:34+01	2020-03-01 00:04:43+01	devel	opencl	\N	opencl-2.2_1
2020-02-29 16:07:42+01	2020-02-29 16:08:57+01	devel	openmp	\N	openmp-9.0.0
2020-05-21 01:31:23+02	2020-05-21 01:33:06+02	devel	ORBit2	\N	ORBit2-2.14.19_2
2020-02-28 23:29:11+01	2020-02-28 23:30:04+01	devel	orc	\N	orc-0.4.31
2020-05-14 09:12:19+02	2020-05-14 09:12:40+02	devel	p5-Clone	\N	p5-Clone-0.45
2020-03-20 06:54:43+01	2020-03-20 06:55:02+01	devel	p5-Getopt-ArgvFile	\N	p5-Getopt-ArgvFile-1.11_1
2020-03-20 03:14:00+01	2020-03-20 03:14:27+01	devel	p5-IO-HTML	\N	p5-IO-HTML-1.001_1
2020-03-20 04:26:15+01	2020-03-20 04:26:33+01	devel	p5-IO-String	\N	p5-IO-String-1.08_1
2020-04-26 15:30:08+02	2020-04-26 15:30:35+02	devel	p5-Locale-gettext	\N	p5-Locale-gettext-1.07
2020-05-18 22:04:59+02	2020-05-18 22:05:20+02	devel	p5-Locale-libintl	\N	p5-Locale-libintl-1.31
2020-03-20 03:40:00+01	2020-03-20 03:40:16+01	devel	p5-Parse-Yapp	\N	p5-Parse-Yapp-1.05_2
2020-05-23 21:41:52+02	2020-05-23 21:42:08+02	devel	p5-TimeDate	\N	p5-TimeDate-2.33,1
2020-05-19 23:32:28+02	2020-05-19 23:35:21+02	devel	pcre	\N	pcre-8.44
2020-05-14 07:51:23+02	2020-05-14 07:54:17+02	devel	pcre2	\N	pcre2-10.35
2020-05-16 10:59:00+02	2020-05-16 10:59:22+02	devel	php73-gettext	\N	php73-gettext-7.3.18
2020-05-16 10:57:24+02	2020-05-16 10:57:43+02	devel	php73-json	\N	php73-json-7.3.18
2020-03-02 09:19:31+01	2020-03-02 09:20:02+01	devel	physfs	\N	physfs-3.0.2
2020-02-28 21:56:32+01	2020-02-28 21:56:40+01	devel	pkgconf	\N	pkgconf-1.6.3,1
2020-02-29 04:43:16+01	2020-02-29 04:43:28+01	devel	popt	\N	popt-1.16_2
2020-03-08 18:34:33+01	2020-03-08 19:03:40+01	devel	powerpc64-gcc	\N	powerpc64-gcc-6.4.0_8
2020-03-08 21:14:47+01	2020-03-08 21:14:55+01	devel	powerpc64-xtoolchain-gcc	\N	powerpc64-xtoolchain-gcc-0.4_1
2020-02-29 21:07:03+01	2020-02-29 21:11:09+01	devel	protobuf-c	\N	protobuf-c-1.3.2_4
2020-02-28 23:46:33+01	2020-02-28 23:56:35+01	devel	protobuf	\N	protobuf-3.11.4,1
2020-02-25 17:14:42+01	2020-02-25 17:14:50+01	devel	py-apipkg	py37	py37-apipkg-1.5
2020-05-21 16:25:52+02	2020-05-21 16:26:06+02	devel	py-appdirs	py37	py37-appdirs-1.4.3
2020-04-27 23:33:42+02	2020-04-27 23:33:57+02	devel	py-asn1crypto	py27	py27-asn1crypto-1.3.0
2020-04-26 15:39:38+02	2020-04-26 15:39:55+02	devel	py-asn1crypto	py37	py37-asn1crypto-1.3.0
2020-02-25 17:14:08+01	2020-02-25 17:14:16+01	devel	py-atomicwrites	py37	py37-atomicwrites-1.3.0
2020-05-21 16:16:52+02	2020-05-21 16:17:03+02	devel	py-attrs	py37	py37-attrs-19.3.0
2020-05-21 16:25:41+02	2020-05-21 16:25:52+02	devel	py-Automat	py37	py37-Automat-0.8.0
2020-05-14 07:51:58+02	2020-05-14 07:52:46+02	devel	py-babel	py27	py27-Babel-2.8.0
2020-05-14 07:50:06+02	2020-05-14 07:50:34+02	devel	py-babel	py37	py37-Babel-2.8.0
2020-05-21 16:38:33+02	2020-05-21 16:38:45+02	devel	py-backports.csv	py37	py37-backports.csv-1.0.7
2020-03-02 09:20:02+01	2020-03-02 09:20:13+01	devel	py-backports.functools_lru_cache	py27	py27-backports.functools_lru_cache-1.5
2020-03-02 08:43:39+01	2020-03-02 08:43:48+01	devel	py-backports	py27	py27-backports-1
2020-05-21 16:26:06+02	2020-05-21 16:26:14+02	devel	py-backports	py37	py37-backports-1
2020-05-18 22:04:35+02	2020-05-18 22:04:49+02	devel	py-cffi	py27	py27-cffi-1.14.0
2020-05-18 22:04:36+02	2020-05-18 22:04:52+02	devel	py-cffi	py37	py37-cffi-1.14.0
2020-05-21 16:21:13+02	2020-05-21 16:21:28+02	devel	py-click	py37	py37-click-7.0
2020-05-09 13:13:12+02	2020-05-09 13:13:24+02	devel	py-configargparse	py37	py37-configargparse-1.2.3
2020-05-21 16:26:15+02	2020-05-21 16:26:25+02	devel	py-constantly	py37	py37-constantly-15.1.0
2020-05-21 17:02:25+02	2020-05-21 17:02:43+02	devel	py-coreapi	py37	py37-coreapi-2.3.3
2020-05-21 16:38:45+02	2020-05-21 16:38:59+02	devel	py-coreschema	py37	py37-coreschema-0.0.4
2020-02-25 17:15:19+01	2020-02-25 17:15:31+01	devel	py-coverage	py37	py37-coverage-4.5.4
2020-04-26 22:10:05+02	2020-04-26 22:10:30+02	devel	py-cycler	py37	py37-cycler-0.10.0
2020-03-03 02:25:58+01	2020-03-03 02:26:13+01	devel	py-dateutil	py27	py27-dateutil-2.8.0
2020-05-18 08:19:53+02	2020-05-18 08:20:04+02	devel	py-dateutil	py37	py37-dateutil-2.8.1
2020-03-20 08:59:43+01	2020-03-20 09:00:23+01	devel	py-dbus	py27	py27-dbus-1.2.16
2020-05-20 12:47:17+02	2020-05-20 12:49:50+02	devel	py-dbus	py37	py37-dbus-1.2.16
2020-04-27 04:19:14+02	2020-04-27 04:19:57+02	devel	py-decorator	py37	py37-decorator-4.4.2
2020-05-21 16:26:25+02	2020-05-21 16:26:35+02	devel	py-defusedxml	py37	py37-defusedxml-0.5.0
2020-05-21 17:33:02+02	2020-05-21 17:33:15+02	devel	py-dj22-django-rq	py37	py37-dj22-django-rq-2.3.2
2020-04-27 23:33:55+02	2020-04-27 23:34:14+02	devel	py-enum34	py27	py27-enum34-1.1.6
2020-04-26 15:43:57+02	2020-04-26 15:44:29+02	devel	py-evdev	py37	py37-evdev-0.8.1_1
2020-02-25 17:16:34+01	2020-02-25 17:16:44+01	devel	py-freezegun	py37	py37-freezegun-0.3.12
2020-04-27 23:31:32+02	2020-04-27 23:31:50+02	devel	py-funcsigs	py27	py27-funcsigs-1.0.2
2020-05-21 17:02:37+02	2020-05-21 17:02:52+02	devel	py-funcy	py37	py37-funcy-1.12
2020-04-26 15:43:35+02	2020-04-26 15:44:07+02	devel	py-future	py37	py37-future-0.18.2
2020-05-16 19:09:15+02	2020-05-16 19:09:51+02	devel	py-game	py27	py27-game-1.9.6_1
2020-05-20 06:24:55+02	2020-05-20 06:25:39+02	devel	py-gobject	py27	py27-gobject-2.28.6_8
2020-05-20 08:44:34+02	2020-05-20 08:47:16+02	devel	py-gobject3	py27	py27-gobject3-3.28.3
2020-05-21 01:37:43+02	2020-05-21 01:38:07+02	devel	py-gobject3	py37	py37-gobject3-3.28.3
2020-02-25 17:16:35+01	2020-02-25 17:16:46+01	devel	py-hypothesis	py37	py37-hypothesis-4.57.1
2020-05-21 16:26:36+02	2020-05-21 16:26:49+02	devel	py-importlib-metadata	py37	py37-importlib-metadata-0.23
2020-05-21 16:26:49+02	2020-05-21 16:27:02+02	devel	py-incremental	py37	py37-incremental-17.5.0
2020-05-21 17:02:43+02	2020-05-21 17:02:56+02	devel	py-inflection	py37	py37-inflection-0.3.1
2020-02-25 17:16:45+01	2020-02-25 17:16:57+01	devel	py-invoke	py37	py37-invoke-1.4.1
2020-04-26 19:33:23+02	2020-04-26 19:34:21+02	devel	py-iso8601	py37	py37-iso8601-0.1.12
2020-05-21 16:39:00+02	2020-05-21 16:39:10+02	devel	py-itypes	py37	py37-itypes-1.1.0
2020-05-21 16:27:03+02	2020-05-21 16:27:16+02	devel	py-jdcal	py37	py37-jdcal-1.4.1
2020-05-14 09:25:54+02	2020-05-14 09:26:04+02	devel	py-Jinja2	py27	py27-Jinja2-2.10.1
2020-05-14 07:50:35+02	2020-05-14 07:50:48+02	devel	py-Jinja2	py37	py37-Jinja2-2.10.1
2020-05-14 10:17:05+02	2020-05-14 10:17:17+02	devel	py-jmespath	py37	py37-jmespath-0.10.0
2020-05-21 16:39:11+02	2020-05-21 16:39:25+02	devel	py-jsonschema	py37	py37-jsonschema-3.2.0
2020-04-27 23:38:12+02	2020-04-27 23:45:23+02	devel	py-lxml	py27	py27-lxml-4.5.0
2020-04-26 15:46:34+02	2020-04-26 15:54:42+02	devel	py-lxml	py37	py37-lxml-4.5.0
2020-02-25 17:16:47+01	2020-02-25 17:16:57+01	devel	py-mock	py37	py37-mock-3.0.5
2020-05-21 16:19:57+02	2020-05-21 16:20:10+02	devel	py-more-itertools	py37	py37-more-itertools-8.3.0
2020-03-03 02:29:25+01	2020-03-03 02:29:43+01	devel	py-msgpack	py27	py27-msgpack-0.6.2
2020-04-27 06:34:29+02	2020-04-27 06:35:31+02	devel	py-msgpack	py37	py37-msgpack-0.6.2
2020-02-25 17:16:57+01	2020-02-25 17:17:17+01	devel	py-nose	py37	py37-nose-1.3.7_1
2020-05-21 16:39:26+02	2020-05-21 16:39:41+02	devel	py-odfpy	py37	py37-odfpy-1.4.1
2020-03-02 09:42:11+01	2020-03-02 09:42:24+01	devel	py-olefile	py27	py27-olefile-0.46
2020-04-26 22:11:56+02	2020-04-26 22:12:23+02	devel	py-olefile	py37	py37-olefile-0.46
2020-05-21 16:14:56+02	2020-05-21 16:15:06+02	devel	py-packaging	py37	py37-packaging-20.4
2020-02-25 17:16:57+01	2020-02-25 17:17:28+01	devel	py-pip	py37	py37-pip-19.1.1
2020-02-25 17:14:15+01	2020-02-25 17:14:22+01	devel	py-pluggy	py37	py37-pluggy-0.12.0
2020-04-27 23:33:26+02	2020-04-27 23:33:42+02	devel	py-ply	py27	py27-ply-3.11
2020-04-26 20:10:04+02	2020-04-26 20:11:07+02	devel	py-ply	py37	py37-ply-3.11
2020-02-25 17:17:17+01	2020-02-25 17:17:29+01	devel	py-pretend	py37	py37-pretend-1.0.9
2020-02-25 17:13:51+01	2020-02-25 17:13:59+01	devel	py-py	py37	py37-py-1.8.1
2020-05-21 16:21:29+02	2020-05-21 16:21:44+02	devel	py-pyasn1-modules	py37	py37-pyasn1-modules-0.2.7
2020-04-27 23:34:43+02	2020-04-27 23:35:08+02	devel	py-pyasn1	py27	py27-pyasn1-0.4.7
2020-04-27 04:23:26+02	2020-04-27 04:24:14+02	devel	py-pyasn1	py37	py37-pyasn1-0.4.7
2020-05-18 22:04:26+02	2020-05-18 22:04:35+02	devel	py-pycparser	py27	py27-pycparser-2.20
2020-05-18 22:04:26+02	2020-05-18 22:04:36+02	devel	py-pycparser	py37	py37-pycparser-2.20
2020-02-25 17:17:28+01	2020-02-25 17:17:45+01	devel	py-pympler	py37	py37-Pympler-0.4.2
2020-04-26 19:07:11+02	2020-04-26 19:07:59+02	devel	py-pyparsing	py37	py37-pyparsing-2.4.7
2020-05-21 16:27:17+02	2020-05-21 16:27:31+02	devel	py-pyrsistent	py37	py37-pyrsistent-0.14.11_1
2020-02-25 17:17:29+01	2020-02-25 17:17:45+01	devel	py-pytest-capturelog	py37	py37-pytest-capturelog-0.7
2020-02-25 17:15:31+01	2020-02-25 17:15:41+01	devel	py-pytest-forked	py37	py37-pytest-forked-1.0.2
2020-02-25 17:17:46+01	2020-02-25 17:18:03+01	devel	py-pytest-mock	py37	py37-pytest-mock-1.10.4
2020-02-25 17:17:46+01	2020-02-25 17:18:03+01	devel	py-pytest-rerunfailures	py37	py37-pytest-rerunfailures-7.0
2020-05-21 17:02:53+02	2020-05-21 17:03:09+02	devel	py-pytest-runner	py37	py37-pytest-runner-2.11.1
2020-02-25 17:18:03+01	2020-02-25 17:18:15+01	devel	py-pytest-timeout	py37	py37-pytest-timeout-1.3.4
2020-02-25 17:18:03+01	2020-02-25 17:18:16+01	devel	py-pytest-xdist	py37	py37-pytest-xdist-1.29.0
2020-02-25 17:14:24+01	2020-02-25 17:14:33+01	devel	py-pytest	py37	py37-pytest-4.5.0
2020-05-14 07:51:45+02	2020-05-14 07:51:58+02	devel	py-pytz	py27	py27-pytz-2020.1,1
2020-05-14 07:49:55+02	2020-05-14 07:50:06+02	devel	py-pytz	py37	py37-pytz-2020.1,1
2020-04-26 15:44:30+02	2020-04-26 15:44:57+02	devel	py-pyudev	py37	py37-pyudev-0.22.0
2020-03-20 01:31:51+01	2020-03-20 01:40:22+01	devel	py-qt5-core	py27	py27-qt5-core-5.13.1
2020-05-20 02:02:06+02	2020-05-20 02:08:52+02	devel	py-qt5-core	py37	py37-qt5-core-5.13.1_1
2020-02-25 17:14:50+01	2020-02-25 17:14:58+01	devel	py-readme_renderer	py37	py37-readme_renderer-24.0_1
2020-05-21 17:02:56+02	2020-05-21 17:03:14+02	devel	py-rq	py37	py37-rq-1.3.0
2020-05-21 17:03:10+02	2020-05-21 17:03:48+02	devel	py-ruamel.yaml	py37	py37-ruamel.yaml-0.15.87
2020-02-25 17:18:15+01	2020-02-25 17:18:28+01	devel	py-scripttest	py37	py37-scripttest-1.3.0
2020-02-25 17:15:41+01	2020-02-25 17:15:51+01	devel	py-semantic_version	py37	py37-semantic_version-2.8.4
2020-05-21 17:03:15+02	2020-05-21 17:03:29+02	devel	py-setproctitle	py37	py37-setproctitle-1.1.10_1
2020-03-02 08:41:10+01	2020-03-02 08:41:20+01	devel	py-setuptools_scm	py27	py27-setuptools_scm-3.4.3
2020-04-26 19:34:22+02	2020-04-26 19:35:10+02	devel	py-setuptools_scm	py37	py37-setuptools_scm-3.4.3
2020-04-27 23:30:23+02	2020-04-27 23:30:51+02	devel	py-setuptools	py27	py27-setuptools-44.0.0
2020-04-26 15:38:57+02	2020-04-26 15:39:15+02	devel	py-setuptools	py37	py37-setuptools-44.0.0
2020-05-16 19:09:20+02	2020-05-16 19:09:33+02	devel	py-setuptools	py38	py38-setuptools-44.0.0
2020-02-25 17:18:16+01	2020-02-25 17:18:32+01	devel	py-simplejson	py37	py37-simplejson-3.17.0
2020-03-02 08:14:26+01	2020-03-02 08:15:07+01	devel	py-sip	py27	py27-sip-4.19.19_1,1
2020-04-26 15:45:52+02	2020-04-26 15:46:51+02	devel	py-sip	py37	py37-sip-4.19.21,1
2020-04-27 23:31:41+02	2020-04-27 23:32:00+02	devel	py-six	py27	py27-six-1.14.0
2020-04-26 15:39:16+02	2020-04-26 15:39:37+02	devel	py-six	py37	py37-six-1.14.0
2020-02-25 17:15:42+01	2020-02-25 17:15:52+01	devel	py-sortedcontainers	py37	py37-sortedcontainers-2.1.0
2020-05-21 17:03:29+02	2020-05-21 17:03:50+02	devel	py-swagger-spec-validator	py37	py37-swagger-spec-validator-2.5.0
2020-04-27 06:36:27+02	2020-04-27 06:37:15+02	devel	py-tabulate	py37	py37-tabulate-0.8.6
2020-02-25 17:18:29+01	2020-02-25 17:18:45+01	devel	py-tox	py37	py37-tox-3.12.1
2020-02-25 17:15:51+01	2020-02-25 17:16:02+01	devel	py-twine	py37	py37-twine-2.0.0
2020-05-21 16:39:42+02	2020-05-21 16:40:49+02	devel	py-twisted	py37	py37-twisted-20.3.0
2020-03-02 08:44:00+01	2020-03-02 08:44:10+01	devel	py-typing	py27	py27-typing-3.7.4.1
2020-05-21 16:27:31+02	2020-05-21 16:27:43+02	devel	py-vcversioner	py37	py37-vcversioner-2.16.0.0_1
2020-02-25 17:15:52+01	2020-02-25 17:16:13+01	devel	py-virtualenv	py37	py37-virtualenv-16.7.5
2020-02-25 17:14:16+01	2020-02-25 17:14:24+01	devel	py-wcwidth	py37	py37-wcwidth-0.1.8
2020-02-25 17:16:03+01	2020-02-25 17:16:13+01	devel	py-wheel	py37	py37-wheel-0.30.0_1
2020-04-28 08:08:51+02	2020-04-28 08:09:40+02	devel	py-yaml	py37	py37-yaml-5.3.1
2020-05-21 16:22:52+02	2020-05-21 16:23:02+02	devel	py-zipp	py37	py37-zipp-0.6.0_3
2020-05-21 16:27:44+02	2020-05-21 16:27:59+02	devel	py-zope.interface	py37	py37-zope.interface-4.6.0
2020-04-27 04:24:15+02	2020-04-27 04:27:40+02	devel	pydbus-common	\N	pydbus-common-1.2.16
2020-05-21 01:36:59+02	2020-05-21 01:37:14+02	devel	pygobject3-common	\N	pygobject3-common-3.28.3
2020-05-21 01:53:18+02	2020-05-21 01:56:43+02	devel	qscintilla2-qt5	\N	qscintilla2-qt5-2.11.4
2020-05-20 05:15:17+02	2020-05-20 05:17:43+02	devel	qt5-assistant	\N	qt5-assistant-5.14.2
2020-04-14 18:59:20+02	2020-04-14 19:07:44+02	devel	qt5-buildtools	\N	qt5-buildtools-5.14.2
2020-05-21 01:07:00+02	2020-05-21 01:08:21+02	devel	qt5-concurrent	\N	qt5-concurrent-5.14.2
2020-05-25 22:37:01+02	2020-05-25 22:38:15+02	dns	bind916	\N	bind916-9.16.3_2
2020-05-21 00:28:47+02	2020-05-21 00:30:55+02	devel	qt5-dbus	\N	qt5-dbus-5.14.2
2020-05-20 06:24:57+02	2020-05-20 06:36:46+02	devel	qt5-designer	\N	qt5-designer-5.14.2
2020-05-21 01:04:51+02	2020-05-21 01:06:49+02	devel	qt5-help	\N	qt5-help-5.14.2
2020-05-21 01:22:27+02	2020-05-21 01:24:10+02	devel	qt5-linguisttools	\N	qt5-linguisttools-5.14.2
2020-05-20 02:38:49+02	2020-05-20 02:53:17+02	devel	qt5-location	\N	qt5-location-5.14.2
2020-04-14 18:51:58+02	2020-04-14 18:59:19+02	devel	qt5-qmake	\N	qt5-qmake-5.14.2
2020-05-21 01:46:56+02	2020-05-21 01:50:12+02	devel	qt5-script	\N	qt5-script-5.14.2
2020-05-21 00:49:30+02	2020-05-21 00:50:59+02	devel	qt5-testlib	\N	qt5-testlib-5.14.2
2020-05-20 02:08:04+02	2020-05-20 02:09:36+02	devel	qt5-uitools	\N	qt5-uitools-5.14.2
2020-05-23 01:08:33+02	2020-05-23 01:09:25+02	devel	R-cran-rstudioapi	\N	R-cran-rstudioapi-0.11_1
2020-04-09 12:11:01+02	2020-04-09 12:12:56+02	devel	re2	\N	re2-20200401
2020-03-02 07:07:49+01	2020-03-02 07:08:11+01	devel	readline	\N	readline-8.0.4
2020-03-08 18:48:56+01	2020-03-08 19:19:41+01	devel	riscv64-gcc	\N	riscv64-gcc-8.3.0
2020-03-08 21:14:56+01	2020-03-08 21:15:04+01	devel	riscv64-xtoolchain-gcc	\N	riscv64-xtoolchain-gcc-0.4_1
2020-05-23 21:41:52+02	2020-05-23 22:41:48+02	devel	RStudio	\N	RStudio-1.3.959
2020-05-16 16:13:29+02	2020-05-16 16:13:44+02	devel	ruby-gems	\N	ruby27-gems-3.0.6
2020-05-16 19:09:27+02	2020-05-16 19:09:37+02	devel	rubygem-manpages	\N	rubygem-manpages-0.6.1
2020-05-16 19:09:33+02	2020-05-16 19:09:42+02	devel	rubygem-optimist	\N	rubygem-optimist-3.0.1
2020-05-16 19:09:38+02	2020-05-16 19:09:47+02	devel	rubygem-paint	\N	rubygem-paint-2.2.0
2020-05-20 12:49:51+02	2020-05-20 12:58:52+02	devel	rust-cbindgen	\N	rust-cbindgen-0.14.2
2020-04-27 23:32:47+02	2020-04-27 23:33:22+02	devel	scons	py27	scons-3.1.1
2020-05-16 15:51:55+02	2020-05-16 15:52:29+02	devel	sdl12	\N	sdl-1.2.15_14,2
2020-05-16 16:10:24+02	2020-05-16 16:11:38+02	devel	sdl20	\N	sdl2-2.0.10_1
2020-03-08 19:15:14+01	2020-03-08 19:41:47+01	devel	sparc64-gcc	\N	sparc64-gcc-6.4.0_8
2020-03-08 21:15:04+01	2020-03-08 21:15:12+01	devel	sparc64-xtoolchain-gcc	\N	sparc64-xtoolchain-gcc-0.4_1
2020-04-26 22:12:59+02	2020-04-26 22:13:40+02	devel	spice-protocol	\N	spice-protocol-0.12.15
2020-05-15 08:05:50+02	2020-05-15 08:18:19+02	devel	spirv-tools	\N	spirv-tools-2020.2
2020-05-24 11:15:38+02	2020-05-24 11:19:39+02	devel	subversion	\N	subversion-1.13.0_1
2020-05-19 23:35:21+02	2020-05-19 23:37:56+02	devel	swig30	\N	swig30-3.0.12_1
2020-04-17 03:21:54+02	2020-04-17 03:23:20+02	devel	t1lib	\N	t1lib-5.1.2_5,1
2020-04-26 19:07:56+02	2020-04-26 19:15:46+02	devel	talloc	\N	talloc-2.3.0
2020-04-03 07:50:31+02	2020-04-03 08:02:03+02	devel	tbb	\N	tbb-2020.2
2020-04-26 19:37:08+02	2020-04-26 19:45:22+02	devel	tevent	\N	tevent-0.10.1
2020-02-28 23:46:34+01	2020-02-28 23:46:59+01	devel	tex-kpathsea	\N	tex-kpathsea-6.2.1_2
2020-02-29 09:07:22+01	2020-02-29 09:07:41+01	devel	tex-libtexlua	\N	tex-libtexlua-5.2.4
2020-02-29 09:07:38+01	2020-02-29 09:08:36+01	devel	tex-libtexluajit	\N	tex-libtexluajit-2.0.3
2020-02-29 21:59:15+01	2020-02-29 22:00:01+01	devel	tex-synctex	\N	tex-synctex-1.17.0_1
2020-05-21 01:06:49+02	2020-05-21 01:09:27+02	devel	tex-web2c	\N	tex-web2c-20150521_3
2020-05-22 00:04:03+02	2020-05-22 00:04:40+02	devel	tig	\N	tig-2.5.1
2020-02-29 02:07:32+01	2020-02-29 02:07:41+01	devel	tradcpp	\N	tradcpp-0.5.3
2020-02-29 16:15:58+01	2020-02-29 16:16:11+01	devel	ucpp	\N	ucpp-1.3.2,1
2020-02-29 22:00:01+01	2020-02-29 22:01:01+01	devel	unittest-cpp	\N	unittest-cpp-2.0.0
2020-05-15 08:05:50+02	2020-05-15 08:06:10+02	devel	vulkan-headers	\N	vulkan-headers-1.2.135.0
2020-03-01 00:26:43+01	2020-03-01 00:27:13+01	devel	woff2	\N	woff2-1.0.2_4
2020-04-17 03:16:39+02	2020-04-17 03:17:19+02	devel	xdg-utils	\N	xdg-utils-1.1.3_1
2020-02-28 21:59:08+01	2020-02-28 21:59:15+01	devel	xorg-macros	\N	xorg-macros-1.19.2
2020-02-29 06:13:17+01	2020-02-29 06:13:30+01	devel	yajl	\N	yajl-2.1.0
2020-02-29 01:49:24+01	2020-02-29 01:49:58+01	devel	yasm	\N	yasm-1.3.0
2020-04-24 00:37:51+02	2020-04-24 00:38:25+02	devel	zziplib	\N	zziplib-0.13.71
2020-03-08 18:17:33+01	2020-03-08 18:34:32+01	devel	aarch64-gcc	\N	aarch64-gcc-6.4.0_8
2020-03-08 21:14:30+01	2020-03-08 21:14:38+01	devel	aarch64-xtoolchain-gcc	\N	aarch64-xtoolchain-gcc-0.4_1
2020-05-23 08:50:28+02	2020-05-23 08:51:43+02	dns	bind-tools	\N	bind-tools-9.16.3_1
2020-05-23 09:33:09+02	2020-05-23 09:34:50+02	dns	bind916	\N	bind916-9.16.3_1
2020-02-29 06:13:31+01	2020-02-29 06:15:15+01	dns	c-ares	\N	c-ares-1.15.0_1
2020-02-29 16:16:11+01	2020-02-29 16:18:09+01	dns	ldns	\N	ldns-1.7.1_1
2020-02-28 22:53:03+01	2020-02-28 22:54:06+01	dns	libidn	\N	libidn-1.35
2020-02-28 22:33:23+01	2020-02-28 22:33:49+01	dns	libidn2	\N	libidn2-2.3.0_1
2020-04-27 23:39:50+02	2020-04-27 23:40:10+02	dns	py-dnspython	py27	py27-dnspython-1.16.0
2020-04-27 06:43:26+02	2020-04-27 06:44:24+02	dns	py-dnspython	py37	py37-dnspython-1.16.0
2020-03-02 08:32:37+01	2020-03-02 08:32:51+01	dns	py-idna	py27	py27-idna-2.8
2020-04-26 15:40:58+02	2020-04-26 15:41:25+02	dns	py-idna	py37	py37-idna-2.8
2020-04-27 23:30:22+02	2020-04-27 23:31:51+02	dns	py-ldns	py27	py27-ldns-1.7.1_1
2020-04-27 23:45:24+02	2020-04-27 23:45:47+02	dns	sshfp	\N	sshfp-1.2.2_5
2020-05-22 00:10:43+02	2020-05-22 00:37:55+02	editors	codelite	\N	codelite-12.0_4
2020-05-20 06:35:14+02	2020-05-20 06:42:16+02	editors	emacs	full	emacs-26.3_4,3
2020-03-07 13:43:46+01	2020-03-07 13:44:28+01	editors	fpc-ide	\N	fpc-ide-3.0.4_4
2020-05-20 12:58:53+02	2020-05-20 13:39:13+02	editors	lazarus	\N	lazarus-gtk2-2.0.8
2020-05-21 17:33:15+02	2020-05-21 17:35:06+02	editors	libreoffice-nb	\N	nb-libreoffice-6.3.6
2020-05-21 17:03:49+02	2020-05-21 17:23:17+02	editors	libreoffice	\N	libreoffice-6.3.6
2020-05-23 09:20:44+02	2020-05-23 09:23:59+02	editors	pluma	\N	pluma-1.22.2
2020-05-22 00:43:26+02	2020-05-22 00:50:45+02	editors	vim	\N	vim-8.2.0491_1
2020-05-23 10:05:16+02	2020-05-23 10:41:09+02	editors	vscode	\N	vscode-1.45.1_1
2020-05-16 19:17:37+02	2020-05-16 19:19:53+02	emulators	dosbox	\N	dosbox-0.74.3_1
2020-05-21 22:41:37+02	2020-05-21 22:46:49+02	emulators	qemu	\N	qemu-4.1.1_3
2020-03-08 12:08:34+01	2020-03-08 12:08:49+01	emulators	tpm-emulator	\N	tpm-emulator-0.7.4_2
2020-03-02 00:49:28+01	2020-03-02 00:50:45+01	emulators	virtualbox-ose-kmod	\N	virtualbox-ose-kmod-5.2.34
2020-05-21 00:50:47+02	2020-05-21 02:12:37+02	emulators	virtualbox-ose	\N	virtualbox-ose-5.2.34_4
2020-03-01 06:32:24+01	2020-03-01 06:33:06+01	emulators	wine-gecko	\N	wine-gecko-2.47.1
2020-03-01 06:33:07+01	2020-03-01 06:34:21+01	emulators	wine-mono	\N	wine-mono-4.9.4_1
2020-05-23 09:34:50+02	2020-05-23 09:42:28+02	emulators	wine	\N	wine-5.0_1,1
2020-05-09 14:52:56+02	2020-05-09 14:53:40+02	emulators	x48	\N	x48-0.6.4_1
2020-05-16 15:19:02+02	2020-05-16 15:21:03+02	ftp	curl	\N	curl-7.70.0_1
2020-05-21 02:41:19+02	2020-05-21 03:03:04+02	ftp	filezilla	\N	filezilla-3.40.0_5
2020-05-16 17:38:35+02	2020-05-16 17:38:54+02	ftp	fpc-libcurl	\N	fpc-libcurl-3.0.4_4
2020-05-18 22:08:35+02	2020-05-18 22:08:58+02	ftp	libfilezilla	\N	libfilezilla-0.15.1_3
2020-05-16 15:54:21+02	2020-05-16 15:54:41+02	ftp	php73-curl	\N	php73-curl-7.3.18
2020-03-01 06:50:18+01	2020-03-01 06:51:58+01	ftp	wget	\N	wget-1.20.3
2020-04-17 13:33:16+02	2020-04-17 13:33:25+02	games	affenspiel	\N	affenspiel-1.0_2
2020-05-16 20:46:34+02	2020-05-16 20:46:51+02	games	afternoonstalker	\N	afternoonstalker-1.1.6
2020-03-01 00:51:33+01	2020-03-01 01:03:48+01	games	alienarena-data	\N	alienarena-data-2013.766
2020-05-16 20:46:51+02	2020-05-16 20:48:56+02	games	alienarena	\N	alienarena-2013.766_9
2020-05-16 20:47:43+02	2020-05-16 20:48:29+02	games	alienblaster	\N	alienblaster-1.1.0_7
2020-05-16 20:48:30+02	2020-05-16 20:50:35+02	games	battletanks	\N	btanks-0.9.8083_9
2020-04-25 15:14:57+02	2020-04-25 15:21:35+02	games	gnuchess	\N	gnuchess-6.2.6
2020-05-16 20:46:22+02	2020-05-16 20:46:34+02	games	KnightCap	\N	knightcap-3.6_8
2020-05-16 20:48:56+02	2020-05-16 20:49:54+02	games	maelstrom	\N	maelstrom-3.0.6_14
2020-05-21 03:03:05+02	2020-05-21 03:04:46+02	games	nuclearchess	\N	nuclearchess-1.0.0_10
2020-05-21 03:04:47+02	2020-05-21 03:06:51+02	games	numptyphysics	\N	numptyphysics-0.3.r20090104_11
2020-05-16 20:50:36+02	2020-05-16 20:51:19+02	games	outerspace	\N	outerspace-0.2.2_9
2020-05-16 20:51:14+02	2020-05-16 20:51:28+02	games	rubygem-lolcat	\N	rubygem-lolcat-100.0.1
2020-03-30 01:09:35+02	2020-03-30 01:10:47+02	games	stockfish	\N	stockfish-11
2020-05-16 20:51:20+02	2020-05-16 20:52:11+02	games	xblast	\N	xblast-2.10.4_17
2020-05-21 03:06:53+02	2020-05-21 03:09:53+02	games	xboard	\N	xboard-4.9.1_1
2020-05-25 22:37:21+02	2020-05-25 22:38:41+02	devel	qt5-core	\N	qt5-core-5.14.2_3
2020-05-25 22:49:14+02	2020-05-25 22:49:32+02	comms	qt5-serialport	\N	qt5-serialport-5.14.2
2020-05-25 22:55:16+02	2020-05-25 22:56:14+02	x11-toolkits	kf5-kconfigwidgets	\N	kf5-kconfigwidgets-5.70.0
2020-05-25 23:05:16+02	2020-05-25 23:06:11+02	devel	kf5-kbookmarks	\N	kf5-kbookmarks-5.70.0
2020-05-25 23:49:39+02	2020-05-25 23:54:30+02	net	wireshark	\N	wireshark-3.2.4
2020-05-25 22:38:42+02	2020-05-25 22:39:48+02	net	qt5-network	\N	qt5-network-5.14.2
2020-05-25 22:48:54+02	2020-05-25 22:49:42+02	devel	qscintilla2-qt5	\N	qscintilla2-qt5-2.11.4
2020-05-25 22:55:13+02	2020-05-25 22:56:43+02	x11-themes	kf5-breeze-icons	\N	kf5-breeze-icons-5.70.0
2020-05-25 23:05:11+02	2020-05-25 23:06:17+02	sysutils	kf5-kwallet	\N	kf5-kwallet-5.70.0
2020-05-25 23:52:22+02	2020-05-25 23:54:52+02	print	lyx	\N	lyx-2.3.4.2_1
2020-05-25 22:39:49+02	2020-05-25 22:41:23+02	devel	qt5-dbus	\N	qt5-dbus-5.14.2
2020-05-25 22:49:32+02	2020-05-25 22:50:00+02	devel	kf5-kcoreaddons	\N	kf5-kcoreaddons-5.70.0
2020-05-25 22:56:14+02	2020-05-25 22:56:54+02	x11-toolkits	kf5-kitemviews	\N	kf5-kitemviews-5.70.0
2020-05-25 23:06:11+02	2020-05-25 23:06:58+02	x11	kf5-kded	\N	kf5-kded-5.70.0_1
2020-05-25 23:54:31+02	2020-05-25 23:55:24+02	security	openconnect-gui	\N	openconnect-gui-1.4.1_3
2020-05-25 22:38:16+02	2020-05-25 22:43:27+02	graphics	inkscape	\N	inkscape-1.0_1
2020-05-25 22:49:42+02	2020-05-25 22:50:06+02	archivers	kf5-karchive	\N	kf5-karchive-5.70.0
2020-05-25 22:56:28+02	2020-05-25 22:57:11+02	comms	qt5-sensors	\N	qt5-sensors-5.14.2
2020-05-25 23:06:17+02	2020-05-25 23:07:02+02	x11-toolkits	kf5-kjobwidgets	\N	kf5-kjobwidgets-5.70.0
2020-05-25 23:55:39+02	2020-05-25 23:57:07+02	x11	cool-retro-term	\N	cool-retro-term-1.1.1_1
2020-05-25 22:41:24+02	2020-05-25 22:44:14+02	x11-toolkits	qt5-gui	\N	qt5-gui-5.14.2
2020-05-25 22:49:33+02	2020-05-25 22:50:15+02	devel	kf5-kconfig	\N	kf5-kconfig-5.70.0
2020-05-25 22:56:55+02	2020-05-25 22:57:54+02	x11-themes	kf5-kiconthemes	\N	kf5-kiconthemes-5.70.0
2020-05-25 23:06:59+02	2020-05-25 23:08:05+02	x11-toolkits	qt5-quickcontrols	\N	qt5-quickcontrols-5.14.2
2020-05-25 23:57:08+02	2020-05-25 23:57:23+02	graphics	drm-kmod	\N	drm-kmod-g20190710
2020-05-25 22:43:29+02	2020-05-25 22:44:22+02	databases	qt5-sql	\N	qt5-sql-5.14.2
2020-05-25 22:50:16+02	2020-05-25 22:50:53+02	devel	qt5-uitools	\N	qt5-uitools-5.14.2
2020-05-25 22:57:11+02	2020-05-25 22:58:01+02	textproc	kf5-sonnet	\N	kf5-sonnet-5.70.0
2020-05-25 23:07:03+02	2020-05-25 23:10:39+02	devel	kf5-kio	\N	kf5-kio-5.70.1_1
2020-05-25 23:57:24+02	2020-05-25 23:58:46+02	net-mgmt	netbox	\N	netbox-2.7.12
2020-05-25 22:44:22+02	2020-05-25 22:44:57+02	devel	qt5-testlib	\N	qt5-testlib-5.14.2
2020-05-25 22:50:01+02	2020-05-25 22:50:54+02	devel	kf5-ki18n	\N	kf5-ki18n-5.70.0
2020-05-25 22:57:55+02	2020-05-25 22:58:36+02	x11-toolkits	kf5-kcompletion	\N	kf5-kcompletion-5.70.0
2020-05-25 23:10:41+02	2020-05-25 23:11:52+02	graphics	qt5-graphicaleffects	\N	qt5-graphicaleffects-5.14.2
2020-05-25 23:54:53+02	2020-05-26 00:00:19+02	security	tor	\N	tor-0.4.3.5
2020-05-25 22:37:24+02	2020-05-25 22:45:31+02	graphics	drm-current-kmod	\N	drm-current-kmod-4.16.g20200320
2020-05-25 22:50:55+02	2020-05-25 22:51:34+02	graphics	qt5-imageformats	\N	qt5-imageformats-5.14.2
2020-05-25 22:58:02+02	2020-05-25 22:58:39+02	devel	libdbusmenu-qt	\N	libdbusmenu-qt5-0.9.3.160420160218_10
2020-05-25 23:09:15+02	2020-05-25 23:12:07+02	graphics	qt5-3d	\N	qt5-3d-5.14.2
2020-05-25 23:36:54+02	2020-05-26 00:17:39+02	emulators	virtualbox-ose	\N	virtualbox-ose-5.2.34_4
2020-05-25 22:44:57+02	2020-05-25 22:45:37+02	textproc	qt5-xmlpatterns	\N	qt5-xmlpatterns-5.14.2
2020-05-25 22:50:53+02	2020-05-25 22:51:34+02	x11	kf5-kwindowsystem	\N	kf5-kwindowsystem-5.70.0
2020-05-25 22:58:36+02	2020-05-25 22:59:30+02	devel	qt5-assistant	\N	qt5-assistant-5.14.2
2020-05-25 23:13:23+02	2020-05-25 23:14:36+02	graphics	poppler-qt5	\N	poppler-qt5-0.88.0
2020-05-26 00:36:31+02	2020-05-26 00:50:35+02	local	E590T-localbase	\N	E590T-localbase-2020052200
2020-05-25 22:44:15+02	2020-05-25 22:45:49+02	x11-toolkits	qt5-widgets	\N	qt5-widgets-5.14.2
2020-05-25 22:50:54+02	2020-05-25 22:51:49+02	devel	kf5-kdoctools	\N	kf5-kdoctools-5.70.0
2020-05-25 22:58:40+02	2020-05-25 22:59:31+02	multimedia	phonon	\N	phonon-qt5-4.11.1
2020-05-25 23:05:22+02	2020-05-25 23:16:59+02	www	qt5-webengine	\N	qt5-webengine-5.14.2
2020-05-26 18:14:01+02	2020-05-26 18:14:09+02	devel	scons	py27	scons-py27-3.1.2
2020-05-25 22:45:31+02	2020-05-25 22:46:07+02	textproc	qt5-xml	\N	qt5-xml-5.14.2
2020-05-25 22:51:34+02	2020-05-25 22:52:15+02	www	qt5-webchannel	\N	qt5-webchannel-5.14.2
2020-05-25 22:59:31+02	2020-05-25 23:00:50+02	x11	kf5-kglobalaccel	\N	kf5-kglobalaccel-5.70.0
2020-05-25 23:17:00+02	2020-05-25 23:18:14+02	multimedia	webvfx-qt5	\N	webvfx-qt5-0.4.4.20160823_12
2020-05-26 18:20:33+02	2020-05-26 18:20:42+02	devel	scons	py27	scons-py27-3.1.2
2020-05-25 22:45:37+02	2020-05-25 22:46:14+02	databases	qt5-sqldrivers-sqlite3	\N	qt5-sqldrivers-sqlite3-5.14.2
2020-05-25 22:51:35+02	2020-05-25 22:52:29+02	x11-toolkits	kf5-kwidgetsaddons	\N	kf5-kwidgetsaddons-5.70.0
2020-05-25 22:59:30+02	2020-05-25 23:01:04+02	multimedia	qt5-multimedia	\N	qt5-multimedia-5.14.2
2020-05-25 23:15:49+02	2020-05-25 23:22:02+02	multimedia	vlc	\N	vlc-3.0.10_4,4
2020-05-26 18:29:21+02	2020-05-26 18:29:30+02	devel	scons	py27	scons-py27-3.1.2
2020-05-25 22:46:08+02	2020-05-25 22:46:43+02	devel	qt5-concurrent	\N	qt5-concurrent-5.14.2
2020-05-25 22:51:50+02	2020-05-25 22:52:30+02	devel	kf5-kcrash	\N	kf5-kcrash-5.70.0
2020-05-25 23:00:51+02	2020-05-25 23:01:48+02	x11-toolkits	kf5-attica	\N	kf5-attica-5.70.0
2020-05-25 23:21:47+02	2020-05-25 23:22:20+02	www	qt5-websockets	\N	qt5-websockets-5.14.2
2020-05-26 19:36:52+02	2020-05-26 19:37:02+02	devel	py-wheel	py27	py27-wheel-0.30.0_1
2020-05-25 22:46:14+02	2020-05-25 22:47:01+02	devel	qt5-help	\N	qt5-help-5.14.2
2020-05-25 22:52:16+02	2020-05-25 22:52:57+02	devel	kf5-kdbusaddons	\N	kf5-kdbusaddons-5.70.0
2020-05-25 23:01:05+02	2020-05-25 23:02:08+02	x11-toolkits	kf5-ktextwidgets	\N	kf5-ktextwidgets-5.70.0
2020-05-25 23:22:21+02	2020-05-25 23:26:05+02	deskutils	calibre	\N	calibre-4.17.0
2020-05-26 19:36:52+02	2020-05-26 19:37:03+02	devel	py-wheel	py37	py37-wheel-0.30.0_1
2020-05-25 22:47:02+02	2020-05-25 22:47:46+02	x11	qt5-x11extras	\N	qt5-x11extras-5.14.2
2020-05-25 22:52:30+02	2020-05-25 22:53:11+02	sysutils	polkit-qt	\N	polkit-qt-1-0.113.0_8
2020-05-25 23:01:49+02	2020-05-25 23:02:55+02	devel	kf5-knotifications	\N	kf5-knotifications-5.70.0
2020-05-25 23:22:03+02	2020-05-25 23:36:53+02	astro	stellarium	\N	stellarium-0.20.1
2020-05-26 19:37:03+02	2020-05-26 19:37:21+02	security	py-pynacl	py27	py27-pynacl-1.4.0
2020-05-25 22:46:43+02	2020-05-25 22:47:57+02	print	qt5-printsupport	\N	qt5-printsupport-5.14.2
2020-05-25 22:52:57+02	2020-05-25 22:53:29+02	textproc	kf5-kcodecs	\N	kf5-kcodecs-5.70.0
2020-05-25 23:02:09+02	2020-05-25 23:03:43+02	devel	qt5-designer	\N	qt5-designer-5.14.2
2020-05-25 23:12:38+02	2020-05-25 23:36:57+02	editors	libreoffice	\N	libreoffice-6.3.6
2020-05-26 19:37:03+02	2020-05-26 19:37:24+02	security	py-pynacl	py37	py37-pynacl-1.4.0
2020-05-25 22:45:49+02	2020-05-25 22:48:02+02	x11-toolkits	qt5-declarative	\N	qt5-declarative-5.14.2
2020-05-25 22:52:30+02	2020-05-25 22:53:48+02	devel	qt5-location	\N	qt5-location-5.14.2
2020-05-25 23:03:44+02	2020-05-25 23:04:14+02	security	gpgme-qt5	\N	gpgme-qt5-1.13.1
2020-05-25 23:36:59+02	2020-05-25 23:39:12+02	editors	libreoffice-nb	\N	nb-libreoffice-6.3.6
2020-05-26 19:37:22+02	2020-05-26 19:37:35+02	security	py-paramiko	py27	py27-paramiko-2.7.1
2020-05-25 22:47:47+02	2020-05-25 22:48:17+02	x11-toolkits	qt5-uiplugin	\N	qt5-uiplugin-5.14.2
2020-05-25 22:53:12+02	2020-05-25 22:54:08+02	devel	kf5-kauth	\N	kf5-kauth-5.70.0
2020-05-25 22:57:54+02	2020-05-25 23:04:22+02	www	qt5-webkit	\N	qt5-webkit-5.212.0.a4_2
2020-05-25 23:39:12+02	2020-05-25 23:40:17+02	graphics	xpdf	\N	xpdf-4.02,1
2020-05-26 19:37:24+02	2020-05-26 19:37:39+02	security	py-paramiko	py37	py37-paramiko-2.7.1
2020-05-21 03:09:55+02	2020-05-21 03:12:26+02	games	xcowsay	\N	xcowsay-1.5
2020-04-17 13:41:28+02	2020-04-17 13:41:59+02	games	xevil	\N	xevil-2.02.r2_2
2020-04-17 13:41:59+02	2020-04-17 13:42:13+02	games	xminesweep	\N	xminesweep-3.0_2
2020-04-17 03:16:22+02	2020-04-17 03:22:23+02	graphics	argyllcms	\N	argyllcms-1.9.2_5
2020-05-23 09:20:55+02	2020-05-23 09:23:41+02	graphics	atril	\N	atril-1.22.3_5
2020-05-19 23:51:37+02	2020-05-19 23:55:51+02	graphics	cairo	\N	cairo-1.16.0,2
2020-05-20 03:59:01+02	2020-05-20 04:02:05+02	graphics	cairomm	\N	cairomm-1.12.2_4
2020-05-21 00:18:55+02	2020-05-21 00:22:54+02	graphics	colord	\N	colord-1.3.5
2020-05-21 03:12:28+02	2020-05-21 03:24:56+02	graphics	dia	\N	dia-0.97.3_1,1
2020-05-20 08:47:17+02	2020-05-20 08:50:33+02	graphics	djvulibre	\N	djvulibre-3.5.27_2
2020-05-24 16:26:10+02	2020-05-24 16:28:02+02	graphics	drm-current-kmod	\N	drm-current-kmod-4.16.g20200320
2020-05-24 16:28:02+02	2020-05-24 16:28:11+02	graphics	drm-kmod	\N	drm-kmod-g20190710
2020-05-20 19:19:12+02	2020-05-20 19:27:27+02	graphics	eom	\N	eom-1.22.2
2020-04-26 19:08:05+02	2020-04-26 19:14:16+02	graphics	exiv2	\N	exiv2-0.27.2,1
2020-05-20 06:36:47+02	2020-05-20 06:37:12+02	graphics	fpc-cairo	\N	fpc-cairo-3.0.4_4
2020-05-16 18:31:22+02	2020-05-16 18:31:37+02	graphics	fpc-opengl	\N	fpc-opengl-3.0.4_4
2020-03-07 03:26:08+01	2020-03-07 03:26:25+01	graphics	fpc-pasjpeg	\N	fpc-pasjpeg-3.0.4_4
2020-05-16 16:24:10+02	2020-05-16 16:24:44+02	graphics	freeglut	\N	freeglut-3.0.0_2
2020-03-17 07:58:57+01	2020-03-17 07:59:21+01	graphics	frei0r-plugins-gavl	\N	frei0r-plugins-gavl-1.6.1
2020-05-23 09:09:48+02	2020-05-23 09:12:32+02	graphics	frei0r-plugins-opencv	\N	frei0r-plugins-opencv-1.6.1_1
2020-05-23 09:23:42+02	2020-05-23 09:24:59+02	graphics	frei0r-plugins	\N	frei0r-plugins-1.6.1_1
2020-05-21 01:11:50+02	2020-05-21 01:13:11+02	graphics	frei0r	\N	frei0r-1.6.1
2020-05-16 19:25:29+02	2020-05-16 19:25:47+02	graphics	ftgl	\N	ftgl-2.1.3.r5_6,1
2020-05-09 11:14:32+02	2020-05-09 11:14:53+02	graphics	gd	\N	libgd-2.3.0,1
2020-05-21 00:12:43+02	2020-05-21 00:13:51+02	graphics	gdk-pixbuf2	\N	gdk-pixbuf2-2.40.0
2020-05-24 16:27:18+02	2020-05-24 16:28:17+02	graphics	gegl	\N	gegl-0.4.22_5
2020-05-24 16:26:10+02	2020-05-24 16:27:18+02	graphics	gexiv2	\N	gexiv2-0.12.1
2020-02-28 22:43:41+01	2020-02-28 22:43:51+01	graphics	giflib	\N	giflib-5.2.1
2020-05-24 16:28:17+02	2020-05-24 16:31:30+02	graphics	gimp-app	\N	gimp-app-2.10.18_6,1
2020-05-24 16:32:33+02	2020-05-24 16:33:18+02	graphics	gimp	\N	gimp-2.10.18,2
2020-05-16 19:25:47+02	2020-05-16 19:26:05+02	graphics	gle	\N	gle-3.1.0_7
2020-05-16 17:41:47+02	2020-05-16 17:44:23+02	graphics	glew	\N	glew-2.1.0
2020-05-16 19:26:06+02	2020-05-16 19:26:20+02	graphics	gltt	\N	gltt-2.5.2_14
2020-05-20 19:30:34+02	2020-05-20 19:34:38+02	graphics	goocanvas2	\N	goocanvas2-2.0.4
2020-05-07 21:15:56+02	2020-05-07 21:18:45+02	graphics	gpu-firmware-kmod	\N	gpu-firmware-kmod-g20200503
2020-05-21 01:43:30+02	2020-05-21 01:44:42+02	graphics	graphene	\N	graphene-1.10.0
2020-05-15 21:32:32+02	2020-05-15 21:35:18+02	graphics	GraphicsMagick	\N	GraphicsMagick-1.3.35,1
2020-04-01 07:55:16+02	2020-04-01 07:56:05+02	graphics	graphite2	\N	graphite2-1.3.14
2020-05-21 00:13:28+02	2020-05-21 00:19:16+02	graphics	graphviz	\N	graphviz-2.44.0_3
2020-05-21 01:47:19+02	2020-05-21 01:50:04+02	graphics	gstreamer1-plugins-gl	\N	gstreamer1-plugins-gl-1.16.2
2020-05-20 04:11:27+02	2020-05-20 04:12:23+02	graphics	gstreamer1-plugins-png	\N	gstreamer1-plugins-png-1.16.2
2020-05-21 00:14:22+02	2020-05-21 00:15:22+02	graphics	gtk-update-icon-cache	\N	gtk-update-icon-cache-2.24.32
2020-05-14 07:53:00+02	2020-05-14 07:54:26+02	graphics	ilmbase	\N	ilmbase-2.5.1
2020-04-26 16:49:56+02	2020-04-26 17:02:10+02	graphics	ImageMagick6	\N	ImageMagick6-6.9.11.6,1
2020-05-21 01:37:08+02	2020-05-21 01:42:37+02	graphics	ImageMagick7	\N	ImageMagick7-7.0.10.6
2020-05-23 00:01:52+02	2020-05-23 00:11:29+02	graphics	inkscape	\N	inkscape-1.0_1
2020-03-01 00:00:33+01	2020-03-01 00:00:55+01	graphics	jasper	\N	jasper-2.0.16_1
2020-03-28 15:43:19+01	2020-03-28 15:43:41+01	graphics	jbig2dec	\N	jbig2dec-0.18
2020-02-28 22:30:06+01	2020-02-28 22:30:15+01	graphics	jbigkit	\N	jbigkit-2.1_1
2020-05-21 17:08:26+02	2020-05-21 17:08:35+02	graphics	jgraph	\N	jgraph-8.3_1
2020-02-28 22:27:18+01	2020-02-28 22:27:58+01	graphics	jpeg-turbo	\N	jpeg-turbo-2.0.4
2020-03-01 00:10:35+01	2020-03-01 00:11:00+01	graphics	lcms	\N	lcms-1.19_6,1
2020-02-28 22:55:33+01	2020-02-28 22:56:18+01	graphics	lcms2	\N	lcms2-2.9
2020-03-16 22:36:46+01	2020-03-16 22:40:07+01	graphics	leptonica	\N	leptonica-1.76.0_1
2020-03-01 01:06:58+01	2020-03-01 01:07:31+01	graphics	libart_lgpl	\N	libart_lgpl-2.3.21_3,1
2020-04-25 07:56:01+02	2020-04-25 07:58:38+02	graphics	libcdr01	\N	libcdr01-0.1.5_8
2020-05-05 19:39:41+02	2020-05-05 19:40:23+02	graphics	libdrm	\N	libdrm-2.4.99,1
2020-05-16 15:27:17+02	2020-05-16 15:27:42+02	graphics	libepoxy	\N	libepoxy-1.5.4
2020-04-25 09:52:28+02	2020-04-25 10:14:39+02	graphics	libetonyek01	\N	libetonyek01-0.1.9_5,1
2020-03-01 00:53:42+01	2020-03-01 00:54:04+01	graphics	libexif	\N	libexif-0.6.21_5
2020-04-25 09:57:12+02	2020-04-25 10:02:25+02	graphics	libfreehand	\N	libfreehand-0.1.2_18
2020-05-16 18:31:41+02	2020-05-16 18:32:24+02	graphics	libgltf	\N	libgltf-0.0.2_21
2020-05-16 15:31:25+02	2020-05-16 15:31:46+02	graphics	libGLU	\N	libGLU-9.0.1
2020-05-09 12:22:07+02	2020-05-09 12:22:55+02	graphics	libgphoto2	\N	libgphoto2-2.5.23_1
2020-05-23 09:12:33+02	2020-05-23 09:13:33+02	graphics	libgxps	\N	libgxps-0.3.1
2020-05-21 01:36:28+02	2020-05-21 01:36:42+02	graphics	liblqr-1	\N	liblqr-1-0.4.2
2020-03-01 00:27:13+01	2020-03-01 00:27:46+01	graphics	libmng	\N	libmng-1.0.10_3
2020-05-23 08:48:52+02	2020-05-23 08:49:06+02	graphics	libmypaint	\N	libmypaint-1.5.1_1
2020-02-29 06:48:56+01	2020-02-29 06:49:11+01	graphics	libnsgif	\N	libnsgif-0.2.1
2020-05-16 18:32:45+02	2020-05-16 18:33:01+02	graphics	libplacebo	\N	libplacebo-2.43.1
2020-02-28 23:57:46+01	2020-02-28 23:58:00+01	graphics	libpotrace	\N	libpotrace-1.12
2020-02-28 23:58:00+01	2020-02-28 23:59:08+01	graphics	libraw	\N	libraw-0.19.5
2020-05-21 00:23:18+02	2020-05-21 00:24:43+02	graphics	librsvg2	\N	librsvg2-2.40.21
2020-02-29 06:15:16+01	2020-02-29 06:15:52+01	graphics	libspiro	\N	libspiro-20190731,1
2020-04-17 03:38:55+02	2020-04-17 03:40:17+02	graphics	libwmf	\N	libwmf-0.2.8.4_15
2020-05-26 19:39:51+02	2020-05-26 20:03:10+02	multimedia	libva-intel-media-driver	\N	libva-intel-media-driver-20.2.p3
2020-05-26 20:03:11+02	2020-05-26 20:03:21+02	graphics	drm-kmod	\N	drm-kmod-g20190710
2020-05-26 19:37:40+02	2020-05-26 22:15:50+02	lang	gcc10-devel	\N	gcc10-devel-10.1.1.s20200523
2020-05-26 19:52:00+02	2020-05-26 22:19:33+02	www	firefox	\N	firefox-77.0,1
2020-05-26 22:40:38+02	2020-05-26 22:55:43+02	local	E590T-localbase	\N	E590T-localbase-2020052200
2020-05-27 07:44:57+02	2020-05-27 07:45:06+02	dns	py-idna	py27	py27-idna-2.8
2020-05-27 07:44:57+02	2020-05-27 07:45:06+02	net	py-pysocks	py27	py27-pysocks-1.7.1
2020-05-27 07:45:06+02	2020-05-27 07:45:15+02	security	py-certifi	py27	py27-certifi-2020.4.5.1
2020-05-27 07:45:06+02	2020-05-27 07:45:15+02	security	py-openssl	py27	py27-openssl-19.0.0
2020-05-27 07:45:15+02	2020-05-27 07:45:24+02	net	py-urllib3	py27	py27-urllib3-1.25.7,1
2020-05-27 07:45:15+02	2020-05-27 07:45:26+02	devel	py-future	py27	py27-future-0.18.2
2020-05-27 07:45:26+02	2020-05-27 07:45:35+02	textproc	py-chardet	py27	py27-chardet-3.0.4_3
2020-05-27 07:45:24+02	2020-05-27 07:45:35+02	sysutils	py-psutil	py27	py27-psutil-5.7.0
2020-05-27 07:45:36+02	2020-05-27 07:46:24+02	devel	cdecl	\N	cdecl-7.1
2020-05-27 07:46:25+02	2020-05-27 07:46:38+02	net	py-netifaces	py27	py27-netifaces-0.10.9
2020-05-27 07:46:38+02	2020-05-27 07:46:56+02	sysutils	py-glances	py27	py27-glances-3.1.4
2020-05-27 07:46:56+02	2020-05-27 07:47:08+02	sysutils	py-py-cpuinfo	py27	py27-py-cpuinfo-5.0.0
2020-05-27 07:47:08+02	2020-05-27 07:47:19+02	www	py-bottle	py27	py27-bottle-0.12.15_1
2020-05-27 07:47:20+02	2020-05-27 07:47:31+02	www	py-requests	py27	py27-requests-2.22.0
2020-05-27 07:45:36+02	2020-05-27 07:48:23+02	graphics	drm-current-kmod	\N	drm-current-kmod-4.16.g20200320
2020-05-27 07:48:23+02	2020-05-27 07:48:31+02	graphics	drm-kmod	\N	drm-kmod-g20190710
2020-05-27 07:44:57+02	2020-05-27 08:52:33+02	lang	ghc	\N	ghc-8.8.3_1
2020-05-27 09:06:45+02	2020-05-27 09:20:55+02	local	E590T-localbase	\N	E590T-localbase-2020052600
2020-05-27 23:26:36+02	2020-05-27 23:28:41+02	devel	google-perftools	\N	google-perftools-2.7.90
2020-05-27 23:28:41+02	2020-05-27 23:32:41+02	security	klee	\N	klee-2.1
2020-05-27 23:26:36+02	2020-05-27 23:34:13+02	graphics	drm-current-kmod	\N	drm-current-kmod-4.16.g20200320
2020-05-27 23:34:13+02	2020-05-27 23:34:20+02	graphics	drm-kmod	\N	drm-kmod-g20190710
2020-05-27 23:26:36+02	2020-05-28 00:55:37+02	www	firefox	\N	firefox-77.0_1,1
2020-05-28 01:15:18+02	2020-05-28 01:29:42+02	local	E590T-localbase	\N	E590T-localbase-2020052600
2020-05-28 23:58:09+02	2020-05-28 23:58:22+02	www	p5-HTTP-Daemon	\N	p5-HTTP-Daemon-6.10
2020-05-28 23:58:09+02	2020-05-28 23:58:31+02	sysutils	libcpuid	\N	libcpuid-0.5.0
2020-05-28 23:58:23+02	2020-05-28 23:58:37+02	www	p5-libwww	\N	p5-libwww-6.44
2020-05-28 23:58:32+02	2020-05-29 00:05:17+02	graphics	drm-current-kmod	\N	drm-current-kmod-4.16.g20200320
2020-05-28 23:58:09+02	2020-05-29 00:05:58+02	devel	gsoap	\N	gsoap-2.8.103
2020-05-29 00:05:17+02	2020-05-29 00:06:07+02	sysutils	cpu-x	\N	cpu-x-4.0.0_1
2020-05-29 00:05:59+02	2020-05-29 00:06:51+02	www	links	\N	links-2.20.2,1
2020-05-29 00:06:51+02	2020-05-29 00:06:59+02	graphics	drm-kmod	\N	drm-kmod-g20190710
2020-05-29 00:06:07+02	2020-05-29 00:07:47+02	x11	xscreensaver	\N	xscreensaver-5.44
2020-05-28 23:58:37+02	2020-05-29 00:23:21+02	lang	erlang-runtime23	\N	erlang-runtime23-23.0.2
2020-05-29 00:44:03+02	2020-05-29 00:59:05+02	local	E590T-localbase	\N	E590T-localbase-2020052600
2020-05-30 11:16:14+02	2020-05-30 11:16:31+02	security	ca_root_nss	\N	ca_root_nss-3.53
2020-05-30 11:16:14+02	2020-05-30 11:16:51+02	devel	oniguruma	\N	oniguruma-6.9.5.r1
2020-05-30 11:16:31+02	2020-05-30 11:17:04+02	textproc	py-sphinx	py37	py37-sphinx-3.0.3,1
2020-05-30 11:17:05+02	2020-05-30 11:17:22+02	textproc	py-recommonmark	py37	py37-recommonmark-0.5.0_2
2020-05-30 11:17:23+02	2020-05-30 11:18:27+02	security	p11-kit	\N	p11-kit-0.23.20
2020-05-30 11:16:14+02	2020-05-30 11:18:32+02	security	nss	\N	nss-3.53
2020-05-30 11:16:51+02	2020-05-30 11:19:07+02	ftp	curl	\N	curl-7.70.0_1
2020-05-30 11:18:34+02	2020-05-30 11:24:02+02	net	qt5-network	\N	qt5-network-5.14.2
2020-05-30 11:18:27+02	2020-05-30 11:24:57+02	security	gnutls	\N	gnutls-3.6.13_1
2020-05-30 11:24:57+02	2020-05-30 11:28:10+02	print	cups	\N	cups-2.2.13
2020-05-30 11:28:11+02	2020-05-30 11:37:30+02	print	ghostscript9-agpl-base	\N	ghostscript9-agpl-base-9.52_4
2020-05-30 11:19:10+02	2020-05-30 11:41:07+02	devel	cmake	\N	cmake-3.17.2
2020-05-30 11:24:07+02	2020-05-30 11:43:47+02	x11-toolkits	qt5-gui	\N	qt5-gui-5.14.2
2020-05-30 11:41:10+02	2020-05-30 11:51:36+02	x11-toolkits	gtk20	\N	gtk2-2.24.32
2020-05-30 11:43:49+02	2020-05-30 11:53:24+02	x11-toolkits	qt5-widgets	\N	qt5-widgets-5.14.2
2020-05-30 11:37:32+02	2020-05-30 11:53:38+02	x11-toolkits	gtk30	\N	gtk3-3.24.10_1
2020-05-30 11:53:39+02	2020-05-30 11:54:40+02	net	glib-networking	\N	glib-networking-2.56.1_2
2020-05-30 11:53:24+02	2020-05-30 11:56:19+02	graphics	poppler	\N	poppler-0.88.0
2020-05-30 11:54:42+02	2020-05-30 11:57:08+02	devel	qt5-help	\N	qt5-help-5.14.2
2020-05-30 11:56:21+02	2020-05-30 11:58:19+02	devel	libsoup	\N	libsoup-2.62.3
2020-05-30 11:51:37+02	2020-05-30 11:59:34+02	textproc	qt5-xmlpatterns	\N	qt5-xmlpatterns-5.14.2
2020-05-30 11:58:20+02	2020-05-30 12:00:20+02	print	qt5-printsupport	\N	qt5-printsupport-5.14.2
2020-05-30 11:57:09+02	2020-05-30 12:07:17+02	print	texlive-base	\N	texlive-base-20150521_51
2020-05-30 12:00:21+02	2020-05-30 12:22:04+02	multimedia	ffmpeg	\N	ffmpeg-4.2.3,1
2020-05-30 12:22:04+02	2020-05-30 12:23:39+02	devel	gconf2	\N	gconf2-3.2.6_5
2020-05-30 12:23:40+02	2020-05-30 12:24:19+02	print	ghostscript9-agpl-x11	\N	ghostscript9-agpl-x11-9.52
2020-05-30 12:24:20+02	2020-05-30 12:25:06+02	x11	qt5-x11extras	\N	qt5-x11extras-5.14.2
2020-05-30 11:59:35+02	2020-05-30 12:25:07+02	x11-toolkits	qt5-declarative	\N	qt5-declarative-5.14.2
2020-05-30 12:25:08+02	2020-05-30 12:25:38+02	x11-toolkits	qt5-uiplugin	\N	qt5-uiplugin-5.14.2
2020-05-30 12:25:38+02	2020-05-30 12:27:32+02	graphics	qt5-opengl	\N	qt5-opengl-5.14.2
2020-05-30 12:27:34+02	2020-05-30 12:28:25+02	converters	php73-mbstring	\N	php73-mbstring-7.3.18
2020-05-30 12:28:26+02	2020-05-30 12:29:48+02	graphics	qt5-svg	\N	qt5-svg-5.14.2
2020-05-30 12:29:49+02	2020-05-30 12:30:19+02	ftp	php73-curl	\N	php73-curl-7.3.18
2020-05-30 12:25:06+02	2020-05-30 12:31:01+02	graphics	ImageMagick7	\N	ImageMagick7-7.0.10.6
2020-05-30 12:30:19+02	2020-05-30 12:31:32+02	x11	mate-desktop	\N	mate-desktop-1.22.2
2020-05-30 12:31:02+02	2020-05-30 12:31:53+02	graphics	pecl-imagick-im7	php73	php73-pecl-imagick-im7-3.4.4
2020-05-30 12:31:32+02	2020-05-30 12:32:07+02	audio	libcanberra	\N	libcanberra-0.30_5
2020-05-30 12:07:19+02	2020-05-30 12:32:50+02	print	texlive-texmf	\N	texlive-texmf-20150523_4
2020-05-30 12:31:54+02	2020-05-30 12:32:54+02	net	geoclue	\N	geoclue-2.5.5
2020-05-30 12:32:08+02	2020-05-30 12:33:06+02	net-mgmt	icingaweb2	php73	icingaweb2-php73-2.7.3_3
2020-05-30 12:33:07+02	2020-05-30 12:34:04+02	x11-toolkits	wxgtk28-common	\N	wx28-gtk2-common-2.8.12_8
2020-05-30 12:34:04+02	2020-05-30 12:34:51+02	audio	libcanberra-gtk3	\N	libcanberra-gtk3-0.30_5
2020-05-30 12:32:51+02	2020-05-30 12:35:16+02	print	tex-formats	\N	tex-formats-20150521_2
2020-05-30 12:34:52+02	2020-05-30 12:36:36+02	devel	kf5-kconfig	\N	kf5-kconfig-5.70.0
2020-05-30 12:35:17+02	2020-05-30 12:38:59+02	devel	qscintilla2-qt5	\N	qscintilla2-qt5-2.11.4
2020-05-30 12:32:54+02	2020-05-30 12:39:37+02	print	tex-dvipsk	\N	tex-dvipsk-5.995_2
2020-05-30 12:39:00+02	2020-05-30 12:41:13+02	x11-toolkits	vte3	\N	vte3-0.52.2_3
2020-05-30 12:41:14+02	2020-05-30 12:42:53+02	devel	kf5-ki18n	\N	kf5-ki18n-5.70.0
2020-05-30 12:42:53+02	2020-05-30 12:50:29+02	devel	py-qt5-core	py37	py37-qt5-core-5.13.1_1
2020-05-30 12:50:30+02	2020-05-30 13:02:46+02	x11-toolkits	wxgtk28	\N	wx28-gtk2-2.8.12_8
2020-05-30 12:39:38+02	2020-05-30 13:03:40+02	devel	doxygen	\N	doxygen-1.8.15_3,2
2020-05-30 13:02:47+02	2020-05-30 13:04:27+02	devel	kf5-kdoctools	\N	kf5-kdoctools-5.70.0
2020-05-30 13:03:41+02	2020-05-30 13:05:17+02	devel	qt5-uitools	\N	qt5-uitools-5.14.2
2020-05-30 13:04:28+02	2020-05-30 13:07:37+02	graphics	poppler-glib	\N	poppler-glib-0.88.0
2020-05-30 13:05:19+02	2020-05-30 13:07:53+02	x11	kf5-kwindowsystem	\N	kf5-kwindowsystem-5.70.0
2020-05-30 13:07:40+02	2020-05-30 13:09:04+02	graphics	qt5-imageformats	\N	qt5-imageformats-5.14.2
2020-05-30 13:07:54+02	2020-05-30 13:09:37+02	net	avahi-gtk3	\N	avahi-gtk3-0.7_1
2020-05-30 13:09:04+02	2020-05-30 13:10:33+02	www	qt5-webchannel	\N	qt5-webchannel-5.14.2
2020-05-30 13:09:38+02	2020-05-30 13:13:10+02	x11-toolkits	kf5-kwidgetsaddons	\N	kf5-kwidgetsaddons-5.70.0
2020-05-30 13:13:12+02	2020-05-30 13:15:10+02	devel	kf5-kcrash	\N	kf5-kcrash-5.70.0
2020-05-30 13:10:34+02	2020-05-30 13:16:25+02	databases	mysql57-client	\N	mysql57-client-5.7.30_1
2020-05-30 13:15:12+02	2020-05-30 13:16:45+02	devel	kf5-kdbusaddons	\N	kf5-kdbusaddons-5.70.0
2020-05-30 13:16:45+02	2020-05-30 13:18:38+02	net	remmina	\N	remmina-1.3.9
2020-05-30 13:18:40+02	2020-05-30 13:28:20+02	security	gcr	\N	gcr-3.28.0
2020-05-30 13:28:23+02	2020-05-30 13:30:45+02	sysutils	polkit-qt	\N	polkit-qt-1-0.113.0_8
2020-05-30 13:16:27+02	2020-05-30 13:30:57+02	devel	qt5-location	\N	qt5-location-5.14.2
2020-05-30 13:30:45+02	2020-05-30 13:32:44+02	devel	kf5-kauth	\N	kf5-kauth-5.70.0
2020-05-30 13:30:58+02	2020-05-30 13:33:51+02	devel	kf5-kservice	\N	kf5-kservice-5.70.0
2020-05-30 13:33:52+02	2020-05-30 13:35:34+02	x11-toolkits	kf5-kguiaddons	\N	kf5-kguiaddons-5.70.0
2020-05-30 13:35:35+02	2020-05-30 13:37:56+02	x11-toolkits	libwnck3	\N	libwnck3-3.24.1
2020-05-30 13:37:57+02	2020-05-30 14:12:46+02	x11-toolkits	py-qt5-gui	py37	py37-qt5-gui-5.13.1_1
2020-05-30 14:12:49+02	2020-05-30 14:14:41+02	accessibility	qt5-speech	\N	qt5-speech-5.14.2
2020-05-30 14:14:42+02	2020-05-30 14:17:25+02	multimedia	gstreamer1-libav	\N	gstreamer1-libav-1.16.2
2020-05-30 14:17:27+02	2020-05-30 14:20:51+02	net	py-qt5-network	py37	py37-qt5-network-5.13.1_1
2020-05-30 14:20:54+02	2020-05-30 14:23:39+02	x11-toolkits	kf5-kconfigwidgets	\N	kf5-kconfigwidgets-5.70.0
2020-05-30 14:23:41+02	2020-05-30 14:25:57+02	x11-toolkits	kf5-kitemviews	\N	kf5-kitemviews-5.70.0
2020-05-30 14:25:58+02	2020-05-30 14:30:12+02	comms	qt5-sensors	\N	qt5-sensors-5.14.2
2020-05-30 14:30:14+02	2020-05-30 14:35:40+02	math	gnuplot	\N	gnuplot-5.2.8_1
2020-05-30 14:35:42+02	2020-05-30 14:37:10+02	multimedia	gstreamer1-plugins-core	\N	gstreamer1-plugins-core-1.16
2020-05-30 14:37:13+02	2020-05-30 14:50:30+02	net	libmateweather	\N	libmateweather-1.22.1
2020-05-30 14:50:33+02	2020-05-30 14:54:50+02	security	gnupg	\N	gnupg-2.2.20
2020-05-30 14:54:52+02	2020-05-30 14:57:59+02	x11-themes	kf5-kiconthemes	\N	kf5-kiconthemes-5.70.0
2020-05-30 12:36:37+02	2020-05-30 15:03:17+02	www	webkit2-gtk3	\N	webkit2-gtk3-2.28.1_1
2020-05-30 15:03:19+02	2020-05-30 15:04:58+02	databases	fpc-mysql	\N	fpc-mysql-3.0.4_4
2020-05-30 15:05:01+02	2020-05-30 15:08:29+02	devel	libsoup-gnome	\N	libsoup-gnome-2.62.3
2020-05-30 14:58:02+02	2020-05-30 15:08:52+02	x11-toolkits	py-qt5-widgets	py37	py37-qt5-widgets-5.13.1_1
2020-05-30 15:08:32+02	2020-05-30 15:09:19+02	security	gpgme	\N	gpgme-1.13.1
2020-05-30 15:08:52+02	2020-05-30 15:11:20+02	textproc	kf5-sonnet	\N	kf5-sonnet-5.70.0
2020-05-30 15:11:21+02	2020-05-30 15:21:23+02	x11	mate-panel	\N	mate-panel-1.22.2
2020-05-30 15:21:24+02	2020-05-30 15:23:45+02	x11-toolkits	kf5-kcompletion	\N	kf5-kcompletion-5.70.0
2020-05-30 15:23:48+02	2020-05-30 15:26:02+02	devel	libdbusmenu-qt	\N	libdbusmenu-qt5-0.9.3.160420160218_10
2020-05-30 15:26:03+02	2020-05-30 15:28:24+02	devel	librest	\N	rest-0.7.93
2020-05-30 15:28:26+02	2020-05-30 15:32:12+02	devel	qt5-assistant	\N	qt5-assistant-5.14.2
2020-05-30 15:32:13+02	2020-05-30 15:36:40+02	graphics	poppler-utils	\N	poppler-utils-0.88.0
2020-05-30 15:36:41+02	2020-05-30 15:39:30+02	multimedia	phonon	\N	phonon-qt5-4.11.1
2020-05-30 15:39:32+02	2020-05-30 15:49:58+02	multimedia	qt5-multimedia	\N	qt5-multimedia-5.14.2
2020-05-30 15:50:00+02	2020-05-30 15:51:33+02	security	gpgme-cpp	\N	gpgme-cpp-1.13.1
2020-05-30 15:51:37+02	2020-05-30 15:54:03+02	security	pinentry-gnome3	\N	pinentry-gnome3-1.1.0
2020-05-30 15:54:06+02	2020-05-30 17:41:44+02	www	node	\N	node-13.13.0_1
2020-05-30 17:41:47+02	2020-05-30 17:45:52+02	x11	kf5-kglobalaccel	\N	kf5-kglobalaccel-5.70.0
2020-05-30 17:45:54+02	2020-05-30 17:50:29+02	x11	libmatekbd	\N	libmatekbd-1.22.0
2020-05-30 17:50:36+02	2020-05-30 17:56:58+02	x11-fm	caja	\N	caja-1.22.3
2020-05-30 17:56:59+02	2020-05-30 17:59:42+02	x11-toolkits	kf5-attica	\N	kf5-attica-5.70.0
2020-05-30 17:59:43+02	2020-05-30 18:02:10+02	x11-toolkits	kf5-ktextwidgets	\N	kf5-ktextwidgets-5.70.0
2020-05-30 18:02:11+02	2020-05-30 18:03:49+02	x11-toolkits	libunique3	\N	libunique-3.0.2_3
2020-05-30 18:03:51+02	2020-05-30 18:06:51+02	x11-toolkits	wxgtk28-contrib-common	\N	wx28-gtk2-contrib-common-2.8.12_8
2020-05-30 18:06:51+02	2020-05-30 18:10:29+02	devel	kf5-knotifications	\N	kf5-knotifications-5.70.0
2020-05-30 18:10:30+02	2020-05-30 18:12:04+02	devel	libglade2	\N	libglade2-2.6.4_10
2020-05-30 18:12:04+02	2020-05-30 18:25:12+02	devel	qt5-designer	\N	qt5-designer-5.14.2
2020-05-30 18:25:14+02	2020-05-30 18:30:01+02	graphics	gegl	\N	gegl-0.4.22_5
2020-05-30 18:30:02+02	2020-05-30 18:34:56+02	mail	mailutils	\N	mailutils-3.9
2020-05-30 13:32:45+02	2020-05-30 18:36:22+02	lang	rust	\N	rust-1.43.1
2020-05-30 18:36:26+02	2020-05-30 18:36:47+02	net	liboauth	\N	liboauth-1.0.3_4
2020-05-30 18:34:57+02	2020-05-30 18:38:54+02	net	gnome-online-accounts	\N	gnome-online-accounts-3.28.0_2
2020-05-30 18:38:55+02	2020-05-30 18:40:15+02	net	uhttpmock	\N	uhttpmock-0.5.1_1
2020-05-30 18:40:16+02	2020-05-30 18:41:45+02	print	py-qt5-printsupport	py37	py37-qt5-printsupport-5.13.1_1
2020-05-30 15:09:20+02	2020-05-30 18:48:40+02	www	qt5-webkit	\N	qt5-webkit-5.212.0.a4_2
2020-05-30 18:41:46+02	2020-05-30 18:49:21+02	security	gnome-keyring	\N	gnome-keyring-3.28.2_2
2020-05-30 18:48:42+02	2020-05-30 18:51:39+02	security	gpgme-qt5	\N	gpgme-qt5-1.13.1
2020-05-30 18:49:24+02	2020-05-30 18:51:54+02	security	pinentry-qt5	\N	pinentry-qt5-1.1.0_1
2020-05-30 18:51:55+02	2020-05-30 18:54:26+02	textproc	raptor2	\N	raptor2-2.0.15_14
2020-05-30 18:51:40+02	2020-05-30 18:55:20+02	sysutils	policykit-gnome	\N	policykit-gnome-0.9.2_9
2020-05-30 18:54:27+02	2020-05-30 18:56:51+02	x11	zenity	\N	zenity-3.28.1
2020-05-30 18:56:52+02	2020-05-30 19:01:52+02	x11-toolkits	kf5-kxmlgui	\N	kf5-kxmlgui-5.70.0
2020-05-30 19:01:55+02	2020-05-30 19:06:43+02	x11-toolkits	wxgtk28-contrib	\N	wx28-gtk2-contrib-2.8.12_8
2020-05-30 18:55:26+02	2020-05-30 19:08:54+02	x11-toolkits	gtkmm30	\N	gtkmm30-3.22.2
2020-05-30 18:36:47+02	2020-05-30 19:09:23+02	net	samba410	\N	samba410-4.10.15
2020-05-30 19:08:56+02	2020-05-30 19:10:46+02	devel	kf5-kbookmarks	\N	kf5-kbookmarks-5.70.0
2020-05-30 19:06:47+02	2020-05-30 19:11:27+02	devel	git	\N	git-2.26.2
2020-05-30 19:09:28+02	2020-05-30 19:12:05+02	devel	kf5-solid	\N	kf5-solid-5.70.0
2020-05-30 19:11:28+02	2020-05-30 19:13:01+02	devel	libpeas	\N	libpeas-1.22.0
2020-05-30 19:13:02+02	2020-05-30 19:13:21+02	ftp	fpc-libcurl	\N	fpc-libcurl-3.0.4_4
2020-05-30 19:10:46+02	2020-05-30 19:13:32+02	devel	libgdata	\N	libgdata-0.17.9
2020-05-30 19:12:06+02	2020-05-30 19:18:19+02	editors	emacs	full	emacs-26.3_4,3
2020-05-30 19:18:21+02	2020-05-30 19:21:33+02	lang	py-qt5-qml	py37	py37-qt5-qml-5.13.1_1
2020-05-30 19:21:38+02	2020-05-30 19:22:31+02	net	gssdp	\N	gssdp-1.2.2
2020-05-30 19:22:33+02	2020-05-30 19:24:38+02	net-mgmt	icingaweb2-module-ipl	php73	icingaweb2-module-ipl-php73-0.4.0_1
2020-05-30 19:24:40+02	2020-05-30 19:27:43+02	print	cups-filters	\N	cups-filters-1.27.4_1
2020-05-30 19:13:21+02	2020-05-30 19:33:09+02	graphics	gimp-app	\N	gimp-app-2.10.18_6,1
2020-05-30 19:33:10+02	2020-05-30 19:34:21+02	sysutils	gnome-mount	\N	gnome-mount-0.8_13
2020-05-30 19:34:21+02	2020-05-30 19:36:42+02	sysutils	kf5-kwallet	\N	kf5-kwallet-5.70.0
2020-05-30 19:36:43+02	2020-05-30 19:39:14+02	sysutils	mate-settings-daemon	\N	mate-settings-daemon-1.22.1
2020-05-30 19:39:14+02	2020-05-30 19:40:26+02	textproc	rasqal	\N	rasqal-0.9.33_1
2020-05-30 19:13:33+02	2020-05-30 19:43:44+02	graphics	opencv	\N	opencv-3.4.1_31
2020-05-30 19:27:44+02	2020-05-30 19:53:23+02	print	tex-luatex	\N	tex-luatex-0.80.0_17
2020-05-30 19:43:44+02	2020-05-30 21:35:14+02	www	node12	\N	node12-12.16.2_1
2020-05-30 21:35:17+02	2020-05-30 21:38:14+02	x11	kf5-kded	\N	kf5-kded-5.70.0_1
2020-05-30 21:38:16+02	2020-05-30 21:42:41+02	x11	mate-session-manager	\N	mate-session-manager-1.22.3
2020-05-30 21:42:43+02	2020-05-30 21:47:56+02	x11	yelp	\N	yelp-3.28.1_2
2020-05-30 21:47:58+02	2020-05-30 21:51:55+02	x11-themes	gtk-engines2	\N	gtk-engines2-2.20.2_3
2020-05-30 21:51:56+02	2020-05-30 21:54:36+02	x11-themes	gtk-murrine-engine	\N	gtk-murrine-engine-0.98.2_5
2020-05-30 21:54:38+02	2020-05-30 22:02:13+02	x11-toolkits	gtksourceview3	\N	gtksourceview3-3.24.8_3
2020-05-30 22:02:14+02	2020-05-30 22:05:26+02	x11-toolkits	kf5-kjobwidgets	\N	kf5-kjobwidgets-5.70.0
2020-05-30 22:05:29+02	2020-05-30 22:12:25+02	x11-toolkits	qt5-quickcontrols	\N	qt5-quickcontrols-5.14.2
2020-05-30 22:12:27+02	2020-05-30 22:20:51+02	x11-wm	marco	\N	marco-1.22.4
2020-05-30 22:20:53+02	2020-05-30 22:27:47+02	deskutils	gucharmap	\N	gucharmap-11.0.1_1
2020-05-30 22:27:49+02	2020-05-30 22:31:17+02	deskutils	mate-notification-daemon	\N	mate-notification-daemon-1.22.1
2020-05-30 22:31:20+02	2020-05-30 22:43:57+02	deskutils	spice-gtk	\N	spice-gtk-0.37
2020-05-30 22:44:01+02	2020-05-30 22:56:06+02	devel	gvfs	\N	gvfs-1.30.4_3
2020-05-30 22:56:08+02	2020-05-30 23:21:45+02	devel	kf5-kio	\N	kf5-kio-5.70.1_1
2020-05-30 23:21:55+02	2020-05-30 23:27:30+02	graphics	frei0r-plugins-opencv	\N	frei0r-plugins-opencv-1.6.1_1
2020-05-30 23:27:32+02	2020-05-30 23:29:48+02	graphics	py-qt5-svg	py37	py37-qt5-svg-5.13.1_1
2020-05-30 23:29:50+02	2020-05-31 00:04:03+02	graphics	qt5-3d	\N	qt5-3d-5.14.2
2020-05-31 00:04:06+02	2020-05-31 00:05:51+02	graphics	qt5-graphicaleffects	\N	qt5-graphicaleffects-5.14.2
2020-05-31 00:05:53+02	2020-05-31 00:16:06+02	graphics	sane-backends	\N	sane-backends-1.0.30
2020-05-31 00:16:08+02	2020-05-31 00:52:01+02	math	R	\N	R-4.0.0_1
2020-05-31 00:52:04+02	2020-05-31 01:06:38+02	misc	mate-user-guide	\N	mate-user-guide-1.22.3
2020-05-31 01:06:40+02	2020-05-31 01:11:13+02	multimedia	mlt	\N	mlt-6.20.0
2020-05-31 01:11:14+02	2020-05-31 01:15:49+02	net	freerdp	\N	freerdp-2.0.0.r4_9
2020-05-31 01:15:51+02	2020-05-31 01:17:04+02	net	gupnp	\N	gupnp-1.1.1_1
2020-05-31 01:17:05+02	2020-05-31 01:36:57+02	net	libcmis	\N	libcmis-0.5.2_1
2020-05-31 01:36:59+02	2020-05-31 01:39:07+02	net	remmina-plugin-exec	\N	remmina-plugin-exec-1.3.9
2020-05-31 01:39:08+02	2020-05-31 01:41:14+02	net-mgmt	icingaweb2-module-reactbundle	php73	icingaweb2-module-reactbundle-php73-0.7.0_1
2020-05-31 01:41:16+02	2020-05-31 01:52:06+02	print	gutenprint	\N	gutenprint-5.3.3
2020-05-31 01:52:08+02	2020-05-31 01:53:55+02	print	libspectre	\N	libspectre-0.2.8
2020-05-31 01:53:57+02	2020-05-31 02:08:41+02	print	tex-dvipdfmx	\N	tex-dvipdfmx-20150315_1
2020-05-31 02:08:44+02	2020-05-31 02:20:54+02	print	tex-xmltex	\N	tex-xmltex-1.9_2
2020-05-31 02:20:56+02	2020-05-31 02:24:46+02	security	xmlsec1	\N	xmlsec1-1.2.29
2020-05-31 02:24:48+02	2020-05-31 02:34:04+02	sysutils	mate-control-center	\N	mate-control-center-1.22.2
2020-05-31 02:34:06+02	2020-05-31 02:36:40+02	sysutils	mate-polkit	\N	mate-polkit-1.22.0
2020-05-31 02:36:41+02	2020-05-31 02:40:12+02	textproc	redland	\N	redland-1.0.17_4
2020-05-31 02:40:14+02	2020-05-31 03:52:50+02	www	node10	\N	node10-10.20.1_1
2020-05-31 03:52:51+02	2020-05-31 03:54:40+02	www	py-qt5-webchannel	py37	py37-qt5-webchannel-5.13.1_1
2020-05-31 03:54:42+02	2020-05-31 03:57:52+02	www	py-qt5-webkit	py37	py37-qt5-webkit-5.13.1_1
2020-05-31 03:59:11+02	2020-05-31 04:04:45+02	x11-themes	mate-themes	\N	mate-themes-3.22.14
2020-05-31 04:04:47+02	2020-05-31 04:06:33+02	x11-toolkits	fpc-gtk2	\N	fpc-gtk2-3.0.4_4
2020-05-31 04:06:35+02	2020-05-31 04:11:48+02	x11-toolkits	py-gtk2	py27	py27-gtk2-2.24.0_5
2020-05-31 04:11:50+02	2020-05-31 04:55:37+02	x11-toolkits	wxgtk30	\N	wx30-gtk3-3.0.5.1
2020-05-31 04:55:40+02	2020-05-31 05:02:46+02	archivers	engrampa	\N	engrampa-1.22.2
2020-05-31 05:02:49+02	2020-05-31 05:04:34+02	audio	faudio	\N	FAudio-20.05
2020-05-31 05:04:36+02	2020-05-31 05:07:08+02	audio	mate-media	\N	mate-media-1.22.2
2020-05-31 05:07:09+02	2020-05-31 05:10:08+02	deskutils	caja-extensions	\N	caja-extensions-1.22.1
2020-05-30 19:53:25+02	2020-05-31 05:13:42+02	www	qt5-webengine	\N	qt5-webengine-5.14.2
2020-05-31 05:10:10+02	2020-05-31 05:15:03+02	deskutils	mate-utils	\N	mate-utils-1.22.2
2020-05-31 05:13:46+02	2020-05-31 05:15:09+02	deskutils	mozo	\N	mozo-1.22.2
2020-05-31 05:15:03+02	2020-05-31 05:16:14+02	devel	R-cran-rstudioapi	\N	R-cran-rstudioapi-0.11_1
2020-05-31 05:15:09+02	2020-05-31 05:22:01+02	devel	rust-cbindgen	\N	rust-cbindgen-0.14.2
2020-05-31 05:16:16+02	2020-05-31 05:53:51+02	editors	lazarus	\N	lazarus-gtk2-2.0.8
2020-05-31 05:53:54+02	2020-05-31 06:04:36+02	editors	pluma	\N	pluma-1.22.2
2020-05-31 06:04:39+02	2020-05-31 06:16:04+02	graphics	atril	\N	atril-1.22.3_5
2020-05-31 06:16:06+02	2020-05-31 06:23:08+02	graphics	eom	\N	eom-1.22.2
2020-05-31 06:23:10+02	2020-05-31 06:26:15+02	graphics	frei0r-plugins	\N	frei0r-plugins-1.6.1_1
2020-05-31 06:26:18+02	2020-05-31 06:30:03+02	graphics	goocanvas2	\N	goocanvas2-2.0.4
2020-05-31 06:30:06+02	2020-05-31 06:38:24+02	graphics	poppler-qt5	\N	poppler-qt5-0.88.0
2020-05-31 06:38:26+02	2020-05-31 06:45:38+02	graphics	py-gimp	\N	py27-gimp-2.10.18_6
2020-05-31 06:45:40+02	2020-05-31 07:12:48+02	japanese	tex-ptex	\N	ja-tex-ptex-3.6_1
2020-05-31 07:12:51+02	2020-05-31 09:32:19+02	lang	erlang	\N	erlang-21.3.8.16,4
2020-05-31 05:22:02+02	2020-05-31 11:53:47+02	editors	libreoffice	\N	libreoffice-6.3.6
2020-05-31 11:53:49+02	2020-05-31 11:56:23+02	math	mate-calc	\N	mate-calc-1.22.2
2020-05-31 11:56:27+02	2020-05-31 11:56:35+02	misc	freebsd-release-manifests	\N	freebsd-release-manifests-20200529
2020-05-31 09:32:23+02	2020-05-31 11:57:25+02	lang	julia11	\N	julia11-1.1.1_5
2020-05-31 11:56:36+02	2020-05-31 12:02:58+02	multimedia	libopenshot	py37	py37-libopenshot-0.2.5.4
2020-05-31 12:02:59+02	2020-05-31 12:06:18+02	multimedia	webvfx-qt5	\N	webvfx-qt5-0.4.4.20160823_12
2020-05-31 12:06:19+02	2020-05-31 12:08:24+02	net	remmina-plugin-nx	\N	remmina-plugin-nx-1.3.9
2020-05-31 12:08:25+02	2020-05-31 12:10:26+02	net	remmina-plugin-rdp	\N	remmina-plugin-rdp-1.3.9
2020-05-31 12:10:29+02	2020-05-31 12:12:57+02	net	remmina-plugin-secret	\N	remmina-plugin-secret-1.3.9
2020-05-31 12:12:59+02	2020-05-31 12:15:13+02	net	remmina-plugin-spice	\N	remmina-plugin-spice-1.3.9
2020-05-31 12:15:15+02	2020-05-31 12:16:26+02	net	remmina-plugin-st	\N	remmina-plugin-st-1.3.9
2020-05-31 12:16:29+02	2020-05-31 12:17:47+02	net	remmina-plugin-vnc	\N	remmina-plugin-vnc-1.3.9
2020-05-31 11:57:27+02	2020-05-31 12:18:35+02	multimedia	vlc	\N	vlc-3.0.10_4,4
2020-05-31 12:17:47+02	2020-05-31 12:19:26+02	net	remmina-plugin-www	\N	remmina-plugin-www-1.3.9
2020-05-31 12:18:36+02	2020-05-31 12:20:47+02	net	remmina-plugin-xdmcp	\N	remmina-plugin-xdmcp-1.3.9
2020-05-31 12:19:27+02	2020-05-31 12:20:56+02	net-mgmt	icingaweb2-module-director	php73	icingaweb2-module-director-php73-1.6.2_2
2020-05-31 12:20:50+02	2020-05-31 12:22:50+02	print	gimp-gutenprint	\N	gimp-gutenprint-5.3.3
2020-05-31 12:22:50+02	2020-05-31 12:32:54+02	print	tex-jadetex	\N	tex-jadetex-3.13_3
2020-05-31 12:20:56+02	2020-05-31 12:33:56+02	print	tex-aleph	\N	tex-aleph-1.15.2.1.r.4_4
2020-05-31 12:32:55+02	2020-05-31 12:36:11+02	print	tex-xdvik	\N	tex-xdvik-22.87_4
2020-05-31 12:33:57+02	2020-05-31 12:50:51+02	print	tex-xetex	\N	tex-xetex-0.99992_33
2020-05-31 12:50:52+02	2020-05-31 12:51:45+02	print	transfig	\N	transfig-3.2.5e_4
2020-05-31 12:51:46+02	2020-05-31 12:54:38+02	sysutils	mate-power-manager	\N	mate-power-manager-1.22.2
2020-05-31 12:54:39+02	2020-05-31 12:58:27+02	sysutils	mate-system-monitor	\N	mate-system-monitor-1.22.2
2020-05-31 12:58:28+02	2020-05-31 13:00:11+02	textproc	gtkspell3	\N	gtkspell3-3.0.10
2020-05-31 13:00:12+02	2020-05-31 13:01:36+02	textproc	py-qt5-xmlpatterns	py37	py37-qt5-xmlpatterns-5.13.1_1
2020-05-31 13:01:37+02	2020-05-31 13:02:25+02	www	npm-node12	\N	npm-node12-6.12.1_1
2020-05-31 13:02:26+02	2020-05-31 13:05:31+02	www	py-qt5-webengine	py37	py37-qt5-webengine-5.12.1_1
2020-05-31 13:05:32+02	2020-05-31 13:07:48+02	www	py-qt5-webkitwidgets	py37	py37-qt5-webkitwidgets-5.13.1_1
2020-05-31 13:07:48+02	2020-05-31 13:08:50+02	www	qt5-websockets	\N	qt5-websockets-5.14.2
2020-05-31 13:08:51+02	2020-05-31 13:09:07+02	www	yarn-node12	\N	yarn-node12-1.22.4_1
2020-05-31 12:36:12+02	2020-05-31 13:10:49+02	print	texlive-docs	\N	texlive-docs-20150523
2020-05-31 13:10:58+02	2020-05-31 13:13:55+02	x11	mate-base	\N	mate-base-1.22.2
2020-05-31 13:13:57+02	2020-05-31 13:16:27+02	x11	mate-screensaver	\N	mate-screensaver-1.22.2
2020-05-31 13:09:08+02	2020-05-31 13:17:36+02	x11	mate-applets	\N	mate-applets-1.22.2
2020-05-31 13:16:27+02	2020-05-31 13:19:28+02	x11	mate-terminal	\N	mate-terminal-1.22.1
2020-05-31 13:17:37+02	2020-05-31 13:19:54+02	x11-toolkits	gdl	\N	gdl-3.28.0
2020-05-31 13:19:29+02	2020-05-31 13:20:34+02	x11-toolkits	gtkglarea2	\N	gtkglarea-2.0.1_10
2020-05-31 13:19:54+02	2020-05-31 13:32:29+02	x11-toolkits	gtkmm24	\N	gtkmm24-2.24.5_1
2020-05-31 13:40:55+02	2020-05-31 13:42:26+02	deskutils	sysctlview	\N	sysctlview-2.0
2020-05-31 13:20:34+02	2020-05-31 13:44:57+02	astro	stellarium	\N	stellarium-0.20.1
2020-05-31 13:44:58+02	2020-05-31 13:49:14+02	devel	bzr	py27	bzr-2.7.0.6622
2020-05-31 13:49:19+02	2020-05-31 13:52:40+02	devel	distel	full	distel-emacs26-4.1.1_4
2020-05-31 13:42:27+02	2020-05-31 16:06:21+02	devel	RStudio	\N	RStudio-1.3.959
2020-05-31 16:06:23+02	2020-05-31 16:10:14+02	devel	mercurial	py27	mercurial-5.1.2
2020-05-31 16:10:18+02	2020-05-31 16:11:47+02	devel	tig	\N	tig-2.5.1
2020-05-31 16:11:48+02	2020-05-31 18:17:27+02	editors	codelite	\N	codelite-12.0_4
2020-05-31 18:17:30+02	2020-05-31 18:24:27+02	editors	libreoffice-nb	\N	nb-libreoffice-6.3.6
2020-05-31 18:24:29+02	2020-05-31 18:33:21+02	editors	vim	\N	vim-8.2.0491_1
2020-05-31 18:33:22+02	2020-05-31 20:08:37+02	emulators	qemu	\N	qemu-4.1.1_3
2020-05-31 21:06:54+02	2020-05-31 22:04:04+02	emulators	wine	\N	wine-5.0_1,1
2020-05-31 22:04:10+02	2020-05-31 22:33:58+02	ftp	filezilla	\N	filezilla-3.40.0_5
2020-05-31 22:34:01+02	2020-05-31 22:40:14+02	games	alienarena	\N	alienarena-2013.766_9
2020-05-31 22:40:16+02	2020-05-31 22:42:43+02	games	xcowsay	\N	xcowsay-1.5
2020-05-31 22:42:48+02	2020-05-31 22:56:32+02	graphics	dia	\N	dia-0.97.3_1,1
2020-05-31 22:56:38+02	2020-05-31 23:12:05+02	graphics	drm-current-kmod	\N	drm-current-kmod-4.16.g20200320
2020-05-31 23:12:07+02	2020-05-31 23:15:08+02	graphics	gimp	\N	gimp-2.10.18,2
2020-05-31 23:15:10+02	2020-06-01 00:43:25+02	graphics	inkscape	\N	inkscape-1.0_1
2020-06-01 00:43:32+02	2020-06-01 00:48:04+02	graphics	xpdf	\N	xpdf-4.02,1
2020-06-01 00:48:07+02	2020-06-01 00:50:42+02	lang	csharp-mode.el	full	csharp-mode.el-emacs26-0.9.2_1
2020-06-01 00:50:44+02	2020-06-01 03:08:17+02	lang	erlang-runtime22	\N	erlang-runtime22-22.3.4.1
2020-05-31 13:52:46+02	2020-06-01 03:09:05+02	devel	electron7	\N	electron7-7.3.0_1
2020-06-01 03:09:08+02	2020-06-01 03:10:03+02	lang	julia	\N	julia-1.0.3_3
2020-06-01 03:10:05+02	2020-06-01 04:23:18+02	lang	mono	\N	mono-5.10.1.57_3
2020-06-01 03:08:18+02	2020-06-01 04:23:59+02	lang	erlang-runtime23	\N	erlang-runtime23-23.0.2
2020-06-01 04:24:04+02	2020-06-01 04:28:05+02	multimedia	openshot	py37	openshot-2.5.1.7
2020-06-01 04:23:20+02	2020-06-01 04:31:25+02	multimedia	obs-studio	\N	obs-studio-25.0.8
2020-06-01 04:31:28+02	2020-06-01 04:32:33+02	net	geoipupdate	\N	geoipupdate-4.3.0_1
2020-06-01 04:32:35+02	2020-06-01 04:40:53+02	net	ntopng	\N	ntopng-4.0.d20200414_1,1
2020-06-01 04:28:08+02	2020-06-01 04:41:30+02	multimedia	shotcut	\N	shotcut-20.04.12_1
2020-06-01 04:40:54+02	2020-06-01 04:42:52+02	net	remmina-plugins	\N	remmina-plugins-1.3.9
2020-06-01 04:42:54+02	2020-06-01 04:45:31+02	net-mgmt	etherape	\N	etherape-0.9.18
2020-06-01 04:45:35+02	2020-06-01 04:47:50+02	net-mgmt	icingaweb2-module-businessprocess	php73	icingaweb2-module-businessprocess-php73-2.2.0_2
2020-06-01 04:47:54+02	2020-06-01 04:49:58+02	net-mgmt	icingaweb2-module-cube	php73	icingaweb2-module-cube-php73-1.1.0_1
2020-06-01 04:49:59+02	2020-06-01 04:52:02+02	net-mgmt	icingaweb2-module-elasticsearch	php73	icingaweb2-module-elasticsearch-php73-0.9.0_3
2020-06-01 04:52:04+02	2020-06-01 04:54:01+02	net-mgmt	icingaweb2-module-fileshipper	php73	icingaweb2-module-fileshipper-php73-1.1.0_3
2020-06-01 04:54:02+02	2020-06-01 04:56:18+02	net-mgmt	icingaweb2-module-generictts	php73	icingaweb2-module-generictts-php73-2.0.0_3
2020-06-01 04:56:20+02	2020-06-01 04:58:19+02	net-mgmt	icingaweb2-module-grafana	php73	icingaweb2-module-grafana-php73-1.3.6_1
2020-06-01 04:58:22+02	2020-06-01 05:00:25+02	net-mgmt	icingaweb2-module-graphite	php73	icingaweb2-module-graphite-php73-1.1.0_3
2020-06-01 05:00:28+02	2020-06-01 05:02:40+02	net-mgmt	icingaweb2-module-map	php73	icingaweb2-module-map-php73-1.1.0_3
2020-06-01 05:02:43+02	2020-06-01 05:04:34+02	net-mgmt	icingaweb2-module-vsphere	php73	icingaweb2-module-vsphere-php73-1.1.0_4
2020-06-01 05:04:36+02	2020-06-01 05:05:10+02	ports-mgmt	poudriere	\N	poudriere-3.3.4
2020-06-01 04:41:39+02	2020-06-01 05:06:47+02	net	wireshark	\N	wireshark-3.2.4
2020-06-01 05:06:50+02	2020-06-01 05:07:50+02	print	fig2dev	\N	fig2dev-3.2.7_1
2020-06-01 05:05:11+02	2020-06-01 05:08:49+02	print	auctex	full	auctex-emacs26-12.2
2020-06-01 05:08:50+02	2020-06-01 05:09:47+02	print	gv	\N	gv-3.7.4_5
2020-06-01 05:07:51+02	2020-06-01 05:21:30+02	print	fontforge	\N	fontforge-20190801_2
2020-06-01 05:21:32+02	2020-06-01 05:31:49+02	print	texlive-full	\N	texlive-full-20150521
2020-06-01 05:09:48+02	2020-06-01 05:35:30+02	print	lyx	\N	lyx-2.3.4.2_1
2020-06-01 05:31:50+02	2020-06-01 05:36:25+02	security	clamav	\N	clamav-0.102.3_1,1
2020-06-01 05:35:33+02	2020-06-01 05:37:16+02	security	openconnect-gui	\N	openconnect-gui-1.4.1_3
2020-06-01 05:36:26+02	2020-06-01 05:38:00+02	sysutils	cpu-x	\N	cpu-x-4.0.0_1
2020-06-01 05:37:17+02	2020-06-01 05:38:34+02	sysutils	gkrellm2	\N	gkrellm2-2.3.11
2020-06-01 05:38:35+02	2020-06-01 05:39:05+02	www	dokuwiki	\N	dokuwiki-20180422c
2020-06-01 05:38:02+02	2020-06-01 05:53:35+02	textproc	bat	\N	bat-0.15.0
2020-06-01 05:53:37+02	2020-06-01 05:55:21+02	www	mattermost-server	\N	mattermost-server-5.19.1
2020-06-01 05:55:22+02	2020-06-01 05:56:38+02	www	mod_security	\N	ap24-mod_security-2.9.3
2020-06-01 05:56:38+02	2020-06-01 05:57:18+02	www	npm-node10	\N	npm-node10-6.12.1_1
2020-06-01 05:57:18+02	2020-06-01 05:57:37+02	www	yarn-node10	\N	yarn-node10-1.22.4_1
2020-05-30 19:40:27+02	2020-06-01 05:59:48+02	www	chromium	\N	chromium-81.0.4044.138_1
2020-06-01 05:57:38+02	2020-06-01 06:00:06+02	x11	cool-retro-term	\N	cool-retro-term-1.1.1_1
2020-06-01 05:59:52+02	2020-06-01 06:01:38+02	net-mgmt	icingaweb2-module-pdfexport	php73	icingaweb2-module-pdfexport-php73-0.9.0_2
2020-06-01 06:00:07+02	2020-06-01 06:02:09+02	x11	mate	\N	mate-1.22.2
2020-06-01 06:01:39+02	2020-06-01 06:03:19+02	net-mgmt	icingaweb2-module-reporting	php73	icingaweb2-module-reporting-php73-0.9.2_1
2020-06-01 06:03:20+02	2020-06-01 06:05:04+02	net-mgmt	icingaweb2-module-idoreports	php73	icingaweb2-module-idoreports-php73-0.9.0_2
2020-06-01 06:02:10+02	2020-06-01 06:10:24+02	x11	xscreensaver	\N	xscreensaver-5.44
2020-06-01 06:05:05+02	2020-06-01 06:12:52+02	x11-fm	doublecmd	gtk2	doublecmd-gtk2-0.9.8_2
2020-06-01 06:10:24+02	2020-06-01 06:13:47+02	x11-fm	fsv2	\N	fsv2-1.1.0_1
2020-06-01 06:13:48+02	2020-06-01 06:14:06+02	graphics	drm-kmod	\N	drm-kmod-g20190710
2020-06-01 06:14:08+02	2020-06-01 06:16:03+02	graphics	xfig	\N	xfig-3.2.7a
2020-06-01 05:39:06+02	2020-06-01 06:48:03+02	www	firefox	\N	firefox-77.0_3,1
2020-06-01 06:12:56+02	2020-06-01 06:58:23+02	editors	vscode	\N	vscode-1.45.1_1
2020-06-01 07:20:01+02	2020-06-01 07:20:27+02	devel	yaml-cpp03	\N	yaml-cpp03-0.3.0_2
2020-06-01 07:20:48+02	2020-06-01 07:21:25+02	archivers	quazip	\N	quazip-qt5-0.9.1
2020-06-01 07:21:25+02	2020-06-01 07:21:58+02	devel	kf5-kitemmodels	\N	kf5-kitemmodels-5.70.0
2020-06-01 07:21:58+02	2020-06-01 07:22:07+02	astro	xearth	\N	xearth-1.2
2020-06-01 07:20:01+02	2020-06-01 07:22:34+02	textproc	tinyxml	\N	tinyxml-2.6.2_4
2020-06-01 07:22:34+02	2020-06-01 07:24:49+02	graphics	opencolorio	\N	opencolorio-1.1.1_1
2020-06-01 07:24:50+02	2020-06-01 08:35:03+02	graphics	krita	\N	krita-4.2.9_3
2020-06-01 09:59:40+02	2020-06-01 09:59:48+02	devel	libpci	\N	libpci-3.7.0
2020-06-01 09:59:48+02	2020-06-01 10:00:03+02	devel	scons	py37	scons-py37-3.1.2
2020-06-01 09:59:40+02	2020-06-01 10:00:07+02	devel	oniguruma	\N	oniguruma-6.9.5.r1_1
2020-06-01 10:00:08+02	2020-06-01 10:00:40+02	converters	php73-mbstring	\N	php73-mbstring-7.3.18
2020-06-01 09:59:40+02	2020-06-01 10:00:49+02	www	w3m	\N	w3m-0.5.3.20200507
2020-06-01 10:00:50+02	2020-06-01 10:01:11+02	textproc	xmlto	\N	xmlto-0.0.28
2020-06-01 10:00:41+02	2020-06-01 10:01:44+02	net-mgmt	icingaweb2	php73	icingaweb2-php73-2.7.3_3
2020-06-01 10:01:44+02	2020-06-01 10:02:29+02	net-mgmt	icingaweb2-module-ipl	php73	icingaweb2-module-ipl-php73-0.4.0_1
2020-06-01 10:02:29+02	2020-06-01 10:03:18+02	net-mgmt	icingaweb2-module-reactbundle	php73	icingaweb2-module-reactbundle-php73-0.7.0_1
2020-06-01 10:04:10+02	2020-06-01 10:05:52+02	net-mgmt	icingaweb2-module-director	php73	icingaweb2-module-director-php73-1.6.2_2
2020-06-01 10:01:12+02	2020-06-01 10:22:54+02	www	qt5-webengine	\N	qt5-webengine-5.14.2
2020-06-01 10:23:01+02	2020-06-01 10:25:04+02	www	py-qt5-webengine	py37	py37-qt5-webengine-5.12.1_1
2020-06-01 10:00:03+02	2020-06-01 10:41:45+02	www	chromium	\N	chromium-81.0.4044.138_1
2020-06-01 10:41:48+02	2020-06-01 10:43:39+02	net-mgmt	icingaweb2-module-pdfexport	php73	icingaweb2-module-pdfexport-php73-0.9.0_2
2020-06-01 10:43:39+02	2020-06-01 10:45:14+02	net-mgmt	icingaweb2-module-reporting	php73	icingaweb2-module-reporting-php73-0.9.2_1
2020-06-01 10:05:53+02	2020-06-01 10:46:17+02	devel	electron7	\N	electron7-7.3.0_1
2020-06-01 10:46:20+02	2020-06-01 10:49:51+02	graphics	drm-current-kmod	\N	drm-current-kmod-4.16.g20200320
2020-06-01 10:49:51+02	2020-06-01 10:51:16+02	net-mgmt	icingaweb2-module-businessprocess	php73	icingaweb2-module-businessprocess-php73-2.2.0_2
2020-06-01 10:51:17+02	2020-06-01 10:52:46+02	net-mgmt	icingaweb2-module-cube	php73	icingaweb2-module-cube-php73-1.1.0_1
2020-06-01 10:52:47+02	2020-06-01 10:54:07+02	net-mgmt	icingaweb2-module-elasticsearch	php73	icingaweb2-module-elasticsearch-php73-0.9.0_3
2020-06-01 10:54:08+02	2020-06-01 10:55:31+02	net-mgmt	icingaweb2-module-fileshipper	php73	icingaweb2-module-fileshipper-php73-1.1.0_3
2020-06-01 10:55:32+02	2020-06-01 10:56:49+02	net-mgmt	icingaweb2-module-generictts	php73	icingaweb2-module-generictts-php73-2.0.0_3
2020-06-01 10:56:50+02	2020-06-01 10:58:15+02	net-mgmt	icingaweb2-module-grafana	php73	icingaweb2-module-grafana-php73-1.3.6_1
2020-06-01 10:58:15+02	2020-06-01 10:59:31+02	net-mgmt	icingaweb2-module-graphite	php73	icingaweb2-module-graphite-php73-1.1.0_3
2020-06-01 10:59:32+02	2020-06-01 11:01:20+02	net-mgmt	icingaweb2-module-idoreports	php73	icingaweb2-module-idoreports-php73-0.9.0_2
2020-06-01 11:01:21+02	2020-06-01 11:02:35+02	net-mgmt	icingaweb2-module-map	php73	icingaweb2-module-map-php73-1.1.0_3
2020-06-01 11:02:36+02	2020-06-01 11:03:44+02	net-mgmt	icingaweb2-module-vsphere	php73	icingaweb2-module-vsphere-php73-1.1.0_4
2020-06-01 10:29:23+02	2020-06-01 11:03:52+02	devel	RStudio	\N	RStudio-1.3.959
2020-06-01 11:03:53+02	2020-06-01 11:04:11+02	sysutils	ncdu	\N	ncdu-1.15
2020-06-01 11:04:12+02	2020-06-01 11:04:32+02	sysutils	x86info	\N	x86info-1.31.s03
2020-06-01 11:03:44+02	2020-06-01 11:05:10+02	sysutils	cpu-x	\N	cpu-x-4.0.0_1
2020-06-01 11:05:10+02	2020-06-01 11:05:40+02	www	dokuwiki	\N	dokuwiki-20180422c
2020-06-01 11:04:32+02	2020-06-01 11:21:51+02	textproc	bat	\N	bat-0.15.0
2020-06-01 11:21:52+02	2020-06-01 11:22:08+02	graphics	drm-kmod	\N	drm-kmod-g20190710
2020-06-01 11:05:40+02	2020-06-01 11:54:46+02	www	firefox	\N	firefox-77.0_4,1
2020-06-01 11:20:14+02	2020-06-01 11:58:06+02	editors	vscode	\N	vscode-1.45.1_1
2020-06-01 12:28:04+02	2020-06-01 12:47:58+02	local	E590T-localbase	\N	E590T-localbase-2020060100
2020-06-01 14:02:10+02	2020-06-01 14:02:18+02	sysutils	lsop	\N	lsop-0.2
2020-06-01 14:01:36+02	2020-06-01 14:04:10+02	graphics	drm-current-kmod	\N	drm-current-kmod-4.16.g20200320
2020-06-01 14:04:10+02	2020-06-01 14:04:21+02	graphics	drm-kmod	\N	drm-kmod-g20190710
2020-06-01 14:01:36+02	2020-06-01 14:04:57+02	editors	vim	\N	vim-8.2.0869
2020-06-01 14:29:12+02	2020-06-01 14:46:46+02	local	E590T-localbase	\N	E590T-localbase-2020060100
2020-06-01 15:10:34+02	2020-06-01 15:10:41+02	textproc	py-toml	py27	py27-toml-0.10.0
2020-06-01 15:10:42+02	2020-06-01 15:10:49+02	devel	py-setuptools_scm	py27	py27-setuptools_scm-3.4.3
2020-06-01 15:10:49+02	2020-06-01 15:10:57+02	devel	py-dateutil	py27	py27-dateutil-2.8.1
2020-06-01 15:10:34+02	2020-06-01 15:12:38+02	devel	py-lxml	py27	py27-lxml-4.5.1
2020-06-01 16:59:08+02	2020-06-01 17:00:29+02	games	gnuchess	\N	gnuchess-6.2.7
2020-06-01 17:00:30+02	2020-06-01 17:02:49+02	games	xboard	\N	xboard-4.9.1_1
2020-06-01 16:59:43+02	2020-06-01 17:03:37+02	graphics	drm-current-kmod	\N	drm-current-kmod-4.16.g20200320
2020-06-01 17:03:37+02	2020-06-01 17:03:48+02	graphics	drm-kmod	\N	drm-kmod-g20190710
2020-06-01 16:59:08+02	2020-06-01 17:05:38+02	textproc	ripgrep	\N	ripgrep-12.1.1
2020-06-01 17:27:16+02	2020-06-01 17:42:42+02	local	E590T-localbase	\N	E590T-localbase-2020060100
2020-06-01 23:52:51+02	2020-06-01 23:54:18+02	print	freetype2	\N	freetype2-2.10.2
2020-06-01 23:52:51+02	2020-06-01 23:54:24+02	graphics	vigra	\N	vigra-1.11.1_10
2020-06-01 23:54:25+02	2020-06-01 23:54:43+02	x11-fonts	mkfontscale	\N	mkfontscale-1.2.1
2020-06-01 23:54:19+02	2020-06-01 23:55:15+02	x11-fonts	fontconfig	\N	fontconfig-2.13.92_2,1
2020-06-01 23:54:44+02	2020-06-01 23:59:23+02	print	harfbuzz	\N	harfbuzz-2.6.6
2020-06-01 23:59:24+02	2020-06-01 23:59:43+02	x11-fonts	dejavu	\N	dejavu-2.37_1
2020-06-01 23:59:44+02	2020-06-01 23:59:58+02	x11-fonts	font-bh-ttf	\N	font-bh-ttf-1.0.3_4
2020-06-01 23:55:16+02	2020-06-02 00:00:07+02	graphics	cairo	\N	cairo-1.16.0,2
2020-06-01 23:59:59+02	2020-06-02 00:00:14+02	x11-fonts	font-misc-ethiopic	\N	font-misc-ethiopic-1.0.3_4
2020-06-02 00:00:08+02	2020-06-02 00:00:23+02	x11-fonts	font-misc-meltho	\N	font-misc-meltho-1.0.3_4
2020-06-02 00:00:14+02	2020-06-02 00:00:40+02	x11-fonts	libXft	\N	libXft-2.3.3
2020-06-02 00:00:23+02	2020-06-02 00:00:48+02	x11-fonts	xorg-fonts-truetype	\N	xorg-fonts-truetype-7.7_1
2020-06-02 00:00:41+02	2020-06-02 00:02:00+02	print	ghostscript9-agpl-base	\N	ghostscript9-agpl-base-9.52_4
2020-06-02 00:02:01+02	2020-06-02 00:02:29+02	graphics	gd	\N	libgd-2.3.0,1
2020-06-01 23:52:51+02	2020-06-02 00:02:36+02	graphics	drm-current-kmod	\N	drm-current-kmod-4.16.g20200320
2020-06-02 00:00:48+02	2020-06-02 00:03:29+02	x11-toolkits	pango	\N	pango-1.42.4_3
2020-06-02 00:02:36+02	2020-06-02 00:05:10+02	print	harfbuzz-icu	\N	harfbuzz-icu-2.6.6_2
2020-06-02 00:02:29+02	2020-06-02 00:05:13+02	x11-toolkits	qt5-gui	\N	qt5-gui-5.14.2
2020-06-02 00:05:10+02	2020-06-02 00:06:00+02	graphics	gtk-update-icon-cache	\N	gtk-update-icon-cache-2.24.32
2020-06-02 00:05:14+02	2020-06-02 00:06:57+02	x11-toolkits	qt5-widgets	\N	qt5-widgets-5.14.2
2020-06-02 00:06:01+02	2020-06-02 00:07:40+02	x11-themes	adwaita-icon-theme	\N	adwaita-icon-theme-3.28.0
2020-06-02 00:03:30+02	2020-06-02 00:08:17+02	graphics	graphviz	\N	graphviz-2.44.0_3
2020-06-02 00:07:41+02	2020-06-02 00:11:00+02	x11-toolkits	qt5-declarative	\N	qt5-declarative-5.14.2
2020-06-02 00:06:58+02	2020-06-02 00:11:02+02	x11-toolkits	gtk20	\N	gtk2-2.24.32
2020-06-02 00:11:01+02	2020-06-02 00:11:40+02	graphics	poppler	\N	poppler-0.88.0
2020-06-02 00:08:18+02	2020-06-02 00:12:16+02	lang	vala	\N	vala-0.40.15,1
2020-06-02 00:11:41+02	2020-06-02 00:12:42+02	devel	qt5-help	\N	qt5-help-5.14.2
2020-06-02 00:12:17+02	2020-06-02 00:13:36+02	graphics	librsvg2	\N	librsvg2-2.40.21
2020-06-02 00:11:02+02	2020-06-02 00:14:13+02	multimedia	gstreamer1-plugins	\N	gstreamer1-plugins-1.16.2
2020-06-02 00:12:43+02	2020-06-02 00:15:08+02	devel	tex-web2c	\N	tex-web2c-20150521_3
2020-06-02 00:14:14+02	2020-06-02 00:15:40+02	graphics	frei0r	\N	frei0r-1.6.1
2020-06-02 00:15:10+02	2020-06-02 00:18:08+02	print	tex-basic-engines	\N	tex-basic-engines-20150521
2020-06-02 00:18:09+02	2020-06-02 00:18:43+02	multimedia	libbluray	\N	libbluray-1.1.1_2,1
2020-06-02 00:13:37+02	2020-06-02 00:19:57+02	x11-toolkits	gtk30	\N	gtk3-3.24.10_1
2020-06-02 00:18:44+02	2020-06-02 00:20:26+02	print	qt5-printsupport	\N	qt5-printsupport-5.14.2
2020-06-02 00:15:40+02	2020-06-02 00:22:02+02	print	texlive-base	\N	texlive-base-20150521_51
2020-06-02 00:20:28+02	2020-06-02 00:23:34+02	multimedia	gstreamer1-plugins-bad	\N	gstreamer1-plugins-bad-1.16.2
2020-06-02 00:23:34+02	2020-06-02 00:24:15+02	graphics	libwmf	\N	libwmf-0.2.8.4_15
2020-06-02 00:24:16+02	2020-06-02 00:25:43+02	devel	gconf2	\N	gconf2-3.2.6_5
2020-06-02 00:25:43+02	2020-06-02 00:26:23+02	print	ghostscript9-agpl-x11	\N	ghostscript9-agpl-x11-9.52
2020-06-02 00:26:23+02	2020-06-02 00:27:12+02	x11	qt5-x11extras	\N	qt5-x11extras-5.14.2
2020-06-02 00:27:12+02	2020-06-02 00:27:40+02	graphics	py-cairo	py37	py37-cairo-1.18.1_1
2020-06-02 00:27:41+02	2020-06-02 00:27:59+02	print	libraqm	\N	libraqm-0.6.0
2020-06-02 00:19:58+02	2020-06-02 00:29:28+02	multimedia	ffmpeg	\N	ffmpeg-4.2.3,1
2020-06-02 00:29:28+02	2020-06-02 00:30:01+02	x11-toolkits	qt5-uiplugin	\N	qt5-uiplugin-5.14.2
2020-06-02 00:27:59+02	2020-06-02 00:30:21+02	graphics	ImageMagick7	\N	ImageMagick7-7.0.10.6
2020-06-02 00:30:21+02	2020-06-02 00:30:45+02	x11-fonts	libXfont2	\N	libXfont2-2.0.4
2020-06-02 00:30:02+02	2020-06-02 00:31:02+02	graphics	qt5-opengl	\N	qt5-opengl-5.14.2
2020-06-02 00:30:45+02	2020-06-02 00:31:16+02	devel	py-gobject3	py37	py37-gobject3-3.28.3
2020-06-02 00:31:17+02	2020-06-02 00:31:39+02	graphics	php73-gd	\N	php73-gd-7.3.18
2020-06-02 00:31:03+02	2020-06-02 00:31:47+02	graphics	qt5-svg	\N	qt5-svg-5.14.2
2020-06-02 00:31:39+02	2020-06-02 00:32:15+02	audio	libcanberra	\N	libcanberra-0.30_5
2020-06-02 00:31:47+02	2020-06-02 00:33:03+02	graphics	graphene	\N	graphene-1.10.0
2020-06-02 00:32:16+02	2020-06-02 00:33:03+02	graphics	pecl-imagick-im7	php73	php73-pecl-imagick-im7-3.4.4
2020-06-02 00:33:03+02	2020-06-02 00:33:33+02	x11-toolkits	pangox-compat	\N	pangox-compat-0.0.2_2
2020-06-02 00:33:03+02	2020-06-02 00:34:00+02	x11	mate-desktop	\N	mate-desktop-1.22.2
2020-06-02 00:33:33+02	2020-06-02 00:34:19+02	audio	libcanberra-gtk3	\N	libcanberra-gtk3-0.30_5
2020-06-02 00:34:01+02	2020-06-02 00:34:44+02	devel	kf5-kconfig	\N	kf5-kconfig-5.70.0
2020-06-02 00:34:45+02	2020-06-02 00:35:56+02	net-mgmt	icingaweb2	php73	icingaweb2-php73-2.7.3_3
2020-06-02 00:34:19+02	2020-06-02 00:36:16+02	graphics	gstreamer1-plugins-gl	\N	gstreamer1-plugins-gl-1.16.2
2020-06-02 00:35:56+02	2020-06-02 00:37:04+02	x11-toolkits	wxgtk28-common	\N	wx28-gtk2-common-2.8.12_8
2020-06-02 00:36:16+02	2020-06-02 00:37:17+02	devel	kf5-ki18n	\N	kf5-ki18n-5.70.0
2020-06-02 00:37:04+02	2020-06-02 00:37:56+02	devel	qscintilla2-qt5	\N	qscintilla2-qt5-2.11.4
2020-06-02 00:37:56+02	2020-06-02 00:39:43+02	x11-toolkits	vte3	\N	vte3-0.52.2_3
2020-06-02 00:39:44+02	2020-06-02 00:41:16+02	devel	kf5-kdoctools	\N	kf5-kdoctools-5.70.0
2020-06-02 00:22:03+02	2020-06-02 00:41:39+02	print	texlive-texmf	\N	texlive-texmf-20150523_4
2020-06-02 00:41:16+02	2020-06-02 00:42:09+02	devel	py-qt5-core	py37	py37-qt5-core-5.13.1_1
2020-06-02 00:41:40+02	2020-06-02 00:44:51+02	print	tex-formats	\N	tex-formats-20150521_2
2020-06-02 00:44:52+02	2020-06-02 00:45:35+02	devel	qt5-uitools	\N	qt5-uitools-5.14.2
2020-06-02 00:37:18+02	2020-06-02 00:46:05+02	www	webkit2-gtk3	\N	webkit2-gtk3-2.28.1_1
2020-06-02 00:45:36+02	2020-06-02 00:46:20+02	x11	kf5-kwindowsystem	\N	kf5-kwindowsystem-5.70.0
2020-06-02 00:46:20+02	2020-06-02 00:47:03+02	graphics	poppler-glib	\N	poppler-glib-0.88.0
2020-06-02 00:46:05+02	2020-06-02 00:48:16+02	x11-toolkits	wxgtk28	\N	wx28-gtk2-2.8.12_8
2020-06-02 00:47:04+02	2020-06-02 00:48:17+02	x11-toolkits	kf5-kwidgetsaddons	\N	kf5-kwidgetsaddons-5.70.0
2020-06-02 00:42:10+02	2020-06-02 00:48:44+02	print	tex-dvipsk	\N	tex-dvipsk-5.995_2
2020-06-02 00:48:17+02	2020-06-02 00:49:00+02	x11-toolkits	tk86	\N	tk86-8.6.10_1
2020-06-02 00:48:18+02	2020-06-02 00:49:10+02	devel	kf5-kcrash	\N	kf5-kcrash-5.70.0
2020-06-02 00:49:01+02	2020-06-02 00:49:43+02	devel	kf5-kdbusaddons	\N	kf5-kdbusaddons-5.70.0
2020-06-02 00:49:11+02	2020-06-02 00:49:52+02	graphics	qt5-imageformats	\N	qt5-imageformats-5.14.2
2020-06-02 00:49:52+02	2020-06-02 00:50:58+02	net	avahi-gtk3	\N	avahi-gtk3-0.7_1
2020-06-02 00:50:59+02	2020-06-02 00:52:02+02	sysutils	polkit-qt	\N	polkit-qt-1-0.113.0_8
2020-06-02 00:48:45+02	2020-06-02 00:52:24+02	devel	doxygen	\N	doxygen-1.8.15_3,2
2020-06-02 00:52:03+02	2020-06-02 00:52:56+02	www	qt5-webchannel	\N	qt5-webchannel-5.14.2
2020-06-02 00:52:25+02	2020-06-02 00:53:32+02	devel	kf5-kauth	\N	kf5-kauth-5.70.0
2020-06-02 00:52:57+02	2020-06-02 00:54:19+02	devel	kf5-kservice	\N	kf5-kservice-5.70.0
2020-06-02 00:53:32+02	2020-06-02 00:55:38+02	devel	qt5-location	\N	qt5-location-5.14.2
2020-06-02 00:55:39+02	2020-06-02 00:57:28+02	multimedia	gstreamer1-plugins-ugly	\N	gstreamer1-plugins-ugly-1.16.2
2020-06-02 00:54:19+02	2020-06-02 00:59:04+02	multimedia	gstreamer1-plugins-good	\N	gstreamer1-plugins-good-1.16.2
2020-06-02 00:57:29+02	2020-06-02 00:59:18+02	net	remmina	\N	remmina-1.3.9
2020-06-02 00:59:04+02	2020-06-02 01:01:38+02	security	gcr	\N	gcr-3.28.0
2020-06-02 01:01:39+02	2020-06-02 01:03:07+02	x11-toolkits	kf5-kguiaddons	\N	kf5-kguiaddons-5.70.0
2020-06-02 01:03:08+02	2020-06-02 01:04:26+02	accessibility	qt5-speech	\N	qt5-speech-5.14.2
2020-06-02 00:59:18+02	2020-06-02 01:05:21+02	x11-servers	xorg-server	\N	xorg-server-1.20.8_1,1
2020-06-02 01:04:27+02	2020-06-02 01:05:42+02	audio	gstreamer1-plugins-ogg	\N	gstreamer1-plugins-ogg-1.16.2
2020-06-02 01:05:22+02	2020-06-02 01:06:24+02	x11-toolkits	kf5-kconfigwidgets	\N	kf5-kconfigwidgets-5.70.0
2020-06-02 01:05:43+02	2020-06-02 01:06:28+02	x11-toolkits	kf5-kitemviews	\N	kf5-kitemviews-5.70.0
2020-06-02 01:06:25+02	2020-06-02 01:07:34+02	x11-toolkits	libwnck3	\N	libwnck3-3.24.1
2020-06-02 00:49:43+02	2020-06-02 01:07:48+02	java	openjdk8	\N	openjdk8-8.252.09.1
2020-06-02 01:07:35+02	2020-06-02 01:07:53+02	audio	gstreamer1-plugins-a52dec	\N	gstreamer1-plugins-a52dec-1.16.2
2020-06-02 01:07:48+02	2020-06-02 01:08:17+02	audio	gstreamer1-plugins-mpg123	\N	gstreamer1-plugins-mpg123-1.16.2
2020-06-02 01:07:54+02	2020-06-02 01:08:28+02	audio	gstreamer1-plugins-vorbis	\N	gstreamer1-plugins-vorbis-1.16.2
2020-06-02 01:06:28+02	2020-06-02 01:08:54+02	x11-toolkits	py-qt5-gui	py37	py37-qt5-gui-5.13.1_1
2020-06-02 01:08:18+02	2020-06-02 01:08:56+02	graphics	cairomm	\N	cairomm-1.12.2_4
2020-06-02 01:08:29+02	2020-06-02 01:09:00+02	graphics	gstreamer1-plugins-png	\N	gstreamer1-plugins-png-1.16.2
2020-06-02 01:09:01+02	2020-06-02 01:09:22+02	multimedia	gstreamer1-plugins-dvdread	\N	gstreamer1-plugins-dvdread-1.16.2_1
2020-06-02 01:08:54+02	2020-06-02 01:09:27+02	multimedia	gstreamer1-libav	\N	gstreamer1-libav-1.16.2
2020-06-02 01:08:57+02	2020-06-02 01:09:31+02	multimedia	gstreamer1-plugins-dts	\N	gstreamer1-plugins-dts-1.16.2
2020-06-02 01:09:28+02	2020-06-02 01:09:55+02	multimedia	gstreamer1-plugins-theora	\N	gstreamer1-plugins-theora-1.16.2
2020-06-02 01:09:22+02	2020-06-02 01:10:02+02	multimedia	gstreamer1-plugins-resindvd	\N	gstreamer1-plugins-resindvd-1.16.2_1
2020-06-02 01:09:32+02	2020-06-02 01:10:19+02	net	py-qt5-network	py37	py37-qt5-network-5.13.1_1
2020-06-02 01:09:55+02	2020-06-02 01:10:31+02	x11-fonts	libXfont	\N	libXfont-1.5.4_2,2
2020-06-02 01:10:03+02	2020-06-02 01:11:02+02	x11-themes	kf5-kiconthemes	\N	kf5-kiconthemes-5.70.0
2020-06-02 01:10:31+02	2020-06-02 01:11:14+02	x11-toolkits	gstreamer1-plugins-pango	\N	gstreamer1-plugins-pango-1.16.2
2020-06-02 01:11:15+02	2020-06-02 01:11:34+02	graphics	py-cairo	py27	py27-cairo-1.18.1_1
2020-06-02 01:11:03+02	2020-06-02 01:11:54+02	comms	qt5-sensors	\N	qt5-sensors-5.14.2
2020-06-02 01:10:19+02	2020-06-02 01:12:05+02	x11-themes	mate-icon-theme	\N	mate-icon-theme-1.22.2
2020-06-02 01:11:55+02	2020-06-02 01:12:25+02	multimedia	gstreamer1-plugins-core	\N	gstreamer1-plugins-core-1.16
2020-06-02 01:11:35+02	2020-06-02 01:13:08+02	math	gnuplot	\N	gnuplot-5.2.8_1
2020-06-02 01:12:25+02	2020-06-02 01:13:09+02	textproc	kf5-sonnet	\N	kf5-sonnet-5.70.0
2020-06-02 01:13:08+02	2020-06-02 01:13:57+02	x11-toolkits	kf5-kcompletion	\N	kf5-kcompletion-5.70.0
2020-06-02 01:13:09+02	2020-06-02 01:14:32+02	x11-toolkits	pangomm	\N	pangomm-2.40.1_4
2020-06-02 01:14:33+02	2020-06-02 01:14:49+02	x11-toolkits	py-tkinter	py37	py37-tkinter-3.7.7_6
2020-06-02 01:13:58+02	2020-06-02 01:15:29+02	x11-toolkits	py-qt5-widgets	py37	py37-qt5-widgets-5.13.1_1
2020-06-02 01:14:50+02	2020-06-02 01:15:45+02	devel	libdbusmenu-qt	\N	libdbusmenu-qt5-0.9.3.160420160218_10
2020-06-02 01:15:30+02	2020-06-02 01:16:16+02	multimedia	phonon	\N	phonon-qt5-4.11.1
2020-06-02 01:12:05+02	2020-06-02 01:16:42+02	net	libmateweather	\N	libmateweather-1.22.1
2020-06-02 01:15:45+02	2020-06-02 01:16:58+02	multimedia	qt5-multimedia	\N	qt5-multimedia-5.14.2
2020-06-02 01:16:43+02	2020-06-02 01:17:38+02	x11	kf5-kglobalaccel	\N	kf5-kglobalaccel-5.70.0
2020-06-02 01:17:41+02	2020-06-02 01:18:16+02	x11-fonts	font-misc-misc	\N	font-misc-misc-1.1.2_4
2020-06-02 01:18:17+02	2020-06-02 01:19:31+02	x11-toolkits	kf5-attica	\N	kf5-attica-5.70.0
2020-06-02 01:16:59+02	2020-06-02 01:19:39+02	x11	mate-panel	\N	mate-panel-1.22.2
2020-06-02 01:19:31+02	2020-06-02 01:21:05+02	x11-toolkits	kf5-ktextwidgets	\N	kf5-ktextwidgets-5.70.0
2020-06-02 01:19:39+02	2020-06-02 01:21:19+02	devel	kf5-knotifications	\N	kf5-knotifications-5.70.0
2020-06-02 01:21:20+02	2020-06-02 01:22:07+02	graphics	poppler-utils	\N	poppler-utils-0.88.0
2020-06-02 01:21:06+02	2020-06-02 01:22:18+02	devel	qt5-assistant	\N	qt5-assistant-5.14.2
2020-06-02 01:22:08+02	2020-06-02 01:22:25+02	graphics	sdl_ttf	\N	sdl_ttf-2.0.11_7
2020-06-02 01:22:18+02	2020-06-02 01:22:37+02	print	libotf	\N	libotf-0.9.16
2020-06-02 01:16:17+02	2020-06-02 01:22:51+02	www	qt5-webkit	\N	qt5-webkit-5.212.0.a4_2
2020-06-02 01:22:26+02	2020-06-02 01:23:06+02	security	pinentry-gnome3	\N	pinentry-gnome3-1.1.0
2020-06-02 01:22:51+02	2020-06-02 01:23:06+02	x11	fpc-x11	\N	fpc-x11-3.0.4_6
2020-06-02 01:22:38+02	2020-06-02 01:23:17+02	security	pinentry-qt5	\N	pinentry-qt5-1.1.0_1
2020-06-02 01:23:18+02	2020-06-02 01:23:42+02	x11-fonts	font-adobe-100dpi	\N	font-adobe-100dpi-1.0.3_4
2020-06-02 01:23:06+02	2020-06-02 01:24:03+02	x11	libmatekbd	\N	libmatekbd-1.22.0
2020-06-02 01:23:07+02	2020-06-02 01:24:32+02	x11-fm	caja	\N	caja-1.22.3
2020-06-02 01:23:42+02	2020-06-02 01:24:49+02	x11-toolkits	kf5-kxmlgui	\N	kf5-kxmlgui-5.70.0
2020-06-02 01:24:04+02	2020-06-02 01:24:56+02	x11-toolkits	libunique3	\N	libunique-3.0.2_3
2020-06-02 01:24:32+02	2020-06-02 01:25:28+02	x11-toolkits	wxgtk28-contrib-common	\N	wx28-gtk2-contrib-common-2.8.12_8
2020-06-02 01:24:56+02	2020-06-02 01:25:47+02	devel	kf5-solid	\N	kf5-solid-5.70.0
2020-06-02 01:24:50+02	2020-06-02 01:25:50+02	devel	kf5-kbookmarks	\N	kf5-kbookmarks-5.70.0
2020-06-02 01:25:29+02	2020-06-02 01:26:08+02	devel	libglade2	\N	libglade2-2.6.4_10
2020-06-02 01:25:50+02	2020-06-02 01:27:20+02	devel	qt5-designer	\N	qt5-designer-5.14.2
2020-06-02 01:26:08+02	2020-06-02 01:27:28+02	graphics	gegl	\N	gegl-0.4.22_5
2020-06-02 01:25:48+02	2020-06-02 01:27:35+02	devel	m17n-lib	\N	m17n-lib-1.8.0_2
2020-06-02 01:27:35+02	2020-06-02 01:28:27+02	net	uhttpmock	\N	uhttpmock-0.5.1_1
2020-06-02 01:27:29+02	2020-06-02 01:28:56+02	net	gnome-online-accounts	\N	gnome-online-accounts-3.28.0_2
2020-06-02 01:28:27+02	2020-06-02 01:29:27+02	print	py-qt5-printsupport	py37	py37-qt5-printsupport-5.13.1_1
2020-06-02 01:28:57+02	2020-06-02 01:30:52+02	security	gnome-keyring	\N	gnome-keyring-3.28.2_2
2020-06-02 01:29:28+02	2020-06-02 01:31:21+02	sysutils	kf5-kwallet	\N	kf5-kwallet-5.70.0
2020-06-02 01:30:52+02	2020-06-02 01:32:02+02	sysutils	policykit-gnome	\N	policykit-gnome-0.9.2_9
2020-06-02 01:31:22+02	2020-06-02 01:32:33+02	x11	kf5-kded	\N	kf5-kded-5.70.0_1
2020-06-02 01:32:34+02	2020-06-02 01:33:12+02	x11-fonts	font-adobe-75dpi	\N	font-adobe-75dpi-1.0.3_4
2020-06-02 01:32:03+02	2020-06-02 01:33:41+02	x11	zenity	\N	zenity-3.28.1
2020-06-02 01:33:13+02	2020-06-02 01:34:31+02	x11-fonts	noto-basic	\N	noto-basic-2.0
2020-06-02 01:33:42+02	2020-06-02 01:36:56+02	x11-servers	xorg-vfbserver	\N	xorg-vfbserver-1.20.8_1,1
2020-06-02 01:36:56+02	2020-06-02 01:38:06+02	x11-toolkits	kf5-kjobwidgets	\N	kf5-kjobwidgets-5.70.0
2020-06-02 01:27:21+02	2020-06-02 01:38:31+02	graphics	tesseract	\N	tesseract-4.1.1_2
2020-06-02 01:38:32+02	2020-06-02 01:39:25+02	devel	apache-ant	\N	apache-ant-1.10.7
2020-06-02 01:38:07+02	2020-06-02 01:39:38+02	x11-toolkits	wxgtk28-contrib	\N	wx28-gtk2-contrib-2.8.12_8
2020-06-02 01:39:39+02	2020-06-02 01:41:59+02	devel	libgdata	\N	libgdata-0.17.9
2020-06-02 01:34:31+02	2020-06-02 01:42:09+02	x11-toolkits	gtkmm30	\N	gtkmm30-3.22.2
2020-06-02 01:42:10+02	2020-06-02 01:43:06+02	devel	py-gobject	py27	py27-gobject-2.28.6_8
2020-06-02 01:39:26+02	2020-06-02 01:43:11+02	devel	kf5-kio	\N	kf5-kio-5.70.1_1
2020-06-02 01:41:59+02	2020-06-02 01:43:22+02	devel	libpeas	\N	libpeas-1.22.0
2020-06-02 01:43:12+02	2020-06-02 01:43:31+02	graphics	fpc-cairo	\N	fpc-cairo-3.0.4_4
2020-06-02 01:43:31+02	2020-06-02 01:44:19+02	graphics	libgphoto2	\N	libgphoto2-2.5.23_1
2020-06-02 01:43:07+02	2020-06-02 01:47:10+02	editors	emacs	full	emacs-26.3_4,3
2020-06-02 01:47:11+02	2020-06-02 01:48:04+02	graphics	py-pillow	py37	py37-pillow-7.0.0
2020-06-02 01:44:20+02	2020-06-02 01:48:20+02	graphics	opencv	\N	opencv-3.4.1_31
2020-06-02 01:48:21+02	2020-06-02 01:48:37+02	print	adobe-cmaps	\N	adobe-cmaps-20051217_4
2020-06-02 01:48:04+02	2020-06-02 01:48:48+02	net-mgmt	icingaweb2-module-ipl	php73	icingaweb2-module-ipl-php73-0.4.0_1
2020-06-02 01:43:22+02	2020-06-02 01:48:49+02	graphics	gimp-app	\N	gimp-app-2.10.18_6,1
2020-06-02 01:48:37+02	2020-06-02 01:49:12+02	print	cups-filters	\N	cups-filters-1.27.4_1
2020-06-02 01:48:49+02	2020-06-02 01:49:33+02	sysutils	gnome-mount	\N	gnome-mount-0.8_13
2020-06-02 01:49:12+02	2020-06-02 01:50:22+02	sysutils	mate-settings-daemon	\N	mate-settings-daemon-1.22.1
2020-06-02 01:48:48+02	2020-06-02 01:58:17+02	print	tex-luatex	\N	tex-luatex-0.80.0_17
2020-06-02 01:58:18+02	2020-06-02 02:01:35+02	x11	mate-session-manager	\N	mate-session-manager-1.22.3
2020-06-02 02:01:37+02	2020-06-02 02:03:06+02	x11	xterm	\N	xterm-356
2020-06-02 02:03:07+02	2020-06-02 02:05:26+02	x11	yelp	\N	yelp-3.28.1_2
2020-06-02 02:05:27+02	2020-06-02 02:05:49+02	x11-fonts	font-adobe-utopia-100dpi	\N	font-adobe-utopia-100dpi-1.0.4_4
2020-06-02 02:05:50+02	2020-06-02 02:06:09+02	x11-fonts	font-adobe-utopia-75dpi	\N	font-adobe-utopia-75dpi-1.0.4_4
2020-06-02 02:06:10+02	2020-06-02 02:06:31+02	x11-fonts	font-adobe-utopia-type1	\N	font-adobe-utopia-type1-1.0.4_4
2020-06-02 02:06:32+02	2020-06-02 02:06:43+02	x11-fonts	font-arabic-misc	\N	font-arabic-misc-1.0.3_4
2020-06-02 02:06:48+02	2020-06-02 02:07:27+02	x11-fonts	font-bh-100dpi	\N	font-bh-100dpi-1.0.3_4
2020-06-02 02:07:28+02	2020-06-02 02:08:02+02	x11-fonts	font-bh-75dpi	\N	font-bh-75dpi-1.0.3_4
2020-06-02 02:08:03+02	2020-06-02 02:08:21+02	x11-fonts	font-bh-lucidatypewriter-100dpi	\N	font-bh-lucidatypewriter-100dpi-1.0.3_4
2020-06-02 02:08:22+02	2020-06-02 02:08:42+02	x11-fonts	font-bh-lucidatypewriter-75dpi	\N	font-bh-lucidatypewriter-75dpi-1.0.3_4
2020-06-02 02:08:42+02	2020-06-02 02:08:59+02	x11-fonts	font-bh-type1	\N	font-bh-type1-1.0.3_4
2020-06-02 02:09:01+02	2020-06-02 02:09:15+02	x11-fonts	font-bitstream-100dpi	\N	font-bitstream-100dpi-1.0.3_4
2020-06-02 02:09:15+02	2020-06-02 02:09:30+02	x11-fonts	font-bitstream-75dpi	\N	font-bitstream-75dpi-1.0.3_4
2020-06-02 02:09:31+02	2020-06-02 02:09:43+02	x11-fonts	font-bitstream-type1	\N	font-bitstream-type1-1.0.3_4
2020-06-02 02:09:46+02	2020-06-02 02:10:02+02	x11-fonts	font-cronyx-cyrillic	\N	font-cronyx-cyrillic-1.0.3_4
2020-06-02 02:10:03+02	2020-06-02 02:10:16+02	x11-fonts	font-cursor-misc	\N	font-cursor-misc-1.0.3_4
2020-06-02 01:50:23+02	2020-06-02 02:10:16+02	www	qt5-webengine	\N	qt5-webengine-5.14.2
2020-06-02 02:10:18+02	2020-06-02 02:10:31+02	x11-fonts	font-dec-misc	\N	font-dec-misc-1.0.3_4
2020-06-02 02:10:18+02	2020-06-02 02:10:32+02	x11-fonts	font-daewoo-misc	\N	font-daewoo-misc-1.0.3_4
2020-06-02 02:10:32+02	2020-06-02 02:10:47+02	x11-fonts	font-ibm-type1	\N	font-ibm-type1-1.0.3_4
2020-06-02 02:10:33+02	2020-06-02 02:10:48+02	x11-fonts	font-isas-misc	\N	font-isas-misc-1.0.3_4
2020-06-02 02:10:47+02	2020-06-02 02:11:00+02	x11-fonts	font-jis-misc	\N	font-jis-misc-1.0.3_4
2020-06-02 02:10:49+02	2020-06-02 02:11:02+02	x11-fonts	font-micro-misc	\N	font-micro-misc-1.0.3_4
2020-06-02 02:11:00+02	2020-06-02 02:11:14+02	x11-fonts	font-misc-cyrillic	\N	font-misc-cyrillic-1.0.3_4
2020-06-02 02:11:02+02	2020-06-02 02:11:16+02	x11-fonts	font-mutt-misc	\N	font-mutt-misc-1.0.3_4
2020-06-02 02:11:14+02	2020-06-02 02:11:28+02	x11-fonts	font-schumacher-misc	\N	font-schumacher-misc-1.1.2_4
2020-06-02 02:11:17+02	2020-06-02 02:11:29+02	x11-fonts	font-screen-cyrillic	\N	font-screen-cyrillic-1.0.4_4
2020-06-02 02:11:29+02	2020-06-02 02:11:38+02	x11-fonts	font-sony-misc	\N	font-sony-misc-1.0.3_4
2020-06-02 02:11:30+02	2020-06-02 02:11:39+02	x11-fonts	font-sun-misc	\N	font-sun-misc-1.0.3_4
2020-06-02 02:11:39+02	2020-06-02 02:11:48+02	x11-fonts	font-winitzki-cyrillic	\N	font-winitzki-cyrillic-1.0.3_4
2020-06-02 02:11:40+02	2020-06-02 02:11:50+02	x11-fonts	font-xfree86-type1	\N	font-xfree86-type1-1.0.4_4
2020-06-02 02:11:51+02	2020-06-02 02:12:51+02	x11-themes	gtk-murrine-engine	\N	gtk-murrine-engine-0.98.2_5
2020-06-02 02:11:49+02	2020-06-02 02:13:02+02	x11-themes	gtk-engines2	\N	gtk-engines2-2.20.2_3
2020-06-02 02:12:52+02	2020-06-02 02:14:32+02	x11-toolkits	gtksourceview3	\N	gtksourceview3-3.24.8_3
2020-06-02 02:14:35+02	2020-06-02 02:15:44+02	x11-toolkits	qt5-quickcontrols	\N	qt5-quickcontrols-5.14.2
2020-06-02 02:15:45+02	2020-06-02 02:16:35+02	x11-wm	blackbox	\N	blackbox-0.70.1_6
2020-06-02 02:16:36+02	2020-06-02 02:17:51+02	x11-wm	marco	\N	marco-1.22.4
2020-06-02 02:17:52+02	2020-06-02 02:19:28+02	deskutils	gucharmap	\N	gucharmap-11.0.1_1
2020-06-02 01:49:34+02	2020-06-02 02:19:47+02	www	chromium	\N	chromium-81.0.4044.138_1
2020-06-02 02:19:29+02	2020-06-02 02:20:25+02	deskutils	mate-notification-daemon	\N	mate-notification-daemon-1.22.1
2020-06-02 02:19:50+02	2020-06-02 02:21:47+02	deskutils	spice-gtk	\N	spice-gtk-0.37
2020-06-02 02:20:25+02	2020-06-02 02:21:57+02	devel	gvfs	\N	gvfs-1.30.4_3
2020-06-02 02:21:48+02	2020-06-02 02:22:15+02	devel	py-gobject3	py27	py27-gobject3-3.28.3
2020-06-02 02:13:03+02	2020-06-02 02:22:37+02	x11-toolkits	open-motif	\N	open-motif-2.3.8_1
2020-06-02 02:22:38+02	2020-06-02 02:23:15+02	graphics	libgxps	\N	libgxps-0.3.1
2020-06-02 02:21:57+02	2020-06-02 02:23:30+02	graphics	djvulibre	\N	djvulibre-3.5.27_2
2020-06-02 02:22:16+02	2020-06-02 02:23:51+02	graphics	frei0r-plugins-opencv	\N	frei0r-plugins-opencv-1.6.1_1
2020-06-02 02:23:30+02	2020-06-02 02:23:57+02	graphics	py-pygraphviz	py37	py37-pygraphviz-1.5
2020-06-02 02:23:17+02	2020-06-02 02:24:30+02	graphics	poppler-qt5	\N	poppler-qt5-0.88.0
2020-06-02 02:23:52+02	2020-06-02 02:24:36+02	graphics	py-qt5-svg	py37	py37-qt5-svg-5.13.1_1
2020-06-02 02:24:30+02	2020-06-02 02:25:16+02	graphics	qt5-graphicaleffects	\N	qt5-graphicaleffects-5.14.2
2020-06-02 02:24:36+02	2020-06-02 02:25:40+02	lang	py-qt5-qml	py37	py37-qt5-qml-5.13.1_1
2020-06-02 02:23:57+02	2020-06-02 02:25:49+02	graphics	qt5-3d	\N	qt5-3d-5.14.2
2020-06-02 02:27:08+02	2020-06-02 02:28:36+02	multimedia	mlt	\N	mlt-6.20.0
2020-06-02 02:28:36+02	2020-06-02 02:29:57+02	net	freerdp	\N	freerdp-2.0.0.r4_9
2020-06-02 02:29:58+02	2020-06-02 02:30:45+02	net	remmina-plugin-exec	\N	remmina-plugin-exec-1.3.9
2020-06-02 02:25:50+02	2020-06-02 02:31:34+02	misc	mate-user-guide	\N	mate-user-guide-1.22.3
2020-06-02 02:30:45+02	2020-06-02 02:31:55+02	net-mgmt	icingaweb2-module-pdfexport	php73	icingaweb2-module-pdfexport-php73-0.9.0_2
2020-06-02 02:31:35+02	2020-06-02 02:32:24+02	net-mgmt	icingaweb2-module-reactbundle	php73	icingaweb2-module-reactbundle-php73-0.7.0_1
2020-06-02 02:32:25+02	2020-06-02 02:32:47+02	print	libspectre	\N	libspectre-0.2.8
2020-06-02 02:31:55+02	2020-06-02 02:35:18+02	print	gutenprint	\N	gutenprint-5.3.3
2020-06-02 02:32:48+02	2020-06-02 02:38:18+02	print	tex-dvipdfmx	\N	tex-dvipdfmx-20150315_1
2020-06-02 02:25:17+02	2020-06-02 02:38:36+02	math	R	\N	R-4.0.0_1
2020-06-02 02:38:37+02	2020-06-02 02:39:27+02	sysutils	mate-polkit	\N	mate-polkit-1.22.0
2020-06-02 02:38:19+02	2020-06-02 02:40:02+02	sysutils	mate-control-center	\N	mate-control-center-1.22.2
2020-06-02 02:40:03+02	2020-06-02 02:40:16+02	x11	x11perf	\N	x11perf-1.6.1
2020-06-02 02:35:19+02	2020-06-02 02:40:24+02	print	tex-xmltex	\N	tex-xmltex-1.9_2
2020-06-02 02:39:27+02	2020-06-02 02:40:26+02	www	py-qt5-webkit	py37	py37-qt5-webkit-5.13.1_1
2020-06-02 02:40:16+02	2020-06-02 02:40:36+02	x11	xcalc	\N	xcalc-1.1.0
2020-06-02 02:40:25+02	2020-06-02 02:40:36+02	x11-clocks	xclock	\N	xclock-1.0.9
2020-06-02 02:40:27+02	2020-06-02 02:41:16+02	x11-drivers	xf86-input-evdev	\N	xf86-input-evdev-2.10.6_5
2020-06-02 02:40:36+02	2020-06-02 02:41:21+02	x11-drivers	xf86-input-keyboard	\N	xf86-input-keyboard-1.9.0_4
2020-06-02 02:40:37+02	2020-06-02 02:41:26+02	x11-drivers	xf86-input-libinput	\N	xf86-input-libinput-0.30.0
2020-06-02 02:41:17+02	2020-06-02 02:42:02+02	x11-drivers	xf86-input-mouse	\N	xf86-input-mouse-1.9.3_3
2020-06-02 02:41:21+02	2020-06-02 02:42:12+02	x11-drivers	xf86-video-amdgpu	\N	xf86-video-amdgpu-19.1.0_1
2020-06-02 02:42:03+02	2020-06-02 02:42:55+02	x11-drivers	xf86-video-scfb	\N	xf86-video-scfb-0.0.5_2
2020-06-02 02:42:56+02	2020-06-02 02:43:09+02	x11-fonts	crosextrafonts-caladea-ttf	\N	crosextrafonts-caladea-20130214_4
2020-06-02 02:42:12+02	2020-06-02 02:43:11+02	x11-drivers	xf86-video-vesa	\N	xf86-video-vesa-2.4.0_3
2020-06-02 02:41:27+02	2020-06-02 02:43:16+02	x11-drivers	xf86-video-intel	\N	xf86-video-intel-2.99.917.20181203_1
2020-06-02 02:43:09+02	2020-06-02 02:43:19+02	x11-fonts	crosextrafonts-carlito-ttf	\N	crosextrafonts-carlito-20130920_4
2020-06-02 02:43:12+02	2020-06-02 02:43:19+02	x11-fonts	gentium-basic	\N	GentiumBasic-1102_1
2020-06-02 02:43:16+02	2020-06-02 02:43:25+02	x11-fonts	liberation-fonts-ttf	\N	liberation-fonts-ttf-2.1.0,2
2020-06-02 02:43:20+02	2020-06-02 02:43:31+02	x11-fonts	twemoji-color-font-ttf	\N	twemoji-color-font-ttf-12.0.1
2020-06-02 02:43:19+02	2020-06-02 02:43:33+02	x11-fonts	linuxlibertine-g	\N	linuxlibertine-g-20120116_2
2020-06-02 02:43:33+02	2020-06-02 02:43:48+02	x11-fonts	xorg-fonts-cyrillic	\N	xorg-fonts-cyrillic-7.7
2020-06-02 02:43:25+02	2020-06-02 02:43:50+02	x11-fonts	xorg-fonts-100dpi	\N	xorg-fonts-100dpi-7.7
2020-06-02 02:43:31+02	2020-06-02 02:43:56+02	x11-fonts	xorg-fonts-75dpi	\N	xorg-fonts-75dpi-7.7
2020-06-02 02:43:51+02	2020-06-02 02:44:08+02	x11-fonts	xorg-fonts-type1	\N	xorg-fonts-type1-7.7
2020-06-02 02:43:48+02	2020-06-02 02:44:26+02	x11-fonts	xorg-fonts-miscbitmaps	\N	xorg-fonts-miscbitmaps-7.7
2020-06-02 02:44:08+02	2020-06-02 02:45:04+02	x11-themes	mate-themes	\N	mate-themes-3.22.14
2020-06-02 02:44:26+02	2020-06-02 02:45:13+02	x11-toolkits	fpc-gtk2	\N	fpc-gtk2-3.0.4_4
2020-06-02 02:43:56+02	2020-06-02 02:45:22+02	x11-servers	xephyr	\N	xephyr-1.20.8_1,1
2020-06-02 02:45:04+02	2020-06-02 02:45:55+02	x11-toolkits	py-gtk2	py27	py27-gtk2-2.24.0_5
2020-06-02 02:45:55+02	2020-06-02 02:46:42+02	audio	faudio	\N	FAudio-20.05
2020-06-02 02:45:23+02	2020-06-02 02:47:16+02	archivers	engrampa	\N	engrampa-1.22.2
2020-06-02 02:46:44+02	2020-06-02 02:48:10+02	audio	mate-media	\N	mate-media-1.22.2
2020-06-02 02:47:17+02	2020-06-02 02:48:56+02	databases	rrdtool	\N	rrdtool-1.7.2_2
2020-06-02 02:48:11+02	2020-06-02 02:49:43+02	deskutils	caja-extensions	\N	caja-extensions-1.22.1
2020-06-02 02:45:13+02	2020-06-02 02:50:04+02	x11-toolkits	wxgtk30	\N	wx30-gtk3-3.0.5.1
2020-06-02 02:49:43+02	2020-06-02 02:50:42+02	deskutils	mozo	\N	mozo-1.22.2
2020-06-02 02:50:05+02	2020-06-02 02:51:01+02	devel	R-cran-rstudioapi	\N	R-cran-rstudioapi-0.11_1
2020-06-02 02:48:56+02	2020-06-02 02:51:26+02	deskutils	mate-utils	\N	mate-utils-1.22.2
2020-06-02 02:50:42+02	2020-06-02 02:51:58+02	devel	gradle5	\N	gradle5-5.0
2020-06-02 02:51:01+02	2020-06-02 02:52:21+02	devel	py-game	py37	py37-game-1.9.6_1
2020-06-02 02:51:27+02	2020-06-02 02:52:43+02	devel	py-game	py27	py27-game-1.9.6_1
2020-06-02 02:52:44+02	2020-06-02 02:55:12+02	editors	pluma	\N	pluma-1.22.2
2020-06-02 02:55:13+02	2020-06-02 02:58:08+02	graphics	GraphicsMagick	\N	GraphicsMagick-1.3.35,1
2020-06-02 02:58:08+02	2020-06-02 03:01:18+02	graphics	atril	\N	atril-1.22.3_5
2020-06-02 03:01:19+02	2020-06-02 03:03:58+02	graphics	eom	\N	eom-1.22.2
2020-06-02 03:03:58+02	2020-06-02 03:06:04+02	graphics	frei0r-plugins	\N	frei0r-plugins-1.6.1_1
2020-06-02 03:06:05+02	2020-06-02 03:06:39+02	graphics	ftgl	\N	ftgl-2.1.3.r5_6,1
2020-06-02 03:06:39+02	2020-06-02 03:07:30+02	graphics	goocanvas2	\N	goocanvas2-2.0.4
2020-06-02 03:07:30+02	2020-06-02 03:12:31+02	graphics	podofo	\N	podofo-0.9.6_1
2020-06-02 03:12:34+02	2020-06-02 03:14:20+02	graphics	py-gimp	\N	py27-gimp-2.10.18_6
2020-06-02 02:52:22+02	2020-06-02 03:16:09+02	editors	libreoffice	\N	libreoffice-6.3.6
2020-06-02 02:51:59+02	2020-06-02 03:19:34+02	editors	lazarus	\N	lazarus-gtk2-2.0.8
2020-06-02 03:14:20+02	2020-06-02 03:34:53+02	japanese	tex-ptex	\N	ja-tex-ptex-3.6_1
2020-06-02 03:34:55+02	2020-06-02 03:39:26+02	math	mate-calc	\N	mate-calc-1.22.2
2020-06-02 03:39:27+02	2020-06-02 03:40:49+02	multimedia	libass	\N	libass-0.14.0
2020-06-02 03:40:50+02	2020-06-02 03:42:43+02	multimedia	libopenshot	py37	py37-libopenshot-0.2.5.4
2020-06-02 03:16:10+02	2020-06-02 03:44:39+02	java	openjdk11	\N	openjdk11-11.0.7+10.2
2020-06-02 03:44:40+02	2020-06-02 03:45:59+02	multimedia	webvfx-qt5	\N	webvfx-qt5-0.4.4.20160823_12
2020-06-02 03:46:00+02	2020-06-02 03:47:09+02	net	remmina-plugin-nx	\N	remmina-plugin-nx-1.3.9
2020-06-02 03:47:10+02	2020-06-02 03:48:26+02	net	remmina-plugin-rdp	\N	remmina-plugin-rdp-1.3.9
2020-06-02 03:48:27+02	2020-06-02 03:49:29+02	net	remmina-plugin-secret	\N	remmina-plugin-secret-1.3.9
2020-06-02 03:42:44+02	2020-06-02 03:49:41+02	multimedia	vlc	\N	vlc-3.0.10_4,4
2020-06-02 03:49:29+02	2020-06-02 03:50:16+02	net	remmina-plugin-spice	\N	remmina-plugin-spice-1.3.9
2020-06-02 03:49:41+02	2020-06-02 03:50:22+02	net	remmina-plugin-st	\N	remmina-plugin-st-1.3.9
2020-06-02 03:50:17+02	2020-06-02 03:50:59+02	net	remmina-plugin-vnc	\N	remmina-plugin-vnc-1.3.9
2020-06-02 03:50:23+02	2020-06-02 03:51:18+02	net	remmina-plugin-www	\N	remmina-plugin-www-1.3.9
2020-06-02 03:51:18+02	2020-06-02 03:52:10+02	net-mgmt	icingaweb2-module-director	php73	icingaweb2-module-director-php73-1.6.2_2
2020-06-02 03:50:59+02	2020-06-02 03:52:17+02	net	remmina-plugin-xdmcp	\N	remmina-plugin-xdmcp-1.3.9
2020-06-02 03:52:18+02	2020-06-02 03:53:22+02	print	gimp-gutenprint	\N	gimp-gutenprint-5.3.3
2020-06-02 03:52:11+02	2020-06-02 03:53:24+02	net-mgmt	icingaweb2-module-reporting	php73	icingaweb2-module-reporting-php73-0.9.2_1
2020-06-02 03:19:36+02	2020-06-02 03:54:12+02	lang	erlang	\N	erlang-21.3.8.16,4
2020-06-02 03:54:13+02	2020-06-02 03:55:57+02	print	tex-xdvik	\N	tex-xdvik-22.87_4
2020-06-02 03:53:25+02	2020-06-02 03:58:31+02	print	tex-jadetex	\N	tex-jadetex-3.13_3
2020-06-02 03:53:23+02	2020-06-02 03:58:38+02	print	tex-aleph	\N	tex-aleph-1.15.2.1.r.4_4
2020-06-02 03:58:39+02	2020-06-02 03:59:03+02	print	transfig	\N	transfig-3.2.5e_4
2020-06-02 03:59:03+02	2020-06-02 04:00:26+02	sysutils	mate-power-manager	\N	mate-power-manager-1.22.2
2020-06-02 04:00:27+02	2020-06-02 04:02:17+02	sysutils	mate-system-monitor	\N	mate-system-monitor-1.22.2
2020-06-02 03:55:58+02	2020-06-02 04:02:48+02	print	tex-xetex	\N	tex-xetex-0.99992_33
2020-06-02 04:02:49+02	2020-06-02 04:03:43+02	textproc	gtkspell3	\N	gtkspell3-3.0.10
2020-06-02 04:02:18+02	2020-06-02 04:03:44+02	textproc	fop	\N	fop-2.3
2020-06-02 04:03:43+02	2020-06-02 04:04:18+02	www	py-qt5-webchannel	py37	py37-qt5-webchannel-5.13.1_1
2020-06-02 04:03:44+02	2020-06-02 04:04:46+02	www	py-qt5-webkitwidgets	py37	py37-qt5-webkitwidgets-5.13.1_1
2020-06-02 04:04:46+02	2020-06-02 04:05:50+02	x11	mate-base	\N	mate-base-1.22.2
2020-06-02 04:05:51+02	2020-06-02 04:07:13+02	x11	mate-screensaver	\N	mate-screensaver-1.22.2
2020-06-02 04:07:14+02	2020-06-02 04:08:47+02	x11	mate-terminal	\N	mate-terminal-1.22.1
2020-06-02 04:04:44+02	2020-06-02 04:08:51+02	x11	mate-applets	\N	mate-applets-1.22.2
2020-06-02 04:08:52+02	2020-06-02 04:09:01+02	x11	xorg-libraries	\N	xorg-libraries-7.7_4
2020-06-02 04:08:47+02	2020-06-02 04:09:07+02	x11	xorg-apps	\N	xorg-apps-7.7_4
2020-06-02 04:09:08+02	2020-06-02 04:09:14+02	x11-fonts	bitstream-vera	\N	bitstream-vera-1.10_8
2020-06-02 04:09:15+02	2020-06-02 04:09:22+02	x11-fonts	gnu-unifont	\N	gnu-unifont-13.0.02,1
2020-06-02 04:09:01+02	2020-06-02 04:09:43+02	x11-drivers	xorg-drivers	\N	xorg-drivers-7.7_6
2020-06-02 04:09:43+02	2020-06-02 04:10:48+02	x11-toolkits	fltk	\N	fltk-1.3.5
2020-06-02 04:09:22+02	2020-06-02 04:11:20+02	x11-fonts	xorg-fonts	\N	xorg-fonts-7.7_1
2020-06-02 04:10:49+02	2020-06-02 04:11:37+02	x11-toolkits	gdl	\N	gdl-3.28.0
2020-06-02 04:11:21+02	2020-06-02 04:11:53+02	x11-toolkits	gtkglarea2	\N	gtkglarea-2.0.1_10
2020-06-02 04:11:38+02	2020-06-02 04:17:25+02	x11-toolkits	gtkmm24	\N	gtkmm24-2.24.5_1
2020-06-02 03:58:32+02	2020-06-02 04:18:52+02	print	texlive-docs	\N	texlive-docs-20150523
2020-06-02 04:17:26+02	2020-06-02 04:19:14+02	astro	xephem	\N	xephem-3.7.7_5
2020-06-02 04:11:54+02	2020-06-02 04:19:25+02	astro	stellarium	\N	stellarium-0.20.1
2020-06-02 04:18:53+02	2020-06-02 04:19:47+02	deskutils	sysctlview	\N	sysctlview-2.0
2020-06-02 04:19:25+02	2020-06-02 04:20:33+02	devel	distel	full	distel-emacs26-4.1.1_4
2020-06-02 04:19:15+02	2020-06-02 04:47:33+02	devel	RStudio	\N	RStudio-1.3.959
2020-06-02 04:19:48+02	2020-06-02 04:48:32+02	devel	electron7	\N	electron7-7.3.0_1
2020-06-02 04:48:37+02	2020-06-02 04:52:22+02	editors	libreoffice-nb	\N	nb-libreoffice-6.3.6
2020-06-02 04:52:23+02	2020-06-02 04:54:36+02	editors	vim	\N	vim-8.2.0869
2020-06-02 04:47:34+02	2020-06-02 04:55:46+02	editors	codelite	\N	codelite-12.0_4
2020-06-02 04:55:46+02	2020-06-02 05:01:42+02	emulators	wine	\N	wine-5.0_1,1
2020-06-02 05:01:43+02	2020-06-02 05:02:14+02	emulators	x48	\N	x48-0.6.4_1
2020-06-02 04:54:37+02	2020-06-02 05:02:53+02	emulators	qemu	\N	qemu-4.1.1_3
2020-06-02 05:02:54+02	2020-06-02 05:04:32+02	games	alienarena	\N	alienarena-2013.766_9
2020-06-02 05:04:32+02	2020-06-02 05:05:12+02	games	monsterz	\N	monsterz-0.7.1_15
2020-06-02 05:05:13+02	2020-06-02 05:05:48+02	games	nuclearchess	\N	nuclearchess-1.0.0_10
2020-06-02 05:05:49+02	2020-06-02 05:06:40+02	games	numptyphysics	\N	numptyphysics-0.3.r20090104_11
2020-06-02 05:06:40+02	2020-06-02 05:07:21+02	games	outerspace	\N	outerspace-0.2.2_9
2020-06-02 05:07:22+02	2020-06-02 05:08:32+02	games	xblast	\N	xblast-2.10.4_17
2020-06-02 05:08:32+02	2020-06-02 05:09:28+02	games	xboard	\N	xboard-4.9.1_1
2020-06-02 05:09:28+02	2020-06-02 05:10:12+02	games	xcowsay	\N	xcowsay-1.5
2020-06-02 05:02:14+02	2020-06-02 05:11:04+02	ftp	filezilla	\N	filezilla-3.40.0_5
2020-06-02 05:10:12+02	2020-06-02 05:11:42+02	graphics	dia	\N	dia-0.97.3_1,1
2020-06-02 05:11:05+02	2020-06-02 05:12:04+02	graphics	gimp	\N	gimp-2.10.18,2
2020-06-02 04:20:33+02	2020-06-02 05:16:28+02	devel	ghidra	\N	ghidra-9.1
2020-06-02 05:16:30+02	2020-06-02 05:18:37+02	graphics	xpdf	\N	xpdf-4.02,1
2020-06-02 05:12:04+02	2020-06-02 05:34:53+02	graphics	krita	\N	krita-4.2.9_3
2020-06-02 05:34:55+02	2020-06-02 05:37:55+02	lang	csharp-mode.el	full	csharp-mode.el-emacs26-0.9.2_1
2020-06-02 05:18:39+02	2020-06-02 05:53:51+02	java	openjdk12	\N	openjdk12-12.0.2+10.4
2020-06-02 05:11:43+02	2020-06-02 05:59:46+02	graphics	inkscape	\N	inkscape-1.0_1
2020-06-02 05:37:57+02	2020-06-02 06:10:13+02	lang	erlang-runtime22	\N	erlang-runtime22-22.3.4.1
2020-06-02 06:10:13+02	2020-06-02 06:11:59+02	multimedia	obs-studio	\N	obs-studio-25.0.8
2020-06-02 06:12:00+02	2020-06-02 06:14:02+02	multimedia	openshot	py37	openshot-2.5.1.7
2020-06-02 06:14:02+02	2020-06-02 06:17:01+02	multimedia	shotcut	\N	shotcut-20.04.12_1
2020-06-02 06:17:02+02	2020-06-02 06:21:45+02	net	ntopng	\N	ntopng-4.0.d20200530,1
2020-06-02 06:21:46+02	2020-06-02 06:23:05+02	net	remmina-plugins	\N	remmina-plugins-1.3.9
2020-06-02 06:23:06+02	2020-06-02 06:24:03+02	net	v2ray	\N	v2ray-4.23.2
2020-06-02 06:24:03+02	2020-06-02 06:24:17+02	net	vnstat	\N	vnstat-2.6_1
2020-06-02 05:53:52+02	2020-06-02 06:24:38+02	lang	erlang-runtime23	\N	erlang-runtime23-23.0.2
2020-06-02 06:24:39+02	2020-06-02 06:25:21+02	net-mgmt	etherape	\N	etherape-0.9.18
2020-06-02 06:25:22+02	2020-06-02 06:26:28+02	net-mgmt	icingaweb2-module-businessprocess	php73	icingaweb2-module-businessprocess-php73-2.2.0_2
2020-06-02 06:26:29+02	2020-06-02 06:27:12+02	net-mgmt	icingaweb2-module-cube	php73	icingaweb2-module-cube-php73-1.1.0_1
2020-06-02 06:24:18+02	2020-06-02 06:27:29+02	net	wireshark	\N	wireshark-3.2.4
2020-06-02 06:27:12+02	2020-06-02 06:27:55+02	net-mgmt	icingaweb2-module-elasticsearch	php73	icingaweb2-module-elasticsearch-php73-0.9.0_3
2020-06-02 05:59:47+02	2020-06-02 06:28:08+02	lang	mono	\N	mono-5.10.1.57_3
2020-06-02 06:27:30+02	2020-06-02 06:28:11+02	net-mgmt	icingaweb2-module-fileshipper	php73	icingaweb2-module-fileshipper-php73-1.1.0_3
2020-06-02 06:27:55+02	2020-06-02 06:28:36+02	net-mgmt	icingaweb2-module-generictts	php73	icingaweb2-module-generictts-php73-2.0.0_3
2020-06-02 06:28:09+02	2020-06-02 06:28:50+02	net-mgmt	icingaweb2-module-grafana	php73	icingaweb2-module-grafana-php73-1.3.6_1
2020-06-02 06:28:11+02	2020-06-02 06:28:52+02	net-mgmt	icingaweb2-module-graphite	php73	icingaweb2-module-graphite-php73-1.1.0_3
2020-06-02 06:28:50+02	2020-06-02 06:29:34+02	net-mgmt	icingaweb2-module-map	php73	icingaweb2-module-map-php73-1.1.0_3
2020-06-02 06:28:52+02	2020-06-02 06:29:35+02	net-mgmt	icingaweb2-module-vsphere	php73	icingaweb2-module-vsphere-php73-1.1.0_4
2020-06-02 06:28:36+02	2020-06-02 06:29:38+02	net-mgmt	icingaweb2-module-idoreports	php73	icingaweb2-module-idoreports-php73-0.9.0_2
2020-06-02 06:29:35+02	2020-06-02 06:29:58+02	print	fig2dev	\N	fig2dev-3.2.7_1
2020-06-02 06:29:58+02	2020-06-02 06:30:27+02	print	gv	\N	gv-3.7.4_5
2020-06-02 06:29:34+02	2020-06-02 06:31:46+02	print	auctex	full	auctex-emacs26-12.2
2020-06-02 06:29:39+02	2020-06-02 06:32:01+02	print	fontforge	\N	fontforge-20190801_2
2020-06-02 06:30:28+02	2020-06-02 06:32:22+02	print	lyx	\N	lyx-2.3.4.2_1
2020-06-02 06:32:01+02	2020-06-02 06:32:42+02	security	openconnect-gui	\N	openconnect-gui-1.4.1_3
2020-06-02 06:32:22+02	2020-06-02 06:33:06+02	sysutils	cpu-x	\N	cpu-x-4.0.0_1
2020-06-02 06:32:42+02	2020-06-02 06:33:11+02	sysutils	gkrellm2	\N	gkrellm2-2.3.11
2020-06-02 06:33:11+02	2020-06-02 06:33:29+02	www	dokuwiki	\N	dokuwiki-20180422c
2020-06-02 06:33:06+02	2020-06-02 06:33:41+02	textproc	py-qt5-xmlpatterns	py37	py37-qt5-xmlpatterns-5.13.1_1
2020-06-02 06:33:42+02	2020-06-02 06:34:35+02	www	links	\N	links-2.20.2,1
2020-06-02 06:31:47+02	2020-06-02 06:35:29+02	print	texlive-full	\N	texlive-full-20150521
2020-06-02 06:34:36+02	2020-06-02 06:35:30+02	www	py-qt5-webengine	py37	py37-qt5-webengine-5.12.1_1
2020-06-02 06:35:31+02	2020-06-02 06:36:12+02	x11	cool-retro-term	\N	cool-retro-term-1.1.1_1
2020-06-02 06:36:12+02	2020-06-02 06:38:00+02	x11	mate	\N	mate-1.22.2
2020-06-02 06:38:02+02	2020-06-02 06:38:18+02	x11	sterm	\N	sterm-0.8.2
2020-06-02 06:38:19+02	2020-06-02 06:39:31+02	x11	xdm	\N	xdm-1.1.12_3
2020-06-02 06:39:32+02	2020-06-02 06:41:03+02	x11	xlockmore	\N	xlockmore-5.63
2020-06-02 06:41:03+02	2020-06-02 06:45:10+02	x11	xorg	\N	xorg-7.7_3
2020-06-02 06:45:10+02	2020-06-02 06:47:27+02	x11	xscreensaver	\N	xscreensaver-5.44
2020-06-02 06:47:27+02	2020-06-02 06:53:35+02	x11-fm	doublecmd	gtk2	doublecmd-gtk2-0.9.8_2
2020-06-02 06:35:30+02	2020-06-02 06:54:15+02	x11	alacritty	\N	alacritty-0.4.2_1
2020-06-02 06:54:16+02	2020-06-02 06:54:30+02	x11-fm	xdiskusage	\N	xdiskusage-1.51_1
2020-06-02 06:53:36+02	2020-06-02 06:55:35+02	x11-fm	fsv2	\N	fsv2-1.1.0_1
2020-06-02 06:54:30+02	2020-06-02 06:55:52+02	x11-toolkits	libgdiplus	\N	libgdiplus-5.6_2
2020-06-02 06:55:38+02	2020-06-02 06:56:04+02	x11-toolkits	py-tkinter	py38	py38-tkinter-3.8.3_6
2020-06-02 06:58:10+02	2020-06-02 06:58:21+02	graphics	drm-kmod	\N	drm-kmod-g20190710
2020-06-02 06:58:22+02	2020-06-02 06:59:14+02	graphics	xfig	\N	xfig-3.2.7a
2020-06-02 06:59:15+02	2020-06-02 06:59:54+02	net-mgmt	netbox	\N	netbox-2.7.12
2020-06-02 06:33:29+02	2020-06-02 07:13:06+02	www	firefox	\N	firefox-77.0_4,1
2020-06-02 06:56:05+02	2020-06-02 07:33:56+02	editors	vscode	\N	vscode-1.45.1_1
2020-06-02 07:39:11+02	2020-06-02 07:43:06+02	math	py-matplotlib	py37	py37-matplotlib-2.2.4_2
2020-06-02 07:43:06+02	2020-06-02 07:43:52+02	math	py-networkx	py37	py37-networkx-2.1,1
2020-06-02 07:43:53+02	2020-06-02 07:44:33+02	ports-mgmt	porttree	\N	porttree-1.1.r114_1
2020-06-02 19:50:23+02	2020-06-02 19:50:45+02	graphics	libdrm	\N	libdrm-2.4.102,1
2020-06-02 19:50:46+02	2020-06-02 19:51:12+02	graphics	poppler-data	\N	poppler-data-0.4.9_3
2020-06-02 19:51:13+02	2020-06-02 19:53:59+02	print	ghostscript9-agpl-base	\N	ghostscript9-agpl-base-9.52_5
2020-06-02 19:54:01+02	2020-06-02 19:54:54+02	multimedia	libva	\N	libva-2.7.1
2020-06-02 19:54:56+02	2020-06-02 19:56:46+02	print	ghostscript9-agpl-x11	\N	ghostscript9-agpl-x11-9.52
2020-06-02 19:50:23+02	2020-06-02 20:01:02+02	lang	perl5.30	\N	perl5-5.30.3
2020-06-02 20:01:02+02	2020-06-02 20:01:30+02	devel	p5-Locale-gettext	\N	p5-Locale-gettext-1.07
2020-06-02 20:01:31+02	2020-06-02 20:01:56+02	converters	p5-Text-Unidecode	\N	p5-Text-Unidecode-1.30
2020-06-02 20:01:56+02	2020-06-02 20:02:40+02	devel	p5-Locale-libintl	\N	p5-Locale-libintl-1.31
2020-06-02 20:02:41+02	2020-06-02 20:03:08+02	misc	help2man	\N	help2man-1.47.15
2020-06-02 20:03:08+02	2020-06-02 20:03:30+02	textproc	p5-Unicode-EastAsianWidth	\N	p5-Unicode-EastAsianWidth-12.0
2020-06-02 19:56:47+02	2020-06-02 20:04:42+02	lang	go	\N	go-1.14.4,1
2020-06-02 20:04:43+02	2020-06-02 20:05:21+02	textproc	p5-XML-Parser	\N	p5-XML-Parser-2.44
2020-06-02 20:03:31+02	2020-06-02 20:05:36+02	print	texinfo	\N	texinfo-6.7_3,1
2020-06-02 20:05:22+02	2020-06-02 20:05:48+02	textproc	intltool	\N	intltool-0.51.0_1
2020-06-02 20:05:37+02	2020-06-02 20:06:41+02	devel	autoconf	\N	autoconf-2.69_3
2020-06-02 20:05:49+02	2020-06-02 20:06:42+02	textproc	gtk-doc	\N	gtk-doc-1.29_1
2020-06-02 20:06:41+02	2020-06-02 20:07:28+02	devel	automake	\N	automake-1.16.2
2020-06-02 20:07:30+02	2020-06-02 20:08:01+02	devel	autoconf213	\N	autoconf213-2.13.000227_7
2020-06-02 20:08:01+02	2020-06-02 20:12:13+02	devel	qt5-buildtools	\N	qt5-buildtools-5.14.2
2020-06-02 19:50:23+02	2020-06-02 20:12:16+02	devel	cmake	\N	cmake-3.17.3
2020-06-02 20:06:43+02	2020-06-02 20:12:21+02	textproc	groff	\N	groff-1.22.4_3
2020-06-02 20:12:14+02	2020-06-02 20:12:40+02	print	texlive-tlmgr	\N	texlive-tlmgr-20150523_2
2020-06-02 20:12:22+02	2020-06-02 20:12:51+02	textproc	texi2html	\N	texi2html-5.0_2,1
2020-06-02 20:12:52+02	2020-06-02 20:13:17+02	textproc	hyphen	\N	hyphen-2.8.8
2020-06-02 20:13:18+02	2020-06-02 20:13:45+02	net	p5-URI	\N	p5-URI-1.76
2020-06-02 20:13:45+02	2020-06-02 20:14:13+02	www	w3m	\N	w3m-0.5.3.20200507
2020-06-02 20:12:41+02	2020-06-02 20:14:14+02	textproc	hunspell	\N	hunspell-1.7.0_2
2020-06-02 20:14:14+02	2020-06-02 20:14:39+02	textproc	p5-XML-NamespaceSupport	\N	p5-XML-NamespaceSupport-1.12
2020-06-02 20:14:39+02	2020-06-02 20:15:02+02	textproc	p5-XML-SAX-Base	\N	p5-XML-SAX-Base-1.09
2020-06-02 20:15:03+02	2020-06-02 20:15:37+02	textproc	xmlto	\N	xmlto-0.0.28
2020-06-02 20:14:14+02	2020-06-02 20:15:52+02	textproc	enchant2	\N	enchant2-2.2.3_4
2020-06-02 20:15:37+02	2020-06-02 20:16:05+02	textproc	p5-XML-SAX	\N	p5-XML-SAX-1.02
2020-06-02 20:16:05+02	2020-06-02 20:16:32+02	textproc	p5-XML-SAX-Expat	\N	p5-XML-SAX-Expat-0.51_1
2020-06-02 20:16:32+02	2020-06-02 20:19:56+02	databases	mysql57-client	\N	mysql57-client-5.7.30_1
2020-06-02 20:15:52+02	2020-06-02 20:24:03+02	devel	glibmm	\N	glibmm-2.56.0_2,1
2020-06-02 20:19:59+02	2020-06-02 20:24:06+02	textproc	aspell	\N	aspell-0.60.8,1
2020-06-02 20:24:04+02	2020-06-02 20:24:28+02	textproc	p5-XML-Simple	\N	p5-XML-Simple-2.25
2020-06-02 20:24:07+02	2020-06-02 20:24:34+02	devel	imake	\N	imake-1.0.8,1
2020-06-02 20:24:29+02	2020-06-02 20:24:58+02	net	p5-Socket6	\N	p5-Socket6-0.29
2020-06-02 20:24:59+02	2020-06-02 20:25:37+02	x11-themes	icon-naming-utils	\N	icon-naming-utils-0.8.90_1
2020-06-02 20:25:38+02	2020-06-02 20:26:19+02	devel	p5-TimeDate	\N	p5-TimeDate-2.33,1
2020-06-02 20:24:35+02	2020-06-02 20:26:28+02	textproc	libxml++26	\N	libxml++-2.40.1,1
2020-06-02 20:26:20+02	2020-06-02 20:26:46+02	net	p5-IO-Socket-INET6	\N	p5-IO-Socket-INET6-2.72_1
2020-06-02 20:26:29+02	2020-06-02 20:26:53+02	security	p5-Digest-HMAC	\N	p5-Digest-HMAC-1.03_1
2020-06-02 20:26:54+02	2020-06-02 20:27:14+02	www	p5-HTML-Tagset	\N	p5-HTML-Tagset-3.20_1
2020-06-02 20:27:14+02	2020-06-02 20:27:39+02	www	p5-Mozilla-CA	\N	p5-Mozilla-CA-20180117
2020-06-02 20:26:46+02	2020-06-02 20:27:43+02	security	p5-Net-SSLeay	\N	p5-Net-SSLeay-1.88
2020-06-02 20:27:43+02	2020-06-02 20:28:09+02	security	p5-IO-Socket-SSL	\N	p5-IO-Socket-SSL-2.068
2020-06-02 20:28:10+02	2020-06-02 20:28:48+02	www	p5-HTML-Parser	\N	p5-HTML-Parser-3.72
2020-06-02 20:27:40+02	2020-06-02 20:28:50+02	accessibility	atkmm	\N	atkmm-2.24.2_4
2020-06-02 20:28:49+02	2020-06-02 20:29:12+02	www	p5-HTTP-Date	\N	p5-HTTP-Date-6.05
2020-06-02 20:28:51+02	2020-06-02 20:29:14+02	converters	p5-Encode-Locale	\N	p5-Encode-Locale-1.05
2020-06-02 20:29:16+02	2020-06-02 20:29:38+02	devel	netsurf-buildsystem	\N	netsurf-buildsystem-1.8
2020-06-02 20:29:13+02	2020-06-02 20:29:56+02	databases	fpc-mysql	\N	fpc-mysql-3.0.4_4
2020-06-02 20:29:39+02	2020-06-02 20:30:03+02	devel	p5-Clone	\N	p5-Clone-0.45
2020-06-02 20:29:57+02	2020-06-02 20:30:18+02	devel	p5-IO-HTML	\N	p5-IO-HTML-1.001_1
2020-06-02 20:30:04+02	2020-06-02 20:30:28+02	www	p5-LWP-MediaTypes	\N	p5-LWP-MediaTypes-6.04
2020-06-02 20:30:18+02	2020-06-02 20:30:45+02	devel	p5-Parse-Yapp	\N	p5-Parse-Yapp-1.05_2
2020-06-02 20:30:46+02	2020-06-02 20:32:25+02	print	enscript-a4	\N	enscript-a4-1.6.6_3
2020-06-02 20:32:27+02	2020-06-02 20:33:05+02	security	p5-GSSAPI	\N	p5-GSSAPI-0.28_1
2020-06-02 20:30:28+02	2020-06-02 20:33:19+02	graphics	netpbm	\N	netpbm-10.90.02
2020-06-02 20:33:06+02	2020-06-02 20:33:32+02	www	p5-HTTP-Message	\N	p5-HTTP-Message-6.24
2020-06-02 20:33:21+02	2020-06-02 20:33:40+02	devel	p5-IO-String	\N	p5-IO-String-1.08_1
2020-06-02 20:33:40+02	2020-06-02 20:34:06+02	lang	p5-Error	\N	p5-Error-0.17029
2020-06-02 20:33:33+02	2020-06-02 20:34:29+02	graphics	libwpg03	\N	libwpg03-0.3.3_1
2020-06-02 20:34:06+02	2020-06-02 20:34:33+02	security	p5-Authen-SASL	\N	p5-Authen-SASL-2.16_1
2020-06-02 20:34:31+02	2020-06-02 20:34:53+02	www	p5-CGI	\N	p5-CGI-4.47
2020-06-02 20:34:54+02	2020-06-02 20:37:02+02	devel	git	\N	git-2.26.2
2020-06-02 20:37:03+02	2020-06-02 20:38:58+02	textproc	mythes	\N	mythes-1.2.4_7
2020-06-02 20:38:59+02	2020-06-02 20:55:22+02	www	apache24	\N	apache24-2.4.43
2020-06-02 20:55:24+02	2020-06-02 20:56:15+02	x11-fonts	p5-Font-TTF	\N	p5-Font-TTF-1.06
2020-06-02 20:56:21+02	2020-06-02 20:56:58+02	archivers	p5-Archive-Zip	\N	p5-Archive-Zip-1.68
2020-06-02 20:57:01+02	2020-06-02 20:57:46+02	devel	p5-Getopt-ArgvFile	\N	p5-Getopt-ArgvFile-1.11_1
2020-06-02 20:57:47+02	2020-06-02 20:58:24+02	lang	p5-Try-Tiny	\N	p5-Try-Tiny-0.30
2020-06-02 20:58:26+02	2020-06-02 21:02:24+02	multimedia	cmrt	\N	cmrt-1.0.6_2
2020-06-02 21:02:28+02	2020-06-02 21:03:17+02	net	p5-Net-HTTP	\N	p5-Net-HTTP-6.19
2020-06-02 21:03:19+02	2020-06-02 21:04:12+02	security	p5-Authen-NTLM	\N	p5-Authen-NTLM-1.09_1
2020-06-02 21:04:16+02	2020-06-02 21:04:59+02	sysutils	p5-File-Listing	\N	p5-File-Listing-6.04_1
2020-06-02 21:05:02+02	2020-06-02 21:08:17+02	textproc	enchant	\N	enchant-1.6.0_9
2020-06-02 21:08:21+02	2020-06-02 21:09:47+02	textproc	p5-PDF-API2	\N	p5-PDF-API2-2.037
2020-06-02 21:09:48+02	2020-06-02 21:10:33+02	textproc	p5-Pod-Escapes	\N	p5-Pod-Escapes-1.07
2020-06-02 21:10:35+02	2020-06-02 21:11:15+02	www	p5-HTTP-Cookies	\N	p5-HTTP-Cookies-6.08
2020-06-02 21:11:17+02	2020-06-02 21:11:59+02	www	p5-HTTP-Daemon	\N	p5-HTTP-Daemon-6.10
2020-06-02 21:12:01+02	2020-06-02 21:12:42+02	www	p5-HTTP-Negotiate	\N	p5-HTTP-Negotiate-6.01_1
2020-06-02 21:12:44+02	2020-06-02 21:13:26+02	www	p5-WWW-RobotRules	\N	p5-WWW-RobotRules-6.02_1
2020-06-02 21:13:28+02	2020-06-02 21:17:47+02	devel	libstatgrab	\N	libstatgrab-0.92
2020-06-02 21:17:50+02	2020-06-02 22:03:53+02	lang	julia11	\N	julia11-1.1.1_5
2020-06-02 22:03:55+02	2020-06-02 22:07:42+02	multimedia	libva-intel-hybrid-driver	\N	libva-intel-hybrid-driver-1.0.2_2
2020-06-02 22:07:44+02	2020-06-02 22:14:33+02	net-mgmt	monitoring-plugins	\N	monitoring-plugins-2.2_7
2020-06-02 22:14:39+02	2020-06-02 22:16:11+02	print	transfig	\N	transfig-3.2.5e_4
2020-06-02 22:16:13+02	2020-06-02 22:17:04+02	security	p5-Digest-SHA1	\N	p5-Digest-SHA1-2.13_1
2020-06-02 22:17:06+02	2020-06-02 22:17:41+02	textproc	p5-pod2pdf	\N	p5-pod2pdf-0.42_1
2020-06-02 22:17:48+02	2020-06-02 22:18:35+02	www	p5-libwww	\N	p5-libwww-6.44
2020-06-02 22:18:37+02	2020-06-02 22:21:35+02	converters	recode	\N	recode-3.6_14
2020-06-02 20:12:17+02	2020-06-03 02:52:37+02	devel	llvm80	\N	llvm80-8.0.1_3
2020-06-03 02:52:48+02	2020-06-03 03:05:01+02	graphics	mesa-libs	\N	mesa-libs-19.0.8
2020-06-03 03:05:03+02	2020-06-03 03:12:38+02	graphics	cairo	\N	cairo-1.16.0,2
2020-06-03 03:12:40+02	2020-06-03 03:18:50+02	x11-toolkits	pango	\N	pango-1.42.4_3
2020-06-03 03:18:53+02	2020-06-03 03:37:46+02	graphics	graphviz	\N	graphviz-2.44.0_4
2020-06-03 03:37:46+02	2020-06-03 03:38:59+02	graphics	gtk-update-icon-cache	\N	gtk-update-icon-cache-2.24.32
2020-06-03 03:38:59+02	2020-06-03 03:43:01+02	lang	vala	\N	vala-0.40.15,1
2020-06-03 03:43:02+02	2020-06-03 03:44:12+02	graphics	libepoxy	\N	libepoxy-1.5.4
2020-06-03 03:44:13+02	2020-06-03 03:45:20+02	graphics	librsvg2	\N	librsvg2-2.40.21
2020-06-03 03:45:20+02	2020-06-03 03:48:01+02	x11-themes	adwaita-icon-theme	\N	adwaita-icon-theme-3.28.0
2020-06-03 03:48:02+02	2020-06-03 03:51:58+02	x11-toolkits	qt5-gui	\N	qt5-gui-5.14.2
2020-06-02 20:34:34+02	2020-06-03 04:01:04+02	devel	llvm90	\N	llvm90-9.0.1_1
2020-06-03 03:51:59+02	2020-06-03 04:02:29+02	x11-toolkits	gtk30	\N	gtk3-3.24.10_1
2020-06-03 04:02:30+02	2020-06-03 04:04:06+02	graphics	libGLU	\N	libGLU-9.0.1
2020-06-03 04:01:07+02	2020-06-03 04:04:16+02	x11-toolkits	qt5-widgets	\N	qt5-widgets-5.14.2
2020-06-03 04:04:16+02	2020-06-03 04:08:50+02	x11-toolkits	qt5-declarative	\N	qt5-declarative-5.14.2
2020-06-03 04:08:51+02	2020-06-03 04:11:34+02	graphics	poppler	\N	poppler-0.89.0_1
2020-06-03 04:04:07+02	2020-06-03 04:12:46+02	x11-toolkits	gtk20	\N	gtk2-2.24.32
2020-06-03 04:11:35+02	2020-06-03 04:12:51+02	devel	qt5-help	\N	qt5-help-5.14.2
2020-06-03 04:12:55+02	2020-06-03 04:13:31+02	graphics	frei0r	\N	frei0r-1.6.1
2020-06-03 04:12:47+02	2020-06-03 04:14:20+02	devel	tex-web2c	\N	tex-web2c-20150521_3
2020-06-03 04:13:34+02	2020-06-03 04:15:24+02	print	qt5-printsupport	\N	qt5-printsupport-5.14.2
2020-06-03 04:14:21+02	2020-06-03 04:15:40+02	print	tex-basic-engines	\N	tex-basic-engines-20150521
2020-06-03 04:15:25+02	2020-06-03 04:20:07+02	print	texlive-base	\N	texlive-base-20150521_52
2020-06-03 04:15:41+02	2020-06-03 04:28:04+02	multimedia	ffmpeg	\N	ffmpeg-4.2.3,1
2020-06-03 04:28:05+02	2020-06-03 04:29:30+02	devel	gconf2	\N	gconf2-3.2.6_5
2020-06-03 04:29:31+02	2020-06-03 04:30:28+02	x11	qt5-x11extras	\N	qt5-x11extras-5.14.2
2020-06-03 04:30:29+02	2020-06-03 04:30:50+02	graphics	py-cairo	py37	py37-cairo-1.18.1_1
2020-06-03 04:30:50+02	2020-06-03 04:35:16+02	graphics	ImageMagick7	\N	ImageMagick7-7.0.10.6
2020-06-03 04:35:17+02	2020-06-03 04:35:57+02	x11-toolkits	qt5-uiplugin	\N	qt5-uiplugin-5.14.2
2020-06-03 04:35:57+02	2020-06-03 04:37:20+02	devel	sdl12	\N	sdl-1.2.15_14,2
2020-06-03 04:20:08+02	2020-06-03 04:49:58+02	print	texlive-texmf	\N	texlive-texmf-20150523_4
2020-06-03 04:50:00+02	2020-06-03 04:54:21+02	print	tex-formats	\N	tex-formats-20150521_2
2020-06-03 04:37:20+02	2020-06-03 05:02:28+02	graphics	mesa-dri	\N	mesa-dri-19.0.8
2020-06-03 05:02:29+02	2020-06-03 05:03:58+02	graphics	qt5-opengl	\N	qt5-opengl-5.14.2
2020-06-03 04:54:22+02	2020-06-03 05:04:16+02	print	tex-dvipsk	\N	tex-dvipsk-5.995_2
2020-06-03 05:04:00+02	2020-06-03 05:04:29+02	devel	py-gobject3	py37	py37-gobject3-3.28.3
2020-06-03 05:04:17+02	2020-06-03 05:05:14+02	graphics	qt5-svg	\N	qt5-svg-5.14.2
2020-06-03 05:04:30+02	2020-06-03 05:05:20+02	audio	libcanberra	\N	libcanberra-0.30_5
2020-06-03 05:05:21+02	2020-06-03 05:07:23+02	graphics	graphene	\N	graphene-1.10.0
2020-06-03 05:07:24+02	2020-06-03 05:08:36+02	graphics	pecl-imagick-im7	php73	php73-pecl-imagick-im7-3.4.4
2020-06-03 05:08:37+02	2020-06-03 05:09:05+02	www	libwpe	\N	libwpe-1.4.0.1
2020-06-03 05:05:15+02	2020-06-03 05:09:54+02	devel	doxygen	\N	doxygen-1.8.15_3,2
2020-06-03 05:09:55+02	2020-06-03 05:10:30+02	x11-toolkits	pangox-compat	\N	pangox-compat-0.0.2_2
2020-06-03 05:09:06+02	2020-06-03 05:10:32+02	x11	mate-desktop	\N	mate-desktop-1.22.2
2020-06-03 05:10:33+02	2020-06-03 05:11:34+02	devel	kf5-kconfig	\N	kf5-kconfig-5.70.0
2020-06-03 05:10:31+02	2020-06-03 05:11:35+02	audio	libcanberra-gtk3	\N	libcanberra-gtk3-0.30_5
2020-06-03 05:11:34+02	2020-06-03 05:12:56+02	graphics	gstreamer1-plugins-gl	\N	gstreamer1-plugins-gl-1.16.2
2020-06-03 05:11:35+02	2020-06-03 05:13:08+02	net-mgmt	icingaweb2	php73	icingaweb2-php73-2.7.3_3
2020-06-03 05:12:57+02	2020-06-03 05:13:31+02	www	wpebackend-fdo	\N	wpebackend-fdo-1.4.1
2020-06-03 05:13:32+02	2020-06-03 05:14:57+02	devel	kf5-ki18n	\N	kf5-ki18n-5.70.0
2020-06-03 05:13:09+02	2020-06-03 05:14:59+02	x11-toolkits	wxgtk28-common	\N	wx28-gtk2-common-2.8.12_8
2020-06-03 05:14:57+02	2020-06-03 05:16:13+02	devel	qscintilla2-qt5	\N	qscintilla2-qt5-2.11.4
2020-06-03 05:16:13+02	2020-06-03 05:19:55+02	x11-toolkits	vte3	\N	vte3-0.52.2_3
2020-06-03 05:19:58+02	2020-06-03 05:21:30+02	devel	kf5-kdoctools	\N	kf5-kdoctools-5.70.0
2020-06-03 05:21:31+02	2020-06-03 05:22:55+02	devel	py-qt5-core	py37	py37-qt5-core-5.13.1_1
2020-06-03 05:22:56+02	2020-06-03 05:23:55+02	devel	qt5-uitools	\N	qt5-uitools-5.14.2
2020-06-03 05:15:00+02	2020-06-03 05:24:46+02	www	webkit2-gtk3	\N	webkit2-gtk3-2.28.1_1
2020-06-03 05:23:56+02	2020-06-03 05:25:02+02	x11	kf5-kwindowsystem	\N	kf5-kwindowsystem-5.70.0
2020-06-03 05:25:02+02	2020-06-03 05:27:56+02	x11-toolkits	wxgtk28	\N	wx28-gtk2-2.8.12_8
2020-06-03 05:24:47+02	2020-06-03 05:28:03+02	x11-servers	xorg-server	\N	xorg-server-1.20.8_1,1
2020-06-03 05:27:56+02	2020-06-03 05:30:47+02	devel	sdl20	\N	sdl2-2.0.10_1
2020-06-03 05:28:03+02	2020-06-03 05:31:03+02	graphics	poppler-glib	\N	poppler-glib-0.89.0_1
2020-06-03 05:31:04+02	2020-06-03 05:31:50+02	devel	kf5-kcrash	\N	kf5-kcrash-5.70.0
2020-06-03 05:30:47+02	2020-06-03 05:31:51+02	x11-toolkits	kf5-kwidgetsaddons	\N	kf5-kwidgetsaddons-5.70.0
2020-06-03 05:31:51+02	2020-06-03 05:32:31+02	devel	kf5-kdbusaddons	\N	kf5-kdbusaddons-5.70.0
2020-06-03 05:31:52+02	2020-06-03 05:32:34+02	graphics	qt5-imageformats	\N	qt5-imageformats-5.14.2
2020-06-03 05:32:32+02	2020-06-03 05:33:05+02	multimedia	smpeg	\N	smpeg-0.4.4_15
2020-06-03 05:32:34+02	2020-06-03 05:33:30+02	net	avahi-gtk3	\N	avahi-gtk3-0.7_1
2020-06-03 05:33:05+02	2020-06-03 05:33:49+02	sysutils	polkit-qt	\N	polkit-qt-1-0.113.0_8
2020-06-03 05:33:31+02	2020-06-03 05:34:11+02	www	qt5-webchannel	\N	qt5-webchannel-5.14.2
2020-06-03 05:33:49+02	2020-06-03 05:34:35+02	devel	kf5-kauth	\N	kf5-kauth-5.70.0
2020-06-03 05:34:12+02	2020-06-03 05:35:08+02	devel	kf5-kservice	\N	kf5-kservice-5.70.0
2020-06-03 05:34:36+02	2020-06-03 05:36:07+02	devel	qt5-location	\N	qt5-location-5.14.2
2020-06-03 05:35:08+02	2020-06-03 05:36:08+02	net	remmina	\N	remmina-1.3.9
2020-06-03 05:36:09+02	2020-06-03 05:36:51+02	x11-toolkits	kf5-kguiaddons	\N	kf5-kguiaddons-5.70.0
2020-06-03 05:36:08+02	2020-06-03 05:37:29+02	security	gcr	\N	gcr-3.28.0
2020-06-03 05:36:52+02	2020-06-03 05:37:39+02	accessibility	qt5-speech	\N	qt5-speech-5.14.2
2020-06-03 05:37:30+02	2020-06-03 05:38:23+02	x11-toolkits	kf5-kconfigwidgets	\N	kf5-kconfigwidgets-5.70.0
2020-06-03 05:37:40+02	2020-06-03 05:38:24+02	x11-toolkits	kf5-kitemviews	\N	kf5-kitemviews-5.70.0
2020-06-02 22:21:37+02	2020-06-03 05:38:35+02	devel	llvm-devel	\N	llvm-devel-11.0.d20200327
2020-06-03 05:38:35+02	2020-06-03 05:38:58+02	graphics	cairomm	\N	cairomm-1.12.2_4
2020-06-03 05:38:24+02	2020-06-03 05:39:34+02	x11-toolkits	libwnck3	\N	libwnck3-3.24.1
2020-06-03 05:38:58+02	2020-06-03 05:39:42+02	graphics	freeglut	\N	freeglut-3.0.0_2
2020-06-03 05:39:35+02	2020-06-03 05:39:54+02	graphics	sdl_image	\N	sdl_image-1.2.12_12
2020-06-03 05:39:43+02	2020-06-03 05:40:20+02	multimedia	gstreamer1-libav	\N	gstreamer1-libav-1.16.2
2020-06-03 05:39:55+02	2020-06-03 05:40:46+02	net	py-qt5-network	py37	py37-qt5-network-5.13.1_1
2020-06-03 05:38:25+02	2020-06-03 05:40:59+02	x11-toolkits	py-qt5-gui	py37	py37-qt5-gui-5.13.1_1
2020-06-03 05:40:21+02	2020-06-03 05:41:21+02	x11-themes	kf5-kiconthemes	\N	kf5-kiconthemes-5.70.0
2020-06-03 05:41:00+02	2020-06-03 05:41:37+02	x11-toolkits	gstreamer1-plugins-pango	\N	gstreamer1-plugins-pango-1.16.2
2020-06-03 05:41:38+02	2020-06-03 05:41:52+02	graphics	py-cairo	py27	py27-cairo-1.18.1_1
2020-06-03 05:41:21+02	2020-06-03 05:42:11+02	comms	qt5-sensors	\N	qt5-sensors-5.14.2
2020-06-03 05:40:46+02	2020-06-03 05:42:26+02	x11-themes	mate-icon-theme	\N	mate-icon-theme-1.22.2
2020-06-03 05:42:11+02	2020-06-03 05:42:40+02	multimedia	gstreamer1-plugins-core	\N	gstreamer1-plugins-core-1.16
2020-06-03 05:42:41+02	2020-06-03 05:43:25+02	textproc	kf5-sonnet	\N	kf5-sonnet-5.70.0
2020-06-03 05:41:53+02	2020-06-03 05:43:26+02	math	gnuplot	\N	gnuplot-5.2.8_1
2020-06-03 05:43:27+02	2020-06-03 05:44:02+02	x11-toolkits	pangomm	\N	pangomm-2.40.1_4
2020-06-03 05:43:26+02	2020-06-03 05:44:10+02	x11-toolkits	kf5-kcompletion	\N	kf5-kcompletion-5.70.0
2020-06-03 05:44:11+02	2020-06-03 05:44:30+02	audio	sdl_mixer	\N	sdl_mixer-1.2.12_12
2020-06-03 05:44:31+02	2020-06-03 05:45:22+02	devel	libdbusmenu-qt	\N	libdbusmenu-qt5-0.9.3.160420160218_10
2020-06-03 05:44:02+02	2020-06-03 05:45:27+02	x11-toolkits	py-qt5-widgets	py37	py37-qt5-widgets-5.13.1_1
2020-06-03 05:45:23+02	2020-06-03 05:46:08+02	multimedia	phonon	\N	phonon-qt5-4.11.1
2020-06-03 05:45:27+02	2020-06-03 05:46:40+02	multimedia	qt5-multimedia	\N	qt5-multimedia-5.14.2
2020-06-03 05:42:26+02	2020-06-03 05:47:01+02	net	libmateweather	\N	libmateweather-1.22.1
2020-06-03 05:46:41+02	2020-06-03 05:47:39+02	x11	kf5-kglobalaccel	\N	kf5-kglobalaccel-5.70.0
2020-06-03 05:47:39+02	2020-06-03 05:48:53+02	x11-toolkits	kf5-attica	\N	kf5-attica-5.70.0
2020-06-03 05:47:02+02	2020-06-03 05:49:50+02	x11	mate-panel	\N	mate-panel-1.22.2
2020-06-03 05:48:55+02	2020-06-03 05:50:42+02	x11-toolkits	kf5-ktextwidgets	\N	kf5-ktextwidgets-5.70.0
2020-06-03 05:49:51+02	2020-06-03 05:51:29+02	devel	kf5-knotifications	\N	kf5-knotifications-5.70.0
2020-06-03 05:50:46+02	2020-06-03 05:51:41+02	devel	qt5-assistant	\N	qt5-assistant-5.14.2
2020-06-03 05:46:09+02	2020-06-03 05:52:11+02	www	qt5-webkit	\N	qt5-webkit-5.212.0.a4_2
2020-06-03 05:51:42+02	2020-06-03 05:52:33+02	security	pinentry-gnome3	\N	pinentry-gnome3-1.1.0
2020-06-03 05:52:12+02	2020-06-03 05:53:10+02	security	pinentry-qt5	\N	pinentry-qt5-1.1.0_1
2020-06-03 05:53:11+02	2020-06-03 05:53:25+02	x11	xdriinfo	\N	xdriinfo-1.0.6_3
2020-06-03 05:51:29+02	2020-06-03 05:53:43+02	graphics	poppler-utils	\N	poppler-utils-0.89.0_1
2020-06-03 05:52:34+02	2020-06-03 05:53:48+02	x11	libmatekbd	\N	libmatekbd-1.22.0
2020-06-03 05:53:25+02	2020-06-03 05:54:19+02	x11-drivers	xf86-input-evdev	\N	xf86-input-evdev-2.10.6_5
2020-06-03 05:53:44+02	2020-06-03 05:54:29+02	x11-drivers	xf86-input-keyboard	\N	xf86-input-keyboard-1.9.0_4
2020-06-03 05:53:49+02	2020-06-03 05:54:35+02	x11-drivers	xf86-input-libinput	\N	xf86-input-libinput-0.30.0
2020-06-03 05:54:20+02	2020-06-03 05:55:04+02	x11-drivers	xf86-input-mouse	\N	xf86-input-mouse-1.9.3_3
2020-06-03 05:54:29+02	2020-06-03 05:55:20+02	x11-drivers	xf86-video-amdgpu	\N	xf86-video-amdgpu-19.1.0_1
2020-06-03 05:55:05+02	2020-06-03 05:55:51+02	x11-drivers	xf86-video-scfb	\N	xf86-video-scfb-0.0.5_2
2020-06-03 05:55:21+02	2020-06-03 05:56:20+02	x11-drivers	xf86-video-vesa	\N	xf86-video-vesa-2.4.0_3
2020-06-03 05:54:36+02	2020-06-03 05:56:28+02	x11-drivers	xf86-video-intel	\N	xf86-video-intel-2.99.917.20181203_1
2020-06-03 05:56:29+02	2020-06-03 05:57:19+02	x11-toolkits	libunique3	\N	libunique-3.0.2_3
2020-06-03 05:56:21+02	2020-06-03 05:57:34+02	x11-toolkits	kf5-kxmlgui	\N	kf5-kxmlgui-5.70.0
2020-06-03 05:55:53+02	2020-06-03 05:57:37+02	x11-fm	caja	\N	caja-1.22.3
2020-06-03 05:57:19+02	2020-06-03 05:58:15+02	x11-toolkits	wxgtk28-contrib-common	\N	wx28-gtk2-contrib-common-2.8.12_8
2020-06-03 05:57:38+02	2020-06-03 05:58:28+02	devel	kf5-solid	\N	kf5-solid-5.70.0
2020-06-03 05:57:34+02	2020-06-03 05:58:37+02	devel	kf5-kbookmarks	\N	kf5-kbookmarks-5.70.0
2020-06-03 05:58:15+02	2020-06-03 05:58:54+02	devel	libglade2	\N	libglade2-2.6.4_10
2020-06-03 05:58:29+02	2020-06-03 05:59:54+02	devel	qt5-designer	\N	qt5-designer-5.14.2
2020-06-03 05:58:37+02	2020-06-03 05:59:57+02	graphics	gegl	\N	gegl-0.4.22_6
2020-06-03 05:59:58+02	2020-06-03 06:00:16+02	net	sdl_net	\N	sdl_net-1.2.8_3
2020-06-03 06:00:17+02	2020-06-03 06:01:04+02	net	uhttpmock	\N	uhttpmock-0.5.1_1
2020-06-03 05:59:54+02	2020-06-03 06:01:14+02	net	gnome-online-accounts	\N	gnome-online-accounts-3.28.0_2
2020-06-03 06:01:05+02	2020-06-03 06:01:49+02	print	py-qt5-printsupport	py37	py37-qt5-printsupport-5.13.1_1
2020-06-03 06:01:15+02	2020-06-03 06:02:36+02	security	gnome-keyring	\N	gnome-keyring-3.28.2_2
2020-06-03 05:58:54+02	2020-06-03 06:03:00+02	graphics	tesseract	\N	tesseract-4.1.1_2
2020-06-03 06:01:50+02	2020-06-03 06:03:12+02	sysutils	kf5-kwallet	\N	kf5-kwallet-5.70.0
2020-06-03 06:02:36+02	2020-06-03 06:03:24+02	sysutils	policykit-gnome	\N	policykit-gnome-0.9.2_9
2020-06-03 06:03:13+02	2020-06-03 06:03:33+02	x11	xorg-apps	\N	xorg-apps-7.7_4
2020-06-03 06:03:00+02	2020-06-03 06:03:51+02	x11	kf5-kded	\N	kf5-kded-5.70.0_1
2020-06-03 06:03:25+02	2020-06-03 06:04:23+02	x11	zenity	\N	zenity-3.28.1
2020-06-03 06:03:33+02	2020-06-03 06:04:24+02	x11-drivers	xorg-drivers	\N	xorg-drivers-7.7_6
2020-06-03 06:03:51+02	2020-06-03 06:05:11+02	x11-servers	xorg-vfbserver	\N	xorg-vfbserver-1.20.8_1,1
2020-06-03 06:04:24+02	2020-06-03 06:05:14+02	x11-toolkits	kf5-kjobwidgets	\N	kf5-kjobwidgets-5.70.0
2020-06-03 06:04:23+02	2020-06-03 06:05:49+02	x11-toolkits	gtkmm30	\N	gtkmm30-3.22.2
2020-06-03 06:05:12+02	2020-06-03 06:06:19+02	x11-toolkits	wxgtk28-contrib	\N	wx28-gtk2-contrib-2.8.12_8
2020-06-03 06:05:50+02	2020-06-03 06:07:24+02	devel	libgdata	\N	libgdata-0.17.9
2020-06-03 06:06:20+02	2020-06-03 06:07:48+02	devel	libpeas	\N	libpeas-1.22.0
2020-06-03 06:07:25+02	2020-06-03 06:08:11+02	devel	py-gobject	py27	py27-gobject-2.28.6_8
2020-06-03 06:05:15+02	2020-06-03 06:08:23+02	devel	kf5-kio	\N	kf5-kio-5.70.1_1
2020-06-03 06:08:11+02	2020-06-03 06:08:30+02	graphics	fpc-cairo	\N	fpc-cairo-3.0.4_4
2020-06-03 06:08:31+02	2020-06-03 06:10:33+02	graphics	glew	\N	glew-2.1.0
2020-06-03 06:07:50+02	2020-06-03 06:12:15+02	editors	emacs	full	emacs-26.3_4,3
2020-06-03 06:10:33+02	2020-06-03 06:13:32+02	graphics	movit	\N	movit-1.6.2_2
2020-06-03 06:13:33+02	2020-06-03 06:14:02+02	graphics	sdl2_image	\N	sdl2_image-2.0.5
2020-06-03 06:14:03+02	2020-06-03 06:14:15+02	graphics	sdl_ttf	\N	sdl_ttf-2.0.11_7
2020-06-03 06:08:23+02	2020-06-03 06:15:03+02	graphics	gimp-app	\N	gimp-app-2.10.18_7,1
2020-06-03 06:14:15+02	2020-06-03 06:15:07+02	net-mgmt	icingaweb2-module-ipl	php73	icingaweb2-module-ipl-php73-0.4.0_1
2020-06-03 06:15:04+02	2020-06-03 06:15:42+02	print	cups-filters	\N	cups-filters-1.27.4_2
2020-06-03 06:12:16+02	2020-06-03 06:16:18+02	graphics	opencv	\N	opencv-3.4.1_31
2020-06-03 06:15:43+02	2020-06-03 06:16:27+02	sysutils	gnome-mount	\N	gnome-mount-0.8_13
2020-06-03 06:16:19+02	2020-06-03 06:17:32+02	sysutils	mate-settings-daemon	\N	mate-settings-daemon-1.22.1
2020-06-03 06:15:11+02	2020-06-03 06:23:48+02	print	tex-luatex	\N	tex-luatex-0.80.0_18
2020-06-03 06:23:49+02	2020-06-03 06:26:50+02	x11	mate-session-manager	\N	mate-session-manager-1.22.3
2020-06-03 06:26:51+02	2020-06-03 06:31:19+02	x11	xorg	\N	xorg-7.7_3
2020-06-03 06:31:23+02	2020-06-03 06:33:11+02	x11	yelp	\N	yelp-3.28.1_2
2020-06-03 06:33:12+02	2020-06-03 06:34:31+02	x11-themes	gtk-engines2	\N	gtk-engines2-2.20.2_3
2020-06-03 06:34:32+02	2020-06-03 06:35:40+02	x11-themes	gtk-murrine-engine	\N	gtk-murrine-engine-0.98.2_5
2020-06-03 06:17:32+02	2020-06-03 06:35:51+02	www	qt5-webengine	\N	qt5-webengine-5.14.2
2020-06-03 06:35:53+02	2020-06-03 06:37:11+02	x11-toolkits	qt5-quickcontrols	\N	qt5-quickcontrols-5.14.2
2020-06-03 06:35:40+02	2020-06-03 06:37:25+02	x11-toolkits	gtksourceview3	\N	gtksourceview3-3.24.8_3
2020-06-03 06:37:30+02	2020-06-03 06:38:12+02	audio	sdl_sound	\N	sdl_sound-1.0.3_14
2020-06-03 06:37:12+02	2020-06-03 06:39:00+02	x11-wm	marco	\N	marco-1.22.4
2020-06-03 06:39:01+02	2020-06-03 06:40:22+02	deskutils	mate-notification-daemon	\N	mate-notification-daemon-1.22.1
2020-06-03 06:38:13+02	2020-06-03 06:40:29+02	deskutils	gucharmap	\N	gucharmap-11.0.1_1
2020-06-03 06:40:30+02	2020-06-03 06:42:22+02	devel	gvfs	\N	gvfs-1.30.4_3
2020-06-03 06:42:25+02	2020-06-03 06:43:11+02	devel	py-gobject3	py27	py27-gobject3-3.28.3
2020-06-03 06:40:23+02	2020-06-03 06:43:32+02	deskutils	spice-gtk	\N	spice-gtk-0.37
2020-06-03 06:43:36+02	2020-06-03 06:44:30+02	graphics	fpc-opengl	\N	fpc-opengl-3.0.4_4
2020-06-03 06:43:12+02	2020-06-03 06:46:29+02	graphics	djvulibre	\N	djvulibre-3.5.27_2
2020-06-03 06:16:28+02	2020-06-03 06:47:42+02	www	chromium	\N	chromium-81.0.4044.138_1
2020-06-03 06:44:31+02	2020-06-03 06:47:53+02	graphics	frei0r-plugins-opencv	\N	frei0r-plugins-opencv-1.6.1_1
2020-06-03 06:46:30+02	2020-06-03 06:48:02+02	graphics	libgltf	\N	libgltf-0.0.2_21
2020-06-03 06:47:46+02	2020-06-03 06:48:16+02	graphics	libgxps	\N	libgxps-0.3.1
2020-06-03 06:48:03+02	2020-06-03 06:48:48+02	graphics	py-pygraphviz	py37	py37-pygraphviz-1.5
2020-06-03 06:48:16+02	2020-06-03 06:50:23+02	graphics	py-qt5-svg	py37	py37-qt5-svg-5.13.1_1
2020-06-03 06:50:26+02	2020-06-03 06:52:06+02	graphics	qt5-graphicaleffects	\N	qt5-graphicaleffects-5.14.2
2020-06-03 06:48:52+02	2020-06-03 06:53:03+02	graphics	qt5-3d	\N	qt5-3d-5.14.2
2020-06-03 06:52:08+02	2020-06-03 06:53:51+02	lang	py-qt5-qml	py37	py37-qt5-qml-5.13.1_1
2020-06-03 06:47:54+02	2020-06-03 06:55:55+02	graphics	poppler-qt5	\N	poppler-qt5-0.89.0_1
2020-06-03 06:55:59+02	2020-06-03 07:00:27+02	multimedia	mlt	\N	mlt-6.20.0
2020-06-03 07:00:28+02	2020-06-03 07:02:23+02	net	remmina-plugin-exec	\N	remmina-plugin-exec-1.3.9
2020-06-03 07:02:25+02	2020-06-03 07:04:03+02	net-mgmt	icingaweb2-module-pdfexport	php73	icingaweb2-module-pdfexport-php73-0.9.0_2
2020-06-03 06:53:54+02	2020-06-03 07:04:21+02	misc	mate-user-guide	\N	mate-user-guide-1.22.3
2020-06-03 07:04:04+02	2020-06-03 07:04:50+02	net-mgmt	icingaweb2-module-reactbundle	php73	icingaweb2-module-reactbundle-php73-0.7.0_1
2020-06-03 07:04:51+02	2020-06-03 07:05:10+02	print	libspectre	\N	libspectre-0.2.8
2020-06-03 07:04:21+02	2020-06-03 07:07:46+02	print	gutenprint	\N	gutenprint-5.3.3
2020-06-03 07:05:11+02	2020-06-03 07:11:01+02	print	tex-dvipdfmx	\N	tex-dvipdfmx-20150315_1
2020-06-03 06:53:03+02	2020-06-03 07:12:15+02	math	R	\N	R-4.0.0_1
2020-06-03 07:11:01+02	2020-06-03 07:12:52+02	sysutils	mate-control-center	\N	mate-control-center-1.22.2
2020-06-03 07:12:16+02	2020-06-03 07:13:13+02	sysutils	mate-polkit	\N	mate-polkit-1.22.0
2020-06-03 07:07:47+02	2020-06-03 07:13:14+02	print	tex-xmltex	\N	tex-xmltex-1.9_2
2020-06-03 07:12:53+02	2020-06-03 07:13:47+02	www	py-qt5-webkit	py37	py37-qt5-webkit-5.13.1_1
2020-06-03 07:13:14+02	2020-06-03 07:14:13+02	x11-themes	mate-themes	\N	mate-themes-3.22.14
2020-06-03 07:13:48+02	2020-06-03 07:14:38+02	x11-toolkits	fpc-gtk2	\N	fpc-gtk2-3.0.4_4
2020-06-03 07:13:13+02	2020-06-03 07:14:39+02	x11-servers	xephyr	\N	xephyr-1.20.8_1,1
2020-06-03 07:14:13+02	2020-06-03 07:15:08+02	x11-toolkits	py-gtk2	py27	py27-gtk2-2.24.0_5
2020-06-03 07:15:08+02	2020-06-03 07:15:41+02	audio	faudio	\N	FAudio-20.05
2020-06-03 07:14:39+02	2020-06-03 07:16:34+02	archivers	engrampa	\N	engrampa-1.22.2
2020-06-03 07:15:41+02	2020-06-03 07:17:20+02	audio	mate-media	\N	mate-media-1.22.2
2020-06-03 07:16:35+02	2020-06-03 07:17:58+02	databases	rrdtool	\N	rrdtool-1.7.2_2
2020-06-03 07:17:21+02	2020-06-03 07:19:03+02	deskutils	caja-extensions	\N	caja-extensions-1.22.1
2020-06-03 07:14:39+02	2020-06-03 07:20:04+02	x11-toolkits	wxgtk30	\N	wx30-gtk3-3.0.5.1
2020-06-03 07:19:04+02	2020-06-03 07:20:16+02	deskutils	mozo	\N	mozo-1.22.2
2020-06-03 07:20:18+02	2020-06-03 07:20:36+02	devel	flatzebra	\N	flatzebra-0.1.7
2020-06-03 07:17:58+02	2020-06-03 07:20:55+02	deskutils	mate-utils	\N	mate-utils-1.22.2
2020-06-03 07:20:05+02	2020-06-03 07:20:58+02	devel	R-cran-rstudioapi	\N	R-cran-rstudioapi-0.11_1
2020-06-03 07:20:36+02	2020-06-03 07:21:50+02	devel	ode	\N	ode-0.13_4,1
2020-06-03 07:20:56+02	2020-06-03 07:21:55+02	devel	py-game	py37	py37-game-1.9.6_1
2020-06-03 07:21:55+02	2020-06-03 07:24:35+02	editors	pluma	\N	pluma-1.22.2
2020-06-03 07:24:36+02	2020-06-03 07:27:36+02	emulators	dosbox	\N	dosbox-0.74.3_1
2020-06-03 07:27:36+02	2020-06-03 07:33:00+02	graphics	atril	\N	atril-1.22.3_6
2020-06-03 07:33:02+02	2020-06-03 07:35:35+02	graphics	eom	\N	eom-1.22.2
2020-06-03 07:35:36+02	2020-06-03 07:37:51+02	graphics	frei0r-plugins	\N	frei0r-plugins-1.6.1_1
2020-06-03 07:37:51+02	2020-06-03 07:38:13+02	graphics	ftgl	\N	ftgl-2.1.3.r5_6,1
2020-06-03 07:38:13+02	2020-06-03 07:38:32+02	graphics	gle	\N	gle-3.1.0_7
2020-06-03 07:38:32+02	2020-06-03 07:38:48+02	graphics	gltt	\N	gltt-2.5.2_14
2020-06-03 07:38:48+02	2020-06-03 07:39:31+02	graphics	goocanvas2	\N	goocanvas2-2.0.4
2020-06-03 07:39:32+02	2020-06-03 07:39:54+02	graphics	libplacebo	\N	libplacebo-2.43.1
2020-06-03 07:39:54+02	2020-06-03 07:41:23+02	graphics	py-gimp	\N	py27-gimp-2.10.18_7
2020-06-03 07:41:24+02	2020-06-03 07:41:55+02	graphics	sdl_gfx	\N	sdl_gfx-2.0.26
2020-06-03 07:21:51+02	2020-06-03 07:45:48+02	editors	libreoffice	\N	libreoffice-6.3.6_1
2020-06-03 07:20:59+02	2020-06-03 07:47:10+02	editors	lazarus	\N	lazarus-gtk2-2.0.8
2020-06-03 07:47:11+02	2020-06-03 07:48:47+02	math	mate-calc	\N	mate-calc-1.22.2
2020-06-03 07:48:48+02	2020-06-03 07:49:52+02	math	py-networkx	py37	py37-networkx-2.1,1
2020-06-03 07:41:55+02	2020-06-03 07:50:26+02	japanese	tex-ptex	\N	ja-tex-ptex-3.6_1
2020-06-03 07:49:53+02	2020-06-03 07:51:20+02	multimedia	libopenshot	py37	py37-libopenshot-0.2.5.4
2020-06-03 07:51:21+02	2020-06-03 07:52:32+02	multimedia	webvfx-qt5	\N	webvfx-qt5-0.4.4.20160823_12
2020-06-03 07:52:32+02	2020-06-03 07:53:18+02	net	remmina-plugin-nx	\N	remmina-plugin-nx-1.3.9
2020-06-03 07:53:19+02	2020-06-03 07:54:34+02	net	remmina-plugin-rdp	\N	remmina-plugin-rdp-1.3.9
2020-06-03 07:54:35+02	2020-06-03 07:55:22+02	net	remmina-plugin-secret	\N	remmina-plugin-secret-1.3.9
2020-06-03 07:50:26+02	2020-06-03 07:55:59+02	multimedia	vlc	\N	vlc-3.0.10_4,4
2020-06-03 07:55:23+02	2020-06-03 07:56:20+02	net	remmina-plugin-spice	\N	remmina-plugin-spice-1.3.9
2020-06-03 07:56:00+02	2020-06-03 07:56:45+02	net	remmina-plugin-st	\N	remmina-plugin-st-1.3.9
2020-06-03 07:56:20+02	2020-06-03 07:57:07+02	net	remmina-plugin-vnc	\N	remmina-plugin-vnc-1.3.9
2020-06-03 07:56:46+02	2020-06-03 07:57:42+02	net	remmina-plugin-www	\N	remmina-plugin-www-1.3.9
2020-06-03 07:57:08+02	2020-06-03 07:58:32+02	net	remmina-plugin-xdmcp	\N	remmina-plugin-xdmcp-1.3.9
2020-06-03 07:57:42+02	2020-06-03 07:58:40+02	net-mgmt	icingaweb2-module-director	php73	icingaweb2-module-director-php73-1.6.2_2
2020-06-03 07:58:32+02	2020-06-03 07:59:52+02	net-mgmt	icingaweb2-module-reporting	php73	icingaweb2-module-reporting-php73-0.9.2_1
2020-06-03 07:58:40+02	2020-06-03 07:59:53+02	print	gimp-gutenprint	\N	gimp-gutenprint-5.3.3
2020-06-03 07:45:49+02	2020-06-03 08:02:24+02	lang	erlang	\N	erlang-21.3.8.16,4
2020-06-03 08:02:25+02	2020-06-03 08:04:12+02	print	tex-xdvik	\N	tex-xdvik-22.87_4
2020-06-03 07:59:54+02	2020-06-03 08:05:19+02	print	tex-jadetex	\N	tex-jadetex-3.13_3
2020-06-03 07:59:52+02	2020-06-03 08:05:36+02	print	tex-aleph	\N	tex-aleph-1.15.2.1.r.4_4
2020-06-03 08:05:37+02	2020-06-03 08:07:09+02	sysutils	mate-power-manager	\N	mate-power-manager-1.22.2
2020-06-03 08:07:10+02	2020-06-03 08:08:38+02	sysutils	mate-system-monitor	\N	mate-system-monitor-1.22.2
2020-06-03 08:08:39+02	2020-06-03 08:09:32+02	textproc	gtkspell3	\N	gtkspell3-3.0.10
2020-06-03 08:09:32+02	2020-06-03 08:10:09+02	www	py-qt5-webchannel	py37	py37-qt5-webchannel-5.13.1_1
2020-06-03 08:04:13+02	2020-06-03 08:10:31+02	print	tex-xetex	\N	tex-xetex-0.99992_34
2020-06-03 08:10:10+02	2020-06-03 08:11:13+02	www	py-qt5-webkitwidgets	py37	py37-qt5-webkitwidgets-5.13.1_1
2020-06-03 08:11:13+02	2020-06-03 08:12:29+02	x11	mate-base	\N	mate-base-1.22.2
2020-06-03 08:12:29+02	2020-06-03 08:13:57+02	x11	mate-screensaver	\N	mate-screensaver-1.22.2
2020-06-03 08:10:57+02	2020-06-03 08:15:30+02	x11	mate-applets	\N	mate-applets-1.22.2
2020-06-03 08:13:58+02	2020-06-03 08:15:37+02	x11	mate-terminal	\N	mate-terminal-1.22.1
2020-06-03 08:15:31+02	2020-06-03 08:15:53+02	x11-toolkits	fltk	\N	fltk-1.3.5
2020-06-03 08:15:54+02	2020-06-03 08:16:28+02	x11-toolkits	gtkglarea2	\N	gtkglarea-2.0.1_10
2020-06-03 08:15:38+02	2020-06-03 08:16:34+02	x11-toolkits	gdl	\N	gdl-3.28.0
2020-06-03 08:16:29+02	2020-06-03 08:17:42+02	x11-toolkits	gtkmm24	\N	gtkmm24-2.24.5_1
2020-06-03 08:17:42+02	2020-06-03 08:18:50+02	deskutils	sysctlview	\N	sysctlview-2.0
2020-06-03 08:16:34+02	2020-06-03 08:25:30+02	astro	stellarium	\N	stellarium-0.20.1
2020-06-03 08:25:31+02	2020-06-03 08:27:13+02	devel	distel	full	distel-emacs26-4.1.1_4
2020-06-03 08:05:20+02	2020-06-03 08:29:01+02	print	texlive-docs	\N	texlive-docs-20150523
2020-06-03 08:18:51+02	2020-06-03 08:58:08+02	devel	RStudio	\N	RStudio-1.3.959
2020-06-03 08:58:14+02	2020-06-03 09:06:22+02	devel	subversion	\N	subversion-1.14.0
2020-06-03 09:06:23+02	2020-06-03 09:06:54+02	devel	tig	\N	tig-2.5.1
2020-06-03 08:27:13+02	2020-06-03 09:10:32+02	devel	electron7	\N	electron7-7.3.0_1
2020-06-03 09:10:36+02	2020-06-03 09:16:45+02	editors	libreoffice-nb	\N	nb-libreoffice-6.3.6
2020-06-03 09:06:54+02	2020-06-03 09:19:36+02	editors	codelite	\N	codelite-12.0_4
2020-06-03 09:16:48+02	2020-06-03 09:20:07+02	editors	vim	\N	vim-8.2.0869
2020-06-03 09:20:08+02	2020-06-03 09:32:12+02	emulators	wine	\N	wine-5.0_1,1
2020-06-03 09:19:37+02	2020-06-03 09:36:23+02	emulators	qemu	\N	qemu-4.1.1_3
2020-06-03 09:36:26+02	2020-06-03 09:36:55+02	games	KnightCap	\N	knightcap-3.6_8
2020-06-03 09:36:59+02	2020-06-03 09:38:24+02	games	afternoonstalker	\N	afternoonstalker-1.1.6
2020-06-03 09:38:27+02	2020-06-03 09:43:53+02	games	alienarena	\N	alienarena-2013.766_9
2020-06-03 09:43:56+02	2020-06-03 09:46:52+02	games	alienblaster	\N	alienblaster-1.1.0_7
2020-06-03 09:32:13+02	2020-06-03 09:49:07+02	ftp	filezilla	\N	filezilla-3.40.0_5
2020-06-03 09:49:09+02	2020-06-03 09:50:35+02	games	maelstrom	\N	maelstrom-3.0.6_14
2020-06-03 09:50:38+02	2020-06-03 09:52:34+02	games	monsterz	\N	monsterz-0.7.1_15
2020-06-03 09:52:39+02	2020-06-03 09:53:57+02	games	nuclearchess	\N	nuclearchess-1.0.0_10
2020-06-03 09:46:53+02	2020-06-03 09:54:29+02	games	battletanks	\N	btanks-0.9.8083_9
2020-06-03 09:53:58+02	2020-06-03 09:54:43+02	games	numptyphysics	\N	numptyphysics-0.3.r20090104_11
2020-06-03 09:54:29+02	2020-06-03 09:55:29+02	games	xblast	\N	xblast-2.10.4_17
2020-06-03 09:54:44+02	2020-06-03 09:55:55+02	games	xboard	\N	xboard-4.9.1_1
2020-06-03 09:55:29+02	2020-06-03 09:56:29+02	games	xcowsay	\N	xcowsay-1.5
2020-06-03 09:55:55+02	2020-06-03 10:03:16+02	graphics	dia	\N	dia-0.97.3_1,1
2020-06-03 10:03:20+02	2020-06-03 10:06:19+02	graphics	gimp	\N	gimp-2.10.18,2
2020-06-03 09:56:29+02	2020-06-03 10:08:22+02	graphics	drm-current-kmod	\N	drm-current-kmod-4.16.g20200320
2020-06-03 10:06:21+02	2020-06-03 10:12:17+02	graphics	inkscape	\N	inkscape-1.0_2
2020-06-03 10:12:19+02	2020-06-03 10:14:52+02	graphics	xpdf	\N	xpdf-4.02,1
2020-06-03 10:14:53+02	2020-06-03 10:19:52+02	irc	irssi	\N	irssi-1.2.2,1
2020-06-03 10:19:55+02	2020-06-03 10:21:28+02	lang	csharp-mode.el	full	csharp-mode.el-emacs26-0.9.2_1
2020-06-03 10:08:23+02	2020-06-03 10:24:03+02	graphics	krita	\N	krita-4.2.9_4
2020-06-03 10:21:29+02	2020-06-03 10:57:55+02	lang	erlang-runtime22	\N	erlang-runtime22-22.3.4.1
2020-06-03 10:57:56+02	2020-06-03 10:58:45+02	lang	julia	\N	julia-1.0.3_3
2020-06-03 10:58:46+02	2020-06-03 11:05:14+02	mail	alpine	\N	alpine-2.22
2020-06-03 11:05:15+02	2020-06-03 11:08:43+02	misc	mc	\N	mc-nox11-4.8.24
2020-06-03 11:08:44+02	2020-06-03 11:09:04+02	multimedia	libva-glx	\N	libva-glx-2.7.1
2020-06-03 11:09:04+02	2020-06-03 11:10:15+02	multimedia	libva-intel-driver	\N	libva-intel-driver-2.4.0
2020-06-03 10:24:04+02	2020-06-03 11:10:46+02	lang	erlang-runtime23	\N	erlang-runtime23-23.0.2
2020-06-03 11:10:48+02	2020-06-03 11:12:22+02	multimedia	libva-utils	\N	libva-utils-2.7.1
2020-06-03 11:12:24+02	2020-06-03 11:14:01+02	multimedia	libva-vdpau-driver	\N	libva-vdpau-driver-0.7.4_9
2020-06-03 11:14:05+02	2020-06-03 11:19:56+02	multimedia	obs-studio	\N	obs-studio-25.0.8
2020-06-03 11:19:59+02	2020-06-03 11:26:08+02	multimedia	openshot	py37	openshot-2.5.1.7
2020-06-03 11:26:10+02	2020-06-03 11:33:55+02	multimedia	shotcut	\N	shotcut-20.04.12_1
2020-06-03 11:33:57+02	2020-06-03 11:35:56+02	net	mosh	\N	mosh-1.3.2_12
2020-06-03 11:10:16+02	2020-06-03 11:38:10+02	multimedia	libva-intel-media-driver	\N	libva-intel-media-driver-20.2.p3
2020-06-03 11:35:57+02	2020-06-03 11:38:52+02	net	ntopng	\N	ntopng-4.0.d20200530,1
2020-06-03 11:38:10+02	2020-06-03 11:40:18+02	net	remmina-plugins	\N	remmina-plugins-1.3.9
2020-06-03 11:40:19+02	2020-06-03 11:42:22+02	net-mgmt	etherape	\N	etherape-0.9.18
2020-06-03 11:38:52+02	2020-06-03 11:45:10+02	net	wireshark	\N	wireshark-3.2.4
2020-06-03 11:45:11+02	2020-06-03 11:46:21+02	net-mgmt	icingaweb2-module-businessprocess	php73	icingaweb2-module-businessprocess-php73-2.2.0_2
2020-06-03 11:46:21+02	2020-06-03 11:47:32+02	net-mgmt	icingaweb2-module-cube	php73	icingaweb2-module-cube-php73-1.1.0_1
2020-06-03 11:47:33+02	2020-06-03 11:48:53+02	net-mgmt	icingaweb2-module-elasticsearch	php73	icingaweb2-module-elasticsearch-php73-0.9.0_3
2020-06-03 11:48:54+02	2020-06-03 11:50:06+02	net-mgmt	icingaweb2-module-fileshipper	php73	icingaweb2-module-fileshipper-php73-1.1.0_3
2020-06-03 11:50:07+02	2020-06-03 11:51:16+02	net-mgmt	icingaweb2-module-generictts	php73	icingaweb2-module-generictts-php73-2.0.0_3
2020-06-03 11:51:17+02	2020-06-03 11:52:24+02	net-mgmt	icingaweb2-module-grafana	php73	icingaweb2-module-grafana-php73-1.3.6_1
2020-06-03 11:52:25+02	2020-06-03 11:53:28+02	net-mgmt	icingaweb2-module-graphite	php73	icingaweb2-module-graphite-php73-1.1.0_3
2020-06-03 11:53:28+02	2020-06-03 11:55:53+02	net-mgmt	icingaweb2-module-idoreports	php73	icingaweb2-module-idoreports-php73-0.9.0_2
2020-06-03 11:55:54+02	2020-06-03 11:57:08+02	net-mgmt	icingaweb2-module-map	php73	icingaweb2-module-map-php73-1.1.0_3
2020-06-03 11:57:08+02	2020-06-03 11:58:19+02	net-mgmt	icingaweb2-module-vsphere	php73	icingaweb2-module-vsphere-php73-1.1.0_4
2020-06-03 11:58:20+02	2020-06-03 11:58:40+02	net-mgmt	ipcalc	\N	ipcalc-0.41_3
2020-06-03 11:58:40+02	2020-06-03 11:59:37+02	net-mgmt	ipv6calc	\N	ipv6calc-2.2.0
2020-06-03 11:59:40+02	2020-06-03 12:00:00+02	ports-mgmt	pkg_tree	\N	pkg_tree-1.1_4
2020-06-03 12:00:03+02	2020-06-03 12:02:18+02	ports-mgmt	porttree	\N	porttree-1.1.r114_1
2020-06-03 11:42:23+02	2020-06-03 12:07:07+02	net-mgmt	icinga2	\N	icinga2-2.11.3
2020-06-03 12:02:19+02	2020-06-03 12:07:32+02	print	auctex	full	auctex-emacs26-12.2
2020-06-03 12:07:08+02	2020-06-03 12:07:49+02	print	fig2dev	\N	fig2dev-3.2.7_1
2020-06-03 12:07:50+02	2020-06-03 12:08:36+02	print	gv	\N	gv-3.7.4_5
2020-06-03 12:08:37+02	2020-06-03 12:12:02+02	print	lyx	\N	lyx-2.3.4.2_1
2020-06-03 12:07:33+02	2020-06-03 12:12:04+02	print	fontforge	\N	fontforge-20190801_2
2020-06-03 12:12:07+02	2020-06-03 12:17:40+02	security	klee	\N	klee-2.1
2020-06-03 12:17:41+02	2020-06-03 12:18:54+02	security	openconnect-gui	\N	openconnect-gui-1.4.1_3
2020-06-03 12:18:55+02	2020-06-03 12:19:20+02	security	rkhunter	\N	rkhunter-1.4.6
2020-06-03 12:19:20+02	2020-06-03 12:19:43+02	security	ssl-admin	\N	ssl-admin-1.2.1
2020-06-03 12:12:02+02	2020-06-03 12:19:52+02	print	texlive-full	\N	texlive-full-20150521
2020-06-03 12:19:53+02	2020-06-03 12:20:25+02	sysutils	dtrace-toolkit	\N	dtrace-toolkit-1.0_5
2020-06-03 12:19:44+02	2020-06-03 12:20:59+02	sysutils	cpu-x	\N	cpu-x-4.0.0_1
2020-06-03 12:20:25+02	2020-06-03 12:21:11+02	sysutils	gkrellm2	\N	gkrellm2-2.3.11
2020-06-03 12:21:12+02	2020-06-03 12:21:31+02	sysutils	zfs-stats	\N	zfs-stats-1.3.0
2020-06-03 12:21:01+02	2020-06-03 12:21:34+02	sysutils	parallel	\N	parallel-20200122
2020-06-03 12:21:32+02	2020-06-03 12:21:53+02	textproc	colordiff	\N	colordiff-1.0.19
2020-06-03 12:21:35+02	2020-06-03 12:22:32+02	textproc	py-qt5-xmlpatterns	py37	py37-qt5-xmlpatterns-5.13.1_1
2020-06-03 12:22:33+02	2020-06-03 12:23:08+02	www	mod_evasive	\N	ap24-mod_evasive-1.10.1_1
2020-06-03 12:23:09+02	2020-06-03 12:29:09+02	www	mod_php73	\N	mod_php73-7.3.18
2020-06-03 12:29:10+02	2020-06-03 12:30:10+02	www	mod_security	\N	ap24-mod_security-2.9.3
2020-06-03 12:30:10+02	2020-06-03 12:32:28+02	www	py-qt5-webengine	py37	py37-qt5-webengine-5.12.1_1
2020-06-03 12:32:30+02	2020-06-03 12:33:45+02	x11	cool-retro-term	\N	cool-retro-term-1.1.1_1
2020-06-03 12:33:45+02	2020-06-03 12:38:15+02	x11	mate	\N	mate-1.22.2
2020-06-03 12:38:17+02	2020-06-03 12:39:45+02	x11	xlockmore	\N	xlockmore-5.63
2020-06-03 12:39:47+02	2020-06-03 12:48:26+02	x11	xscreensaver	\N	xscreensaver-5.44
2020-06-03 12:48:28+02	2020-06-03 13:00:32+02	x11-fm	doublecmd	gtk2	doublecmd-gtk2-0.9.8_2
2020-06-03 13:00:35+02	2020-06-03 13:04:24+02	x11-fm	fsv2	\N	fsv2-1.1.0_1
2020-06-03 13:04:28+02	2020-06-03 13:05:10+02	x11-fm	xdiskusage	\N	xdiskusage-1.51_1
2020-06-03 13:05:14+02	2020-06-03 13:07:21+02	x11-toolkits	libgdiplus	\N	libgdiplus-5.6_2
2020-06-03 13:13:19+02	2020-06-03 14:40:07+02	editors	vscode	\N	vscode-1.45.1_1
2020-06-03 14:40:08+02	2020-06-03 14:40:24+02	graphics	drm-kmod	\N	drm-kmod-g20190710
2020-06-03 14:40:24+02	2020-06-03 14:41:30+02	graphics	xfig	\N	xfig-3.2.7a
2020-06-03 08:29:04+02	2020-06-03 14:46:27+02	devel	llvm10	\N	llvm10-10.0.0_1
2020-06-03 12:21:54+02	2020-06-03 15:21:45+02	www	firefox	\N	firefox-77.0_4,1
2020-06-03 15:43:31+02	2020-06-03 15:59:24+02	local	E590T-localbase	\N	E590T-localbase-2020060200
2020-06-03 20:23:20+02	2020-06-03 20:23:38+02	devel	libepoll-shim	\N	libepoll-shim-0.0.20200602
2020-06-03 20:23:38+02	2020-06-03 20:24:05+02	graphics	wayland	\N	wayland-1.18.0_3
2020-06-03 20:23:38+02	2020-06-03 20:24:25+02	devel	libevdev	\N	libevdev-1.5.9_1
2020-06-03 20:24:06+02	2020-06-03 20:24:51+02	multimedia	libva	\N	libva-2.7.1
2020-06-03 20:24:06+02	2020-06-03 20:25:23+02	graphics	vulkan-loader	\N	vulkan-loader-1.2.135.0
2020-06-03 20:24:27+02	2020-06-03 20:25:46+02	x11	libinput	\N	libinput-1.15.5
2020-06-03 20:24:52+02	2020-06-03 20:27:25+02	multimedia	cmrt	\N	cmrt-1.0.6_2
2020-06-03 20:25:25+02	2020-06-03 20:28:05+02	net	freerdp	\N	freerdp-2.0.0.r4_9
2020-06-03 20:28:06+02	2020-06-03 20:28:37+02	multimedia	libva-utils	\N	libva-utils-2.7.1
2020-06-03 20:23:20+02	2020-06-03 20:28:38+02	print	harfbuzz	\N	harfbuzz-2.6.7
2020-06-03 20:27:27+02	2020-06-03 20:28:56+02	multimedia	libva-intel-hybrid-driver	\N	libva-intel-hybrid-driver-1.0.2_2
2020-06-03 20:28:39+02	2020-06-03 20:29:24+02	print	libraqm	\N	libraqm-0.6.0
2020-06-03 20:29:25+02	2020-06-03 20:30:39+02	multimedia	libva-intel-driver	\N	libva-intel-driver-2.4.1
2020-06-03 20:25:48+02	2020-06-03 20:31:02+02	multimedia	libva-intel-media-driver	\N	libva-intel-media-driver-20.2.p3
2020-06-03 20:24:06+02	2020-06-03 20:31:18+02	graphics	mesa-libs	\N	mesa-libs-19.0.8
2020-06-03 20:28:57+02	2020-06-03 20:31:49+02	multimedia	libass	\N	libass-0.14.0
2020-06-03 20:31:21+02	2020-06-03 20:32:20+02	graphics	libepoxy	\N	libepoxy-1.5.4
2020-06-03 20:31:51+02	2020-06-03 20:32:34+02	graphics	libGLU	\N	libGLU-9.0.1
2020-06-03 20:31:21+02	2020-06-03 20:33:04+02	graphics	cairo	\N	cairo-1.16.0,2
2020-06-03 20:32:35+02	2020-06-03 20:33:24+02	devel	sdl12	\N	sdl-1.2.15_14,2
2020-06-03 20:28:39+02	2020-06-03 20:33:39+02	print	harfbuzz-icu	\N	harfbuzz-icu-2.6.7_2
2020-06-03 20:23:20+02	2020-06-03 20:34:11+02	graphics	drm-current-kmod	\N	drm-current-kmod-4.16.g20200320
2020-06-03 20:33:25+02	2020-06-03 20:34:24+02	graphics	poppler	\N	poppler-0.89.0_1
2020-06-03 20:34:13+02	2020-06-03 20:34:37+02	graphics	frei0r	\N	frei0r-1.6.1
2020-06-03 20:34:24+02	2020-06-03 20:34:45+02	graphics	py-cairo	py37	py37-cairo-1.18.1_1
2020-06-03 20:33:40+02	2020-06-03 20:34:49+02	devel	tex-web2c	\N	tex-web2c-20150521_3
2020-06-03 20:31:21+02	2020-06-03 20:34:52+02	x11-toolkits	qt5-gui	\N	qt5-gui-5.14.2
2020-06-03 20:34:46+02	2020-06-03 20:35:27+02	devel	py-gobject3	py37	py37-gobject3-3.28.3
2020-06-03 20:34:50+02	2020-06-03 20:36:03+02	print	tex-basic-engines	\N	tex-basic-engines-20150521
2020-06-03 20:33:04+02	2020-06-03 20:36:33+02	x11-toolkits	pango	\N	pango-1.42.4_3
2020-06-03 20:36:04+02	2020-06-03 20:37:10+02	x11	qt5-x11extras	\N	qt5-x11extras-5.14.2
2020-06-03 20:34:54+02	2020-06-03 20:37:23+02	x11-toolkits	qt5-widgets	\N	qt5-widgets-5.14.2
2020-06-03 20:37:11+02	2020-06-03 20:38:18+02	graphics	gtk-update-icon-cache	\N	gtk-update-icon-cache-2.24.32
2020-06-03 20:32:20+02	2020-06-03 20:38:29+02	graphics	mesa-dri	\N	mesa-dri-19.0.8
2020-06-03 20:37:24+02	2020-06-03 20:40:52+02	x11-toolkits	qt5-declarative	\N	qt5-declarative-5.14.2
2020-06-03 20:36:34+02	2020-06-03 20:41:49+02	graphics	graphviz	\N	graphviz-2.44.0_4
2020-06-03 20:40:53+02	2020-06-03 20:42:06+02	devel	qt5-help	\N	qt5-help-5.14.2
2020-06-03 20:38:19+02	2020-06-03 20:42:17+02	x11-themes	adwaita-icon-theme	\N	adwaita-icon-theme-3.28.0
2020-06-03 20:42:18+02	2020-06-03 20:43:07+02	x11-toolkits	qt5-uiplugin	\N	qt5-uiplugin-5.14.2
2020-06-03 20:35:28+02	2020-06-03 20:43:20+02	print	texlive-base	\N	texlive-base-20150521_52
2020-06-03 20:42:07+02	2020-06-03 20:44:14+02	print	qt5-printsupport	\N	qt5-printsupport-5.14.2
2020-06-03 20:41:50+02	2020-06-03 20:44:29+02	lang	vala	\N	vala-0.40.15,1
2020-06-03 20:43:08+02	2020-06-03 20:44:48+02	graphics	qt5-opengl	\N	qt5-opengl-5.14.2
2020-06-03 20:38:31+02	2020-06-03 20:45:05+02	x11-toolkits	gtk20	\N	gtk2-2.24.32
2020-06-03 20:44:15+02	2020-06-03 20:45:09+02	graphics	qt5-svg	\N	qt5-svg-5.14.2
2020-06-03 20:44:29+02	2020-06-03 20:45:22+02	graphics	librsvg2	\N	librsvg2-2.40.21
2020-06-03 20:45:10+02	2020-06-03 20:45:54+02	audio	libcanberra	\N	libcanberra-0.30_5
2020-06-03 20:45:08+02	2020-06-03 20:46:24+02	devel	gconf2	\N	gconf2-3.2.6_5
2020-06-03 20:34:38+02	2020-06-03 20:46:31+02	multimedia	ffmpeg	\N	ffmpeg-4.2.3,1
2020-06-03 20:44:49+02	2020-06-03 20:46:37+02	graphics	graphene	\N	graphene-1.10.0
2020-06-03 20:46:25+02	2020-06-03 20:46:46+02	www	libwpe	\N	libwpe-1.4.0.1
2020-06-03 20:46:31+02	2020-06-03 20:47:09+02	x11-toolkits	pangox-compat	\N	pangox-compat-0.0.2_2
2020-06-03 20:47:10+02	2020-06-03 20:47:35+02	www	wpebackend-fdo	\N	wpebackend-fdo-1.4.1
2020-06-03 20:46:38+02	2020-06-03 20:47:43+02	devel	kf5-kconfig	\N	kf5-kconfig-5.70.0
2020-06-03 20:46:47+02	2020-06-03 20:48:38+02	graphics	gstreamer1-plugins-gl	\N	gstreamer1-plugins-gl-1.16.2
2020-06-03 20:47:45+02	2020-06-03 20:49:18+02	devel	kf5-ki18n	\N	kf5-ki18n-5.70.0
2020-06-03 20:47:35+02	2020-06-03 20:49:51+02	x11-toolkits	wxgtk28-common	\N	wx28-gtk2-common-2.8.12_8
2020-06-03 20:48:39+02	2020-06-03 20:50:03+02	devel	qscintilla2-qt5	\N	qscintilla2-qt5-2.11.4
2020-06-03 20:49:51+02	2020-06-03 20:50:47+02	devel	qt5-uitools	\N	qt5-uitools-5.14.2
2020-06-03 20:45:55+02	2020-06-03 20:50:47+02	graphics	ImageMagick7	\N	ImageMagick7-7.0.10.6
2020-06-03 20:49:20+02	2020-06-03 20:50:51+02	devel	kf5-kdoctools	\N	kf5-kdoctools-5.70.0
2020-06-03 20:50:04+02	2020-06-03 20:51:16+02	devel	py-qt5-core	py37	py37-qt5-core-5.13.1_1
2020-06-03 20:50:51+02	2020-06-03 20:51:52+02	x11	kf5-kwindowsystem	\N	kf5-kwindowsystem-5.70.0
2020-06-03 20:50:51+02	2020-06-03 20:51:55+02	graphics	pecl-imagick-im7	php73	php73-pecl-imagick-im7-3.4.4
2020-06-03 20:45:23+02	2020-06-03 20:52:10+02	x11-toolkits	gtk30	\N	gtk3-3.24.10_1
2020-06-03 20:51:53+02	2020-06-03 20:53:08+02	devel	sdl20	\N	sdl2-2.0.10_1
2020-06-03 20:51:55+02	2020-06-03 20:53:36+02	net-mgmt	icingaweb2	php73	icingaweb2-php73-2.7.3_3
2020-06-03 20:51:17+02	2020-06-03 20:54:03+02	x11-toolkits	wxgtk28	\N	wx28-gtk2-2.8.12_8
2020-06-03 20:50:51+02	2020-06-03 20:54:08+02	x11-servers	xorg-server	\N	xorg-server-1.20.8_1,1
2020-06-03 20:52:11+02	2020-06-03 20:54:08+02	x11	mate-desktop	\N	mate-desktop-1.22.2
2020-06-03 20:53:09+02	2020-06-03 20:54:23+02	audio	libcanberra-gtk3	\N	libcanberra-gtk3-0.30_5
2020-06-03 20:54:08+02	2020-06-03 20:54:44+02	graphics	poppler-glib	\N	poppler-glib-0.89.0_1
2020-06-03 20:54:09+02	2020-06-03 20:55:21+02	x11-toolkits	kf5-kwidgetsaddons	\N	kf5-kwidgetsaddons-5.70.0
2020-06-03 20:54:24+02	2020-06-03 20:55:22+02	devel	kf5-kcrash	\N	kf5-kcrash-5.70.0
2020-06-03 20:54:45+02	2020-06-03 20:55:53+02	devel	kf5-kdbusaddons	\N	kf5-kdbusaddons-5.70.0
2020-06-03 20:54:03+02	2020-06-03 20:55:58+02	x11-toolkits	vte3	\N	vte3-0.52.2_3
2020-06-03 20:55:23+02	2020-06-03 20:55:58+02	multimedia	smpeg	\N	smpeg-0.4.4_15
2020-06-03 20:55:21+02	2020-06-03 20:56:45+02	graphics	qt5-imageformats	\N	qt5-imageformats-5.14.2
2020-06-03 20:56:02+02	2020-06-03 20:57:18+02	www	qt5-webchannel	\N	qt5-webchannel-5.14.2
2020-06-03 20:56:02+02	2020-06-03 20:57:23+02	sysutils	polkit-qt	\N	polkit-qt-1-0.113.0_8
2020-06-03 20:56:47+02	2020-06-03 20:58:41+02	devel	kf5-kservice	\N	kf5-kservice-5.70.0
2020-06-03 20:55:55+02	2020-06-03 20:58:44+02	net	avahi-gtk3	\N	avahi-gtk3-0.7_1
2020-06-03 20:57:24+02	2020-06-03 20:59:26+02	devel	kf5-kauth	\N	kf5-kauth-5.70.0
2020-06-03 20:57:19+02	2020-06-03 21:00:10+02	devel	qt5-location	\N	qt5-location-5.14.2
2020-06-03 20:59:29+02	2020-06-03 21:01:19+02	x11-toolkits	kf5-kguiaddons	\N	kf5-kguiaddons-5.70.0
2020-06-03 20:58:47+02	2020-06-03 21:01:29+02	net	remmina	\N	remmina-1.3.9
2020-06-03 21:00:12+02	2020-06-03 21:01:58+02	accessibility	qt5-speech	\N	qt5-speech-5.14.2
2020-06-03 21:01:31+02	2020-06-03 21:03:46+02	x11-toolkits	kf5-kitemviews	\N	kf5-kitemviews-5.70.0
2020-06-03 21:01:20+02	2020-06-03 21:04:28+02	x11-toolkits	kf5-kconfigwidgets	\N	kf5-kconfigwidgets-5.70.0
2020-06-03 21:02:00+02	2020-06-03 21:06:43+02	x11-toolkits	libwnck3	\N	libwnck3-3.24.1
2020-06-03 21:04:35+02	2020-06-03 21:07:06+02	graphics	cairomm	\N	cairomm-1.12.2_4
2020-06-03 20:58:42+02	2020-06-03 21:07:22+02	security	gcr	\N	gcr-3.28.0
2020-06-03 21:06:45+02	2020-06-03 21:07:35+02	graphics	freeglut	\N	freeglut-3.0.0_2
2020-06-03 21:07:08+02	2020-06-03 21:08:20+02	graphics	sdl_image	\N	sdl_image-1.2.12_12
2020-06-03 21:07:38+02	2020-06-03 21:09:21+02	net	py-qt5-network	py37	py37-qt5-network-5.13.1_1
2020-06-03 21:03:47+02	2020-06-03 21:09:45+02	x11-toolkits	py-qt5-gui	py37	py37-qt5-gui-5.13.1_1
2020-06-03 21:07:23+02	2020-06-03 21:09:54+02	multimedia	gstreamer1-libav	\N	gstreamer1-libav-1.16.2
2020-06-03 21:08:25+02	2020-06-03 21:11:01+02	x11-themes	kf5-kiconthemes	\N	kf5-kiconthemes-5.70.0
2020-06-03 21:11:02+02	2020-06-03 21:11:50+02	graphics	py-cairo	py27	py27-cairo-1.18.1_1
2020-06-03 21:09:55+02	2020-06-03 21:12:09+02	comms	qt5-sensors	\N	qt5-sensors-5.14.2
2020-06-03 20:43:21+02	2020-06-03 21:14:24+02	print	texlive-texmf	\N	texlive-texmf-20150523_4
2020-06-03 21:09:46+02	2020-06-03 21:14:26+02	x11-toolkits	gstreamer1-plugins-pango	\N	gstreamer1-plugins-pango-1.16.2
2020-06-03 21:11:58+02	2020-06-03 21:16:34+02	math	gnuplot	\N	gnuplot-5.2.8_1
2020-06-03 21:16:37+02	2020-06-03 21:17:53+02	multimedia	gstreamer1-plugins-core	\N	gstreamer1-plugins-core-1.16
2020-06-03 21:09:22+02	2020-06-03 21:19:27+02	x11-themes	mate-icon-theme	\N	mate-icon-theme-1.22.2
2020-06-03 21:17:54+02	2020-06-03 21:19:45+02	textproc	kf5-sonnet	\N	kf5-sonnet-5.70.0
2020-06-03 21:14:26+02	2020-06-03 21:20:07+02	print	tex-formats	\N	tex-formats-20150521_2
2020-06-03 21:19:32+02	2020-06-03 21:21:08+02	x11-toolkits	kf5-kcompletion	\N	kf5-kcompletion-5.70.0
2020-06-03 21:19:52+02	2020-06-03 21:21:57+02	x11-toolkits	pangomm	\N	pangomm-2.40.1_4
2020-06-03 21:20:10+02	2020-06-03 21:22:47+02	x11-toolkits	py-qt5-widgets	py37	py37-qt5-widgets-5.13.1_1
2020-06-03 21:21:09+02	2020-06-03 21:22:56+02	audio	sdl_mixer	\N	sdl_mixer-1.2.12_12
2020-06-03 21:22:00+02	2020-06-03 21:23:33+02	devel	libdbusmenu-qt	\N	libdbusmenu-qt5-0.9.3.160420160218_10
2020-06-03 21:12:11+02	2020-06-03 21:24:01+02	net	libmateweather	\N	libmateweather-1.22.1
2020-06-03 21:22:51+02	2020-06-03 21:24:25+02	multimedia	phonon	\N	phonon-qt5-4.11.1
2020-06-03 21:22:57+02	2020-06-03 21:25:21+02	multimedia	qt5-multimedia	\N	qt5-multimedia-5.14.2
2020-06-03 21:24:02+02	2020-06-03 21:26:13+02	x11	kf5-kglobalaccel	\N	kf5-kglobalaccel-5.70.0
2020-06-03 21:14:28+02	2020-06-03 21:26:33+02	print	tex-dvipsk	\N	tex-dvipsk-5.995_2
2020-06-03 21:25:23+02	2020-06-03 21:26:49+02	x11-toolkits	kf5-attica	\N	kf5-attica-5.70.0
2020-06-03 21:26:14+02	2020-06-03 21:28:52+02	x11-toolkits	kf5-ktextwidgets	\N	kf5-ktextwidgets-5.70.0
2020-06-03 21:26:56+02	2020-06-03 21:30:21+02	devel	kf5-knotifications	\N	kf5-knotifications-5.70.0
2020-06-03 21:28:55+02	2020-06-03 21:31:22+02	devel	qt5-assistant	\N	qt5-assistant-5.14.2
2020-06-03 21:30:25+02	2020-06-03 21:32:06+02	graphics	poppler-utils	\N	poppler-utils-0.89.0_1
2020-06-03 21:24:27+02	2020-06-03 21:32:18+02	x11	mate-panel	\N	mate-panel-1.22.2
2020-06-03 21:31:25+02	2020-06-03 21:33:30+02	security	pinentry-gnome3	\N	pinentry-gnome3-1.1.0
2020-06-03 21:32:07+02	2020-06-03 21:34:10+02	security	pinentry-qt5	\N	pinentry-qt5-1.1.0_1
2020-06-03 21:33:32+02	2020-06-03 21:34:18+02	x11	xdriinfo	\N	xdriinfo-1.0.6_3
2020-06-03 21:26:35+02	2020-06-03 21:34:53+02	devel	doxygen	\N	doxygen-1.8.15_3,2
2020-06-03 21:23:34+02	2020-06-03 21:35:09+02	www	qt5-webkit	\N	qt5-webkit-5.212.0.a4_2
2020-06-03 21:32:21+02	2020-06-03 21:35:32+02	x11	libmatekbd	\N	libmatekbd-1.22.0
2020-06-03 21:34:19+02	2020-06-03 21:36:23+02	x11-drivers	xf86-input-keyboard	\N	xf86-input-keyboard-1.9.0_4
2020-06-03 21:34:11+02	2020-06-03 21:36:24+02	x11-drivers	xf86-input-evdev	\N	xf86-input-evdev-2.10.6_5
2020-06-03 21:34:55+02	2020-06-03 21:36:51+02	x11-drivers	xf86-input-libinput	\N	xf86-input-libinput-0.30.0
2020-06-03 21:35:11+02	2020-06-03 21:37:01+02	x11-drivers	xf86-input-mouse	\N	xf86-input-mouse-1.9.3_3
2020-06-03 21:35:33+02	2020-06-03 21:37:44+02	x11-drivers	xf86-video-amdgpu	\N	xf86-video-amdgpu-19.1.0_1
2020-06-03 21:36:28+02	2020-06-03 21:38:10+02	x11-drivers	xf86-video-scfb	\N	xf86-video-scfb-0.0.5_2
2020-06-03 21:36:52+02	2020-06-03 21:38:30+02	x11-drivers	xf86-video-vesa	\N	xf86-video-vesa-2.4.0_3
2020-06-03 21:36:24+02	2020-06-03 21:39:17+02	x11-drivers	xf86-video-intel	\N	xf86-video-intel-2.99.917.20181203_1
2020-06-03 21:37:45+02	2020-06-03 21:39:51+02	x11-toolkits	kf5-kxmlgui	\N	kf5-kxmlgui-5.70.0
2020-06-03 21:38:11+02	2020-06-03 21:39:57+02	x11-toolkits	libunique3	\N	libunique-3.0.2_3
2020-06-03 21:37:02+02	2020-06-03 21:41:00+02	x11-fm	caja	\N	caja-1.22.3
2020-06-03 21:39:18+02	2020-06-03 21:41:07+02	devel	kf5-solid	\N	kf5-solid-5.70.0
2020-06-03 21:38:31+02	2020-06-03 21:41:17+02	x11-toolkits	wxgtk28-contrib-common	\N	wx28-gtk2-contrib-common-2.8.12_8
2020-06-03 21:39:58+02	2020-06-03 21:41:20+02	devel	libglade2	\N	libglade2-2.6.4_10
2020-06-03 21:39:52+02	2020-06-03 21:41:58+02	devel	kf5-kbookmarks	\N	kf5-kbookmarks-5.70.0
2020-06-03 21:41:22+02	2020-06-03 21:42:01+02	net	sdl_net	\N	sdl_net-1.2.8_3
2020-06-03 21:41:03+02	2020-06-03 21:43:49+02	devel	qt5-designer	\N	qt5-designer-5.14.2
2020-06-03 21:42:02+02	2020-06-03 21:43:51+02	print	py-qt5-printsupport	py37	py37-qt5-printsupport-5.13.1_1
2020-06-03 21:41:08+02	2020-06-03 21:44:07+02	graphics	gegl	\N	gegl-0.4.22_6
2020-06-03 21:41:59+02	2020-06-03 21:44:18+02	net	uhttpmock	\N	uhttpmock-0.5.1_1
2020-06-03 21:44:19+02	2020-06-03 21:46:00+02	x11	kf5-kded	\N	kf5-kded-5.70.0_1
2020-06-03 21:44:08+02	2020-06-03 21:46:33+02	sysutils	policykit-gnome	\N	policykit-gnome-0.9.2_9
2020-06-03 21:43:52+02	2020-06-03 21:46:34+02	sysutils	kf5-kwallet	\N	kf5-kwallet-5.70.0
2020-06-03 21:46:02+02	2020-06-03 21:46:56+02	x11	xorg-apps	\N	xorg-apps-7.7_4
2020-06-03 21:46:37+02	2020-06-03 21:48:17+02	x11-drivers	xorg-drivers	\N	xorg-drivers-7.7_6
2020-06-03 21:46:35+02	2020-06-03 21:49:05+02	x11	zenity	\N	zenity-3.28.1
2020-06-03 21:43:50+02	2020-06-03 21:49:24+02	security	gnome-keyring	\N	gnome-keyring-3.28.2_2
2020-06-03 21:49:06+02	2020-06-03 21:50:52+02	x11-toolkits	kf5-kjobwidgets	\N	kf5-kjobwidgets-5.70.0
2020-06-03 21:41:19+02	2020-06-03 21:51:10+02	graphics	tesseract	\N	tesseract-4.1.1_2
2020-06-03 21:46:57+02	2020-06-03 21:51:37+02	x11-servers	xorg-vfbserver	\N	xorg-vfbserver-1.20.8_1,1
2020-06-03 21:48:19+02	2020-06-03 21:52:08+02	x11-toolkits	gtkmm30	\N	gtkmm30-3.22.2
2020-06-03 21:49:25+02	2020-06-03 21:52:16+02	x11-toolkits	wxgtk28-contrib	\N	wx28-gtk2-contrib-2.8.12_8
2020-06-03 21:51:39+02	2020-06-03 21:52:41+02	devel	py-gobject	py27	py27-gobject-2.28.6_8
2020-06-03 21:52:17+02	2020-06-03 21:52:50+02	graphics	fpc-cairo	\N	fpc-cairo-3.0.4_4
2020-06-03 21:51:11+02	2020-06-03 21:53:00+02	devel	libpeas	\N	libpeas-1.22.0
2020-06-03 21:52:51+02	2020-06-03 21:53:09+02	graphics	glew	\N	glew-2.1.0
2020-06-03 21:53:02+02	2020-06-03 21:55:10+02	graphics	movit	\N	movit-1.6.2_2
2020-06-03 21:50:53+02	2020-06-03 21:55:48+02	devel	kf5-kio	\N	kf5-kio-5.70.1_1
2020-06-03 21:55:12+02	2020-06-03 21:55:56+02	graphics	sdl2_image	\N	sdl2_image-2.0.5
2020-06-03 21:55:50+02	2020-06-03 21:56:18+02	graphics	sdl_ttf	\N	sdl_ttf-2.0.11_7
2020-06-03 21:55:57+02	2020-06-03 21:57:29+02	net-mgmt	icingaweb2-module-ipl	php73	icingaweb2-module-ipl-php73-0.4.0_1
2020-06-03 21:56:20+02	2020-06-03 21:58:54+02	print	cups-filters	\N	cups-filters-1.27.4_2
2020-06-03 21:52:10+02	2020-06-03 22:01:08+02	editors	emacs	full	emacs-26.3_4,3
2020-06-03 21:53:10+02	2020-06-03 22:01:13+02	graphics	opencv	\N	opencv-3.4.1_31
2020-06-03 21:58:56+02	2020-06-03 22:01:43+02	sysutils	gnome-mount	\N	gnome-mount-0.8_13
2020-06-03 22:01:10+02	2020-06-03 22:05:01+02	sysutils	mate-settings-daemon	\N	mate-settings-daemon-1.22.1
2020-06-03 22:05:03+02	2020-06-03 22:08:54+02	x11	mate-session-manager	\N	mate-session-manager-1.22.3
2020-06-03 22:08:55+02	2020-06-03 22:16:15+02	x11	xorg	\N	xorg-7.7_3
2020-06-03 21:57:30+02	2020-06-03 22:19:04+02	print	tex-luatex	\N	tex-luatex-0.80.0_18
2020-06-03 21:52:41+02	2020-06-03 22:19:15+02	graphics	gimp-app	\N	gimp-app-2.10.18_7,1
2020-06-03 22:16:19+02	2020-06-03 22:20:27+02	x11-themes	gtk-engines2	\N	gtk-engines2-2.20.2_3
2020-06-03 22:19:08+02	2020-06-03 22:21:08+02	x11-themes	gtk-murrine-engine	\N	gtk-murrine-engine-0.98.2_5
2020-06-03 22:20:28+02	2020-06-03 22:22:51+02	x11-toolkits	qt5-quickcontrols	\N	qt5-quickcontrols-5.14.2
2020-06-03 20:53:37+02	2020-06-03 22:23:18+02	www	webkit2-gtk3	\N	webkit2-gtk3-2.28.1_1
2020-06-03 22:19:17+02	2020-06-03 22:23:43+02	x11-toolkits	gtksourceview3	\N	gtksourceview3-3.24.8_3
2020-06-03 22:22:53+02	2020-06-03 22:25:22+02	audio	sdl_sound	\N	sdl_sound-1.0.3_14
2020-06-03 22:21:10+02	2020-06-03 22:26:08+02	x11-wm	marco	\N	marco-1.22.4
2020-06-03 22:23:44+02	2020-06-03 22:27:04+02	x11	yelp	\N	yelp-3.28.1_2
2020-06-03 22:23:21+02	2020-06-03 22:28:25+02	net	gnome-online-accounts	\N	gnome-online-accounts-3.28.0_2
2020-06-03 22:26:13+02	2020-06-03 22:28:30+02	deskutils	mate-notification-daemon	\N	mate-notification-daemon-1.22.1
2020-06-03 22:25:24+02	2020-06-03 22:29:12+02	deskutils	gucharmap	\N	gucharmap-11.0.1_1
2020-06-03 22:28:31+02	2020-06-03 22:29:38+02	devel	py-gobject3	py27	py27-gobject3-3.28.3
2020-06-03 22:29:39+02	2020-06-03 22:30:14+02	graphics	fpc-opengl	\N	fpc-opengl-3.0.4_4
2020-06-03 22:29:13+02	2020-06-03 22:30:48+02	graphics	djvulibre	\N	djvulibre-3.5.27_2
2020-06-03 22:01:44+02	2020-06-03 22:31:57+02	www	qt5-webengine	\N	qt5-webengine-5.14.2
2020-06-03 22:28:26+02	2020-06-03 22:32:13+02	devel	libgdata	\N	libgdata-0.17.9
2020-06-03 22:30:49+02	2020-06-03 22:32:15+02	graphics	libgltf	\N	libgltf-0.0.2_21
2020-06-03 22:31:59+02	2020-06-03 22:33:05+02	graphics	libgxps	\N	libgxps-0.3.1
2020-06-03 22:30:14+02	2020-06-03 22:33:09+02	graphics	frei0r-plugins-opencv	\N	frei0r-plugins-opencv-1.6.1_1
2020-06-03 22:27:06+02	2020-06-03 22:33:18+02	deskutils	spice-gtk	\N	spice-gtk-0.37
2020-06-03 22:33:08+02	2020-06-03 22:33:52+02	graphics	py-pygraphviz	py37	py37-pygraphviz-1.5
2020-06-03 22:33:11+02	2020-06-03 22:34:36+02	graphics	py-qt5-svg	py37	py37-qt5-svg-5.13.1_1
2020-06-03 22:32:16+02	2020-06-03 22:34:37+02	graphics	poppler-qt5	\N	poppler-qt5-0.89.0_1
2020-06-03 22:33:53+02	2020-06-03 22:35:27+02	graphics	qt5-graphicaleffects	\N	qt5-graphicaleffects-5.14.2
2020-06-03 22:34:37+02	2020-06-03 22:37:12+02	lang	py-qt5-qml	py37	py37-qt5-qml-5.13.1_1
2020-06-03 22:33:19+02	2020-06-03 22:38:26+02	graphics	qt5-3d	\N	qt5-3d-5.14.2
2020-06-03 22:32:16+02	2020-06-03 22:39:40+02	devel	gvfs	\N	gvfs-1.30.4_3
2020-06-03 22:38:29+02	2020-06-03 22:41:13+02	net	remmina-plugin-exec	\N	remmina-plugin-exec-1.3.9
2020-06-03 22:37:15+02	2020-06-03 22:41:20+02	multimedia	mlt	\N	mlt-6.20.0
2020-06-03 22:39:42+02	2020-06-03 22:42:09+02	net-mgmt	icingaweb2-module-reactbundle	php73	icingaweb2-module-reactbundle-php73-0.7.0_1
2020-06-03 22:41:23+02	2020-06-03 22:43:33+02	print	libspectre	\N	libspectre-0.2.8
2020-06-03 22:35:29+02	2020-06-03 22:48:14+02	misc	mate-user-guide	\N	mate-user-guide-1.22.3
2020-06-03 22:41:15+02	2020-06-03 22:50:26+02	print	gutenprint	\N	gutenprint-5.3.3
2020-06-03 22:50:30+02	2020-06-03 22:53:25+02	sysutils	mate-polkit	\N	mate-polkit-1.22.0
2020-06-03 22:43:34+02	2020-06-03 22:54:39+02	print	tex-xmltex	\N	tex-xmltex-1.9_2
2020-06-03 22:42:11+02	2020-06-03 22:54:56+02	print	tex-dvipdfmx	\N	tex-dvipdfmx-20150315_1
2020-06-03 22:48:15+02	2020-06-03 22:55:05+02	sysutils	mate-control-center	\N	mate-control-center-1.22.2
2020-06-03 22:53:27+02	2020-06-03 22:55:52+02	www	py-qt5-webkit	py37	py37-qt5-webkit-5.13.1_1
2020-06-03 22:55:06+02	2020-06-03 22:56:45+02	x11-toolkits	fpc-gtk2	\N	fpc-gtk2-3.0.4_4
2020-06-03 22:55:53+02	2020-06-03 22:57:38+02	x11-toolkits	py-gtk2	py27	py27-gtk2-2.24.0_5
2020-06-03 22:55:00+02	2020-06-03 22:57:48+02	x11-themes	mate-themes	\N	mate-themes-3.22.14
2020-06-03 22:57:49+02	2020-06-03 22:59:00+02	audio	faudio	\N	FAudio-20.05
2020-06-03 22:54:41+02	2020-06-03 22:59:35+02	x11-servers	xephyr	\N	xephyr-1.20.8_1,1
2020-06-03 22:59:00+02	2020-06-03 23:03:18+02	audio	mate-media	\N	mate-media-1.22.2
2020-06-03 22:57:41+02	2020-06-03 23:03:21+02	archivers	engrampa	\N	engrampa-1.22.2
2020-06-03 22:59:37+02	2020-06-03 23:04:39+02	databases	rrdtool	\N	rrdtool-1.7.2_2
2020-06-03 22:34:37+02	2020-06-03 23:06:11+02	math	R	\N	R-4.0.0_1
2020-06-03 22:56:46+02	2020-06-03 23:06:37+02	x11-toolkits	wxgtk30	\N	wx30-gtk3-3.0.5.1
2020-06-03 23:04:42+02	2020-06-03 23:07:02+02	deskutils	mozo	\N	mozo-1.22.2
2020-06-03 23:03:22+02	2020-06-03 23:07:26+02	deskutils	caja-extensions	\N	caja-extensions-1.22.1
2020-06-03 23:06:39+02	2020-06-03 23:07:47+02	devel	flatzebra	\N	flatzebra-0.1.7
2020-06-03 23:06:13+02	2020-06-03 23:08:01+02	devel	R-cran-rstudioapi	\N	R-cran-rstudioapi-0.11_1
2020-06-03 23:07:27+02	2020-06-03 23:09:11+02	devel	py-game	py37	py37-game-1.9.6_1
2020-06-03 23:07:03+02	2020-06-03 23:09:20+02	devel	ode	\N	ode-0.13_4,1
2020-06-03 23:03:22+02	2020-06-03 23:10:15+02	deskutils	mate-utils	\N	mate-utils-1.22.2
2020-06-03 23:09:20+02	2020-06-03 23:10:15+02	emulators	dosbox	\N	dosbox-0.74.3_1
2020-06-03 23:10:17+02	2020-06-03 23:14:55+02	graphics	eom	\N	eom-1.22.2
2020-06-03 23:09:12+02	2020-06-03 23:15:30+02	editors	pluma	\N	pluma-1.22.2
2020-06-03 23:15:32+02	2020-06-03 23:16:48+02	graphics	ftgl	\N	ftgl-2.1.3.r5_6,1
2020-06-03 23:10:17+02	2020-06-03 23:17:01+02	graphics	atril	\N	atril-1.22.3_6
2020-06-03 23:14:56+02	2020-06-03 23:17:41+02	graphics	frei0r-plugins	\N	frei0r-plugins-1.6.1_1
2020-06-03 23:16:50+02	2020-06-03 23:18:00+02	graphics	gle	\N	gle-3.1.0_7
2020-06-03 23:17:03+02	2020-06-03 23:18:02+02	graphics	gltt	\N	gltt-2.5.2_14
2020-06-03 23:18:02+02	2020-06-03 23:18:42+02	graphics	libplacebo	\N	libplacebo-2.43.1
2020-06-03 23:17:43+02	2020-06-03 23:20:05+02	graphics	goocanvas2	\N	goocanvas2-2.0.4
2020-06-03 23:18:43+02	2020-06-03 23:21:26+02	graphics	sdl_gfx	\N	sdl_gfx-2.0.26
2020-06-03 23:18:03+02	2020-06-03 23:27:23+02	graphics	py-gimp	\N	py27-gimp-2.10.18_7
2020-06-03 23:27:25+02	2020-06-03 23:35:44+02	math	mate-calc	\N	mate-calc-1.22.2
2020-06-03 23:35:45+02	2020-06-03 23:38:30+02	math	py-networkx	py37	py37-networkx-2.1,1
2020-06-03 23:38:32+02	2020-06-03 23:42:46+02	multimedia	libopenshot	py37	py37-libopenshot-0.2.5.4
2020-06-03 23:20:06+02	2020-06-03 23:45:47+02	japanese	tex-ptex	\N	ja-tex-ptex-3.6_1
2020-06-03 23:45:49+02	2020-06-03 23:47:52+02	multimedia	webvfx-qt5	\N	webvfx-qt5-0.4.4.20160823_12
2020-06-03 23:47:53+02	2020-06-03 23:49:18+02	net	remmina-plugin-nx	\N	remmina-plugin-nx-1.3.9
2020-06-03 23:49:19+02	2020-06-03 23:50:53+02	net	remmina-plugin-rdp	\N	remmina-plugin-rdp-1.3.9
2020-06-03 23:07:49+02	2020-06-03 23:51:25+02	editors	lazarus	\N	lazarus-gtk2-2.0.8
2020-06-03 23:50:55+02	2020-06-03 23:52:34+02	net	remmina-plugin-secret	\N	remmina-plugin-secret-1.3.9
2020-06-03 23:51:27+02	2020-06-03 23:53:19+02	net	remmina-plugin-spice	\N	remmina-plugin-spice-1.3.9
2020-06-03 23:52:35+02	2020-06-03 23:54:08+02	net	remmina-plugin-st	\N	remmina-plugin-st-1.3.9
2020-06-03 23:53:20+02	2020-06-03 23:54:47+02	net	remmina-plugin-vnc	\N	remmina-plugin-vnc-1.3.9
2020-06-03 23:54:09+02	2020-06-03 23:56:00+02	net	remmina-plugin-www	\N	remmina-plugin-www-1.3.9
2020-06-03 23:54:48+02	2020-06-03 23:57:11+02	net	remmina-plugin-xdmcp	\N	remmina-plugin-xdmcp-1.3.9
2020-06-03 23:56:04+02	2020-06-03 23:57:35+02	net-mgmt	icingaweb2-module-director	php73	icingaweb2-module-director-php73-1.6.2_2
2020-06-03 23:08:03+02	2020-06-03 23:58:10+02	editors	libreoffice	\N	libreoffice-6.3.6_1
2020-06-03 23:57:12+02	2020-06-03 23:59:27+02	print	gimp-gutenprint	\N	gimp-gutenprint-5.3.3
2020-06-03 23:42:49+02	2020-06-04 00:00:57+02	multimedia	vlc	\N	vlc-3.0.10_4,4
2020-06-03 23:59:27+02	2020-06-04 00:03:20+02	print	tex-xdvik	\N	tex-xdvik-22.87_4
2020-06-03 23:58:12+02	2020-06-04 00:07:58+02	print	tex-jadetex	\N	tex-jadetex-3.13_3
2020-06-03 23:57:36+02	2020-06-04 00:08:52+02	print	tex-aleph	\N	tex-aleph-1.15.2.1.r.4_4
2020-06-04 00:07:59+02	2020-06-04 00:12:11+02	sysutils	mate-power-manager	\N	mate-power-manager-1.22.2
2020-06-04 00:08:54+02	2020-06-04 00:12:26+02	sysutils	mate-system-monitor	\N	mate-system-monitor-1.22.2
2020-06-04 00:12:28+02	2020-06-04 00:13:41+02	www	py-qt5-webchannel	py37	py37-qt5-webchannel-5.13.1_1
2020-06-04 00:12:12+02	2020-06-04 00:14:13+02	textproc	gtkspell3	\N	gtkspell3-3.0.10
2020-06-04 00:13:42+02	2020-06-04 00:15:50+02	www	py-qt5-webkitwidgets	py37	py37-qt5-webkitwidgets-5.13.1_1
2020-06-04 00:00:58+02	2020-06-04 00:15:51+02	print	tex-xetex	\N	tex-xetex-0.99992_34
2020-06-04 00:15:51+02	2020-06-04 00:18:14+02	x11	mate-base	\N	mate-base-1.22.2
2020-06-04 00:15:53+02	2020-06-04 00:18:36+02	x11	mate-screensaver	\N	mate-screensaver-1.22.2
2020-06-04 00:18:38+02	2020-06-04 00:20:19+02	x11-toolkits	fltk	\N	fltk-1.3.5
2020-06-04 00:18:15+02	2020-06-04 00:22:38+02	x11	mate-terminal	\N	mate-terminal-1.22.1
2020-06-04 00:20:20+02	2020-06-04 00:22:54+02	x11-toolkits	gdl	\N	gdl-3.28.0
2020-06-04 00:22:39+02	2020-06-04 00:23:47+02	x11-toolkits	gtkglarea2	\N	gtkglarea-2.0.1_10
2020-06-04 00:22:55+02	2020-06-04 00:26:25+02	x11-toolkits	gtkmm24	\N	gtkmm24-2.24.5_1
2020-06-04 00:26:27+02	2020-06-04 00:28:37+02	deskutils	sysctlview	\N	sysctlview-2.0
2020-06-04 00:15:15+02	2020-06-04 00:29:16+02	x11	mate-applets	\N	mate-applets-1.22.2
2020-06-04 00:23:48+02	2020-06-04 00:34:50+02	astro	stellarium	\N	stellarium-0.20.1
2020-06-04 00:03:21+02	2020-06-04 00:40:18+02	print	texlive-docs	\N	texlive-docs-20150523
2020-06-04 00:40:19+02	2020-06-04 00:47:48+02	editors	libreoffice-nb	\N	nb-libreoffice-6.3.6
2020-06-04 00:47:50+02	2020-06-04 00:55:11+02	editors	vim	\N	vim-8.2.0869
2020-06-04 00:34:52+02	2020-06-04 00:59:13+02	editors	codelite	\N	codelite-12.0_4
2020-06-03 23:21:28+02	2020-06-04 01:15:49+02	lang	erlang	\N	erlang-21.3.8.16,4
2020-06-04 01:15:51+02	2020-06-04 01:20:12+02	devel	distel	full	distel-emacs26-4.1.1_4
2020-06-04 00:55:13+02	2020-06-04 01:24:52+02	emulators	qemu	\N	qemu-4.1.1_3
2020-06-04 00:59:14+02	2020-06-04 01:25:09+02	emulators	wine	\N	wine-5.0_1,1
2020-06-04 01:24:54+02	2020-06-04 01:25:28+02	games	KnightCap	\N	knightcap-3.6_8
2020-06-04 01:25:11+02	2020-06-04 01:26:22+02	games	afternoonstalker	\N	afternoonstalker-1.1.6
2020-06-04 01:26:23+02	2020-06-04 01:27:25+02	games	alienblaster	\N	alienblaster-1.1.0_7
2020-06-04 00:28:38+02	2020-06-04 01:27:59+02	devel	RStudio	\N	RStudio-1.3.959
2020-06-04 01:28:04+02	2020-06-04 01:29:23+02	games	maelstrom	\N	maelstrom-3.0.6_14
2020-06-04 01:27:26+02	2020-06-04 01:30:15+02	games	battletanks	\N	btanks-0.9.8083_9
2020-06-04 01:25:30+02	2020-06-04 01:30:37+02	games	alienarena	\N	alienarena-2013.766_9
2020-06-04 01:29:24+02	2020-06-04 01:31:36+02	games	monsterz	\N	monsterz-0.7.1_15
2020-06-04 01:30:19+02	2020-06-04 01:32:16+02	games	nuclearchess	\N	nuclearchess-1.0.0_10
2020-06-04 01:30:41+02	2020-06-04 01:32:38+02	games	numptyphysics	\N	numptyphysics-0.3.r20090104_11
2020-06-04 01:31:38+02	2020-06-04 01:34:41+02	games	xblast	\N	xblast-2.10.4_17
2020-06-04 01:32:40+02	2020-06-04 01:35:21+02	games	xcowsay	\N	xcowsay-1.5
2020-06-04 01:32:18+02	2020-06-04 01:35:23+02	games	xboard	\N	xboard-4.9.1_1
2020-06-04 00:29:18+02	2020-06-04 01:35:28+02	devel	electron7	\N	electron7-7.3.0_1
2020-06-04 01:35:23+02	2020-06-04 01:38:20+02	graphics	gimp	\N	gimp-2.10.18,2
2020-06-04 01:38:22+02	2020-06-04 01:40:44+02	graphics	xpdf	\N	xpdf-4.02,1
2020-06-04 01:20:15+02	2020-06-04 01:40:52+02	ftp	filezilla	\N	filezilla-3.40.0_5
2020-06-04 01:34:43+02	2020-06-04 01:41:43+02	graphics	dia	\N	dia-0.97.3_1,1
2020-06-04 01:40:46+02	2020-06-04 01:43:35+02	lang	csharp-mode.el	full	csharp-mode.el-emacs26-0.9.2_1
2020-06-04 01:35:25+02	2020-06-04 01:43:49+02	graphics	inkscape	\N	inkscape-1.0_2
2020-06-04 01:43:42+02	2020-06-04 01:44:25+02	multimedia	libva-glx	\N	libva-glx-2.7.1
2020-06-04 01:43:58+02	2020-06-04 01:44:43+02	multimedia	libva-vdpau-driver	\N	libva-vdpau-driver-0.7.4_9
2020-06-04 01:44:27+02	2020-06-04 01:50:09+02	multimedia	obs-studio	\N	obs-studio-25.0.8
2020-06-04 01:44:44+02	2020-06-04 01:50:39+02	multimedia	openshot	py37	openshot-2.5.1.7
2020-06-04 01:50:40+02	2020-06-04 01:53:46+02	net	ntopng	\N	ntopng-4.0.d20200530,1
2020-06-04 01:35:34+02	2020-06-04 01:54:31+02	graphics	krita	\N	krita-4.2.9_4
2020-06-04 01:50:10+02	2020-06-04 01:55:04+02	multimedia	shotcut	\N	shotcut-20.04.12_1
2020-06-04 01:53:47+02	2020-06-04 01:56:21+02	net	remmina-plugins	\N	remmina-plugins-1.3.9
2020-06-04 01:55:07+02	2020-06-04 01:56:38+02	net-mgmt	etherape	\N	etherape-0.9.18
2020-06-04 01:56:22+02	2020-06-04 01:58:02+02	net-mgmt	icingaweb2-module-businessprocess	php73	icingaweb2-module-businessprocess-php73-2.2.0_2
2020-06-04 01:56:39+02	2020-06-04 01:58:39+02	net-mgmt	icingaweb2-module-cube	php73	icingaweb2-module-cube-php73-1.1.0_1
2020-06-04 01:58:04+02	2020-06-04 01:59:51+02	net-mgmt	icingaweb2-module-elasticsearch	php73	icingaweb2-module-elasticsearch-php73-0.9.0_3
2020-06-04 01:58:41+02	2020-06-04 02:00:08+02	net-mgmt	icingaweb2-module-fileshipper	php73	icingaweb2-module-fileshipper-php73-1.1.0_3
2020-06-04 01:59:52+02	2020-06-04 02:01:17+02	net-mgmt	icingaweb2-module-generictts	php73	icingaweb2-module-generictts-php73-2.0.0_3
2020-06-04 02:00:09+02	2020-06-04 02:01:28+02	net-mgmt	icingaweb2-module-grafana	php73	icingaweb2-module-grafana-php73-1.3.6_1
2020-06-04 01:54:32+02	2020-06-04 02:01:41+02	net	wireshark	\N	wireshark-3.2.4
2020-06-04 02:01:18+02	2020-06-04 02:02:44+02	net-mgmt	icingaweb2-module-graphite	php73	icingaweb2-module-graphite-php73-1.1.0_3
2020-06-04 02:01:30+02	2020-06-04 02:03:03+02	net-mgmt	icingaweb2-module-map	php73	icingaweb2-module-map-php73-1.1.0_3
2020-06-04 02:01:43+02	2020-06-04 02:03:08+02	net-mgmt	icingaweb2-module-vsphere	php73	icingaweb2-module-vsphere-php73-1.1.0_4
2020-06-04 02:02:45+02	2020-06-04 02:04:16+02	ports-mgmt	porttree	\N	porttree-1.1.r114_1
2020-06-04 02:03:04+02	2020-06-04 02:07:46+02	print	auctex	full	auctex-emacs26-12.2
2020-06-04 02:04:17+02	2020-06-04 02:09:19+02	print	lyx	\N	lyx-2.3.4.2_1
2020-06-04 02:03:09+02	2020-06-04 02:10:15+02	print	fontforge	\N	fontforge-20190801_2
2020-06-04 02:09:20+02	2020-06-04 02:10:48+02	security	openconnect-gui	\N	openconnect-gui-1.4.1_3
2020-06-04 02:10:48+02	2020-06-04 02:11:57+02	sysutils	gkrellm2	\N	gkrellm2-2.3.11
2020-06-04 02:10:16+02	2020-06-04 02:12:04+02	sysutils	cpu-x	\N	cpu-x-4.0.0_1
2020-06-04 02:11:58+02	2020-06-04 02:13:21+02	textproc	py-qt5-xmlpatterns	py37	py37-qt5-xmlpatterns-5.13.1_1
2020-06-04 02:07:50+02	2020-06-04 02:15:18+02	print	texlive-full	\N	texlive-full-20150521
2020-06-04 02:13:25+02	2020-06-04 02:15:37+02	www	py-qt5-webengine	py37	py37-qt5-webengine-5.12.1_1
2020-06-04 02:15:21+02	2020-06-04 02:16:46+02	x11	cool-retro-term	\N	cool-retro-term-1.1.1_1
2020-06-04 02:16:47+02	2020-06-04 02:17:34+02	x11	xlockmore	\N	xlockmore-5.63
2020-06-04 02:15:39+02	2020-06-04 02:18:28+02	x11	mate	\N	mate-1.22.2
2020-06-04 02:17:35+02	2020-06-04 02:22:49+02	x11	xscreensaver	\N	xscreensaver-5.44
2020-06-04 02:22:53+02	2020-06-04 02:25:25+02	x11-fm	fsv2	\N	fsv2-1.1.0_1
2020-06-04 02:25:28+02	2020-06-04 02:26:10+02	x11-fm	xdiskusage	\N	xdiskusage-1.51_1
2020-06-04 02:26:12+02	2020-06-04 02:28:29+02	x11-toolkits	libgdiplus	\N	libgdiplus-5.6_2
2020-06-04 02:18:29+02	2020-06-04 02:28:31+02	x11-fm	doublecmd	gtk2	doublecmd-gtk2-0.9.8_2
2020-06-04 02:34:27+02	2020-06-04 02:34:50+02	graphics	drm-kmod	\N	drm-kmod-g20190710
2020-06-04 01:41:44+02	2020-06-04 03:14:02+02	lang	erlang-runtime23	\N	erlang-runtime23-23.0.2
2020-06-04 01:40:53+02	2020-06-04 03:43:55+02	lang	erlang-runtime22	\N	erlang-runtime22-22.3.4.1
2020-06-04 02:28:34+02	2020-06-04 03:56:31+02	editors	vscode	\N	vscode-1.45.1_1
2020-06-04 02:12:06+02	2020-06-04 05:31:33+02	www	firefox	\N	firefox-77.0.1,1
2020-06-03 22:01:16+02	2020-06-04 19:42:24+02	www	chromium	\N	chromium-83.0.4103.61
2020-06-04 19:42:25+02	2020-06-04 19:43:19+02	net-mgmt	icingaweb2-module-pdfexport	php73	icingaweb2-module-pdfexport-php73-0.9.0_2
2020-06-04 19:43:20+02	2020-06-04 19:44:15+02	net-mgmt	icingaweb2-module-reporting	php73	icingaweb2-module-reporting-php73-0.9.2_1
2020-06-04 19:44:15+02	2020-06-04 19:45:09+02	net-mgmt	icingaweb2-module-idoreports	php73	icingaweb2-module-idoreports-php73-0.9.0_2
2020-06-04 20:05:50+02	2020-06-04 20:20:50+02	local	E590T-localbase	\N	E590T-localbase-2020060200
2020-06-05 01:09:48+02	2020-06-05 01:09:56+02	misc	pciids	\N	pciids-20200529
2020-06-05 01:09:56+02	2020-06-05 01:10:19+02	devel	libpciaccess	\N	libpciaccess-0.16
2020-06-05 01:09:48+02	2020-06-05 01:10:27+02	graphics	lcms2	\N	lcms2-2.10
2020-06-05 01:09:48+02	2020-06-05 01:10:55+02	www	py-django22	py37	py37-django22-2.2.13
2020-06-05 01:10:20+02	2020-06-05 01:10:56+02	graphics	libdrm	\N	libdrm-2.4.102,1
2020-06-05 01:09:48+02	2020-06-05 01:11:28+02	www	libnghttp2	\N	libnghttp2-1.41.0
2020-06-05 01:10:56+02	2020-06-05 01:13:12+02	graphics	libraw	\N	libraw-0.19.5
2020-06-05 01:13:12+02	2020-06-05 01:13:43+02	multimedia	libva	\N	libva-2.7.1
2020-06-05 01:10:57+02	2020-06-05 01:16:34+02	graphics	mesa-libs	\N	mesa-libs-19.0.8
2020-06-05 01:13:45+02	2020-06-05 01:17:05+02	sysutils	hal	\N	hal-0.5.14_34
2020-06-05 01:10:28+02	2020-06-05 01:17:22+02	graphics	colord	\N	colord-1.3.5
2020-06-05 01:11:31+02	2020-06-05 01:17:24+02	ftp	curl	\N	curl-7.70.0_1
2020-06-05 01:17:06+02	2020-06-05 01:17:50+02	graphics	libepoxy	\N	libepoxy-1.5.4
2020-06-05 01:09:48+02	2020-06-05 01:20:07+02	security	gnutls	\N	gnutls-3.6.14
2020-06-05 01:17:51+02	2020-06-05 01:20:30+02	graphics	libGLU	\N	libGLU-9.0.1
2020-06-05 01:16:35+02	2020-06-05 01:22:21+02	graphics	cairo	\N	cairo-1.16.0,2
2020-06-05 01:20:32+02	2020-06-05 01:22:29+02	net	glib-networking	\N	glib-networking-2.56.1_2
2020-06-05 01:09:48+02	2020-06-05 01:24:17+02	devel	protobuf	\N	protobuf-3.12.2,1
2020-06-05 01:17:23+02	2020-06-05 01:24:27+02	x11-toolkits	qt5-gui	\N	qt5-gui-5.14.2
2020-06-05 01:24:18+02	2020-06-05 01:25:12+02	graphics	py-cairo	py37	py37-cairo-1.18.1_1
2020-06-05 01:22:32+02	2020-06-05 01:26:01+02	devel	libsoup	\N	libsoup-2.62.3
2020-06-05 01:20:12+02	2020-06-05 01:26:03+02	print	cups	\N	cups-2.2.13
2020-06-05 01:25:15+02	2020-06-05 01:26:22+02	x11	qt5-x11extras	\N	qt5-x11extras-5.14.2
2020-06-05 01:22:25+02	2020-06-05 01:27:20+02	x11-toolkits	pango	\N	pango-1.42.4_3
2020-06-05 01:24:29+02	2020-06-05 01:27:34+02	x11-toolkits	qt5-widgets	\N	qt5-widgets-5.14.2
2020-06-05 01:26:02+02	2020-06-05 01:29:15+02	devel	sdl12	\N	sdl-1.2.15_14,2
2020-06-05 01:27:20+02	2020-06-05 01:29:56+02	graphics	gtk-update-icon-cache	\N	gtk-update-icon-cache-2.24.32
2020-06-05 01:26:03+02	2020-06-05 01:30:46+02	print	ghostscript9-agpl-base	\N	ghostscript9-agpl-base-9.52_5
2020-06-05 01:29:16+02	2020-06-05 01:30:56+02	devel	qt5-help	\N	qt5-help-5.14.2
2020-06-05 01:27:38+02	2020-06-05 01:32:56+02	x11-toolkits	qt5-declarative	\N	qt5-declarative-5.14.2
2020-06-05 01:32:57+02	2020-06-05 01:35:12+02	print	qt5-printsupport	\N	qt5-printsupport-5.14.2
2020-06-05 01:29:57+02	2020-06-05 01:36:09+02	x11-themes	adwaita-icon-theme	\N	adwaita-icon-theme-3.28.0
2020-06-05 01:35:13+02	2020-06-05 01:36:27+02	print	ghostscript9-agpl-x11	\N	ghostscript9-agpl-x11-9.52
2020-06-05 01:36:12+02	2020-06-05 01:37:16+02	x11-toolkits	qt5-uiplugin	\N	qt5-uiplugin-5.14.2
2020-06-05 01:37:17+02	2020-06-05 01:38:15+02	devel	py-gobject3	py37	py37-gobject3-3.28.3
2020-06-05 01:36:28+02	2020-06-05 01:38:38+02	graphics	qt5-opengl	\N	qt5-opengl-5.14.2
2020-06-05 01:30:50+02	2020-06-05 01:39:09+02	graphics	graphviz	\N	graphviz-2.44.0_4
2020-06-05 01:38:16+02	2020-06-05 01:39:28+02	graphics	qt5-svg	\N	qt5-svg-5.14.2
2020-06-05 01:38:39+02	2020-06-05 01:39:28+02	ftp	php73-curl	\N	php73-curl-7.3.18
2020-06-05 01:26:23+02	2020-06-05 01:39:53+02	graphics	mesa-dri	\N	mesa-dri-19.0.8
2020-06-05 01:30:57+02	2020-06-05 01:39:59+02	x11-toolkits	gtk20	\N	gtk2-2.24.32
2020-06-05 01:39:29+02	2020-06-05 01:40:16+02	x11-toolkits	pangox-compat	\N	pangox-compat-0.0.2_2
2020-06-05 01:39:10+02	2020-06-05 01:40:51+02	lang	vala	\N	vala-0.40.15,1
2020-06-05 01:17:26+02	2020-06-05 01:40:57+02	devel	cmake	\N	cmake-3.17.3
2020-06-05 01:39:54+02	2020-06-05 01:41:09+02	devel	qscintilla2-qt5	\N	qscintilla2-qt5-2.11.4
2020-06-05 01:40:16+02	2020-06-05 01:41:10+02	audio	libcanberra	\N	libcanberra-0.30_5
2020-06-05 01:40:00+02	2020-06-05 01:41:20+02	devel	gconf2	\N	gconf2-3.2.6_5
2020-06-05 01:39:29+02	2020-06-05 01:41:30+02	graphics	graphene	\N	graphene-1.10.0
2020-06-05 01:41:09+02	2020-06-05 01:41:49+02	graphics	openjpeg15	\N	openjpeg15-1.5.2_1
2020-06-05 01:40:58+02	2020-06-05 01:41:54+02	graphics	openjpeg	\N	openjpeg-2.3.1
2020-06-05 01:41:11+02	2020-06-05 01:41:57+02	graphics	frei0r	\N	frei0r-1.6.1
2020-06-05 01:41:31+02	2020-06-05 01:42:02+02	www	libwpe	\N	libwpe-1.4.0.1
2020-06-05 01:40:52+02	2020-06-05 01:42:06+02	graphics	librsvg2	\N	librsvg2-2.40.21
2020-06-05 01:41:55+02	2020-06-05 01:42:56+02	graphics	poppler	\N	poppler-0.89.0_1
2020-06-05 01:41:58+02	2020-06-05 01:43:18+02	devel	kf5-kconfig	\N	kf5-kconfig-5.70.0
2020-06-05 01:41:51+02	2020-06-05 01:43:29+02	devel	tex-web2c	\N	tex-web2c-20150521_3
2020-06-05 01:42:02+02	2020-06-05 01:44:35+02	graphics	gstreamer1-plugins-gl	\N	gstreamer1-plugins-gl-1.16.2
2020-06-05 01:43:19+02	2020-06-05 01:45:22+02	net	geoclue	\N	geoclue-2.5.5
2020-06-05 01:43:30+02	2020-06-05 01:45:41+02	print	tex-basic-engines	\N	tex-basic-engines-20150521
2020-06-05 01:45:23+02	2020-06-05 01:45:55+02	www	wpebackend-fdo	\N	wpebackend-fdo-1.4.1
2020-06-05 01:45:56+02	2020-06-05 01:48:22+02	devel	kf5-ki18n	\N	kf5-ki18n-5.70.0
2020-06-05 01:41:25+02	2020-06-05 01:49:07+02	graphics	opencv-core	\N	opencv-core-3.4.1_32
2020-06-05 01:45:42+02	2020-06-05 01:49:19+02	x11-toolkits	wxgtk28-common	\N	wx28-gtk2-common-2.8.12_8
2020-06-05 01:48:22+02	2020-06-05 01:49:59+02	devel	kf5-kdoctools	\N	kf5-kdoctools-5.70.0
2020-06-05 01:42:56+02	2020-06-05 01:50:33+02	graphics	ImageMagick7	\N	ImageMagick7-7.0.10.6
2020-06-05 01:49:20+02	2020-06-05 01:50:38+02	devel	py-qt5-core	py37	py37-qt5-core-5.13.1_1
2020-06-05 01:50:01+02	2020-06-05 01:50:58+02	devel	qt5-uitools	\N	qt5-uitools-5.14.2
2020-06-05 01:50:33+02	2020-06-05 01:51:39+02	graphics	pecl-imagick-im7	php73	php73-pecl-imagick-im7-3.4.4
2020-06-05 01:50:39+02	2020-06-05 01:51:44+02	x11	kf5-kwindowsystem	\N	kf5-kwindowsystem-5.70.0
2020-06-05 01:44:36+02	2020-06-05 01:52:19+02	print	texlive-base	\N	texlive-base-20150521_52
2020-06-05 01:42:06+02	2020-06-05 01:52:24+02	x11-toolkits	gtk30	\N	gtk3-3.24.10_1
2020-06-05 01:51:40+02	2020-06-05 01:53:18+02	net-mgmt	icingaweb2	php73	icingaweb2-php73-2.7.3_3
2020-06-05 01:51:00+02	2020-06-05 01:53:47+02	x11-servers	xorg-server	\N	xorg-server-1.20.8_1,1
2020-06-05 01:52:28+02	2020-06-05 01:54:48+02	x11	mate-desktop	\N	mate-desktop-1.22.2
2020-06-05 01:51:44+02	2020-06-05 01:54:57+02	x11-toolkits	wxgtk28	\N	wx28-gtk2-2.8.12_8
2020-06-05 01:54:58+02	2020-06-05 01:55:10+02	devel	libpci	\N	libpci-3.7.0
2020-06-05 01:53:19+02	2020-06-05 01:55:11+02	audio	libcanberra-gtk3	\N	libcanberra-gtk3-0.30_5
2020-06-05 01:55:13+02	2020-06-05 01:56:29+02	graphics	poppler-glib	\N	poppler-glib-0.89.0_1
2020-06-05 01:55:11+02	2020-06-05 01:57:11+02	devel	sdl20	\N	sdl2-2.0.10_1
2020-06-05 01:56:30+02	2020-06-05 01:58:59+02	x11-toolkits	kf5-kwidgetsaddons	\N	kf5-kwidgetsaddons-5.70.0
2020-06-05 01:54:50+02	2020-06-05 01:59:26+02	x11-toolkits	vte3	\N	vte3-0.52.2_3
2020-06-05 01:57:14+02	2020-06-05 01:59:26+02	devel	kf5-kcrash	\N	kf5-kcrash-5.70.0
2020-06-05 01:59:27+02	2020-06-05 01:59:59+02	multimedia	smpeg	\N	smpeg-0.4.4_15
2020-06-05 01:59:01+02	2020-06-05 02:00:15+02	devel	kf5-kdbusaddons	\N	kf5-kdbusaddons-5.70.0
2020-06-05 01:59:27+02	2020-06-05 02:00:34+02	graphics	qt5-imageformats	\N	qt5-imageformats-5.14.2
2020-06-05 02:00:15+02	2020-06-05 02:01:11+02	sysutils	polkit-qt	\N	polkit-qt-1-0.113.0_8
2020-06-05 02:00:01+02	2020-06-05 02:01:14+02	net	avahi-gtk3	\N	avahi-gtk3-0.7_1
2020-06-05 02:00:35+02	2020-06-05 02:01:27+02	www	qt5-webchannel	\N	qt5-webchannel-5.14.2
2020-06-05 01:49:08+02	2020-06-05 02:01:47+02	multimedia	ffmpeg	\N	ffmpeg-4.2.3,1
2020-06-05 02:01:15+02	2020-06-05 02:02:37+02	devel	kf5-kauth	\N	kf5-kauth-5.70.0
2020-06-05 02:01:27+02	2020-06-05 02:03:01+02	devel	kf5-kservice	\N	kf5-kservice-5.70.0
2020-06-05 02:01:11+02	2020-06-05 02:03:31+02	databases	mysql57-client	\N	mysql57-client-5.7.30_2
2020-06-05 02:01:48+02	2020-06-05 02:03:56+02	devel	qt5-location	\N	qt5-location-5.14.2
2020-06-05 02:02:37+02	2020-06-05 02:04:02+02	net	remmina	\N	remmina-1.3.9
2020-06-05 02:03:32+02	2020-06-05 02:04:18+02	x11	mate-menus	\N	mate-menus-1.22.1_1
2020-06-05 01:53:48+02	2020-06-05 02:04:19+02	www	webkit2-gtk3	\N	webkit2-gtk3-2.28.1_1
2020-06-05 02:03:58+02	2020-06-05 02:04:59+02	x11-toolkits	kf5-kguiaddons	\N	kf5-kguiaddons-5.70.0
2020-06-05 02:04:03+02	2020-06-05 02:04:59+02	accessibility	qt5-speech	\N	qt5-speech-5.14.2
2020-06-05 02:03:02+02	2020-06-05 02:05:07+02	security	gcr	\N	gcr-3.28.0
2020-06-05 02:04:20+02	2020-06-05 02:05:27+02	x11-toolkits	kf5-kitemviews	\N	kf5-kitemviews-5.70.0
2020-06-05 02:05:28+02	2020-06-05 02:06:41+02	graphics	cairomm	\N	cairomm-1.12.2_4
2020-06-05 02:04:59+02	2020-06-05 02:06:42+02	x11-toolkits	kf5-kconfigwidgets	\N	kf5-kconfigwidgets-5.70.0
2020-06-05 02:04:59+02	2020-06-05 02:07:07+02	x11-toolkits	libwnck3	\N	libwnck3-3.24.1
2020-06-05 02:06:41+02	2020-06-05 02:07:16+02	graphics	freeglut	\N	freeglut-3.0.0_2
2020-06-05 02:06:43+02	2020-06-05 02:07:21+02	graphics	sdl_image	\N	sdl_image-1.2.12_12
2020-06-05 02:07:08+02	2020-06-05 02:08:23+02	multimedia	gstreamer1-libav	\N	gstreamer1-libav-1.16.2
2020-06-05 02:07:17+02	2020-06-05 02:08:25+02	net	py-qt5-network	py37	py37-qt5-network-5.13.1_1
2020-06-05 02:05:08+02	2020-06-05 02:09:27+02	x11-toolkits	py-qt5-gui	py37	py37-qt5-gui-5.13.1_1
2020-06-05 02:07:22+02	2020-06-05 02:10:31+02	security	gnupg	\N	gnupg-2.2.20
2020-06-05 02:08:23+02	2020-06-05 02:10:36+02	x11-themes	kf5-kiconthemes	\N	kf5-kiconthemes-5.70.0
2020-06-05 02:10:38+02	2020-06-05 02:11:07+02	graphics	py-cairo	py27	py27-cairo-1.18.1_1
2020-06-05 02:09:28+02	2020-06-05 02:11:49+02	x11-toolkits	gstreamer1-plugins-pango	\N	gstreamer1-plugins-pango-1.16.2
2020-06-05 02:10:32+02	2020-06-05 02:12:04+02	comms	qt5-sensors	\N	qt5-sensors-5.14.2
2020-06-05 02:11:51+02	2020-06-05 02:12:57+02	multimedia	gstreamer1-plugins-core	\N	gstreamer1-plugins-core-1.16
2020-06-05 02:08:26+02	2020-06-05 02:13:09+02	x11-themes	mate-icon-theme	\N	mate-icon-theme-1.22.2
2020-06-05 02:11:08+02	2020-06-05 02:13:59+02	math	gnuplot	\N	gnuplot-5.2.8_1
2020-06-05 02:12:57+02	2020-06-05 02:14:11+02	security	gpgme	\N	gpgme-1.13.1
2020-06-05 02:13:10+02	2020-06-05 02:14:55+02	textproc	kf5-sonnet	\N	kf5-sonnet-5.70.0
2020-06-05 02:14:02+02	2020-06-05 02:15:32+02	x11-toolkits	kf5-kcompletion	\N	kf5-kcompletion-5.70.0
2020-06-05 02:14:12+02	2020-06-05 02:15:58+02	x11-toolkits	pangomm	\N	pangomm-2.40.1_4
2020-06-05 02:16:00+02	2020-06-05 02:17:17+02	databases	fpc-mysql	\N	fpc-mysql-3.0.4_4
2020-06-05 02:15:32+02	2020-06-05 02:17:23+02	audio	sdl_mixer	\N	sdl_mixer-1.2.12_12
2020-06-05 02:14:57+02	2020-06-05 02:17:28+02	x11-toolkits	py-qt5-widgets	py37	py37-qt5-widgets-5.13.1_1
2020-06-05 02:17:18+02	2020-06-05 02:18:50+02	devel	libdbusmenu-qt	\N	libdbusmenu-qt5-0.9.3.160420160218_10
2020-06-05 02:17:30+02	2020-06-05 02:19:15+02	multimedia	phonon	\N	phonon-qt5-4.11.1
2020-06-05 02:17:25+02	2020-06-05 02:19:43+02	devel	libsoup-gnome	\N	libsoup-gnome-2.62.3
2020-06-05 02:18:52+02	2020-06-05 02:22:07+02	multimedia	qt5-multimedia	\N	qt5-multimedia-5.14.2
2020-06-05 02:19:44+02	2020-06-05 02:23:06+02	security	gpgme-cpp	\N	gpgme-cpp-1.13.1
2020-06-05 01:52:19+02	2020-06-05 02:23:14+02	print	texlive-texmf	\N	texlive-texmf-20150523_4
2020-06-05 02:12:05+02	2020-06-05 02:24:52+02	net	libmateweather	\N	libmateweather-1.22.1
2020-06-05 02:19:15+02	2020-06-05 02:25:08+02	multimedia	webcamd	\N	webcamd-5.7.1.1_1
2020-06-05 02:23:08+02	2020-06-05 02:25:45+02	x11	kf5-kglobalaccel	\N	kf5-kglobalaccel-5.70.0
2020-06-05 02:25:47+02	2020-06-05 02:27:44+02	x11-toolkits	kf5-attica	\N	kf5-attica-5.70.0
2020-06-05 02:23:19+02	2020-06-05 02:29:46+02	print	tex-formats	\N	tex-formats-20150521_2
2020-06-05 02:27:45+02	2020-06-05 02:31:01+02	x11-toolkits	kf5-ktextwidgets	\N	kf5-ktextwidgets-5.70.0
2020-06-05 02:29:52+02	2020-06-05 02:33:17+02	devel	kf5-knotifications	\N	kf5-knotifications-5.70.0
2020-06-05 02:31:04+02	2020-06-05 02:33:25+02	devel	librest	\N	rest-0.7.93
2020-06-05 02:25:10+02	2020-06-05 02:33:58+02	x11	mate-panel	\N	mate-panel-1.22.2
2020-06-05 02:33:18+02	2020-06-05 02:35:16+02	devel	qt5-assistant	\N	qt5-assistant-5.14.2
2020-06-05 02:33:59+02	2020-06-05 02:36:02+02	graphics	poppler-utils	\N	poppler-utils-0.89.0_1
2020-06-05 02:22:10+02	2020-06-05 02:36:04+02	www	qt5-webkit	\N	qt5-webkit-5.212.0.a4_2
2020-06-05 02:33:27+02	2020-06-05 02:36:41+02	graphics	netpbm	\N	netpbm-10.90.03
2020-06-05 02:35:18+02	2020-06-05 02:38:10+02	security	gpgme-qt5	\N	gpgme-qt5-1.13.1
2020-06-05 02:36:05+02	2020-06-05 02:38:19+02	security	pinentry-qt5	\N	pinentry-qt5-1.1.0_1
2020-06-05 02:36:04+02	2020-06-05 02:38:28+02	security	pinentry-gnome3	\N	pinentry-gnome3-1.1.0
2020-06-05 02:38:12+02	2020-06-05 02:39:39+02	x11	babl	\N	babl-0.1.74
2020-06-05 02:38:30+02	2020-06-05 02:39:41+02	x11	xdriinfo	\N	xdriinfo-1.0.6_3
2020-06-05 02:24:55+02	2020-06-05 02:40:37+02	print	tex-dvipsk	\N	tex-dvipsk-5.995_2
2020-06-05 02:39:44+02	2020-06-05 02:43:07+02	x11-drivers	xf86-input-keyboard	\N	xf86-input-keyboard-1.9.0_4
2020-06-05 02:38:21+02	2020-06-05 02:43:23+02	x11	libmatekbd	\N	libmatekbd-1.22.0
2020-06-05 02:39:44+02	2020-06-05 02:43:37+02	x11-drivers	xf86-input-evdev	\N	xf86-input-evdev-2.10.6_5
2020-06-05 02:43:25+02	2020-06-05 02:46:41+02	x11-drivers	xf86-input-mouse	\N	xf86-input-mouse-1.9.3_3
2020-06-05 02:43:11+02	2020-06-05 02:46:48+02	x11-drivers	xf86-input-libinput	\N	xf86-input-libinput-0.30.0
2020-06-05 02:43:39+02	2020-06-05 02:47:03+02	x11-drivers	xf86-video-amdgpu	\N	xf86-video-amdgpu-19.1.0_1
2020-06-05 02:40:41+02	2020-06-05 02:49:45+02	devel	doxygen	\N	doxygen-1.8.15_3,2
2020-06-05 02:46:50+02	2020-06-05 02:50:12+02	x11-drivers	xf86-video-scfb	\N	xf86-video-scfb-0.0.5_2
2020-06-05 02:47:06+02	2020-06-05 02:50:14+02	x11-drivers	xf86-video-vesa	\N	xf86-video-vesa-2.4.0_3
2020-06-05 02:46:47+02	2020-06-05 02:53:33+02	x11-drivers	xf86-video-intel	\N	xf86-video-intel-2.99.917.20181203_1
2020-06-05 02:50:17+02	2020-06-05 02:53:46+02	x11-toolkits	libunique3	\N	libunique-3.0.2_3
2020-06-05 02:50:14+02	2020-06-05 02:53:50+02	x11-toolkits	kf5-kxmlgui	\N	kf5-kxmlgui-5.70.0
2020-06-05 02:53:51+02	2020-06-05 02:57:59+02	devel	kf5-solid	\N	kf5-solid-5.70.0
2020-06-05 02:53:55+02	2020-06-05 02:58:40+02	devel	kf5-kbookmarks	\N	kf5-kbookmarks-5.70.0
2020-06-05 02:49:50+02	2020-06-05 03:01:23+02	x11-fm	caja	\N	caja-1.22.3
2020-06-05 02:58:02+02	2020-06-05 03:01:53+02	devel	libglade2	\N	libglade2-2.6.4_10
2020-06-05 02:53:35+02	2020-06-05 03:03:36+02	x11-toolkits	wxgtk28-contrib-common	\N	wx28-gtk2-contrib-common-2.8.12_8
2020-06-05 02:58:43+02	2020-06-05 03:04:06+02	devel	qt5-designer	\N	qt5-designer-5.14.2
2020-06-05 03:01:29+02	2020-06-05 03:06:44+02	graphics	gegl	\N	gegl-0.4.22_6
2020-06-05 03:01:56+02	2020-06-05 03:08:23+02	graphics	libcdr01	\N	libcdr01-0.1.5_8
2020-06-05 03:08:28+02	2020-06-05 03:10:58+02	net	liboauth	\N	liboauth-1.0.3_4
2020-06-05 03:06:48+02	2020-06-05 03:21:38+02	net	gnome-online-accounts	\N	gnome-online-accounts-3.28.0_2
2020-06-05 03:21:42+02	2020-06-05 03:24:34+02	net	sdl_net	\N	sdl_net-1.2.8_3
2020-06-05 03:03:38+02	2020-06-05 03:26:20+02	graphics	tesseract	\N	tesseract-4.1.1_2
2020-06-05 03:26:25+02	2020-06-05 03:29:20+02	print	py-qt5-printsupport	py37	py37-qt5-printsupport-5.13.1_1
2020-06-05 03:24:37+02	2020-06-05 03:30:14+02	net	uhttpmock	\N	uhttpmock-0.5.1_1
2020-06-05 03:30:20+02	2020-06-05 03:39:44+02	sysutils	kf5-kwallet	\N	kf5-kwallet-5.70.0
2020-06-05 03:40:00+02	2020-06-05 03:59:59+02	sysutils	policykit-gnome	\N	policykit-gnome-0.9.2_9
2020-06-05 03:29:22+02	2020-06-05 04:06:00+02	security	gnome-keyring	\N	gnome-keyring-3.28.2_2
2020-06-05 04:00:11+02	2020-06-05 04:06:45+02	textproc	raptor2	\N	raptor2-2.0.15_14
2020-06-05 03:04:10+02	2020-06-05 04:06:58+02	mail	mailutils	\N	mailutils-3.9
2020-06-05 04:06:47+02	2020-06-05 04:08:10+02	x11	xorg-apps	\N	xorg-apps-7.7_4
2020-06-05 03:11:03+02	2020-06-05 04:09:18+02	net	samba410	\N	samba410-4.10.15
2020-06-05 04:06:04+02	2020-06-05 04:09:21+02	x11	kf5-kded	\N	kf5-kded-5.70.0_1
2020-06-05 04:08:13+02	2020-06-05 04:10:59+02	x11-drivers	xorg-drivers	\N	xorg-drivers-7.7_6
2020-06-05 04:07:00+02	2020-06-05 04:11:50+02	x11	zenity	\N	zenity-3.28.1
2020-06-05 04:11:03+02	2020-06-05 04:12:50+02	x11-toolkits	kf5-kjobwidgets	\N	kf5-kjobwidgets-5.70.0
2020-06-05 02:36:42+02	2020-06-05 04:13:41+02	www	node	\N	node-13.14.0
2020-06-05 04:09:33+02	2020-06-05 04:14:21+02	x11-toolkits	gtkmm30	\N	gtkmm30-3.22.2
2020-06-05 04:11:51+02	2020-06-05 04:16:59+02	x11-toolkits	wxgtk28-contrib	\N	wx28-gtk2-contrib-2.8.12_8
2020-06-05 04:09:33+02	2020-06-05 04:17:17+02	x11-servers	xorg-vfbserver	\N	xorg-vfbserver-1.20.8_1,1
2020-06-05 04:12:52+02	2020-06-05 04:19:43+02	devel	git	\N	git-2.27.0
2020-06-05 04:17:23+02	2020-06-05 04:20:18+02	devel	py-gobject	py27	py27-gobject-2.28.6_8
2020-06-05 04:20:22+02	2020-06-05 04:20:50+02	ftp	fpc-libcurl	\N	fpc-libcurl-3.0.4_4
2020-06-05 04:14:23+02	2020-06-05 04:20:58+02	devel	libgdata	\N	libgdata-0.17.9
2020-06-05 04:13:45+02	2020-06-05 04:21:00+02	devel	kf5-kio	\N	kf5-kio-5.70.1_1
2020-06-05 04:17:02+02	2020-06-05 04:21:20+02	devel	libpeas	\N	libpeas-1.22.0
2020-06-05 04:21:02+02	2020-06-05 04:21:23+02	graphics	glew	\N	glew-2.1.0
2020-06-05 04:20:51+02	2020-06-05 04:21:27+02	graphics	fpc-cairo	\N	fpc-cairo-3.0.4_4
2020-06-05 04:21:24+02	2020-06-05 04:22:58+02	graphics	movit	\N	movit-1.6.2_2
2020-06-05 04:21:21+02	2020-06-05 04:23:08+02	graphics	libfreehand	\N	libfreehand-0.1.2_18
2020-06-05 04:23:09+02	2020-06-05 04:24:02+02	graphics	sdl2_image	\N	sdl2_image-2.0.5
2020-06-05 04:22:59+02	2020-06-05 04:24:41+02	graphics	py-pillow	py37	py37-pillow-7.0.0
2020-06-05 04:24:04+02	2020-06-05 04:24:56+02	graphics	sdl_ttf	\N	sdl_ttf-2.0.11_7
2020-06-05 04:24:41+02	2020-06-05 04:25:24+02	net	gssdp	\N	gssdp-1.2.2
2020-06-05 04:24:57+02	2020-06-05 04:26:51+02	net-mgmt	icingaweb2-module-ipl	php73	icingaweb2-module-ipl-php73-0.4.0_1
2020-06-05 04:25:25+02	2020-06-05 04:29:48+02	print	cups-filters	\N	cups-filters-1.27.4_2
2020-06-05 04:19:44+02	2020-06-05 04:29:55+02	editors	emacs	full	emacs-26.3_4,3
2020-06-05 04:21:28+02	2020-06-05 04:31:31+02	graphics	opencv	\N	opencv-3.4.1_32
2020-06-05 04:29:50+02	2020-06-05 04:32:08+02	sysutils	gnome-mount	\N	gnome-mount-0.8_13
2020-06-05 04:31:32+02	2020-06-05 04:33:32+02	textproc	rasqal	\N	rasqal-0.9.33_1
2020-06-05 04:29:56+02	2020-06-05 04:34:02+02	sysutils	mate-settings-daemon	\N	mate-settings-daemon-1.22.1
2020-06-05 04:32:09+02	2020-06-05 04:45:33+02	www	apache24	\N	apache24-2.4.43
2020-06-05 04:26:53+02	2020-06-05 04:45:45+02	print	tex-luatex	\N	tex-luatex-0.80.0_18
2020-06-05 04:21:00+02	2020-06-05 04:46:49+02	graphics	gimp-app	\N	gimp-app-2.10.18_7,1
2020-06-05 04:45:48+02	2020-06-05 04:53:38+02	x11	mate-session-manager	\N	mate-session-manager-1.22.3
2020-06-05 04:46:52+02	2020-06-05 04:54:14+02	x11	xorg	\N	xorg-7.7_3
2020-06-05 04:54:17+02	2020-06-05 05:01:45+02	x11-themes	gtk-engines2	\N	gtk-engines2-2.20.2_3
2020-06-05 04:53:42+02	2020-06-05 05:03:14+02	x11	yelp	\N	yelp-3.28.1_2
2020-06-05 05:01:55+02	2020-06-05 05:05:53+02	x11-themes	gtk-murrine-engine	\N	gtk-murrine-engine-0.98.2_5
2020-06-05 05:05:55+02	2020-06-05 05:10:26+02	x11-toolkits	qt5-quickcontrols	\N	qt5-quickcontrols-5.14.2
2020-06-05 05:03:18+02	2020-06-05 05:12:52+02	x11-toolkits	gtksourceview3	\N	gtksourceview3-3.24.8_3
2020-06-05 05:12:54+02	2020-06-05 05:18:41+02	audio	sdl_sound	\N	sdl_sound-1.0.3_14
2020-06-05 05:10:34+02	2020-06-05 05:21:42+02	x11-wm	marco	\N	marco-1.22.4
2020-06-05 05:21:45+02	2020-06-05 05:27:26+02	deskutils	mate-notification-daemon	\N	mate-notification-daemon-1.22.1
2020-06-05 05:18:42+02	2020-06-05 05:28:37+02	deskutils	gucharmap	\N	gucharmap-11.0.1_1
2020-06-05 04:45:38+02	2020-06-05 05:34:53+02	www	qt5-webengine	\N	qt5-webengine-5.14.2
2020-06-05 05:34:58+02	2020-06-05 05:38:19+02	devel	py-gobject3	py27	py27-gobject3-3.28.3
2020-06-05 05:28:41+02	2020-06-05 05:40:04+02	devel	gvfs	\N	gvfs-1.30.4_3
2020-06-05 05:27:30+02	2020-06-05 05:40:33+02	deskutils	spice-gtk	\N	spice-gtk-0.37
2020-06-05 05:40:07+02	2020-06-05 05:41:17+02	graphics	fpc-opengl	\N	fpc-opengl-3.0.4_4
2020-06-05 05:38:21+02	2020-06-05 05:42:05+02	graphics	djvulibre	\N	djvulibre-3.5.27_2
2020-06-05 05:42:07+02	2020-06-05 05:43:45+02	graphics	libgxps	\N	libgxps-0.3.1
2020-06-05 05:41:21+02	2020-06-05 05:44:10+02	graphics	libgltf	\N	libgltf-0.0.2_21
2020-06-05 05:40:37+02	2020-06-05 05:45:03+02	graphics	frei0r-plugins-opencv	\N	frei0r-plugins-opencv-1.6.1_1
2020-06-05 05:44:12+02	2020-06-05 05:45:49+02	graphics	py-pygraphviz	py37	py37-pygraphviz-1.5
2020-06-05 05:45:09+02	2020-06-05 05:47:42+02	graphics	py-qt5-svg	py37	py37-qt5-svg-5.13.1_1
2020-06-05 05:43:49+02	2020-06-05 05:48:21+02	graphics	poppler-qt5	\N	poppler-qt5-0.89.0_1
2020-06-05 05:47:45+02	2020-06-05 05:50:04+02	graphics	qt5-graphicaleffects	\N	qt5-graphicaleffects-5.14.2
2020-06-05 05:48:23+02	2020-06-05 05:51:01+02	lang	py-qt5-qml	py37	py37-qt5-qml-5.13.1_1
2020-06-05 05:45:52+02	2020-06-05 05:51:31+02	graphics	qt5-3d	\N	qt5-3d-5.14.2
2020-06-05 05:51:35+02	2020-06-05 05:55:34+02	multimedia	cmrt	\N	cmrt-1.0.6_2
2020-06-05 05:55:41+02	2020-06-05 06:01:03+02	multimedia	mlt	\N	mlt-6.20.0
2020-06-05 06:01:05+02	2020-06-05 06:05:16+02	net	freerdp	\N	freerdp-2.0.0.r4_9
2020-06-05 06:05:20+02	2020-06-05 06:07:03+02	net	gupnp	\N	gupnp-1.1.1_1
2020-06-05 04:33:33+02	2020-06-05 06:11:35+02	www	chromium	\N	chromium-83.0.4103.61
2020-06-05 06:11:41+02	2020-06-05 06:15:06+02	net	remmina-plugin-exec	\N	remmina-plugin-exec-1.3.9
2020-06-05 05:51:02+02	2020-06-05 06:15:16+02	misc	mate-user-guide	\N	mate-user-guide-1.22.3
2020-06-05 06:15:19+02	2020-06-05 06:18:14+02	net-mgmt	icingaweb2-module-reactbundle	php73	icingaweb2-module-reactbundle-php73-0.7.0_1
2020-06-05 06:15:09+02	2020-06-05 06:20:14+02	net-mgmt	icingaweb2-module-pdfexport	php73	icingaweb2-module-pdfexport-php73-0.9.0_2
2020-06-05 06:20:21+02	2020-06-05 06:24:08+02	print	libspectre	\N	libspectre-0.2.8
2020-06-05 04:34:04+02	2020-06-05 06:30:16+02	www	node12	\N	node12-12.16.3
2020-06-05 06:07:06+02	2020-06-05 06:33:28+02	net	libcmis	\N	libcmis-0.5.2_1
2020-06-05 06:18:17+02	2020-06-05 06:34:02+02	print	gutenprint	\N	gutenprint-5.3.3
2020-06-05 06:33:30+02	2020-06-05 06:34:27+02	sysutils	hal-info	\N	hal-info-20091130
2020-06-05 05:50:10+02	2020-06-05 06:35:19+02	math	R	\N	R-4.0.0_1
2020-06-05 06:34:28+02	2020-06-05 06:36:24+02	sysutils	mate-polkit	\N	mate-polkit-1.22.0
2020-06-05 06:35:21+02	2020-06-05 06:37:58+02	textproc	redland	\N	redland-1.0.17_4
2020-06-05 06:24:13+02	2020-06-05 06:40:34+02	print	tex-dvipdfmx	\N	tex-dvipdfmx-20150315_1
2020-06-05 06:37:59+02	2020-06-05 06:41:18+02	www	py-qt5-webkit	py37	py37-qt5-webkit-5.13.1_1
2020-06-05 06:34:03+02	2020-06-05 06:42:43+02	sysutils	mate-control-center	\N	mate-control-center-1.22.2
2020-06-05 06:30:19+02	2020-06-05 06:43:55+02	print	tex-xmltex	\N	tex-xmltex-1.9_2
2020-06-05 06:42:46+02	2020-06-05 06:44:38+02	x11-toolkits	fpc-gtk2	\N	fpc-gtk2-3.0.4_4
2020-06-05 06:41:21+02	2020-06-05 06:47:03+02	x11-themes	mate-themes	\N	mate-themes-3.22.14
2020-06-05 06:43:57+02	2020-06-05 06:47:05+02	x11-toolkits	py-gtk2	py27	py27-gtk2-2.24.0_5
2020-06-05 06:47:09+02	2020-06-05 06:48:47+02	audio	faudio	\N	FAudio-20.06
2020-06-05 06:40:37+02	2020-06-05 06:49:28+02	x11-servers	xephyr	\N	xephyr-1.20.8_1,1
2020-06-05 06:48:50+02	2020-06-05 06:55:05+02	audio	mate-media	\N	mate-media-1.22.2
2020-06-05 06:47:04+02	2020-06-05 06:56:31+02	archivers	engrampa	\N	engrampa-1.22.2
2020-06-05 06:49:31+02	2020-06-05 06:57:25+02	databases	rrdtool	\N	rrdtool-1.7.2_2
2020-06-05 06:44:41+02	2020-06-05 06:58:44+02	x11-toolkits	wxgtk30	\N	wx30-gtk3-3.0.5.1
2020-06-05 06:57:30+02	2020-06-05 07:00:21+02	deskutils	mozo	\N	mozo-1.22.2
2020-06-05 06:58:47+02	2020-06-05 07:00:35+02	devel	R-cran-rstudioapi	\N	R-cran-rstudioapi-0.11_1
2020-06-05 06:55:11+02	2020-06-05 07:01:06+02	deskutils	caja-extensions	\N	caja-extensions-1.22.1
2020-06-05 07:00:22+02	2020-06-05 07:01:50+02	devel	flatzebra	\N	flatzebra-0.1.7
2020-06-05 07:01:53+02	2020-06-05 07:04:36+02	devel	py-game	py37	py37-game-1.9.6_1
2020-06-05 07:00:37+02	2020-06-05 07:05:43+02	devel	ode	\N	ode-0.13_4,1
2020-06-05 07:01:08+02	2020-06-05 07:09:52+02	devel	protobuf-c	\N	protobuf-c-1.3.2_5
2020-06-05 06:56:35+02	2020-06-05 07:10:50+02	deskutils	mate-utils	\N	mate-utils-1.22.2
2020-06-05 07:10:51+02	2020-06-05 07:12:38+02	emulators	dosbox	\N	dosbox-0.74.3_1
2020-06-05 07:09:55+02	2020-06-05 07:24:38+02	editors	pluma	\N	pluma-1.22.2
2020-06-05 07:12:41+02	2020-06-05 07:25:15+02	graphics	GraphicsMagick	\N	GraphicsMagick-1.3.35,1
2020-06-05 07:25:17+02	2020-06-05 07:36:48+02	graphics	eom	\N	eom-1.22.2
2020-06-05 07:24:42+02	2020-06-05 07:40:40+02	graphics	atril	\N	atril-1.22.3_6
2020-06-05 07:36:52+02	2020-06-05 07:40:49+02	graphics	frei0r-plugins	\N	frei0r-plugins-1.6.1_1
2020-06-05 07:40:50+02	2020-06-05 07:44:32+02	graphics	gle	\N	gle-3.1.0_7
2020-06-05 07:40:42+02	2020-06-05 07:44:44+02	graphics	ftgl	\N	ftgl-2.1.3.r5_6,1
2020-06-05 07:44:33+02	2020-06-05 07:46:39+02	graphics	gltt	\N	gltt-2.5.2_14
2020-06-05 07:46:44+02	2020-06-05 07:48:06+02	graphics	libplacebo	\N	libplacebo-2.43.1
2020-06-05 07:44:47+02	2020-06-05 07:49:02+02	graphics	goocanvas2	\N	goocanvas2-2.0.4
2020-06-05 06:36:27+02	2020-06-05 07:49:49+02	www	node10	\N	node10-10.20.1_1
2020-06-05 07:49:03+02	2020-06-05 07:50:44+02	graphics	sdl_gfx	\N	sdl_gfx-2.0.26
2020-06-05 07:48:08+02	2020-06-05 07:54:21+02	graphics	py-gimp	\N	py27-gimp-2.10.18_7
2020-06-05 07:04:39+02	2020-06-05 08:08:23+02	editors	lazarus	\N	lazarus-gtk2-2.0.8
2020-06-05 07:05:46+02	2020-06-05 08:13:53+02	editors	libreoffice	\N	libreoffice-6.3.6_1
2020-06-05 07:50:45+02	2020-06-05 08:36:10+02	java	openjdk11	\N	openjdk11-11.0.7+10.2
2020-06-05 08:36:12+02	2020-06-05 08:38:11+02	math	py-networkx	py37	py37-networkx-2.1,1
2020-06-05 08:38:12+02	2020-06-05 08:40:25+02	multimedia	libopenshot	py37	py37-libopenshot-0.2.5.4
2020-06-05 08:40:26+02	2020-06-05 08:41:20+02	multimedia	libva-intel-hybrid-driver	\N	libva-intel-hybrid-driver-1.0.2_2
2020-06-05 02:04:19+02	2020-06-05 08:45:34+02	lang	rust	\N	rust-1.44.0
2020-06-05 08:45:36+02	2020-06-05 08:52:18+02	devel	rust-cbindgen	\N	rust-cbindgen-0.14.2_1
2020-06-05 08:52:19+02	2020-06-05 08:53:52+02	multimedia	webvfx-qt5	\N	webvfx-qt5-0.4.4.20160823_12
2020-06-05 08:53:53+02	2020-06-05 08:54:57+02	net	remmina-plugin-nx	\N	remmina-plugin-nx-1.3.9
2020-06-05 08:41:20+02	2020-06-05 08:55:21+02	multimedia	vlc	\N	vlc-3.0.10_5,4
2020-06-05 08:54:58+02	2020-06-05 08:56:05+02	net	remmina-plugin-rdp	\N	remmina-plugin-rdp-1.3.9
2020-06-05 08:55:22+02	2020-06-05 08:56:27+02	net	remmina-plugin-secret	\N	remmina-plugin-secret-1.3.9
2020-06-05 08:56:06+02	2020-06-05 08:57:16+02	net	remmina-plugin-spice	\N	remmina-plugin-spice-1.3.9
2020-06-05 07:54:32+02	2020-06-05 08:57:23+02	lang	erlang	\N	erlang-21.3.8.16,4
2020-06-05 08:56:28+02	2020-06-05 08:57:27+02	net	remmina-plugin-st	\N	remmina-plugin-st-1.3.9
2020-06-05 08:57:16+02	2020-06-05 08:58:15+02	net	remmina-plugin-vnc	\N	remmina-plugin-vnc-1.3.9
2020-06-05 08:57:24+02	2020-06-05 08:58:45+02	net	remmina-plugin-www	\N	remmina-plugin-www-1.3.9
2020-06-05 08:57:28+02	2020-06-05 08:59:15+02	net	remmina-plugin-xdmcp	\N	remmina-plugin-xdmcp-1.3.9
2020-06-05 08:58:16+02	2020-06-05 08:59:25+02	net-mgmt	icingaweb2-module-director	php73	icingaweb2-module-director-php73-1.6.2_2
2020-06-05 08:58:45+02	2020-06-05 09:00:31+02	net-mgmt	icingaweb2-module-reporting	php73	icingaweb2-module-reporting-php73-0.9.2_1
2020-06-05 08:59:16+02	2020-06-05 09:00:55+02	print	gimp-gutenprint	\N	gimp-gutenprint-5.3.3
2020-06-05 09:00:55+02	2020-06-05 09:03:44+02	print	tex-xdvik	\N	tex-xdvik-22.87_4
2020-06-05 08:59:25+02	2020-06-05 09:08:04+02	print	tex-aleph	\N	tex-aleph-1.15.2.1.r.4_4
2020-06-05 09:00:32+02	2020-06-05 09:08:34+02	print	tex-jadetex	\N	tex-jadetex-3.13_3
2020-06-05 09:08:35+02	2020-06-05 09:09:21+02	print	transfig	\N	transfig-3.2.5e_4
2020-06-05 09:09:22+02	2020-06-05 09:11:35+02	sysutils	mate-power-manager	\N	mate-power-manager-1.22.2
2020-06-05 09:03:45+02	2020-06-05 09:13:34+02	print	tex-xetex	\N	tex-xetex-0.99992_34
2020-06-05 09:11:35+02	2020-06-05 09:13:52+02	sysutils	mate-system-monitor	\N	mate-system-monitor-1.22.2
2020-06-05 09:13:35+02	2020-06-05 09:15:09+02	textproc	gtkspell3	\N	gtkspell3-3.0.10
2020-06-05 09:15:13+02	2020-06-05 09:16:08+02	www	npm-node12	\N	npm-node12-6.12.1_1
2020-06-05 09:16:11+02	2020-06-05 09:16:29+02	www	py-dj22-django-js-asset	py37	py37-dj22-django-js-asset-1.2.2
2020-06-05 09:16:29+02	2020-06-05 09:16:55+02	www	py-dj22-django-taggit	py37	py37-dj22-django-taggit-1.3.0
2020-06-05 09:16:58+02	2020-06-05 09:17:39+02	www	py-dj22-djangorestframework	py37	py37-dj22-djangorestframework-3.11.0
2020-06-05 09:17:42+02	2020-06-05 09:18:58+02	www	py-qt5-webchannel	py37	py37-qt5-webchannel-5.13.1_1
2020-06-05 09:13:53+02	2020-06-05 09:19:52+02	textproc	ripgrep	\N	ripgrep-12.1.1_1
2020-06-05 09:19:52+02	2020-06-05 09:20:05+02	www	yarn-node12	\N	yarn-node12-1.22.4_1
2020-06-05 09:18:58+02	2020-06-05 09:20:16+02	www	py-qt5-webkitwidgets	py37	py37-qt5-webkitwidgets-5.13.1_1
2020-06-05 09:20:35+02	2020-06-05 09:21:52+02	x11	mate-base	\N	mate-base-1.22.2
2020-06-05 09:21:53+02	2020-06-05 09:23:23+02	x11	mate-screensaver	\N	mate-screensaver-1.22.2
2020-06-05 09:20:17+02	2020-06-05 09:25:02+02	x11	mate-applets	\N	mate-applets-1.22.2
2020-06-05 09:23:24+02	2020-06-05 09:25:04+02	x11	mate-terminal	\N	mate-terminal-1.22.1
2020-06-05 09:25:03+02	2020-06-05 09:25:26+02	x11-toolkits	fltk	\N	fltk-1.3.5
2020-06-05 09:25:05+02	2020-06-05 09:26:00+02	x11-toolkits	gdl	\N	gdl-3.28.0
2020-06-05 09:25:26+02	2020-06-05 09:26:01+02	x11-toolkits	gtkglarea2	\N	gtkglarea-2.0.1_10
2020-06-05 09:26:01+02	2020-06-05 09:27:11+02	x11-toolkits	gtkmm24	\N	gtkmm24-2.24.5_1
2020-06-05 09:27:12+02	2020-06-05 09:28:27+02	deskutils	sysctlview	\N	sysctlview-2.0
2020-06-05 09:26:01+02	2020-06-05 09:33:21+02	astro	stellarium	\N	stellarium-0.20.1
2020-06-05 09:08:05+02	2020-06-05 09:34:37+02	print	texlive-docs	\N	texlive-docs-20150523
2020-06-05 09:33:22+02	2020-06-05 09:34:49+02	devel	distel	full	distel-emacs26-4.1.1_4
2020-06-05 08:08:28+02	2020-06-05 09:35:32+02	lang	julia11	\N	julia11-1.1.1_5
2020-06-05 09:28:28+02	2020-06-05 10:05:20+02	devel	RStudio	\N	RStudio-1.3.959
2020-06-05 10:05:22+02	2020-06-05 10:05:43+02	devel	py-dj22-django-rq	py37	py37-dj22-django-rq-2.3.2
2020-06-05 10:05:43+02	2020-06-05 10:06:32+02	devel	tig	\N	tig-2.5.1
2020-06-05 10:06:33+02	2020-06-05 10:16:14+02	dns	bind916	\N	bind916-9.16.3_2
2020-06-05 09:34:38+02	2020-06-05 10:24:21+02	devel	electron7	\N	electron7-7.3.1
2020-06-05 10:16:14+02	2020-06-05 10:27:11+02	editors	codelite	\N	codelite-12.0_4
2020-06-05 10:24:26+02	2020-06-05 10:27:41+02	editors	libreoffice-nb	\N	nb-libreoffice-6.3.6
2020-06-05 10:27:12+02	2020-06-05 10:29:38+02	editors	vim	\N	vim-8.2.0869
2020-06-05 09:34:50+02	2020-06-05 10:44:34+02	devel	ghidra	\N	ghidra-9.1
2020-06-05 10:27:42+02	2020-06-05 10:45:42+02	emulators	qemu	\N	qemu-4.1.1_3
2020-06-05 10:45:46+02	2020-06-05 10:46:15+02	games	KnightCap	\N	knightcap-3.6_8
2020-06-05 10:46:18+02	2020-06-05 10:47:07+02	games	afternoonstalker	\N	afternoonstalker-1.1.6
2020-06-05 10:47:09+02	2020-06-05 10:52:05+02	games	alienarena	\N	alienarena-2013.766_9
2020-06-05 10:52:07+02	2020-06-05 10:53:09+02	games	alienblaster	\N	alienblaster-1.1.0_7
2020-06-05 10:53:12+02	2020-06-05 10:56:18+02	games	battletanks	\N	btanks-0.9.8083_9
2020-06-05 10:56:20+02	2020-06-05 10:57:30+02	games	maelstrom	\N	maelstrom-3.0.6_14
2020-06-05 10:57:31+02	2020-06-05 10:59:45+02	games	monsterz	\N	monsterz-0.7.1_15
2020-06-05 10:59:48+02	2020-06-05 11:01:44+02	games	nuclearchess	\N	nuclearchess-1.0.0_10
2020-06-05 11:01:46+02	2020-06-05 11:03:49+02	games	numptyphysics	\N	numptyphysics-0.3.r20090104_11
2020-06-05 11:03:53+02	2020-06-05 11:06:18+02	games	xblast	\N	xblast-2.10.4_17
2020-06-05 10:44:36+02	2020-06-05 11:06:43+02	ftp	filezilla	\N	filezilla-3.40.0_5
2020-06-05 11:06:19+02	2020-06-05 11:07:48+02	games	xboard	\N	xboard-4.9.1_1
2020-06-05 11:06:45+02	2020-06-05 11:08:02+02	games	xcowsay	\N	xcowsay-1.5
2020-06-05 10:29:39+02	2020-06-05 11:12:16+02	emulators	wine	\N	wine-5.0.1,1
2020-06-05 11:12:19+02	2020-06-05 11:15:05+02	graphics	gimp	\N	gimp-2.10.18,2
2020-06-05 11:07:49+02	2020-06-05 11:15:17+02	graphics	dia	\N	dia-0.97.3_1,1
2020-06-05 11:08:03+02	2020-06-05 11:18:13+02	graphics	drm-current-kmod	\N	drm-current-kmod-4.16.g20200320
2020-06-05 11:18:15+02	2020-06-05 11:20:20+02	graphics	xpdf	\N	xpdf-4.02,1
2020-06-05 11:15:06+02	2020-06-05 11:22:24+02	graphics	inkscape	\N	inkscape-1.0_2
2020-06-05 11:22:27+02	2020-06-05 11:25:07+02	lang	csharp-mode.el	full	csharp-mode.el-emacs26-0.9.2_1
2020-06-05 11:15:20+02	2020-06-05 11:44:14+02	graphics	krita	\N	krita-4.2.9_4
2020-06-05 11:20:23+02	2020-06-05 12:00:39+02	java	openjdk12	\N	openjdk12-12.0.2+10.4
2020-06-05 11:25:09+02	2020-06-05 12:52:33+02	lang	erlang-runtime22	\N	erlang-runtime22-22.3.4.1
2020-06-05 12:52:37+02	2020-06-05 12:53:48+02	lang	julia	\N	julia-1.0.3_3
2020-06-05 11:44:16+02	2020-06-05 13:01:58+02	lang	erlang-runtime23	\N	erlang-runtime23-23.0.2
2020-06-05 13:02:01+02	2020-06-05 13:02:51+02	multimedia	libva-glx	\N	libva-glx-2.7.1
2020-06-05 13:02:54+02	2020-06-05 13:03:50+02	multimedia	libva-intel-driver	\N	libva-intel-driver-2.4.1
2020-06-05 13:03:53+02	2020-06-05 13:10:19+02	multimedia	libva-intel-media-driver	\N	libva-intel-media-driver-20.2.p3
2020-06-05 13:10:22+02	2020-06-05 13:11:17+02	multimedia	libva-utils	\N	libva-utils-2.7.1
2020-06-05 13:11:19+02	2020-06-05 13:12:57+02	multimedia	libva-vdpau-driver	\N	libva-vdpau-driver-0.7.4_9
2020-06-05 13:13:00+02	2020-06-05 13:19:41+02	multimedia	obs-studio	\N	obs-studio-25.0.8
2020-06-05 13:19:43+02	2020-06-05 13:26:28+02	multimedia	openshot	py37	openshot-2.5.1.7
2020-06-05 13:26:30+02	2020-06-05 13:33:33+02	multimedia	shotcut	\N	shotcut-20.04.12_1
2020-06-05 13:33:35+02	2020-06-05 13:36:31+02	net	mosh	\N	mosh-1.3.2_13
2020-06-05 13:36:33+02	2020-06-05 13:41:16+02	net	ntopng	\N	ntopng-4.0.d20200530,1
2020-06-05 13:41:20+02	2020-06-05 13:44:35+02	net	remmina-plugins	\N	remmina-plugins-1.3.9
2020-06-05 13:44:38+02	2020-06-05 13:52:51+02	net	wireshark	\N	wireshark-3.2.4
2020-06-05 13:52:52+02	2020-06-05 13:54:03+02	net-mgmt	etherape	\N	etherape-0.9.18
2020-06-05 13:54:04+02	2020-06-05 13:55:23+02	net-mgmt	icingaweb2-module-businessprocess	php73	icingaweb2-module-businessprocess-php73-2.2.0_2
2020-06-05 13:55:24+02	2020-06-05 13:56:49+02	net-mgmt	icingaweb2-module-cube	php73	icingaweb2-module-cube-php73-1.1.0_1
2020-06-05 13:56:50+02	2020-06-05 13:57:58+02	net-mgmt	icingaweb2-module-elasticsearch	php73	icingaweb2-module-elasticsearch-php73-0.9.0_3
2020-06-05 13:57:59+02	2020-06-05 13:59:44+02	net-mgmt	icingaweb2-module-fileshipper	php73	icingaweb2-module-fileshipper-php73-1.1.0_3
2020-06-05 13:59:47+02	2020-06-05 14:01:34+02	net-mgmt	icingaweb2-module-generictts	php73	icingaweb2-module-generictts-php73-2.0.0_3
2020-06-05 14:01:36+02	2020-06-05 14:03:30+02	net-mgmt	icingaweb2-module-grafana	php73	icingaweb2-module-grafana-php73-1.3.6_1
2020-06-05 14:03:31+02	2020-06-05 14:05:28+02	net-mgmt	icingaweb2-module-graphite	php73	icingaweb2-module-graphite-php73-1.1.0_3
2020-06-05 14:05:30+02	2020-06-05 14:08:52+02	net-mgmt	icingaweb2-module-idoreports	php73	icingaweb2-module-idoreports-php73-0.9.0_2
2020-06-05 14:08:54+02	2020-06-05 14:11:23+02	net-mgmt	icingaweb2-module-map	php73	icingaweb2-module-map-php73-1.1.0_3
2020-06-05 14:11:26+02	2020-06-05 14:13:30+02	net-mgmt	icingaweb2-module-vsphere	php73	icingaweb2-module-vsphere-php73-1.1.0_4
2020-06-05 14:13:31+02	2020-06-05 14:15:33+02	ports-mgmt	porttree	\N	porttree-1.1.r114_1
2020-06-05 14:15:35+02	2020-06-05 14:21:39+02	print	auctex	full	auctex-emacs26-12.2
2020-06-05 14:21:42+02	2020-06-05 14:23:42+02	print	fig2dev	\N	fig2dev-3.2.7_1
2020-06-05 12:53:50+02	2020-06-05 14:29:50+02	lang	mono	\N	mono-5.10.1.57_3
2020-06-05 14:29:54+02	2020-06-05 14:33:17+02	print	gv	\N	gv-3.7.4_5
2020-06-05 14:23:44+02	2020-06-05 14:37:40+02	print	fontforge	\N	fontforge-20190801_2
2020-06-05 14:33:21+02	2020-06-05 14:39:23+02	print	lyx	\N	lyx-2.3.4.2_1
2020-06-05 14:39:25+02	2020-06-05 14:41:28+02	security	openconnect-gui	\N	openconnect-gui-1.4.1_3
2020-06-05 14:37:42+02	2020-06-05 14:42:56+02	security	clamav	\N	clamav-0.102.3_1,1
2020-06-05 14:41:29+02	2020-06-05 14:43:06+02	sysutils	cpu-x	\N	cpu-x-4.0.0_1
2020-06-05 14:43:07+02	2020-06-05 14:44:19+02	sysutils	gkrellm2	\N	gkrellm2-2.3.11
2020-06-05 14:42:57+02	2020-06-05 14:47:27+02	sysutils	exa	\N	exa-0.9.0_11
2020-06-05 14:44:19+02	2020-06-05 14:47:46+02	sysutils	hexyl	\N	hexyl-0.6.0_7
2020-06-05 14:47:47+02	2020-06-05 14:48:24+02	sysutils	x86info	\N	x86info-1.31.s03
2020-06-05 14:47:27+02	2020-06-05 14:59:44+02	sysutils	rsfetch	\N	rsfetch-2.0.0_3
2020-06-05 14:59:46+02	2020-06-05 15:01:15+02	textproc	py-qt5-xmlpatterns	py37	py37-qt5-xmlpatterns-5.13.1_1
2020-06-05 14:48:26+02	2020-06-05 15:10:10+02	textproc	bat	\N	bat-0.15.0_1
2020-06-05 15:10:13+02	2020-06-05 15:11:13+02	www	mod_evasive	\N	ap24-mod_evasive-1.10.1_1
2020-06-05 15:11:16+02	2020-06-05 15:23:46+02	www	mod_php73	\N	mod_php73-7.3.18
2020-06-05 15:23:49+02	2020-06-05 15:26:25+02	www	mod_security	\N	ap24-mod_security-2.9.3
2020-06-05 15:26:31+02	2020-06-05 15:27:27+02	www	npm-node10	\N	npm-node10-6.12.1_1
2020-06-05 15:27:30+02	2020-06-05 15:28:08+02	www	py-dj22-django-cacheops	py37	py37-dj22-django-cacheops-4.2
2020-06-05 15:28:13+02	2020-06-05 15:28:45+02	www	py-dj22-django-cors-headers	py37	py37-dj22-django-cors-headers-3.2.1
2020-06-05 15:28:48+02	2020-06-05 15:29:24+02	www	py-dj22-django-debug-toolbar	py37	py37-dj22-django-debug-toolbar-2.1
2020-06-05 15:29:26+02	2020-06-05 15:30:07+02	www	py-dj22-django-filter	py37	py37-dj22-django-filter-2.2.0
2020-06-05 15:30:11+02	2020-06-05 15:30:54+02	www	py-dj22-django-mptt	py37	py37-dj22-django-mptt-0.9.1
2020-06-05 15:30:55+02	2020-06-05 15:31:43+02	www	py-dj22-django-prometheus	py37	py37-dj22-django-prometheus-1.1.0_1
2020-06-05 15:31:46+02	2020-06-05 15:32:20+02	www	py-dj22-django-tables2	py37	py37-dj22-django-tables2-2.2.1
2020-06-05 15:32:22+02	2020-06-05 15:32:58+02	www	py-dj22-django-taggit-serializer	py37	py37-dj22-django-taggit-serializer-0.1.7
2020-06-05 12:00:40+02	2020-06-05 15:33:01+02	lang	gcc10-devel	\N	gcc10-devel-10.1.1.s20200530
2020-06-05 15:33:00+02	2020-06-05 15:33:31+02	www	py-dj22-django-timezone-field	py37	py37-dj22-django-timezone-field-4.0
2020-06-05 15:33:03+02	2020-06-05 15:33:54+02	www	py-dj22-drf-yasg	py37	py37-dj22-drf-yasg-1.17.0
2020-06-05 15:33:57+02	2020-06-05 15:34:24+02	www	yarn-node10	\N	yarn-node10-1.22.4_1
2020-06-05 15:33:35+02	2020-06-05 15:36:22+02	www	py-qt5-webengine	py37	py37-qt5-webengine-5.12.1_1
2020-06-05 15:36:23+02	2020-06-05 15:38:21+02	x11	cool-retro-term	\N	cool-retro-term-1.1.1_1
2020-06-05 15:38:23+02	2020-06-05 15:40:04+02	x11	xlockmore	\N	xlockmore-5.63
2020-06-05 15:40:06+02	2020-06-05 15:49:03+02	x11	xscreensaver	\N	xscreensaver-5.44
2020-06-05 15:49:06+02	2020-06-05 15:54:30+02	x11-fm	doublecmd	gtk2	doublecmd-gtk2-0.9.8_2
2020-06-05 15:54:31+02	2020-06-05 15:55:23+02	x11-fm	fsv2	\N	fsv2-1.1.0_1
2020-06-05 15:55:23+02	2020-06-05 15:55:34+02	x11-fm	xdiskusage	\N	xdiskusage-1.51_1
2020-06-05 15:55:34+02	2020-06-05 15:55:53+02	x11-toolkits	libgdiplus	\N	libgdiplus-5.6_2
2020-06-05 15:34:26+02	2020-06-05 15:57:06+02	x11	alacritty	\N	alacritty-0.4.3
2020-06-05 15:57:30+02	2020-06-05 15:57:39+02	graphics	drm-kmod	\N	drm-kmod-g20190710
2020-06-05 15:57:40+02	2020-06-05 15:58:25+02	graphics	xfig	\N	xfig-3.2.7a
2020-06-05 09:35:34+02	2020-06-05 15:58:37+02	devel	llvm-devel	\N	llvm-devel-11.0.d20200519
2020-06-05 15:58:26+02	2020-06-05 15:59:07+02	net-mgmt	netbox	\N	netbox-2.7.12
2020-06-05 15:01:19+02	2020-06-05 16:01:27+02	www	firefox	\N	firefox-77.0.1_1,1
2020-06-05 15:57:07+02	2020-06-05 16:22:22+02	editors	vscode	\N	vscode-1.45.1_2
2020-06-05 22:33:55+02	2020-06-05 22:38:09+02	math	mate-calc	\N	mate-calc-1.22.2
2020-06-05 22:39:37+02	2020-06-05 22:43:28+02	x11	mate	\N	mate-1.22.2
2020-06-05 22:43:30+02	2020-06-05 22:45:13+02	x11	xlockmore	\N	xlockmore-5.63
2020-06-05 22:33:55+02	2020-06-05 22:48:04+02	japanese	tex-ptex	\N	ja-tex-ptex-3.6_1
2020-06-05 22:48:04+02	2020-06-05 22:50:45+02	print	texlive-full	\N	texlive-full-20150521
2020-06-05 23:00:29+02	2020-06-05 23:15:11+02	local	E590T-localbase	\N	E590T-localbase-2020060200
2020-06-06 10:12:23+02	2020-06-06 10:12:34+02	www	py-beaker	py37	py37-beaker-1.11.0
2020-06-06 10:12:35+02	2020-06-06 10:12:51+02	textproc	py-mako	py37	py37-mako-1.0.14
2020-06-06 10:12:52+02	2020-06-06 10:20:44+02	graphics	mesa-libs	\N	mesa-libs-19.0.8
2020-06-06 10:20:46+02	2020-06-06 10:21:32+02	graphics	libepoxy	\N	libepoxy-1.5.4
2020-06-06 10:20:47+02	2020-06-06 10:22:05+02	graphics	libGLU	\N	libGLU-9.0.1
2020-06-06 10:12:23+02	2020-06-06 10:22:59+02	graphics	drm-current-kmod	\N	drm-current-kmod-4.16.g20200320
2020-06-06 10:23:02+02	2020-06-06 10:23:52+02	www	libwpe	\N	libwpe-1.4.0.1
2020-06-06 10:20:47+02	2020-06-06 10:24:31+02	graphics	cairo	\N	cairo-1.16.0,2
2020-06-06 10:23:53+02	2020-06-06 10:24:54+02	www	wpebackend-fdo	\N	wpebackend-fdo-1.4.1
2020-06-06 10:20:46+02	2020-06-06 10:25:29+02	x11-toolkits	qt5-gui	\N	qt5-gui-5.14.2
2020-06-06 10:22:06+02	2020-06-06 10:26:22+02	devel	sdl12	\N	sdl-1.2.15_14,2
2020-06-06 10:24:56+02	2020-06-06 10:26:53+02	graphics	poppler	\N	poppler-0.89.0_1
2020-06-06 10:26:54+02	2020-06-06 10:28:05+02	graphics	frei0r	\N	frei0r-1.6.1
2020-06-06 10:24:34+02	2020-06-06 10:29:57+02	x11-toolkits	pango	\N	pango-1.42.4_3
2020-06-06 10:28:08+02	2020-06-06 10:30:14+02	x11	qt5-x11extras	\N	qt5-x11extras-5.14.2
2020-06-06 10:25:32+02	2020-06-06 10:30:18+02	x11-toolkits	qt5-widgets	\N	qt5-widgets-5.14.2
2020-06-06 10:26:25+02	2020-06-06 10:31:56+02	devel	tex-web2c	\N	tex-web2c-20150521_3
2020-06-06 10:31:57+02	2020-06-06 10:33:26+02	devel	qt5-help	\N	qt5-help-5.14.2
2020-06-06 10:30:16+02	2020-06-06 10:33:38+02	graphics	gtk-update-icon-cache	\N	gtk-update-icon-cache-2.24.32
2020-06-06 10:12:23+02	2020-06-06 10:34:04+02	devel	gdb	py37	gdb-9.2
2020-06-06 10:30:20+02	2020-06-06 10:34:58+02	x11-toolkits	qt5-declarative	\N	qt5-declarative-5.14.2
2020-06-06 10:33:27+02	2020-06-06 10:35:18+02	print	tex-basic-engines	\N	tex-basic-engines-20150521
2020-06-06 10:21:34+02	2020-06-06 10:36:36+02	graphics	mesa-dri	\N	mesa-dri-19.0.8_2
2020-06-06 10:29:59+02	2020-06-06 10:36:49+02	graphics	graphviz	\N	graphviz-2.44.0_4
2020-06-06 10:33:40+02	2020-06-06 10:36:55+02	x11-themes	adwaita-icon-theme	\N	adwaita-icon-theme-3.28.0
2020-06-06 10:35:19+02	2020-06-06 10:36:57+02	print	qt5-printsupport	\N	qt5-printsupport-5.14.2
2020-06-06 10:36:37+02	2020-06-06 10:36:59+02	graphics	py-cairo	py37	py37-cairo-1.18.1_1
2020-06-06 10:37:00+02	2020-06-06 10:37:21+02	devel	pygobject3-common	\N	pygobject3-common-3.28.3_1
2020-06-06 10:36:55+02	2020-06-06 10:37:34+02	x11-toolkits	qt5-uiplugin	\N	qt5-uiplugin-5.14.2
2020-06-06 10:37:22+02	2020-06-06 10:37:51+02	devel	py-gobject3	py37	py37-gobject3-3.28.3_1
2020-06-06 10:36:50+02	2020-06-06 10:38:19+02	lang	vala	\N	vala-0.40.15,1
2020-06-06 10:36:58+02	2020-06-06 10:38:19+02	graphics	qt5-opengl	\N	qt5-opengl-5.14.2
2020-06-06 10:34:06+02	2020-06-06 10:38:25+02	x11-toolkits	gtk20	\N	gtk2-2.24.32
2020-06-06 10:37:38+02	2020-06-06 10:38:27+02	graphics	qt5-svg	\N	qt5-svg-5.14.2
2020-06-06 10:38:20+02	2020-06-06 10:38:52+02	x11-toolkits	pangox-compat	\N	pangox-compat-0.0.2_2
2020-06-06 10:38:20+02	2020-06-06 10:39:07+02	graphics	librsvg2	\N	librsvg2-2.40.21
2020-06-06 10:38:28+02	2020-06-06 10:39:11+02	audio	libcanberra	\N	libcanberra-0.30_5
2020-06-06 10:34:59+02	2020-06-06 10:39:26+02	print	texlive-base	\N	texlive-base-20150521_52
2020-06-06 10:38:26+02	2020-06-06 10:39:33+02	devel	gconf2	\N	gconf2-3.2.6_5
2020-06-06 10:37:51+02	2020-06-06 10:39:38+02	graphics	graphene	\N	graphene-1.10.0
2020-06-06 10:38:53+02	2020-06-06 10:39:52+02	devel	kf5-kconfig	\N	kf5-kconfig-5.70.0
2020-06-06 10:39:53+02	2020-06-06 10:41:08+02	devel	kf5-ki18n	\N	kf5-ki18n-5.70.0
2020-06-06 10:39:38+02	2020-06-06 10:41:16+02	graphics	gstreamer1-plugins-gl	\N	gstreamer1-plugins-gl-1.16.2
2020-06-06 10:39:33+02	2020-06-06 10:41:19+02	x11-toolkits	wxgtk28-common	\N	wx28-gtk2-common-2.8.12_8
2020-06-06 10:41:20+02	2020-06-06 10:42:17+02	devel	qt5-uitools	\N	qt5-uitools-5.14.2
2020-06-06 10:41:09+02	2020-06-06 10:42:23+02	devel	qscintilla2-qt5	\N	qscintilla2-qt5-2.11.4
2020-06-06 10:41:17+02	2020-06-06 10:42:42+02	devel	kf5-kdoctools	\N	kf5-kdoctools-5.70.0
2020-06-06 10:39:12+02	2020-06-06 10:43:18+02	graphics	ImageMagick7	\N	ImageMagick7-7.0.10.6
2020-06-06 10:42:18+02	2020-06-06 10:43:24+02	x11	kf5-kwindowsystem	\N	kf5-kwindowsystem-5.70.0
2020-06-06 10:42:24+02	2020-06-06 10:43:37+02	devel	py-qt5-core	py37	py37-qt5-core-5.13.1_1
2020-06-06 10:43:37+02	2020-06-06 10:44:23+02	devel	sdl20	\N	sdl2-2.0.10_1
2020-06-06 10:43:19+02	2020-06-06 10:44:23+02	graphics	pecl-imagick-im7	php73	php73-pecl-imagick-im7-3.4.4
2020-06-06 10:44:23+02	2020-06-06 10:45:17+02	graphics	poppler-glib	\N	poppler-glib-0.89.0_1
2020-06-06 10:39:08+02	2020-06-06 10:45:20+02	x11-toolkits	gtk30	\N	gtk3-3.24.10_1
2020-06-06 10:42:43+02	2020-06-06 10:45:35+02	x11-servers	xorg-server	\N	xorg-server-1.20.8_2,1
2020-06-06 10:44:24+02	2020-06-06 10:46:02+02	net-mgmt	icingaweb2	php73	icingaweb2-php73-2.7.3_3
2020-06-06 10:43:24+02	2020-06-06 10:46:09+02	x11-toolkits	wxgtk28	\N	wx28-gtk2-2.8.12_8
2020-06-06 10:45:18+02	2020-06-06 10:46:37+02	x11-toolkits	kf5-kwidgetsaddons	\N	kf5-kwidgetsaddons-5.70.0
2020-06-06 10:45:37+02	2020-06-06 10:46:46+02	audio	libcanberra-gtk3	\N	libcanberra-gtk3-0.30_5
2020-06-06 10:45:21+02	2020-06-06 10:46:48+02	x11	mate-desktop	\N	mate-desktop-1.22.2
2020-06-06 10:46:38+02	2020-06-06 10:47:30+02	devel	kf5-kcrash	\N	kf5-kcrash-5.70.0
2020-06-06 10:46:49+02	2020-06-06 10:47:38+02	graphics	qt5-imageformats	\N	qt5-imageformats-5.14.2
2020-06-06 10:46:47+02	2020-06-06 10:47:39+02	devel	kf5-kdbusaddons	\N	kf5-kdbusaddons-5.70.0
2020-06-06 10:46:09+02	2020-06-06 10:47:42+02	x11-toolkits	vte3	\N	vte3-0.52.2_3
2020-06-06 10:47:31+02	2020-06-06 10:47:47+02	multimedia	smpeg	\N	smpeg-0.4.4_15
2020-06-06 10:47:43+02	2020-06-06 10:49:03+02	www	qt5-webchannel	\N	qt5-webchannel-5.14.2
2020-06-06 10:47:40+02	2020-06-06 10:49:05+02	sysutils	polkit-qt	\N	polkit-qt-1-0.113.0_8
2020-06-06 10:47:48+02	2020-06-06 10:49:33+02	devel	kf5-kservice	\N	kf5-kservice-5.70.0
2020-06-06 10:47:39+02	2020-06-06 10:49:51+02	net	avahi-gtk3	\N	avahi-gtk3-0.7_1
2020-06-06 10:49:06+02	2020-06-06 10:50:30+02	devel	kf5-kauth	\N	kf5-kauth-5.70.0
2020-06-06 10:49:04+02	2020-06-06 10:51:06+02	devel	qt5-location	\N	qt5-location-5.14.2
2020-06-06 10:49:53+02	2020-06-06 10:51:20+02	net	remmina	\N	remmina-1.3.9
2020-06-06 10:50:32+02	2020-06-06 10:51:42+02	x11-toolkits	kf5-kguiaddons	\N	kf5-kguiaddons-5.70.0
2020-06-06 10:49:35+02	2020-06-06 10:51:54+02	security	gcr	\N	gcr-3.28.0
2020-06-06 10:51:07+02	2020-06-06 10:52:02+02	accessibility	qt5-speech	\N	qt5-speech-5.14.2
2020-06-06 10:51:42+02	2020-06-06 10:53:14+02	x11-toolkits	kf5-kconfigwidgets	\N	kf5-kconfigwidgets-5.70.0
2020-06-06 10:51:54+02	2020-06-06 10:53:15+02	x11-toolkits	kf5-kitemviews	\N	kf5-kitemviews-5.70.0
2020-06-06 10:52:03+02	2020-06-06 10:53:44+02	x11-toolkits	libwnck3	\N	libwnck3-3.24.1
2020-06-06 10:53:15+02	2020-06-06 10:54:09+02	graphics	cairomm	\N	cairomm-1.12.2_4
2020-06-06 10:53:45+02	2020-06-06 10:54:44+02	graphics	freeglut	\N	freeglut-3.0.0_2
2020-06-06 10:46:03+02	2020-06-06 10:54:47+02	www	webkit2-gtk3	\N	webkit2-gtk3-2.28.1_1
2020-06-06 10:54:09+02	2020-06-06 10:54:50+02	graphics	sdl_image	\N	sdl_image-1.2.12_12
2020-06-06 10:54:45+02	2020-06-06 10:55:51+02	net	py-qt5-network	py37	py37-qt5-network-5.13.1_1
2020-06-06 10:54:48+02	2020-06-06 10:56:21+02	x11-themes	kf5-kiconthemes	\N	kf5-kiconthemes-5.70.0
2020-06-06 10:53:15+02	2020-06-06 10:56:57+02	x11-toolkits	py-qt5-gui	py37	py37-qt5-gui-5.13.1_1
2020-06-06 10:55:52+02	2020-06-06 10:57:15+02	x11-toolkits	gstreamer1-plugins-pango	\N	gstreamer1-plugins-pango-1.16.2
2020-06-06 10:57:00+02	2020-06-06 10:57:33+02	graphics	py-cairo	py27	py27-cairo-1.18.1_1
2020-06-06 10:56:22+02	2020-06-06 10:57:45+02	comms	qt5-sensors	\N	qt5-sensors-5.14.2
2020-06-06 10:54:51+02	2020-06-06 10:58:18+02	x11-themes	mate-icon-theme	\N	mate-icon-theme-1.22.2
2020-06-06 12:16:11+02	2020-06-06 12:17:26+02	graphics	fpc-opengl	\N	fpc-opengl-3.0.4_4
2020-06-06 10:57:35+02	2020-06-06 10:58:28+02	multimedia	gstreamer1-plugins-core	\N	gstreamer1-plugins-core-1.16
2020-06-06 10:58:19+02	2020-06-06 10:59:36+02	textproc	kf5-sonnet	\N	kf5-sonnet-5.70.0
2020-06-06 10:58:29+02	2020-06-06 10:59:45+02	x11-toolkits	kf5-kcompletion	\N	kf5-kcompletion-5.70.0
2020-06-06 10:57:16+02	2020-06-06 10:59:47+02	math	gnuplot	\N	gnuplot-5.2.8_1
2020-06-06 10:59:48+02	2020-06-06 11:00:30+02	audio	sdl_mixer	\N	sdl_mixer-1.2.12_12
2020-06-06 10:59:38+02	2020-06-06 11:01:36+02	x11-toolkits	pangomm	\N	pangomm-2.40.1_4
2020-06-06 11:00:31+02	2020-06-06 11:02:14+02	devel	libdbusmenu-qt	\N	libdbusmenu-qt5-0.9.3.160420160218_10
2020-06-06 10:59:45+02	2020-06-06 11:02:15+02	x11-toolkits	py-qt5-widgets	py37	py37-qt5-widgets-5.13.1_1
2020-06-06 11:01:38+02	2020-06-06 11:03:16+02	multimedia	phonon	\N	phonon-qt5-4.11.1
2020-06-06 11:02:14+02	2020-06-06 11:04:42+02	multimedia	qt5-multimedia	\N	qt5-multimedia-5.14.2
2020-06-06 10:39:27+02	2020-06-06 11:05:19+02	print	texlive-texmf	\N	texlive-texmf-20150523_4
2020-06-06 11:03:17+02	2020-06-06 11:05:32+02	x11	kf5-kglobalaccel	\N	kf5-kglobalaccel-5.70.0
2020-06-06 11:04:45+02	2020-06-06 11:06:21+02	x11-toolkits	kf5-attica	\N	kf5-attica-5.70.0
2020-06-06 10:57:47+02	2020-06-06 11:08:14+02	net	libmateweather	\N	libmateweather-1.22.1
2020-06-06 11:06:24+02	2020-06-06 11:09:19+02	x11-toolkits	kf5-ktextwidgets	\N	kf5-ktextwidgets-5.70.0
2020-06-06 11:05:22+02	2020-06-06 11:11:45+02	print	tex-formats	\N	tex-formats-20150521_2
2020-06-06 11:09:21+02	2020-06-06 11:12:19+02	devel	kf5-knotifications	\N	kf5-knotifications-5.70.0
2020-06-06 11:11:46+02	2020-06-06 11:13:50+02	devel	qt5-assistant	\N	qt5-assistant-5.14.2
2020-06-06 11:12:23+02	2020-06-06 11:14:01+02	graphics	poppler-utils	\N	poppler-utils-0.89.0_1
2020-06-06 11:02:17+02	2020-06-06 11:14:23+02	www	qt5-webkit	\N	qt5-webkit-5.212.0.a4_2
2020-06-06 11:08:16+02	2020-06-06 11:14:59+02	x11	mate-panel	\N	mate-panel-1.22.2
2020-06-06 11:13:52+02	2020-06-06 11:15:11+02	security	pinentry-gnome3	\N	pinentry-gnome3-1.1.0
2020-06-06 11:14:02+02	2020-06-06 11:15:20+02	security	pinentry-qt5	\N	pinentry-qt5-1.1.0_1
2020-06-06 11:15:01+02	2020-06-06 11:15:29+02	x11	xdriinfo	\N	xdriinfo-1.0.6_3
2020-06-06 11:15:21+02	2020-06-06 11:16:53+02	x11-drivers	xf86-input-keyboard	\N	xf86-input-keyboard-1.9.0_4
2020-06-06 11:14:25+02	2020-06-06 11:16:57+02	x11	libmatekbd	\N	libmatekbd-1.22.0
2020-06-06 11:15:12+02	2020-06-06 11:17:02+02	x11-drivers	xf86-input-evdev	\N	xf86-input-evdev-2.10.6_5
2020-06-06 11:15:30+02	2020-06-06 11:17:07+02	x11-drivers	xf86-input-libinput	\N	xf86-input-libinput-0.30.0
2020-06-06 11:05:33+02	2020-06-06 11:18:14+02	print	tex-dvipsk	\N	tex-dvipsk-5.995_2
2020-06-06 11:16:54+02	2020-06-06 11:18:36+02	x11-drivers	xf86-input-mouse	\N	xf86-input-mouse-1.9.3_3
2020-06-06 11:16:58+02	2020-06-06 11:18:39+02	x11-drivers	xf86-video-amdgpu	\N	xf86-video-amdgpu-19.1.0_1
2020-06-06 11:17:08+02	2020-06-06 11:18:43+02	x11-drivers	xf86-video-scfb	\N	xf86-video-scfb-0.0.5_2
2020-06-06 11:18:37+02	2020-06-06 11:20:15+02	x11-drivers	xf86-video-vesa	\N	xf86-video-vesa-2.4.0_3
2020-06-06 11:17:03+02	2020-06-06 11:20:25+02	x11-drivers	xf86-video-intel	\N	xf86-video-intel-2.99.917.20181203_1
2020-06-06 11:18:44+02	2020-06-06 11:20:53+02	x11-toolkits	kf5-kxmlgui	\N	kf5-kxmlgui-5.70.0
2020-06-06 11:20:18+02	2020-06-06 11:22:03+02	x11-toolkits	libunique3	\N	libunique-3.0.2_3
2020-06-06 11:20:54+02	2020-06-06 11:22:48+02	devel	kf5-kbookmarks	\N	kf5-kbookmarks-5.70.0
2020-06-06 11:18:40+02	2020-06-06 11:22:50+02	x11-fm	caja	\N	caja-1.22.3
2020-06-06 11:20:26+02	2020-06-06 11:23:18+02	x11-toolkits	wxgtk28-contrib-common	\N	wx28-gtk2-contrib-common-2.8.12_8
2020-06-06 11:22:05+02	2020-06-06 11:23:45+02	devel	kf5-solid	\N	kf5-solid-5.70.0
2020-06-06 11:18:15+02	2020-06-06 11:23:51+02	devel	doxygen	\N	doxygen-1.8.15_3,2
2020-06-06 11:22:50+02	2020-06-06 11:24:08+02	devel	libglade2	\N	libglade2-2.6.4_10
2020-06-06 11:24:10+02	2020-06-06 11:25:08+02	net	sdl_net	\N	sdl_net-1.2.8_3
2020-06-06 11:22:51+02	2020-06-06 11:25:17+02	devel	qt5-designer	\N	qt5-designer-5.14.2
2020-06-06 11:23:19+02	2020-06-06 11:26:00+02	graphics	gegl	\N	gegl-0.4.22_6
2020-06-06 11:25:18+02	2020-06-06 11:26:37+02	print	py-qt5-printsupport	py37	py37-qt5-printsupport-5.13.1_1
2020-06-06 11:25:09+02	2020-06-06 11:27:08+02	net	uhttpmock	\N	uhttpmock-0.5.1_1
2020-06-06 11:23:52+02	2020-06-06 11:27:35+02	net	gnome-online-accounts	\N	gnome-online-accounts-3.28.0_2
2020-06-06 11:26:38+02	2020-06-06 11:29:06+02	sysutils	kf5-kwallet	\N	kf5-kwallet-5.70.0
2020-06-06 11:27:36+02	2020-06-06 11:29:13+02	x11	kf5-kded	\N	kf5-kded-5.70.0_1
2020-06-06 11:27:09+02	2020-06-06 11:29:22+02	sysutils	policykit-gnome	\N	policykit-gnome-0.9.2_9
2020-06-06 11:29:09+02	2020-06-06 11:29:55+02	x11	xorg-apps	\N	xorg-apps-7.7_4
2020-06-06 11:29:23+02	2020-06-06 11:30:51+02	x11-drivers	xorg-drivers	\N	xorg-drivers-7.7_6
2020-06-06 11:26:02+02	2020-06-06 11:31:17+02	security	gnome-keyring	\N	gnome-keyring-3.28.2_2
2020-06-06 11:29:13+02	2020-06-06 11:31:38+02	x11	zenity	\N	zenity-3.28.1
2020-06-06 11:23:46+02	2020-06-06 11:32:04+02	graphics	tesseract	\N	tesseract-4.1.1_2
2020-06-06 11:31:18+02	2020-06-06 11:32:43+02	x11-toolkits	kf5-kjobwidgets	\N	kf5-kjobwidgets-5.70.0
2020-06-06 11:29:57+02	2020-06-06 11:33:50+02	x11-servers	xorg-vfbserver	\N	xorg-vfbserver-1.20.8_2,1
2020-06-06 11:30:52+02	2020-06-06 11:34:10+02	x11-toolkits	gtkmm30	\N	gtkmm30-3.22.2
2020-06-06 11:31:38+02	2020-06-06 11:34:37+02	x11-toolkits	wxgtk28-contrib	\N	wx28-gtk2-contrib-2.8.12_8
2020-06-06 11:32:04+02	2020-06-06 11:35:21+02	devel	libgdata	\N	libgdata-0.17.9
2020-06-06 11:34:11+02	2020-06-06 11:35:45+02	devel	py-gobject	py27	py27-gobject-2.28.6_8
2020-06-06 11:35:23+02	2020-06-06 11:36:29+02	graphics	fpc-cairo	\N	fpc-cairo-3.0.4_4
2020-06-06 11:33:51+02	2020-06-06 11:37:20+02	devel	libpeas	\N	libpeas-1.22.0
2020-06-06 11:36:32+02	2020-06-06 11:37:22+02	graphics	glew	\N	glew-2.1.0
2020-06-06 11:32:44+02	2020-06-06 11:37:50+02	devel	kf5-kio	\N	kf5-kio-5.70.1_1
2020-06-06 11:37:51+02	2020-06-06 11:38:21+02	graphics	sdl2_image	\N	sdl2_image-2.0.5
2020-06-06 11:37:22+02	2020-06-06 11:38:22+02	graphics	movit	\N	movit-1.6.2_2
2020-06-06 11:38:21+02	2020-06-06 11:38:48+02	graphics	sdl_ttf	\N	sdl_ttf-2.0.11_7
2020-06-06 11:38:23+02	2020-06-06 11:39:33+02	net-mgmt	icingaweb2-module-ipl	php73	icingaweb2-module-ipl-php73-0.4.0_1
2020-06-06 11:38:48+02	2020-06-06 11:39:52+02	print	cups-filters	\N	cups-filters-1.27.4_2
2020-06-06 11:39:53+02	2020-06-06 11:41:50+02	sysutils	gnome-mount	\N	gnome-mount-0.8_13
2020-06-06 11:34:38+02	2020-06-06 11:42:10+02	editors	emacs	full	emacs-26.3_4,3
2020-06-06 11:37:23+02	2020-06-06 11:43:58+02	graphics	opencv	\N	opencv-3.4.1_32
2020-06-06 11:41:51+02	2020-06-06 11:46:11+02	sysutils	mate-settings-daemon	\N	mate-settings-daemon-1.22.1
2020-06-06 11:46:13+02	2020-06-06 11:49:15+02	x11	mate-session-manager	\N	mate-session-manager-1.22.3
2020-06-06 11:49:17+02	2020-06-06 11:55:10+02	x11	xorg	\N	xorg-7.7_3
2020-06-06 11:35:46+02	2020-06-06 11:56:11+02	graphics	gimp-app	\N	gimp-app-2.10.18_7,1
2020-06-06 11:39:33+02	2020-06-06 11:59:37+02	print	tex-luatex	\N	tex-luatex-0.80.0_18
2020-06-06 11:56:15+02	2020-06-06 12:01:11+02	x11-themes	gtk-engines2	\N	gtk-engines2-2.20.2_3
2020-06-06 11:55:13+02	2020-06-06 12:01:32+02	x11	yelp	\N	yelp-3.28.1_2
2020-06-06 11:59:39+02	2020-06-06 12:02:53+02	x11-themes	gtk-murrine-engine	\N	gtk-murrine-engine-0.98.2_5
2020-06-06 12:01:34+02	2020-06-06 12:04:26+02	x11-toolkits	qt5-quickcontrols	\N	qt5-quickcontrols-5.14.2
2020-06-06 12:01:17+02	2020-06-06 12:07:02+02	x11-toolkits	gtksourceview3	\N	gtksourceview3-3.24.8_3
2020-06-06 12:04:28+02	2020-06-06 12:07:46+02	audio	sdl_sound	\N	sdl_sound-1.0.3_14
2020-06-06 12:02:55+02	2020-06-06 12:09:00+02	x11-wm	marco	\N	marco-1.22.4
2020-06-06 12:07:50+02	2020-06-06 12:11:27+02	deskutils	mate-notification-daemon	\N	mate-notification-daemon-1.22.1
2020-06-06 12:07:05+02	2020-06-06 12:13:08+02	deskutils	gucharmap	\N	gucharmap-11.0.1_1
2020-06-06 12:13:10+02	2020-06-06 12:14:43+02	devel	py-gobject3	py27	py27-gobject3-3.28.3_1
2020-06-06 11:43:59+02	2020-06-06 12:16:06+02	www	qt5-webengine	\N	qt5-webengine-5.14.2
2020-06-06 12:14:45+02	2020-06-06 12:18:11+02	graphics	djvulibre	\N	djvulibre-3.5.27_2
2020-06-06 12:09:04+02	2020-06-06 12:18:16+02	deskutils	spice-gtk	\N	spice-gtk-0.37
2020-06-06 12:11:29+02	2020-06-06 12:19:12+02	devel	gvfs	\N	gvfs-1.30.4_3
2020-06-06 12:18:13+02	2020-06-06 12:19:57+02	graphics	ftgl	\N	ftgl-2.1.3.r5_6,1
2020-06-06 12:18:19+02	2020-06-06 12:20:02+02	graphics	libgltf	\N	libgltf-0.0.2_21
2020-06-06 12:19:14+02	2020-06-06 12:20:25+02	graphics	libgxps	\N	libgxps-0.3.1
2020-06-06 12:17:30+02	2020-06-06 12:20:58+02	graphics	frei0r-plugins-opencv	\N	frei0r-plugins-opencv-1.6.1_1
2020-06-06 12:20:04+02	2020-06-06 12:21:07+02	graphics	py-pygraphviz	py37	py37-pygraphviz-1.5
2020-06-06 12:20:28+02	2020-06-06 12:22:18+02	graphics	py-qt5-svg	py37	py37-qt5-svg-5.13.1_1
2020-06-06 12:21:09+02	2020-06-06 12:22:54+02	graphics	qt5-graphicaleffects	\N	qt5-graphicaleffects-5.14.2
2020-06-06 12:20:00+02	2020-06-06 12:22:54+02	graphics	poppler-qt5	\N	poppler-qt5-0.89.0_1
2020-06-06 12:22:21+02	2020-06-06 12:24:50+02	lang	py-qt5-qml	py37	py37-qt5-qml-5.13.1_1
2020-06-06 12:21:00+02	2020-06-06 12:25:59+02	graphics	qt5-3d	\N	qt5-3d-5.14.2
2020-06-06 12:26:00+02	2020-06-06 12:28:37+02	net	remmina-plugin-exec	\N	remmina-plugin-exec-1.3.9
2020-06-06 12:24:53+02	2020-06-06 12:28:42+02	multimedia	mlt	\N	mlt-6.20.0
2020-06-06 12:28:38+02	2020-06-06 12:31:23+02	net-mgmt	icingaweb2-module-reactbundle	php73	icingaweb2-module-reactbundle-php73-0.7.0_1
2020-06-06 12:31:26+02	2020-06-06 12:32:43+02	print	libspectre	\N	libspectre-0.2.8
2020-06-06 12:22:57+02	2020-06-06 12:35:42+02	misc	mate-user-guide	\N	mate-user-guide-1.22.3
2020-06-06 12:28:47+02	2020-06-06 12:39:31+02	print	gutenprint	\N	gutenprint-5.3.3
2020-06-06 12:39:34+02	2020-06-06 12:45:15+02	sysutils	mate-control-center	\N	mate-control-center-1.22.2
2020-06-06 12:32:45+02	2020-06-06 12:47:16+02	print	tex-dvipdfmx	\N	tex-dvipdfmx-20150315_1
2020-06-06 12:45:17+02	2020-06-06 12:47:53+02	sysutils	mate-polkit	\N	mate-polkit-1.22.0
2020-06-06 11:42:12+02	2020-06-06 12:48:08+02	www	chromium	\N	chromium-83.0.4103.61
2020-06-06 12:35:48+02	2020-06-06 12:48:33+02	print	tex-xmltex	\N	tex-xmltex-1.9_2
2020-06-06 12:47:18+02	2020-06-06 12:49:45+02	www	py-qt5-webkit	py37	py37-qt5-webkit-5.13.1_1
2020-06-06 12:48:12+02	2020-06-06 12:50:52+02	net-mgmt	icingaweb2-module-pdfexport	php73	icingaweb2-module-pdfexport-php73-0.9.0_2
2020-06-06 12:49:47+02	2020-06-06 12:51:11+02	x11-toolkits	fpc-gtk2	\N	fpc-gtk2-3.0.4_4
2020-06-06 12:48:37+02	2020-06-06 12:51:19+02	x11-themes	mate-themes	\N	mate-themes-3.22.14
2020-06-06 12:47:55+02	2020-06-06 12:51:34+02	x11-servers	xephyr	\N	xephyr-1.20.8_2,1
2020-06-06 12:51:35+02	2020-06-06 12:52:44+02	audio	faudio	\N	FAudio-20.06
2020-06-06 12:50:53+02	2020-06-06 12:52:48+02	x11-toolkits	py-gtk2	py27	py27-gtk2-2.24.0_5
2020-06-06 12:52:46+02	2020-06-06 12:55:20+02	audio	mate-media	\N	mate-media-1.22.2
2020-06-06 12:51:20+02	2020-06-06 12:55:31+02	archivers	engrampa	\N	engrampa-1.22.2
2020-06-06 12:22:57+02	2020-06-06 12:55:43+02	math	R	\N	R-4.0.0_1
2020-06-06 12:52:49+02	2020-06-06 12:56:04+02	databases	rrdtool	\N	rrdtool-1.7.2_2
2020-06-06 12:56:07+02	2020-06-06 12:58:32+02	devel	R-cran-rstudioapi	\N	R-cran-rstudioapi-0.11_1
2020-06-06 12:55:50+02	2020-06-06 12:59:03+02	deskutils	mozo	\N	mozo-1.22.2
2020-06-06 12:58:36+02	2020-06-06 13:00:11+02	devel	flatzebra	\N	flatzebra-0.1.7
2020-06-06 12:55:22+02	2020-06-06 13:00:51+02	deskutils	caja-extensions	\N	caja-extensions-1.22.1
2020-06-06 12:51:12+02	2020-06-06 13:01:48+02	x11-toolkits	wxgtk30	\N	wx30-gtk3-3.0.5.1
2020-06-06 12:59:06+02	2020-06-06 13:02:25+02	devel	ode	\N	ode-0.13_4,1
2020-06-06 13:00:13+02	2020-06-06 13:02:31+02	devel	py-game	py37	py37-game-1.9.6_1
2020-06-06 13:02:31+02	2020-06-06 13:03:23+02	emulators	dosbox	\N	dosbox-0.74.3_1
2020-06-06 12:55:34+02	2020-06-06 13:04:40+02	deskutils	mate-utils	\N	mate-utils-1.22.2
2020-06-06 13:02:26+02	2020-06-06 13:10:07+02	editors	pluma	\N	pluma-1.22.2
2020-06-06 13:04:41+02	2020-06-06 13:10:36+02	graphics	eom	\N	eom-1.22.2
2020-06-06 13:03:26+02	2020-06-06 13:11:27+02	graphics	atril	\N	atril-1.22.3_6
2020-06-06 13:10:37+02	2020-06-06 13:11:31+02	graphics	gle	\N	gle-3.1.0_7
2020-06-06 13:11:28+02	2020-06-06 13:12:25+02	graphics	gltt	\N	gltt-2.5.2_14
2020-06-06 13:10:10+02	2020-06-06 13:13:06+02	graphics	frei0r-plugins	\N	frei0r-plugins-1.6.1_1
2020-06-06 13:12:26+02	2020-06-06 13:13:07+02	graphics	libplacebo	\N	libplacebo-2.43.1
2020-06-06 13:11:33+02	2020-06-06 13:13:27+02	graphics	goocanvas2	\N	goocanvas2-2.0.4
2020-06-06 13:13:08+02	2020-06-06 13:14:17+02	graphics	sdl_gfx	\N	sdl_gfx-2.0.26
2020-06-06 13:13:06+02	2020-06-06 13:19:14+02	graphics	py-gimp	\N	py27-gimp-2.10.18_7
2020-06-06 13:19:17+02	2020-06-06 13:24:58+02	math	mate-calc	\N	mate-calc-1.22.2
2020-06-06 13:25:01+02	2020-06-06 13:27:25+02	math	py-networkx	py37	py37-networkx-2.1,1
2020-06-06 13:27:28+02	2020-06-06 13:30:28+02	multimedia	libopenshot	py37	py37-libopenshot-0.2.5.4
2020-06-06 13:13:28+02	2020-06-06 13:35:04+02	japanese	tex-ptex	\N	ja-tex-ptex-3.6_1
2020-06-06 13:35:06+02	2020-06-06 13:37:25+02	multimedia	webvfx-qt5	\N	webvfx-qt5-0.4.4.20160823_12
2020-06-06 13:37:27+02	2020-06-06 13:39:35+02	net	remmina-plugin-nx	\N	remmina-plugin-nx-1.3.9
2020-06-06 13:39:36+02	2020-06-06 13:41:23+02	net	remmina-plugin-rdp	\N	remmina-plugin-rdp-1.3.9
2020-06-06 13:41:26+02	2020-06-06 13:42:31+02	net	remmina-plugin-secret	\N	remmina-plugin-secret-1.3.9
2020-06-06 13:01:51+02	2020-06-06 13:42:51+02	editors	libreoffice	\N	libreoffice-6.3.6_1
2020-06-06 13:00:53+02	2020-06-06 13:43:28+02	editors	lazarus	\N	lazarus-gtk2-2.0.8
2020-06-06 13:42:32+02	2020-06-06 13:43:43+02	net	remmina-plugin-spice	\N	remmina-plugin-spice-1.3.9
2020-06-06 13:42:53+02	2020-06-06 13:43:55+02	net	remmina-plugin-st	\N	remmina-plugin-st-1.3.9
2020-06-06 13:30:29+02	2020-06-06 13:44:17+02	multimedia	vlc	\N	vlc-3.0.10_5,4
2020-06-06 13:43:29+02	2020-06-06 13:44:31+02	net	remmina-plugin-vnc	\N	remmina-plugin-vnc-1.3.9
2020-06-06 13:43:43+02	2020-06-06 13:45:04+02	net	remmina-plugin-www	\N	remmina-plugin-www-1.3.9
2020-06-06 13:44:18+02	2020-06-06 13:45:29+02	net-mgmt	icingaweb2-module-director	php73	icingaweb2-module-director-php73-1.6.2_2
2020-06-06 13:43:56+02	2020-06-06 13:45:44+02	net	remmina-plugin-xdmcp	\N	remmina-plugin-xdmcp-1.3.9
2020-06-06 13:44:32+02	2020-06-06 13:46:15+02	net-mgmt	icingaweb2-module-reporting	php73	icingaweb2-module-reporting-php73-0.9.2_1
2020-06-06 13:45:05+02	2020-06-06 13:46:46+02	print	gimp-gutenprint	\N	gimp-gutenprint-5.3.3
2020-06-06 13:46:15+02	2020-06-06 13:49:09+02	print	tex-xdvik	\N	tex-xdvik-22.87_4
2020-06-06 13:45:45+02	2020-06-06 13:55:20+02	print	tex-jadetex	\N	tex-jadetex-3.13_3
2020-06-06 13:45:30+02	2020-06-06 13:56:36+02	print	tex-aleph	\N	tex-aleph-1.15.2.1.r.4_4
2020-06-06 13:55:21+02	2020-06-06 13:57:42+02	sysutils	mate-power-manager	\N	mate-power-manager-1.22.2
2020-06-06 13:46:46+02	2020-06-06 13:58:54+02	print	tex-xetex	\N	tex-xetex-0.99992_34
2020-06-06 13:56:37+02	2020-06-06 13:58:56+02	sysutils	mate-system-monitor	\N	mate-system-monitor-1.22.2
2020-06-06 13:57:43+02	2020-06-06 13:59:09+02	textproc	gtkspell3	\N	gtkspell3-3.0.10
2020-06-06 13:58:55+02	2020-06-06 13:59:44+02	www	py-qt5-webchannel	py37	py37-qt5-webchannel-5.13.1_1
2020-06-06 13:58:56+02	2020-06-06 14:00:25+02	www	py-qt5-webkitwidgets	py37	py37-qt5-webkitwidgets-5.13.1_1
2020-06-06 13:59:45+02	2020-06-06 14:01:36+02	x11	mate-base	\N	mate-base-1.22.2
2020-06-06 14:00:26+02	2020-06-06 14:03:18+02	x11	mate-screensaver	\N	mate-screensaver-1.22.2
2020-06-06 14:03:19+02	2020-06-06 14:04:25+02	x11-toolkits	fltk	\N	fltk-1.3.5
2020-06-06 14:01:38+02	2020-06-06 14:04:43+02	x11	mate-terminal	\N	mate-terminal-1.22.1
2020-06-06 14:04:44+02	2020-06-06 14:05:28+02	x11-toolkits	gtkglarea2	\N	gtkglarea-2.0.1_10
2020-06-06 14:04:26+02	2020-06-06 14:05:38+02	x11-toolkits	gdl	\N	gdl-3.28.0
2020-06-06 13:14:19+02	2020-06-06 14:06:04+02	lang	erlang	\N	erlang-21.3.8.16,4
2020-06-06 13:59:10+02	2020-06-06 14:06:05+02	x11	mate-applets	\N	mate-applets-1.22.2
2020-06-06 14:05:28+02	2020-06-06 14:07:13+02	x11-toolkits	gtkmm24	\N	gtkmm24-2.24.5_1
2020-06-06 14:06:05+02	2020-06-06 14:07:19+02	deskutils	sysctlview	\N	sysctlview-2.0
2020-06-06 14:07:14+02	2020-06-06 14:09:38+02	devel	distel	full	distel-emacs26-4.1.1_4
2020-06-06 10:51:21+02	2020-06-06 14:14:34+02	lang	rust	\N	rust-1.44.0
2020-06-06 14:05:39+02	2020-06-06 14:18:43+02	astro	stellarium	\N	stellarium-0.20.1
2020-06-06 14:14:36+02	2020-06-06 14:25:37+02	devel	rust-cbindgen	\N	rust-cbindgen-0.14.2_1
2020-06-06 14:18:44+02	2020-06-06 14:26:47+02	editors	libreoffice-nb	\N	nb-libreoffice-6.3.6
2020-06-06 14:25:39+02	2020-06-06 14:30:28+02	editors	vim	\N	vim-8.2.0869
2020-06-06 14:09:39+02	2020-06-06 14:32:21+02	editors	codelite	\N	codelite-12.0_4
2020-06-06 14:26:48+02	2020-06-06 14:53:32+02	emulators	qemu	\N	qemu-4.1.1_3
2020-06-06 14:53:34+02	2020-06-06 14:53:53+02	games	KnightCap	\N	knightcap-3.6_8
2020-06-06 14:53:54+02	2020-06-06 14:54:22+02	games	afternoonstalker	\N	afternoonstalker-1.1.6
2020-06-06 13:49:10+02	2020-06-06 14:55:21+02	print	texlive-docs	\N	texlive-docs-20150523
2020-06-06 14:30:30+02	2020-06-06 14:55:40+02	emulators	wine	\N	wine-5.0.1,1
2020-06-06 14:32:22+02	2020-06-06 14:55:48+02	ftp	filezilla	\N	filezilla-3.40.0_5
2020-06-06 14:55:22+02	2020-06-06 14:55:53+02	games	alienblaster	\N	alienblaster-1.1.0_7
2020-06-06 14:55:51+02	2020-06-06 14:56:18+02	games	maelstrom	\N	maelstrom-3.0.6_14
2020-06-06 14:55:54+02	2020-06-06 14:56:54+02	games	monsterz	\N	monsterz-0.7.1_15
2020-06-06 14:56:19+02	2020-06-06 14:57:05+02	games	nuclearchess	\N	nuclearchess-1.0.0_10
2020-06-06 14:54:23+02	2020-06-06 14:57:10+02	games	alienarena	\N	alienarena-2013.766_9
2020-06-06 14:55:42+02	2020-06-06 14:57:12+02	games	battletanks	\N	btanks-0.9.8083_9
2020-06-06 14:56:55+02	2020-06-06 14:57:34+02	games	numptyphysics	\N	numptyphysics-0.3.r20090104_11
2020-06-06 14:57:05+02	2020-06-06 14:57:51+02	games	xblast	\N	xblast-2.10.4_17
2020-06-06 14:57:13+02	2020-06-06 14:58:04+02	games	xcowsay	\N	xcowsay-1.5
2020-06-06 14:57:11+02	2020-06-06 14:58:08+02	games	xboard	\N	xboard-4.9.1_1
2020-06-06 14:06:06+02	2020-06-06 14:58:55+02	devel	RStudio	\N	RStudio-1.3.959
2020-06-06 14:57:52+02	2020-06-06 14:59:21+02	graphics	gimp	\N	gimp-2.10.18,2
2020-06-06 14:57:35+02	2020-06-06 14:59:53+02	graphics	dia	\N	dia-0.97.3_1,1
2020-06-06 14:58:58+02	2020-06-06 15:00:34+02	graphics	xpdf	\N	xpdf-4.02,1
2020-06-06 14:59:22+02	2020-06-06 15:01:07+02	lang	csharp-mode.el	full	csharp-mode.el-emacs26-0.9.2_1
2020-06-06 15:01:08+02	2020-06-06 15:01:34+02	multimedia	libva-glx	\N	libva-glx-2.7.1
2020-06-06 15:01:35+02	2020-06-06 15:02:11+02	multimedia	libva-vdpau-driver	\N	libva-vdpau-driver-0.7.4_9
2020-06-06 14:58:04+02	2020-06-06 15:03:58+02	graphics	inkscape	\N	inkscape-1.0_2
2020-06-06 14:07:21+02	2020-06-06 15:04:07+02	devel	electron7	\N	electron7-7.3.1
2020-06-06 15:02:12+02	2020-06-06 15:06:45+02	multimedia	obs-studio	\N	obs-studio-25.0.8
2020-06-06 15:03:59+02	2020-06-06 15:09:05+02	multimedia	openshot	py37	openshot-2.5.1.7
2020-06-06 15:04:13+02	2020-06-06 15:09:56+02	multimedia	shotcut	\N	shotcut-20.04.12_1
2020-06-06 15:06:46+02	2020-06-06 15:10:08+02	net	ntopng	\N	ntopng-4.0.d20200530,1
2020-06-06 15:09:07+02	2020-06-06 15:11:07+02	net	remmina-plugins	\N	remmina-plugins-1.3.9
2020-06-06 15:10:09+02	2020-06-06 15:11:12+02	net-mgmt	etherape	\N	etherape-0.9.18
2020-06-06 14:58:09+02	2020-06-06 15:12:19+02	graphics	krita	\N	krita-4.2.9_4
2020-06-06 15:11:08+02	2020-06-06 15:12:35+02	net-mgmt	icingaweb2-module-businessprocess	php73	icingaweb2-module-businessprocess-php73-2.2.0_2
2020-06-06 15:11:12+02	2020-06-06 15:12:38+02	net-mgmt	icingaweb2-module-cube	php73	icingaweb2-module-cube-php73-1.1.0_1
2020-06-06 15:12:21+02	2020-06-06 15:13:34+02	net-mgmt	icingaweb2-module-elasticsearch	php73	icingaweb2-module-elasticsearch-php73-0.9.0_3
2020-06-06 15:12:36+02	2020-06-06 15:13:40+02	net-mgmt	icingaweb2-module-fileshipper	php73	icingaweb2-module-fileshipper-php73-1.1.0_3
2020-06-06 15:12:40+02	2020-06-06 15:13:42+02	net-mgmt	icingaweb2-module-generictts	php73	icingaweb2-module-generictts-php73-2.0.0_3
2020-06-06 15:13:35+02	2020-06-06 15:14:36+02	net-mgmt	icingaweb2-module-grafana	php73	icingaweb2-module-grafana-php73-1.3.6_1
2020-06-06 15:13:41+02	2020-06-06 15:14:41+02	net-mgmt	icingaweb2-module-graphite	php73	icingaweb2-module-graphite-php73-1.1.0_3
2020-06-06 15:09:57+02	2020-06-06 15:14:58+02	net	wireshark	\N	wireshark-3.2.4
2020-06-06 15:13:43+02	2020-06-06 15:15:19+02	net-mgmt	icingaweb2-module-idoreports	php73	icingaweb2-module-idoreports-php73-0.9.0_2
2020-06-06 15:14:36+02	2020-06-06 15:15:45+02	net-mgmt	icingaweb2-module-map	php73	icingaweb2-module-map-php73-1.1.0_3
2020-06-06 15:14:42+02	2020-06-06 15:15:48+02	net-mgmt	icingaweb2-module-vsphere	php73	icingaweb2-module-vsphere-php73-1.1.0_4
2020-06-06 15:14:59+02	2020-06-06 15:16:06+02	ports-mgmt	porttree	\N	porttree-1.1.r114_1
2020-06-06 15:15:20+02	2020-06-06 15:18:45+02	print	auctex	full	auctex-emacs26-12.2
2020-06-06 15:15:49+02	2020-06-06 15:18:55+02	print	lyx	\N	lyx-2.3.4.2_1
2020-06-06 15:18:46+02	2020-06-06 15:19:46+02	security	openconnect-gui	\N	openconnect-gui-1.4.1_3
2020-06-06 15:15:45+02	2020-06-06 15:19:48+02	print	fontforge	\N	fontforge-20190801_2
2020-06-06 15:18:56+02	2020-06-06 15:20:07+02	sysutils	cpu-x	\N	cpu-x-4.0.0_1
2020-06-06 15:19:49+02	2020-06-06 15:20:13+02	sysutils	panicmail	\N	panicmail-1.1
2020-06-06 15:19:46+02	2020-06-06 15:20:31+02	sysutils	gkrellm2	\N	gkrellm2-2.3.11
2020-06-06 15:20:07+02	2020-06-06 15:20:54+02	textproc	py-qt5-xmlpatterns	py37	py37-qt5-xmlpatterns-5.13.1_1
2020-06-06 15:16:07+02	2020-06-06 15:21:46+02	print	texlive-full	\N	texlive-full-20150521
2020-06-06 15:20:32+02	2020-06-06 15:21:53+02	www	py-qt5-webengine	py37	py37-qt5-webengine-5.12.1_1
2020-06-06 15:20:55+02	2020-06-06 15:21:58+02	x11	cool-retro-term	\N	cool-retro-term-1.1.1_1
2020-06-06 15:21:55+02	2020-06-06 15:22:27+02	x11	xlockmore	\N	xlockmore-5.63
2020-06-06 15:21:47+02	2020-06-06 15:23:55+02	x11	mate	\N	mate-1.22.2
2020-06-06 15:21:59+02	2020-06-06 15:24:27+02	x11	xscreensaver	\N	xscreensaver-5.44
2020-06-06 15:24:27+02	2020-06-06 15:24:40+02	x11-fm	xdiskusage	\N	xdiskusage-1.51_1
2020-06-06 15:23:56+02	2020-06-06 15:25:00+02	x11-fm	fsv2	\N	fsv2-1.1.0_1
2020-06-06 15:24:41+02	2020-06-06 15:25:09+02	x11-toolkits	libgdiplus	\N	libgdiplus-5.6_2
2020-06-06 15:27:41+02	2020-06-06 15:27:57+02	graphics	drm-kmod	\N	drm-kmod-g20190710
2020-06-06 15:22:28+02	2020-06-06 15:29:15+02	x11-fm	doublecmd	gtk2	doublecmd-gtk2-0.9.8_2
2020-06-06 14:59:54+02	2020-06-06 15:42:28+02	lang	erlang-runtime22	\N	erlang-runtime22-22.3.4.1
2020-06-06 15:00:37+02	2020-06-06 15:49:27+02	lang	erlang-runtime23	\N	erlang-runtime23-23.0.2
2020-06-06 15:20:13+02	2020-06-06 16:04:03+02	www	firefox	\N	firefox-77.0.1_1,1
2020-06-06 15:25:09+02	2020-06-06 16:06:45+02	editors	vscode	\N	vscode-1.45.1_2
2020-06-06 16:11:46+02	2020-06-06 16:11:54+02	x11	sterm	\N	sterm-0.8.3
2020-06-06 16:22:18+02	2020-06-06 16:37:09+02	local	E590T-localbase	\N	E590T-localbase-2020060200
2020-06-06 18:06:48+02	2020-06-06 18:08:09+02	graphics	mesa-libs	\N	mesa-libs-19.0.8
2020-06-06 18:08:09+02	2020-06-06 18:08:34+02	graphics	libGLU	\N	libGLU-9.0.1
2020-06-06 18:08:10+02	2020-06-06 18:08:35+02	graphics	libepoxy	\N	libepoxy-1.5.4
2020-06-06 18:08:36+02	2020-06-06 18:08:58+02	www	libwpe	\N	libwpe-1.4.0.1
2020-06-06 18:08:10+02	2020-06-06 18:09:13+02	graphics	cairo	\N	cairo-1.16.0,2
2020-06-06 18:06:48+02	2020-06-06 18:09:14+02	graphics	drm-current-kmod	\N	drm-current-kmod-4.16.g20200320
2020-06-06 18:08:34+02	2020-06-06 18:09:15+02	devel	sdl12	\N	sdl-1.2.15_14,2
2020-06-06 18:08:59+02	2020-06-06 18:09:20+02	www	wpebackend-fdo	\N	wpebackend-fdo-1.4.1
2020-06-06 18:09:22+02	2020-06-06 18:10:11+02	graphics	frei0r	\N	frei0r-1.6.1
2020-06-06 18:09:15+02	2020-06-06 18:10:29+02	graphics	poppler	\N	poppler-0.89.0_1
2020-06-06 18:10:14+02	2020-06-06 18:10:50+02	graphics	py-cairo	py37	py37-cairo-1.18.1_1
2020-06-06 18:08:10+02	2020-06-06 18:11:34+02	x11-toolkits	qt5-gui	\N	qt5-gui-5.14.2
2020-06-06 18:09:15+02	2020-06-06 18:11:36+02	devel	tex-web2c	\N	tex-web2c-20150521_3
2020-06-06 18:10:54+02	2020-06-06 18:11:52+02	devel	py-gobject3	py37	py37-gobject3-3.28.3_1
2020-06-06 18:10:32+02	2020-06-06 18:12:26+02	devel	sdl20	\N	sdl2-2.0.10_1
2020-06-06 18:11:37+02	2020-06-06 18:13:00+02	print	tex-basic-engines	\N	tex-basic-engines-20150521
2020-06-06 18:08:10+02	2020-06-06 18:13:07+02	graphics	mesa-dri	\N	mesa-dri-19.0.8_2
2020-06-06 18:09:14+02	2020-06-06 18:13:09+02	x11-toolkits	pango	\N	pango-1.42.4_3
2020-06-06 18:12:28+02	2020-06-06 18:13:19+02	x11	qt5-x11extras	\N	qt5-x11extras-5.14.2
2020-06-06 18:11:35+02	2020-06-06 18:14:04+02	x11-toolkits	qt5-widgets	\N	qt5-widgets-5.14.2
2020-06-06 18:13:07+02	2020-06-06 18:14:22+02	devel	kf5-kconfig	\N	kf5-kconfig-5.70.0
2020-06-06 18:13:20+02	2020-06-06 18:14:34+02	graphics	gtk-update-icon-cache	\N	gtk-update-icon-cache-2.24.32
2020-06-06 18:13:01+02	2020-06-06 18:15:06+02	graphics	graphene	\N	graphene-1.10.0
2020-06-06 18:14:23+02	2020-06-06 18:15:33+02	devel	qt5-help	\N	qt5-help-5.14.2
2020-06-06 18:15:34+02	2020-06-06 18:17:30+02	print	qt5-printsupport	\N	qt5-printsupport-5.14.2
2020-06-06 18:14:05+02	2020-06-06 18:17:45+02	x11-toolkits	qt5-declarative	\N	qt5-declarative-5.14.2
2020-06-06 18:14:35+02	2020-06-06 18:17:48+02	x11-themes	adwaita-icon-theme	\N	adwaita-icon-theme-3.28.0
2020-06-06 18:13:10+02	2020-06-06 18:17:59+02	graphics	graphviz	\N	graphviz-2.44.0_4
2020-06-06 18:17:31+02	2020-06-06 18:18:22+02	x11-toolkits	qt5-uiplugin	\N	qt5-uiplugin-5.14.2
2020-06-06 18:11:53+02	2020-06-06 18:18:22+02	print	texlive-base	\N	texlive-base-20150521_52
2020-06-06 18:17:49+02	2020-06-06 18:19:03+02	graphics	qt5-svg	\N	qt5-svg-5.14.2
2020-06-06 18:18:28+02	2020-06-06 18:19:12+02	x11-toolkits	pangox-compat	\N	pangox-compat-0.0.2_2
2020-06-06 18:17:45+02	2020-06-06 18:19:30+02	graphics	qt5-opengl	\N	qt5-opengl-5.14.2
2020-06-06 18:18:00+02	2020-06-06 18:19:53+02	lang	vala	\N	vala-0.40.15,1
2020-06-06 18:15:10+02	2020-06-06 18:20:24+02	x11-toolkits	gtk20	\N	gtk2-2.24.32
2020-06-06 18:19:13+02	2020-06-06 18:20:45+02	devel	kf5-ki18n	\N	kf5-ki18n-5.70.0
2020-06-06 18:19:05+02	2020-06-06 18:20:48+02	graphics	gstreamer1-plugins-gl	\N	gstreamer1-plugins-gl-1.16.2
2020-06-06 18:19:30+02	2020-06-06 18:20:54+02	devel	qscintilla2-qt5	\N	qscintilla2-qt5-2.11.4
2020-06-06 18:19:53+02	2020-06-06 18:21:01+02	graphics	librsvg2	\N	librsvg2-2.40.21
2020-06-06 18:20:46+02	2020-06-06 18:21:34+02	audio	libcanberra	\N	libcanberra-0.30_5
2020-06-06 18:20:25+02	2020-06-06 18:21:44+02	devel	gconf2	\N	gconf2-3.2.6_5
2020-06-06 18:20:55+02	2020-06-06 18:22:15+02	devel	py-qt5-core	py37	py37-qt5-core-5.13.1_1
2020-06-06 18:20:49+02	2020-06-06 18:22:17+02	devel	kf5-kdoctools	\N	kf5-kdoctools-5.70.0
2020-06-06 18:22:15+02	2020-06-06 18:23:10+02	devel	qt5-uitools	\N	qt5-uitools-5.14.2
2020-06-06 18:22:18+02	2020-06-06 18:23:21+02	x11	kf5-kwindowsystem	\N	kf5-kwindowsystem-5.70.0
2020-06-06 18:21:44+02	2020-06-06 18:23:39+02	x11-toolkits	wxgtk28-common	\N	wx28-gtk2-common-2.8.12_8
2020-06-06 18:23:22+02	2020-06-06 18:24:23+02	graphics	poppler-glib	\N	poppler-glib-0.89.0_1
2020-06-06 18:24:24+02	2020-06-06 18:26:00+02	x11-toolkits	kf5-kwidgetsaddons	\N	kf5-kwidgetsaddons-5.70.0
2020-06-06 18:21:35+02	2020-06-06 18:26:54+02	graphics	ImageMagick7	\N	ImageMagick7-7.0.10.6
2020-06-06 18:23:11+02	2020-06-06 18:27:18+02	x11-servers	xorg-server	\N	xorg-server-1.20.8_2,1
2020-06-06 18:23:40+02	2020-06-06 18:27:19+02	x11-toolkits	wxgtk28	\N	wx28-gtk2-2.8.12_8
2020-06-06 18:26:02+02	2020-06-06 18:27:27+02	devel	kf5-kcrash	\N	kf5-kcrash-5.70.0
2020-06-06 18:27:28+02	2020-06-06 18:27:43+02	multimedia	smpeg	\N	smpeg-0.4.4_15
2020-06-06 18:26:55+02	2020-06-06 18:27:58+02	graphics	pecl-imagick-im7	php73	php73-pecl-imagick-im7-3.4.4
2020-06-06 18:27:19+02	2020-06-06 18:28:13+02	graphics	qt5-imageformats	\N	qt5-imageformats-5.14.2
2020-06-06 18:27:19+02	2020-06-06 18:28:16+02	devel	kf5-kdbusaddons	\N	kf5-kdbusaddons-5.70.0
2020-06-06 18:21:01+02	2020-06-06 18:28:30+02	x11-toolkits	gtk30	\N	gtk3-3.24.10_1
2020-06-06 18:27:44+02	2020-06-06 18:28:41+02	sysutils	polkit-qt	\N	polkit-qt-1-0.113.0_8
2020-06-06 18:28:14+02	2020-06-06 18:29:11+02	www	qt5-webchannel	\N	qt5-webchannel-5.14.2
2020-06-06 18:27:59+02	2020-06-06 18:29:24+02	net-mgmt	icingaweb2	php73	icingaweb2-php73-2.7.3_3
2020-06-06 18:28:16+02	2020-06-06 18:29:38+02	devel	kf5-kservice	\N	kf5-kservice-5.70.0
2020-06-06 18:28:41+02	2020-06-06 18:29:49+02	audio	libcanberra-gtk3	\N	libcanberra-gtk3-0.30_5
2020-06-06 18:28:31+02	2020-06-06 18:29:59+02	x11	mate-desktop	\N	mate-desktop-1.22.2
2020-06-06 18:29:49+02	2020-06-06 18:30:58+02	devel	kf5-kauth	\N	kf5-kauth-5.70.0
2020-06-06 18:29:39+02	2020-06-06 18:31:06+02	net	avahi-gtk3	\N	avahi-gtk3-0.7_1
2020-06-06 18:29:26+02	2020-06-06 18:31:29+02	x11-toolkits	vte3	\N	vte3-0.52.2_3
2020-06-06 18:30:01+02	2020-06-06 18:32:29+02	devel	qt5-location	\N	qt5-location-5.14.2
2020-06-06 18:31:06+02	2020-06-06 18:33:03+02	x11-toolkits	kf5-kguiaddons	\N	kf5-kguiaddons-5.70.0
2020-06-06 18:31:31+02	2020-06-06 18:33:36+02	net	remmina	\N	remmina-1.3.9
2020-06-06 18:32:30+02	2020-06-06 18:33:45+02	accessibility	qt5-speech	\N	qt5-speech-5.14.2
2020-06-06 18:33:04+02	2020-06-06 18:34:54+02	x11-toolkits	kf5-kconfigwidgets	\N	kf5-kconfigwidgets-5.70.0
2020-06-06 18:33:37+02	2020-06-06 18:34:58+02	x11-toolkits	kf5-kitemviews	\N	kf5-kitemviews-5.70.0
2020-06-06 18:30:58+02	2020-06-06 18:35:06+02	security	gcr	\N	gcr-3.28.0
2020-06-06 18:33:46+02	2020-06-06 18:35:28+02	x11-toolkits	libwnck3	\N	libwnck3-3.24.1
2020-06-06 18:35:07+02	2020-06-06 18:35:31+02	graphics	freeglut	\N	freeglut-3.0.0_2
2020-06-06 18:34:59+02	2020-06-06 18:35:43+02	graphics	cairomm	\N	cairomm-1.12.2_4
2020-06-06 18:35:31+02	2020-06-06 18:36:16+02	graphics	sdl_image	\N	sdl_image-1.2.12_12
2020-06-06 18:35:32+02	2020-06-06 18:36:55+02	net	py-qt5-network	py37	py37-qt5-network-5.13.1_1
2020-06-06 18:35:44+02	2020-06-06 18:37:38+02	x11-themes	kf5-kiconthemes	\N	kf5-kiconthemes-5.70.0
2020-06-06 18:36:55+02	2020-06-06 18:37:57+02	x11-toolkits	gstreamer1-plugins-pango	\N	gstreamer1-plugins-pango-1.16.2
2020-06-06 18:37:58+02	2020-06-06 18:38:21+02	graphics	py-cairo	py27	py27-cairo-1.18.1_1
2020-06-06 18:37:40+02	2020-06-06 18:38:49+02	comms	qt5-sensors	\N	qt5-sensors-5.14.2
2020-06-06 18:34:55+02	2020-06-06 18:38:54+02	x11-toolkits	py-qt5-gui	py37	py37-qt5-gui-5.13.1_1
2020-06-06 18:29:12+02	2020-06-06 18:39:17+02	www	webkit2-gtk3	\N	webkit2-gtk3-2.28.1_1
2020-06-06 18:36:17+02	2020-06-06 18:39:24+02	x11-themes	mate-icon-theme	\N	mate-icon-theme-1.22.2
2020-06-06 18:38:49+02	2020-06-06 18:39:31+02	multimedia	gstreamer1-plugins-core	\N	gstreamer1-plugins-core-1.16
2020-06-06 18:38:25+02	2020-06-06 18:40:24+02	math	gnuplot	\N	gnuplot-5.2.8_1
2020-06-06 18:39:18+02	2020-06-06 18:40:24+02	textproc	kf5-sonnet	\N	kf5-sonnet-5.70.0
2020-06-06 18:39:25+02	2020-06-06 18:40:28+02	x11-toolkits	kf5-kcompletion	\N	kf5-kcompletion-5.70.0
2020-06-06 18:39:32+02	2020-06-06 18:40:29+02	x11-toolkits	pangomm	\N	pangomm-2.40.1_4
2020-06-06 18:40:25+02	2020-06-06 18:40:47+02	audio	sdl_mixer	\N	sdl_mixer-1.2.12_12
2020-06-06 18:40:29+02	2020-06-06 18:41:24+02	devel	libdbusmenu-qt	\N	libdbusmenu-qt5-0.9.3.160420160218_10
2020-06-06 18:40:30+02	2020-06-06 18:41:34+02	multimedia	phonon	\N	phonon-qt5-4.11.1
2020-06-06 18:40:25+02	2020-06-06 18:42:37+02	x11-toolkits	py-qt5-widgets	py37	py37-qt5-widgets-5.13.1_1
2020-06-06 18:40:47+02	2020-06-06 18:42:43+02	multimedia	qt5-multimedia	\N	qt5-multimedia-5.14.2
2020-06-06 18:41:36+02	2020-06-06 18:43:20+02	x11	kf5-kglobalaccel	\N	kf5-kglobalaccel-5.70.0
2020-06-06 18:42:37+02	2020-06-06 18:43:37+02	x11-toolkits	kf5-attica	\N	kf5-attica-5.70.0
2020-06-06 18:42:44+02	2020-06-06 18:44:16+02	x11-toolkits	kf5-ktextwidgets	\N	kf5-ktextwidgets-5.70.0
2020-06-06 18:43:37+02	2020-06-06 18:45:14+02	devel	qt5-assistant	\N	qt5-assistant-5.14.2
2020-06-06 18:43:21+02	2020-06-06 18:45:38+02	devel	kf5-knotifications	\N	kf5-knotifications-5.70.0
2020-06-06 18:44:17+02	2020-06-06 18:45:39+02	graphics	poppler-utils	\N	poppler-utils-0.89.0_1
2020-06-06 18:45:15+02	2020-06-06 18:47:11+02	security	pinentry-gnome3	\N	pinentry-gnome3-1.1.0
2020-06-06 18:45:40+02	2020-06-06 18:47:30+02	security	pinentry-qt5	\N	pinentry-qt5-1.1.0_1
2020-06-06 18:18:28+02	2020-06-06 18:47:44+02	print	texlive-texmf	\N	texlive-texmf-20150523_4
2020-06-06 18:47:12+02	2020-06-06 18:47:45+02	x11	xdriinfo	\N	xdriinfo-1.0.6_3
2020-06-06 18:38:55+02	2020-06-06 18:48:29+02	net	libmateweather	\N	libmateweather-1.22.1
2020-06-06 18:45:40+02	2020-06-06 18:48:38+02	x11	libmatekbd	\N	libmatekbd-1.22.0
2020-06-06 18:47:32+02	2020-06-06 18:49:38+02	x11-drivers	xf86-input-evdev	\N	xf86-input-evdev-2.10.6_5
2020-06-06 18:48:40+02	2020-06-06 18:50:28+02	x11-drivers	xf86-input-keyboard	\N	xf86-input-keyboard-1.9.0_4
2020-06-06 18:41:26+02	2020-06-06 18:51:35+02	www	qt5-webkit	\N	qt5-webkit-5.212.0.a4_2
2020-06-06 18:49:38+02	2020-06-06 18:51:42+02	x11-drivers	xf86-input-libinput	\N	xf86-input-libinput-0.30.0
2020-06-06 18:50:29+02	2020-06-06 18:52:04+02	x11-drivers	xf86-input-mouse	\N	xf86-input-mouse-1.9.3_3
2020-06-06 18:48:29+02	2020-06-06 18:52:08+02	x11	mate-panel	\N	mate-panel-1.22.2
2020-06-06 18:51:36+02	2020-06-06 18:52:55+02	x11-drivers	xf86-video-amdgpu	\N	xf86-video-amdgpu-19.1.0_1
2020-06-06 18:47:45+02	2020-06-06 18:53:02+02	print	tex-formats	\N	tex-formats-20150521_2
2020-06-06 18:52:04+02	2020-06-06 18:53:20+02	x11-drivers	xf86-video-scfb	\N	xf86-video-scfb-0.0.5_2
2020-06-06 18:52:08+02	2020-06-06 18:53:24+02	x11-drivers	xf86-video-vesa	\N	xf86-video-vesa-2.4.0_3
2020-06-06 18:51:43+02	2020-06-06 18:53:47+02	x11-drivers	xf86-video-intel	\N	xf86-video-intel-2.99.917.20181203_1
2020-06-06 18:53:21+02	2020-06-06 18:54:47+02	x11-toolkits	libunique3	\N	libunique-3.0.2_3
2020-06-06 18:53:03+02	2020-06-06 18:54:53+02	x11-toolkits	kf5-kxmlgui	\N	kf5-kxmlgui-5.70.0
2020-06-06 18:53:48+02	2020-06-06 18:55:18+02	devel	kf5-solid	\N	kf5-solid-5.70.0
2020-06-06 18:53:25+02	2020-06-06 18:55:23+02	x11-toolkits	wxgtk28-contrib-common	\N	wx28-gtk2-contrib-common-2.8.12_8
2020-06-06 18:52:57+02	2020-06-06 18:55:42+02	x11-fm	caja	\N	caja-1.22.3
2020-06-06 18:54:48+02	2020-06-06 18:55:49+02	devel	libglade2	\N	libglade2-2.6.4_10
2020-06-06 18:54:53+02	2020-06-06 18:56:34+02	devel	kf5-kbookmarks	\N	kf5-kbookmarks-5.70.0
2020-06-06 18:56:40+02	2020-06-06 18:57:25+02	net	sdl_net	\N	sdl_net-1.2.8_3
2020-06-06 18:55:18+02	2020-06-06 18:57:29+02	devel	qt5-designer	\N	qt5-designer-5.14.2
2020-06-06 18:55:24+02	2020-06-06 18:57:46+02	graphics	gegl	\N	gegl-0.4.22_6
2020-06-06 18:55:50+02	2020-06-06 18:58:36+02	net	gnome-online-accounts	\N	gnome-online-accounts-3.28.0_2
2020-06-06 18:47:46+02	2020-06-06 18:58:44+02	print	tex-dvipsk	\N	tex-dvipsk-5.995_2
2020-06-06 18:57:30+02	2020-06-06 18:58:49+02	print	py-qt5-printsupport	py37	py37-qt5-printsupport-5.13.1_1
2020-06-06 18:57:25+02	2020-06-06 18:58:53+02	net	uhttpmock	\N	uhttpmock-0.5.1_1
2020-06-06 18:57:47+02	2020-06-06 18:59:57+02	security	gnome-keyring	\N	gnome-keyring-3.28.2_2
2020-06-06 18:58:49+02	2020-06-06 19:00:09+02	sysutils	policykit-gnome	\N	policykit-gnome-0.9.2_9
2020-06-06 18:58:54+02	2020-06-06 19:00:20+02	x11	kf5-kded	\N	kf5-kded-5.70.0_1
2020-06-06 18:59:58+02	2020-06-06 19:00:38+02	x11	xorg-apps	\N	xorg-apps-7.7_4
2020-06-06 18:58:37+02	2020-06-06 19:00:48+02	sysutils	kf5-kwallet	\N	kf5-kwallet-5.70.0
2020-06-06 19:00:20+02	2020-06-06 19:01:46+02	x11-drivers	xorg-drivers	\N	xorg-drivers-7.7_6
2020-06-06 19:00:10+02	2020-06-06 19:01:46+02	x11	zenity	\N	zenity-3.28.1
2020-06-06 18:55:43+02	2020-06-06 19:02:51+02	graphics	tesseract	\N	tesseract-4.1.1_2
2020-06-06 19:01:47+02	2020-06-06 19:03:12+02	x11-toolkits	kf5-kjobwidgets	\N	kf5-kjobwidgets-5.70.0
2020-06-06 19:00:49+02	2020-06-06 19:03:15+02	x11-toolkits	gtkmm30	\N	gtkmm30-3.22.2
2020-06-06 19:00:39+02	2020-06-06 19:03:20+02	x11-servers	xorg-vfbserver	\N	xorg-vfbserver-1.20.8_2,1
2020-06-06 19:01:47+02	2020-06-06 19:03:35+02	x11-toolkits	wxgtk28-contrib	\N	wx28-gtk2-contrib-2.8.12_8
2020-06-06 19:03:20+02	2020-06-06 19:03:52+02	devel	py-gobject	py27	py27-gobject-2.28.6_8
2020-06-06 18:58:45+02	2020-06-06 19:04:00+02	devel	doxygen	\N	doxygen-1.8.15_3,2
2020-06-06 19:03:53+02	2020-06-06 19:04:19+02	graphics	fpc-cairo	\N	fpc-cairo-3.0.4_4
2020-06-06 19:03:16+02	2020-06-06 19:04:49+02	devel	libpeas	\N	libpeas-1.22.0
2020-06-06 19:02:52+02	2020-06-06 19:04:57+02	devel	libgdata	\N	libgdata-0.17.9
2020-06-06 19:04:50+02	2020-06-06 19:06:46+02	graphics	movit	\N	movit-1.6.2_2
2020-06-06 19:06:47+02	2020-06-06 19:07:32+02	graphics	sdl2_image	\N	sdl2_image-2.0.5
2020-06-06 19:03:14+02	2020-06-06 19:07:56+02	devel	kf5-kio	\N	kf5-kio-5.70.1_1
2020-06-06 19:07:32+02	2020-06-06 19:08:04+02	graphics	sdl_ttf	\N	sdl_ttf-2.0.11_7
2020-06-06 19:04:20+02	2020-06-06 19:09:11+02	graphics	glew	\N	glew-2.2.0
2020-06-06 19:07:58+02	2020-06-06 19:09:18+02	net-mgmt	icingaweb2-module-ipl	php73	icingaweb2-module-ipl-php73-0.4.0_1
2020-06-06 19:08:05+02	2020-06-06 19:09:18+02	print	cups-filters	\N	cups-filters-1.27.4_2
2020-06-06 19:09:18+02	2020-06-06 19:11:01+02	sysutils	gnome-mount	\N	gnome-mount-0.8_13
2020-06-06 19:03:36+02	2020-06-06 19:11:35+02	editors	emacs	full	emacs-26.3_4,3
2020-06-06 19:09:19+02	2020-06-06 19:12:02+02	sysutils	mate-settings-daemon	\N	mate-settings-daemon-1.22.1
2020-06-06 19:04:58+02	2020-06-06 19:12:20+02	graphics	opencv	\N	opencv-3.4.1_32
2020-06-06 19:12:02+02	2020-06-06 19:13:34+02	x11	mate-session-manager	\N	mate-session-manager-1.22.3
2020-06-06 19:04:01+02	2020-06-06 19:15:02+02	graphics	gimp-app	\N	gimp-app-2.10.18_7,1
2020-06-06 19:13:35+02	2020-06-06 19:15:33+02	x11	yelp	\N	yelp-3.28.1_2
2020-06-06 19:12:21+02	2020-06-06 19:16:15+02	x11	xorg	\N	xorg-7.7_3
2020-06-06 19:15:03+02	2020-06-06 19:16:48+02	x11-themes	gtk-engines2	\N	gtk-engines2-2.20.2_3
2020-06-06 19:15:38+02	2020-06-06 19:17:14+02	x11-themes	gtk-murrine-engine	\N	gtk-murrine-engine-0.98.2_5
2020-06-06 19:16:48+02	2020-06-06 19:18:36+02	x11-toolkits	qt5-quickcontrols	\N	qt5-quickcontrols-5.14.2
2020-06-06 19:16:16+02	2020-06-06 19:19:10+02	x11-toolkits	gtksourceview3	\N	gtksourceview3-3.24.8_3
2020-06-06 19:18:37+02	2020-06-06 19:20:48+02	audio	sdl_sound	\N	sdl_sound-1.0.3_14
2020-06-06 19:17:15+02	2020-06-06 19:21:48+02	x11-wm	marco	\N	marco-1.22.4
2020-06-06 19:09:11+02	2020-06-06 19:22:59+02	print	tex-luatex	\N	tex-luatex-0.80.0_18
2020-06-06 19:20:49+02	2020-06-06 19:24:14+02	deskutils	mate-notification-daemon	\N	mate-notification-daemon-1.22.1
2020-06-06 19:19:12+02	2020-06-06 19:24:39+02	deskutils	gucharmap	\N	gucharmap-11.0.1_1
2020-06-06 19:24:15+02	2020-06-06 19:25:42+02	devel	py-gobject3	py27	py27-gobject3-3.28.3_1
2020-06-06 19:25:43+02	2020-06-06 19:26:28+02	graphics	fpc-opengl	\N	fpc-opengl-3.0.4_4
2020-06-06 19:24:41+02	2020-06-06 19:26:45+02	graphics	djvulibre	\N	djvulibre-3.5.27_2
2020-06-06 19:26:48+02	2020-06-06 19:28:30+02	graphics	ftgl	\N	ftgl-2.1.3.r5_6,1
2020-06-06 19:23:01+02	2020-06-06 19:29:01+02	devel	gvfs	\N	gvfs-1.30.4_3
2020-06-06 19:21:50+02	2020-06-06 19:29:20+02	deskutils	spice-gtk	\N	spice-gtk-0.37
2020-06-06 19:26:29+02	2020-06-06 19:29:23+02	graphics	frei0r-plugins-opencv	\N	frei0r-plugins-opencv-1.6.1_1
2020-06-06 19:29:02+02	2020-06-06 19:29:51+02	graphics	libgxps	\N	libgxps-0.3.1
2020-06-06 19:28:31+02	2020-06-06 19:30:11+02	graphics	libgltf	\N	libgltf-0.0.2_21
2020-06-06 19:29:24+02	2020-06-06 19:30:22+02	graphics	py-pygraphviz	py37	py37-pygraphviz-1.5
2020-06-06 19:29:54+02	2020-06-06 19:31:24+02	graphics	py-qt5-svg	py37	py37-qt5-svg-5.13.1_1
2020-06-06 19:29:22+02	2020-06-06 19:31:33+02	graphics	poppler-qt5	\N	poppler-qt5-0.89.0_1
2020-06-06 19:30:23+02	2020-06-06 19:32:00+02	graphics	qt5-graphicaleffects	\N	qt5-graphicaleffects-5.14.2
2020-06-06 19:31:25+02	2020-06-06 19:33:40+02	lang	py-qt5-qml	py37	py37-qt5-qml-5.13.1_1
2020-06-06 19:30:12+02	2020-06-06 19:34:50+02	graphics	qt5-3d	\N	qt5-3d-5.14.2
2020-06-06 19:11:35+02	2020-06-06 19:36:25+02	www	qt5-webengine	\N	qt5-webengine-5.14.2
2020-06-06 19:34:53+02	2020-06-06 19:37:14+02	net	remmina-plugin-exec	\N	remmina-plugin-exec-1.3.9
2020-06-06 19:33:41+02	2020-06-06 19:37:21+02	multimedia	mlt	\N	mlt-6.20.0
2020-06-06 19:36:28+02	2020-06-06 19:38:22+02	net-mgmt	icingaweb2-module-reactbundle	php73	icingaweb2-module-reactbundle-php73-0.7.0_1
2020-06-06 19:37:22+02	2020-06-06 19:38:48+02	print	libspectre	\N	libspectre-0.2.8
2020-06-06 19:32:02+02	2020-06-06 19:43:39+02	misc	mate-user-guide	\N	mate-user-guide-1.22.3
2020-06-06 19:37:15+02	2020-06-06 19:45:59+02	print	gutenprint	\N	gutenprint-5.3.3
2020-06-06 19:43:40+02	2020-06-06 19:47:42+02	sysutils	mate-control-center	\N	mate-control-center-1.22.2
2020-06-06 19:46:00+02	2020-06-06 19:48:02+02	sysutils	mate-polkit	\N	mate-polkit-1.22.0
2020-06-06 19:47:43+02	2020-06-06 19:49:46+02	www	py-qt5-webkit	py37	py37-qt5-webkit-5.13.1_1
2020-06-06 19:38:50+02	2020-06-06 19:50:13+02	print	tex-xmltex	\N	tex-xmltex-1.9_2
2020-06-06 19:38:23+02	2020-06-06 19:50:33+02	print	tex-dvipdfmx	\N	tex-dvipdfmx-20150315_1
2020-06-06 19:48:03+02	2020-06-06 19:51:31+02	x11-servers	xephyr	\N	xephyr-1.20.8_2,1
2020-06-06 19:50:15+02	2020-06-06 19:51:37+02	x11-toolkits	fpc-gtk2	\N	fpc-gtk2-3.0.4_4
2020-06-06 19:49:47+02	2020-06-06 19:52:05+02	x11-themes	mate-themes	\N	mate-themes-3.22.14
2020-06-06 19:50:35+02	2020-06-06 19:52:20+02	x11-toolkits	py-gtk2	py27	py27-gtk2-2.24.0_5
2020-06-06 19:52:10+02	2020-06-06 19:53:02+02	audio	faudio	\N	FAudio-20.06
2020-06-06 19:52:21+02	2020-06-06 19:54:19+02	audio	mate-media	\N	mate-media-1.22.2
2020-06-06 19:51:38+02	2020-06-06 19:54:36+02	archivers	engrampa	\N	engrampa-1.22.2
2020-06-06 19:53:04+02	2020-06-06 19:55:41+02	databases	rrdtool	\N	rrdtool-1.7.2_2
2020-06-06 19:54:21+02	2020-06-06 19:57:39+02	deskutils	caja-extensions	\N	caja-extensions-1.22.1
2020-06-06 19:55:43+02	2020-06-06 19:58:02+02	deskutils	mozo	\N	mozo-1.22.2
2020-06-06 19:57:42+02	2020-06-06 19:58:57+02	devel	flatzebra	\N	flatzebra-0.1.7
2020-06-06 19:58:04+02	2020-06-06 19:59:32+02	devel	ode	\N	ode-0.13_4,1
2020-06-06 19:51:32+02	2020-06-06 19:59:40+02	x11-toolkits	wxgtk30	\N	wx30-gtk3-3.0.5.1
2020-06-06 19:54:39+02	2020-06-06 20:00:07+02	deskutils	mate-utils	\N	mate-utils-1.22.2
2020-06-06 19:11:02+02	2020-06-06 20:00:14+02	www	chromium	\N	chromium-83.0.4103.61
2020-06-06 19:59:00+02	2020-06-06 20:00:14+02	devel	py-game	py37	py37-game-1.9.6_1
2020-06-06 19:31:35+02	2020-06-06 20:00:23+02	math	R	\N	R-4.0.0_1
2020-06-06 20:00:16+02	2020-06-06 20:00:38+02	emulators	dosbox	\N	dosbox-0.74.3_1
2020-06-06 20:00:24+02	2020-06-06 20:01:25+02	devel	R-cran-rstudioapi	\N	R-cran-rstudioapi-0.11_1
2020-06-06 20:00:16+02	2020-06-06 20:01:48+02	net-mgmt	icingaweb2-module-pdfexport	php73	icingaweb2-module-pdfexport-php73-0.9.0_2
2020-06-06 20:01:49+02	2020-06-06 20:04:11+02	graphics	frei0r-plugins	\N	frei0r-plugins-1.6.1_1
2020-06-06 20:00:08+02	2020-06-06 20:04:18+02	editors	pluma	\N	pluma-1.22.2
2020-06-06 20:01:25+02	2020-06-06 20:04:19+02	graphics	eom	\N	eom-1.22.2
2020-06-06 20:00:39+02	2020-06-06 20:04:24+02	graphics	atril	\N	atril-1.22.3_6
2020-06-06 20:04:12+02	2020-06-06 20:04:28+02	graphics	gle	\N	gle-3.1.0_7
2020-06-06 20:04:19+02	2020-06-06 20:04:35+02	graphics	gltt	\N	gltt-2.5.2_14
2020-06-06 20:04:24+02	2020-06-06 20:04:43+02	graphics	libplacebo	\N	libplacebo-2.43.1
2020-06-06 20:04:35+02	2020-06-06 20:05:11+02	graphics	sdl_gfx	\N	sdl_gfx-2.0.26
2020-06-06 20:04:19+02	2020-06-06 20:05:19+02	graphics	goocanvas2	\N	goocanvas2-2.0.4
2020-06-06 20:04:28+02	2020-06-06 20:06:54+02	graphics	py-gimp	\N	py27-gimp-2.10.18_7
2020-06-06 20:05:19+02	2020-06-06 20:07:54+02	math	mate-calc	\N	mate-calc-1.22.2
2020-06-06 20:06:56+02	2020-06-06 20:08:32+02	math	py-networkx	py37	py37-networkx-2.1,1
2020-06-06 20:07:55+02	2020-06-06 20:10:44+02	multimedia	libopenshot	py37	py37-libopenshot-0.2.5.4
2020-06-06 20:10:45+02	2020-06-06 20:12:52+02	multimedia	webvfx-qt5	\N	webvfx-qt5-0.4.4.20160823_12
2020-06-06 20:12:54+02	2020-06-06 20:14:15+02	net	remmina-plugin-nx	\N	remmina-plugin-nx-1.3.9
2020-06-06 20:14:16+02	2020-06-06 20:15:49+02	net	remmina-plugin-rdp	\N	remmina-plugin-rdp-1.3.9
2020-06-06 20:15:51+02	2020-06-06 20:17:13+02	net	remmina-plugin-secret	\N	remmina-plugin-secret-1.3.9
2020-06-06 20:17:14+02	2020-06-06 20:18:16+02	net	remmina-plugin-spice	\N	remmina-plugin-spice-1.3.9
2020-06-06 20:04:43+02	2020-06-06 20:19:10+02	japanese	tex-ptex	\N	ja-tex-ptex-3.6_1
2020-06-06 20:18:17+02	2020-06-06 20:19:14+02	net	remmina-plugin-st	\N	remmina-plugin-st-1.3.9
2020-06-06 20:08:33+02	2020-06-06 20:19:32+02	multimedia	vlc	\N	vlc-3.0.10_5,4
2020-06-06 20:19:11+02	2020-06-06 20:20:09+02	net	remmina-plugin-vnc	\N	remmina-plugin-vnc-1.3.9
2020-06-06 20:19:14+02	2020-06-06 20:20:29+02	net	remmina-plugin-www	\N	remmina-plugin-www-1.3.9
2020-06-06 20:19:33+02	2020-06-06 20:21:06+02	net	remmina-plugin-xdmcp	\N	remmina-plugin-xdmcp-1.3.9
2020-06-06 20:20:10+02	2020-06-06 20:21:08+02	net-mgmt	icingaweb2-module-director	php73	icingaweb2-module-director-php73-1.6.2_2
2020-06-06 20:20:30+02	2020-06-06 20:21:59+02	net-mgmt	icingaweb2-module-reporting	php73	icingaweb2-module-reporting-php73-0.9.2_1
2020-06-06 20:21:07+02	2020-06-06 20:22:36+02	print	gimp-gutenprint	\N	gimp-gutenprint-5.3.3
2020-06-06 20:22:37+02	2020-06-06 20:25:00+02	print	tex-xdvik	\N	tex-xdvik-22.87_4
2020-06-06 19:59:40+02	2020-06-06 20:25:55+02	editors	libreoffice	\N	libreoffice-6.3.6_1
2020-06-06 20:21:09+02	2020-06-06 20:28:45+02	print	tex-aleph	\N	tex-aleph-1.15.2.1.r.4_4
2020-06-06 19:59:33+02	2020-06-06 20:29:08+02	editors	lazarus	\N	lazarus-gtk2-2.0.8
2020-06-06 20:21:59+02	2020-06-06 20:29:08+02	print	tex-jadetex	\N	tex-jadetex-3.13_3
2020-06-06 20:29:09+02	2020-06-06 20:30:31+02	textproc	gtkspell3	\N	gtkspell3-3.0.10
2020-06-06 20:28:46+02	2020-06-06 20:31:03+02	sysutils	mate-power-manager	\N	mate-power-manager-1.22.2
2020-06-06 20:29:09+02	2020-06-06 20:31:12+02	sysutils	mate-system-monitor	\N	mate-system-monitor-1.22.2
2020-06-06 20:30:31+02	2020-06-06 20:31:22+02	www	py-qt5-webchannel	py37	py37-qt5-webchannel-5.13.1_1
2020-06-06 20:31:03+02	2020-06-06 20:32:25+02	www	py-qt5-webkitwidgets	py37	py37-qt5-webkitwidgets-5.13.1_1
2020-06-06 20:31:23+02	2020-06-06 20:32:51+02	x11	mate-base	\N	mate-base-1.22.2
2020-06-06 20:25:01+02	2020-06-06 20:33:54+02	print	tex-xetex	\N	tex-xetex-0.99992_34
2020-06-06 20:05:12+02	2020-06-06 20:34:26+02	lang	erlang	\N	erlang-21.3.8.16,4
2020-06-06 20:32:26+02	2020-06-06 20:34:36+02	x11	mate-screensaver	\N	mate-screensaver-1.22.2
2020-06-06 20:33:56+02	2020-06-06 20:34:59+02	x11-toolkits	fltk	\N	fltk-1.3.5
2020-06-06 20:32:52+02	2020-06-06 20:35:36+02	x11	mate-terminal	\N	mate-terminal-1.22.1
2020-06-06 20:34:38+02	2020-06-06 20:35:47+02	x11-toolkits	gtkglarea2	\N	gtkglarea-2.0.1_10
2020-06-06 20:34:27+02	2020-06-06 20:36:07+02	x11-toolkits	gdl	\N	gdl-3.28.0
2020-06-06 20:35:01+02	2020-06-06 20:36:38+02	x11-toolkits	gtkmm24	\N	gtkmm24-2.24.5_1
2020-06-06 20:35:47+02	2020-06-06 20:36:50+02	deskutils	sysctlview	\N	sysctlview-2.0
2020-06-06 20:31:13+02	2020-06-06 20:37:11+02	x11	mate-applets	\N	mate-applets-1.22.2
2020-06-06 20:36:40+02	2020-06-06 20:38:47+02	devel	distel	full	distel-emacs26-4.1.1_4
2020-06-06 20:38:48+02	2020-06-06 20:44:04+02	editors	libreoffice-nb	\N	nb-libreoffice-6.3.6
2020-06-06 20:35:37+02	2020-06-06 20:47:14+02	astro	stellarium	\N	stellarium-0.20.1
2020-06-06 20:44:06+02	2020-06-06 20:49:13+02	editors	vim	\N	vim-8.2.0869
2020-06-06 20:37:12+02	2020-06-06 20:54:42+02	editors	codelite	\N	codelite-12.0_4
2020-06-06 20:47:16+02	2020-06-06 21:10:57+02	emulators	qemu	\N	qemu-4.1.1_4
2020-06-06 21:11:00+02	2020-06-06 21:11:30+02	games	KnightCap	\N	knightcap-3.6_8
2020-06-06 20:49:16+02	2020-06-06 21:11:31+02	emulators	wine	\N	wine-5.0.1,1
2020-06-06 21:11:32+02	2020-06-06 21:12:10+02	games	afternoonstalker	\N	afternoonstalker-1.1.6
2020-06-06 21:12:12+02	2020-06-06 21:12:46+02	games	alienblaster	\N	alienblaster-1.1.0_7
2020-06-06 21:12:46+02	2020-06-06 21:14:22+02	games	battletanks	\N	btanks-0.9.8083_9
2020-06-06 21:11:33+02	2020-06-06 21:14:23+02	games	alienarena	\N	alienarena-2013.766_9
2020-06-06 20:54:43+02	2020-06-06 21:14:34+02	ftp	filezilla	\N	filezilla-3.40.0_5
2020-06-06 21:14:23+02	2020-06-06 21:14:49+02	games	maelstrom	\N	maelstrom-3.0.6_14
2020-06-06 21:14:24+02	2020-06-06 21:15:28+02	games	monsterz	\N	monsterz-0.7.1_15
2020-06-06 21:14:36+02	2020-06-06 21:15:30+02	games	nuclearchess	\N	nuclearchess-1.0.0_10
2020-06-06 21:14:52+02	2020-06-06 21:15:44+02	games	numptyphysics	\N	numptyphysics-0.3.r20090104_11
2020-06-06 21:15:30+02	2020-06-06 21:16:48+02	games	xblast	\N	xblast-2.10.4_17
2020-06-06 21:15:31+02	2020-06-06 21:17:03+02	games	xboard	\N	xboard-4.9.1_1
2020-06-06 21:15:45+02	2020-06-06 21:17:09+02	games	xcowsay	\N	xcowsay-1.5
2020-06-06 21:17:03+02	2020-06-06 21:18:41+02	graphics	gimp	\N	gimp-2.10.18,2
2020-06-06 21:16:50+02	2020-06-06 21:19:33+02	graphics	dia	\N	dia-0.97.3_1,1
2020-06-06 21:19:33+02	2020-06-06 21:20:53+02	graphics	xpdf	\N	xpdf-4.02,1
2020-06-06 20:36:08+02	2020-06-06 21:21:53+02	devel	RStudio	\N	RStudio-1.3.959
2020-06-06 21:17:10+02	2020-06-06 21:22:17+02	graphics	inkscape	\N	inkscape-1.0_2
2020-06-06 21:20:57+02	2020-06-06 21:22:50+02	lang	csharp-mode.el	full	csharp-mode.el-emacs26-0.9.2_1
2020-06-06 21:22:54+02	2020-06-06 21:23:23+02	multimedia	libva-glx	\N	libva-glx-2.7.1
2020-06-06 21:23:24+02	2020-06-06 21:24:10+02	multimedia	libva-vdpau-driver	\N	libva-vdpau-driver-0.7.4_9
2020-06-06 20:25:56+02	2020-06-06 21:24:43+02	print	texlive-docs	\N	texlive-docs-20150523
2020-06-06 20:36:50+02	2020-06-06 21:26:53+02	devel	electron7	\N	electron7-7.3.1
2020-06-06 21:24:11+02	2020-06-06 21:28:35+02	multimedia	obs-studio	\N	obs-studio-25.0.8
2020-06-06 21:24:44+02	2020-06-06 21:29:12+02	multimedia	openshot	py37	openshot-2.5.1.7
2020-06-06 21:28:36+02	2020-06-06 21:30:43+02	net	ntopng	\N	ntopng-4.0.d20200530,1
2020-06-06 21:26:57+02	2020-06-06 21:31:08+02	multimedia	shotcut	\N	shotcut-20.04.12_1
2020-06-06 21:29:13+02	2020-06-06 21:31:16+02	net	remmina-plugins	\N	remmina-plugins-1.3.9
2020-06-06 21:18:42+02	2020-06-06 21:31:52+02	graphics	krita	\N	krita-4.2.9_4
2020-06-06 21:31:09+02	2020-06-06 21:32:05+02	net-mgmt	etherape	\N	etherape-0.9.18
2020-06-06 21:31:17+02	2020-06-06 21:32:17+02	net-mgmt	icingaweb2-module-businessprocess	php73	icingaweb2-module-businessprocess-php73-2.2.0_2
2020-06-06 21:31:53+02	2020-06-06 21:33:15+02	net-mgmt	icingaweb2-module-cube	php73	icingaweb2-module-cube-php73-1.1.0_1
2020-06-06 21:32:06+02	2020-06-06 21:33:28+02	net-mgmt	icingaweb2-module-elasticsearch	php73	icingaweb2-module-elasticsearch-php73-0.9.0_3
2020-06-06 21:32:18+02	2020-06-06 21:33:46+02	net-mgmt	icingaweb2-module-fileshipper	php73	icingaweb2-module-fileshipper-php73-1.1.0_3
2020-06-06 21:33:16+02	2020-06-06 21:34:17+02	net-mgmt	icingaweb2-module-generictts	php73	icingaweb2-module-generictts-php73-2.0.0_3
2020-06-06 21:33:29+02	2020-06-06 21:34:27+02	net-mgmt	icingaweb2-module-grafana	php73	icingaweb2-module-grafana-php73-1.3.6_1
2020-06-06 21:33:46+02	2020-06-06 21:34:43+02	net-mgmt	icingaweb2-module-graphite	php73	icingaweb2-module-graphite-php73-1.1.0_3
2020-06-06 21:34:28+02	2020-06-06 21:35:29+02	net-mgmt	icingaweb2-module-map	php73	icingaweb2-module-map-php73-1.1.0_3
2020-06-06 21:30:44+02	2020-06-06 21:35:33+02	net	wireshark	\N	wireshark-3.2.4
2020-06-06 21:34:44+02	2020-06-06 21:35:45+02	net-mgmt	icingaweb2-module-vsphere	php73	icingaweb2-module-vsphere-php73-1.1.0_4
2020-06-06 21:34:17+02	2020-06-06 21:35:51+02	net-mgmt	icingaweb2-module-idoreports	php73	icingaweb2-module-idoreports-php73-0.9.0_2
2020-06-06 21:35:30+02	2020-06-06 21:36:37+02	ports-mgmt	porttree	\N	porttree-1.1.r114_1
2020-06-06 21:35:52+02	2020-06-06 21:38:39+02	print	lyx	\N	lyx-2.3.4.2_1
2020-06-06 21:35:34+02	2020-06-06 21:38:44+02	print	auctex	full	auctex-emacs26-12.2
2020-06-06 21:35:46+02	2020-06-06 21:39:27+02	print	fontforge	\N	fontforge-20190801_2
2020-06-06 21:38:39+02	2020-06-06 21:39:35+02	security	openconnect-gui	\N	openconnect-gui-1.4.1_3
2020-06-06 21:38:45+02	2020-06-06 21:39:50+02	sysutils	cpu-x	\N	cpu-x-4.0.0_1
2020-06-06 21:39:28+02	2020-06-06 21:40:07+02	sysutils	gkrellm2	\N	gkrellm2-2.3.11
2020-06-06 21:39:35+02	2020-06-06 21:40:20+02	textproc	py-qt5-xmlpatterns	py37	py37-qt5-xmlpatterns-5.13.1_1
2020-06-06 21:40:21+02	2020-06-06 21:41:16+02	x11	cool-retro-term	\N	cool-retro-term-1.1.1_1
2020-06-06 21:40:08+02	2020-06-06 21:41:21+02	www	py-qt5-webengine	py37	py37-qt5-webengine-5.12.1_1
2020-06-06 21:36:38+02	2020-06-06 21:41:40+02	print	texlive-full	\N	texlive-full-20150521
2020-06-06 21:41:21+02	2020-06-06 21:41:49+02	x11	xlockmore	\N	xlockmore-5.63
2020-06-06 21:41:17+02	2020-06-06 21:43:07+02	x11	mate	\N	mate-1.22.2
2020-06-06 21:41:41+02	2020-06-06 21:43:51+02	x11	xscreensaver	\N	xscreensaver-5.44
2020-06-06 21:43:52+02	2020-06-06 21:44:04+02	x11-fm	xdiskusage	\N	xdiskusage-1.51_1
2020-06-06 21:43:08+02	2020-06-06 21:44:10+02	x11-fm	fsv2	\N	fsv2-1.1.0_1
2020-06-06 21:44:05+02	2020-06-06 21:44:29+02	x11-toolkits	libgdiplus	\N	libgdiplus-5.6_2
2020-06-06 21:41:50+02	2020-06-06 21:48:19+02	x11-fm	doublecmd	gtk2	doublecmd-gtk2-0.9.8_2
2020-06-06 21:48:20+02	2020-06-06 21:48:31+02	graphics	drm-kmod	\N	drm-kmod-g20190710
2020-06-06 21:21:56+02	2020-06-06 22:01:27+02	lang	erlang-runtime22	\N	erlang-runtime22-22.3.4.1
2020-06-06 21:22:18+02	2020-06-06 22:08:29+02	lang	erlang-runtime23	\N	erlang-runtime23-23.0.2
2020-06-06 21:39:51+02	2020-06-06 22:20:53+02	www	firefox	\N	firefox-77.0.1_1,1
2020-06-06 21:44:30+02	2020-06-06 22:23:10+02	editors	vscode	\N	vscode-1.45.1_2
2020-06-06 22:33:50+02	2020-06-06 22:48:33+02	local	E590T-localbase	\N	E590T-localbase-2020060200
2020-06-07 00:18:38+02	2020-06-07 05:13:06+02	www	chromium	\N	chromium-83.0.4103.97
2020-06-07 05:18:26+02	2020-06-07 05:19:43+02	print	cups-filters	\N	cups-filters-1.27.5
2020-06-07 05:18:27+02	2020-06-07 05:20:13+02	net-mgmt	icingaweb2-module-pdfexport	php73	icingaweb2-module-pdfexport-php73-0.9.0_2
2020-06-07 05:18:27+02	2020-06-07 05:20:53+02	graphics	drm-current-kmod	\N	drm-current-kmod-4.16.g20200320
2020-06-07 05:20:54+02	2020-06-07 05:21:03+02	graphics	drm-kmod	\N	drm-kmod-g20190710
2020-06-07 05:20:14+02	2020-06-07 05:21:22+02	net-mgmt	icingaweb2-module-reporting	php73	icingaweb2-module-reporting-php73-0.9.2_1
2020-06-07 05:21:22+02	2020-06-07 05:22:22+02	net-mgmt	icingaweb2-module-idoreports	php73	icingaweb2-module-idoreports-php73-0.9.0_2
2020-06-07 05:19:44+02	2020-06-07 05:22:29+02	print	gutenprint	\N	gutenprint-5.3.3
2020-06-07 05:22:30+02	2020-06-07 05:23:19+02	print	gimp-gutenprint	\N	gimp-gutenprint-5.3.3
2020-06-07 05:23:20+02	2020-06-07 05:24:05+02	graphics	gimp	\N	gimp-2.10.18,2
2020-06-07 05:44:06+02	2020-06-07 05:58:26+02	local	E590T-localbase	\N	E590T-localbase-2020060200
2020-06-07 17:53:02+02	2020-06-07 17:53:18+02	print	t1utils	\N	t1utils-1.32
2020-06-07 17:53:02+02	2020-06-07 17:53:20+02	audio	libdssialsacompat	\N	libdssialsacompat-1.0.8a_2
2020-06-07 17:53:02+02	2020-06-07 17:53:31+02	graphics	potrace	\N	potrace-1.16
2020-06-07 17:53:02+02	2020-06-07 17:53:56+02	audio	liblo	\N	liblo-0.31_1
2020-06-07 17:53:19+02	2020-06-07 17:54:00+02	net	rsync	\N	rsync-3.1.3_1
2020-06-07 17:54:01+02	2020-06-07 17:54:44+02	audio	dssi	\N	dssi-1.1.1_8
2020-06-07 17:54:44+02	2020-06-07 17:56:04+02	audio	wavpack	\N	wavpack-5.3.0
2020-06-07 17:53:21+02	2020-06-07 17:57:01+02	textproc	dblatex	\N	dblatex-0.3.11
2020-06-07 17:53:32+02	2020-06-07 17:57:51+02	print	mftrace	\N	mftrace-1.2.18_2
2020-06-07 17:56:06+02	2020-06-07 17:58:22+02	textproc	liblrdf	\N	liblrdf-0.6.1
2020-06-07 17:54:45+02	2020-06-07 17:59:05+02	graphics	drm-current-kmod	\N	drm-current-kmod-4.16.g20200320
2020-06-07 17:59:06+02	2020-06-07 17:59:19+02	graphics	drm-kmod	\N	drm-kmod-g20190710
2020-06-07 17:53:02+02	2020-06-07 17:59:44+02	lang	guile1	\N	guile1-1.8.8
2020-06-07 17:53:02+02	2020-06-07 18:00:39+02	graphics	ImageMagick6	\N	ImageMagick6-6.9.11.6,1
2020-06-07 18:00:40+02	2020-06-07 18:11:02+02	print	lilypond	\N	lilypond-2.20.0
2020-06-07 18:11:03+02	2020-06-07 18:27:02+02	audio	rosegarden	\N	rosegarden-20.06
2020-06-07 18:52:07+02	2020-06-07 19:26:59+02	emulators	virtualbox-ose	\N	virtualbox-ose-5.2.34_4
2020-06-07 20:05:08+02	2020-06-07 20:05:54+02	audio	liblo	\N	liblo-0.31_1
2020-06-07 20:05:55+02	2020-06-07 20:06:24+02	audio	dssi	\N	dssi-1.1.1_8
2020-06-07 20:05:08+02	2020-06-07 20:06:36+02	security	openconnect-gui	\N	openconnect-gui-1.4.1_4
2020-06-07 20:05:08+02	2020-06-07 20:07:41+02	graphics	drm-current-kmod	\N	drm-current-kmod-4.16.g20200320
2020-06-07 20:07:42+02	2020-06-07 20:07:52+02	graphics	drm-kmod	\N	drm-kmod-g20190710
2020-06-07 20:05:08+02	2020-06-07 20:07:54+02	lang	guile1	\N	guile1-1.8.8
2020-06-07 20:07:55+02	2020-06-07 20:13:03+02	print	lilypond	\N	lilypond-2.20.0
2020-06-07 20:13:04+02	2020-06-07 20:16:32+02	audio	rosegarden	\N	rosegarden-20.06
2020-06-07 20:05:08+02	2020-06-07 20:18:42+02	math	R	\N	R-4.0.1
2020-06-07 20:18:43+02	2020-06-07 20:19:20+02	devel	R-cran-rstudioapi	\N	R-cran-rstudioapi-0.11_1
2020-06-07 20:19:20+02	2020-06-07 20:55:52+02	devel	RStudio	\N	RStudio-1.3.959
2020-06-07 21:06:59+02	2020-06-07 21:22:11+02	local	E590T-localbase	\N	E590T-localbase-2020060701
2020-06-07 22:32:57+02	2020-06-07 22:33:08+02	databases	pgtcl	\N	pgtcl-2.1.1_2
2020-06-07 22:32:57+02	2020-06-07 22:33:14+02	devel	p5-Term-ReadKey	\N	p5-Term-ReadKey-2.38_1
2020-06-07 22:33:08+02	2020-06-07 22:33:20+02	databases	pgaccess	\N	pgaccess-1.00.20140902_3
2020-06-07 22:32:57+02	2020-06-07 22:33:20+02	databases	p5-DBI	\N	p5-DBI-1.643
2020-06-07 22:33:20+02	2020-06-07 22:33:38+02	databases	p5-DBD-Pg	\N	p5-DBD-Pg-3.12.0
2020-06-07 22:33:38+02	2020-06-07 22:33:51+02	databases	pgtop	\N	pgtop-0.05_5
2020-06-07 22:32:57+02	2020-06-07 22:36:21+02	x11-toolkits	gtk30	\N	gtk3-3.24.10_1
2020-06-07 22:36:21+02	2020-06-07 22:40:46+02	www	webkit2-gtk3	\N	webkit2-gtk3-2.28.1_1
2020-06-07 22:40:47+02	2020-06-07 22:44:15+02	x11-toolkits	wxgtk30	\N	wx30-gtk3-3.0.5.1
2020-06-07 22:44:16+02	2020-06-07 22:58:58+02	databases	pgadmin3	\N	pgadmin3-1.22.2_5
2020-06-07 23:14:57+02	2020-06-07 23:17:04+02	graphics	drm-current-kmod	\N	drm-current-kmod-4.16.g20200320
2020-06-07 23:22:30+02	2020-06-07 23:22:38+02	graphics	drm-kmod	\N	drm-kmod-g20190710
2020-06-07 23:32:28+02	2020-06-07 23:47:10+02	local	E590T-localbase	\N	E590T-localbase-2020060702
2020-06-09 07:03:26+02	2020-06-09 07:03:36+02	x11-fonts	liberation-fonts-ttf	\N	liberation-fonts-ttf-2.1.1,2
2020-06-09 07:03:26+02	2020-06-09 07:03:47+02	devel	zziplib	\N	zziplib-0.13.71_1
2020-06-09 07:03:48+02	2020-06-09 07:06:02+02	devel	tex-web2c	\N	tex-web2c-20150521_3
2020-06-09 07:03:26+02	2020-06-09 07:07:06+02	net	freerdp	\N	freerdp-2.1.1
2020-06-09 07:06:04+02	2020-06-09 07:11:55+02	print	tex-basic-engines	\N	tex-basic-engines-20150521
2020-06-09 07:11:57+02	2020-06-09 07:14:30+02	net	remmina-plugin-rdp	\N	remmina-plugin-rdp-1.3.9
2020-06-09 07:14:32+02	2020-06-09 07:15:47+02	textproc	lowdown	\N	lowdown-0.7.0
2020-06-09 07:03:26+02	2020-06-09 07:17:28+02	devel	gdb	py37	gdb-9.2_1
2020-06-09 07:03:26+02	2020-06-09 07:36:42+02	java	openjdk11	\N	openjdk11-11.0.7+10.2_1
2020-06-09 07:03:26+02	2020-06-09 07:40:28+02	multimedia	vlc	\N	vlc-3.0.10_6,4
2020-06-09 07:07:08+02	2020-06-09 07:40:39+02	print	texlive-base	\N	texlive-base-20150521_52
2020-06-09 07:40:30+02	2020-06-09 07:53:16+02	graphics	drm-current-kmod	\N	drm-current-kmod-4.16.g20200320
2020-06-09 07:03:37+02	2020-06-09 07:57:41+02	editors	libreoffice	\N	libreoffice-6.3.6_1
2020-06-09 07:57:45+02	2020-06-09 08:04:06+02	editors	libreoffice-nb	\N	nb-libreoffice-6.3.6
2020-06-09 08:04:08+02	2020-06-09 08:09:46+02	multimedia	obs-studio	\N	obs-studio-25.0.8
2020-06-09 07:18:39+02	2020-06-09 08:16:46+02	editors	lazarus	\N	lazarus-gtk2-2.0.8
2020-06-09 07:40:41+02	2020-06-09 08:29:52+02	print	texlive-texmf	\N	texlive-texmf-20150523_4
2020-06-09 07:53:18+02	2020-06-09 08:31:53+02	java	openjdk12	\N	openjdk12-12.0.2+10.4_1
2020-06-09 08:29:53+02	2020-06-09 08:33:33+02	print	tex-formats	\N	tex-formats-20150521_2
2020-06-09 08:31:55+02	2020-06-09 08:39:53+02	print	tex-dvipsk	\N	tex-dvipsk-5.995_2
2020-06-09 07:36:44+02	2020-06-09 08:41:39+02	devel	ghidra	\N	ghidra-9.1
2020-06-09 08:33:34+02	2020-06-09 08:43:14+02	print	tex-luatex	\N	tex-luatex-0.80.0_18
2020-06-09 08:41:40+02	2020-06-09 08:44:35+02	print	mftrace	\N	mftrace-1.2.18_2
2020-06-09 08:39:54+02	2020-06-09 08:44:36+02	devel	doxygen	\N	doxygen-1.8.15_3,2
2020-06-09 08:44:38+02	2020-06-09 08:47:18+02	textproc	dblatex	\N	dblatex-0.3.11
2020-06-09 08:43:16+02	2020-06-09 08:51:21+02	print	tex-dvipdfmx	\N	tex-dvipdfmx-20150315_1
2020-06-09 08:44:37+02	2020-06-09 08:52:27+02	print	tex-xmltex	\N	tex-xmltex-1.9_2
2020-06-09 08:51:22+02	2020-06-09 08:59:30+02	print	lilypond	\N	lilypond-2.20.0
2020-06-09 08:47:19+02	2020-06-09 09:00:18+02	japanese	tex-ptex	\N	ja-tex-ptex-3.6_1
2020-06-09 08:52:28+02	2020-06-09 09:02:08+02	print	tex-aleph	\N	tex-aleph-1.15.2.1.r.4_4
2020-06-09 09:00:19+02	2020-06-09 09:02:56+02	print	tex-xdvik	\N	tex-xdvik-22.87_4
2020-06-09 08:59:31+02	2020-06-09 09:07:08+02	print	tex-jadetex	\N	tex-jadetex-3.13_3
2020-06-09 09:02:10+02	2020-06-09 09:11:36+02	print	tex-xetex	\N	tex-xetex-0.99992_34
2020-06-09 09:07:09+02	2020-06-09 09:12:03+02	audio	rosegarden	\N	rosegarden-20.06
2020-06-09 09:12:05+02	2020-06-09 09:12:26+02	sysutils	panicmail	\N	panicmail-1.1
2020-06-09 09:11:37+02	2020-06-09 09:14:46+02	print	auctex	full	auctex-emacs26-12.2
2020-06-09 09:14:45+02	2020-06-09 09:14:54+02	graphics	drm-kmod	\N	drm-kmod-g20190710
2020-06-09 09:02:57+02	2020-06-09 09:27:02+02	print	texlive-docs	\N	texlive-docs-20150523
2020-06-09 09:27:04+02	2020-06-09 09:31:20+02	print	texlive-full	\N	texlive-full-20150521
2020-06-09 07:17:41+02	2020-06-09 09:55:46+02	lang	rust	\N	rust-1.44.0
2020-06-09 09:55:47+02	2020-06-09 09:59:20+02	devel	rust-cbindgen	\N	rust-cbindgen-0.14.2_1
2020-06-09 21:37:12+02	2020-06-09 21:38:37+02	net	v2ray	\N	v2ray-4.23.4
2020-06-09 21:37:12+02	2020-06-09 21:39:08+02	net	remmina-plugins	\N	remmina-plugins-1.3.9
2020-06-09 21:37:12+02	2020-06-09 21:39:36+02	graphics	drm-current-kmod	\N	drm-current-kmod-4.16.g20200320
2020-06-09 21:39:37+02	2020-06-09 21:39:45+02	graphics	drm-kmod	\N	drm-kmod-g20190710
2020-06-09 21:53:24+02	2020-06-09 22:08:22+02	local	E590T-localbase	\N	E590T-localbase-2020060702
2020-06-09 23:30:09+02	2020-06-09 23:30:41+02	textproc	py-sphinx	py37	py37-sphinx-3.0.4,1
2020-06-09 23:30:42+02	2020-06-09 23:31:03+02	textproc	py-recommonmark	py37	py37-recommonmark-0.5.0_2
2020-06-09 23:30:09+02	2020-06-09 23:32:01+02	graphics	mesa-libs	\N	mesa-libs-19.0.8_1
2020-06-09 23:32:02+02	2020-06-09 23:32:37+02	graphics	libepoxy	\N	libepoxy-1.5.4
2020-06-09 23:30:09+02	2020-06-09 23:32:41+02	sysutils	hexyl	\N	hexyl-0.8.0
2020-06-09 23:32:02+02	2020-06-09 23:32:55+02	graphics	libGLU	\N	libGLU-9.0.1
2020-06-09 23:32:43+02	2020-06-09 23:33:09+02	www	libwpe	\N	libwpe-1.4.0.1
2020-06-09 23:33:09+02	2020-06-09 23:33:43+02	www	wpebackend-fdo	\N	wpebackend-fdo-1.4.1
2020-06-09 23:32:02+02	2020-06-09 23:34:20+02	graphics	cairo	\N	cairo-1.16.0,2
2020-06-09 23:32:56+02	2020-06-09 23:35:22+02	devel	sdl12	\N	sdl-1.2.15_14,2
2020-06-09 23:32:02+02	2020-06-09 23:35:55+02	x11-toolkits	qt5-gui	\N	qt5-gui-5.14.2
2020-06-09 23:33:44+02	2020-06-09 23:36:14+02	devel	sdl20	\N	sdl2-2.0.10_1
2020-06-09 23:35:23+02	2020-06-09 23:36:39+02	graphics	poppler	\N	poppler-0.89.0_1
2020-06-09 23:32:37+02	2020-06-09 23:36:45+02	graphics	mesa-dri	\N	mesa-dri-19.0.8_4
2020-06-09 23:36:41+02	2020-06-09 23:37:19+02	graphics	frei0r	\N	frei0r-1.6.1
2020-06-09 23:37:20+02	2020-06-09 23:37:46+02	graphics	py-cairo	py37	py37-cairo-1.18.1_1
2020-06-09 23:36:47+02	2020-06-09 23:37:49+02	x11	qt5-x11extras	\N	qt5-x11extras-5.14.2
2020-06-09 23:34:22+02	2020-06-09 23:38:18+02	x11-toolkits	pango	\N	pango-1.42.4_3
2020-06-09 23:36:15+02	2020-06-09 23:38:19+02	devel	tex-web2c	\N	tex-web2c-20150521_3
2020-06-09 23:37:47+02	2020-06-09 23:38:31+02	devel	py-gobject3	py37	py37-gobject3-3.28.3_1
2020-06-09 23:35:58+02	2020-06-09 23:38:34+02	x11-toolkits	qt5-widgets	\N	qt5-widgets-5.14.2
2020-06-09 23:38:20+02	2020-06-09 23:39:19+02	graphics	gtk-update-icon-cache	\N	gtk-update-icon-cache-2.24.32
2020-06-09 23:38:32+02	2020-06-09 23:39:21+02	print	tex-basic-engines	\N	tex-basic-engines-20150521
2020-06-09 23:30:09+02	2020-06-09 23:39:30+02	graphics	drm-current-kmod	\N	drm-current-kmod-4.16.g20200320
2020-06-09 23:39:31+02	2020-06-09 23:40:43+02	devel	qt5-help	\N	qt5-help-5.14.2
2020-06-09 23:37:51+02	2020-06-09 23:40:47+02	x11-servers	xorg-server	\N	xorg-server-1.20.8_2,1
2020-06-09 23:38:35+02	2020-06-09 23:41:40+02	x11-toolkits	qt5-declarative	\N	qt5-declarative-5.14.2
2020-06-09 23:39:20+02	2020-06-09 23:42:10+02	x11-themes	adwaita-icon-theme	\N	adwaita-icon-theme-3.28.0
2020-06-09 23:40:48+02	2020-06-09 23:42:13+02	devel	kf5-extra-cmake-modules	\N	kf5-extra-cmake-modules-5.70.0_2
2020-06-09 23:38:19+02	2020-06-09 23:42:22+02	graphics	graphviz	\N	graphviz-2.44.0_4
2020-06-09 23:42:11+02	2020-06-09 23:42:49+02	x11-toolkits	qt5-uiplugin	\N	qt5-uiplugin-5.14.2
2020-06-09 23:41:41+02	2020-06-09 23:43:04+02	print	qt5-printsupport	\N	qt5-printsupport-5.14.2
2020-06-09 23:39:21+02	2020-06-09 23:43:25+02	x11-toolkits	gtk20	\N	gtk2-2.24.32
2020-06-09 23:42:14+02	2020-06-09 23:43:29+02	graphics	qt5-opengl	\N	qt5-opengl-5.14.2
2020-06-09 23:42:50+02	2020-06-09 23:43:45+02	graphics	qt5-svg	\N	qt5-svg-5.14.2
2020-06-09 23:42:23+02	2020-06-09 23:43:53+02	lang	vala	\N	vala-0.40.15,1
2020-06-09 23:43:05+02	2020-06-09 23:44:36+02	devel	kf5-kcoreaddons	\N	kf5-kcoreaddons-5.70.0
2020-06-09 23:43:47+02	2020-06-09 23:44:47+02	audio	libcanberra	\N	libcanberra-0.30_5
2020-06-09 23:43:26+02	2020-06-09 23:44:53+02	devel	gconf2	\N	gconf2-3.2.6_5
2020-06-09 23:43:54+02	2020-06-09 23:44:53+02	graphics	librsvg2	\N	librsvg2-2.40.21
2020-06-09 23:44:37+02	2020-06-09 23:45:11+02	x11-toolkits	pangox-compat	\N	pangox-compat-0.0.2_2
2020-06-09 23:40:43+02	2020-06-09 23:45:33+02	print	texlive-base	\N	texlive-base-20150521_52
2020-06-09 23:43:30+02	2020-06-09 23:45:33+02	graphics	graphene	\N	graphene-1.10.0
2020-06-09 23:44:48+02	2020-06-09 23:45:44+02	devel	kf5-kconfig	\N	kf5-kconfig-5.70.0
2020-06-09 23:45:44+02	2020-06-09 23:46:47+02	archivers	kf5-karchive	\N	kf5-karchive-5.70.0
2020-06-09 23:45:11+02	2020-06-09 23:47:03+02	x11-toolkits	wxgtk28-common	\N	wx28-gtk2-common-2.8.12_8
2020-06-09 23:45:34+02	2020-06-09 23:47:07+02	graphics	gstreamer1-plugins-gl	\N	gstreamer1-plugins-gl-1.16.2
2020-06-09 23:47:08+02	2020-06-09 23:48:05+02	devel	qt5-uitools	\N	qt5-uitools-5.14.2
2020-06-09 23:46:47+02	2020-06-09 23:48:13+02	devel	kf5-ki18n	\N	kf5-ki18n-5.70.0
2020-06-09 23:47:04+02	2020-06-09 23:48:20+02	devel	qscintilla2-qt5	\N	qscintilla2-qt5-2.11.4
2020-06-09 23:44:54+02	2020-06-09 23:49:05+02	graphics	ImageMagick7	\N	ImageMagick7-7.0.10.6
2020-06-09 23:48:06+02	2020-06-09 23:49:11+02	x11	kf5-kwindowsystem	\N	kf5-kwindowsystem-5.70.0
2020-06-09 23:48:13+02	2020-06-09 23:49:38+02	devel	kf5-kdoctools	\N	kf5-kdoctools-5.70.0
2020-06-09 23:48:21+02	2020-06-09 23:49:40+02	devel	py-qt5-core	py37	py37-qt5-core-5.13.1_1
2020-06-09 23:49:06+02	2020-06-09 23:50:14+02	graphics	pecl-imagick-im7	php73	php73-pecl-imagick-im7-3.4.4
2020-06-09 23:49:39+02	2020-06-09 23:50:15+02	graphics	poppler-glib	\N	poppler-glib-0.89.0_1
2020-06-09 23:49:41+02	2020-06-09 23:51:12+02	x11-toolkits	kf5-kwidgetsaddons	\N	kf5-kwidgetsaddons-5.70.0
2020-06-09 23:44:54+02	2020-06-09 23:51:14+02	x11-toolkits	gtk30	\N	gtk3-3.24.10_1
2020-06-09 23:50:15+02	2020-06-09 23:51:37+02	devel	kf5-kcrash	\N	kf5-kcrash-5.70.0
2020-06-09 23:49:12+02	2020-06-09 23:51:54+02	x11-toolkits	wxgtk28	\N	wx28-gtk2-2.8.12_8
2020-06-09 23:50:15+02	2020-06-09 23:51:58+02	net-mgmt	icingaweb2	php73	icingaweb2-php73-2.7.3_3
2020-06-09 23:51:13+02	2020-06-09 23:52:10+02	devel	kf5-kdbusaddons	\N	kf5-kdbusaddons-5.70.0
2020-06-09 23:51:38+02	2020-06-09 23:52:37+02	audio	libcanberra-gtk3	\N	libcanberra-gtk3-0.30_5
2020-06-09 23:51:15+02	2020-06-09 23:52:39+02	x11	mate-desktop	\N	mate-desktop-1.22.2
2020-06-09 23:52:37+02	2020-06-09 23:52:51+02	multimedia	smpeg	\N	smpeg-0.4.4_15
2020-06-09 23:52:11+02	2020-06-09 23:53:01+02	graphics	qt5-imageformats	\N	qt5-imageformats-5.14.2
2020-06-09 23:51:59+02	2020-06-09 23:53:28+02	x11-toolkits	vte3	\N	vte3-0.52.2_3
2020-06-09 23:52:51+02	2020-06-09 23:53:57+02	sysutils	polkit-qt	\N	polkit-qt-1-0.113.0_8
2020-06-09 23:53:02+02	2020-06-09 23:54:12+02	textproc	kf5-kcodecs	\N	kf5-kcodecs-5.70.0
2020-06-09 23:53:29+02	2020-06-09 23:54:51+02	www	qt5-webchannel	\N	qt5-webchannel-5.14.2
2020-06-09 23:52:40+02	2020-06-09 23:54:53+02	net	avahi-gtk3	\N	avahi-gtk3-0.7_1
2020-06-09 23:53:58+02	2020-06-09 23:55:30+02	devel	kf5-kauth	\N	kf5-kauth-5.70.0
2020-06-09 23:54:13+02	2020-06-09 23:55:56+02	devel	kf5-kservice	\N	kf5-kservice-5.70.0
2020-06-09 23:54:54+02	2020-06-09 23:56:40+02	net	remmina	\N	remmina-1.3.9
2020-06-09 23:54:52+02	2020-06-09 23:56:55+02	devel	qt5-location	\N	qt5-location-5.14.2
2020-06-09 23:55:57+02	2020-06-09 23:57:11+02	x11-toolkits	kf5-kguiaddons	\N	kf5-kguiaddons-5.70.0
2020-06-09 23:56:42+02	2020-06-09 23:57:38+02	accessibility	qt5-speech	\N	qt5-speech-5.14.2
2020-06-09 23:55:31+02	2020-06-09 23:57:57+02	security	gcr	\N	gcr-3.28.0
2020-06-09 23:57:12+02	2020-06-09 23:58:34+02	x11-toolkits	kf5-kconfigwidgets	\N	kf5-kconfigwidgets-5.70.0
2020-06-09 23:57:39+02	2020-06-09 23:58:40+02	x11-toolkits	kf5-kitemviews	\N	kf5-kitemviews-5.70.0
2020-06-09 23:57:58+02	2020-06-09 23:59:19+02	x11-toolkits	libwnck3	\N	libwnck3-3.24.1
2020-06-09 23:58:41+02	2020-06-09 23:59:20+02	graphics	cairomm	\N	cairomm-1.12.2_4
2020-06-09 23:56:55+02	2020-06-09 23:59:45+02	x11-themes	kf5-breeze-icons	\N	kf5-breeze-icons-5.70.0
2020-06-09 23:59:20+02	2020-06-09 23:59:57+02	graphics	freeglut	\N	freeglut-3.0.0_2
2020-06-09 23:59:21+02	2020-06-10 00:00:00+02	graphics	sdl_image	\N	sdl_image-1.2.12_12
2020-06-09 23:51:55+02	2020-06-10 00:00:30+02	www	webkit2-gtk3	\N	webkit2-gtk3-2.28.1_1
2020-06-09 23:59:46+02	2020-06-10 00:00:43+02	net	py-qt5-network	py37	py37-qt5-network-5.13.1_1
2020-06-09 23:59:57+02	2020-06-10 00:01:12+02	x11-themes	kf5-kiconthemes	\N	kf5-kiconthemes-5.70.0
2020-06-10 00:00:31+02	2020-06-10 00:01:22+02	x11-toolkits	gstreamer1-plugins-pango	\N	gstreamer1-plugins-pango-1.16.2
2020-06-10 00:01:13+02	2020-06-10 00:01:34+02	graphics	py-cairo	py27	py27-cairo-1.18.1_1
2020-06-10 00:00:44+02	2020-06-10 00:01:41+02	comms	qt5-sensors	\N	qt5-sensors-5.14.2
2020-06-09 23:58:35+02	2020-06-10 00:01:48+02	x11-toolkits	py-qt5-gui	py37	py37-qt5-gui-5.13.1_1
2020-06-10 00:01:35+02	2020-06-10 00:02:15+02	multimedia	gstreamer1-plugins-core	\N	gstreamer1-plugins-core-1.16
2020-06-10 00:00:02+02	2020-06-10 00:02:24+02	x11-themes	mate-icon-theme	\N	mate-icon-theme-1.22.2
2020-06-10 00:01:49+02	2020-06-10 00:02:43+02	textproc	kf5-sonnet	\N	kf5-sonnet-5.70.0
2020-06-10 00:02:15+02	2020-06-10 00:03:09+02	x11-toolkits	kf5-kcompletion	\N	kf5-kcompletion-5.70.0
2020-06-10 00:01:23+02	2020-06-10 00:03:10+02	math	gnuplot	\N	gnuplot-5.2.8_1
2020-06-10 00:02:24+02	2020-06-10 00:03:12+02	x11-toolkits	pangomm	\N	pangomm-2.40.1_4
2020-06-10 00:03:09+02	2020-06-10 00:03:29+02	audio	sdl_mixer	\N	sdl_mixer-1.2.12_12
2020-06-10 00:03:11+02	2020-06-10 00:04:15+02	devel	libdbusmenu-qt	\N	libdbusmenu-qt5-0.9.3.160420160218_10
2020-06-10 00:02:43+02	2020-06-10 00:04:22+02	x11-toolkits	py-qt5-widgets	py37	py37-qt5-widgets-5.13.1_1
2020-06-10 00:03:12+02	2020-06-10 00:04:22+02	multimedia	phonon	\N	phonon-qt5-4.11.1
2020-06-10 00:03:30+02	2020-06-10 00:05:13+02	multimedia	qt5-multimedia	\N	qt5-multimedia-5.14.2
2020-06-10 00:04:23+02	2020-06-10 00:05:24+02	x11-toolkits	kf5-attica	\N	kf5-attica-5.70.0
2020-06-10 00:04:23+02	2020-06-10 00:05:36+02	x11	kf5-kglobalaccel	\N	kf5-kglobalaccel-5.70.0
2020-06-10 00:05:13+02	2020-06-10 00:06:38+02	x11-toolkits	kf5-ktextwidgets	\N	kf5-ktextwidgets-5.70.0
2020-06-10 00:05:36+02	2020-06-10 00:06:40+02	devel	qt5-assistant	\N	qt5-assistant-5.14.2
2020-06-10 00:05:24+02	2020-06-10 00:07:03+02	devel	kf5-knotifications	\N	kf5-knotifications-5.70.0
2020-06-10 00:06:38+02	2020-06-10 00:07:38+02	graphics	poppler-utils	\N	poppler-utils-0.89.0_1
2020-06-10 00:06:41+02	2020-06-10 00:07:59+02	security	pinentry-gnome3	\N	pinentry-gnome3-1.1.0
2020-06-10 00:07:04+02	2020-06-10 00:08:18+02	security	pinentry-qt5	\N	pinentry-qt5-1.1.0_1
2020-06-10 00:08:00+02	2020-06-10 00:08:22+02	x11	xdriinfo	\N	xdriinfo-1.0.6_3
2020-06-10 00:01:42+02	2020-06-10 00:08:45+02	net	libmateweather	\N	libmateweather-1.22.1
2020-06-10 00:07:40+02	2020-06-10 00:09:39+02	x11	libmatekbd	\N	libmatekbd-1.22.0
2020-06-10 00:08:23+02	2020-06-10 00:09:48+02	x11-drivers	xf86-input-keyboard	\N	xf86-input-keyboard-1.9.0_4
2020-06-09 23:45:34+02	2020-06-10 00:09:51+02	print	texlive-texmf	\N	texlive-texmf-20150523_4
2020-06-10 00:08:19+02	2020-06-10 00:09:55+02	x11-drivers	xf86-input-evdev	\N	xf86-input-evdev-2.10.6_5
2020-06-10 00:09:40+02	2020-06-10 00:11:20+02	x11-drivers	xf86-input-libinput	\N	xf86-input-libinput-0.30.0
2020-06-10 00:09:50+02	2020-06-10 00:11:20+02	x11-drivers	xf86-input-mouse	\N	xf86-input-mouse-1.9.3_3
2020-06-10 00:08:46+02	2020-06-10 00:11:40+02	x11	mate-panel	\N	mate-panel-1.22.2
2020-06-10 00:04:16+02	2020-06-10 00:12:07+02	www	qt5-webkit	\N	qt5-webkit-5.212.0.a4_2
2020-06-10 00:11:21+02	2020-06-10 00:12:25+02	x11-drivers	xf86-video-amdgpu	\N	xf86-video-amdgpu-19.1.0_1
2020-06-10 00:11:41+02	2020-06-10 00:12:45+02	x11-drivers	xf86-video-scfb	\N	xf86-video-scfb-0.0.5_2
2020-06-10 00:11:21+02	2020-06-10 00:12:56+02	x11-drivers	xf86-video-intel	\N	xf86-video-intel-2.99.917.20181203_1
2020-06-10 00:12:08+02	2020-06-10 00:13:10+02	x11-drivers	xf86-video-vesa	\N	xf86-video-vesa-2.4.0_3
2020-06-10 00:09:53+02	2020-06-10 00:13:37+02	print	tex-formats	\N	tex-formats-20150521_2
2020-06-10 00:12:56+02	2020-06-10 00:13:59+02	x11-toolkits	libunique3	\N	libunique-3.0.2_3
2020-06-10 00:12:45+02	2020-06-10 00:14:13+02	x11-toolkits	kf5-kxmlgui	\N	kf5-kxmlgui-5.70.0
2020-06-10 00:12:26+02	2020-06-10 00:14:24+02	x11-fm	caja	\N	caja-1.22.3
2020-06-10 00:13:10+02	2020-06-10 00:14:27+02	x11-toolkits	wxgtk28-contrib-common	\N	wx28-gtk2-contrib-common-2.8.12_8
2020-06-10 00:13:38+02	2020-06-10 00:14:49+02	devel	kf5-solid	\N	kf5-solid-5.70.0
2020-06-10 00:14:01+02	2020-06-10 00:14:51+02	devel	libglade2	\N	libglade2-2.6.4_10
2020-06-10 00:14:13+02	2020-06-10 00:15:31+02	devel	kf5-kbookmarks	\N	kf5-kbookmarks-5.70.0
2020-06-10 00:15:33+02	2020-06-10 00:16:04+02	net	sdl_net	\N	sdl_net-1.2.8_3
2020-06-10 00:14:24+02	2020-06-10 00:16:10+02	devel	qt5-designer	\N	qt5-designer-5.14.2
2020-06-10 00:14:28+02	2020-06-10 00:16:16+02	graphics	gegl	\N	gegl-0.4.22_6
2020-06-10 00:14:52+02	2020-06-10 00:16:51+02	net	gnome-online-accounts	\N	gnome-online-accounts-3.28.0_2
2020-06-10 00:16:05+02	2020-06-10 00:17:11+02	net	uhttpmock	\N	uhttpmock-0.5.1_1
2020-06-10 00:16:11+02	2020-06-10 00:17:11+02	print	py-qt5-printsupport	py37	py37-qt5-printsupport-5.13.1_1
2020-06-10 00:09:56+02	2020-06-10 00:17:55+02	print	tex-dvipsk	\N	tex-dvipsk-5.995_2
2020-06-10 00:16:17+02	2020-06-10 00:18:02+02	security	gnome-keyring	\N	gnome-keyring-3.28.2_2
2020-06-10 00:17:11+02	2020-06-10 00:18:19+02	sysutils	policykit-gnome	\N	policykit-gnome-0.9.2_9
2020-06-10 00:17:12+02	2020-06-10 00:18:19+02	x11	kf5-kded	\N	kf5-kded-5.70.0_1
2020-06-10 00:16:52+02	2020-06-10 00:18:31+02	sysutils	kf5-kwallet	\N	kf5-kwallet-5.70.0
2020-06-10 00:18:03+02	2020-06-10 00:18:32+02	x11	xorg-apps	\N	xorg-apps-7.7_4
2020-06-10 00:18:20+02	2020-06-10 00:19:28+02	x11-drivers	xorg-drivers	\N	xorg-drivers-7.7_6
2020-06-10 00:18:20+02	2020-06-10 00:19:35+02	x11	zenity	\N	zenity-3.28.1
2020-06-10 00:14:50+02	2020-06-10 00:20:15+02	graphics	tesseract	\N	tesseract-4.1.1_2
2020-06-10 00:18:33+02	2020-06-10 00:20:26+02	x11-toolkits	gtkmm30	\N	gtkmm30-3.22.2
2020-06-10 00:18:32+02	2020-06-10 00:20:33+02	x11-servers	xorg-vfbserver	\N	xorg-vfbserver-1.20.8_2,1
2020-06-10 00:19:28+02	2020-06-10 00:20:34+02	x11-toolkits	kf5-kjobwidgets	\N	kf5-kjobwidgets-5.70.0
2020-06-10 00:19:36+02	2020-06-10 00:20:59+02	x11-toolkits	wxgtk28-contrib	\N	wx28-gtk2-contrib-2.8.12_8
2020-06-10 00:20:34+02	2020-06-10 00:21:04+02	devel	py-gobject	py27	py27-gobject-2.28.6_8
2020-06-10 00:21:05+02	2020-06-10 00:21:30+02	graphics	fpc-cairo	\N	fpc-cairo-3.0.4_4
2020-06-10 00:20:27+02	2020-06-10 00:21:46+02	devel	libpeas	\N	libpeas-1.22.0
2020-06-10 00:21:47+02	2020-06-10 00:22:01+02	graphics	glew	\N	glew-2.2.0
2020-06-10 00:20:15+02	2020-06-10 00:22:03+02	devel	libgdata	\N	libgdata-0.17.9
2020-06-10 00:17:56+02	2020-06-10 00:22:05+02	devel	doxygen	\N	doxygen-1.8.15_3,2
2020-06-10 00:22:06+02	2020-06-10 00:22:48+02	graphics	sdl2_image	\N	sdl2_image-2.0.5
2020-06-10 00:22:02+02	2020-06-10 00:23:03+02	graphics	movit	\N	movit-1.6.2_2
2020-06-10 00:22:49+02	2020-06-10 00:23:15+02	graphics	sdl_ttf	\N	sdl_ttf-2.0.11_7
2020-06-10 00:20:35+02	2020-06-10 00:24:13+02	devel	kf5-kio	\N	kf5-kio-5.70.1_1
2020-06-10 00:23:04+02	2020-06-10 00:24:23+02	net-mgmt	icingaweb2-module-ipl	php73	icingaweb2-module-ipl-php73-0.4.0_1
2020-06-10 00:23:16+02	2020-06-10 00:24:25+02	print	cups-filters	\N	cups-filters-1.27.5
2020-06-10 00:24:25+02	2020-06-10 00:25:41+02	sysutils	gnome-mount	\N	gnome-mount-0.8_13
2020-06-10 00:20:59+02	2020-06-10 00:26:44+02	editors	emacs	full	emacs-26.3_4,3
2020-06-10 00:22:04+02	2020-06-10 00:27:26+02	graphics	opencv	\N	opencv-3.4.1_32
2020-06-10 00:25:42+02	2020-06-10 00:27:49+02	sysutils	mate-settings-daemon	\N	mate-settings-daemon-1.22.1
2020-06-10 00:24:14+02	2020-06-10 00:28:13+02	print	fontforge	\N	fontforge-20190801_2
2020-06-10 00:27:50+02	2020-06-10 00:29:07+02	x11	mate-session-manager	\N	mate-session-manager-1.22.3
2020-06-10 00:21:30+02	2020-06-10 00:29:51+02	graphics	gimp-app	\N	gimp-app-2.10.18_7,1
2020-06-10 00:29:08+02	2020-06-10 00:30:37+02	x11	yelp	\N	yelp-3.28.1_2
2020-06-10 00:29:52+02	2020-06-10 00:31:21+02	x11-themes	gtk-engines2	\N	gtk-engines2-2.20.2_3
2020-06-10 00:30:38+02	2020-06-10 00:31:45+02	x11-themes	gtk-murrine-engine	\N	gtk-murrine-engine-0.98.2_5
2020-06-10 00:28:13+02	2020-06-10 00:32:03+02	x11	xorg	\N	xorg-7.7_3
2020-06-10 00:31:46+02	2020-06-10 00:33:37+02	x11-toolkits	qt5-quickcontrols	\N	qt5-quickcontrols-5.14.2
2020-06-10 00:31:21+02	2020-06-10 00:34:08+02	x11-toolkits	gtksourceview3	\N	gtksourceview3-3.24.8_3
2020-06-10 00:24:24+02	2020-06-10 00:34:56+02	print	tex-luatex	\N	tex-luatex-0.80.0_18
2020-06-10 00:34:10+02	2020-06-10 00:36:14+02	audio	sdl_sound	\N	sdl_sound-1.0.3_14
2020-06-10 00:33:38+02	2020-06-10 00:39:12+02	x11-wm	marco	\N	marco-1.22.4
2020-06-10 00:36:16+02	2020-06-10 00:40:36+02	deskutils	mate-notification-daemon	\N	mate-notification-daemon-1.22.1
2020-06-10 00:34:57+02	2020-06-10 00:41:29+02	deskutils	gucharmap	\N	gucharmap-11.0.1_1
2020-06-10 00:32:04+02	2020-06-10 00:42:31+02	x11-toolkits	wxgtk30	\N	wx30-gtk3-3.0.5.1
2020-06-10 00:41:32+02	2020-06-10 00:42:55+02	devel	py-gobject3	py27	py27-gobject3-3.28.3_1
2020-06-10 00:42:57+02	2020-06-10 00:44:19+02	graphics	djvulibre	\N	djvulibre-3.5.27_2
2020-06-10 00:44:21+02	2020-06-10 00:45:18+02	graphics	fpc-opengl	\N	fpc-opengl-3.0.4_4
2020-06-10 00:40:38+02	2020-06-10 00:45:21+02	devel	gvfs	\N	gvfs-1.30.4_3
2020-06-10 00:39:14+02	2020-06-10 00:45:27+02	deskutils	spice-gtk	\N	spice-gtk-0.37
2020-06-10 00:45:23+02	2020-06-10 00:46:16+02	graphics	ftgl	\N	ftgl-2.1.3.r5_6,1
2020-06-10 00:45:28+02	2020-06-10 00:46:23+02	graphics	libgltf	\N	libgltf-0.0.2_21
2020-06-10 00:46:16+02	2020-06-10 00:47:08+02	graphics	libgxps	\N	libgxps-0.3.1
2020-06-10 00:45:20+02	2020-06-10 00:47:44+02	graphics	frei0r-plugins-opencv	\N	frei0r-plugins-opencv-1.6.1_1
2020-06-10 00:47:10+02	2020-06-10 00:47:54+02	graphics	py-pygraphviz	py37	py37-pygraphviz-1.5
2020-06-10 00:46:25+02	2020-06-10 00:48:18+02	graphics	poppler-qt5	\N	poppler-qt5-0.89.0_1
2020-06-10 00:27:27+02	2020-06-10 00:48:30+02	www	qt5-webengine	\N	qt5-webengine-5.14.2
2020-06-10 00:47:46+02	2020-06-10 00:48:57+02	graphics	py-qt5-svg	py37	py37-qt5-svg-5.13.1_1
2020-06-10 00:42:32+02	2020-06-10 00:49:14+02	graphics	ImageMagick6	\N	ImageMagick6-6.9.11.6,1
2020-06-10 00:48:20+02	2020-06-10 00:49:31+02	graphics	qt5-graphicaleffects	\N	qt5-graphicaleffects-5.14.2
2020-06-10 00:48:32+02	2020-06-10 00:50:04+02	lang	py-qt5-qml	py37	py37-qt5-qml-5.13.1_1
2020-06-10 00:47:56+02	2020-06-10 00:51:32+02	graphics	qt5-3d	\N	qt5-3d-5.14.2
2020-06-10 00:50:06+02	2020-06-10 00:52:05+02	net	remmina-plugin-exec	\N	remmina-plugin-exec-1.3.9
2020-06-10 00:49:32+02	2020-06-10 00:52:32+02	multimedia	mlt	\N	mlt-6.20.0
2020-06-10 00:51:33+02	2020-06-10 00:53:19+02	net-mgmt	icingaweb2-module-reactbundle	php73	icingaweb2-module-reactbundle-php73-0.7.0_1
2020-06-10 00:52:34+02	2020-06-10 00:53:45+02	print	libspectre	\N	libspectre-0.2.8
2020-06-10 00:53:21+02	2020-06-10 00:57:13+02	print	mftrace	\N	mftrace-1.2.18_2
2020-06-10 00:49:16+02	2020-06-10 00:58:17+02	misc	mate-user-guide	\N	mate-user-guide-1.22.3
2020-06-10 00:52:07+02	2020-06-10 00:59:22+02	print	gutenprint	\N	gutenprint-5.3.3
2020-06-10 00:59:23+02	2020-06-10 01:01:04+02	sysutils	mate-polkit	\N	mate-polkit-1.22.0
2020-06-10 00:58:18+02	2020-06-10 01:01:33+02	sysutils	mate-control-center	\N	mate-control-center-1.22.2
2020-06-10 01:01:36+02	2020-06-10 01:03:20+02	www	py-qt5-webkit	py37	py37-qt5-webkit-5.13.1_1
2020-06-10 00:53:47+02	2020-06-10 01:03:35+02	print	tex-dvipdfmx	\N	tex-dvipdfmx-20150315_1
2020-06-10 01:01:06+02	2020-06-10 01:04:00+02	textproc	dblatex	\N	dblatex-0.3.11
2020-06-10 01:04:02+02	2020-06-10 01:05:05+02	x11-toolkits	fpc-gtk2	\N	fpc-gtk2-3.0.4_4
2020-06-10 01:03:37+02	2020-06-10 01:05:11+02	x11-themes	mate-themes	\N	mate-themes-3.22.14
2020-06-10 01:03:21+02	2020-06-10 01:05:42+02	x11-servers	xephyr	\N	xephyr-1.20.8_2,1
2020-06-10 00:57:15+02	2020-06-10 01:05:44+02	print	tex-xmltex	\N	tex-xmltex-1.9_2
2020-06-10 01:05:07+02	2020-06-10 01:06:23+02	x11-toolkits	py-gtk2	py27	py27-gtk2-2.24.0_5
2020-06-10 01:05:44+02	2020-06-10 01:06:25+02	audio	faudio	\N	FAudio-20.06
2020-06-10 01:05:46+02	2020-06-10 01:07:27+02	audio	mate-media	\N	mate-media-1.22.2
2020-06-10 01:05:13+02	2020-06-10 01:07:34+02	archivers	engrampa	\N	engrampa-1.22.2
2020-06-10 01:06:24+02	2020-06-10 01:07:50+02	databases	rrdtool	\N	rrdtool-1.7.2_2
2020-06-10 01:06:27+02	2020-06-10 01:08:11+02	deskutils	caja-extensions	\N	caja-extensions-1.22.1
2020-06-10 01:07:52+02	2020-06-10 01:08:12+02	devel	flatzebra	\N	flatzebra-0.1.7
2020-06-10 01:07:35+02	2020-06-10 01:08:43+02	deskutils	mozo	\N	mozo-1.22.2
2020-06-10 00:26:45+02	2020-06-10 01:09:08+02	www	chromium	\N	chromium-83.0.4103.97
2020-06-10 01:08:13+02	2020-06-10 01:09:15+02	devel	ode	\N	ode-0.13_4,1
2020-06-10 01:08:12+02	2020-06-10 01:09:21+02	devel	kf5-kitemmodels	\N	kf5-kitemmodels-5.70.0
2020-06-10 01:08:44+02	2020-06-10 01:10:12+02	devel	py-game	py37	py37-game-1.9.6_1
2020-06-10 01:07:28+02	2020-06-10 01:10:45+02	deskutils	mate-utils	\N	mate-utils-1.22.2
2020-06-10 01:09:10+02	2020-06-10 01:11:03+02	net-mgmt	icingaweb2-module-pdfexport	php73	icingaweb2-module-pdfexport-php73-0.9.0_2
2020-06-10 01:10:46+02	2020-06-10 01:11:09+02	emulators	dosbox	\N	dosbox-0.74.3_1
2020-06-10 00:48:58+02	2020-06-10 01:11:33+02	math	R	\N	R-4.0.1
2020-06-10 01:11:34+02	2020-06-10 01:12:45+02	devel	R-cran-rstudioapi	\N	R-cran-rstudioapi-0.11_1
2020-06-10 01:11:09+02	2020-06-10 01:13:40+02	graphics	eom	\N	eom-1.22.2
2020-06-10 01:10:13+02	2020-06-10 01:13:51+02	editors	pluma	\N	pluma-1.22.2
2020-06-10 01:13:42+02	2020-06-10 01:14:09+02	graphics	gle	\N	gle-3.1.0_7
2020-06-10 01:13:52+02	2020-06-10 01:14:13+02	graphics	gltt	\N	gltt-2.5.2_14
2020-06-10 01:11:03+02	2020-06-10 01:14:27+02	graphics	atril	\N	atril-1.22.3_6
2020-06-10 01:14:13+02	2020-06-10 01:14:34+02	graphics	libplacebo	\N	libplacebo-2.43.1
2020-06-10 01:12:46+02	2020-06-10 01:14:47+02	graphics	frei0r-plugins	\N	frei0r-plugins-1.6.1_1
2020-06-10 01:14:10+02	2020-06-10 01:15:21+02	graphics	goocanvas2	\N	goocanvas2-2.0.4
2020-06-10 01:14:35+02	2020-06-10 01:15:27+02	graphics	sdl_gfx	\N	sdl_gfx-2.0.26
2020-06-10 01:14:27+02	2020-06-10 01:17:43+02	graphics	py-gimp	\N	py27-gimp-2.10.18_7
2020-06-10 01:15:28+02	2020-06-10 01:18:14+02	math	mate-calc	\N	mate-calc-1.22.2
2020-06-10 01:17:44+02	2020-06-10 01:19:17+02	math	py-networkx	py37	py37-networkx-2.1,1
2020-06-10 01:18:15+02	2020-06-10 01:20:42+02	multimedia	libopenshot	py37	py37-libopenshot-0.2.5.4
2020-06-10 01:20:43+02	2020-06-10 01:22:27+02	multimedia	webvfx-qt5	\N	webvfx-qt5-0.4.4.20160823_12
2020-06-10 01:22:29+02	2020-06-10 01:23:43+02	net	remmina-plugin-nx	\N	remmina-plugin-nx-1.3.9
2020-06-10 01:23:43+02	2020-06-10 01:25:01+02	net	remmina-plugin-rdp	\N	remmina-plugin-rdp-1.3.9
2020-06-10 01:25:02+02	2020-06-10 01:26:08+02	net	remmina-plugin-secret	\N	remmina-plugin-secret-1.3.9
2020-06-10 01:26:09+02	2020-06-10 01:27:12+02	net	remmina-plugin-spice	\N	remmina-plugin-spice-1.3.9
2020-06-10 01:27:13+02	2020-06-10 01:28:10+02	net	remmina-plugin-st	\N	remmina-plugin-st-1.3.9
2020-06-10 01:19:18+02	2020-06-10 01:28:13+02	multimedia	vlc	\N	vlc-3.0.10_6,4
2020-06-10 01:14:48+02	2020-06-10 01:28:23+02	japanese	tex-ptex	\N	ja-tex-ptex-3.6_1
2020-06-10 01:28:10+02	2020-06-10 01:29:04+02	net	remmina-plugin-vnc	\N	remmina-plugin-vnc-1.3.9
2020-06-10 01:28:13+02	2020-06-10 01:29:24+02	net	remmina-plugin-www	\N	remmina-plugin-www-1.3.9
2020-06-10 01:28:24+02	2020-06-10 01:29:57+02	net	remmina-plugin-xdmcp	\N	remmina-plugin-xdmcp-1.3.9
2020-06-10 01:29:05+02	2020-06-10 01:30:06+02	net-mgmt	icingaweb2-module-director	php73	icingaweb2-module-director-php73-1.6.2_2
2020-06-10 01:29:25+02	2020-06-10 01:30:55+02	net-mgmt	icingaweb2-module-reporting	php73	icingaweb2-module-reporting-php73-0.9.2_1
2020-06-10 01:29:58+02	2020-06-10 01:31:25+02	print	gimp-gutenprint	\N	gimp-gutenprint-5.3.3
2020-06-10 01:09:22+02	2020-06-10 01:34:09+02	editors	libreoffice	\N	libreoffice-6.3.6_1
2020-06-10 01:34:11+02	2020-06-10 01:36:54+02	print	tex-xdvik	\N	tex-xdvik-22.87_4
2020-06-10 01:30:07+02	2020-06-10 01:37:15+02	print	lilypond	\N	lilypond-2.20.0
2020-06-10 01:09:16+02	2020-06-10 01:38:06+02	editors	lazarus	\N	lazarus-gtk2-2.0.8
2020-06-10 01:31:26+02	2020-06-10 01:39:08+02	print	tex-jadetex	\N	tex-jadetex-3.13_3
2020-06-10 01:30:56+02	2020-06-10 01:39:18+02	print	tex-aleph	\N	tex-aleph-1.15.2.1.r.4_4
2020-06-10 01:38:07+02	2020-06-10 01:40:00+02	sysutils	mate-power-manager	\N	mate-power-manager-1.22.2
2020-06-10 01:39:20+02	2020-06-10 01:40:47+02	textproc	gtkspell3	\N	gtkspell3-3.0.10
2020-06-10 01:40:02+02	2020-06-10 01:40:56+02	www	py-qt5-webchannel	py37	py37-qt5-webchannel-5.13.1_1
2020-06-10 01:39:09+02	2020-06-10 01:41:14+02	sysutils	mate-system-monitor	\N	mate-system-monitor-1.22.2
2020-06-10 01:40:48+02	2020-06-10 01:42:11+02	www	py-qt5-webkitwidgets	py37	py37-qt5-webkitwidgets-5.13.1_1
2020-06-10 01:41:15+02	2020-06-10 01:42:46+02	x11	mate-base	\N	mate-base-1.22.2
2020-06-10 01:42:12+02	2020-06-10 01:44:05+02	x11	mate-screensaver	\N	mate-screensaver-1.22.2
2020-06-10 01:44:06+02	2020-06-10 01:45:13+02	x11-toolkits	fltk	\N	fltk-1.3.5
2020-06-10 01:42:46+02	2020-06-10 01:45:26+02	x11	mate-terminal	\N	mate-terminal-1.22.1
2020-06-10 01:15:22+02	2020-06-10 01:45:43+02	lang	erlang	\N	erlang-21.3.8.16,4
2020-06-10 01:45:27+02	2020-06-10 01:46:09+02	x11-toolkits	gtkglarea2	\N	gtkglarea-2.0.1_10
2020-06-10 01:45:14+02	2020-06-10 01:46:23+02	x11-toolkits	gdl	\N	gdl-3.28.0
2020-06-10 01:36:55+02	2020-06-10 01:46:29+02	print	tex-xetex	\N	tex-xetex-0.99992_34
2020-06-10 01:40:56+02	2020-06-10 01:46:42+02	x11	mate-applets	\N	mate-applets-1.22.2
2020-06-10 01:45:44+02	2020-06-10 01:47:10+02	x11-toolkits	gtkmm24	\N	gtkmm24-2.24.5_1
2020-06-10 01:46:43+02	2020-06-10 01:48:27+02	deskutils	sysctlview	\N	sysctlview-2.0
2020-06-10 01:48:28+02	2020-06-10 01:50:52+02	devel	distel	full	distel-emacs26-4.1.1_4
2020-06-10 01:46:30+02	2020-06-10 01:52:54+02	databases	pgadmin3	\N	pgadmin3-1.22.2_5
2020-06-10 01:46:23+02	2020-06-10 01:53:10+02	audio	rosegarden	\N	rosegarden-20.06
2020-06-10 01:46:10+02	2020-06-10 01:56:11+02	astro	stellarium	\N	stellarium-0.20.1
2020-06-10 01:53:13+02	2020-06-10 01:57:40+02	editors	libreoffice-nb	\N	nb-libreoffice-6.3.6
2020-06-10 01:56:12+02	2020-06-10 02:00:58+02	editors	vim	\N	vim-8.2.0869
2020-06-10 01:52:56+02	2020-06-10 02:07:32+02	editors	codelite	\N	codelite-12.0_4
2020-06-10 01:57:42+02	2020-06-10 02:21:05+02	emulators	qemu	\N	qemu-4.1.1_4
2020-06-10 02:07:33+02	2020-06-10 02:29:59+02	emulators	wine	\N	wine-5.0.1,1
2020-06-10 02:30:03+02	2020-06-10 02:30:34+02	games	KnightCap	\N	knightcap-3.6_8
2020-06-10 02:30:36+02	2020-06-10 02:31:37+02	games	afternoonstalker	\N	afternoonstalker-1.1.6
2020-06-10 02:31:38+02	2020-06-10 02:36:30+02	games	alienarena	\N	alienarena-2013.766_9
2020-06-10 02:36:32+02	2020-06-10 02:37:27+02	games	alienblaster	\N	alienblaster-1.1.0_7
2020-06-10 01:47:10+02	2020-06-10 02:38:06+02	devel	RStudio	\N	RStudio-1.3.959
2020-06-10 02:38:07+02	2020-06-10 02:38:40+02	games	maelstrom	\N	maelstrom-3.0.6_14
2020-06-10 02:37:29+02	2020-06-10 02:39:14+02	games	battletanks	\N	btanks-0.9.8083_9
2020-06-10 02:38:41+02	2020-06-10 02:39:48+02	games	monsterz	\N	monsterz-0.7.1_15
2020-06-10 02:21:09+02	2020-06-10 02:40:06+02	ftp	filezilla	\N	filezilla-3.40.0_5
2020-06-10 02:39:16+02	2020-06-10 02:40:15+02	games	nuclearchess	\N	nuclearchess-1.0.0_10
2020-06-10 02:39:49+02	2020-06-10 02:40:40+02	games	numptyphysics	\N	numptyphysics-0.3.r20090104_11
2020-06-10 02:40:07+02	2020-06-10 02:41:12+02	games	xblast	\N	xblast-2.10.4_17
2020-06-10 01:37:16+02	2020-06-10 02:41:28+02	print	texlive-docs	\N	texlive-docs-20150523
2020-06-10 02:40:16+02	2020-06-10 02:41:34+02	games	xboard	\N	xboard-4.9.1_1
2020-06-10 02:40:41+02	2020-06-10 02:42:02+02	games	xcowsay	\N	xcowsay-1.5
2020-06-10 02:41:31+02	2020-06-10 02:43:17+02	graphics	gimp	\N	gimp-2.10.18,2
2020-06-10 02:43:18+02	2020-06-10 02:45:28+02	graphics	xpdf	\N	xpdf-4.02,1
2020-06-10 01:50:54+02	2020-06-10 02:45:28+02	devel	electron7	\N	electron7-7.3.1
2020-06-10 02:41:13+02	2020-06-10 02:46:30+02	graphics	dia	\N	dia-0.97.3_1,1
2020-06-10 02:45:32+02	2020-06-10 02:47:48+02	lang	csharp-mode.el	full	csharp-mode.el-emacs26-0.9.2_1
2020-06-10 02:41:36+02	2020-06-10 02:48:18+02	graphics	inkscape	\N	inkscape-1.0_2
2020-06-10 02:47:51+02	2020-06-10 02:48:38+02	multimedia	libva-glx	\N	libva-glx-2.7.1
2020-06-10 02:48:20+02	2020-06-10 02:49:26+02	multimedia	libva-vdpau-driver	\N	libva-vdpau-driver-0.7.4_9
2020-06-10 02:48:41+02	2020-06-10 02:53:54+02	multimedia	obs-studio	\N	obs-studio-25.0.8
2020-06-10 02:49:27+02	2020-06-10 02:54:47+02	multimedia	openshot	py37	openshot-2.5.1.7
2020-06-10 02:54:49+02	2020-06-10 02:58:08+02	net	ntopng	\N	ntopng-4.0.d20200530,1
2020-06-10 02:42:03+02	2020-06-10 02:58:23+02	graphics	krita	\N	krita-4.2.9_4
2020-06-10 02:53:56+02	2020-06-10 02:58:27+02	multimedia	shotcut	\N	shotcut-20.04.12_1
2020-06-10 02:58:29+02	2020-06-10 02:59:55+02	net-mgmt	etherape	\N	etherape-0.9.18
2020-06-10 02:58:09+02	2020-06-10 03:00:20+02	net	remmina-plugins	\N	remmina-plugins-1.3.9
2020-06-10 02:59:57+02	2020-06-10 03:01:22+02	net-mgmt	icingaweb2-module-businessprocess	php73	icingaweb2-module-businessprocess-php73-2.2.0_2
2020-06-10 03:00:21+02	2020-06-10 03:02:11+02	net-mgmt	icingaweb2-module-cube	php73	icingaweb2-module-cube-php73-1.1.0_1
2020-06-10 03:01:24+02	2020-06-10 03:02:57+02	net-mgmt	icingaweb2-module-elasticsearch	php73	icingaweb2-module-elasticsearch-php73-0.9.0_3
2020-06-10 03:02:12+02	2020-06-10 03:03:18+02	net-mgmt	icingaweb2-module-fileshipper	php73	icingaweb2-module-fileshipper-php73-1.1.0_3
2020-06-10 03:02:57+02	2020-06-10 03:04:03+02	net-mgmt	icingaweb2-module-generictts	php73	icingaweb2-module-generictts-php73-2.0.0_3
2020-06-10 03:03:18+02	2020-06-10 03:04:24+02	net-mgmt	icingaweb2-module-grafana	php73	icingaweb2-module-grafana-php73-1.3.6_1
2020-06-10 02:58:24+02	2020-06-10 03:04:38+02	net	wireshark	\N	wireshark-3.2.4
2020-06-10 03:04:03+02	2020-06-10 03:05:05+02	net-mgmt	icingaweb2-module-graphite	php73	icingaweb2-module-graphite-php73-1.1.0_3
2020-06-10 03:04:39+02	2020-06-10 03:05:46+02	net-mgmt	icingaweb2-module-map	php73	icingaweb2-module-map-php73-1.1.0_3
2020-06-10 03:04:25+02	2020-06-10 03:05:59+02	net-mgmt	icingaweb2-module-idoreports	php73	icingaweb2-module-idoreports-php73-0.9.0_2
2020-06-10 03:05:06+02	2020-06-10 03:06:09+02	net-mgmt	icingaweb2-module-vsphere	php73	icingaweb2-module-vsphere-php73-1.1.0_4
2020-06-10 03:05:47+02	2020-06-10 03:06:54+02	ports-mgmt	porttree	\N	porttree-1.1.r114_1
2020-06-10 03:06:10+02	2020-06-10 03:09:05+02	print	lyx	\N	lyx-2.3.4.2_1
2020-06-10 03:06:00+02	2020-06-10 03:09:16+02	print	auctex	full	auctex-emacs26-12.2
2020-06-10 03:09:06+02	2020-06-10 03:10:07+02	security	openconnect-gui	\N	openconnect-gui-1.4.1_4
2020-06-10 03:09:17+02	2020-06-10 03:10:30+02	sysutils	cpu-x	\N	cpu-x-4.0.0_1
2020-06-10 03:10:07+02	2020-06-10 03:10:50+02	sysutils	gkrellm2	\N	gkrellm2-2.3.11
2020-06-10 03:10:30+02	2020-06-10 03:11:18+02	textproc	py-qt5-xmlpatterns	py37	py37-qt5-xmlpatterns-5.13.1_1
2020-06-10 02:00:59+02	2020-06-10 03:12:39+02	emulators	virtualbox-ose	\N	virtualbox-ose-5.2.34_4
2020-06-10 03:06:55+02	2020-06-10 03:12:43+02	print	texlive-full	\N	texlive-full-20150521
2020-06-10 03:11:19+02	2020-06-10 03:12:50+02	www	py-qt5-webengine	py37	py37-qt5-webengine-5.12.1_1
2020-06-10 03:12:51+02	2020-06-10 03:13:21+02	x11	xlockmore	\N	xlockmore-5.63
2020-06-10 03:12:40+02	2020-06-10 03:13:41+02	x11	cool-retro-term	\N	cool-retro-term-1.1.1_1
2020-06-10 03:12:44+02	2020-06-10 03:14:44+02	x11	mate	\N	mate-1.22.2
2020-06-10 03:13:22+02	2020-06-10 03:15:47+02	x11	xscreensaver	\N	xscreensaver-5.44
2020-06-10 03:14:45+02	2020-06-10 03:15:53+02	x11-fm	fsv2	\N	fsv2-1.1.0_1
2020-06-10 03:15:48+02	2020-06-10 03:16:01+02	x11-fm	xdiskusage	\N	xdiskusage-1.51_1
2020-06-10 03:15:54+02	2020-06-10 03:16:24+02	x11-toolkits	libgdiplus	\N	libgdiplus-5.6_2
2020-06-10 03:18:52+02	2020-06-10 03:19:04+02	graphics	drm-kmod	\N	drm-kmod-g20190710
2020-06-10 03:13:42+02	2020-06-10 03:20:27+02	x11-fm	doublecmd	gtk2	doublecmd-gtk2-0.9.8_2
2020-06-10 02:45:32+02	2020-06-10 03:34:36+02	lang	erlang-runtime22	\N	erlang-runtime22-22.3.4.1
2020-06-10 02:46:32+02	2020-06-10 03:38:50+02	lang	erlang-runtime23	\N	erlang-runtime23-23.0.2
2020-06-10 03:10:51+02	2020-06-10 03:52:43+02	www	firefox	\N	firefox-77.0.1_1,1
2020-06-10 03:16:25+02	2020-06-10 03:56:45+02	editors	vscode	\N	vscode-1.45.1_2
2020-06-10 04:13:21+02	2020-06-10 04:27:58+02	local	E590T-localbase	\N	E590T-localbase-2020060702
2020-06-10 08:06:26+02	2020-06-10 08:16:28+02	www	node10	\N	node10-10.20.1_2
2020-06-10 08:16:28+02	2020-06-10 08:17:01+02	www	npm-node10	\N	npm-node10-6.12.1_1
2020-06-10 08:06:26+02	2020-06-10 08:17:11+02	graphics	drm-current-kmod	\N	drm-current-kmod-4.16.g20200320
2020-06-10 08:17:02+02	2020-06-10 08:17:15+02	www	yarn-node10	\N	yarn-node10-1.22.4_1
2020-06-10 08:17:12+02	2020-06-10 08:17:22+02	graphics	drm-kmod	\N	drm-kmod-g20190710
2020-06-10 08:06:26+02	2020-06-10 08:59:51+02	www	node	\N	node-14.0.0
2020-06-10 21:53:37+02	2020-06-10 21:53:46+02	sysutils	devcpu-data	\N	devcpu-data-1.31
2020-06-10 21:53:37+02	2020-06-10 21:54:00+02	benchmarks	iperf3	\N	iperf3-3.8.1
2020-06-10 21:53:37+02	2020-06-10 21:54:13+02	devel	gmake	\N	gmake-4.3_2
2020-06-10 21:53:37+02	2020-06-10 21:54:53+02	audio	mpg123	\N	mpg123-1.26.1
2020-06-10 21:54:14+02	2020-06-10 21:55:03+02	www	npm-node12	\N	npm-node12-6.12.1_1
2020-06-10 21:54:54+02	2020-06-10 21:55:47+02	audio	gstreamer1-plugins-mpg123	\N	gstreamer1-plugins-mpg123-1.16.2
2020-06-10 21:55:51+02	2020-06-10 21:56:28+02	www	npm-node10	\N	npm-node10-6.12.1_1
2020-06-10 21:55:48+02	2020-06-10 21:56:34+02	multimedia	gstreamer1-plugins-core	\N	gstreamer1-plugins-core-1.16
2020-06-10 21:53:37+02	2020-06-10 21:56:48+02	graphics	drm-current-kmod	\N	drm-current-kmod-4.16.g20200320
2020-06-10 21:56:49+02	2020-06-10 21:56:58+02	graphics	drm-kmod	\N	drm-kmod-g20190710
2020-06-10 21:56:35+02	2020-06-10 22:04:03+02	www	qt5-webkit	\N	qt5-webkit-5.212.0.a4_2
2020-06-10 22:04:03+02	2020-06-10 22:04:59+02	www	py-qt5-webkit	py37	py37-qt5-webkit-5.13.1_1
2020-06-10 22:04:04+02	2020-06-10 22:05:05+02	multimedia	webvfx-qt5	\N	webvfx-qt5-0.4.4.20160823_12
2020-06-10 22:04:59+02	2020-06-10 22:06:07+02	www	py-qt5-webkitwidgets	py37	py37-qt5-webkitwidgets-5.13.1_1
2020-06-10 22:05:06+02	2020-06-10 22:07:24+02	multimedia	shotcut	\N	shotcut-20.04.12_1
2020-06-10 22:06:07+02	2020-06-10 22:08:05+02	multimedia	openshot	py37	openshot-2.5.1.7
2020-06-10 21:54:14+02	2020-06-10 22:09:25+02	math	R	\N	R-4.0.1
2020-06-10 22:09:25+02	2020-06-10 22:10:02+02	devel	R-cran-rstudioapi	\N	R-cran-rstudioapi-0.11_1
2020-06-10 22:10:03+02	2020-06-10 22:26:30+02	devel	RStudio	\N	RStudio-1.3.959
2020-06-10 22:47:07+02	2020-06-10 23:02:07+02	local	E590T-localbase	\N	E590T-localbase-2020060702
2020-06-11 20:52:35+02	2020-06-11 20:54:37+02	graphics	opencv-core	\N	opencv-core-3.4.1_33
2020-06-11 20:54:38+02	2020-06-11 21:03:17+02	multimedia	ffmpeg	\N	ffmpeg-4.2.3,1
2020-06-11 21:03:17+02	2020-06-11 21:18:58+02	devel	electron7	\N	electron7-7.3.1
2020-06-11 21:19:00+02	2020-06-11 21:39:40+02	www	chromium	\N	chromium-83.0.4103.97
2020-06-11 21:45:23+02	2020-06-11 21:46:05+02	audio	faudio	\N	FAudio-20.06
2020-06-11 21:45:24+02	2020-06-11 21:46:15+02	multimedia	gstreamer1-libav	\N	gstreamer1-libav-1.16.2
2020-06-11 21:45:23+02	2020-06-11 21:47:01+02	multimedia	mlt	\N	mlt-6.20.0
2020-06-11 21:46:17+02	2020-06-11 21:47:07+02	multimedia	gstreamer1-plugins-core	\N	gstreamer1-plugins-core-1.16
2020-06-11 21:45:23+02	2020-06-11 21:47:11+02	net-mgmt	icingaweb2-module-pdfexport	php73	icingaweb2-module-pdfexport-php73-0.9.0_2
2020-06-11 21:46:06+02	2020-06-11 21:48:13+02	multimedia	libopenshot	py37	py37-libopenshot-0.2.5.4
2020-06-11 21:47:12+02	2020-06-11 21:49:24+02	net-mgmt	icingaweb2-module-reporting	php73	icingaweb2-module-reporting-php73-0.9.2_1
2020-06-11 21:45:23+02	2020-06-11 21:52:52+02	graphics	opencv	\N	opencv-3.4.1_33
2020-06-11 21:49:26+02	2020-06-11 21:54:45+02	graphics	drm-current-kmod	\N	drm-current-kmod-4.16.g20200320
2020-06-11 21:52:54+02	2020-06-11 21:56:51+02	graphics	frei0r-plugins-opencv	\N	frei0r-plugins-opencv-1.6.1_1
2020-06-11 21:54:46+02	2020-06-11 21:58:34+02	net-mgmt	icingaweb2-module-idoreports	php73	icingaweb2-module-idoreports-php73-0.9.0_2
2020-06-11 21:47:08+02	2020-06-11 21:59:21+02	www	qt5-webkit	\N	qt5-webkit-5.212.0.a4_2
2020-06-11 21:56:52+02	2020-06-11 22:00:24+02	graphics	frei0r-plugins	\N	frei0r-plugins-1.6.1_1
2020-06-11 21:59:23+02	2020-06-11 22:02:11+02	www	py-qt5-webkit	py37	py37-qt5-webkit-5.13.1_1
2020-06-11 22:00:25+02	2020-06-11 22:03:25+02	multimedia	webvfx-qt5	\N	webvfx-qt5-0.4.4.20160823_12
2020-06-11 22:02:14+02	2020-06-11 22:04:43+02	www	py-qt5-webkitwidgets	py37	py37-qt5-webkitwidgets-5.13.1_1
2020-06-11 21:47:01+02	2020-06-11 22:07:02+02	multimedia	vlc	\N	vlc-3.0.10_6,4
2020-06-11 21:49:23+02	2020-06-11 22:07:43+02	emulators	wine	\N	wine-5.0.1,1
2020-06-11 22:03:28+02	2020-06-11 22:07:54+02	multimedia	shotcut	\N	shotcut-20.04.12_1
2020-06-11 22:04:44+02	2020-06-11 22:08:13+02	multimedia	openshot	py37	openshot-2.5.1.7
2020-06-11 22:08:14+02	2020-06-11 22:08:29+02	graphics	drm-kmod	\N	drm-kmod-g20190710
2020-06-11 21:45:23+02	2020-06-11 22:09:48+02	www	qt5-webengine	\N	qt5-webengine-5.14.2
2020-06-11 22:07:02+02	2020-06-11 22:11:01+02	multimedia	obs-studio	\N	obs-studio-25.0.8
2020-06-11 22:11:06+02	2020-06-11 22:13:44+02	www	py-qt5-webengine	py37	py37-qt5-webengine-5.12.1_1
2020-06-11 22:07:45+02	2020-06-11 22:43:18+02	x11	alacritty	\N	alacritty-0.4.3_1
2020-06-11 22:09:49+02	2020-06-11 22:59:03+02	devel	RStudio	\N	RStudio-1.3.959
2020-06-11 21:58:36+02	2020-06-11 23:05:20+02	www	firefox	\N	firefox-77.0.1_1,1
2020-06-11 22:07:55+02	2020-06-11 23:09:00+02	editors	vscode	\N	vscode-1.45.1_2
2020-06-11 23:25:27+02	2020-06-11 23:41:06+02	local	E590T-localbase	\N	E590T-localbase-2020060702
2020-06-12 07:45:09+02	2020-06-12 07:45:18+02	x11	sterm	\N	sterm-0.8.3
2020-06-12 07:45:09+02	2020-06-12 07:45:50+02	sysutils	smartmontools	\N	smartmontools-7.1_2
2020-06-12 07:45:09+02	2020-06-12 07:48:12+02	graphics	drm-current-kmod	\N	drm-current-kmod-4.16.g20200320
2020-06-12 07:48:13+02	2020-06-12 07:48:23+02	graphics	drm-kmod	\N	drm-kmod-g20190710
2020-06-12 07:45:09+02	2020-06-12 07:51:26+02	lang	python37	\N	python37-3.7.7
2020-06-12 07:51:27+02	2020-06-12 07:51:54+02	devel	py-setuptools	py37	py37-setuptools-44.0.0
2020-06-12 07:51:27+02	2020-06-12 07:52:00+02	x11	xcb-proto	\N	xcb-proto-1.13_1
2020-06-12 07:51:56+02	2020-06-12 07:52:17+02	devel	py-six	py37	py37-six-1.14.0
2020-06-12 07:51:27+02	2020-06-12 07:52:20+02	devel	py-sip	py37	py37-sip-4.19.21,1
2020-06-12 07:52:02+02	2020-06-12 07:52:27+02	devel	py-pytz	py37	py37-pytz-2020.1,1
2020-06-12 07:52:18+02	2020-06-12 07:52:40+02	devel	py-pycparser	py37	py37-pycparser-2.20
2020-06-12 07:52:22+02	2020-06-12 07:52:44+02	devel	py-asn1crypto	py37	py37-asn1crypto-1.3.0
2020-06-12 07:52:27+02	2020-06-12 07:52:46+02	dns	py-idna	py37	py37-idna-2.8
2020-06-12 07:52:47+02	2020-06-12 07:53:08+02	textproc	py-MarkupSafe	py37	py37-MarkupSafe-1.1.1
2020-06-12 07:52:41+02	2020-06-12 07:53:14+02	devel	py-cffi	py37	py37-cffi-1.14.0
2020-06-12 07:51:27+02	2020-06-12 07:53:35+02	devel	ninja	\N	ninja-1.10.0,2
2020-06-12 07:52:44+02	2020-06-12 07:53:54+02	devel	py-babel	py37	py37-Babel-2.8.0
2020-06-12 07:53:55+02	2020-06-12 07:54:29+02	devel	py-Jinja2	py37	py37-Jinja2-2.10.1
2020-06-12 07:53:17+02	2020-06-12 07:54:57+02	security	py-cryptography	py37	py37-cryptography-2.6.1
2020-06-12 07:54:31+02	2020-06-12 07:54:58+02	net	py-pysocks	py37	py37-pysocks-1.7.1
2020-06-12 07:55:01+02	2020-06-12 07:55:33+02	security	py-certifi	py37	py37-certifi-2020.4.5.1
2020-06-12 07:54:59+02	2020-06-12 07:55:33+02	security	py-openssl	py37	py37-openssl-19.0.0
2020-06-12 07:55:36+02	2020-06-12 07:56:03+02	devel	py-pyparsing	py37	py37-pyparsing-2.4.7
2020-06-12 07:55:36+02	2020-06-12 07:56:04+02	net	py-urllib3	py37	py37-urllib3-1.25.7,1
2020-06-12 07:56:06+02	2020-06-12 07:56:43+02	devel	py-packaging	py37	py37-packaging-20.4
2020-06-12 07:56:06+02	2020-06-12 07:56:45+02	textproc	py-chardet	py37	py37-chardet-3.0.4_3
2020-06-12 07:53:09+02	2020-06-12 07:57:07+02	textproc	py-docutils	py37	py37-docutils-0.15.2
2020-06-12 07:56:46+02	2020-06-12 07:57:15+02	graphics	py-imagesize	py37	py37-imagesize-1.1.0
2020-06-12 07:56:46+02	2020-06-12 07:57:15+02	www	py-requests	py37	py37-requests-2.22.0
2020-06-12 07:57:08+02	2020-06-12 07:57:34+02	textproc	py-alabaster	py37	py37-alabaster-0.7.6
2020-06-12 07:57:20+02	2020-06-12 07:57:43+02	textproc	py-sphinxcontrib-applehelp	py37	py37-sphinxcontrib-applehelp-1.0.2
2020-06-12 07:57:20+02	2020-06-12 07:58:00+02	textproc	py-pygments	py37	py37-pygments-2.5.2
2020-06-12 07:57:36+02	2020-06-12 07:58:03+02	textproc	py-sphinxcontrib-devhelp	py37	py37-sphinxcontrib-devhelp-1.0.2
2020-06-12 07:57:45+02	2020-06-12 07:58:10+02	textproc	py-sphinxcontrib-htmlhelp	py37	py37-sphinxcontrib-htmlhelp-1.0.3
2020-06-12 07:53:37+02	2020-06-12 07:58:19+02	lang	cython	py37	py37-cython-0.29.15
2020-06-12 07:58:01+02	2020-06-12 07:58:21+02	textproc	py-sphinxcontrib-jsmath	py37	py37-sphinxcontrib-jsmath-1.0.1
2020-06-12 07:58:04+02	2020-06-12 07:58:24+02	textproc	py-sphinxcontrib-qthelp	py37	py37-sphinxcontrib-qthelp-1.0.3
2020-06-12 07:58:11+02	2020-06-12 07:58:34+02	textproc	py-sphinxcontrib-serializinghtml	py37	py37-sphinxcontrib-serializinghtml-1.1.4
2020-06-12 07:58:27+02	2020-06-12 07:59:03+02	devel	py-future	py37	py37-future-0.18.2
2020-06-12 07:58:25+02	2020-06-12 07:59:06+02	devel	meson	\N	meson-0.54.2
2020-06-12 07:58:35+02	2020-06-12 07:59:07+02	www	py-beaker	py37	py37-beaker-1.11.0
2020-06-12 07:58:21+02	2020-06-12 07:59:16+02	textproc	py-pystemmer	py37	py37-pystemmer-2.0.0.1
2020-06-12 07:59:06+02	2020-06-12 07:59:34+02	textproc	py-CommonMark	py37	py37-CommonMark-0.9.1
2020-06-12 07:59:08+02	2020-06-12 07:59:40+02	textproc	py-mako	py37	py37-mako-1.0.14
2020-06-12 07:59:20+02	2020-06-12 07:59:48+02	textproc	py-snowballstemmer	py37	py37-snowballstemmer-1.2.1
2020-06-12 07:59:36+02	2020-06-12 08:00:08+02	devel	py-evdev	py37	py37-evdev-0.8.1_1
2020-06-12 07:59:42+02	2020-06-12 08:00:12+02	devel	py-pyudev	py37	py37-pyudev-0.22.0
2020-06-12 08:00:13+02	2020-06-12 08:00:44+02	textproc	py-toml	py37	py37-toml-0.10.0
2020-06-12 08:00:09+02	2020-06-12 08:00:49+02	databases	py-sqlite3	py37	py37-sqlite3-3.7.7_7
2020-06-12 07:59:54+02	2020-06-12 08:00:51+02	textproc	py-sphinx	py37	py37-sphinx-3.0.4,1
2020-06-12 07:59:08+02	2020-06-12 08:00:51+02	textproc	py-libxml2	py37	py37-libxml2-2.9.10
2020-06-12 08:00:45+02	2020-06-12 08:01:06+02	devel	py-setuptools_scm	py37	py37-setuptools_scm-3.4.3
2020-06-12 08:00:50+02	2020-06-12 08:01:13+02	databases	py-sqlparse	py37	py37-sqlparse-0.3.1
2020-06-12 08:00:52+02	2020-06-12 08:01:15+02	textproc	py-recommonmark	py37	py37-recommonmark-0.5.0_2
2020-06-12 08:00:53+02	2020-06-12 08:01:17+02	textproc	itstool	\N	itstool-2.0.6
2020-06-12 07:51:27+02	2020-06-12 08:02:22+02	devel	glib20	\N	glib-2.56.3_7,1
2020-06-12 08:01:13+02	2020-06-12 08:02:23+02	www	py-django22	py37	py37-django22-2.2.13
2020-06-12 08:01:20+02	2020-06-12 08:02:51+02	textproc	gtk-doc	\N	gtk-doc-1.29_1
2020-06-12 08:02:29+02	2020-06-12 08:03:50+02	devel	dbus-glib	\N	dbus-glib-0.110
2020-06-12 08:02:54+02	2020-06-12 08:04:28+02	misc	shared-mime-info	\N	shared-mime-info-1.10_2
2020-06-12 08:03:51+02	2020-06-12 08:05:59+02	textproc	libcroco	\N	libcroco-0.6.13
2020-06-12 08:02:28+02	2020-06-12 08:06:09+02	graphics	cairo	\N	cairo-1.16.0,2
2020-06-12 08:06:02+02	2020-06-12 08:07:18+02	devel	desktop-file-utils	\N	desktop-file-utils-0.24
2020-06-12 08:07:22+02	2020-06-12 08:09:33+02	graphics	poppler	\N	poppler-0.89.0_1
2020-06-12 08:06:12+02	2020-06-12 08:11:59+02	devel	gobject-introspection	\N	gobject-introspection-1.56.1,1
2020-06-12 08:01:08+02	2020-06-12 08:12:35+02	devel	gdb	py37	gdb-9.2_1
2020-06-12 08:09:36+02	2020-06-12 08:16:54+02	devel	tex-web2c	\N	tex-web2c-20150521_3
2020-06-12 08:16:57+02	2020-06-12 08:19:13+02	accessibility	at-spi2-core	\N	at-spi2-core-2.36.0
2020-06-12 08:12:05+02	2020-06-12 08:21:46+02	print	harfbuzz	\N	harfbuzz-2.6.7
2020-06-12 08:04:29+02	2020-06-12 08:22:30+02	devel	qt5-core	\N	qt5-core-5.14.2_3
2020-06-12 08:12:37+02	2020-06-12 08:22:43+02	net	avahi-app	\N	avahi-app-0.7_3
2020-06-12 08:19:15+02	2020-06-12 08:22:51+02	graphics	gdk-pixbuf2	\N	gdk-pixbuf2-2.40.0
2020-06-12 08:22:35+02	2020-06-12 08:23:41+02	accessibility	atk	\N	atk-2.36.0
2020-06-12 08:21:48+02	2020-06-12 08:27:47+02	x11-toolkits	pango	\N	pango-1.42.4_3
2020-06-12 08:23:44+02	2020-06-12 08:30:42+02	devel	libgsf	\N	libgsf-1.14.46
2020-06-12 08:22:53+02	2020-06-12 08:31:49+02	sysutils	polkit	\N	polkit-0.116
2020-06-12 08:30:44+02	2020-06-12 08:32:25+02	devel	libgudev	\N	libgudev-230_1
2020-06-12 08:32:28+02	2020-06-12 08:33:13+02	x11	libwacom	\N	libwacom-1.3
2020-06-12 08:22:46+02	2020-06-12 08:33:20+02	print	cups	\N	cups-2.2.13
2020-06-12 08:33:15+02	2020-06-12 08:34:35+02	x11	libinput	\N	libinput-1.15.5
2020-06-12 08:28:09+02	2020-06-12 08:34:45+02	graphics	gtk-update-icon-cache	\N	gtk-update-icon-cache-2.24.32
2020-06-12 08:34:47+02	2020-06-12 08:36:21+02	accessibility	at-spi2-atk	\N	at-spi2-atk-2.34.2
2020-06-12 08:34:37+02	2020-06-12 08:43:33+02	net	qt5-network	\N	qt5-network-5.14.2
2020-06-12 08:31:51+02	2020-06-12 08:43:49+02	graphics	colord	\N	colord-1.3.5
2020-06-12 08:33:22+02	2020-06-12 08:44:26+02	print	ghostscript9-agpl-base	\N	ghostscript9-agpl-base-9.52_5
2020-06-12 08:43:53+02	2020-06-12 08:46:59+02	databases	qt5-sql	\N	qt5-sql-5.14.2
2020-06-12 08:43:36+02	2020-06-12 08:48:15+02	devel	qt5-dbus	\N	qt5-dbus-5.14.2
2020-06-12 08:48:18+02	2020-06-12 08:56:22+02	x11-toolkits	qt5-gui	\N	qt5-gui-5.14.2
2020-06-12 08:36:25+02	2020-06-12 08:59:24+02	x11-themes	adwaita-icon-theme	\N	adwaita-icon-theme-3.28.0
2020-06-12 08:59:31+02	2020-06-12 09:04:45+02	devel	qt5-testlib	\N	qt5-testlib-5.14.2
2020-06-12 08:56:29+02	2020-06-12 09:04:55+02	x11-toolkits	qt5-widgets	\N	qt5-widgets-5.14.2
2020-06-12 09:04:52+02	2020-06-12 09:20:22+02	textproc	qt5-xmlpatterns	\N	qt5-xmlpatterns-5.14.2
2020-06-12 09:05:07+02	2020-06-12 09:20:42+02	print	harfbuzz-icu	\N	harfbuzz-icu-2.6.7_2
2020-06-12 08:44:31+02	2020-06-12 09:21:33+02	graphics	graphviz	\N	graphviz-2.44.0_4
2020-06-12 07:45:09+02	2020-06-12 09:21:48+02	www	node12	\N	node12-12.17.0
2020-06-12 09:21:49+02	2020-06-12 09:24:35+02	textproc	qt5-xml	\N	qt5-xml-5.14.2
2020-06-12 09:20:23+02	2020-06-12 09:26:13+02	x11-toolkits	qt5-declarative	\N	qt5-declarative-5.14.2
2020-06-12 09:24:43+02	2020-06-12 09:26:59+02	databases	qt5-sqldrivers-sqlite3	\N	qt5-sqldrivers-sqlite3-5.14.2
2020-06-12 09:26:15+02	2020-06-12 09:27:54+02	devel	gsettings-desktop-schemas	\N	gsettings-desktop-schemas-3.28.1
2020-06-12 09:20:44+02	2020-06-12 09:28:16+02	multimedia	gstreamer1	\N	gstreamer1-1.16.2
2020-06-12 09:27:03+02	2020-06-12 09:28:54+02	devel	qt5-help	\N	qt5-help-5.14.2
2020-06-12 09:27:59+02	2020-06-12 09:28:58+02	net	glib-networking	\N	glib-networking-2.56.1_2
2020-06-12 09:21:36+02	2020-06-12 09:29:06+02	lang	vala	\N	vala-0.40.15,1
2020-06-12 08:47:01+02	2020-06-12 09:30:46+02	x11-toolkits	gtk20	\N	gtk2-2.24.32
2020-06-12 09:28:56+02	2020-06-12 09:32:39+02	devel	qt5-linguisttools	\N	qt5-linguisttools-5.14.2
2020-06-12 09:28:58+02	2020-06-12 09:32:45+02	devel	libsoup	\N	libsoup-2.62.3
2020-06-12 09:29:07+02	2020-06-12 09:33:12+02	graphics	librsvg2	\N	librsvg2-2.40.21
2020-06-12 09:30:58+02	2020-06-12 09:33:28+02	devel	dconf	\N	dconf-0.28.0
2020-06-12 09:33:30+02	2020-06-12 09:35:36+02	devel	kf5-extra-cmake-modules	\N	kf5-extra-cmake-modules-5.70.0_2
2020-06-12 09:32:41+02	2020-06-12 09:35:36+02	print	tex-basic-engines	\N	tex-basic-engines-20150521
2020-06-12 09:28:17+02	2020-06-12 09:35:46+02	multimedia	gstreamer1-plugins	\N	gstreamer1-plugins-1.16.2
2020-06-12 09:35:48+02	2020-06-12 09:36:40+02	devel	json-glib	\N	json-glib-1.4.4
2020-06-12 09:35:37+02	2020-06-12 09:37:09+02	devel	qt5-concurrent	\N	qt5-concurrent-5.14.2
2020-06-12 09:36:43+02	2020-06-12 09:37:25+02	devel	libnotify	\N	libnotify-0.7.8
2020-06-12 09:37:10+02	2020-06-12 09:37:56+02	graphics	frei0r	\N	frei0r-1.6.1
2020-06-12 09:35:37+02	2020-06-12 09:38:05+02	print	qt5-printsupport	\N	qt5-printsupport-5.14.2
2020-06-12 09:37:26+02	2020-06-12 09:38:36+02	devel	libIDL	\N	libIDL-0.8.14_4
2020-06-12 09:38:06+02	2020-06-12 09:39:31+02	print	ghostscript9-agpl-x11	\N	ghostscript9-agpl-x11-9.52
2020-06-12 09:39:31+02	2020-06-12 09:42:30+02	security	libsecret	\N	libsecret-0.18.6_1
2020-06-12 09:38:37+02	2020-06-12 09:42:52+02	devel	ORBit2	\N	ORBit2-2.14.19_2
2020-06-12 09:42:31+02	2020-06-12 09:45:26+02	sysutils	consolekit2	\N	consolekit2-1.2.1_1
2020-06-12 09:37:57+02	2020-06-12 09:46:05+02	multimedia	gstreamer1-plugins-bad	\N	gstreamer1-plugins-bad-1.16.2
2020-06-12 09:42:53+02	2020-06-12 09:46:06+02	devel	gconf2	\N	gconf2-3.2.6_5
2020-06-12 09:45:27+02	2020-06-12 09:46:25+02	graphics	liblqr-1	\N	liblqr-1-0.4.2
2020-06-12 09:46:28+02	2020-06-12 09:47:03+02	graphics	py-cairo	py37	py37-cairo-1.18.1_1
2020-06-12 09:46:07+02	2020-06-12 09:47:05+02	print	libraqm	\N	libraqm-0.6.0
2020-06-12 09:46:08+02	2020-06-12 09:47:26+02	x11	qt5-x11extras	\N	qt5-x11extras-5.14.2
2020-06-12 09:47:05+02	2020-06-12 09:48:10+02	devel	pygobject3-common	\N	pygobject3-common-3.28.3_1
2020-06-12 09:47:27+02	2020-06-12 09:48:24+02	x11-toolkits	qt5-uiplugin	\N	qt5-uiplugin-5.14.2
2020-06-12 09:48:25+02	2020-06-12 09:49:45+02	devel	py-gobject3	py37	py37-gobject3-3.28.3_1
2020-06-12 09:48:11+02	2020-06-12 09:50:25+02	graphics	qt5-opengl	\N	qt5-opengl-5.14.2
2020-06-12 09:49:46+02	2020-06-12 09:51:25+02	graphics	qt5-svg	\N	qt5-svg-5.14.2
2020-06-12 09:51:27+02	2020-06-12 09:52:46+02	devel	kf5-kcoreaddons	\N	kf5-kcoreaddons-5.70.0
2020-06-12 09:50:26+02	2020-06-12 09:54:17+02	textproc	enchant2	\N	enchant2-2.2.3_4
2020-06-12 09:32:46+02	2020-06-12 09:55:14+02	print	texlive-base	\N	texlive-base-20150521_52
2020-06-12 09:52:48+02	2020-06-12 09:55:44+02	graphics	graphene	\N	graphene-1.10.0
2020-06-12 09:47:06+02	2020-06-12 09:58:10+02	graphics	ImageMagick7	\N	ImageMagick7-7.0.10.6
2020-06-12 09:55:47+02	2020-06-12 09:58:31+02	audio	libcanberra	\N	libcanberra-0.30_5
2020-06-12 09:54:18+02	2020-06-12 09:59:56+02	multimedia	gstreamer	\N	gstreamer-0.10.36_6
2020-06-12 09:33:14+02	2020-06-12 10:01:28+02	x11-toolkits	gtk30	\N	gtk3-3.24.10_1
2020-06-12 09:59:58+02	2020-06-12 10:03:36+02	graphics	pecl-imagick-im7	php73	php73-pecl-imagick-im7-3.4.4
2020-06-12 09:58:13+02	2020-06-12 10:04:14+02	devel	qt5-script	\N	qt5-script-5.14.2
2020-06-12 10:04:14+02	2020-06-12 10:05:06+02	www	wpebackend-fdo	\N	wpebackend-fdo-1.4.1
2020-06-12 09:58:33+02	2020-06-12 10:05:34+02	graphics	gstreamer1-plugins-gl	\N	gstreamer1-plugins-gl-1.16.2
2020-06-12 10:03:38+02	2020-06-12 10:06:20+02	net	geoclue	\N	geoclue-2.5.5
2020-06-12 10:05:36+02	2020-06-12 10:06:53+02	x11-toolkits	pangox-compat	\N	pangox-compat-0.0.2_2
2020-06-12 10:06:56+02	2020-06-12 10:08:56+02	devel	kf5-kconfig	\N	kf5-kconfig-5.70.0
2020-06-12 10:06:23+02	2020-06-12 10:09:02+02	audio	libcanberra-gtk3	\N	libcanberra-gtk3-0.30_5
2020-06-12 10:01:30+02	2020-06-12 10:09:13+02	multimedia	gstreamer-plugins	\N	gstreamer-plugins-0.10.36_12,3
2020-06-12 10:05:08+02	2020-06-12 10:09:16+02	x11	mate-desktop	\N	mate-desktop-1.22.2
2020-06-12 10:08:58+02	2020-06-12 10:11:08+02	net-mgmt	icingaweb2	php73	icingaweb2-php73-2.7.3_3
2020-06-12 10:09:03+02	2020-06-12 10:11:43+02	sysutils	policykit	\N	policykit-0.9_10
2020-06-12 10:11:44+02	2020-06-12 10:12:47+02	archivers	kf5-karchive	\N	kf5-karchive-5.70.0
2020-06-12 10:11:09+02	2020-06-12 10:13:30+02	accessibility	speech-dispatcher	\N	speech-dispatcher-0.8.8
2020-06-12 10:09:19+02	2020-06-12 10:13:49+02	x11-toolkits	wxgtk28-common	\N	wx28-gtk2-common-2.8.12_8
2020-06-12 10:12:49+02	2020-06-12 10:15:46+02	devel	kf5-ki18n	\N	kf5-ki18n-5.70.0
2020-06-12 10:13:34+02	2020-06-12 10:16:06+02	devel	qscintilla2-qt5	\N	qscintilla2-qt5-2.11.4
2020-06-12 10:15:49+02	2020-06-12 10:19:07+02	devel	kf5-kdoctools	\N	kf5-kdoctools-5.70.0
2020-06-12 10:16:09+02	2020-06-12 10:20:15+02	devel	py-qt5-core	py37	py37-qt5-core-5.13.1_1
2020-06-12 10:19:11+02	2020-06-12 10:21:37+02	devel	qt5-uitools	\N	qt5-uitools-5.14.2
2020-06-12 10:13:52+02	2020-06-12 10:21:49+02	x11-toolkits	vte3	\N	vte3-0.52.2_3
2020-06-12 10:21:39+02	2020-06-12 10:24:08+02	x11	kf5-kwindowsystem	\N	kf5-kwindowsystem-5.70.0
2020-06-12 10:20:20+02	2020-06-12 10:24:49+02	sysutils	hal	\N	hal-0.5.14_34
2020-06-12 10:24:14+02	2020-06-12 10:25:17+02	comms	qt5-serialport	\N	qt5-serialport-5.14.2
2020-06-12 10:24:51+02	2020-06-12 10:26:20+02	graphics	poppler-glib	\N	poppler-glib-0.89.0_1
2020-06-12 10:25:19+02	2020-06-12 10:26:22+02	textproc	asciidoc	\N	asciidoc-9.0.0rc2
2020-06-12 10:26:22+02	2020-06-12 10:29:57+02	x11-toolkits	kf5-kwidgetsaddons	\N	kf5-kwidgetsaddons-5.70.0
2020-06-12 10:21:53+02	2020-06-12 10:34:28+02	x11-toolkits	wxgtk28	\N	wx28-gtk2-2.8.12_8
2020-06-12 10:34:38+02	2020-06-12 10:39:04+02	devel	kf5-kcrash	\N	kf5-kcrash-5.70.0
2020-06-12 09:55:15+02	2020-06-12 10:40:58+02	print	texlive-texmf	\N	texlive-texmf-20150523_4
2020-06-12 10:39:07+02	2020-06-12 10:43:53+02	devel	kf5-kdbusaddons	\N	kf5-kdbusaddons-5.70.0
2020-06-12 10:29:59+02	2020-06-12 10:47:15+02	devel	glibmm	\N	glibmm-2.56.0_2,1
2020-06-12 10:09:15+02	2020-06-12 10:47:31+02	www	webkit2-gtk3	\N	webkit2-gtk3-2.28.1_1
2020-06-12 10:47:17+02	2020-06-12 10:48:34+02	graphics	qt5-imageformats	\N	qt5-imageformats-5.14.2
2020-06-12 10:26:27+02	2020-06-12 10:48:57+02	audio	pulseaudio	\N	pulseaudio-13.0
2020-06-12 10:41:06+02	2020-06-12 10:48:59+02	print	tex-formats	\N	tex-formats-20150521_2
2020-06-12 10:49:02+02	2020-06-12 10:49:54+02	textproc	kf5-kcodecs	\N	kf5-kcodecs-5.70.0
2020-06-12 10:48:35+02	2020-06-12 10:50:07+02	sysutils	polkit-qt	\N	polkit-qt-1-0.113.0_8
2020-06-12 10:47:33+02	2020-06-12 10:50:16+02	net	avahi-gtk3	\N	avahi-gtk3-0.7_1
2020-06-12 10:49:03+02	2020-06-12 10:50:18+02	www	qt5-webchannel	\N	qt5-webchannel-5.14.2
2020-06-12 10:50:12+02	2020-06-12 10:52:04+02	devel	kf5-kauth	\N	kf5-kauth-5.70.0
2020-06-12 10:49:55+02	2020-06-12 10:52:17+02	devel	kf5-kservice	\N	kf5-kservice-5.70.0
2020-06-12 10:50:17+02	2020-06-12 10:53:33+02	devel	qt5-location	\N	qt5-location-5.14.2
2020-06-12 10:52:06+02	2020-06-12 10:55:37+02	multimedia	gstreamer1-plugins-ugly	\N	gstreamer1-plugins-ugly-1.16.2
2020-06-12 10:52:19+02	2020-06-12 10:56:14+02	net	remmina	\N	remmina-1.3.9
2020-06-12 10:50:20+02	2020-06-12 10:57:23+02	multimedia	gstreamer1-plugins-good	\N	gstreamer1-plugins-good-1.16.2
2020-06-12 10:55:39+02	2020-06-12 10:57:28+02	x11	mate-menus	\N	mate-menus-1.22.1_1
2020-06-12 10:56:15+02	2020-06-12 10:57:59+02	x11-toolkits	kf5-kguiaddons	\N	kf5-kguiaddons-5.70.0
2020-06-12 10:44:07+02	2020-06-12 10:58:07+02	print	tex-dvipsk	\N	tex-dvipsk-5.995_2
2020-06-12 10:57:24+02	2020-06-12 10:59:02+02	accessibility	qt5-speech	\N	qt5-speech-5.14.2
2020-06-12 10:57:30+02	2020-06-12 11:00:41+02	audio	gstreamer1-plugins-ogg	\N	gstreamer1-plugins-ogg-1.16.2
2020-06-12 10:53:35+02	2020-06-12 11:00:52+02	security	gcr	\N	gcr-3.28.0
2020-06-12 10:59:03+02	2020-06-12 11:02:08+02	textproc	libxml++26	\N	libxml++-2.40.1,1
2020-06-12 11:00:55+02	2020-06-12 11:04:02+02	x11-toolkits	kf5-kconfigwidgets	\N	kf5-kconfigwidgets-5.70.0
2020-06-12 11:02:09+02	2020-06-12 11:04:19+02	x11-toolkits	kf5-kitemviews	\N	kf5-kitemviews-5.70.0
2020-06-12 10:58:13+02	2020-06-12 11:07:13+02	devel	doxygen	\N	doxygen-1.8.15_3,2
2020-06-12 11:04:03+02	2020-06-12 11:08:35+02	x11-toolkits	libwnck3	\N	libwnck3-3.24.1
2020-06-12 11:07:14+02	2020-06-12 11:10:07+02	audio	gstreamer1-plugins-a52dec	\N	gstreamer1-plugins-a52dec-1.16.2
2020-06-12 11:04:23+02	2020-06-12 11:11:25+02	x11-toolkits	py-qt5-gui	py37	py37-qt5-gui-5.13.1_1
2020-06-12 11:11:28+02	2020-06-12 11:12:01+02	devel	py-attrs	py37	py37-attrs-19.3.0
2020-06-12 11:08:38+02	2020-06-12 11:12:14+02	audio	gstreamer1-plugins-mpg123	\N	gstreamer1-plugins-mpg123-1.16.2
2020-06-12 11:12:03+02	2020-06-12 11:12:29+02	devel	py-pyasn1	py37	py37-pyasn1-0.4.7
2020-06-12 11:12:16+02	2020-06-12 11:12:54+02	devel	py-yaml	py37	py37-yaml-5.3.1
2020-06-12 11:00:44+02	2020-06-12 11:12:58+02	x11-themes	kf5-breeze-icons	\N	kf5-breeze-icons-5.70.0
2020-06-12 11:10:09+02	2020-06-12 11:14:33+02	audio	gstreamer1-plugins-vorbis	\N	gstreamer1-plugins-vorbis-1.16.2
2020-06-12 11:12:33+02	2020-06-12 11:15:27+02	graphics	cairomm	\N	cairomm-1.12.2_4
2020-06-12 11:12:57+02	2020-06-12 11:18:29+02	graphics	gstreamer1-plugins-png	\N	gstreamer1-plugins-png-1.16.2
2020-06-12 11:14:35+02	2020-06-12 11:18:32+02	multimedia	gstreamer1-libav	\N	gstreamer1-libav-1.16.2
2020-06-12 11:18:31+02	2020-06-12 11:21:38+02	multimedia	gstreamer1-plugins-dvdread	\N	gstreamer1-plugins-dvdread-1.16.2_1
2020-06-12 11:13:05+02	2020-06-12 11:23:16+02	math	py-numpy	py37	py37-numpy-1.16.6,1
2020-06-12 11:15:31+02	2020-06-12 11:23:59+02	multimedia	gstreamer1-plugins-dts	\N	gstreamer1-plugins-dts-1.16.2
2020-06-12 11:23:19+02	2020-06-12 11:25:37+02	net	py-qt5-network	py37	py37-qt5-network-5.13.1_1
2020-06-12 11:18:37+02	2020-06-12 11:26:52+02	multimedia	gstreamer1-plugins-resindvd	\N	gstreamer1-plugins-resindvd-1.16.2_1
2020-06-12 11:24:03+02	2020-06-12 11:27:30+02	x11-themes	kf5-kiconthemes	\N	kf5-kiconthemes-5.70.0
2020-06-12 11:21:41+02	2020-06-12 11:27:32+02	multimedia	gstreamer1-plugins-theora	\N	gstreamer1-plugins-theora-1.16.2
2020-06-12 11:27:35+02	2020-06-12 11:30:40+02	comms	qt5-sensors	\N	qt5-sensors-5.14.2
2020-06-12 11:27:33+02	2020-06-12 11:31:01+02	accessibility	atkmm	\N	atkmm-2.28.0
2020-06-12 11:26:56+02	2020-06-12 11:33:19+02	x11-toolkits	gstreamer1-plugins-pango	\N	gstreamer1-plugins-pango-1.16.2
2020-06-12 11:33:22+02	2020-06-12 11:34:41+02	graphics	py-cairo	py27	py27-cairo-1.18.1_1
2020-06-12 11:30:42+02	2020-06-12 11:36:24+02	devel	libgtop	\N	libgtop-2.38.0_2
2020-06-12 11:36:25+02	2020-06-12 11:38:26+02	multimedia	gstreamer1-plugins-core	\N	gstreamer1-plugins-core-1.16
2020-06-12 11:31:05+02	2020-06-12 11:39:43+02	devel	py-lxml	py37	py37-lxml-4.5.1
2020-06-12 11:34:44+02	2020-06-12 11:40:59+02	math	gnuplot	\N	gnuplot-5.2.8_1
2020-06-12 11:39:49+02	2020-06-12 11:42:49+02	textproc	kf5-sonnet	\N	kf5-sonnet-5.70.0
2020-06-12 11:41:02+02	2020-06-12 11:44:02+02	x11-toolkits	kf5-kcompletion	\N	kf5-kcompletion-5.70.0
2020-06-12 11:25:40+02	2020-06-12 11:45:14+02	x11-themes	mate-icon-theme	\N	mate-icon-theme-1.22.2
2020-06-12 11:42:52+02	2020-06-12 11:46:19+02	x11-toolkits	pangomm	\N	pangomm-2.40.1_4
2020-06-12 11:45:16+02	2020-06-12 11:46:25+02	x11-toolkits	py-tkinter	py37	py37-tkinter-3.7.7_6
2020-06-12 11:44:04+02	2020-06-12 11:48:11+02	x11-toolkits	py-qt5-widgets	py37	py37-qt5-widgets-5.13.1_1
2020-06-12 11:46:21+02	2020-06-12 11:48:59+02	devel	libdbusmenu-qt	\N	libdbusmenu-qt5-0.9.3.160420160218_10
2020-06-12 11:46:32+02	2020-06-12 11:51:17+02	devel	libsoup-gnome	\N	libsoup-gnome-2.62.3
2020-06-12 11:49:04+02	2020-06-12 11:51:51+02	multimedia	phonon	\N	phonon-qt5-4.11.1
2020-06-12 11:48:13+02	2020-06-12 11:54:36+02	devel	talloc	\N	talloc-2.3.0
2020-06-12 11:54:38+02	2020-06-12 11:55:49+02	security	py-bcrypt	py37	py37-bcrypt-3.1.7
2020-06-12 11:51:19+02	2020-06-12 11:55:58+02	multimedia	qt5-multimedia	\N	qt5-multimedia-5.14.2
2020-06-12 11:51:53+02	2020-06-12 11:58:57+02	multimedia	webcamd	\N	webcamd-5.7.1.1_1
2020-06-12 11:38:28+02	2020-06-12 11:59:49+02	net	libmateweather	\N	libmateweather-1.22.1
2020-06-12 11:55:52+02	2020-06-12 12:00:50+02	sysutils	upower	\N	upower-0.99.11
2020-06-12 11:59:54+02	2020-06-12 12:02:17+02	x11	libxklavier	\N	libxklavier-5.3_1,1
2020-06-12 11:59:05+02	2020-06-12 12:02:43+02	x11	kf5-kglobalaccel	\N	kf5-kglobalaccel-5.70.0
2020-06-12 12:02:20+02	2020-06-12 12:05:26+02	x11-toolkits	kf5-attica	\N	kf5-attica-5.70.0
2020-06-12 12:02:48+02	2020-06-12 12:07:34+02	x11-toolkits	kf5-ktextwidgets	\N	kf5-ktextwidgets-5.70.0
2020-06-12 12:05:29+02	2020-06-12 12:12:09+02	audio	libmatemixer	\N	libmatemixer-1.22.0
2020-06-12 12:12:14+02	2020-06-12 12:14:28+02	devel	gamin	\N	gamin-0.1.10_10
2020-06-12 11:56:00+02	2020-06-12 12:15:06+02	www	qt5-webkit	\N	qt5-webkit-5.212.0.a4_2
2020-06-12 12:00:53+02	2020-06-12 12:15:38+02	x11	mate-panel	\N	mate-panel-1.22.2
2020-06-12 12:07:39+02	2020-06-12 12:15:54+02	databases	tdb	\N	tdb-1.4.2,1
2020-06-12 12:15:42+02	2020-06-12 12:16:07+02	devel	py-iso8601	py37	py37-iso8601-0.1.12
2020-06-12 12:15:56+02	2020-06-12 12:16:26+02	devel	py-more-itertools	py37	py37-more-itertools-8.3.0
2020-06-12 12:15:15+02	2020-06-12 12:17:24+02	devel	librest	\N	rest-0.7.93
2020-06-12 12:14:33+02	2020-06-12 12:17:59+02	devel	kf5-knotifications	\N	kf5-knotifications-5.70.0
2020-06-12 12:16:09+02	2020-06-12 12:18:27+02	devel	qt5-assistant	\N	qt5-assistant-5.14.2
2020-06-12 12:18:01+02	2020-06-12 12:20:12+02	graphics	poppler-utils	\N	poppler-utils-0.89.0_1
2020-06-12 12:17:25+02	2020-06-12 12:20:41+02	graphics	gexiv2	\N	gexiv2-0.12.1
2020-06-12 12:16:28+02	2020-06-12 12:22:12+02	devel	tevent	\N	tevent-0.10.1
2020-06-12 12:20:14+02	2020-06-12 12:23:43+02	security	libgnome-keyring	\N	libgnome-keyring-3.12.0_2
2020-06-12 12:18:29+02	2020-06-12 12:23:46+02	security	gpgme-qt5	\N	gpgme-qt5-1.13.1
2020-06-12 12:20:43+02	2020-06-12 12:24:17+02	security	pinentry-gnome3	\N	pinentry-gnome3-1.1.0
2020-06-12 12:23:51+02	2020-06-12 12:24:26+02	textproc	py-mistune	py37	py37-mistune-0.8.4
2020-06-12 12:22:17+02	2020-06-12 12:25:31+02	security	pinentry-qt5	\N	pinentry-qt5-1.1.0_1
2020-06-12 12:24:29+02	2020-06-12 12:26:17+02	x11	babl	\N	babl-0.1.74
2020-06-12 12:23:47+02	2020-06-12 12:32:29+02	textproc	libwpd010	\N	libwpd010-0.10.3_4
2020-06-12 12:25:34+02	2020-06-12 12:35:13+02	x11	libmatekbd	\N	libmatekbd-1.22.0
2020-06-12 12:32:31+02	2020-06-12 12:40:21+02	x11-toolkits	kf5-kxmlgui	\N	kf5-kxmlgui-5.70.0
2020-06-12 12:35:20+02	2020-06-12 12:42:58+02	x11-toolkits	libunique3	\N	libunique-3.0.2_3
2020-06-12 12:26:19+02	2020-06-12 12:46:08+02	x11-fm	caja	\N	caja-1.22.3
2020-06-12 12:43:04+02	2020-06-12 12:47:53+02	devel	kf5-kbookmarks	\N	kf5-kbookmarks-5.70.0
2020-06-12 12:46:14+02	2020-06-12 12:49:58+02	devel	kf5-solid	\N	kf5-solid-5.70.0
2020-06-12 12:40:28+02	2020-06-12 12:50:29+02	x11-toolkits	wxgtk28-contrib-common	\N	wx28-gtk2-contrib-common-2.8.12_8
2020-06-12 12:50:01+02	2020-06-12 12:50:47+02	devel	py-click	py37	py37-click-7.0
2020-06-12 12:50:32+02	2020-06-12 12:51:25+02	devel	py-dateutil	py37	py37-dateutil-2.8.1
2020-06-12 12:50:48+02	2020-06-12 12:51:29+02	devel	py-olefile	py37	py37-olefile-0.46
2020-06-12 12:47:56+02	2020-06-12 12:52:04+02	devel	libglade2	\N	libglade2-2.6.4_10
2020-06-12 12:51:29+02	2020-06-12 12:52:13+02	devel	py-ply	py37	py37-ply-3.11
2020-06-12 12:51:31+02	2020-06-12 12:52:23+02	devel	py-pyasn1-modules	py37	py37-pyasn1-modules-0.2.7
2020-06-12 12:52:09+02	2020-06-12 12:52:47+02	devel	py-zipp	py37	py37-zipp-0.6.0_3
2020-06-12 12:52:27+02	2020-06-12 12:53:31+02	devel	scons	py37	scons-py37-3.1.2
2020-06-12 12:53:33+02	2020-06-12 12:56:08+02	graphics	libmypaint	\N	libmypaint-1.5.1_1
2020-06-12 12:52:16+02	2020-06-12 12:57:57+02	devel	qt5-designer	\N	qt5-designer-5.14.2
2020-06-12 12:52:49+02	2020-06-12 12:58:35+02	graphics	gegl	\N	gegl-0.4.22_6
2020-06-12 12:56:13+02	2020-06-12 13:00:18+02	graphics	libwpg03	\N	libwpg03-0.3.3_1
2020-06-12 12:58:42+02	2020-06-12 13:12:40+02	net	gnome-online-accounts	\N	gnome-online-accounts-3.28.0_2
2020-06-12 13:12:46+02	2020-06-12 13:17:47+02	net	uhttpmock	\N	uhttpmock-0.5.1_1
2020-06-12 13:17:49+02	2020-06-12 13:21:34+02	print	py-qt5-printsupport	py37	py37-qt5-printsupport-5.13.1_1
2020-06-12 12:58:00+02	2020-06-12 13:23:06+02	graphics	tesseract	\N	tesseract-4.1.1_2
2020-06-12 13:23:08+02	2020-06-12 13:32:04+02	sysutils	kf5-kwallet	\N	kf5-kwallet-5.70.0
2020-06-12 12:24:20+02	2020-06-12 15:00:13+02	www	node	\N	node-14.3.0
2020-06-12 15:00:14+02	2020-06-12 15:00:25+02	textproc	py-m2r	py37	py37-m2r-0.2.1_1
2020-06-12 15:00:26+02	2020-06-12 15:00:37+02	www	py-hpack	py37	py37-hpack-3.0.0
2020-06-12 15:00:38+02	2020-06-12 15:00:49+02	www	py-hyperframe	py37	py37-hyperframe-5.2.0
2020-06-12 08:01:16+02	2020-06-12 15:01:14+02	devel	llvm80	\N	llvm80-8.0.1_3
2020-06-12 15:00:49+02	2020-06-12 15:01:44+02	x11	kf5-kded	\N	kf5-kded-5.70.0_1
2020-06-12 15:01:45+02	2020-06-12 15:03:18+02	x11	zenity	\N	zenity-3.28.1
2020-06-12 15:01:15+02	2020-06-12 15:03:47+02	graphics	mesa-dri	\N	mesa-dri-19.0.8_5
2020-06-12 15:03:48+02	2020-06-12 15:09:37+02	x11-servers	xorg-server	\N	xorg-server-1.20.8_2,1
2020-06-12 15:09:38+02	2020-06-12 15:11:51+02	x11-drivers	xf86-input-evdev	\N	xf86-input-evdev-2.10.6_5
2020-06-12 15:11:52+02	2020-06-12 15:14:04+02	x11-drivers	xf86-input-keyboard	\N	xf86-input-keyboard-1.9.0_4
2020-06-12 15:03:18+02	2020-06-12 15:14:20+02	x11-toolkits	gtkmm30	\N	gtkmm30-3.22.2
2020-06-12 15:14:05+02	2020-06-12 15:15:02+02	x11-drivers	xf86-input-libinput	\N	xf86-input-libinput-0.30.0
2020-06-12 15:14:21+02	2020-06-12 15:15:16+02	x11-drivers	xf86-input-mouse	\N	xf86-input-mouse-1.9.3_3
2020-06-12 15:15:03+02	2020-06-12 15:15:52+02	x11-drivers	xf86-video-amdgpu	\N	xf86-video-amdgpu-19.1.0_1
2020-06-12 15:15:17+02	2020-06-12 15:16:33+02	x11-drivers	xf86-video-intel	\N	xf86-video-intel-2.99.917.20181203_1
2020-06-12 15:15:52+02	2020-06-12 15:16:45+02	x11-drivers	xf86-video-scfb	\N	xf86-video-scfb-0.0.5_2
2020-06-12 15:16:34+02	2020-06-12 15:17:23+02	x11-drivers	xf86-video-vesa	\N	xf86-video-vesa-2.4.0_3
2020-06-12 15:17:24+02	2020-06-12 15:18:51+02	x11-drivers	xorg-drivers	\N	xorg-drivers-7.7_6
2020-06-12 15:16:46+02	2020-06-12 15:18:51+02	x11-servers	xorg-vfbserver	\N	xorg-vfbserver-1.20.8_2,1
2020-06-12 15:18:52+02	2020-06-12 15:19:41+02	x11-toolkits	kf5-kjobwidgets	\N	kf5-kjobwidgets-5.70.0
2020-06-12 15:18:52+02	2020-06-12 15:19:52+02	x11-toolkits	wxgtk28-contrib	\N	wx28-gtk2-contrib-2.8.12_8
2020-06-12 15:19:42+02	2020-06-12 15:19:54+02	comms	py-serial	py37	py37-serial-3.4_1
2020-06-12 15:19:53+02	2020-06-12 15:20:04+02	converters	py-webencodings	py37	py37-webencodings-0.5.1
2020-06-12 15:19:55+02	2020-06-12 15:20:06+02	databases	py-redis	py37	py37-redis-3.3.11
2020-06-12 15:20:04+02	2020-06-12 15:22:33+02	devel	git	\N	git-2.27.0
2020-06-12 15:20:06+02	2020-06-12 15:23:41+02	devel	kf5-kio	\N	kf5-kio-5.70.1_1
2020-06-12 15:22:34+02	2020-06-12 15:24:20+02	devel	libgdata	\N	libgdata-0.17.9
2020-06-12 15:23:42+02	2020-06-12 15:24:56+02	devel	libpeas	\N	libpeas-1.22.0
2020-06-12 15:24:57+02	2020-06-12 15:25:08+02	devel	py-Automat	py37	py37-Automat-0.8.0
2020-06-12 15:25:08+02	2020-06-12 15:25:20+02	devel	py-appdirs	py37	py37-appdirs-1.4.3
2020-06-12 10:58:00+02	2020-06-12 15:25:27+02	lang	rust	\N	rust-1.44.0
2020-06-12 15:25:20+02	2020-06-12 15:25:30+02	devel	py-backports	py37	py37-backports-1
2020-06-12 15:25:29+02	2020-06-12 15:25:39+02	devel	py-constantly	py37	py37-constantly-15.1.0
2020-06-12 15:25:31+02	2020-06-12 15:25:41+02	devel	py-cycler	py37	py37-cycler-0.10.0
2020-06-12 15:25:40+02	2020-06-12 15:25:50+02	devel	py-defusedxml	py37	py37-defusedxml-0.5.0
2020-06-12 15:25:51+02	2020-06-12 15:26:08+02	devel	py-importlib-metadata	py37	py37-importlib-metadata-0.23
2020-06-12 15:25:42+02	2020-06-12 15:26:14+02	devel	py-gobject	py27	py27-gobject-2.28.6_8
2020-06-12 15:26:08+02	2020-06-12 15:26:22+02	devel	py-incremental	py37	py37-incremental-17.5.0
2020-06-12 15:26:14+02	2020-06-12 15:26:28+02	devel	py-jdcal	py37	py37-jdcal-1.4.1
2020-06-12 15:26:22+02	2020-06-12 15:26:41+02	devel	py-pyrsistent	py37	py37-pyrsistent-0.14.11_1
2020-06-12 15:26:29+02	2020-06-12 15:26:46+02	devel	py-vcversioner	py37	py37-vcversioner-2.16.0.0_1
2020-06-12 15:26:42+02	2020-06-12 15:26:57+02	devel	py-wheel	py37	py37-wheel-0.30.0_1
2020-06-12 15:26:46+02	2020-06-12 15:27:04+02	devel	py-zope.interface	py37	py37-zope.interface-4.6.0
2020-06-12 15:26:58+02	2020-06-12 15:27:13+02	devel	spice-protocol	\N	spice-protocol-0.12.15
2020-06-12 15:27:05+02	2020-06-12 15:33:22+02	dns	bind-tools	\N	bind-tools-9.16.3_1
2020-06-12 15:33:23+02	2020-06-12 15:33:58+02	graphics	fpc-cairo	\N	fpc-cairo-3.0.4_4
2020-06-12 15:27:13+02	2020-06-12 15:34:39+02	editors	emacs	full	emacs-26.3_4,3
2020-06-12 15:34:43+02	2020-06-12 15:41:49+02	graphics	opencv	\N	opencv-3.4.1_33
2020-06-12 15:41:51+02	2020-06-12 15:43:28+02	graphics	py-pillow	py37	py37-pillow-7.0.0
2020-06-12 15:43:31+02	2020-06-12 15:45:05+02	math	py-kiwisolver	py37	py37-kiwisolver-1.1.0
2020-06-12 15:45:07+02	2020-06-12 15:46:11+02	net	gssdp	\N	gssdp-1.2.2
2020-06-12 15:46:12+02	2020-06-12 15:47:55+02	net-mgmt	icingaweb2-module-ipl	php73	icingaweb2-module-ipl-php73-0.4.0_1
2020-06-12 15:47:56+02	2020-06-12 15:50:21+02	print	cups-filters	\N	cups-filters-1.27.5
2020-06-12 15:33:58+02	2020-06-12 15:53:19+02	graphics	gimp-app	\N	gimp-app-2.10.18_7,1
2020-06-12 15:50:21+02	2020-06-12 15:54:54+02	print	fontforge	\N	fontforge-20190801_2
2020-06-12 15:53:20+02	2020-06-12 16:05:47+02	print	tex-luatex	\N	tex-luatex-0.80.0_18
2020-06-12 16:05:48+02	2020-06-12 16:06:08+02	security	py-service_identity	py37	py37-service_identity-18.1.0
2020-06-12 16:06:08+02	2020-06-12 16:07:18+02	sysutils	accountsservice	\N	accountsservice-0.6.42
2020-06-12 16:07:19+02	2020-06-12 16:11:30+02	sysutils	mate-settings-daemon	\N	mate-settings-daemon-1.22.1
2020-06-12 16:11:31+02	2020-06-12 16:11:47+02	textproc	py-et_xmlfile	py37	py37-et_xmlfile-1.0.1
2020-06-12 16:11:48+02	2020-06-12 16:12:06+02	textproc	py-pyhamcrest	py37	py37-PyHamcrest-2.0.2
2020-06-12 15:54:55+02	2020-06-12 16:24:47+02	science	py-scipy	py37	py37-scipy-1.2.2_1
2020-06-12 16:24:50+02	2020-06-12 16:25:22+02	www	py-h2	py37	py37-h2-3.2.0
2020-06-12 16:25:27+02	2020-06-12 16:25:56+02	www	py-hyperlink	py37	py37-hyperlink-19.0.0
2020-06-12 16:26:03+02	2020-06-12 16:26:29+02	www	py-priority	py37	py37-priority-1.3.0
2020-06-12 16:26:30+02	2020-06-12 16:27:06+02	www	py-tornado	py37	py37-tornado-5.1.1
2020-06-12 16:27:08+02	2020-06-12 17:05:01+02	www	qt5-webengine	\N	qt5-webengine-5.14.2
2020-06-12 17:05:10+02	2020-06-12 17:09:49+02	x11	mate-session-manager	\N	mate-session-manager-1.22.3
2020-06-12 17:09:52+02	2020-06-12 17:15:54+02	x11	xorg	\N	xorg-7.7_3
2020-06-12 17:15:56+02	2020-06-12 17:21:02+02	x11	yelp	\N	yelp-3.28.1_2
2020-06-12 17:21:04+02	2020-06-12 17:24:43+02	x11-themes	gtk-engines2	\N	gtk-engines2-2.20.2_3
2020-06-12 17:24:46+02	2020-06-12 17:27:18+02	x11-themes	gtk-murrine-engine	\N	gtk-murrine-engine-0.98.2_5
2020-06-12 17:27:24+02	2020-06-12 17:31:52+02	x11-toolkits	gtksourceview3	\N	gtksourceview3-3.24.8_3
2020-06-12 17:31:54+02	2020-06-12 17:33:55+02	x11-toolkits	qt5-quickcontrols	\N	qt5-quickcontrols-5.14.2
2020-06-12 16:12:07+02	2020-06-12 17:49:11+02	www	chromium	\N	chromium-83.0.4103.97
2020-06-12 17:33:58+02	2020-06-12 17:49:36+02	x11-toolkits	wxgtk30	\N	wx30-gtk3-3.0.5.1
2020-06-12 17:49:18+02	2020-06-12 17:52:28+02	x11-wm	marco	\N	marco-1.22.4
2020-06-12 17:49:37+02	2020-06-12 17:53:14+02	deskutils	gucharmap	\N	gucharmap-11.0.1_1
2020-06-12 17:52:30+02	2020-06-12 17:54:12+02	deskutils	mate-notification-daemon	\N	mate-notification-daemon-1.22.1
2020-06-12 17:54:13+02	2020-06-12 17:54:27+02	devel	py-backports.csv	py37	py37-backports.csv-1.0.7
2020-06-12 17:54:28+02	2020-06-12 17:54:48+02	devel	py-coreschema	py37	py37-coreschema-0.0.4
2020-06-12 17:54:49+02	2020-06-12 17:55:03+02	devel	py-decorator	py37	py37-decorator-4.4.2
2020-06-12 17:55:09+02	2020-06-12 17:55:52+02	devel	py-gobject3	py27	py27-gobject3-3.28.3_1
2020-06-12 17:55:53+02	2020-06-12 17:56:14+02	devel	py-itypes	py37	py37-itypes-1.1.0
2020-06-12 17:56:15+02	2020-06-12 17:56:39+02	devel	py-jsonschema	py37	py37-jsonschema-3.2.0
2020-06-12 17:56:40+02	2020-06-12 17:56:57+02	devel	py-odfpy	py37	py37-odfpy-1.4.1
2020-06-12 17:53:14+02	2020-06-12 17:57:02+02	deskutils	spice-gtk	\N	spice-gtk-0.37
2020-06-12 17:56:58+02	2020-06-12 17:58:16+02	devel	py-twisted	py37	py37-twisted-20.3.0
2020-06-12 17:58:17+02	2020-06-12 17:59:33+02	graphics	djvulibre	\N	djvulibre-3.5.27_2
2020-06-12 17:57:02+02	2020-06-12 18:01:53+02	graphics	ImageMagick6	\N	ImageMagick6-6.9.11.6,1
2020-06-12 17:59:35+02	2020-06-12 18:02:11+02	graphics	frei0r-plugins-opencv	\N	frei0r-plugins-opencv-1.6.1_1
2020-06-12 18:01:55+02	2020-06-12 18:02:29+02	graphics	libgxps	\N	libgxps-0.3.1
2020-06-12 18:02:30+02	2020-06-12 18:03:09+02	graphics	py-pygraphviz	py37	py37-pygraphviz-1.5
2020-06-12 18:02:12+02	2020-06-12 18:03:48+02	graphics	poppler-qt5	\N	poppler-qt5-0.89.0_1
2020-06-12 18:03:09+02	2020-06-12 18:04:29+02	graphics	py-qt5-svg	py37	py37-qt5-svg-5.13.1_1
2020-06-12 18:04:30+02	2020-06-12 18:05:45+02	graphics	qt5-graphicaleffects	\N	qt5-graphicaleffects-5.14.2
2020-06-12 18:03:49+02	2020-06-12 18:07:25+02	graphics	qt5-3d	\N	qt5-3d-5.14.2
2020-06-12 18:05:46+02	2020-06-12 18:07:33+02	graphics	vigra	\N	vigra-1.11.1_10
2020-06-12 18:07:26+02	2020-06-12 18:08:47+02	lang	py-qt5-qml	py37	py37-qt5-qml-5.13.1_1
2020-06-12 18:08:50+02	2020-06-12 18:17:01+02	math	py-matplotlib	py37	py37-matplotlib-2.2.4_2
2020-06-12 18:17:03+02	2020-06-12 18:27:23+02	misc	mate-user-guide	\N	mate-user-guide-1.22.3
2020-06-12 18:27:24+02	2020-06-12 18:29:08+02	multimedia	mlt	\N	mlt-6.20.0
2020-06-12 18:29:09+02	2020-06-12 18:30:54+02	net	freerdp	\N	freerdp-2.1.1
2020-06-12 18:30:55+02	2020-06-12 18:31:39+02	net	gupnp	\N	gupnp-1.1.1_1
2020-06-12 18:31:40+02	2020-06-12 18:32:03+02	net	py-netaddr	py37	py37-netaddr-0.7.19_1
2020-06-12 18:32:04+02	2020-06-12 18:32:18+02	net	py-uritemplate	py37	py37-uritemplate-3.0.0
2020-06-12 18:07:34+02	2020-06-12 18:32:53+02	math	R	\N	R-4.0.1
2020-06-12 18:32:19+02	2020-06-12 18:33:31+02	net	remmina-plugin-exec	\N	remmina-plugin-exec-1.3.9
2020-06-12 18:33:32+02	2020-06-12 18:34:47+02	net-mgmt	icingaweb2-module-reactbundle	php73	icingaweb2-module-reactbundle-php73-0.7.0_1
2020-06-12 18:32:56+02	2020-06-12 18:34:55+02	net-mgmt	icingaweb2-module-pdfexport	php73	icingaweb2-module-pdfexport-php73-0.9.0_2
2020-06-12 18:34:57+02	2020-06-12 18:35:25+02	print	libspectre	\N	libspectre-0.2.8
2020-06-12 18:35:26+02	2020-06-12 18:38:38+02	print	mftrace	\N	mftrace-1.2.18_2
2020-06-12 18:34:49+02	2020-06-12 18:40:18+02	print	gutenprint	\N	gutenprint-5.3.3
2020-06-12 18:38:39+02	2020-06-12 18:47:25+02	print	tex-dvipdfmx	\N	tex-dvipdfmx-20150315_1
2020-06-12 18:40:19+02	2020-06-12 18:48:41+02	print	tex-xmltex	\N	tex-xmltex-1.9_2
2020-06-12 18:47:26+02	2020-06-12 18:48:41+02	science	py-scikit-sparse	py37	py37-scikit-sparse-0.4.4_3
2020-06-12 18:48:43+02	2020-06-12 18:49:10+02	security	py-pynacl	py37	py37-pynacl-1.4.0
2020-06-12 18:49:13+02	2020-06-12 18:49:39+02	sysutils	hal-info	\N	hal-info-20091130
2020-06-12 18:48:43+02	2020-06-12 18:49:47+02	security	py-pycrypto	py37	py37-pycrypto-2.6.1_3
2020-06-12 18:49:48+02	2020-06-12 18:51:12+02	sysutils	mate-polkit	\N	mate-polkit-1.22.0
2020-06-12 18:49:40+02	2020-06-12 18:53:57+02	sysutils	mate-control-center	\N	mate-control-center-1.22.2
2020-06-12 18:51:13+02	2020-06-12 18:54:48+02	textproc	dblatex	\N	dblatex-0.3.11
2020-06-12 18:53:57+02	2020-06-12 18:54:56+02	textproc	enchant	\N	enchant-1.6.0_9
2020-06-12 18:54:49+02	2020-06-12 18:55:09+02	textproc	py-markdown	py37	py37-markdown-2.6.11_1
2020-06-12 18:54:57+02	2020-06-12 18:55:16+02	textproc	py-openpyxl	py37	py37-openpyxl-2.6.4
2020-06-12 18:55:09+02	2020-06-12 18:55:24+02	textproc	py-xlrd	py37	py37-xlrd-1.2.0_1
2020-06-12 18:55:16+02	2020-06-12 18:55:34+02	textproc	py-xlwt	py37	py37-xlwt-1.3.0
2020-06-12 18:55:25+02	2020-06-12 18:55:46+02	www	py-html5lib	py37	py37-html5lib-1.0.1
2020-06-12 18:55:35+02	2020-06-12 18:57:09+02	www	py-qt5-webkit	py37	py37-qt5-webkit-5.13.1_1
2020-06-12 18:57:09+02	2020-06-12 18:58:12+02	x11-themes	mate-backgrounds	\N	mate-backgrounds-1.22.0
2020-06-12 18:55:47+02	2020-06-12 18:58:27+02	x11-servers	xephyr	\N	xephyr-1.20.8_2,1
2020-06-12 18:58:28+02	2020-06-12 18:59:40+02	x11-toolkits	fpc-gtk2	\N	fpc-gtk2-3.0.4_4
2020-06-12 18:58:13+02	2020-06-12 18:59:49+02	x11-themes	mate-themes	\N	mate-themes-3.22.14
2020-06-12 18:59:41+02	2020-06-12 19:03:14+02	x11-toolkits	py-gtk2	py27	py27-gtk2-2.24.0_5
2020-06-12 18:59:50+02	2020-06-12 19:03:26+02	archivers	engrampa	\N	engrampa-1.22.2
2020-06-12 19:03:15+02	2020-06-12 19:04:28+02	archivers	quazip	\N	quazip-qt5-0.9.1
2020-06-12 19:03:27+02	2020-06-12 19:05:12+02	audio	mate-media	\N	mate-media-1.22.2
2020-06-12 19:04:32+02	2020-06-12 19:05:57+02	databases	rrdtool	\N	rrdtool-1.7.2_2
2020-06-12 19:05:15+02	2020-06-12 19:07:16+02	deskutils	caja-extensions	\N	caja-extensions-1.22.1
2020-06-12 19:07:16+02	2020-06-12 19:09:28+02	deskutils	mozo	\N	mozo-1.22.2
2020-06-12 19:05:57+02	2020-06-12 19:10:56+02	deskutils	mate-utils	\N	mate-utils-1.22.2
2020-06-12 19:09:28+02	2020-06-12 19:10:56+02	devel	R-cran-rstudioapi	\N	R-cran-rstudioapi-0.11_1
2020-06-12 19:10:57+02	2020-06-12 19:11:11+02	devel	py-configargparse	py37	py37-configargparse-1.2.3
2020-06-12 19:11:11+02	2020-06-12 19:11:33+02	devel	py-coreapi	py37	py37-coreapi-2.3.3
2020-06-12 19:10:57+02	2020-06-12 19:11:38+02	devel	kf5-kitemmodels	\N	kf5-kitemmodels-5.70.0
2020-06-12 19:11:34+02	2020-06-12 19:11:49+02	devel	py-funcy	py37	py37-funcy-1.12
2020-06-12 19:11:49+02	2020-06-12 19:12:06+02	devel	py-inflection	py37	py37-inflection-0.3.1
2020-06-12 19:12:07+02	2020-06-12 19:12:23+02	devel	py-jmespath	py37	py37-jmespath-0.10.0
2020-06-12 19:12:23+02	2020-06-12 19:12:44+02	devel	py-pytest-runner	py37	py37-pytest-runner-2.11.1
2020-06-12 19:11:39+02	2020-06-12 19:12:53+02	devel	py-game	py37	py37-game-1.9.6_1
2020-06-12 19:12:44+02	2020-06-12 19:13:05+02	devel	py-rq	py37	py37-rq-1.3.0
2020-06-12 19:13:05+02	2020-06-12 19:13:20+02	devel	py-setproctitle	py37	py37-setproctitle-1.1.10_1
2020-06-12 19:13:21+02	2020-06-12 19:13:39+02	devel	py-swagger-spec-validator	py37	py37-swagger-spec-validator-2.5.0
2020-06-12 19:12:54+02	2020-06-12 19:13:42+02	devel	py-ruamel.yaml	py37	py37-ruamel.yaml-0.15.87
2020-06-12 19:13:39+02	2020-06-12 19:13:56+02	devel	py-tabulate	py37	py37-tabulate-0.8.6
2020-06-12 19:13:56+02	2020-06-12 19:14:21+02	dns	py-dnspython	py37	py37-dnspython-1.16.0
2020-06-12 19:13:43+02	2020-06-12 19:21:39+02	devel	rust-cbindgen	\N	rust-cbindgen-0.14.2_1
2020-06-12 19:14:22+02	2020-06-12 19:52:35+02	editors	lazarus	\N	lazarus-gtk2-2.0.8
2020-06-12 19:21:40+02	2020-06-12 19:55:24+02	editors	libreoffice	\N	libreoffice-6.3.6_1
2020-06-12 15:24:20+02	2020-06-12 20:37:56+02	devel	llvm90	\N	llvm90-9.0.1_1
2020-06-12 21:02:50+02	2020-06-12 21:03:11+02	www	npm-node12	\N	npm-node12-6.12.1_1
2020-06-12 21:03:12+02	2020-06-12 21:03:21+02	www	yarn-node12	\N	yarn-node12-1.22.4_1
2020-06-12 21:03:21+02	2020-06-12 21:22:28+02	devel	electron7	\N	electron7-7.3.1
2020-06-12 21:27:50+02	2020-06-12 21:29:05+02	sysutils	policykit-gnome	\N	policykit-gnome-0.9.2_9
2020-06-12 21:27:50+02	2020-06-12 21:30:13+02	graphics	frei0r-plugins	\N	frei0r-plugins-1.6.1_1
2020-06-12 21:27:50+02	2020-06-12 21:31:00+02	security	gnome-keyring	\N	gnome-keyring-3.28.2_2
2020-06-12 21:29:05+02	2020-06-12 21:31:01+02	sysutils	gnome-mount	\N	gnome-mount-0.8_13
2020-06-12 21:27:50+02	2020-06-12 21:31:03+02	graphics	eom	\N	eom-1.22.2
2020-06-12 21:30:14+02	2020-06-12 21:32:58+02	graphics	goocanvas2	\N	goocanvas2-2.0.4
2020-06-12 21:33:00+02	2020-06-12 21:33:14+02	lang	python3	\N	python3-3_3
2020-06-12 21:27:50+02	2020-06-12 21:33:17+02	graphics	atril	\N	atril-1.22.3_6
2020-06-12 21:31:01+02	2020-06-12 21:34:13+02	graphics	py-gimp	\N	py27-gimp-2.10.18_7
2020-06-12 21:33:18+02	2020-06-12 21:35:33+02	math	py-networkx	py37	py37-networkx-2.1,1
2020-06-12 21:33:15+02	2020-06-12 21:39:51+02	math	mate-calc	\N	mate-calc-1.22.2
2020-06-12 21:34:14+02	2020-06-12 21:40:02+02	math	stp	\N	stp-2.3.3_5,1
2020-06-12 21:39:52+02	2020-06-12 21:41:21+02	multimedia	libass	\N	libass-0.14.0
2020-06-12 21:40:03+02	2020-06-12 21:43:17+02	multimedia	libopenshot	py37	py37-libopenshot-0.2.5.4
2020-06-12 21:43:18+02	2020-06-12 21:45:40+02	multimedia	webvfx-qt5	\N	webvfx-qt5-0.4.4.20160823_12
2020-06-12 21:27:50+02	2020-06-12 21:46:03+02	net	samba410	\N	samba410-4.10.15
2020-06-12 21:45:41+02	2020-06-12 21:46:37+02	net	py-pyzmq	py37	py37-pyzmq-19.0.1
2020-06-12 21:35:37+02	2020-06-12 21:47:27+02	misc	gimp-help-en	\N	en-gimp-help-html-2.10.0
2020-06-12 21:46:38+02	2020-06-12 21:47:57+02	net	remmina-plugin-nx	\N	remmina-plugin-nx-1.3.9
2020-06-12 21:47:27+02	2020-06-12 21:49:10+02	net	remmina-plugin-rdp	\N	remmina-plugin-rdp-1.3.9
2020-06-12 21:46:04+02	2020-06-12 21:49:14+02	devel	gvfs	\N	gvfs-1.30.4_3
2020-06-12 21:47:58+02	2020-06-12 21:49:26+02	net	remmina-plugin-secret	\N	remmina-plugin-secret-1.3.9
2020-06-12 21:49:10+02	2020-06-12 21:50:25+02	net	remmina-plugin-spice	\N	remmina-plugin-spice-1.3.9
2020-06-12 21:49:28+02	2020-06-12 21:50:33+02	net	remmina-plugin-st	\N	remmina-plugin-st-1.3.9
2020-06-12 21:31:02+02	2020-06-12 21:51:05+02	japanese	tex-ptex	\N	ja-tex-ptex-3.6_1
2020-06-12 21:50:26+02	2020-06-12 21:51:42+02	net	remmina-plugin-vnc	\N	remmina-plugin-vnc-1.3.9
2020-06-12 21:50:34+02	2020-06-12 21:52:17+02	net	remmina-plugin-www	\N	remmina-plugin-www-1.3.9
2020-06-12 21:41:22+02	2020-06-12 21:52:42+02	multimedia	vlc	\N	vlc-3.0.10_6,4
2020-06-12 21:51:43+02	2020-06-12 21:53:21+02	net	vde2	\N	vde2-2.3.2_4
2020-06-12 21:51:08+02	2020-06-12 21:53:40+02	net	remmina-plugin-xdmcp	\N	remmina-plugin-xdmcp-1.3.9
2020-06-12 21:53:42+02	2020-06-12 21:54:04+02	net-mgmt	py-prometheus-client	py37	py37-prometheus-client-0.7.1
2020-06-12 21:52:17+02	2020-06-12 21:54:06+02	net-mgmt	icingaweb2-module-director	php73	icingaweb2-module-director-php73-1.6.2_2
2020-06-12 21:49:14+02	2020-06-12 21:54:31+02	editors	pluma	\N	pluma-1.22.2
2020-06-12 21:52:45+02	2020-06-12 21:55:05+02	net-mgmt	icingaweb2-module-reporting	php73	icingaweb2-module-reporting-php73-0.9.2_1
2020-06-12 21:53:22+02	2020-06-12 21:55:29+02	net-mgmt	monitoring-plugins	\N	monitoring-plugins-2.2_7
2020-06-12 21:54:05+02	2020-06-12 21:56:05+02	print	gimp-gutenprint	\N	gimp-gutenprint-5.3.3
2020-06-12 21:55:30+02	2020-06-12 21:58:25+02	print	tex-xdvik	\N	tex-xdvik-22.87_4
2020-06-12 21:54:06+02	2020-06-12 22:03:12+02	print	lilypond	\N	lilypond-2.20.0
2020-06-12 22:03:14+02	2020-06-12 22:04:32+02	print	transfig	\N	transfig-3.2.5e_4
2020-06-12 22:04:33+02	2020-06-12 22:04:55+02	security	py-paramiko	py37	py37-paramiko-2.7.1
2020-06-12 22:04:59+02	2020-06-12 22:05:17+02	security	py-stem	py37	py37-stem-1.8.0
2020-06-12 21:55:06+02	2020-06-12 22:05:36+02	print	tex-jadetex	\N	tex-jadetex-3.13_3
2020-06-12 21:54:32+02	2020-06-12 22:07:17+02	print	tex-aleph	\N	tex-aleph-1.15.2.1.r.4_4
2020-06-12 22:07:19+02	2020-06-12 22:10:37+02	textproc	gtkspell3	\N	gtkspell3-3.0.10
2020-06-12 22:05:18+02	2020-06-12 22:10:37+02	sysutils	mate-power-manager	\N	mate-power-manager-1.22.2
2020-06-12 22:05:37+02	2020-06-12 22:10:37+02	sysutils	mate-system-monitor	\N	mate-system-monitor-1.22.2
2020-06-12 21:56:06+02	2020-06-12 22:10:47+02	print	tex-xetex	\N	tex-xetex-0.99992_34
2020-06-12 22:10:39+02	2020-06-12 22:10:54+02	textproc	py-scour	py37	py37-scour-0.37
2020-06-12 22:10:38+02	2020-06-12 22:10:55+02	textproc	py-tablib	py37	py37-tablib-0.13.0_1
2020-06-12 22:10:38+02	2020-06-12 22:10:55+02	www	py-dj22-django-js-asset	py37	py37-dj22-django-js-asset-1.2.2
2020-06-12 22:10:48+02	2020-06-12 22:11:03+02	www	py-dj22-django-taggit	py37	py37-dj22-django-taggit-1.3.0
2020-06-12 22:10:54+02	2020-06-12 22:11:16+02	www	py-dj22-djangorestframework	py37	py37-dj22-djangorestframework-3.11.0
2020-06-12 22:10:55+02	2020-06-12 22:11:27+02	www	py-html5-parser	py37	py37-html5-parser-0.4.9
2020-06-12 22:11:17+02	2020-06-12 22:11:30+02	www	py-soupsieve	py37	py37-soupsieve-1.9_1
2020-06-12 22:10:56+02	2020-06-12 22:11:46+02	www	py-qt5-webchannel	py37	py37-qt5-webchannel-5.13.1_1
2020-06-12 22:11:29+02	2020-06-12 22:12:24+02	www	qt5-websockets	\N	qt5-websockets-5.14.2
2020-06-12 22:11:31+02	2020-06-12 22:12:27+02	www	youtube_dl	\N	youtube_dl-2020.06.06
2020-06-12 22:11:04+02	2020-06-12 22:12:42+02	www	py-qt5-webkitwidgets	py37	py37-qt5-webkitwidgets-5.13.1_1
2020-06-12 21:31:04+02	2020-06-12 22:13:46+02	lang	erlang	\N	erlang-21.3.8.16,4
2020-06-12 22:12:25+02	2020-06-12 22:14:17+02	x11	mate-base	\N	mate-base-1.22.2
2020-06-12 22:12:28+02	2020-06-12 22:15:01+02	x11	mate-screensaver	\N	mate-screensaver-1.22.2
2020-06-12 22:14:19+02	2020-06-12 22:15:58+02	x11-toolkits	gtkglarea2	\N	gtkglarea-2.0.1_10
2020-06-12 22:12:42+02	2020-06-12 22:15:58+02	x11	mate-terminal	\N	mate-terminal-1.22.1
2020-06-12 22:13:47+02	2020-06-12 22:16:32+02	x11-toolkits	gdl	\N	gdl-3.28.0
2020-06-12 22:16:00+02	2020-06-12 22:25:48+02	audio	rosegarden	\N	rosegarden-20.06
2020-06-12 22:16:33+02	2020-06-12 22:25:58+02	databases	pgadmin3	\N	pgadmin3-1.22.2_5
2020-06-12 22:25:50+02	2020-06-12 22:26:19+02	databases	py-apsw	py37	py37-apsw-3.31.1
2020-06-12 22:15:03+02	2020-06-12 22:26:30+02	x11-toolkits	gtkmm24	\N	gtkmm24-2.24.5_1
2020-06-12 22:25:59+02	2020-06-12 22:26:37+02	databases	py-psycopg2	py37	py37-psycopg2-2.8.5
2020-06-12 22:11:50+02	2020-06-12 22:27:13+02	x11	mate-applets	\N	mate-applets-1.22.2
2020-06-12 22:26:19+02	2020-06-12 22:27:51+02	deskutils	sysctlview	\N	sysctlview-2.0
2020-06-12 22:26:37+02	2020-06-12 22:28:21+02	devel	distel	full	distel-emacs26-4.1.1_4
2020-06-12 22:15:59+02	2020-06-12 22:28:53+02	astro	stellarium	\N	stellarium-0.20.1
2020-06-12 22:28:21+02	2020-06-12 22:28:59+02	devel	py-dbus	py37	py37-dbus-1.2.16
2020-06-12 22:28:57+02	2020-06-12 22:29:17+02	devel	py-dj22-django-rq	py37	py37-dj22-django-rq-2.3.2
2020-06-12 22:29:01+02	2020-06-12 22:29:32+02	devel	py-msgpack	py37	py37-msgpack-0.6.2
2020-06-12 22:29:18+02	2020-06-12 22:30:37+02	devel	tig	\N	tig-2.5.1
2020-06-12 22:29:34+02	2020-06-12 22:47:04+02	dns	bind916	\N	bind916-9.16.3_2
2020-06-12 21:58:26+02	2020-06-12 22:49:25+02	print	texlive-docs	\N	texlive-docs-20150523
2020-06-12 22:47:07+02	2020-06-12 22:57:51+02	editors	libreoffice-nb	\N	nb-libreoffice-6.3.6
2020-06-12 22:30:40+02	2020-06-12 23:00:04+02	editors	codelite	\N	codelite-12.0_4
2020-06-12 22:49:34+02	2020-06-12 23:01:23+02	editors	vim	\N	vim-8.2.0869
2020-06-12 23:01:25+02	2020-06-12 23:36:46+02	emulators	wine	\N	wine-5.0.1,1
2020-06-12 22:57:54+02	2020-06-12 23:38:41+02	emulators	qemu	\N	qemu-4.1.1_4
2020-06-12 23:38:45+02	2020-06-12 23:41:28+02	games	monsterz	\N	monsterz-0.7.1_15
2020-06-12 23:41:30+02	2020-06-12 23:43:39+02	games	nuclearchess	\N	nuclearchess-1.0.0_10
2020-06-12 23:43:40+02	2020-06-12 23:45:50+02	games	numptyphysics	\N	numptyphysics-0.3.r20090104_11
2020-06-12 23:45:52+02	2020-06-12 23:49:07+02	games	xboard	\N	xboard-4.9.1_1
2020-06-12 23:49:08+02	2020-06-12 23:52:09+02	games	xcowsay	\N	xcowsay-1.5
2020-06-12 22:26:31+02	2020-06-12 23:54:02+02	devel	RStudio	\N	RStudio-1.3.959
2020-06-12 23:54:04+02	2020-06-13 00:03:46+02	graphics	drm-current-kmod	\N	drm-current-kmod-4.16.g20200320
2020-06-12 23:52:11+02	2020-06-13 00:07:49+02	graphics	dia	\N	dia-0.97.3_1,1
2020-06-13 00:03:48+02	2020-06-13 00:08:38+02	graphics	gimp	\N	gimp-2.10.18,2
2020-06-12 23:36:49+02	2020-06-13 00:13:18+02	ftp	filezilla	\N	filezilla-3.40.0_5
2020-06-13 00:13:20+02	2020-06-13 00:13:59+02	graphics	py-svgwrite	py37	py37-svgwrite-1.3.1
2020-06-13 00:14:02+02	2020-06-13 00:17:57+02	graphics	xpdf	\N	xpdf-4.02,1
2020-06-12 23:00:06+02	2020-06-13 01:20:25+02	emulators	virtualbox-ose	\N	virtualbox-ose-5.2.34_4
2020-06-13 01:20:28+02	2020-06-13 01:23:23+02	lang	csharp-mode.el	full	csharp-mode.el-emacs26-0.9.2_1
2020-06-13 00:07:51+02	2020-06-13 01:31:08+02	graphics	inkscape	\N	inkscape-1.0_2
2020-06-13 01:31:11+02	2020-06-13 03:03:04+02	lang	erlang-runtime23	\N	erlang-runtime23-23.0.2
2020-06-13 01:23:25+02	2020-06-13 03:24:59+02	lang	erlang-runtime22	\N	erlang-runtime22-22.3.4.1
2020-06-13 03:25:02+02	2020-06-13 03:25:26+02	lang	python	\N	python-3.7_3,2
2020-06-13 03:25:27+02	2020-06-13 03:37:22+02	misc	mc	\N	mc-nox11-4.8.24
2020-06-13 03:37:25+02	2020-06-13 03:43:25+02	multimedia	mpv	\N	mpv-0.32.0_2,1
2020-06-13 03:43:27+02	2020-06-13 03:48:22+02	multimedia	obs-studio	\N	obs-studio-25.0.8
2020-06-13 03:48:24+02	2020-06-13 03:53:49+02	multimedia	openshot	py37	openshot-2.5.1.7
2020-06-13 03:53:52+02	2020-06-13 04:00:11+02	multimedia	shotcut	\N	shotcut-20.04.12_1
2020-06-13 04:00:13+02	2020-06-13 04:05:03+02	net	ntopng	\N	ntopng-4.0.d20200530,1
2020-06-13 04:05:05+02	2020-06-13 04:05:40+02	net	py-netifaces	py37	py37-netifaces-0.10.9
2020-06-13 04:05:43+02	2020-06-13 04:09:08+02	net	remmina-plugins	\N	remmina-plugins-1.3.9
2020-06-13 04:09:11+02	2020-06-13 04:20:34+02	net	wireshark	\N	wireshark-3.2.4
2020-06-13 04:20:36+02	2020-06-13 04:23:54+02	net-mgmt	etherape	\N	etherape-0.9.18
2020-06-13 03:03:06+02	2020-06-13 04:42:02+02	lang	mono	\N	mono-5.10.1.57_3
2020-06-13 04:42:05+02	2020-06-13 04:44:16+02	net-mgmt	icingaweb2-module-businessprocess	php73	icingaweb2-module-businessprocess-php73-2.2.0_2
2020-06-13 04:44:18+02	2020-06-13 04:46:18+02	net-mgmt	icingaweb2-module-cube	php73	icingaweb2-module-cube-php73-1.1.0_1
2020-06-13 04:46:19+02	2020-06-13 04:48:16+02	net-mgmt	icingaweb2-module-elasticsearch	php73	icingaweb2-module-elasticsearch-php73-0.9.0_3
2020-06-13 04:48:17+02	2020-06-13 04:50:16+02	net-mgmt	icingaweb2-module-fileshipper	php73	icingaweb2-module-fileshipper-php73-1.1.0_3
2020-06-13 04:50:19+02	2020-06-13 04:52:31+02	net-mgmt	icingaweb2-module-generictts	php73	icingaweb2-module-generictts-php73-2.0.0_3
2020-06-13 04:52:33+02	2020-06-13 04:54:52+02	net-mgmt	icingaweb2-module-grafana	php73	icingaweb2-module-grafana-php73-1.3.6_1
2020-06-13 04:54:54+02	2020-06-13 04:56:52+02	net-mgmt	icingaweb2-module-graphite	php73	icingaweb2-module-graphite-php73-1.1.0_3
2020-06-13 04:23:56+02	2020-06-13 04:58:07+02	net-mgmt	icinga2	\N	icinga2-2.11.3
2020-06-13 04:56:55+02	2020-06-13 04:59:57+02	net-mgmt	icingaweb2-module-idoreports	php73	icingaweb2-module-idoreports-php73-0.9.0_2
2020-06-13 04:58:09+02	2020-06-13 05:00:17+02	net-mgmt	icingaweb2-module-map	php73	icingaweb2-module-map-php73-1.1.0_3
2020-06-13 04:59:59+02	2020-06-13 05:01:56+02	net-mgmt	icingaweb2-module-vsphere	php73	icingaweb2-module-vsphere-php73-1.1.0_4
2020-06-13 05:00:19+02	2020-06-13 05:02:24+02	ports-mgmt	porttree	\N	porttree-1.1.r114_1
2020-06-13 05:02:27+02	2020-06-13 05:04:22+02	print	fig2dev	\N	fig2dev-3.2.7_1
2020-06-13 05:04:25+02	2020-06-13 05:06:52+02	print	gv	\N	gv-3.7.4_5
2020-06-13 05:01:58+02	2020-06-13 05:07:58+02	print	auctex	full	auctex-emacs26-12.2
2020-06-13 05:08:01+02	2020-06-13 05:18:08+02	print	texlive-full	\N	texlive-full-20150521
2020-06-13 05:06:54+02	2020-06-13 05:18:19+02	print	lyx	\N	lyx-2.3.4.2_1
2020-06-13 05:18:21+02	2020-06-13 05:18:51+02	security	nyx	\N	nyx-2.1.0_1
2020-06-13 05:18:53+02	2020-06-13 05:20:44+02	security	openconnect-gui	\N	openconnect-gui-1.4.1_4
2020-06-13 05:20:46+02	2020-06-13 05:23:30+02	security	py-pycryptodome	py37	py37-pycryptodome-3.9.0
2020-06-13 05:18:11+02	2020-06-13 05:25:06+02	security	klee	\N	klee-2.1
2020-06-13 05:25:09+02	2020-06-13 05:27:18+02	sysutils	cpu-x	\N	cpu-x-4.0.0_1
2020-06-13 05:27:20+02	2020-06-13 05:28:14+02	sysutils	dtrace-toolkit	\N	dtrace-toolkit-1.0_5
2020-06-13 05:23:33+02	2020-06-13 05:28:43+02	sysutils	ansible	py37	py37-ansible-2.9.7
2020-06-13 05:28:45+02	2020-06-13 05:29:21+02	sysutils	panicmail	\N	panicmail-1.1
2020-06-13 05:28:16+02	2020-06-13 05:30:07+02	sysutils	gkrellm2	\N	gkrellm2-2.3.11
2020-06-13 05:29:23+02	2020-06-13 05:30:09+02	textproc	py-gfm	py37	py37-gfm-0.1.4
2020-06-13 05:30:11+02	2020-06-13 05:31:30+02	textproc	py-regex	py37	py37-regex-2020.4.4
2020-06-13 05:30:09+02	2020-06-13 05:31:49+02	textproc	py-qt5-xmlpatterns	py37	py37-qt5-xmlpatterns-5.13.1_1
2020-06-13 05:31:52+02	2020-06-13 05:32:50+02	www	npm-node10	\N	npm-node10-6.12.1_1
2020-06-13 05:32:52+02	2020-06-13 05:33:55+02	www	py-beautifulsoup	py37	py37-beautifulsoup-4.9.0
2020-06-13 05:33:57+02	2020-06-13 05:34:28+02	www	py-css-parser	py37	py37-css-parser-1.0.4
2020-06-13 05:34:30+02	2020-06-13 05:35:09+02	www	py-cssselect	py37	py37-cssselect-1.0.3_1
2020-06-13 05:35:11+02	2020-06-13 05:35:45+02	www	py-dj22-django-cacheops	py37	py37-dj22-django-cacheops-4.2
2020-06-13 05:35:47+02	2020-06-13 05:36:19+02	www	py-dj22-django-cors-headers	py37	py37-dj22-django-cors-headers-3.2.1
2020-06-13 05:36:21+02	2020-06-13 05:36:51+02	www	py-dj22-django-debug-toolbar	py37	py37-dj22-django-debug-toolbar-2.1
2020-06-13 05:36:53+02	2020-06-13 05:37:26+02	www	py-dj22-django-filter	py37	py37-dj22-django-filter-2.2.0
2020-06-13 05:37:29+02	2020-06-13 05:38:04+02	www	py-dj22-django-mptt	py37	py37-dj22-django-mptt-0.9.1
2020-06-13 05:38:07+02	2020-06-13 05:38:45+02	www	py-dj22-django-prometheus	py37	py37-dj22-django-prometheus-1.1.0_1
2020-06-13 05:38:47+02	2020-06-13 05:39:22+02	www	py-dj22-django-tables2	py37	py37-dj22-django-tables2-2.2.1
2020-06-13 05:39:24+02	2020-06-13 05:39:57+02	www	py-dj22-django-taggit-serializer	py37	py37-dj22-django-taggit-serializer-0.1.7
2020-06-13 05:40:00+02	2020-06-13 05:40:31+02	www	py-dj22-django-timezone-field	py37	py37-dj22-django-timezone-field-4.0
2020-06-13 05:40:34+02	2020-06-13 05:41:16+02	www	py-dj22-drf-yasg	py37	py37-dj22-drf-yasg-1.17.0
2020-06-13 05:41:18+02	2020-06-13 05:41:46+02	www	py-django-pglocks	py37	py37-django-pglocks-1.0.4
2020-06-13 05:41:48+02	2020-06-13 05:42:20+02	www	py-gunicorn	py37	py37-gunicorn-19.9.0_1
2020-06-13 05:42:22+02	2020-06-13 05:42:54+02	www	py-mechanize	py37	py37-mechanize-0.4.5
2020-06-13 05:42:56+02	2020-06-13 05:45:54+02	www	py-qt5-webengine	py37	py37-qt5-webengine-5.12.1_1
2020-06-13 05:45:56+02	2020-06-13 05:47:51+02	x11	cool-retro-term	\N	cool-retro-term-1.1.1_1
2020-06-13 05:47:54+02	2020-06-13 05:52:07+02	x11	mate	\N	mate-1.22.2
2020-06-13 05:52:09+02	2020-06-13 05:56:53+02	x11	xscreensaver	\N	xscreensaver-5.44
2020-06-13 05:56:54+02	2020-06-13 06:05:14+02	x11-fm	doublecmd	gtk2	doublecmd-gtk2-0.9.8_2
2020-06-13 06:05:16+02	2020-06-13 06:07:36+02	x11-fm	fsv2	\N	fsv2-1.1.0_1
2020-06-13 06:07:37+02	2020-06-13 06:08:14+02	x11-toolkits	libgdiplus	\N	libgdiplus-5.6_2
2020-06-12 22:27:14+02	2020-06-13 06:08:37+02	devel	llvm-devel	\N	llvm-devel-11.0.d20200519
2020-06-13 06:08:15+02	2020-06-13 06:11:47+02	deskutils	calibre	\N	calibre-4.18.0
2020-06-13 06:11:49+02	2020-06-13 06:12:02+02	graphics	drm-kmod	\N	drm-kmod-g20190710
2020-06-12 22:27:51+02	2020-06-13 06:12:07+02	devel	llvm10	\N	llvm10-10.0.0_1
2020-06-13 06:12:03+02	2020-06-13 06:13:31+02	graphics	xfig	\N	xfig-3.2.7a
2020-06-13 06:12:09+02	2020-06-13 06:13:58+02	multimedia	celluloid	\N	celluloid-0.19
2020-06-13 06:13:32+02	2020-06-13 06:14:32+02	net-mgmt	netbox	\N	netbox-2.7.12
2020-06-13 06:08:39+02	2020-06-13 06:52:38+02	editors	vscode	\N	vscode-1.45.1_2
2020-06-13 05:31:32+02	2020-06-13 07:37:38+02	www	firefox	\N	firefox-77.0.1_1,1
2020-06-13 08:22:16+02	2020-06-13 08:24:02+02	irc	irssi	\N	irssi-1.2.2,1
2020-06-13 08:22:16+02	2020-06-13 08:39:21+02	graphics	krita	\N	krita-4.2.9_4
2020-06-13 08:58:53+02	2020-06-13 09:43:09+02	local	E590T-localbase	\N	E590T-localbase-2020060702
2020-06-13 10:20:52+02	2020-06-13 10:28:08+02	graphics	drm-current-kmod	\N	drm-current-kmod-4.16.g20200320
2020-06-13 10:28:08+02	2020-06-13 10:28:16+02	graphics	drm-kmod	\N	drm-kmod-g20190710
2020-06-13 10:46:08+02	2020-06-13 11:04:29+02	local	E590T-localbase	\N	E590T-localbase-2020061300
2020-06-13 12:29:23+02	2020-06-13 12:30:35+02	devel	libsigc++20	\N	libsigc++-2.10.3
2020-06-13 12:29:23+02	2020-06-13 12:31:32+02	devel	libgtop	\N	libgtop-2.40.0
2020-06-13 12:29:23+02	2020-06-13 12:32:20+02	multimedia	dav1d	\N	dav1d-0.7.0_1
2020-06-13 12:31:32+02	2020-06-13 12:33:33+02	audio	libmatemixer	\N	libmatemixer-1.24.0
2020-06-13 12:30:37+02	2020-06-13 12:33:35+02	devel	glibmm	\N	glibmm-2.56.0_2,1
2020-06-13 12:29:23+02	2020-06-13 12:33:46+02	graphics	mesa-dri	\N	mesa-dri-19.0.8_6
2020-06-13 12:33:36+02	2020-06-13 12:34:40+02	textproc	libxml++26	\N	libxml++-2.40.1,1
2020-06-13 12:29:23+02	2020-06-13 12:35:53+02	x11-themes	mate-icon-theme	\N	mate-icon-theme-1.24.0
2020-06-13 12:34:43+02	2020-06-13 12:36:20+02	graphics	cairomm	\N	cairomm-1.12.2_4
2020-06-13 12:35:54+02	2020-06-13 12:37:16+02	accessibility	atkmm	\N	atkmm-2.28.0
2020-06-13 12:37:19+02	2020-06-13 12:37:31+02	devel	mdds	\N	mdds-1.5.0
2020-06-13 12:36:22+02	2020-06-13 12:38:20+02	x11-toolkits	pangomm	\N	pangomm-2.40.1_4
2020-06-13 12:37:31+02	2020-06-13 12:41:38+02	graphics	libcdr01	\N	libcdr01-0.1.6
2020-06-13 12:33:47+02	2020-06-13 12:41:53+02	x11-servers	xorg-server	\N	xorg-server-1.20.8_2,1
2020-06-13 12:29:23+02	2020-06-13 12:42:03+02	databases	sqlite3	\N	sqlite3-3.32.2,1
2020-06-13 12:41:55+02	2020-06-13 12:45:57+02	x11-drivers	xf86-input-evdev	\N	xf86-input-evdev-2.10.6_5
2020-06-13 12:38:21+02	2020-06-13 12:50:37+02	x11-servers	xorg-vfbserver	\N	xorg-vfbserver-1.20.8_2,1
2020-06-13 12:46:03+02	2020-06-13 12:53:16+02	security	nss	\N	nss-3.53
2020-06-13 12:50:40+02	2020-06-13 12:54:08+02	databases	qt5-sqldrivers-sqlite3	\N	qt5-sqldrivers-sqlite3-5.14.2
2020-06-13 12:42:04+02	2020-06-13 12:55:10+02	graphics	colord	\N	colord-1.3.5
2020-06-13 12:53:18+02	2020-06-13 12:56:02+02	graphics	poppler	\N	poppler-0.89.0_1
2020-06-13 12:54:10+02	2020-06-13 12:56:30+02	devel	qt5-help	\N	qt5-help-5.14.2
2020-06-13 12:32:21+02	2020-06-13 12:58:27+02	multimedia	ffmpeg	\N	ffmpeg-4.2.3,1
2020-06-13 12:58:29+02	2020-06-13 12:59:26+02	databases	py-sqlite3	py37	py37-sqlite3-3.7.7_7
2020-06-13 12:56:03+02	2020-06-13 13:00:30+02	devel	libsoup	\N	libsoup-2.62.3
2020-06-13 12:59:27+02	2020-06-13 13:01:27+02	databases	php73-pdo_sqlite	\N	php73-pdo_sqlite-7.3.18
2020-06-13 13:00:32+02	2020-06-13 13:02:38+02	databases	php73-sqlite3	\N	php73-sqlite3-7.3.18
2020-06-13 13:01:28+02	2020-06-13 13:04:40+02	net	geoclue	\N	geoclue-2.5.5
2020-06-13 13:02:40+02	2020-06-13 13:06:08+02	net-mgmt	icingaweb2	php73	icingaweb2-php73-2.7.3_3
2020-06-13 13:04:51+02	2020-06-13 13:07:00+02	www	py-django22	py37	py37-django22-2.2.13
2020-06-13 13:06:10+02	2020-06-13 13:10:12+02	graphics	poppler-glib	\N	poppler-glib-0.89.0_1
2020-06-13 13:07:04+02	2020-06-13 13:13:14+02	multimedia	gstreamer1-libav	\N	gstreamer1-libav-1.16.2
2020-06-13 13:13:20+02	2020-06-13 13:17:14+02	multimedia	gstreamer1-plugins-core	\N	gstreamer1-plugins-core-1.16
2020-06-13 13:17:23+02	2020-06-13 13:19:09+02	databases	fpc-sqlite	\N	fpc-sqlite-3.0.4_4
2020-06-13 13:10:17+02	2020-06-13 13:22:38+02	security	gnupg	\N	gnupg-2.2.20
2020-06-13 13:19:13+02	2020-06-13 13:29:29+02	devel	libsoup-gnome	\N	libsoup-gnome-2.62.3
2020-06-13 13:22:53+02	2020-06-13 13:31:45+02	security	gpgme	\N	gpgme-1.13.1
2020-06-13 13:31:57+02	2020-06-13 13:38:28+02	security	gpgme-cpp	\N	gpgme-cpp-1.13.1
2020-06-13 13:38:35+02	2020-06-13 13:46:50+02	devel	librest	\N	rest-0.7.93
2020-06-13 13:47:00+02	2020-06-13 13:52:40+02	devel	qt5-assistant	\N	qt5-assistant-5.14.2
2020-06-13 13:52:54+02	2020-06-13 13:58:28+02	graphics	poppler-utils	\N	poppler-utils-0.89.0_1
2020-06-13 13:29:37+02	2020-06-13 14:04:00+02	www	qt5-webkit	\N	qt5-webkit-5.212.0.a4_2
2020-06-13 13:58:33+02	2020-06-13 14:06:57+02	security	gpgme-qt5	\N	gpgme-qt5-1.13.1
2020-06-13 14:04:11+02	2020-06-13 14:09:27+02	x11-drivers	xf86-input-keyboard	\N	xf86-input-keyboard-1.9.0_4
2020-06-13 14:07:04+02	2020-06-13 14:11:54+02	x11-drivers	xf86-input-libinput	\N	xf86-input-libinput-0.30.0
2020-06-13 14:09:30+02	2020-06-13 14:12:51+02	x11-drivers	xf86-input-mouse	\N	xf86-input-mouse-1.9.3_3
2020-06-13 14:11:57+02	2020-06-13 14:16:08+02	x11-drivers	xf86-video-amdgpu	\N	xf86-video-amdgpu-19.1.0_1
2020-06-13 14:16:14+02	2020-06-13 14:19:35+02	x11-drivers	xf86-video-scfb	\N	xf86-video-scfb-0.0.5_2
2020-06-13 14:12:53+02	2020-06-13 14:20:40+02	x11-drivers	xf86-video-intel	\N	xf86-video-intel-2.99.917.20181203_1
2020-06-13 14:19:38+02	2020-06-13 14:21:54+02	x11-drivers	xf86-video-vesa	\N	xf86-video-vesa-2.4.0_3
2020-06-13 12:55:13+02	2020-06-13 14:22:55+02	x11-toolkits	gtk30	\N	gtk3-3.24.10_1
2020-06-13 12:41:39+02	2020-06-13 14:23:20+02	www	node12	\N	node12-12.18.0
2020-06-13 14:20:42+02	2020-06-13 14:23:57+02	devel	qt5-designer	\N	qt5-designer-5.14.2
2020-06-13 12:56:33+02	2020-06-13 14:24:05+02	print	texlive-base	\N	texlive-base-20150521_52
2020-06-13 14:21:55+02	2020-06-13 14:25:37+02	graphics	gegl	\N	gegl-0.4.22_6
2020-06-13 14:23:28+02	2020-06-13 14:26:03+02	audio	libcanberra-gtk3	\N	libcanberra-gtk3-0.30_5
2020-06-13 14:23:00+02	2020-06-13 14:26:22+02	x11	mate-desktop	\N	mate-desktop-1.24.0
2020-06-13 14:25:38+02	2020-06-13 14:29:33+02	x11-toolkits	vte3	\N	vte3-0.52.2_3
2020-06-13 14:26:05+02	2020-06-13 14:29:51+02	net	avahi-gtk3	\N	avahi-gtk3-0.7_1
2020-06-13 14:29:52+02	2020-06-13 14:32:07+02	net	remmina	\N	remmina-1.3.9
2020-06-13 12:33:34+02	2020-06-13 14:32:07+02	www	node	\N	node-14.4.0
2020-06-13 14:26:24+02	2020-06-13 14:32:24+02	security	gcr	\N	gcr-3.28.0
2020-06-13 14:29:34+02	2020-06-13 14:32:29+02	x11-toolkits	libwnck3	\N	libwnck3-3.24.1
2020-06-13 14:32:26+02	2020-06-13 14:34:08+02	security	pinentry-gnome3	\N	pinentry-gnome3-1.1.0
2020-06-13 14:32:11+02	2020-06-13 14:34:23+02	devel	kf5-knotifications	\N	kf5-knotifications-5.70.0
2020-06-13 14:32:30+02	2020-06-13 14:35:54+02	x11	libmatekbd	\N	libmatekbd-1.24.0
2020-06-13 14:34:24+02	2020-06-13 14:36:29+02	x11-toolkits	libunique3	\N	libunique-3.0.2_3
2020-06-13 14:35:55+02	2020-06-13 14:38:28+02	net	uhttpmock	\N	uhttpmock-0.5.1_1
2020-06-13 14:32:11+02	2020-06-13 14:39:47+02	net	libmateweather	\N	libmateweather-1.24.0
2020-06-13 14:38:50+02	2020-06-13 14:41:39+02	x11	zenity	\N	zenity-3.28.1
2020-06-13 14:38:29+02	2020-06-13 14:41:39+02	sysutils	kf5-kwallet	\N	kf5-kwallet-5.70.0
2020-06-13 14:36:30+02	2020-06-13 14:43:21+02	security	gnome-keyring	\N	gnome-keyring-3.28.2_2
2020-06-13 14:41:40+02	2020-06-13 14:43:26+02	x11-drivers	xorg-drivers	\N	xorg-drivers-7.7_6
2020-06-13 14:43:27+02	2020-06-13 14:47:55+02	devel	libpeas	\N	libpeas-1.22.0
2020-06-13 14:39:47+02	2020-06-13 14:48:35+02	x11	mate-panel	\N	mate-panel-1.22.2
2020-06-13 14:41:43+02	2020-06-13 14:49:44+02	x11-toolkits	gtkmm30	\N	gtkmm30-3.22.2
2020-06-13 14:43:26+02	2020-06-13 14:50:20+02	devel	kf5-kio	\N	kf5-kio-5.70.1_1
2020-06-13 14:50:21+02	2020-06-13 14:51:09+02	net	gssdp	\N	gssdp-1.2.2
2020-06-13 14:51:10+02	2020-06-13 14:52:57+02	net-mgmt	icingaweb2-module-ipl	php73	icingaweb2-module-ipl-php73-0.4.0_1
2020-06-13 14:52:58+02	2020-06-13 14:55:59+02	print	cups-filters	\N	cups-filters-1.27.5
2020-06-13 14:49:45+02	2020-06-13 14:58:43+02	graphics	opencv	\N	opencv-3.4.1_33
2020-06-13 14:47:57+02	2020-06-13 14:59:11+02	editors	emacs	full	emacs-26.3_4,3
2020-06-13 14:24:10+02	2020-06-13 15:00:42+02	print	texlive-texmf	\N	texlive-texmf-20150523_4
2020-06-13 14:58:45+02	2020-06-13 15:05:06+02	sysutils	mate-settings-daemon	\N	mate-settings-daemon-1.24.0
2020-06-13 14:56:02+02	2020-06-13 15:06:18+02	print	fontforge	\N	fontforge-20190801_2
2020-06-13 15:00:44+02	2020-06-13 15:06:53+02	print	tex-formats	\N	tex-formats-20150521_2
2020-06-13 14:48:37+02	2020-06-13 15:18:59+02	graphics	gimp-app	\N	gimp-app-2.10.18_7,1
2020-06-13 15:19:04+02	2020-06-13 15:25:11+02	x11	mate-session-manager	\N	mate-session-manager-1.24.0
2020-06-13 15:05:07+02	2020-06-13 15:28:15+02	print	tex-dvipsk	\N	tex-dvipsk-5.995_2
2020-06-13 15:25:14+02	2020-06-13 15:32:36+02	x11	xorg	\N	xorg-7.7_3
2020-06-13 15:06:54+02	2020-06-13 15:37:45+02	print	tex-luatex	\N	tex-luatex-0.80.0_18
2020-06-13 15:32:39+02	2020-06-13 15:39:02+02	x11-toolkits	gtksourceview3	\N	gtksourceview3-3.24.8_3
2020-06-13 15:28:19+02	2020-06-13 15:39:26+02	devel	doxygen	\N	doxygen-1.8.15_3,2
2020-06-13 15:37:47+02	2020-06-13 15:44:34+02	x11-wm	marco	\N	marco-1.22.4
2020-06-13 15:39:33+02	2020-06-13 15:44:58+02	deskutils	mate-notification-daemon	\N	mate-notification-daemon-1.24.0
2020-06-13 15:06:19+02	2020-06-13 15:46:16+02	www	qt5-webengine	\N	qt5-webengine-5.14.2
2020-06-13 15:39:04+02	2020-06-13 15:47:07+02	deskutils	gucharmap	\N	gucharmap-11.0.1_1
2020-06-13 15:46:20+02	2020-06-13 15:51:47+02	graphics	frei0r-plugins-opencv	\N	frei0r-plugins-opencv-1.6.1_1
2020-06-13 15:51:51+02	2020-06-13 15:53:49+02	graphics	libplacebo	\N	libplacebo-2.72.0
2020-06-13 15:44:37+02	2020-06-13 16:00:04+02	deskutils	spice-gtk	\N	spice-gtk-0.37
2020-06-13 15:53:53+02	2020-06-13 16:00:12+02	graphics	poppler-qt5	\N	poppler-qt5-0.89.0_1
2020-06-13 16:00:08+02	2020-06-13 16:00:50+02	graphics	qr-code-generator	\N	qr-code-generator-1.6.0
2020-06-13 15:45:01+02	2020-06-13 16:01:29+02	devel	liborcus	\N	liborcus-0.15.4
2020-06-13 16:00:52+02	2020-06-13 16:02:17+02	net	gupnp	\N	gupnp-1.1.1_1
2020-06-13 14:23:59+02	2020-06-13 16:02:38+02	www	webkit2-gtk3	\N	webkit2-gtk3-2.28.1_1
2020-06-13 16:01:37+02	2020-06-13 16:04:31+02	net	remmina-plugin-exec	\N	remmina-plugin-exec-1.3.9
2020-06-13 16:00:14+02	2020-06-13 16:04:46+02	multimedia	mlt	\N	mlt-6.20.0
2020-06-13 16:02:20+02	2020-06-13 16:05:07+02	net-mgmt	icingaweb2-module-reactbundle	php73	icingaweb2-module-reactbundle-php73-0.7.0_1
2020-06-13 15:47:09+02	2020-06-13 16:06:53+02	graphics	libetonyek01	\N	libetonyek01-0.1.9_6,1
2020-06-13 16:04:34+02	2020-06-13 16:08:04+02	x11	yelp	\N	yelp-3.28.1_2
2020-06-13 16:02:41+02	2020-06-13 16:08:13+02	net	gnome-online-accounts	\N	gnome-online-accounts-3.28.0_2
2020-06-13 16:06:54+02	2020-06-13 16:13:13+02	print	mftrace	\N	mftrace-1.2.18_2
2020-06-13 16:08:15+02	2020-06-13 16:18:32+02	devel	libgdata	\N	libgdata-0.17.9
2020-06-13 16:04:51+02	2020-06-13 16:19:47+02	x11-toolkits	wxgtk30	\N	wx30-gtk3-3.0.5.1
2020-06-13 16:05:12+02	2020-06-13 16:20:11+02	print	gutenprint	\N	gutenprint-5.3.3
2020-06-13 16:20:12+02	2020-06-13 16:22:30+02	security	xmlsec1	\N	xmlsec1-1.2.29
2020-06-13 16:08:06+02	2020-06-13 16:23:15+02	misc	mate-user-guide	\N	mate-user-guide-1.24.0
2020-06-13 16:18:37+02	2020-06-13 16:24:37+02	devel	gvfs	\N	gvfs-1.30.4_3
2020-06-13 16:23:16+02	2020-06-13 16:25:41+02	sysutils	mate-polkit	\N	mate-polkit-1.24.0
2020-06-13 16:13:15+02	2020-06-13 16:28:24+02	print	tex-dvipdfmx	\N	tex-dvipdfmx-20150315_1
2020-06-13 16:24:39+02	2020-06-13 16:29:13+02	textproc	dblatex	\N	dblatex-0.3.11
2020-06-13 16:22:32+02	2020-06-13 16:30:03+02	sysutils	mate-control-center	\N	mate-control-center-1.24.0
2020-06-13 16:29:14+02	2020-06-13 16:30:24+02	www	youtube_dl	\N	youtube_dl-2020.06.06
2020-06-13 16:28:27+02	2020-06-13 16:30:59+02	www	py-qt5-webkit	py37	py37-qt5-webkit-5.13.1_1
2020-06-13 16:30:29+02	2020-06-13 16:32:32+02	x11-themes	mate-backgrounds	\N	mate-backgrounds-1.24.1
2020-06-13 16:19:50+02	2020-06-13 16:32:36+02	print	tex-xmltex	\N	tex-xmltex-1.9_2
2020-06-13 16:31:01+02	2020-06-13 16:33:03+02	audio	faudio	\N	FAudio-20.06
2020-06-13 16:32:38+02	2020-06-13 16:33:28+02	databases	py-apsw	py37	py37-apsw-3.31.1
2020-06-13 16:33:29+02	2020-06-13 16:36:53+02	deskutils	mozo	\N	mozo-1.24.0
2020-06-13 16:32:34+02	2020-06-13 16:37:14+02	audio	mate-media	\N	mate-media-1.24.0
2020-06-13 16:30:05+02	2020-06-13 16:42:10+02	x11-servers	xephyr	\N	xephyr-1.20.8_2,1
2020-06-13 16:42:13+02	2020-06-13 16:52:36+02	graphics	eom	\N	eom-1.24.0
2020-06-13 16:37:18+02	2020-06-13 16:52:53+02	editors	pluma	\N	pluma-1.24.0
2020-06-13 16:33:05+02	2020-06-13 16:53:11+02	deskutils	mate-utils	\N	mate-utils-1.24.0
2020-06-13 16:52:38+02	2020-06-13 16:56:41+02	graphics	frei0r-plugins	\N	frei0r-plugins-1.6.1_1
2020-06-13 16:52:55+02	2020-06-13 16:57:24+02	graphics	goocanvas2	\N	goocanvas2-2.0.4
2020-06-13 16:53:15+02	2020-06-13 17:05:43+02	graphics	py-gimp	\N	py27-gimp-2.10.18_7
2020-06-13 16:57:28+02	2020-06-13 17:10:25+02	math	mate-calc	\N	mate-calc-1.24.0
2020-06-13 17:05:46+02	2020-06-13 17:11:35+02	multimedia	libopenshot	py37	py37-libopenshot-0.2.5.4
2020-06-13 17:10:28+02	2020-06-13 17:19:10+02	multimedia	mpv	\N	mpv-0.32.0_3,1
2020-06-13 17:19:13+02	2020-06-13 17:24:38+02	multimedia	webvfx-qt5	\N	webvfx-qt5-0.4.4.20160823_12
2020-06-13 17:24:39+02	2020-06-13 17:28:43+02	net	remmina-plugin-nx	\N	remmina-plugin-nx-1.3.9
2020-06-13 17:28:49+02	2020-06-13 17:33:47+02	net	remmina-plugin-rdp	\N	remmina-plugin-rdp-1.3.9
2020-06-13 16:56:46+02	2020-06-13 17:38:37+02	japanese	tex-ptex	\N	ja-tex-ptex-3.6_1
2020-06-13 17:33:51+02	2020-06-13 17:38:58+02	net	remmina-plugin-secret	\N	remmina-plugin-secret-1.3.9
2020-06-13 17:39:04+02	2020-06-13 17:44:09+02	net	remmina-plugin-st	\N	remmina-plugin-st-1.3.9
2020-06-13 17:38:47+02	2020-06-13 17:44:53+02	net	remmina-plugin-spice	\N	remmina-plugin-spice-1.3.9
2020-06-13 17:44:14+02	2020-06-13 17:50:06+02	net	remmina-plugin-vnc	\N	remmina-plugin-vnc-1.3.9
2020-06-13 17:44:55+02	2020-06-13 17:51:44+02	net	remmina-plugin-www	\N	remmina-plugin-www-1.3.9
2020-06-13 17:51:45+02	2020-06-13 17:55:05+02	net-mgmt	icingaweb2-module-director	php73	icingaweb2-module-director-php73-1.6.2_2
2020-06-13 17:50:15+02	2020-06-13 17:56:20+02	net	remmina-plugin-xdmcp	\N	remmina-plugin-xdmcp-1.3.9
2020-06-13 17:55:07+02	2020-06-13 18:02:00+02	print	gimp-gutenprint	\N	gimp-gutenprint-5.3.3
2020-06-13 16:25:43+02	2020-06-13 18:03:14+02	www	node10	\N	node10-10.21.0
\.


--
-- Name: portsbuildstats portsbuildstats_pk; Type: CONSTRAINT; Schema: public; Owner: trond
--

ALTER TABLE ONLY public.portsbuildstats
    ADD CONSTRAINT portsbuildstats_pk PRIMARY KEY (start, finished, category, portname);


--
-- PostgreSQL database dump complete
--

